import numpy as np

def random_nice_dataset(n):
    x1b = (np.random.rand(n)*2-1)/2-0.5
    x2b = (np.random.rand(n)*2-1)/2+0.5
    x1r = (np.random.rand(n)*2-1)/2+0.5
    x2r = (np.random.rand(n)*2-1)/2-0.5
    donnees = []
    for i in range(len(x1b)):
        donnees.append(((x1b[i],x2b[i]),False))
        donnees.append(((x1r[i],x2r[i]),True))
    return donnees

iris = [
    ((6.0, 2.2, 4.0, 1.0), "iris-versicolor"),
    ((6.9, 3.1, 5.4, 2.1), "iris-virginica" ),
    ((5.5, 2.4, 3.7, 1.0), "iris-versicolor"),
    ((6.3, 2.8, 5.1, 1.5), "iris-virginica" ),
    ((6.8, 3.0, 5.5, 2.1), "iris-virginica" ),
    ((6.3, 2.7, 4.9, 1.8), "iris-virginica" ),
    ((6.3, 3.4, 5.6, 2.4), "iris-virginica" ),
    ((5.9, 3.0, 4.2, 1.5), "iris-versicolor"),
    ((6.4, 2.9, 4.3, 1.3), "iris-versicolor"),
    ((5.7, 4.4, 1.5, 0.4), "iris-setosa"    ),
    ((6.4, 3.2, 4.5, 1.5), "iris-versicolor"),
    ((6.9, 3.2, 5.7, 2.3), "iris-virginica" ),
    ((6.1, 2.6, 5.6, 1.4), "iris-virginica" ),
    ((4.6, 3.4, 1.4, 0.3), "iris-setosa"    ),
    ((6.5, 3.0, 5.5, 1.8), "iris-virginica" ),
    ((6.9, 3.1, 4.9, 1.5), "iris-versicolor"),
    ((6.7, 2.5, 5.8, 1.8), "iris-virginica" ),
    ((5.5, 2.3, 4.0, 1.3), "iris-versicolor"),
    ((7.7, 2.8, 6.7, 2.0), "iris-virginica" ),
    ((5.7, 2.6, 3.5, 1.0), "iris-versicolor"),
    ((5.8, 2.8, 5.1, 2.4), "iris-virginica" ),
    ((6.3, 2.3, 4.4, 1.3), "iris-versicolor"),
    ((7.7, 2.6, 6.9, 2.3), "iris-virginica" ),
    ((6.3, 2.5, 5.0, 1.9), "iris-virginica" ),
    ((6.4, 2.7, 5.3, 1.9), "iris-virginica" ),
    ((5.1, 3.8, 1.9, 0.4), "iris-setosa"    ),
    ((6.7, 3.1, 4.7, 1.5), "iris-versicolor"),
    ((5.2, 2.7, 3.9, 1.4), "iris-versicolor"),
    ((5.6, 3.0, 4.5, 1.5), "iris-versicolor"),
    ((4.5, 2.3, 1.3, 0.3), "iris-setosa"    ),
    ((5.3, 3.7, 1.5, 0.2), "iris-setosa"    ),
    ((5.1, 3.4, 1.5, 0.2), "iris-setosa"    ),
    ((6.1, 2.9, 4.7, 1.4), "iris-versicolor"),
    ((5.4, 3.9, 1.3, 0.4), "iris-setosa"    ),
    ((5.4, 3.9, 1.7, 0.4), "iris-setosa"    ),
    ((4.4, 3.0, 1.3, 0.2), "iris-setosa"    ),
    ((5.6, 2.7, 4.2, 1.3), "iris-versicolor"),
    ((6.6, 2.9, 4.6, 1.3), "iris-versicolor"),
    ((4.8, 3.1, 1.6, 0.2), "iris-setosa"    ),
    ((6.1, 2.8, 4.0, 1.3), "iris-versicolor"),
    ((5.9, 3.0, 5.1, 1.8), "iris-virginica" ),
    ((5.5, 2.5, 4.0, 1.3), "iris-versicolor"),
    ((6.7, 3.3, 5.7, 2.1), "iris-virginica" ),
    ((5.0, 3.4, 1.6, 0.4), "iris-setosa"    ),
    ((5.1, 2.5, 3.0, 1.1), "iris-versicolor"),
    ((6.5, 3.0, 5.2, 2.0), "iris-virginica" ),
    ((5.5, 4.2, 1.4, 0.2), "iris-setosa"    ),
    ((5.1, 3.8, 1.6, 0.2), "iris-setosa"    ),
    ((5.7, 3.8, 1.7, 0.3), "iris-setosa"    ),
    ((5.7, 3.0, 4.2, 1.2), "iris-versicolor"),
    ((6.2, 3.4, 5.4, 2.3), "iris-virginica" ),
    ((4.9, 3.1, 1.5, 0.1), "iris-setosa"    ),
    ((5.4, 3.4, 1.5, 0.4), "iris-setosa"    ),
    ((5.1, 3.5, 1.4, 0.3), "iris-setosa"    ),
    ((4.8, 3.0, 1.4, 0.3), "iris-setosa"    ),
    ((5.8, 2.7, 5.1, 1.9), "iris-virginica" ),
    ((6.9, 3.1, 5.1, 2.3), "iris-virginica" ),
    ((6.7, 3.3, 5.7, 2.5), "iris-virginica" ),
    ((6.2, 2.8, 4.8, 1.8), "iris-virginica" ),
    ((5.0, 3.6, 1.4, 0.2), "iris-setosa"    ),
    ((7.6, 3.0, 6.6, 2.1), "iris-virginica" ),
    ((5.2, 3.5, 1.5, 0.2), "iris-setosa"    ),
    ((6.1, 3.0, 4.6, 1.4), "iris-versicolor"),
    ((6.0, 2.7, 5.1, 1.6), "iris-versicolor"),
    ((4.9, 2.4, 3.3, 1.0), "iris-versicolor"),
    ((4.8, 3.0, 1.4, 0.1), "iris-setosa"    ),
    ((7.3, 2.9, 6.3, 1.8), "iris-virginica" ),
    ((5.7, 2.8, 4.1, 1.3), "iris-versicolor"),
    ((5.1, 3.8, 1.5, 0.3), "iris-setosa"    ),
    ((6.7, 3.0, 5.2, 2.3), "iris-virginica" ),
    ((5.4, 3.4, 1.7, 0.2), "iris-setosa"    ),
    ((7.2, 3.0, 5.8, 1.6), "iris-virginica" ),
    ((6.3, 2.5, 4.9, 1.5), "iris-versicolor"),
    ((7.7, 3.0, 6.1, 2.3), "iris-virginica" ),
    ((5.0, 3.2, 1.2, 0.2), "iris-setosa"    ),
    ((5.6, 2.8, 4.9, 2.0), "iris-virginica" ),
    ((5.0, 3.0, 1.6, 0.2), "iris-setosa"    ),
    ((5.1, 3.7, 1.5, 0.4), "iris-setosa"    ),
    ((5.1, 3.3, 1.7, 0.5), "iris-setosa"    ),
    ((4.6, 3.1, 1.5, 0.2), "iris-setosa"    ),
    ((6.7, 3.0, 5.0, 1.7), "iris-versicolor"),
    ((5.5, 3.5, 1.3, 0.2), "iris-setosa"    ),
    ((4.9, 3.0, 1.4, 0.2), "iris-setosa"    ),
    ((5.0, 2.0, 3.5, 1.0), "iris-versicolor"),
    ((4.4, 3.2, 1.3, 0.2), "iris-setosa"    ),
    ((7.2, 3.2, 6.0, 1.8), "iris-virginica" ),
    ((5.8, 2.6, 4.0, 1.2), "iris-versicolor"),
    ((4.9, 3.1, 1.5, 0.1), "iris-setosa"    ),
    ((6.1, 3.0, 4.9, 1.8), "iris-virginica" ),
    ((5.0, 3.5, 1.6, 0.6), "iris-setosa"    ),
    ((6.6, 3.0, 4.4, 1.4), "iris-versicolor"),
    ((6.3, 2.9, 5.6, 1.8), "iris-virginica" ),
    ((5.9, 3.2, 4.8, 1.8), "iris-versicolor"),
    ((4.9, 3.1, 1.5, 0.1), "iris-setosa"    ),
    ((6.4, 3.1, 5.5, 1.8), "iris-virginica" ),
    ((5.0, 3.3, 1.4, 0.2), "iris-setosa"    ),
    ((7.7, 3.8, 6.7, 2.2), "iris-virginica" ),
    ((6.8, 3.2, 5.9, 2.3), "iris-virginica" ),
    ((6.3, 3.3, 6.0, 2.5), "iris-virginica" ),
    ((5.5, 2.6, 4.4, 1.2), "iris-versicolor"),
    ((4.9, 2.5, 4.5, 1.7), "iris-virginica" ),
    ((5.0, 3.5, 1.3, 0.3), "iris-setosa"    ),
    ((7.9, 3.8, 6.4, 2.0), "iris-virginica" ),
    ((6.5, 3.0, 5.8, 2.2), "iris-virginica" ),
    ((6.5, 2.8, 4.6, 1.5), "iris-versicolor"),
    ((5.8, 2.7, 4.1, 1.0), "iris-versicolor"),
    ((7.4, 2.8, 6.1, 1.9), "iris-virginica" ),
    ((5.8, 2.7, 3.9, 1.2), "iris-versicolor"),
    ((6.0, 3.4, 4.5, 1.6), "iris-versicolor"),
    ((5.6, 2.9, 3.6, 1.3), "iris-versicolor"),
    ((5.1, 3.5, 1.4, 0.2), "iris-setosa"    ),
    ((5.4, 3.0, 4.5, 1.5), "iris-versicolor"),
    ((5.8, 4.0, 1.2, 0.2), "iris-setosa"    ),
    ((5.2, 3.4, 1.4, 0.2), "iris-setosa"    ),
    ((6.2, 2.9, 4.3, 1.3), "iris-versicolor"),
    ((6.0, 3.0, 4.8, 1.8), "iris-virginica" ),
    ((4.4, 2.9, 1.4, 0.2), "iris-setosa"    ),
    ((4.7, 3.2, 1.6, 0.2), "iris-setosa"    ),
    ((4.7, 3.2, 1.3, 0.2), "iris-setosa"    ),
    ((6.8, 2.8, 4.8, 1.4), "iris-versicolor"),
    ((5.7, 2.5, 5.0, 2.0), "iris-virginica" ),
    ((4.6, 3.2, 1.4, 0.2), "iris-setosa"    ),
    ((6.5, 3.2, 5.1, 2.0), "iris-virginica" ),
    ((6.3, 3.3, 4.7, 1.6), "iris-versicolor"),
    ((4.8, 3.4, 1.6, 0.2), "iris-setosa"    ),
    ((5.4, 3.7, 1.5, 0.2), "iris-setosa"    ),
    ((6.4, 2.8, 5.6, 2.1), "iris-virginica" ),
    ((4.8, 3.4, 1.9, 0.2), "iris-setosa"    ),
    ((5.2, 4.1, 1.5, 0.1), "iris-setosa"    ),
    ((4.3, 3.0, 1.1, 0.1), "iris-setosa"    ),
    ((5.6, 3.0, 4.1, 1.3), "iris-versicolor"),
    ((7.2, 3.6, 6.1, 2.5), "iris-virginica" ),
    ((5.7, 2.9, 4.2, 1.3), "iris-versicolor"),
    ((6.2, 2.2, 4.5, 1.5), "iris-versicolor"),
    ((6.7, 3.1, 4.4, 1.4), "iris-versicolor"),
    ((6.0, 2.9, 4.5, 1.5), "iris-versicolor"),
    ((5.8, 2.7, 5.1, 1.9), "iris-virginica" ),
    ((5.6, 2.5, 3.9, 1.1), "iris-versicolor"),
    ((7.1, 3.0, 5.9, 2.1), "iris-virginica" ),
    ((7.0, 3.2, 4.7, 1.4), "iris-versicolor"),
    ((5.0, 2.3, 3.3, 1.0), "iris-versicolor"),
    ((5.0, 3.4, 1.5, 0.2), "iris-setosa"    ),
    ((6.0, 2.2, 5.0, 1.5), "iris-virginica" ),
    ((6.4, 3.2, 5.3, 2.3), "iris-virginica" ),
    ((5.7, 2.8, 4.5, 1.3), "iris-versicolor"),
    ((5.5, 2.4, 3.8, 1.1), "iris-versicolor"),
    ((6.4, 2.8, 5.6, 2.2), "iris-virginica" ),
    ((4.6, 3.6, 1.0, 0.2), "iris-setosa"    ),
    ((6.1, 2.8, 4.7, 1.2), "iris-versicolor"),
    ((6.7, 3.1, 5.6, 2.4), "iris-virginica" ),
]

digits = [
    (( 0, 0, 0, 1,11,10, 0, 0, 0, 0, 0, 6,16,15, 0, 0, 0, 4,13,16,16,11, 0, 0, 0, 3, 8,10,16,10, 0, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 0, 0,16,14, 0, 0, 0, 0, 0, 0,16,16, 5, 0, 0, 0, 0, 0,12,13, 6, 0), 1),
    (( 0, 0, 5,14, 7, 0, 0, 0, 0, 2,16,16,16, 3, 0, 0, 0, 1,16, 8,13, 9, 0, 0, 0, 0, 6, 3,16, 7, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 9,16,14, 8,10, 0, 0, 0, 6,15,12,16,16, 7), 2),
    (( 0, 0, 6,12,14,15, 2, 0, 0, 0,14, 9, 8, 5, 0, 0, 0, 3,14, 6, 0, 0, 0, 0, 0, 6,16,16,15, 9, 0, 0, 0, 0, 4, 4, 7,15, 7, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 2, 9,13,16, 4, 0, 0, 0, 7,15,12, 6, 0, 0), 5),
    (( 0, 0, 1, 6,12,14, 4, 0, 0, 0, 4,13, 8, 3, 0, 0, 0, 0,13, 4, 0, 0, 0, 0, 0, 3,15, 5, 2, 0, 0, 0, 0, 8,16,16,16,12, 0, 0, 0, 2, 4, 3, 7,15, 3, 0, 0, 0, 0, 2, 7,14, 1, 0, 0, 0, 0, 8,12, 4, 0, 0), 5),
    (( 0, 0, 8,15,10, 1, 0, 0, 0, 0,15,13,15,10, 0, 0, 0, 0,16, 2, 0,14, 1, 0, 0, 0,14, 5, 7,16, 2, 0, 0, 0, 7,12,11,15, 3, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 6, 6, 9,16, 2, 0, 0, 0, 7,13,14, 3, 0, 0), 9),
    (( 0, 0, 7,15,16, 9, 0, 0, 0, 1,16,12, 8, 7, 0, 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 0,14,16,13, 1, 0, 0, 0, 0,12,16,15, 7, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 4, 5,14, 9, 0, 0, 0, 0, 6,16,15, 3, 0, 0), 5),
    (( 0, 0, 3,10,13, 5, 0, 0, 0, 0,15,12, 5,14, 1, 0, 0, 4,12, 1, 0,10, 4, 0, 0, 5, 8, 0, 0, 8, 7, 0, 0, 5, 8, 0, 0, 8, 8, 0, 0, 4,11, 0, 0,11, 5, 0, 0, 1,14, 6, 7,12, 0, 0, 0, 0, 4,15,14, 4, 0, 0), 0),
    (( 0, 0, 0, 6,14, 3, 0, 0, 0, 0, 2,15,14, 4, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 0,14,14,16,16, 5, 0, 0, 0,14,16,15,13,11, 0, 0, 0,10,16, 6,13,13, 0, 0, 0, 1, 9,15,13, 4, 0), 6),
    (( 0, 0, 5,10,14, 6, 0, 0, 0,13,16,15,10, 3, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 0, 8,11, 1, 0, 0, 0, 0, 0, 0, 7,13, 3, 0, 0, 0, 0, 0, 0, 5,13, 5, 0, 0, 0, 0, 6, 8,13,14, 1, 0, 0, 0, 4,12,13,11, 0, 0), 5),
    (( 0, 1,10,10, 6, 0, 0, 0, 0, 4,15,11,15, 7, 0, 0, 0, 2,14, 1,11,14, 0, 0, 0, 0,11,16,16,16, 0, 0, 0, 0, 0, 0, 0,16, 3, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 2, 8, 8, 8,12,12, 0, 0, 2,12,12,16,13, 5, 0), 9),
    (( 0, 2,14,16, 7, 0, 0, 0, 0, 2,11,11,16, 4, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 4, 9,15, 7, 0, 0, 0, 0, 7,16,16,12, 1, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 1, 6,11,15,16, 7, 0, 0, 2,13,14,11, 5, 0, 0), 3),
    (( 0, 0, 0, 7,13,14, 4, 0, 0, 0,15,13, 4, 0, 1, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 5,16, 9,14,13, 1, 0, 0, 7,15, 8, 1,11, 4, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 0, 5, 7,12, 0, 0, 0, 0, 0, 8,14, 3, 0, 0), 5),
    (( 0, 0, 4,13,13,13, 3, 0, 0, 3,16, 9,12,16, 8, 0, 0, 7,14, 0, 4,16, 5, 0, 0, 2,15,13,15,11, 0, 0, 0, 0,10,16,16,10, 0, 0, 0, 1,16, 5, 3,16, 4, 0, 0, 0,15,10, 5,16, 7, 0, 0, 0, 5,16,16, 9, 0, 0), 8),
    (( 0, 0, 0, 8,15,16, 7, 0, 0, 1,14, 9, 1, 0, 8, 0, 0, 6,12, 0, 0,10, 8, 0, 0, 4,14,12,13,14, 8, 0, 0, 0, 0, 0, 1, 4, 8, 0, 0, 0, 0, 0, 0, 4, 8, 0, 0, 0, 0, 0, 0, 7, 8, 0, 0, 0, 0, 8,12,15, 6, 0), 9),
    (( 0, 0, 2,16,11, 1, 0, 0, 0, 0, 0,16,16, 2, 0, 0, 0, 0, 1,16,16, 6, 0, 0, 0, 0, 0,15,16, 3, 0, 0, 0, 0, 1,15,16, 2, 0, 0, 0, 0, 2,16,15, 1, 0, 0, 0, 0, 1,16,14, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0), 1),
    (( 0, 0, 3,12, 2, 0, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0, 5,16,10, 8, 3, 0, 0, 0, 6,16,16,16,16, 5, 0, 0, 0,13,16, 8,16, 4, 0, 0, 0, 1,11,15,14, 0, 0), 6),
    (( 0, 0, 4,12,15, 8, 0, 0, 0, 4,15,10,10,12, 0, 0, 0,13,10, 2,16, 4, 0, 0, 0, 6,12,15, 9, 0, 0, 0, 0, 0, 2,16,13, 3, 0, 0, 0, 0,10, 9, 6,13, 1, 0, 0, 0,10, 9, 0,10, 8, 0, 0, 0, 2,13,16,14, 5, 0), 8),
    (( 0, 0, 9,16,16, 5, 0, 0, 0, 0,13,16, 9, 6, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 3, 5,16, 5, 0, 0, 0, 0, 7,16,15, 1, 0, 0), 5),
    (( 0, 0, 3,14,13, 2, 0, 0, 0, 0,16,14,14,11, 0, 0, 0, 7,15, 2, 1,16, 1, 0, 0, 5,12, 0, 0,12, 8, 0, 0, 8,10, 0, 0,11, 8, 0, 0, 1,15, 0, 0, 8,11, 0, 0, 0,11,10, 7,15, 6, 0, 0, 0, 3,12,16,11, 1, 0), 0),
    (( 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 3,16,16, 2, 0, 0, 0, 0, 5,16,15, 1, 0, 0, 0, 0, 4,16,11, 0, 0, 0, 0, 0, 3,16,15, 0, 0, 0, 0, 0, 1,16,12, 0, 0, 0, 0, 0, 2,16,14, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0), 1),
    (( 0, 0, 6,13,16,11, 1, 0, 0, 4,15, 6, 9,16, 5, 0, 0, 6, 9, 0, 7,16, 6, 0, 0, 3,15,12,15,15, 8, 0, 0, 0, 2, 5, 2,10, 8, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 2, 9, 4, 8,15, 2, 0, 0, 0,10,13,12, 2, 0, 0), 9),
    (( 0, 0,11,16,11, 0, 0, 0, 0, 0,13,12,14, 6, 0, 0, 0, 0, 6,14,10,10, 0, 0, 0, 0, 0, 1, 6,14, 0, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 9, 9,15,12, 2, 0, 0, 0,10,16,16,16,16, 4), 2),
    (( 0, 2,15,10, 1, 0, 0, 0, 0, 8,15,16, 9, 0, 0, 0, 0, 8,10,11,12, 0, 0, 0, 0, 1, 5, 7,16, 0, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 2,15,10, 0, 0, 0, 0, 5,16,16,16,12, 8, 0, 0, 3,12,12,11,14,16, 1), 2),
    (( 0, 1,13,16,15, 5, 0, 0, 0, 6,15,12,15,11, 0, 0, 0, 0, 2, 0, 9,12, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 0, 1,12,14, 0, 0, 0, 0, 5,15,14, 2, 0, 0, 0, 0, 9,16,12, 7, 2, 3, 0, 0, 1,15,16,16,16, 6, 0), 2),
    (( 0, 0, 6,16,13, 0, 0, 0, 0, 7,16,14,15,10, 0, 0, 0,12,16, 3, 7,16, 1, 0, 0,11,13, 0, 7,16, 1, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 2, 9,16,10, 5, 0, 0, 0,11,16,16,16,16, 3, 0, 0, 6,16,11, 8, 8, 2), 2),
    (( 0, 0, 2, 7,14,14, 2, 0, 0, 2,15, 9, 5,15, 3, 0, 0, 2,16, 8, 8,15, 0, 0, 0, 0, 4, 7,11,15, 2, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0,10,13, 1, 0, 0, 0, 0, 6,14, 2, 0, 0, 0, 0, 0,10, 4, 0, 0, 0), 9),
    (( 0, 0, 9,12,16,16, 3, 0, 0, 0,14,16,16,11, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 3,14,16,12, 0, 0, 0, 0, 1,15,16, 6, 0, 0, 0), 5),
    (( 0, 0, 8,15,16,13, 0, 0, 0, 1,11, 9,11,16, 1, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 3, 4,14,12, 2, 0, 0, 1,16,16,16,16,10, 0, 0, 2,12,16,10, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0), 7),
    (( 0, 0, 7,16,14, 2, 0, 0, 0, 0,13,13, 9,13, 0, 0, 0, 0,11,10, 0,14, 5, 0, 0, 0, 5,14, 0,12, 9, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 2, 8,14,15, 0, 0, 0, 0, 8,16,16,16,16, 4), 2),
    (( 0, 0, 9,16,16, 8, 0, 0, 0, 2,16,16,13, 4, 0, 0, 0, 3,16, 6, 1, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0, 2,14, 5, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0,10,16,15, 0, 0, 0, 0, 0,10,15, 6, 0, 0, 0), 5),
    (( 0, 0, 4,13, 4, 0, 0, 0, 0, 0,12,15, 6, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 0,16,10, 4, 1, 0, 0, 0, 5,16,16,16,15, 1, 0, 0, 5,16,16, 3,13, 8, 0, 0, 1,16,16,14,16, 9, 0, 0, 0, 5,14,13, 5, 1, 0), 6),
    (( 0, 3,13,16,14, 2, 0, 0, 0,14,11, 3,16, 8, 0, 0, 0, 7, 3, 7,16, 8, 0, 0, 0, 0, 5,16,16,16, 5, 0, 0, 0, 2,10, 6,11,12, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 1,10, 1, 4,15, 9, 0, 0, 2,15,16,16,11, 0, 0), 3),
    (( 0, 0,10,15, 8, 2, 0, 0, 0, 0, 5,13,16,15, 1, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 1, 4, 7,16, 3, 0, 0, 0, 9,16,16,16, 1, 0, 0, 0, 1,12,15,12, 4, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0), 7),
    (( 0, 0, 4,12,10, 1, 0, 0, 0, 0,13,12,11,10, 0, 0, 0, 2,16, 3, 0,12, 3, 0, 0, 4,13, 0, 0,10, 6, 0, 0, 6,11, 0, 0,10, 7, 0, 0, 4,12, 0, 1,14, 4, 0, 0, 0,11, 9,12,13, 0, 0, 0, 0, 4,12,11, 3, 0, 0), 0),
    (( 0, 0, 4,13, 7, 4, 4, 0, 0, 0,12,12,13,16, 6, 0, 0, 0,11, 0, 6,13, 0, 0, 0, 0, 4, 4,13, 5, 0, 0, 0, 0,16,16,16,16, 4, 0, 0, 0, 0,12,10,10, 1, 0, 0, 0, 2,14, 2, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0), 7),
    (( 0, 0,15,16,16, 7, 0, 0, 0, 7,16,10,15,16, 3, 0, 0,10,16, 2,14,14, 0, 0, 0, 1,13,16,16,16, 3, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0, 1,16,10, 0, 0, 0, 7, 8, 8,16,10, 0, 0, 0, 9,12,13, 9, 1, 0), 9),
    (( 0, 1, 9,12,14, 6, 0, 0, 0, 6,16,10,16,12, 0, 0, 0, 1,14,13,12,16, 0, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 5,14,11, 0, 0, 0,10,16,16, 7, 0, 0), 9),
    (( 0, 0, 7,15,15, 8, 3, 0, 0, 3,14, 3, 0,13, 8, 0, 0, 6,10, 1, 6,14, 8, 0, 0, 0, 8,12, 6, 8, 8, 0, 0, 0, 0, 0, 0, 8, 6, 0, 0, 0, 0, 0, 0,12, 3, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 7,15,14, 2, 0, 0), 9),
    (( 0, 0,10,14,12, 1, 0, 0, 0, 4,11, 4,10, 9, 0, 0, 0, 1, 3, 0, 7,11, 0, 0, 0, 0, 0, 4,14, 6, 0, 0, 0, 0, 0,11,13,15, 1, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 3, 6, 2, 4,15, 6, 0, 0, 1,11,15,14, 8, 0, 0), 3),
    (( 0, 0, 4,12,10, 1, 0, 0, 0, 0,14, 9, 9,13, 0, 0, 0, 7,16, 0, 6,16, 4, 0, 0, 4,15,10, 4,16, 8, 0, 0, 0, 5,12,12,14, 8, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 2, 3, 0, 7,11, 0, 0, 0, 5,14,16,16, 4, 0), 9),
    (( 0, 1,10,14,13, 0, 0, 0, 0, 6,12, 8,16, 7, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 8, 8,16, 6, 0, 0, 0, 0, 9,16,16,16, 6, 0, 0, 0, 2,15, 5, 4, 2, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0, 0), 7),
    (( 0, 0,11, 8, 0, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0,12,15,16, 6, 0, 0, 0, 0, 8,15,16, 9, 0, 0, 0, 0, 0, 1,13,13, 0, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 8,13,16,13,12, 5, 0, 0,11,16,16,16,16,11), 1),
    (( 0, 0, 5,14,14, 6, 0, 0, 0, 0,11, 5, 2,12, 0, 0, 0, 0,11, 1, 8,11, 0, 0, 0, 0, 7,13,16, 6, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0,11,10,12, 1, 0, 0, 0, 0,14, 2, 4,12, 0, 0, 0, 0, 5,15,16,12, 0, 0), 8),
    (( 0, 0, 0,10,10, 0, 0, 0, 0, 0, 3,15, 5, 5, 0, 0, 0, 0,11,10, 8,12, 0, 0, 0, 5,16, 5,13,10, 2, 0, 0,11,16,16,16,15, 8, 0, 0, 0, 4, 9,14, 1, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0), 4),
    (( 0, 0, 4,16,13,16,13, 0, 0, 0,12,11, 5, 4, 2, 0, 0, 1,16, 1, 9, 8, 2, 0, 0, 8,16,14,10,13, 6, 0, 0, 1, 4, 0, 0, 9, 6, 0, 0, 0, 0, 0, 5,11, 1, 0, 0, 0, 1, 6,14, 4, 0, 0, 0, 0, 6,15, 5, 0, 0, 0), 5),
    (( 0, 0, 0,11,13, 1, 0, 0, 0, 2, 7,16,11,11, 0, 0, 0, 8,16, 8, 0, 9, 1, 0, 0, 7,12, 7, 0, 4, 5, 0, 0, 3, 9, 0, 0, 4, 9, 0, 0, 1,12, 1, 0,10, 7, 0, 0, 0, 7,11,10,15, 0, 0, 0, 0, 1,11,13, 5, 0, 0), 0),
    (( 0, 1,14,13, 4, 0, 0, 0, 0, 6,15,11,15, 0, 0, 0, 0, 8,14, 9,16, 4, 0, 0, 0, 2, 8,11,15, 6, 0, 0, 0, 0, 0, 0, 7,13, 1, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0,10, 4, 0, 3,15, 0, 0, 0,10,14,16,16,15, 0), 9),
    (( 0, 1,10, 5, 0, 0, 0, 0, 0, 2,16,16,12, 1, 0, 0, 0, 0,10, 5,11, 6, 0, 0, 0, 0, 0, 1,12, 7, 0, 0, 0, 0, 6,16,16, 6, 0, 0, 0, 0, 3, 8,10,15, 8, 0, 0, 0, 3, 4, 7,14,15, 0, 0, 0, 6,15,15,11, 4, 0), 3),
    (( 0, 0, 9,16,15, 5, 0, 0, 0, 0, 4, 7,12,15, 0, 0, 0, 0, 0, 1, 9,16, 3, 0, 0, 0, 0,10,16,13, 0, 0, 0, 0, 0, 3, 8,15, 9, 0, 0, 0, 0, 0, 0, 7,14, 0, 0, 0,10, 7, 4,10,16, 1, 0, 0, 7,16,16,16,10, 0), 3),
    (( 0, 0, 4,15,12, 3, 0, 0, 0, 3,16,16,16,13, 0, 0, 0, 5,16,16,16,13, 0, 0, 0, 0, 2, 2, 7,16, 1, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 1,15,13, 0, 0, 0, 0, 2,13,16, 8, 0, 0, 0, 0, 6,15, 5, 0, 0, 0), 9),
    (( 0, 0,11,16,16, 8, 0, 0, 0, 1,13, 7, 9,16, 3, 0, 0, 0, 0, 1,10,15, 1, 0, 0, 0, 0,15,16,10, 0, 0, 0, 0, 0,14,16,16, 5, 0, 0, 0, 0, 0, 0, 8,14, 0, 0, 1,12, 4, 5,13,15, 0, 0, 0,11,16,16,15, 5, 0), 3),
    (( 0, 0, 0, 6,10, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0, 0, 0, 2,14, 2, 5, 0, 0, 0, 0,12, 7, 4,14, 0, 0, 0, 3,16, 4,10,14, 5, 0, 0, 7,16,16,16,12, 5, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 0, 5,14, 1, 0, 0), 4),
    (( 0, 0, 0, 2,12,13, 8, 1, 0, 0, 3,12, 5,14,16, 2, 0, 0,11, 1, 0,12,14, 0, 0, 2,11, 3, 7,14, 3, 0, 0, 3,15,11, 5,10, 0, 0, 0, 0, 0, 0, 9, 6, 0, 0, 0, 0, 0, 1,14, 2, 0, 0, 0, 0, 0, 0,14, 1, 0, 0), 9),
    (( 0, 0,13,16,15, 2, 0, 0, 0, 5,16, 7,11,13, 0, 0, 0, 8,16, 2, 1,14, 6, 0, 0, 8,15, 0, 0, 8,11, 0, 0,10,12, 0, 0, 4,12, 0, 0,11,12, 0, 0, 7,12, 0, 0, 7,15, 4, 5,15, 8, 0, 0, 0,13,16,16,10, 0, 0), 0),
    (( 0, 0,10,16, 6, 0, 0, 0, 0, 0,15,14,16, 0, 0, 0, 0, 0,14, 4,16, 0, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 1,14,16,13,12, 6, 0, 0, 0, 8, 8, 8,11,11, 0), 2),
    (( 0, 0, 2,11,13,11, 3, 0, 0, 0,12,11, 6,14,13, 0, 0, 3,16, 0,10,16, 4, 0, 0, 2,16,16,16,13, 0, 0, 0, 0, 2, 4, 9, 8, 0, 0, 0, 0, 0, 3,15, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 1,14, 0, 0, 0, 0), 9),
    (( 0, 0, 1,11,16,16,15, 1, 0, 0, 6, 9, 8,14,14, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 1, 4, 6,16, 4, 0, 0, 0,10,16,16,15, 7, 0, 0, 0, 3, 5,16, 6, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 1,15, 4, 0, 0, 0), 7),
    (( 0, 0, 7,10,13, 5, 0, 0, 0, 6,16,12,16,12, 0, 0, 0, 6,15, 6,16,14, 1, 0, 0, 1,13,16,12,16, 2, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0,11, 6, 4,13, 8, 0, 0, 0, 9,16,16,12, 3, 0), 9),
    (( 0, 0,11, 8, 0, 0, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 0, 0,13,16, 5, 0, 0, 0, 0, 0,12,16, 6, 0, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0,16,16,16,16,11, 3, 0, 0,11,16,16,16,16,11), 1),
    (( 0, 0, 0, 2,15, 9, 0, 0, 0, 0, 0, 7,16,15, 0, 0, 0, 0, 5,15,16,10, 0, 0, 0, 3,16,16,16, 6, 0, 0, 0, 3,12,14,16, 5, 0, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0, 5,16,15, 2, 0, 0, 0, 0, 2,13,15, 4, 0), 1),
    (( 0, 2,12,14,12, 1, 0, 0, 0, 7,13, 6,14, 5, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 2,15,16,14, 1, 0, 0, 0, 1, 6, 5,12,13, 0, 0, 0, 0, 0, 0, 1,14, 6, 0, 0, 4, 8, 4, 5,14, 8, 0, 0, 2,13,16,15, 9, 1, 0), 3),
    (( 0, 0, 9,13,15,10, 1, 0, 0, 0, 7, 4, 4,12,13, 0, 0, 0, 0, 0, 0, 7,11, 0, 0, 0, 2,12,13,12, 2, 0, 0, 0, 0,10,15, 1, 0, 0, 0, 0, 0, 1,11, 9, 0, 0, 0, 0,12, 3, 3,15, 0, 0, 0, 0, 8,16,16, 3, 0, 0), 3),
    (( 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 0, 3,15,12, 0, 0, 0, 0, 5,14,10,12, 0, 0, 0, 2,15, 6, 5, 9, 0, 0, 0, 6,15,12,15,16, 8, 0, 0, 1, 8, 8,12,12, 2, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0, 5,11, 0, 0), 4),
    (( 0, 2,15,13,11, 8, 1, 0, 0, 7,16,14,13,12, 3, 0, 0, 8,16, 4, 0, 0, 0, 0, 0, 4,16,16,14, 3, 0, 0, 0, 0, 3, 4,13,14, 0, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 7, 3, 2,13,10, 0, 0, 2,15,16,16,16, 9, 0), 5),
    (( 0, 0, 7,16, 2, 0, 4, 0, 0, 0,15,12, 0, 4,16, 3, 0, 6,16, 2, 2,15,10, 0, 0,10,14, 0,12,12, 1, 0, 0, 9,16,16,16,10, 0, 0, 0, 1, 8,16, 9, 1, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0), 4),
    (( 0, 2,10,15,14, 9, 2, 0, 0, 4,11, 4, 5,14, 8, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 6,14, 3, 0, 0, 0, 0, 0, 8,16, 7, 0, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 2, 4, 4, 7,15, 1, 0, 0, 3,12,14,12, 6, 0, 0), 3),
    (( 0, 0,15, 2,14,13, 2, 0, 0, 0,16,15,12,13, 8, 0, 0, 2,16,12, 1, 6,10, 0, 0, 7,15, 3, 0, 5, 8, 0, 0, 5,12, 0, 0, 8, 8, 0, 0, 5,12, 0, 7,15, 5, 0, 0, 5,16,13,16, 6, 0, 0, 0, 0,10,12, 5, 0, 0, 0), 0),
    (( 0, 0,10,15, 3, 0, 0, 0, 0, 0,16, 7, 8, 0, 0, 0, 0, 0,11, 5, 4,10, 3, 0, 0, 0, 3,13,15,10, 1, 0, 0, 0, 2,15,14, 1, 0, 0, 0, 0,13, 9,10, 6, 0, 0, 0, 1,14, 4, 8, 8, 0, 0, 0, 0, 8,14,13, 4, 0, 0), 8),
    (( 0, 0, 5,11, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0, 8,16,15,12, 6, 0, 0, 0, 8,16,14,12,16, 2, 0, 0, 2,16,12, 5,16, 4, 0, 0, 0, 5,14,15,10, 0, 0), 6),
    (( 0, 0,11,16, 6, 0, 0, 0, 0, 9,15,14,16, 0, 0, 0, 0,10,12, 3,16, 2, 0, 0, 0, 5, 6, 0,15, 2, 0, 0, 0, 0, 0, 7,11, 0, 0, 0, 0, 0, 4,16, 8, 4, 1, 0, 0, 0,11,16,16,16, 9, 0, 0, 0, 8,12,10,13, 7, 0), 2),
    (( 0, 0, 0, 0, 7,13, 1, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 1, 9,16,16, 0, 0, 0, 4,12,16,16,16, 0, 0, 0, 5,10, 3,12,15, 0, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 0, 9,12, 0, 0), 1),
    (( 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0,13,15, 1, 0, 0, 0, 0,10,16, 3, 2, 0, 0, 0, 5,16, 9, 0,13,10, 0, 0,12,16, 6, 6,16, 6, 0, 0, 1,15,16,16,16, 1, 0, 0, 0, 0, 4,16,11, 0, 0, 0, 0, 0, 4,16,11, 0, 0), 4),
    (( 0, 0, 9,16, 7, 5, 0, 0, 0, 0, 9,16,16,16, 0, 0, 0, 0, 7,16,15, 6, 0, 0, 0, 0, 7,16, 7, 0, 0, 0, 0, 0,14,16, 5, 0, 0, 0, 0, 3,16,16, 4, 0, 0, 0, 0, 1,16,16, 5, 0, 0, 0, 0, 0, 7,12, 1, 0, 0, 0), 8),
    (( 0, 0,11,16,16,16, 7, 0, 0, 0, 9, 8, 8,16,13, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 2, 4,12,16, 4, 0, 0, 0,15,16,16,16,10, 0, 0, 0, 5,14,10, 4, 0, 0, 0, 0, 6,16, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0), 7),
    (( 0, 0, 8,15,11, 4, 0, 0, 0, 7,15,13,14,16, 2, 0, 0, 8,14, 0,10,16, 4, 0, 0, 0,14,15,16,12, 1, 0, 0, 0, 9,16,13, 1, 0, 0, 0, 0,14,16,11, 0, 0, 0, 0, 0,15,16,16, 2, 0, 0, 0, 0, 8,16,15, 3, 0, 0), 8),
    (( 0, 0,14,16, 8, 3, 0, 0, 0, 5,15, 8,16,16, 3, 0, 0, 9,11, 1,12,15, 2, 0, 0, 1,13,16,15, 3, 0, 0, 0, 0,11,14,15, 3, 0, 0, 0, 1,16, 4, 4,14, 5, 0, 0, 4,14, 5, 4,11,12, 0, 0, 0, 9,12,13,12, 8, 0), 8),
    (( 0, 0, 6,12,14,16,16, 4, 0, 3,16,15,12,15,16, 4, 0, 1, 5, 0, 1,16,11, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0,12,16, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0), 7),
    (( 0, 0, 4,14,15, 8, 1, 0, 0, 0,14,14,12,15, 7, 0, 0, 3,15, 1, 0, 9, 7, 0, 0, 6,12, 0, 0, 8, 8, 0, 0, 8,11, 0, 0, 9, 8, 0, 0, 8,12, 0, 0,14, 5, 0, 0, 3,16, 9,14,11, 0, 0, 0, 0, 6,14,11, 0, 0, 0), 0),
    (( 0, 0, 9,16,12, 1, 0, 0, 0, 7,16,13,16, 9, 0, 0, 0, 9, 6, 0,12,12, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0,12,16,13, 9, 2, 0, 0, 0,11,16,16,16,11, 0), 2),
    (( 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 5,16, 4, 3, 5, 0, 0, 3,13, 7, 0,10,14, 0, 0,10,16,16,16,16,11, 0, 0, 5, 8,10,13,16, 7, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,10,11, 0, 0), 4),
    (( 0, 0, 3,13,13, 4, 0, 0, 0, 1,14,13,10,16, 1, 0, 0, 6,12, 1, 3,16, 6, 0, 0, 7,15, 4,10,16, 8, 0, 0, 2,11,15,12,16, 8, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 5,10, 4,16, 8, 0, 0, 0, 2,12,16,11, 1, 0), 9),
    (( 0, 0, 0,13,14, 0, 0, 0, 0, 0, 8,15, 3, 5, 3, 0, 0, 2,16, 8, 1,16,10, 0, 0,11,16, 8,10,16, 6, 0, 0, 5,16,16,16,16, 6, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 0,16, 2, 0, 0, 0), 4),
    (( 0, 0, 7,16,10, 0, 0, 0, 0, 1,16,14,16, 9, 0, 0, 0, 0,11,16,16,15, 0, 0, 0, 0, 0, 7,13,14, 0, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 1,11,15, 3, 0, 0, 0, 0, 6,16, 6, 0, 0, 0), 9),
    (( 0, 0, 5,15, 9, 0, 0, 0, 0, 2,13, 8,15, 5, 0, 0, 0, 2, 2, 0, 8, 5, 0, 0, 0, 0, 5, 9,15, 2, 0, 0, 0, 0,11,15,15,11, 0, 0, 0, 0, 0, 0, 1,14, 1, 0, 0, 0, 4, 9, 4,11, 3, 0, 0, 0, 5,12,13, 9, 0, 0), 3),
    (( 0, 0, 0,12,16,15, 3, 0, 0, 0, 4,10,12,11, 2, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 8,16,15, 5, 0, 0, 0, 0, 1, 8,13,16, 2, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 5,11,13,11, 0, 0, 0, 0, 1,14,12, 2, 0, 0), 5),
    (( 0, 0, 6,11, 0, 0, 0, 0, 0, 1,15,12, 2, 4, 0, 0, 0, 5,12, 3,16,16, 4, 0, 0, 5, 9, 0, 8, 7, 8, 0, 0, 8, 8, 0, 0, 4, 8, 0, 0, 7, 9, 0, 0, 4, 9, 0, 0, 0,15, 8, 9,15, 7, 0, 0, 0, 6,16,16, 9, 0, 0), 0),
    (( 0, 0, 9,14,16,16, 5, 0, 0, 0, 6,16, 7,11,10, 0, 0, 0, 0,15, 7, 9, 9, 0, 0, 0, 0,12,15,15, 3, 0, 0, 0, 7,16,16, 6, 0, 0, 0, 3,14, 2,16, 2, 0, 0, 0, 5,15, 5,16, 4, 0, 0, 0, 1,11,16,12, 0, 0, 0), 8),
    (( 0, 0, 1,10,13, 1, 0, 0, 0, 0,14,12, 8, 2, 0, 0, 0, 5,14, 1, 0, 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 0, 0, 8,14,14,12,11, 0, 0, 0, 1,16,10, 0, 2,10, 0, 0, 0,13,11, 1, 0,13, 0, 0, 0, 1, 8,15,16, 9, 0), 6),
    (( 0, 0, 5,13, 3, 0, 0, 0, 0, 0,12,16,11, 0, 0, 0, 0, 0, 5,13,16, 1, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 7,16,13, 8, 4, 0, 0, 0, 5,16,16,16,16, 5), 2),
    (( 0, 0, 8,12,13,16, 8, 0, 0, 0, 9, 9, 9,16, 5, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 6,11,15,11, 1, 0, 0, 0, 9,14,15,15, 6, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0), 7),
    (( 0, 0, 2,13,12, 1, 0, 0, 0, 0,15,12, 9,10, 0, 0, 0, 2,16, 2, 0, 9, 1, 0, 0, 4,16, 1, 0, 4, 5, 0, 0, 2,16, 4, 0, 2, 9, 0, 0, 0,14, 0, 0, 6, 8, 0, 0, 0,12, 7, 5,15, 4, 0, 0, 0, 2,13,15, 6, 0, 0), 0),
    (( 0, 0, 7,14,16, 8, 0, 0, 0, 1,16,16, 8, 6, 0, 0, 0, 8,16,10, 0, 0, 0, 0, 0,14,16,16,10, 1, 0, 0, 0, 7,12, 8,15, 6, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 3, 9,16, 6, 0, 0, 0, 0,12,16,10, 1, 0, 0), 5),
    (( 0, 0, 2,13, 9, 1, 0, 0, 0, 0,13,14,10,10, 0, 0, 0, 0,14, 3, 0, 8, 0, 0, 0, 0,15, 9, 0, 5, 3, 0, 0, 0,16, 8, 0, 7, 5, 0, 0, 0,16, 7, 2,16, 2, 0, 0, 0,11, 9,13,14, 1, 0, 0, 0, 2,15,13, 1, 0, 0), 0),
    (( 0, 0, 5,15, 4, 0, 0, 0, 0, 0,15,14,15, 0, 0, 0, 0, 2,15, 3,14, 2, 0, 0, 0, 0, 3, 0,14, 4, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 6,16, 8,10,14, 0, 0, 0, 7,12,12,12,12, 1), 2),
    (( 0, 0, 5,16,16, 7, 0, 0, 0, 0, 6,15, 8,15, 3, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 1,10,16, 5, 0, 0, 0, 0,10,16, 8, 0, 0, 0, 0, 4, 1,13,13, 0, 0, 0, 3,15, 5, 7,16, 0, 0, 0, 0, 2,15,16,13, 1, 0), 3),
    (( 0, 1,12,14, 2, 0, 0, 0, 0, 8,16,16, 7, 0, 0, 0, 0, 2, 8,10, 8, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 0,16,10, 9,10, 6, 0, 0, 2,15,13,12, 8, 1, 0), 2),
    (( 0, 0,10,15, 9, 0, 0, 0, 0, 6,15,11,16, 0, 0, 0, 0, 2, 4, 4,16, 0, 0, 0, 0, 0, 0,11,16, 7, 0, 0, 0, 0, 0, 7,12,16, 4, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 3,16,12,10,16, 3, 0, 0, 1,10,14,12, 6, 0, 0), 3),
    (( 0, 0, 2,12,14, 1, 0, 0, 0, 0,14, 9,11,14, 7, 0, 0, 5,12, 0, 8,11, 1, 0, 0, 4,14, 8,13, 1, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 0, 7,13,13, 1, 0, 0, 0, 0, 8, 7,14, 6, 0, 0, 0, 0, 4,14,12, 4, 0, 0), 8),
    (( 0, 0, 3,14,16,16, 6, 0, 0, 0, 8,16,16,16, 9, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 2,13,16,16, 7, 0, 0, 0, 2,16,16,14, 2, 0, 0, 0, 6,16, 9, 0, 0, 0, 0, 0, 7,14, 2, 0, 0, 0), 7),
    (( 0, 0, 8,15,16,16, 2, 0, 0, 7,16,12, 8, 5, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0), 5),
    (( 0, 0, 7,16, 7, 0, 0, 0, 0, 4,16, 9,10,11, 2, 0, 0,11,10, 0,11,14, 1, 0, 0, 6,14, 7,14, 7, 0, 0, 0, 0,11,16,12, 0, 0, 0, 0, 0,13,12,15, 1, 0, 0, 0, 4,16, 7,14, 2, 0, 0, 0, 0, 8,16,10, 0, 0, 0), 8),
    (( 0, 0, 0, 2,14,14, 1, 0, 0, 0, 0,12,16,16, 1, 0, 0, 1,10,16,16,14, 0, 0, 0, 6,16,15,16,10, 0, 0, 0, 1, 3,11,16, 7, 0, 0, 0, 0, 0, 7,16, 8, 0, 0, 0, 0, 0, 7,16,13, 1, 0, 0, 0, 0, 3,15,15, 0, 0), 1),
    (( 0, 0,13,13, 4, 0, 0, 0, 0, 4,14, 7,14, 0, 0, 0, 0, 7, 8, 0,10, 4, 0, 0, 0, 1, 4, 0,13, 3, 0, 0, 0, 0, 0, 1,15, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0,11,16,12,12, 4, 0, 0, 0,14,14,12,12, 6, 0), 2),
    (( 0, 0, 1,16,14, 1, 0, 0, 0, 0, 3,16,16, 4, 0, 0, 0, 0, 1,16,16, 5, 0, 0, 0, 0, 0,16,16, 7, 0, 0, 0, 0, 7,16,16, 0, 0, 0, 0, 0, 8,16,14, 0, 0, 0, 0, 0, 7,16,15, 0, 0, 0, 0, 0, 2,13,16, 0, 0, 0), 1),
    (( 0, 1, 6, 8,13, 8, 0, 0, 0, 5,16,10, 5,15, 0, 0, 0, 8,15, 6,13,13, 0, 0, 0, 5,16,16,14,15, 1, 0, 0, 0,14, 9, 0, 6, 6, 0, 0, 0,16, 1, 0, 6, 8, 0, 0, 0,16, 5, 9,15, 2, 0, 0, 0,11,16,10, 2, 0, 0), 8),
    (( 0, 0, 0,15, 2, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 4,14, 2, 0, 0, 0, 0, 0, 4,16, 6, 6, 7, 1, 0, 0, 4,16,15, 8,14, 6, 0, 0, 0, 9,15, 8,15, 7, 0, 0, 0, 2,14,15, 8, 0, 0), 6),
    (( 0, 0, 9,15,12,10, 7, 0, 0, 0, 5, 8,12,16,12, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 1, 5,14,10, 0, 0, 0, 0,13,16,16,12, 0, 0, 0, 1, 8,16,10, 2, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0), 7),
    (( 0, 0, 2,11,15, 2, 0, 0, 0, 1,15,14,11,10, 0, 0, 0, 7,16, 2, 1,16, 0, 0, 0, 6,16,12,14,16, 1, 0, 0, 0,10,16,16,16, 4, 0, 0, 0, 4,16,12, 9,10, 0, 0, 0, 7,16, 5,15, 8, 0, 0, 0, 2,12,12,13, 2, 0), 8),
    (( 0, 0, 7,13,16,13, 2, 0, 0, 2,16,15, 5,13,10, 0, 0, 6,16, 3, 0, 7,11, 0, 0,11,14, 0, 0, 5,12, 0, 0, 8,16, 0, 0, 4,12, 0, 0, 8,15, 0, 0, 7,11, 0, 0, 7,16, 8, 8,15, 2, 0, 0, 0,12,16,16, 5, 0, 0), 0),
    (( 0, 4,16,16,16,16, 6, 0, 0, 3,11, 8,14,15, 2, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 2, 7,16, 8, 3, 0, 0, 7,16,16,16,16,11, 0, 0, 1, 9,16, 3, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 6,15, 4, 0, 0, 0, 0), 7),
    (( 0, 2,11,14, 5, 0, 0, 0, 0, 5,15,12,16, 2, 0, 0, 0, 4,12, 0,12, 4, 0, 0, 0, 0, 1, 0,12, 4, 0, 0, 0, 0, 0, 1,14, 1, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 0, 1, 9,15,10, 8, 4, 0, 0, 2,15,15,12,12, 7, 0), 2),
    (( 0, 0, 7,13,15, 3, 0, 0, 0, 3,16, 4, 8, 4, 0, 0, 0, 1,16, 3,10, 0, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 0, 6,11,11,10, 1, 0, 0, 1,13, 3, 0, 9, 6, 0, 0, 2,14, 1, 0, 9, 3, 0, 0, 0, 4,13,14, 9, 0, 0), 8),
    (( 0, 0, 4,14, 4, 0, 0, 0, 0, 0,13,12, 2, 0, 0, 0, 0, 0,16, 2, 0, 0, 0, 0, 0, 1,16,16,16, 9, 0, 0, 0, 2,16, 5, 0, 8, 9, 0, 0, 0,14, 4, 0, 1,14, 0, 0, 0,10, 9, 4,12,13, 0, 0, 0, 4,15,15, 9, 2, 0), 6),
    (( 0, 0, 8,16,14, 4, 0, 0, 0, 5,16,11,12,13, 1, 0, 0, 8,16, 0, 8,16, 0, 0, 0, 6,16, 7, 8,16, 5, 0, 0, 0, 8,12,12,16, 8, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 5,10, 1,15, 5, 0, 0, 0,10,16,14,12, 2, 0), 9),
    (( 0, 0, 0,10, 7, 1, 0, 0, 0, 0, 7,16,16, 9, 0, 0, 0, 2,15,16,16,13, 0, 0, 0, 1, 9,16,16,12, 0, 0, 0, 0, 0,16,16,12, 0, 0, 0, 0, 1,16,16,12, 0, 0, 0, 0, 3,16,16,16, 0, 0, 0, 0, 0, 9,12,11, 0, 0), 1),
    (( 0, 0, 4,13,14, 6, 0, 0, 0, 0, 8,15, 6,16, 4, 0, 0, 0, 8,15, 3,16, 1, 0, 0, 0, 0,13,16,15, 1, 0, 0, 0, 7,16,16, 4, 0, 0, 0, 4,16, 9,12,10, 0, 0, 0, 2,14, 9,11,16, 0, 0, 0, 0, 5,12,15, 7, 0, 0), 8),
    (( 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 1,13, 7, 0, 4, 5, 0, 0, 8,12, 0, 1,15, 5, 0, 4,16, 2, 0,11,10, 0, 0,12,15,12,12,16, 1, 0, 0, 9,12,12,14,13, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 0, 4,12, 0, 0, 0), 4),
    (( 0, 0, 6,12, 8, 0, 0, 0, 0, 7,16, 8,15, 1, 0, 0, 0, 9, 4, 0,13, 4, 0, 0, 0, 0, 0, 1,16, 1, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 6,15, 6, 4, 6, 0, 0, 0, 7,16,15,12,12, 0), 2),
    (( 0, 0, 5,14,16, 8, 0, 0, 0, 6,15,10,12,16, 1, 0, 0, 9, 5, 0,13, 8, 0, 0, 0, 6,15,13,15, 1, 0, 0, 0, 0,11,16, 4, 0, 0, 0, 0, 0,15,16, 7, 0, 0, 0, 0, 0,16,13,14, 0, 0, 0, 0, 0, 5,16,15, 4, 0, 0), 8),
    (( 0, 0, 4,16,16,15, 4, 0, 0, 0,10,10, 5, 3, 0, 0, 0, 6,14, 1, 4, 2, 0, 0, 0, 8,15,14,15,15, 2, 0, 0, 5,12, 5, 0, 9, 8, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 5, 9, 7,14, 2, 0, 0, 0, 3,16,11, 4, 0, 0), 5),
    (( 0, 0,13,15, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 7,16, 0, 0, 0, 0, 0, 0,10,14, 0, 3, 1, 0, 0, 0, 9,12,10,16,14, 3, 0, 0, 8,16,13, 5, 7,15, 0, 0, 2,16, 9, 0, 7,16, 0, 0, 0,13,16,16,16, 7, 0), 6),
    (( 0, 0, 6,12,11, 6, 0, 0, 0, 0, 8,16,16,16, 3, 0, 0, 0, 8,16,16,13, 0, 0, 0, 0, 8,16,16,12, 0, 0, 0, 0,10,16,16,12, 0, 0, 0, 3,15,16,16, 7, 0, 0, 0, 3,15,16,16, 2, 0, 0, 0, 0, 3, 8, 9, 5, 0, 0), 1),
    (( 0, 0, 9,14,15, 4, 0, 0, 0, 0,16, 9, 9,16, 0, 0, 0, 0, 0, 1,13,12, 0, 0, 0, 0, 2,15,16, 3, 0, 0, 0, 0, 2,12,12,12, 1, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0,14, 9, 5,13,12, 0, 0, 0, 9,16,16,14, 1, 0), 3),
    (( 0, 1,10,13, 5, 0, 0, 0, 0,10,14,12,14, 0, 0, 0, 0, 5, 4, 2,15, 0, 0, 0, 0, 0, 0, 7,10, 0, 0, 0, 0, 0, 2,15, 4, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 0, 1,16,13,12,13,12, 0, 0, 0,15,12,12,10, 4, 0), 2),
    (( 0, 0, 7,12, 0, 0, 0, 0, 0, 0,15,15,10,13, 0, 0, 0, 5,14, 3, 3,14, 2, 0, 0, 4,10, 0, 0,10, 5, 0, 0, 3, 9, 0, 0,15, 3, 0, 0, 2, 9, 0, 3,16, 1, 0, 0, 0,14, 4,13, 8, 0, 0, 0, 0, 5,16,12, 1, 0, 0), 0),
    (( 0, 2,15,16, 7, 0, 0, 0, 0, 7,16,13,16, 3, 0, 0, 0, 3,16, 1,16, 7, 0, 0, 0, 0, 2, 5,16, 3, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 3,15, 7, 0, 0, 0, 0, 0,13,16,12,10, 7, 0, 0, 2,15,16,16,16,16, 5), 2),
    (( 0, 1, 6,13,13, 4, 0, 0, 0, 9,16,14,15,15, 0, 0, 0, 5, 5, 0, 6,13, 0, 0, 0, 0, 0, 1,12,11, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 8,16, 9,13,10, 0, 0, 0, 4,14,16, 9, 2, 0), 2),
    (( 0, 0, 5,13,14, 1, 0, 0, 0, 0,14,16,16, 9, 0, 0, 0, 0,10,16,16,14, 0, 0, 0, 0, 2,12,14,16, 2, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 4,15,16, 2, 0, 0, 0, 5,16,16,14, 0, 0, 0, 0, 4,14,15, 1, 0, 0), 9),
    (( 0, 0, 0, 2,15, 5, 0, 0, 0, 0, 0, 9,15, 2, 2, 0, 0, 0, 3,16, 7, 5,16, 2, 0, 1,12,16, 8,14,13, 0, 0,11,16,16,16,16,10, 0, 0,10,10, 4,14,14, 1, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 1,15, 3, 0, 0), 4),
    (( 0, 0,13,16,16, 5, 0, 0, 0, 1,10, 8,16, 6, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0, 3,13,16, 6, 0, 0, 0, 0, 0, 0,10,15, 1, 0, 0, 0, 2, 5, 7,16, 7, 0, 0, 0,15,16,16,14, 2, 0), 3),
    (( 0, 0, 9,16,10, 0, 0, 0, 0, 0,16,13,16, 5, 0, 0, 0, 3,16, 4, 7,14, 0, 0, 0, 4,15, 3, 0,12, 7, 0, 0, 7,12, 0, 0,10, 8, 0, 0, 5,13, 0, 4,15, 3, 0, 0, 2,16,13,16, 9, 0, 0, 0, 0, 8,13, 9, 1, 0, 0), 0),
    (( 0, 0, 0,11, 6, 0, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,10,12, 5, 7, 1, 0, 0, 0, 9,16,12,12,15, 2, 0, 0, 7,15, 6, 9,15, 8, 0, 0, 1,10,15,15,10, 0), 6),
    (( 0, 0, 9,12,11, 0, 0, 0, 0, 7,13, 4,14, 2, 0, 0, 0, 2, 6, 0,14, 4, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,10,14,13, 1, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 8, 5,10,14, 2, 0, 0, 1,15,16,11, 1, 0, 0), 3),
    (( 0, 2,13,16,16,16, 2, 0, 0, 1,10, 8,10,16, 0, 0, 0, 0, 7, 8,12,15, 7, 0, 0, 3,16,16,16,12, 5, 0, 0, 0, 2,11,14, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0), 7),
    (( 0, 0, 6,14,16, 5, 0, 0, 0, 3,16,13,13,12, 0, 0, 0, 1, 4, 1,12,12, 0, 0, 0, 0, 4,14,16, 6, 0, 0, 0, 0, 6,14,16,15, 2, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 2,16,10,13,15, 0, 0, 0, 0, 9,14, 8, 2, 0, 0), 3),
    (( 0, 0, 8,15,11, 1, 0, 0, 0, 1,14,14,14,10, 0, 0, 0, 3,16, 3, 0, 9, 3, 0, 0, 5,14, 0, 0, 6, 6, 0, 0, 5,13, 0, 0, 7, 7, 0, 0, 4,12, 0, 0,13, 6, 0, 0, 1,16,13,16,12, 0, 0, 0, 0, 7,16,12, 1, 0, 0), 0),
    (( 0, 0, 1, 9,16,16,16, 8, 0, 0, 7,15, 9,12,13, 1, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0,13,16,16,16, 8, 0, 0, 1, 9, 8,14, 5, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0), 7),
    (( 0, 2,15,16,15, 1, 0, 0, 0, 3, 9, 5,14, 7, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0, 6,13,16,10, 0, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0, 2,14, 7, 0, 0, 0,14,13,16,11, 1, 0), 3),
    (( 0, 0,10,16,16,16,15, 4, 0, 0,10,12, 8,11,16, 7, 0, 0, 0, 0, 1,12,14, 1, 0, 0, 0, 1,13,13, 1, 0, 0, 0, 0,13,12, 1, 0, 0, 0, 0, 6,14, 3, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0,14, 2, 0, 0, 0, 0), 7),
    (( 0, 1, 7,12,10, 1, 0, 0, 0, 1,14,16,16,12, 0, 0, 0, 0,12,16,16,14, 0, 0, 0, 0, 7,16,16,14, 1, 0, 0, 0, 5,16,16,13, 0, 0, 0, 0, 7,16,16,14, 0, 0, 0, 1,14,16,16,15, 2, 0, 0, 1, 8,12,10, 8, 0, 0), 1),
    (( 0, 0, 7,10, 0, 0, 0, 0, 0, 0,12,13,11, 6, 0, 0, 0, 3,16,16,16,16, 6, 0, 0, 8,13, 4, 5,15, 6, 0, 0, 8,12, 0, 0,10, 8, 0, 0, 6,14, 1, 5,15, 4, 0, 0, 4,16,16,16,13, 0, 0, 0, 1,12,14, 9, 1, 0, 0), 0),
    (( 0, 0, 0, 3,16,11, 1, 0, 0, 0, 0, 8,16,16, 1, 0, 0, 0, 0, 9,16,14, 0, 0, 0, 1, 7,16,16,11, 0, 0, 0, 9,16,16,16, 8, 0, 0, 0, 1, 8, 6,16, 7, 0, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 0, 2,14,14, 1, 0), 1),
    (( 0, 3,11,15,14, 2, 0, 0, 0,10,13, 8,14,10, 0, 0, 0, 5, 1, 0,13, 8, 0, 0, 0, 0, 0, 9,16, 8, 0, 0, 0, 0, 0, 5, 9,16, 3, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 4,12, 8,11,15, 3, 0, 0, 1, 8,12,11, 4, 0, 0), 3),
    (( 0, 0, 6,12,14,11, 0, 0, 0, 1,11, 8,10,14, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 0,10,16,13, 1, 0, 0, 0, 0, 0, 7,15, 5, 0, 0, 0, 4, 4, 5,14, 3, 0, 0, 0,10,15,12, 8, 0, 0), 3),
    (( 0, 0,11,15,16,16,16, 7, 0, 0,14,14,12,16,16, 3, 0, 0, 1, 0, 4,16, 6, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 7,15, 4, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0,11,16, 5, 0, 0, 0, 0, 0,15,15, 0, 0, 0, 0), 7),
    (( 0, 0, 0,15, 2, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 5,15, 1, 0, 6, 6, 0, 0,12, 9, 0, 3,16,11, 0, 0, 6,16,12,14,13, 1, 0, 0, 0, 3,11,16, 2, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0), 4),
    (( 0, 0, 2, 8,12,13, 9, 1, 0, 0,15,16,14,16,16, 0, 0, 4,16,14,13,16,12, 0, 0, 0,13,14,11,16,10, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0,13,15, 3, 0, 0, 0, 0,10,15, 2, 0, 0, 0, 0, 1,16, 5, 0, 0, 0), 9),
    (( 0, 0, 9, 6, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 1,16, 0, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 4,15,12,13, 9, 1, 0, 0, 6,16,11, 8,14, 5, 0, 0, 3,16,12,10,15, 6, 0, 0, 0, 8,15,14, 7, 0, 0), 6),
    (( 0, 0, 1,15,10, 0, 0, 0, 0, 0,11,15, 3, 0, 0, 0, 0, 5,16, 7, 0, 9, 5, 0, 0,11,13, 0, 8,16,11, 0, 0,11,15,12,16,12, 0, 0, 0, 3,11,16,16, 1, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0), 4),
    (( 0, 0, 4,14,16, 7, 0, 0, 0, 1,16,14, 8, 5, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0, 3,13, 0, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0), 5),
    (( 0, 0, 7,13, 5, 0, 0, 0, 0, 4,14, 4,14,13, 0, 0, 0, 0,13, 8,12,16, 4, 0, 0, 0, 5,12,11, 6, 6, 0, 0, 0, 0, 0, 0, 5, 9, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 2, 2, 8,16, 2, 0, 0, 0,10,16,12, 3, 0, 0), 9),
    (( 0, 0,10,16,15, 3, 0, 0, 0, 6,16, 6, 9,14, 1, 0, 0, 8,16, 3, 0,13, 6, 0, 0,11,14, 0, 0, 7,10, 0, 0, 8,12, 0, 0, 4,12, 0, 0, 8,13, 0, 0, 9, 9, 0, 0, 4,16, 8, 9,16, 3, 0, 0, 0,10,16,15, 6, 0, 0), 0),
    (( 0, 0, 3,16,15, 3, 0, 0, 0, 0, 6,16,15, 3, 0, 0, 0, 0,10,16, 6, 2, 0, 0, 0, 0, 4,14,16, 3, 0, 0, 0, 4,13, 2,12, 6, 0, 0, 0, 5,11, 0, 1,12, 3, 0, 0, 0,13, 3, 0, 7,11, 0, 0, 0, 3,11,11,14,10, 0), 8),
    (( 0, 1,13, 9, 0, 0, 0, 0, 0,10,14,15, 2, 0, 0, 0, 0, 8, 6,10, 6, 0, 0, 0, 0, 2, 3,10, 5, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 0, 4,16,15,12,12, 6, 0, 0, 0,10,12,12,13,11, 0), 2),
    (( 0, 0, 8,13, 7, 0, 0, 0, 0, 5,16, 9,15, 6, 0, 0, 0, 5, 8, 0, 7,13, 0, 0, 0, 2, 4, 0, 1,15, 0, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 5,12,16, 9, 8, 1, 0, 0, 8,13,14,15,16, 4), 2),
    (( 0, 0, 5,16,16,16, 4, 0, 0, 0,12,15, 9, 5, 1, 0, 0,12,16,14, 7, 0, 0, 0, 0, 9,16,16,16,15, 0, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 6, 5, 0,14, 7, 0, 0, 0,12,10, 9,16, 2, 0, 0, 0, 5,16,16, 7, 0, 0), 5),
    (( 0, 1,11,16,15, 1, 0, 0, 0, 5,16,16,16, 5, 0, 0, 0, 0, 3, 8,16, 2, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 1,16,15, 9, 8, 2, 0, 0, 1,12,16,16,16, 3, 0), 2),
    (( 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 1,16,11, 0, 2, 1, 0, 0, 9,16, 2, 2,15,11, 0, 0,11,14, 9,15,15, 3, 0, 0, 3,12,13,16, 6, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0,13,13, 0, 0, 0), 4),
    (( 0, 0, 5,15,16, 6, 0, 0, 0, 0,13,12,11,11, 0, 0, 0, 0,13,11,16, 5, 0, 0, 0, 0, 7,16,14, 1, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 1,15,12,13, 0, 0, 0, 0, 0,15, 5,15, 5, 0, 0, 0, 0, 5,16,16, 6, 0, 0), 8),
    (( 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 5,16,15, 0, 0, 0, 0, 3,14,16,12, 0, 0, 0, 3,15,16,16,10, 0, 0, 0, 4, 4, 8,16, 8, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 3,15,10, 0, 0, 0, 0, 0, 0, 7,14, 2, 0), 1),
    (( 0, 0, 7,14, 7, 0, 0, 0, 0, 6,16,16, 8, 0, 0, 0, 0, 3, 7,13,10, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 6,15, 4, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,14,15,12,16, 6, 0, 0, 0, 6,14,11, 6, 1, 0), 2),
    (( 0, 0, 1,10,13, 8, 0, 0, 0, 1,14,10, 7,15, 0, 0, 0, 1,16, 7, 7,16, 3, 0, 0, 0, 7,16,13,10, 8, 0, 0, 0, 0, 0, 0, 6, 8, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 1,10, 5,13, 3, 0, 0, 0, 1,11,16, 7, 0, 0), 9),
    (( 0, 0, 0, 1,11, 5, 0, 0, 0, 0, 0,13,12, 1, 0, 0, 0, 0, 8,14, 3, 0, 0, 0, 0, 2,16, 6, 2,12, 4, 0, 0, 7,16, 7, 8,15, 5, 0, 0, 2,16,16,16,11, 0, 0, 0, 0, 4,10,16, 7, 0, 0, 0, 0, 0, 3,14, 4, 0, 0), 4),
    (( 0, 1,13,11, 0, 0, 0, 0, 0, 5,14,16, 6, 0, 0, 0, 0, 7, 3,12, 6, 0, 0, 0, 0, 0, 0,14, 0, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 0, 0, 2,15, 4, 0, 0, 0, 0, 0, 4,16, 9, 8,10, 5, 0, 0, 1,13,16,16,15, 7, 0), 2),
    (( 0, 2,14,16, 9, 0, 0, 0, 0, 6,16,14,14, 2, 0, 0, 0, 5,12, 4,16, 1, 0, 0, 0, 0, 1, 3,16, 1, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 1,13, 9, 0, 0, 0, 0, 1,15,16,16,13, 8, 1, 0, 2,16,16,16,16,16, 3), 2),
    (( 0, 0, 2,10,16,13, 2, 0, 0, 0,13,10, 4,13, 9, 0, 0, 1,16, 1, 0,12,12, 0, 0, 0,13,16,14,16, 9, 0, 0, 0, 0, 0, 1,11, 8, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 3,13,15, 6, 0, 0), 9),
    (( 0, 0, 0,12,14, 0, 0, 0, 0, 0, 4,16,14, 1, 0, 0, 0, 0,10,15, 2, 0, 0, 0, 0, 0,14,14, 1, 0, 0, 0, 0, 0,14,16,15, 5, 0, 0, 0, 0,10,11, 4,14, 1, 0, 0, 0, 6,12, 4,14, 7, 0, 0, 0, 0, 9,16,16, 6, 0), 6),
    (( 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 3,16,16, 7, 0, 0, 0, 0,11,16,16, 0, 0, 0, 0, 1,14,16,16, 1, 0, 0, 0, 0,14,16,14, 0, 0, 0, 0, 0,10,16,13, 1, 0, 0, 0, 0, 6,16,16, 6, 0, 0, 0, 0, 3, 8,15,13, 1, 0), 1),
    (( 0, 0, 0, 6,12, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 0,14,11, 1, 0, 0, 0, 0, 0,15,15,15,16,10, 1, 0, 0, 8,14, 3, 7,16, 7, 0, 0, 0, 8,15,16,12, 3), 6),
    (( 0, 0,10,14,12, 0, 0, 0, 0, 2,16, 8, 3, 0, 0, 0, 0, 5,16,12,11, 1, 0, 0, 0, 2,12, 9,10,13, 1, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 2,14, 4, 4,13, 9, 0, 0, 0,10,14,15,11, 1, 0), 5),
    (( 0, 0, 0, 8,15, 4, 0, 0, 0, 0, 0,13,16,13, 0, 0, 0, 1, 1,10, 3,13, 6, 0, 0, 5, 8, 0, 0, 6, 8, 0, 0, 7,11, 0, 0, 4, 8, 0, 0, 3,15, 7, 0, 4, 9, 0, 0, 0, 7,16,13,11,12, 0, 0, 0, 0, 6,15,16, 4, 0), 0),
    (( 0, 1,12,16,16, 8, 0, 0, 0, 1, 8, 5, 9,12, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 5,14,14,10, 5, 0, 0, 0, 3,15,14,12, 5, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 0,13, 2, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 5,14, 1, 0, 0, 0, 0, 1,14, 7, 0, 3, 0, 0, 0, 9,14, 1, 6,15, 0, 0, 3,16,12, 4,12, 8, 0, 0, 0, 7,10,14,16, 4, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 6,12, 0, 0, 0), 4),
    (( 0, 0, 2, 8,15, 7, 0, 0, 0, 0,11,15, 6,14, 3, 0, 0, 0,16, 6, 0, 4, 9, 0, 0, 8, 4, 0, 0, 4, 8, 0, 0, 6, 7, 0, 0, 5, 8, 0, 0, 3,13, 0, 0,13, 1, 0, 0, 0,10,11, 8,11, 0, 0, 0, 0, 1,13,11, 2, 0, 0), 0),
    (( 0, 1, 3,15,14, 4, 0, 0, 0, 6,13,16,14,14, 0, 0, 0,10, 6, 9, 2,14, 3, 0, 0, 8, 4, 0, 0, 7, 8, 0, 0, 7, 6, 0, 0, 8, 8, 0, 0, 1,13, 1, 0,13, 5, 0, 0, 0,10,11, 9,15, 1, 0, 0, 0, 2,12,16, 6, 0, 0), 0),
    (( 0, 0, 0, 1, 7,15, 5, 0, 0, 0, 5,13,16,16, 8, 0, 0, 4,15,11, 5,16, 7, 0, 0, 1, 4, 0, 3,16, 4, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0,12,16, 0, 0, 0, 0, 0, 0,12,12, 0, 0), 1),
    (( 0, 1,10,16,15, 1, 0, 0, 0, 5,16,13,16, 4, 0, 0, 0, 5, 9, 3,16, 2, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 0, 9,12, 1, 0, 0, 0, 0, 0,12,14,10, 4, 0, 0, 0, 0,11,16,16,16, 2, 0), 2),
    (( 0, 0, 0, 0, 8,13, 1, 0, 0, 0, 1, 9,15,14, 1, 0, 0, 6,14,16,16,10, 0, 0, 0, 5,11, 4,16, 9, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 0, 0,11,13, 0, 0), 1),
    (( 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 9,13, 7,14, 0, 0, 0, 0,15, 2, 0, 9, 4, 0, 0, 3,13, 0, 0, 4, 8, 0, 0, 4, 7, 0, 0, 4, 8, 0, 0, 3,12, 0, 0, 4, 9, 0, 0, 0,11,10, 1, 7, 9, 0, 0, 0, 1, 9,15,14, 3, 0), 0),
    (( 0, 0, 6,15,16,16, 7, 0, 0, 0, 8,13,15,16, 7, 0, 0, 0, 1,15,14, 8, 0, 0, 0, 0, 2,16,16,13, 2, 0, 0, 0, 0, 3,11,16, 5, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 1,10,15,11, 0, 0, 0, 0, 6,16, 9, 0, 0, 0), 3),
    (( 0, 0, 2,14,15, 3, 0, 0, 0, 0,11,14,14,13, 0, 0, 0, 0,16, 4, 1,13, 4, 0, 0, 3,16, 4, 0, 7, 8, 0, 0, 5,13, 0, 0, 4, 8, 0, 0, 3,13, 1, 0, 8, 9, 0, 0, 0,12,11,10,15, 6, 0, 0, 0, 4,15,15, 8, 0, 0), 0),
    (( 0, 0, 5,16,15, 6, 0, 0, 0, 0, 9,15,13,10, 0, 0, 0, 0,11,15,11, 4, 0, 0, 0, 0, 2,12,13,16, 2, 0, 0, 0, 0, 0, 0, 7,10, 0, 0, 0, 0, 0, 0, 4,13, 0, 0, 0,13,11, 8,14,11, 0, 0, 0, 4,11,15,15, 4, 0), 5),
    (( 0, 1,12,16,11, 4, 0, 0, 0, 4,16,10,11,12, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 2,16,16, 7, 0, 0, 0, 0, 0, 3, 9,15, 6, 0, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 2, 4, 9,15, 0, 0, 0, 0,11,16,15, 6, 0, 0), 5),
    (( 0, 1,15,10, 0, 0, 0, 0, 0, 9,13,12, 9, 0, 0, 0, 0,10, 8, 8,16,10, 0, 0, 0, 3,14,16,16,12, 0, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 2,14, 3, 0, 0, 3,11, 5, 2, 8,12, 0, 0, 1, 8,13,16,16,11, 0), 9),
    (( 0, 0, 0, 1,11, 7, 0, 0, 0, 0, 2,13,10,16, 4, 0, 0, 0,13, 4, 1,16, 0, 0, 0, 6,14, 8,12,16, 7, 0, 0, 0, 8, 8,15,10, 2, 0, 0, 0, 0, 1,12, 1, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 3,15, 0, 0, 0), 4),
    (( 0, 0, 3,11,15, 5, 0, 0, 0, 1,11, 9,10,15, 1, 0, 0, 4,14, 7, 6,16, 3, 0, 0, 1,14, 8,11,16, 2, 0, 0, 0, 1, 4, 3, 9, 8, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 2, 1,13, 2, 0, 0, 0, 2,14,13,11, 0, 0), 9),
    (( 0, 0, 4,14,16,15, 1, 0, 0, 0, 6, 9,14,16, 0, 0, 0, 0, 0, 0,14,12, 2, 0, 0, 0, 6,13,16,16,12, 0, 0, 0, 6,15,15,11, 5, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 7,14, 2, 0, 0, 0), 7),
    (( 0, 0, 4,11, 1, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 1,16,13,13, 8, 0, 0, 0, 0,14,13, 8,10,10, 0, 0, 0,11,11, 0, 2,16, 0, 0, 0, 2,11,16,16,12, 1), 6),
    (( 0, 0, 4,13,16, 7, 0, 0, 0, 0,11, 9,15,11, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0,12,16,16,16, 5, 0, 0, 0, 6,14,16,15, 2, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 6,14, 2, 0, 0, 0), 7),
    (( 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 0,13,12, 0, 0, 1, 0, 0, 6,16, 2, 0,10,11, 0, 0,10,16, 6,13,16, 8, 0, 0, 5,16,16,16,14, 2, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 8,16, 2, 0, 0), 4),
    (( 0, 1, 6,14,12, 0, 0, 0, 0,10,15,12,16, 2, 0, 0, 0, 7, 4, 4,16, 0, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 0,14,12, 8,11,14, 0, 0, 0, 5,16,15, 9, 8, 1), 2),
    (( 0, 0, 5,14,10, 3, 0, 0, 0, 1,16,14,16,11, 0, 0, 0, 4,16, 6,12,16, 7, 0, 0, 1,13,15,15,16, 8, 0, 0, 0, 0, 2, 7,16, 7, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 2, 4, 7,16, 3, 0, 0, 0, 6,16,15, 8, 0, 0), 9),
    (( 0, 0,15,16,16,14, 0, 0, 0, 0, 3, 4,13,13, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 5,13,16, 5, 0, 0, 0, 0,10,16,16,16, 8, 0, 0, 0, 2,16, 7, 7, 1, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0), 7),
    (( 0, 0, 5,12,15,15, 1, 0, 0, 6,16,13,14,16, 0, 0, 0, 1, 4, 0, 8,14, 0, 0, 0, 0, 0, 7,15,11, 4, 0, 0, 0, 7,16,16,16,11, 0, 0, 0, 6,15,13, 4, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0), 7),
    (( 0, 0, 0, 2,14, 5, 1, 0, 0, 0, 1,12,13, 1,15, 4, 0, 0, 9,15, 2, 6,16, 2, 0, 7,16,13, 8,14,12, 0, 0, 9,16,16,16,16,10, 0, 0, 0, 0, 3,11,15, 1, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 2,16, 4, 0, 0), 4),
    (( 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 8,14, 2, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 1,16, 4, 3, 0, 0, 0, 0, 4,16,16,16,15, 2, 0, 0, 3,16, 9, 1,10,13, 0, 0, 0,15,10, 4, 9,13, 0, 0, 0, 3,12,14,14, 7, 0), 6),
    (( 0, 0, 0, 5,15, 7, 0, 0, 0, 0, 6,15,10,16, 2, 0, 0, 4,16, 5, 0,10, 8, 0, 0, 1,15, 4, 0, 8, 8, 0, 0, 0,14, 4, 0, 8, 8, 0, 0, 0,12, 7, 0,14, 6, 0, 0, 0, 7,16,13,15, 1, 0, 0, 0, 0, 6,13, 5, 0, 0), 0),
    (( 0, 0, 5,16,16, 6, 0, 0, 0, 0,13,12,11,13, 0, 0, 0, 0,13,10,14, 8, 0, 0, 0, 0, 7,16,14, 1, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 0,16,13,14, 0, 0, 0, 0, 0,15, 3,12, 9, 0, 0, 0, 0, 5,15,16, 7, 0, 0), 8),
    (( 0, 0, 3,15,16,16, 6, 0, 0, 0,11,15,12,16, 2, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 4, 8,16, 8, 2, 0, 0, 0,14,16,16,16,10, 0, 0, 0, 3,13,12, 6, 1, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0, 7,15, 2, 0, 0, 0), 7),
    (( 0, 1,10,14, 2, 0, 0, 0, 0, 4,16,14, 6, 0, 0, 0, 0, 5, 9, 8, 8, 0, 0, 0, 0, 0, 1,13, 7, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 6,14, 0, 2, 2, 0, 0, 0,16,16,16,16,12, 0, 0, 0,15,13,10, 9, 8, 0), 2),
    (( 0, 0, 0, 4,13, 2, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 5,14, 0, 9, 7, 0, 0, 2,16, 3, 5,16, 5, 0, 0, 7,14, 0,12,13, 0, 0, 0, 7,16,13,15,11, 0, 0, 0, 0, 5,13,16,16, 2, 0, 0, 0, 0, 3,14, 2, 0, 0), 4),
    (( 0, 0,13,14, 2, 0, 0, 0, 0, 5,16,15,10, 0, 0, 0, 0, 4, 8, 0,16, 0, 0, 0, 0, 0, 2, 3,12, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0, 0, 2,13, 6, 0, 0, 0, 0, 0,13,16,14,15,14, 0, 0, 0, 8, 8, 8,12,15, 0), 2),
    (( 0, 0, 3,14,13, 1, 0, 0, 0, 0,12,12, 3, 2, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0, 2,14, 0, 2, 2, 0, 0, 0, 2,14,14,16,16, 8, 0, 0, 0,11,16,11,11,16, 2, 0, 0, 1,10,12,12, 9, 0), 6),
    (( 0, 0, 4,14,16,10, 0, 0, 0, 0, 3, 8,14,15, 2, 0, 0, 0, 0, 0,10,16, 5, 0, 0, 0, 6,11,15,16, 7, 0, 0, 0, 7,14,16,13, 7, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 5,14, 3, 0, 0, 0), 7),
    (( 0, 0, 0, 3,13, 8, 0, 0, 0, 0, 0,12,16,10, 0, 0, 0, 0, 0,15,16,11, 0, 0, 0, 1,15,16,16,12, 0, 0, 0, 7,16,16,16,12, 0, 0, 0, 4,13,14,16,13, 0, 0, 0, 0, 0, 8,16,16, 2, 0, 0, 0, 0, 6,14,11, 3, 0), 1),
    (( 0, 0, 0,10,11, 0, 0, 0, 0, 0, 3,16, 5, 8, 5, 0, 0, 0,10,14, 2,16, 2, 0, 0, 4,15, 5, 8,12, 0, 0, 0,12,16,12,15,16, 6, 0, 0,14,16,16,16,14, 2, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0), 4),
    (( 0, 0, 5,12,15,15, 5, 0, 0, 0, 8, 7, 4,13, 7, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 2, 4,12,10, 0, 0, 0, 7,16,14,16,12, 2, 0, 0, 2, 0,11, 7, 0, 0, 0, 0, 0, 3,14, 1, 0, 0, 0, 0, 0, 8, 7, 0, 0, 0, 0), 7),
    (( 0, 8,12,16,13, 0, 0, 0, 0, 2,10,10,16, 8, 0, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 4,16,14, 0, 0, 0, 0, 0, 0,12,16, 8, 0, 0, 0, 4, 8,15,16, 8, 0, 0,10,16,16,11, 3, 0, 0), 3),
    (( 0, 0, 7,16,14, 8, 0, 0, 0, 0, 5,14,13,12, 0, 0, 0, 0, 8,16,16,10, 0, 0, 0, 0, 9,16,16, 6, 0, 0, 0, 0,11,16,16, 5, 0, 0, 0, 2,14,16,16, 4, 0, 0, 0, 1,16,16,16, 3, 0, 0, 0, 0, 7,14,16,10, 1, 0), 1),
    (( 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 0, 1,13, 7,11, 2, 0, 0, 5,14,16,10,16, 2, 0, 0,15,16,16,16,15, 1, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0,15, 7, 0, 0), 4),
    (( 0, 0, 9,15,16,12, 1, 0, 0, 0, 3, 4, 4,15, 6, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 3,12,16,16,15, 4, 0, 0, 3, 5,12, 9, 0, 0, 0, 0, 0, 3,15, 1, 0, 0, 0, 0, 0,11, 6, 0, 0, 0, 0), 7),
    (( 0, 0, 6,12,13,12, 6, 0, 0, 0, 6, 8, 2, 5, 7, 0, 0, 0,12, 2, 0, 0, 0, 0, 0, 7,15,12, 7, 2, 0, 0, 0, 2, 8, 8, 9,15, 4, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 0, 4, 5, 4,13, 2, 0, 0, 0, 4,15,16, 6, 0, 0), 5),
    (( 0, 0, 3,14, 9, 1, 0, 0, 0, 0,10,15,13, 8, 0, 0, 0, 0,13,10, 4,14, 0, 0, 0, 0,12,16,16,16, 4, 0, 0, 0, 0, 6, 8,12,10, 0, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 3, 8, 8,13,13, 0, 0, 0, 2,10,12,10, 5, 0), 9),
    (( 0, 0, 2,15, 3, 0, 0, 0, 0, 0, 2,14,10, 0, 0, 0, 0, 0,15,16,14, 0, 0, 0, 0, 0, 6,12,16, 0, 0, 0, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 8,14,14,14, 8, 3, 0, 0, 2,11,12,12,13, 9), 1),
    (( 0, 0,13,16, 5, 0, 0, 0, 0, 0,16, 7,15, 5, 0, 0, 0, 0,15, 3,11, 9, 0, 0, 0, 0, 7, 6, 9,11, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 7, 9,16, 3, 0, 0, 0, 0,11,16,16,16,16, 8), 2),
    (( 0, 0, 6,12,12, 1, 0, 0, 0, 4,16, 8,13, 7, 0, 0, 0, 5,10, 0,11, 8, 0, 0, 0, 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0, 3,14, 2, 0, 0, 0, 7, 9, 4,11, 7, 0, 0, 0, 7,12,12,13, 5, 0), 3),
    (( 0, 5,16,14, 2, 0, 0, 0, 0, 7,16,16,10, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 1,12,11, 0, 0, 0, 0, 0, 6,16,16,16,12, 3, 0, 0, 5,16,16,16,15, 5, 0), 2),
    (( 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 0,13,16, 6, 0, 0, 0, 0, 7,15,16, 5, 0, 0, 0, 7,16,16,16, 5, 0, 0, 0, 1, 7, 4,15,10, 0, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 6,15,16, 0, 0, 0, 0, 0,10,16, 8, 0, 0), 1),
    (( 0, 0, 5,13,11, 2, 0, 0, 0, 2,14,15,15,12, 0, 0, 0, 2,16, 5, 0, 7, 4, 0, 0, 4,16, 3, 0, 3, 6, 0, 0, 3,14, 0, 0, 8, 7, 0, 0, 2,16, 0, 2,14, 6, 0, 0, 1,15,15,16,11, 0, 0, 0, 0, 7,14,10, 1, 0, 0), 0),
    (( 0, 0, 0, 6,15,10, 1, 0, 0, 0, 1,11,16,16, 5, 0, 0, 0, 8,16,16,16, 6, 0, 0, 8,16,16,16,16, 6, 0, 0, 0, 3, 7,16,16, 4, 0, 0, 0, 0, 4,16,16, 4, 0, 0, 0, 0, 6,16,16, 7, 0, 0, 0, 0, 4,14,14, 6, 0), 1),
    (( 0, 0, 9,13,16, 5, 0, 0, 0, 7,16,12, 9,12, 0, 0, 0, 6,14, 1, 1, 7, 1, 0, 0, 1,13,16,16,12, 3, 0, 0, 0, 9,16,12, 0, 0, 0, 0, 1,16, 8,16, 2, 0, 0, 0, 4,14, 2,16, 4, 0, 0, 0, 0,13,16,10, 0, 0, 0), 8),
    (( 0, 0, 3,13,10, 0, 0, 0, 0, 0,11,11,11, 5, 0, 0, 0, 2,16, 6, 0,10, 1, 0, 0, 2,14, 1, 0, 6, 5, 0, 0, 3,11, 0, 0, 2, 9, 0, 0, 2,14, 0, 0, 4, 9, 0, 0, 0,12, 9, 7,12, 9, 0, 0, 0, 2,11,15,12, 4, 0), 0),
    (( 0, 0, 6,15,16,10, 0, 0, 0, 0,14,11,10,15, 0, 0, 0, 0, 2, 0, 9,14, 0, 0, 0, 0, 5, 9,15,14, 2, 0, 0,11,16,16,16,16,11, 0, 0, 1, 3,11,13, 1, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0, 1,14,15, 0, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0, 0, 2,14,16,16,16, 6, 0, 0, 0, 3,12,16,15, 2, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0, 0, 4,13, 3, 0, 0), 4),
    (( 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0,13,16,16,13, 3, 0, 0, 2,14,16, 4,11,10, 0, 0, 0, 1,14, 6,12,12, 0, 0, 0, 0, 9,16,14, 4, 0), 6),
    (( 0, 0, 0, 0, 9,15,12, 0, 0, 0, 2,14, 9, 6,16, 1, 0, 0,12, 4, 1,12,11, 0, 0, 4,15, 7,13,16, 3, 0, 0, 2,12,11, 1,15, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0), 9),
    (( 0, 0, 0, 7,16,16, 5, 0, 0, 0, 8,15, 6,13,11, 0, 0, 2,15, 5, 0,13,10, 0, 0,10,16,10,13,16,11, 0, 0, 2,11,16,16,16, 6, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0,10,12, 0, 0, 0), 9),
    (( 0, 0, 0, 7,14, 2, 0, 0, 0, 0, 5,16,16, 4, 0, 0, 0, 0,13,16, 7, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 0,16,16,16, 5, 2, 0, 0, 0,14,16,15,13,15, 1, 0, 0, 8,16,11,14,16, 1, 0, 0, 0, 4,12,14, 7, 0), 6),
    (( 0, 0, 5,10,12, 2, 0, 0, 0, 2,16,13,11,11, 0, 0, 0, 7,14, 0, 4,15, 0, 0, 0, 1, 6, 0,10,12, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 4,16,16,16,16, 2, 0, 0, 7,15,11, 8, 8, 1), 2),
    (( 0, 3, 8,12,13, 3, 0, 0, 0, 5,11, 8,12,10, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 5,14,16,13, 0, 0, 0, 0, 7,13, 7,14, 8, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 1, 6,11,16, 7, 0, 0, 0, 3,13,11, 3, 0, 0, 0), 3),
    (( 0, 0,11,14,16, 8, 0, 0, 0, 1,12,12,14,16, 3, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 7, 8,15,16,11, 0, 0, 5,16,16,16, 8, 0, 0, 0, 0, 7,13,14, 0, 0, 0, 0, 0,15,15, 3, 0, 0, 0), 7),
    (( 0, 1, 7,15,10, 0, 0, 0, 0, 6,14, 7,16, 2, 0, 0, 0, 6,14,12,16,13, 0, 0, 0, 1,12,16,11, 0, 0, 0, 0, 0, 0,13,16, 3, 0, 0, 0, 0, 4,12, 3,14, 2, 0, 0, 0, 8, 9, 0,11, 8, 0, 0, 0, 6,16,16,11, 2, 0), 8),
    (( 0, 0, 2,15, 0, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 6,16, 8, 8, 1, 0, 0, 0, 8,16,16,16,14, 0, 0, 0, 3,15,10, 6,16, 6, 0, 0, 0, 4,11,16,14, 1, 0), 6),
    (( 0, 1,14,16, 9, 0, 0, 0, 0, 8,16,12,15, 6, 0, 0, 0, 6,16, 7, 5,14, 0, 0, 0, 4,16, 4, 0,14, 4, 0, 0, 4,16, 3, 0,10, 6, 0, 0, 6,16, 1, 0,10, 8, 0, 0, 3,16, 9, 7,15, 6, 0, 0, 1,15,16,15, 9, 0, 0), 0),
    (( 0, 0, 4,10,12, 8, 0, 0, 0, 0, 9,16,12,11, 0, 0, 0, 0,12, 9, 3, 0, 0, 0, 0, 0,13,16,16, 6, 0, 0, 0, 0, 9, 6, 8,13, 1, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0,13,12,14,13, 1, 0, 0, 0, 7,14,10, 0, 0, 0), 5),
    (( 0, 0, 0, 1,12, 6, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0,11,12, 0, 2, 0, 0, 0, 6,15, 2, 2,16, 3, 0, 0,11,14, 9,15,15, 0, 0, 0, 3,11,14,16, 8, 0, 0, 0, 0, 0, 1,13, 2, 0, 0), 4),
    (( 0, 0, 9,11,12,12, 1, 0, 0, 0,11,12,13,16, 4, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 2,11,14, 2, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 0, 6,15,16,14, 2, 0, 0, 0, 3, 6,14,16, 1, 0, 0, 0,11,16,13, 5, 0, 0), 3),
    (( 0, 0, 0, 7, 5, 0, 1, 0, 0, 0, 5,13, 1, 0,14, 4, 0, 1,16, 3, 0, 9, 7, 0, 0, 3,16, 7, 4,16, 3, 0, 0, 2,15,16,16,14, 4, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 8, 7, 0, 0, 0), 4),
    (( 0, 0, 5,12,14, 5, 0, 0, 0, 2,16,13,16, 6, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0,15,16, 5, 0, 0, 0, 0, 0, 4,11,16, 4, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 6,12,13,15, 1, 0, 0, 0, 8,12,11, 3, 0, 0), 3),
    (( 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0,14,11, 8, 5, 0, 0, 0,10,13, 1,12, 8, 0, 0, 6,16, 1, 0,14, 6, 0, 0,10,14, 8,13,16,11, 0, 0, 3,11,12,13,14, 2, 0, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 0, 8,13, 1, 0, 0), 4),
    (( 0, 0, 0, 6,14,16, 7, 0, 0, 0,10,15, 6,15, 7, 0, 0, 4,16, 3, 2,12, 0, 0, 0, 3,15,11, 7,16, 3, 0, 0, 0, 2, 9,15,13, 0, 0, 0, 0, 0, 4,15, 5, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0, 5,16, 0, 0, 0), 9),
    (( 0, 0, 9,14,16, 7, 0, 0, 0, 1,14, 6,14,13, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0,10,13,16,13, 2, 0, 0, 0,16,16,16,13, 8, 0, 0, 0, 2,15, 4, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0), 7),
    (( 0, 0, 1,15,11, 0, 0, 0, 0, 0, 9,16,16, 1, 0, 0, 0, 8,16,16,15, 0, 0, 0, 1,16,16,16,14, 0, 0, 0, 0, 4, 6,15,15, 0, 0, 0, 0, 0, 2,16,12, 0, 0, 0, 0, 0, 1,16,13, 0, 0, 0, 0, 0, 0,14,12, 0, 0, 0), 1),
    (( 0, 0, 0, 9, 4, 0, 0, 0, 0, 0, 0,16, 3, 0, 0, 0, 0, 0, 8,12, 0, 1, 0, 0, 0, 4,15, 2, 1,15, 3, 0, 0, 8,13, 0, 8,16, 3, 0, 0, 8,16,16,16,13, 4, 0, 0, 0, 4,10,13, 0, 0, 0, 0, 0, 0, 7,12, 0, 0, 0), 4),
    (( 0, 0, 8,11,16,12, 1, 0, 0, 2,16,16, 9,16, 3, 0, 0, 0,13,11, 8,15, 2, 0, 0, 0, 5,16,16, 6, 0, 0, 0, 0, 9,16,12, 0, 0, 0, 0, 2,16,12,16, 0, 0, 0, 0, 3,16, 4,16, 2, 0, 0, 0, 0,12,16,12, 0, 0, 0), 8),
    (( 0, 2,15,13, 2, 0, 0, 0, 0, 6,16,14,15, 1, 0, 0, 0, 7,12, 0,15, 8, 0, 0, 0, 4, 7, 0,16, 8, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 2,15,16,16,14, 5, 0, 0, 2,10,12,13,16, 8, 0), 2),
    (( 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 6,14, 2,11, 4, 0, 0, 2,14, 7, 9,15, 2, 0, 0,11,16, 8,14,13, 1, 0, 0,12,16,16,16,16, 6, 0, 0, 2, 4,10,16, 3, 0, 0, 0, 0, 0,11,15, 0, 0, 0), 4),
    (( 0, 2,14,16,10, 1, 0, 0, 0,11,15, 8,15, 9, 0, 0, 0, 8, 5, 0,11,12, 0, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 7,16,14, 4, 1, 0, 0, 2,16,16,16,16,15, 1), 2),
    (( 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0,13,16,16,11, 0, 0, 0, 0, 7, 7,16,16,10, 0, 0, 0, 0, 0, 8,16,15, 0), 6),
    (( 0, 0, 3,13,16, 9, 1, 0, 0, 3,13,14, 7,16, 6, 0, 0, 6,16, 4, 5,16, 3, 0, 0, 6,16, 8,15,11, 0, 0, 0, 1,16,16,13, 1, 0, 0, 0, 4,16,16,14, 2, 0, 0, 0, 2,16,15,16,10, 0, 0, 0, 0, 5,14,16,11, 0, 0), 8),
    (( 0, 0, 1,14, 7, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 3,16,16,16,14, 3, 0, 0, 1,15,16, 0, 4,13, 1, 0, 0,10,15, 3, 7,16, 5, 0, 0, 1,11,15,15, 9, 0), 6),
    (( 0, 2,16,16,16,13, 1, 0, 0, 0, 3, 3, 3,15, 5, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 3, 5,14, 3, 0, 0, 0, 0,15,16,16,14, 5, 0, 0, 0, 6,14, 4, 9, 5, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0), 7),
    (( 0, 0, 6, 9, 0, 0, 0, 0, 0, 0, 5,16,12, 0, 0, 0, 0, 4, 5, 3,13,11, 0, 0, 0, 6,11, 0, 1,14, 5, 0, 0, 3,13, 0, 0, 8, 9, 0, 0, 0,15, 1, 5,12,12, 0, 0, 0,15,14,16,14, 4, 0, 0, 0, 5,16,10, 2, 0, 0), 0),
    (( 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 1,16, 4, 4, 6, 0, 0, 0,13,12, 1,15, 7, 0, 0, 2,16, 2, 8,14, 2, 0, 0,12,16,15,16,15, 0, 0, 0, 5, 8,10,16, 2, 0, 0, 0, 0, 0, 3,11, 2, 0, 0), 4),
    (( 0, 1,12,16,12, 0, 0, 0, 0,11,13, 5,16, 3, 8, 0, 0,10,13, 4,16,15, 3, 0, 0, 2,16,12,15, 6, 0, 0, 0, 0,14,14, 2, 0, 0, 0, 0, 2,16,16, 3, 0, 0, 0, 0, 4,15,12,11, 0, 0, 0, 0, 0,14,16,13, 0, 0, 0), 8),
    (( 0, 1,12,16, 3, 0, 0, 0, 0, 5,14,14, 4, 0, 0, 0, 0, 9, 7, 7, 8, 0, 0, 0, 0, 6, 2, 8, 8, 0, 0, 0, 0, 0, 0,10, 5, 0, 0, 0, 0, 0, 0,14, 2, 0, 0, 0, 0, 0, 9,16,11, 8, 5, 0, 0, 2,14,11,12,16, 9, 0), 2),
    (( 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 5,16,12, 0, 0, 0, 0, 0,13,15, 2, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0,11,16, 2, 2, 8, 3, 0, 0,13,16,14,15,16, 6, 0, 0, 3,15,16,16,12, 0, 0, 0, 0, 2,12,16, 5, 0, 0), 4),
    (( 0, 0, 5,12,15,10, 1, 0, 0, 6,16,16,16,15, 2, 0, 0, 4,14,16,16, 5, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0, 3,16,16,10, 1, 0, 0, 0, 0, 3,16,16, 7, 0, 0, 0, 4,14,16,12, 0, 0, 0, 0, 4,14, 8, 0, 0, 0), 3),
    (( 0, 0, 3,13,15,16,16, 3, 0, 0,10,16,13,13,11, 1, 0, 0,11,16,11, 4, 0, 0, 0, 0, 4,13,16,15, 1, 0, 0, 0, 0, 2,13,16, 1, 0, 0, 0, 0, 0, 6,16, 0, 0, 0, 0, 0, 5,15, 7, 0, 0, 0, 0, 3,16, 9, 0, 0, 0), 5),
    (( 0, 0, 6,12,14, 2, 0, 0, 0, 1,16,14,13,11, 0, 0, 0, 0, 5, 3, 9,13, 0, 0, 0, 0, 3, 9,16, 8, 0, 0, 0, 0, 4,12,12,15, 7, 0, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 4, 8, 6,12,14, 1, 0, 0, 6,16,16,15, 4, 0), 3),
    (( 0, 0, 5,14,11, 0, 0, 0, 0, 0,13,16,14, 0, 0, 0, 0, 0, 6, 9,12, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,11,16,12,15, 1, 0, 0, 0, 6,16,16, 7, 0, 0), 2),
    (( 0, 1,14,14, 4, 0, 0, 0, 0,10,15,15,15, 0, 0, 0, 0,14,10, 4,16, 3, 0, 0, 0, 2, 1, 9,16, 0, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0,13,16,13, 5, 4, 0, 0, 2,15,14,16,16,16, 5), 2),
    (( 0, 0, 4,14,13, 4, 0, 0, 0, 0,13,14, 6,15, 0, 0, 0, 0, 4,15, 8,16, 0, 0, 0, 0, 0, 3,14,14, 0, 0, 0, 0, 0, 9,16,12, 0, 0, 0, 0, 8,15, 4,15, 3, 0, 0, 0,15, 8, 4,14, 7, 0, 0, 0, 4,13,13,12, 2, 0), 8),
    (( 0, 0, 8,10, 8, 7, 2, 0, 0, 1,15,14,12,12, 4, 0, 0, 7,15,12, 5, 0, 0, 0, 0, 5,14,12,15, 7, 0, 0, 0, 0, 0, 0, 2,13, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 6, 7,14, 5, 0, 0, 0, 0, 4,13, 8, 0, 0, 0), 5),
    (( 0, 0, 7, 9,15,12, 1, 0, 0, 8,15,10, 9,16, 4, 0, 0, 6, 3, 1,12,14, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 5,15, 8, 0, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 1, 7,15, 9, 0, 0, 0, 0, 7,16, 8, 0, 0, 0), 3),
    (( 0, 0, 9,16, 4, 0, 0, 0, 0, 0,14,14,13, 7, 0, 0, 0, 4,15,12,16,16, 5, 0, 0, 4,12, 7, 8,14, 8, 0, 0, 7,12, 0, 0,12, 8, 0, 0, 5,13, 0, 0,13, 8, 0, 0, 2,16,12,15,16, 5, 0, 0, 0, 9,14,12, 8, 0, 0), 0),
    (( 0, 0, 8,12, 8, 8,10, 0, 0, 0, 5,10,13,16, 8, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 2, 8,12,15,12, 2, 0, 0, 8,12,15,12, 8, 4, 0, 0, 0, 2,13, 2, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 0,10, 5, 0, 0, 0, 0), 7),
    (( 0, 0, 4,10,16,12, 1, 0, 0, 3,15,14, 8,16, 5, 0, 0, 4, 7, 0, 5,15, 2, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 4, 9,11,15, 2, 0, 0, 0, 5,13,11, 1, 0, 0), 3),
    (( 0, 0, 1,12,16, 3, 0, 0, 0, 0, 8, 8, 4, 0, 0, 0, 0, 0,14, 1, 0, 0, 0, 0, 0, 2,16, 9, 8, 6, 1, 0, 0, 4,16,14,11,12, 6, 0, 0, 2,16, 4, 1, 7,11, 0, 0, 0,11,11, 5,13, 9, 0, 0, 0, 0,10,13,10, 3, 0), 6),
    (( 0, 0, 0,10,11, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0,10,16,16, 9, 0, 0, 0, 0,10,14, 2,14, 3, 0, 0, 0, 6,14, 1,14, 5, 0, 0, 0, 0, 7,16,15, 1, 0), 6),
    (( 0, 0, 0, 0,15,15, 1, 0, 0, 0, 0, 2,16,16, 4, 0, 0, 0, 2,11,16,15, 1, 0, 0, 9,16,16,16,12, 0, 0, 0, 3,10, 8,16, 8, 0, 0, 0, 0, 0, 0,16,11, 0, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 0,15,15, 0, 0), 1),
    (( 0, 5,16,12, 0, 0, 0, 0, 0,11,16,16, 5, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 0,10,16,16,16,16, 9, 0, 0, 8,16,14, 9, 8, 3, 0), 2),
    (( 0, 0, 2,11,12,12,15, 8, 0, 0, 5,12,12,13,15, 2, 0, 0, 0, 0, 0, 7,10, 0, 0, 0, 0, 4,12,16, 8, 0, 0, 0, 1,16,16,12, 3, 0, 0, 0, 0, 4,13, 1, 0, 0, 0, 0, 1,12, 6, 0, 0, 0, 0, 0, 2,14, 1, 0, 0, 0), 7),
    (( 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 6,16,16, 4, 0, 0, 0, 0,11,15, 1, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 0,16,16,16, 9, 0, 0, 0, 1,16,12, 8,14, 5, 0, 0, 0,11,15, 9,15, 9, 0, 0, 0, 0,10,13,15, 3, 0), 6),
    (( 0, 0, 1,11,10, 0, 0, 0, 0, 0,11,16,13, 3, 0, 0, 0, 2,16,14,14,16,10, 0, 0, 2,13,16,16,16, 8, 0, 0, 0, 0, 2, 0,16, 7, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 4,15,12, 0, 0, 0, 0, 0,13, 8, 0, 0, 0), 9),
    (( 0, 1,13,16,16, 3, 0, 0, 0, 0, 2, 2,10,14, 0, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 0,11,15, 8, 1, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 3, 4, 7,15, 1, 0, 0, 0,15,16,12, 5, 0, 0), 3),
    (( 0, 0, 8,16,15, 4, 0, 0, 0, 2,16, 5, 7, 8, 0, 0, 0, 0, 6, 0, 5, 8, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 1,11,15, 4, 0, 0, 0, 0, 3,16,13, 4, 0, 0, 0, 0, 0, 8,13,16,15, 5, 0), 2),
    (( 0, 0, 8,14,16, 5, 0, 0, 0, 2,16, 8,10, 8, 0, 0, 0, 0, 4, 2,13, 6, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 4,16, 9, 8,12, 2, 0, 0, 0,10,14, 9, 2, 0, 0), 2),
    (( 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 1,14, 7, 4, 2, 0, 0, 0, 6,14, 4,15, 2, 0, 0, 0,14,15,13,16,12, 3, 0, 0,15,12,15,15,11, 1, 0, 0, 0, 0,13, 8, 0, 0, 0), 4),
    (( 0, 0, 2,15,15,11, 3, 0, 0, 2,15, 6, 4, 4, 3, 0, 0, 5,16,15, 7, 0, 0, 0, 0, 1, 4, 6,13,13, 0, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 3, 3, 0,11, 3, 0, 0, 0, 7, 7,10,12, 0, 0, 0, 0, 3,14, 9, 1, 0, 0), 5),
    (( 0, 0, 5,14,12, 8, 2, 0, 0, 0, 1,10,16,16,12, 0, 0, 0, 5,14,16,16, 2, 0, 0, 0,10,16,16,12, 0, 0, 0, 6,16,16,14, 4, 0, 0, 0, 9,16,16,11, 0, 0, 0, 0,10,16,16, 6, 0, 0, 0, 0, 1,10,14,12, 4, 0, 0), 1),
    (( 0, 0, 4,16,13,12,11, 0, 0, 0, 7,13, 4, 7,11, 0, 0, 0,12, 1, 0, 0, 0, 0, 0, 5,15,12, 8, 1, 0, 0, 0, 2, 8, 8,12,12, 0, 0, 0, 0, 0, 0, 1,13, 0, 0, 0, 0, 7, 7, 7,11, 0, 0, 0, 0, 4,15,14, 2, 0, 0), 5),
    (( 0, 2, 9,13,16,12, 2, 0, 0, 5,16,10, 7,16, 5, 0, 0, 0, 0, 0,11,15, 1, 0, 0, 0, 0, 9,16,11, 1, 0, 0, 0, 0, 1,10,15, 8, 0, 0, 0, 0, 0, 3,15, 8, 0, 0, 0, 2, 9,16,11, 1, 0, 0, 1,12,11, 3, 0, 0, 0), 3),
    (( 0, 0, 9,13,14, 1, 0, 0, 0, 2,16, 4,16,13, 0, 0, 0, 3,16, 1,11,14, 0, 0, 0, 0,10,16,16, 4, 0, 0, 0, 1,13,13,15,13, 1, 0, 0, 5,13, 1, 4,16, 5, 0, 0, 8,12, 2, 5,16, 4, 0, 0, 1, 8,16,16,11, 1, 0), 8),
    (( 0, 0, 9,16,15, 2, 0, 0, 0, 4,16,13,15,11, 0, 0, 0, 6,10, 0,14,10, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 5,15, 4, 0, 0, 0, 0, 0,14,14,11,12, 5, 0, 0, 0,12,16,16,11, 3, 0), 2),
    (( 0, 0, 0, 2,13,11, 0, 0, 0, 0, 4,11,16,16, 6, 0, 0, 2,15,16,16,14, 0, 0, 0, 0, 3,10,16,12, 0, 0, 0, 0, 0,12,16,10, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0, 4,16,13, 0, 0, 0, 0, 0, 3,14,15, 0, 0), 1),
    (( 0, 0, 2, 9,15,16, 7, 0, 0, 0,13,12, 4,10,12, 0, 0, 1,16, 6, 5,14, 6, 0, 0, 0, 8,16,16,11, 0, 0, 0, 0, 0, 2, 4,16, 2, 0, 0, 0, 0, 0, 8,13, 1, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0,10, 7, 0, 0, 0), 9),
    (( 0, 0, 6,14,14, 3, 0, 0, 0, 9,16, 3, 8,13, 0, 0, 0, 8,15,13,16,16, 2, 0, 0, 1,12,12, 9,14, 5, 0, 0, 0, 0, 0, 0,10, 6, 0, 0, 0, 0, 0, 0,10, 5, 0, 0, 0, 0, 1, 6,13, 2, 0, 0, 0, 7,12, 7, 2, 0, 0), 9),
    (( 0, 3,12,15, 9, 1, 0, 0, 0, 3,16, 8,13,10, 0, 0, 0, 0,11,12,12,12, 0, 0, 0, 0, 3,15,16,12, 0, 0, 0, 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 7,14, 7, 4,15, 7, 0, 0, 3, 9,12,15, 9, 0, 0), 9),
    (( 0, 3,16,16,16,16, 3, 0, 0, 6,16,10, 6, 2, 0, 0, 0,10,14, 2, 0, 0, 0, 0, 0,11,16,16, 5, 0, 0, 0, 0, 1, 2,10,13, 0, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 1, 6, 6,16, 2, 0, 0, 0, 2,13,16,11, 0, 0, 0), 5),
    (( 0, 0, 0,10,16, 2, 0, 0, 0, 0, 4,16,13, 1, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 0,16,15,10, 0, 0, 0, 0, 0,14,16,13,10, 0, 0, 0, 0,11,16, 8,16, 1, 0, 0, 0, 1,10,16,13, 0, 0), 6),
    (( 0, 0,13,16,14, 6, 0, 0, 0, 3,16,14,12,15, 2, 0, 0, 7,16, 2, 0, 0, 0, 0, 0,12,16,10, 6, 0, 0, 0, 0, 6,16,16,16, 6, 0, 0, 0, 0, 0, 1,10,13, 0, 0, 0, 0, 1, 4,13,14, 0, 0, 0, 0,12,16,16,10, 0, 0), 5),
    (( 0, 0, 8,13,12, 2, 0, 0, 0, 0,10,12,13,10, 0, 0, 0, 0, 1, 0, 8,12, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 1,13,12, 2, 3, 0, 0, 0,12,16,16,16, 9, 0, 0, 0,10,12, 9, 2, 0, 0), 2),
    (( 0, 0, 5,14,12, 2, 0, 0, 0, 1,16,11, 5,11, 0, 0, 0, 4,14, 0, 0, 9, 4, 0, 0, 8,10, 0, 0, 5, 8, 0, 0, 8, 8, 0, 0, 8, 8, 0, 0, 4,11, 0, 0,10, 5, 0, 0, 2,16,11,12,14, 0, 0, 0, 0, 5,14,14, 3, 0, 0), 0),
    (( 0, 0, 0, 3,13, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 5,14, 2, 0, 0, 0, 0, 1,15, 4, 0, 3, 8, 0, 0,13,15,12, 9,13,10, 0, 0, 5, 8, 8,15,14, 2, 0, 0, 0, 0, 2,14, 5, 0, 0, 0, 0, 0, 6,12, 0, 0, 0), 4),
    (( 0, 1,14,16, 9, 0, 0, 0, 0, 1,11,15,15, 2, 0, 0, 0, 0, 1,13,16, 2, 0, 0, 0, 0,10,16,16,15, 9, 0, 0, 0, 9,16,13,10, 3, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 0), 7),
    (( 0, 1, 8,14,16, 6, 0, 0, 0, 9,15,10,13,10, 0, 0, 0, 1, 2, 7,16, 5, 0, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 0, 4,16,11, 2, 0, 0, 0, 0, 0, 4,13,16, 9, 0, 0, 1, 8, 4, 4,13,13, 0, 0, 0, 9,14,16,13, 7, 0), 3),
    (( 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0,14,14, 0, 6,15, 0, 0, 9,16, 3, 3,16,10, 0, 0,13,16, 4,11,15, 1, 0, 0,13,16,16,16,12, 2, 0, 0, 2, 4,10,16, 2, 0, 0, 0, 0, 0, 9,15, 2, 0, 0), 4),
    (( 0, 0, 1,12, 6, 0, 0, 0, 0, 0,10,13, 1, 0, 0, 0, 0, 0,16, 1, 0, 0, 0, 0, 0, 2,12, 0, 0, 0, 0, 0, 0, 4,15,14,16,15, 4, 0, 0, 3,16, 4, 0, 2,13, 0, 0, 0,11, 7, 0, 4,15, 0, 0, 0, 0,10,16,14, 5, 0), 6),
    (( 0, 0, 0, 5,12, 0, 0, 0, 0, 0, 5,16,14, 2, 0, 0, 0, 0,15,15, 1, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0, 0,16,10,13,15, 4, 0, 0, 0,13,16,16,16,15, 1, 0, 0, 5,16,16,13,16, 4, 0, 0, 0, 5,14,16,12, 0), 6),
    (( 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0,10, 8, 0, 8, 3, 0, 0, 6,12, 0, 3,15, 0, 0, 2,14, 1, 0,12, 8, 0, 0, 9,15,12,16,16, 5, 0, 0, 3, 8, 5,11,10, 0, 0, 0, 0, 0, 1,15, 4, 0, 0, 0, 0, 0, 3, 9, 0, 0, 0), 4),
    (( 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 4,16, 8, 4,11, 0, 0, 1,12,14, 2,13,14, 0, 0,11,16,13,13,16, 7, 0, 0, 9,16,16,16,13, 3, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0, 6,16, 4, 0, 0), 4),
    (( 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 5,12,16, 4, 0, 0, 0, 8,16,16,16, 3, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 0,11,16, 6, 0, 0, 0, 0, 0, 6,16,12, 0, 0, 0, 0, 0, 2,16,14, 1, 0), 1),
    (( 0, 0, 0, 1,10,15, 2, 0, 0, 0, 6,14,12,16, 6, 0, 0, 4,16,15,13,16, 7, 0, 0, 6,16,14, 9,16, 2, 0, 0, 0, 1, 0, 2,14, 0, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 0,14, 0, 0, 0), 9),
    (( 0, 0, 8,16,14, 1, 0, 0, 0, 0, 6,16,16, 8, 0, 0, 0, 0, 4,16,16, 8, 0, 0, 0, 0, 2,16,16,14, 0, 0, 0, 0, 1,16,16,11, 0, 0, 0, 0, 5,16,16,10, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 0,13,16,16, 9, 0, 0), 1),
    (( 0, 0, 2,14,11, 4, 0, 0, 0, 1,14,16,13,16, 2, 0, 0, 4,16,10, 3,15, 3, 0, 0, 0, 9,16,14,14, 2, 0, 0, 1,12,16,16, 4, 0, 0, 0, 5,16, 9,11,13, 0, 0, 0, 1,14,13,10,16, 7, 0, 0, 0, 4, 9,13,11, 1, 0), 8),
    (( 0, 0, 8,12,14,10, 1, 0, 0, 3,16,12, 9,15, 8, 0, 0, 1, 6, 0, 8,14, 4, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 8, 7, 8,16, 3, 0, 0, 0, 6,14,11, 6, 0, 0), 3),
    (( 0, 0,11,12, 7, 0, 0, 0, 0, 0, 5,16,16, 9, 0, 0, 0, 0, 4,16,16,12, 0, 0, 0, 0, 4,16,16,13, 0, 0, 0, 0, 3,15,16,12, 0, 0, 0, 0, 2,13,16,12, 0, 0, 0, 0,11,16,16, 5, 0, 0, 0, 0, 8,10, 8, 0, 0, 0), 1),
    (( 0, 0, 5,12,11, 4, 0, 0, 0, 3,16,16,16,16, 1, 0, 0, 9,13, 1,14,16, 1, 0, 0, 4,16, 4,13,16, 3, 0, 0, 0,12,16,16,16, 4, 0, 0, 0, 0, 0, 1,13, 7, 0, 0, 0, 3, 8, 6,14, 8, 0, 0, 0, 5,16,16,14, 3, 0), 9),
    (( 0, 0,10,10,12,15,12, 0, 0, 0, 8,16,13,16, 8, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 9,12,16,14, 7, 0, 0, 1,16,16,15,11, 5, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0), 7),
    (( 0, 0, 3,16, 7, 0, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 8,16,16,16,12, 3, 0, 0, 6,12,15,16,16,12, 0, 0, 0, 0, 8,16, 7, 1, 0, 0, 0, 0,10,15, 2, 0, 0, 0, 0, 2,16,13, 0, 0, 0), 4),
    (( 0, 1, 8,16,16,15, 3, 0, 0, 4,15, 9, 6, 4, 0, 0, 0, 7,15,12, 8, 1, 0, 0, 0, 8,15,12,14,15, 1, 0, 0, 1, 2, 0, 1,14, 8, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0,12, 6, 7,15, 3, 0, 0, 0,10,16,11, 3, 0, 0), 5),
    (( 0, 0, 2,13, 1, 0, 0, 0, 0, 0,11,10, 1, 0, 0, 0, 0, 2,15, 1, 0, 0, 0, 0, 0, 6,11, 1, 4, 1, 0, 0, 0, 7,10, 9,16,14, 1, 0, 0, 4,12, 7, 6, 7,10, 0, 0, 1,13, 6, 2,10,14, 0, 0, 0, 3,12,13,13, 3, 0), 6),
    (( 0, 0, 6,15, 5, 0, 0, 0, 0, 0,15,16,13, 3, 0, 0, 0, 1,16,11,15,15, 3, 0, 0, 8, 9, 3, 5,16, 4, 0, 0, 8, 9, 0, 0,10, 8, 0, 0, 8,10, 0, 0,12, 5, 0, 0, 3,15,12,13,16, 1, 0, 0, 0, 8,16,13, 6, 0, 0), 0),
    (( 0, 0, 0, 1,13, 7, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 8,15, 3, 0, 2, 0, 0, 6,16, 7, 4,10,13, 0, 0,13,16,16,16,16,10, 0, 0, 1, 8, 8, 9,15, 2, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0,15, 7, 0, 0), 4),
    (( 0, 0, 1,11,14,12, 1, 0, 0, 0,11,12, 9,16, 3, 0, 0, 7, 6, 6,12, 6, 0, 0, 0, 6,13,10,14, 1, 0, 0, 0, 0,12,16, 4, 0, 0, 0, 0, 0,14,13,14, 4, 0, 0, 0, 0,11,12,11,15, 0, 0, 0, 0, 1, 9,14,14, 1, 0), 8),
    (( 0, 0, 0, 5,14,16, 7, 0, 0, 0, 6,16, 8,12,13, 3, 0, 4,16,14,10,16,16, 3, 0, 1,15,16,16,16,12, 0, 0, 0, 3, 5, 6,16, 3, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 2,15, 5, 0, 0, 0, 0, 0, 8,14, 0, 0, 0), 9),
    (( 0, 0, 6,15,11, 2, 0, 0, 0, 1,16,10,14,16, 3, 0, 0, 4,11, 0,14,16, 3, 0, 0, 3,15,16,12,15, 5, 0, 0, 0, 1, 2, 0,12, 7, 0, 0, 0, 0, 0, 1,13, 6, 0, 0, 0, 1, 5,13,12, 0, 0, 0, 0, 8,12, 6, 0, 0, 0), 9),
    (( 0, 0,12,15,16, 8, 0, 0, 0, 0,11,13, 0, 2, 0, 0, 0, 0,11, 6, 1, 0, 0, 0, 0, 2,16,16,15, 8, 0, 0, 0, 0, 3, 0, 0,11, 2, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 4, 5, 0, 1,12, 2, 0, 0, 1,11,15,16, 8, 0, 0), 5),
    (( 0, 0, 7,14, 6, 0, 0, 0, 0, 5,16, 9,13, 3, 0, 0, 0, 8,12, 0, 5,12, 0, 0, 0, 4,12, 0, 0,11, 6, 0, 0, 6,12, 0, 0, 9, 7, 0, 0, 1,15, 0, 1,15, 5, 0, 0, 0,13, 7,13,11, 0, 0, 0, 0, 4,15,11, 0, 0, 0), 0),
    (( 0, 1,16,16,15, 5, 0, 0, 0, 1,16,13, 9,15, 3, 0, 0, 3,16, 0, 5,16, 5, 0, 0, 0,12,16,16,16, 6, 0, 0, 0, 1, 4, 4,12, 5, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 1, 0, 2,14, 7, 0, 0, 0,12,16,16,15, 3, 0), 9),
    (( 0, 0,10,16, 9, 0, 0, 0, 0, 2,16,16,16, 2, 0, 0, 0, 0, 8, 1,15, 8, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 1,16,10, 0, 0, 0, 0, 0, 9,16,16, 7, 0, 0, 0, 8,16,15,12,15, 5, 0, 0,13,15, 1, 0, 5, 6), 2),
    (( 0, 0, 2,15,16,10, 0, 0, 0, 0, 1,12,14,16, 0, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 7, 8,14,15, 4, 0, 0, 5,16,16,16,15, 2, 0, 0, 1, 4,14,12, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0), 7),
    (( 0, 0, 9,12,10, 5, 0, 0, 0, 5,16,16,16,13, 0, 0, 0, 1,16,16,16,16, 0, 0, 0, 0, 8,16,16,16, 3, 0, 0, 0, 4,16,16,16, 4, 0, 0, 0, 2,16,16,16, 1, 0, 0, 0, 9,16,16,16, 1, 0, 0, 0, 5,12,12, 5, 0, 0), 1),
    (( 0, 0, 7,11,15,13, 0, 0, 0, 1,14,12,16, 9, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 2,11,16, 8, 1, 0, 0, 1,15,16,16,16,10, 0, 0, 0,10,16, 9, 4, 1, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0), 7),
    (( 0, 2, 7,12,15,13, 0, 0, 2,15,16,15,12, 5, 0, 0, 2,16, 9, 1, 0, 0, 0, 0, 0,10,13, 1, 0, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 0,11,13, 1, 0, 0, 0), 5),
    (( 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 1,13, 8, 2, 7, 0, 0, 0, 9,12, 0,10,10, 0, 0, 7,16, 4, 4,16,11, 0, 0,11,16,16,16,16, 7, 0, 0, 2, 8, 7,14, 8, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 6,12, 0, 0, 0), 4),
    (( 0, 0, 2, 9,15,12, 0, 0, 0, 1,13,13,10,16, 1, 0, 0, 0,10, 2, 8,16, 0, 0, 0, 0, 0, 4,16,14, 1, 0, 0, 0, 0, 0, 4,15, 4, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0,12,15,16, 1, 0, 0, 0, 0, 9,13, 7, 0, 0), 3),
    (( 0, 0, 7,16,10, 0, 0, 0, 0, 1,13,14,16, 8, 0, 0, 0, 5,16, 4, 7,13, 0, 0, 0, 4,16, 4, 0,13, 5, 0, 0, 7,16, 0, 0,12, 8, 0, 0, 2,15, 7, 0,10,11, 0, 0, 0,12,15,12,16, 5, 0, 0, 0, 6,15,16, 8, 0, 0), 0),
    (( 0, 1, 7,12,13, 7, 0, 0, 0, 4,14, 4, 5,16, 2, 0, 0, 8, 9, 0, 8,13, 1, 0, 0, 3,11,14,15, 3, 0, 0, 0, 0,11,13,16, 2, 0, 0, 0, 0,16, 1, 6,11, 0, 0, 0, 0,14, 1, 5,14, 0, 0, 0, 0, 7,15,15, 7, 0, 0), 8),
    (( 0, 0, 6,16, 6, 0, 0, 0, 0, 4,16,13,16, 2, 0, 0, 0, 8,15, 1,15, 5, 0, 0, 0, 5,16,16,16,16, 6, 0, 0, 0,14,16,14,13, 8, 0, 0, 0, 9,16, 3,14, 8, 0, 0, 0,12,14,11,15, 2, 0, 0, 0, 4,10,14, 7, 0, 0), 8),
    (( 0, 0, 9,16, 7, 0, 0, 0, 0, 0,16,16,14, 0, 0, 0, 0, 0, 3,13,16, 0, 0, 0, 0, 0, 7,16,16,12, 8, 0, 0, 0, 8,16,16,16, 9, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0), 7),
    (( 0, 3,13,16,16,12, 1, 0, 0, 1, 8, 4, 5,15, 6, 0, 0, 0, 0, 1, 9,15, 2, 0, 0, 0, 6,16,15, 5, 0, 0, 0, 0, 5,14,16, 8, 0, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 6,12, 6,12,15, 1, 0, 0, 4,13,12,11, 2, 0, 0), 3),
    (( 0, 2,10,15, 9, 1, 0, 0, 0,10,13, 9,16, 4, 0, 0, 0, 2, 0, 5,16, 0, 0, 0, 0, 0, 0,12,16, 9, 0, 0, 0, 0, 0, 3, 7,16, 7, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0,12, 9, 9,16, 8, 0, 0, 0,13,12,12, 6, 0, 0), 3),
    (( 0, 3,14,16, 4, 0, 0, 0, 0, 8,10,11,11, 0, 0, 0, 0, 5, 9, 0,13, 2, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 2,15, 1, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 1,13,16,14,12, 6, 0, 0, 2,12,12,12,12,11, 0), 2),
    (( 0, 0,12,15,15,12, 1, 0, 0, 0, 3, 4, 5,15, 7, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 1,11,12,14,11, 0, 0, 0, 0, 4,11,16,16, 7, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 4,14, 1, 0, 0, 0, 0, 0,12, 5, 0, 0, 0, 0), 7),
    (( 0, 0, 8,16,16,12, 0, 0, 0, 3,16, 9,11,16, 3, 0, 0, 4, 7, 0, 8,14, 1, 0, 0, 0, 5, 8,14,12, 1, 0, 0, 5,16,16,16,16,10, 0, 0, 6, 5, 9,11, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0), 7),
    (( 0, 4,16,13, 0, 0, 0, 0, 0,12,11,15, 4, 0, 0, 0, 0,12, 6,10,10, 0, 0, 0, 0, 1, 1, 8,10, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0,13,16,12,12, 8, 0, 0, 2,16,16,16,16,16, 0), 2),
    (( 0, 3,15,16,16,16, 4, 0, 0, 1,10, 8,12,16, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 5,16,13,16,14, 9, 0, 0, 3,12,16,13, 8, 2, 0, 0, 0, 9,14, 1, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 5,13, 1, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 3,10, 1, 0, 0, 0, 0, 3,15, 9, 0, 4, 0, 0, 0,12,12, 0, 4,11, 0, 0, 2,14, 3, 0,13, 6, 0, 0, 7,14, 8, 9,16, 2, 0, 0, 5,12,12,14,15, 1, 0, 0, 0, 0, 0,11, 6, 0, 0, 0, 0, 0, 0,13, 3, 0, 0), 4),
    (( 0, 0, 2,11,16,15, 1, 0, 0, 0, 4, 8,10,16, 4, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 3, 8,16, 3, 0, 0, 5,12,16,16,16, 7, 0, 0, 8, 8, 8,16, 3, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0), 7),
    (( 0, 0, 9,12,13,15,16, 3, 0, 1,14,13,12,16,14, 1, 0, 0, 0, 0, 6,15, 3, 0, 0, 0, 5,13,16,16,10, 0, 0, 1,16,16,15,12, 3, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 7,16, 0, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0), 7),
    (( 0, 1,10,13,15,11, 1, 0, 0, 4,16,12, 8, 7, 0, 0, 0, 5,16, 4, 5, 1, 0, 0, 0, 3,16,16,15,15, 2, 0, 0, 0, 0, 1, 5,14, 5, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 7,11, 6, 6,16, 4, 0, 0, 2,10,14,14, 8, 0, 0), 5),
    (( 0, 0, 4,12,12,15, 7, 0, 0, 0, 7,12,12,15, 9, 0, 0, 0, 0, 0, 1,13, 5, 0, 0, 0, 3, 8,10,16, 1, 0, 0, 0, 8,16,16,16, 5, 0, 0, 0, 0, 6,12, 1, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 3,15, 0, 0, 0, 0), 7),
    (( 0, 0, 5,15,12, 2, 0, 0, 0, 0, 7,16,16, 1, 0, 0, 0, 0,10,16,16, 6, 0, 0, 0, 0,11,16,16, 2, 0, 0, 0, 0, 7,16,16, 3, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0, 8,16,16, 8, 0, 0, 0, 0,12,16,13, 3, 0, 0), 1),
    (( 0, 0, 9,15,16, 6, 0, 0, 0, 7,16,12,11,14, 1, 0, 0, 7,16, 4, 9,16, 5, 0, 0, 0,11,16,16,16, 3, 0, 0, 0, 0, 3, 8,16, 2, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 9, 2, 5,16, 3, 0, 0, 0,10,16,16,13, 1, 0), 9),
    (( 0, 0, 0, 4,13,16,16, 3, 0, 0, 8,16, 9,12,16, 4, 0, 7,16, 3, 3,15,13, 0, 0, 9,15,14,16,16, 6, 0, 0, 1, 8, 7,12,15, 0, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 3,15, 6, 0, 0, 0, 0, 0, 5,15, 4, 0, 0), 9),
    (( 0, 0,10,16, 7, 0, 0, 0, 0, 1,16,16,15, 3, 0, 0, 0, 4,16,16,16,13, 0, 0, 0, 4,16,10,11,14, 2, 0, 0, 6,16, 0, 0,12, 4, 0, 0, 5,15, 0, 0,10, 7, 0, 0, 4,16, 8,11,16, 0, 0, 0, 1,10,15,13, 4, 0, 0), 0),
    (( 0, 0, 0,14,13, 1, 0, 0, 0, 0, 2,16,16, 2, 0, 0, 0, 0, 4,16,15, 0, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 7,16,12, 0, 0, 0, 0, 0, 7,16,12, 0, 0, 0, 0, 0, 6,16,14, 0, 0, 0, 0, 0, 1,11,16, 4, 0, 0), 1),
    (( 0, 0, 2,13, 5, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 2,16, 8, 6, 2, 0, 0, 0, 5,16, 9,10,15, 2, 0, 0, 0,16, 4, 0, 9, 8, 0, 0, 0,11,10, 3,16, 6, 0, 0, 0, 4,15,12, 9, 1, 0), 6),
    (( 0, 0, 7,16,16, 4, 0, 0, 0, 5,16, 7, 8,13, 1, 0, 0,10,13, 0, 6,16, 7, 0, 0, 5,16,12,15,16, 9, 0, 0, 0, 5, 8, 3,11,12, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 1, 4, 0,13,12, 0, 0, 0, 9,16,16,13, 3, 0), 9),
    (( 0, 0, 4, 8,13, 6, 0, 0, 0, 5,16,11, 9,12, 1, 0, 0, 7,13, 0,12,16, 4, 0, 0, 6,14, 9,15,12, 3, 0, 0, 0, 8,11,10,14, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0), 9),
    (( 0, 0,13,15, 4, 0, 0, 0, 0, 8,15, 8,10, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 0,12, 7, 0, 4, 1, 0, 0, 0,11,10,11,16,14, 3, 0, 0, 4,16,16, 6, 7,14, 0, 0, 1,16,14, 1, 1,14, 3, 0, 0,10,13,16,15,15, 0), 6),
    (( 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 5,16,16, 3, 0, 0, 0, 9,16,11,16, 1, 0, 0, 0, 1, 7, 1,16, 2, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 0,13, 8, 0, 0), 1),
    (( 0, 2,14,12,16,13, 1, 0, 0, 4,16,15, 4,10, 7, 0, 0, 2,16, 5, 2,14, 2, 0, 0, 0, 9,12,14, 6, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 0,11,13,12, 0, 0, 0, 0, 2,13, 0,15, 0, 0, 0, 0, 2,14,15,10, 0, 0, 0), 8),
    (( 0, 0, 5,11,14, 2, 0, 0, 0, 8,16,16,14, 4, 0, 0, 0,12,15, 8, 1, 0, 0, 0, 0, 2,15,10, 0, 0, 0, 0, 0, 0, 2,13,13, 3, 0, 0, 0, 0, 0, 1, 9,15, 4, 0, 0, 0, 2,10,15,15, 3, 0, 0, 0, 3,12, 8, 3, 0, 0), 5),
    (( 0, 0, 9,16,16,13,12, 1, 0, 0, 6, 6, 8,14,15, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 2, 8,15,16, 3, 0, 0, 0, 2,13,15, 8, 3, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0), 7),
    (( 0, 0, 7,16,16,16, 2, 0, 0, 0,14,14, 9,16, 2, 0, 0, 2,16, 6, 0, 9, 7, 0, 0, 4,16, 1, 0, 8, 8, 0, 0, 6,16, 0, 0,12, 8, 0, 0, 5,16, 4, 2,16, 5, 0, 0, 0,15,16,16,13, 0, 0, 0, 0, 8,13,10, 2, 0, 0), 0),
    (( 0, 0, 1,10,10, 1, 0, 0, 0, 0, 7,16,16, 5, 0, 0, 0, 0,13,16,16, 3, 0, 0, 0, 0,14,16,16, 8, 0, 0, 0, 0,14,16, 7, 2, 0, 0, 0, 0,10,16,16, 6, 0, 0, 0, 0, 7,16,16, 5, 0, 0, 0, 0, 2,10,12, 5, 0, 0), 1),
    (( 0, 0, 0,10,16, 3, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 0,15,12, 4, 2, 0, 0, 0, 1,16,10, 0,11, 2, 0, 0, 0,16, 6, 0, 5,13, 0, 0, 0, 7,14, 5, 8,16, 1, 0, 0, 0, 3,12,12, 9, 0), 6),
    (( 0, 0, 5,16, 6, 0, 0, 0, 0, 0,14,16, 3, 0, 0, 0, 0, 0,16,13, 0, 0, 0, 0, 0, 0, 3, 4, 0, 0, 0, 0, 0, 1, 8,10,12,11, 3, 0, 0, 4,16,14,12,14,14, 2, 0, 0,14,13, 8,13,16, 4, 0, 0, 5,15,16,16,13, 1), 6),
    (( 0, 0, 9,13, 1, 0, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 0,13,16,10, 0, 0, 0, 0, 0, 9,16,14, 0, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 3, 9,16,13, 8, 5, 0, 0, 4,15,16,16,16,16), 1),
    (( 0, 0, 5, 9,12,15, 9, 0, 0, 0,13,16,16,16, 9, 0, 0, 0, 3, 3, 5,16, 3, 0, 0, 0, 0, 3,12,16,10, 0, 0, 0, 2,16,16,13, 5, 0, 0, 0, 3,15,13, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 7,11, 0, 0, 0, 0), 7),
    (( 0, 0, 5,12,14, 5, 0, 0, 0, 0, 6,16,16,13, 1, 0, 0, 0, 0,16,16,16, 0, 0, 0, 0, 0,13,16,16, 1, 0, 0, 0, 0,14,16,10, 0, 0, 0, 0, 2,16,16, 8, 0, 0, 0, 0, 7,16,16, 5, 0, 0, 0, 0, 9,16,16, 7, 0, 0), 1),
    (( 0, 0, 4,14,11, 1, 0, 0, 0, 4,16,12,10, 8, 0, 0, 0, 9,14, 1, 7, 7, 0, 0, 0, 1, 2, 0,15, 9, 0, 0, 0, 0, 0, 0, 7,15, 2, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 0,12, 3, 4,10,11, 0, 0, 0, 6,15,15,11, 1, 0), 3),
    (( 0, 0, 8,12,12, 0, 0, 0, 0, 0, 8,11, 2, 0, 0, 0, 0, 0,15,13,11, 3, 0, 0, 0, 1,13, 8,10,15, 1, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 1, 1, 0, 0, 8, 8, 0, 0, 6,13, 4, 4,11, 8, 0, 0, 1, 7,14,16,13, 2, 0), 5),
    (( 0, 0, 6,15,12, 1, 0, 0, 0, 8,13, 4,10, 8, 0, 0, 0, 2, 0, 0,15, 6, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0,16,16,16, 5, 0, 0, 0, 4, 5, 1,16, 7, 0, 0, 2,16,10,14,15, 0, 0, 0, 0, 6,13, 9, 1, 0, 0), 3),
    (( 0, 0, 0, 0, 8,11, 1, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 8,16,16, 0, 0, 0, 0, 6,15,16,16, 0, 0, 0, 5,15, 8,16,14, 0, 0, 0, 0, 0, 0,13,15, 0, 0, 0, 0, 0, 0,12,16, 1, 0, 0, 0, 0, 0, 7,15, 9, 0), 1),
    (( 0, 0, 1,15, 6, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 8,16,11,10, 4, 0, 0, 0, 5,16,16,11,16, 6, 0, 0, 2,15,16,11,16,11, 0, 0, 0, 3,11,15,13, 1, 0), 6),
    (( 0, 0, 4,13,12, 3, 0, 0, 0, 0,15,16,16, 7, 0, 0, 0, 0,16,16,16,16, 3, 0, 0, 0,11,16,16, 5, 0, 0, 0, 0,15,10,12,15, 1, 0, 0, 2,16, 4, 1,16,10, 0, 0, 1,15,12,11,16, 5, 0, 0, 0, 6,15, 9, 1, 0, 0), 8),
    (( 0, 3,13,16,13, 1, 0, 0, 0,11,11, 8,14, 8, 0, 0, 0, 5, 1, 0, 5,14, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0, 0, 1,14, 3, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0,11,16,15,12, 7, 0, 0, 1, 8, 8, 9,13, 7, 0), 2),
    (( 0, 0, 2,12,13, 4, 0, 0, 0, 0,12,11, 8,13, 0, 0, 0, 0,13, 0,13, 5, 0, 0, 0,11,14, 7,11, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0, 7,12,12, 4, 0, 0, 0, 0, 9, 6,10,10, 0, 0, 0, 0, 2,14,15, 6, 0, 0), 8),
    (( 0, 0, 3,16, 3, 0, 0, 0, 0, 0,11,13, 1, 1, 0, 0, 0, 6,14, 2, 9,12, 0, 0, 0, 9,12, 0,14, 5, 1, 0, 0, 7,16,12,16,16,11, 0, 0, 0, 6,11,15, 5, 1, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0), 4),
    (( 0, 0, 0, 4,13, 4, 0, 0, 0, 0, 0, 9,16,11, 0, 0, 0, 5,16,16,16, 8, 0, 0, 0, 0, 4,11,16, 9, 0, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 0, 4,16,14, 0, 0, 0, 0, 0,12,16,16, 5, 0, 0, 0, 0, 3,16,16, 4, 0), 1),
    (( 0, 0, 5,14,16,16,12, 0, 0, 5,16,13, 8,13,16, 0, 0, 3, 7, 0, 3,14,10, 0, 0, 0, 0, 1,13,14, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 0, 6,16,16,10, 0, 0), 2),
    (( 0, 0, 9,13,16, 9, 0, 0, 0, 0, 4, 5,11,15, 0, 0, 0, 0, 0, 6,15, 8, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 0, 8,12, 1, 0, 0, 0, 0, 0, 0, 9,14, 2, 0, 0, 0, 0, 3,12,16, 4, 0, 0, 0,11,16,11, 3, 0, 0), 3),
    (( 0, 0, 2,14,11, 8,12, 1, 0, 0, 8,10, 9,14,14, 0, 0, 0,10, 1, 0,12, 4, 0, 0, 0, 1, 2, 7,13, 1, 0, 0, 0, 1,15,16,16, 5, 0, 0, 0, 0, 3,13, 2, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0), 7),
    (( 0, 0, 8, 7, 0, 0, 0, 0, 0, 0,15,16,16, 7, 0, 0, 0, 2,16,16,14,14, 2, 0, 0, 4,16, 0, 0,11, 6, 0, 0, 3,13, 0, 0,11, 9, 0, 0, 3,15, 0, 5,16, 7, 0, 0, 0,15,12,14,16, 3, 0, 0, 0, 5,16,14, 7, 0, 0), 0),
    (( 0, 1,10,16,16,16,16, 5, 0, 1,16,13, 6, 1, 1, 0, 0, 4,16,15,10, 3, 0, 0, 0, 1, 8,11,16,16, 2, 0, 0, 0, 1, 0, 1,14, 7, 0, 0, 7, 9, 0, 0,12, 8, 0, 0, 5,16, 3, 0,15, 5, 0, 0, 0, 9,16,16,13, 2, 0), 5),
    (( 0, 0, 0, 5,15, 5, 0, 0, 0, 0, 3,15,11, 1, 0, 0, 0, 1,13,14, 1, 2, 6, 0, 0, 6,16, 6, 0,12,15, 0, 0,13,15, 0, 4,16, 6, 0, 0,13,16,16,16,16, 1, 0, 0, 0, 8,11,16, 8, 0, 0, 0, 0, 0, 7,16, 3, 0, 0), 4),
    (( 0, 0, 2,13,13, 2, 0, 0, 0, 1,15,13,15, 4, 0, 0, 0, 5,13, 1,14, 2, 0, 0, 0, 0, 2,12,14, 0, 0, 0, 0, 0, 0, 8,14,14, 1, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 3, 8, 8,15, 2, 0, 0, 0, 2,14,11, 4, 0, 0), 3),
    (( 0, 0,12,16, 6, 0, 0, 0, 0, 7,12, 4,14, 0, 0, 0, 0,11,14, 0, 6, 4, 0, 0, 0, 6, 8, 0, 7, 4, 0, 0, 0, 0, 0, 0,10, 3, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 3,14,10, 0, 0, 0, 0, 0,14,13,12,15,13, 1), 2),
    (( 0, 0, 5,14,12, 5, 0, 0, 0, 0, 3,16,16, 9, 0, 0, 0, 0, 2,16,16, 7, 0, 0, 0, 0, 5,16,16, 3, 0, 0, 0, 0,10,16,16, 4, 0, 0, 0, 0, 9,16,14, 1, 0, 0, 0, 0, 8,16,16, 2, 0, 0, 0, 0, 8,15,13, 4, 0, 0), 1),
    (( 0, 0, 4,13, 4, 0, 0, 0, 0, 0,11,10,11, 7, 0, 0, 0, 0,14, 3, 1,15, 0, 0, 0, 0,15, 1, 0,12, 5, 0, 0, 1,15, 0, 0,13, 5, 0, 0, 0,16, 0, 4,16, 4, 0, 0, 0,11,10,15,11, 0, 0, 0, 0, 3,12,14, 1, 0, 0), 0),
    (( 0, 0, 0,12,15, 4, 0, 0, 0, 0, 7, 9, 8,15, 0, 0, 0, 2,12, 0, 0, 9, 4, 0, 0, 5,11, 0, 0, 4, 8, 0, 0, 8, 4, 0, 0, 8, 6, 0, 0, 2,12, 0, 1,14, 5, 0, 0, 0,13,15,16,12, 1, 0, 0, 0, 2,10,12, 1, 0, 0), 0),
    (( 0, 0, 9,16,16,16,13, 1, 0, 0,14, 8, 8,11,16, 5, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 3, 4, 5,15,10, 0, 0, 0,16,16,16,16, 8, 0, 0, 0, 3,11,15, 8, 1, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 4,16,10, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0,15,11, 1, 0, 0, 0, 0, 9,15, 2, 1, 0, 0, 0,11,16, 9, 5,15, 7, 0, 0, 8,16,16,16,16, 1, 0, 0, 0, 2, 8,16,11, 0, 0, 0, 0, 0, 6,16, 6, 0, 0), 4),
    (( 0, 3, 6,15,13, 1, 0, 0, 0,10,16, 5,11,10, 0, 0, 0, 1,11,10,11,11, 0, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 0, 1,13,13, 3, 0, 0, 0, 0, 7,15, 6,11, 0, 0, 0, 0,10,12, 7,14, 0, 0, 0, 0, 4,16,15, 3, 0, 0), 8),
    (( 0, 0, 0, 6, 6, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0, 8,12,12, 8, 2, 0, 0, 0,12,16,12,12,14, 1, 0, 0, 6,16, 6, 8,16, 6, 0, 0, 0, 4,14,16,15, 1), 6),
    (( 0, 0,10, 8,10,12, 6, 0, 0, 2,16,14,12,15,11, 0, 0, 3, 9, 2, 4,14, 2, 0, 0, 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 1,13, 6, 0, 0, 0, 0, 1,12,16, 1, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0), 7),
    (( 0, 0, 6,10, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 1,15, 4, 0, 0, 0, 0, 0, 4,16, 5, 4, 0, 0, 0, 0, 6,16,16,16,14, 3, 0, 0, 7,16, 4, 6,14, 8, 0, 0, 2,15, 8, 9,14, 3, 0, 0, 0, 5,14,13, 3, 0, 0), 6),
    (( 0, 0, 8,15,10, 0, 0, 0, 0, 3,16,16,15, 1, 0, 0, 0, 9,13, 1,16, 1, 0, 0, 0, 7,11, 2,16, 1, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 1,16, 9, 2, 4, 0, 0, 0,13,16,16,16,16, 0, 0, 0,11,16, 9, 8, 9, 0), 2),
    (( 0, 0, 2, 9, 3, 0, 0, 0, 0, 5,14, 9,13, 9, 0, 0, 0, 7,14, 0,10,10, 0, 0, 0, 0, 9,14,15, 6, 0, 0, 0, 0, 7,16,16, 0, 0, 0, 0, 0,12, 6, 7,12, 1, 0, 0, 0,15, 5, 0,14, 6, 0, 0, 0, 2, 8,12,11, 3, 0), 8),
    (( 0, 0, 9,16,13, 3, 0, 0, 0, 2,16,16,16,12, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 1,15,12, 0, 0, 0, 0, 0,13,15, 2, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0, 8,16, 8, 6, 8, 3, 0, 0, 1,11,16,16,12, 4, 0), 2),
    (( 0, 0, 1,14,13, 1, 0, 0, 0, 0,12,16,16,12, 0, 0, 0, 1,11,14,11,16, 5, 0, 0, 3, 8,16, 2, 8,10, 0, 0, 0, 5,14, 0, 8, 7, 0, 0, 0, 7,12, 0,15, 3, 0, 0, 0, 7,14,11,11, 0, 0, 0, 0, 2,16,13, 2, 0, 0), 0),
    (( 0, 0, 6,14,13, 5, 0, 0, 0, 0, 5, 6,14,10, 0, 0, 0, 0, 9,16,14, 1, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 0,10, 7,12, 2, 0, 0, 0, 0,13, 3, 6, 6, 0, 0, 0, 0,12, 5,11, 9, 0, 0, 0, 0, 5,16,15, 3, 0, 0), 8),
    (( 0, 0, 0, 1,13, 8, 0, 0, 0, 0, 0, 6,16, 9, 0, 0, 0, 0, 2,15,16, 8, 0, 0, 0, 3,16,16,16,10, 0, 0, 0, 0, 3, 3,16,12, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 2,16,16, 4, 0, 0, 0, 0, 1,16,14, 3, 0), 1),
    (( 0, 0, 2,14, 5, 0, 0, 0, 0, 0,10,13, 4, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,12,14,16,15, 3, 0, 0, 0,13,14, 6, 9,10, 0, 0, 0,13,12, 7,14, 8, 0, 0, 0, 2,15,15,10, 1, 0), 6),
    (( 0, 0, 2,14, 7, 0, 0, 0, 0, 1, 9,12,13, 6, 0, 0, 0, 5,16, 8, 2,14, 0, 0, 0, 6,16, 2, 0,12, 6, 0, 0, 5,15, 1, 0, 9, 9, 0, 0, 0,16, 1, 0,12, 8, 0, 0, 0,11,12, 8,15, 1, 0, 0, 0, 3,13,15, 7, 0, 0), 0),
    (( 0, 0, 2,11,16,16,16,12, 0, 0, 7,15, 9, 8,12,13, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 1,14, 3, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0), 7),
    (( 0, 0, 4,15,16,16,10, 0, 0, 0,13,15,12,14,14, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 0,16,16,12, 8, 0, 0, 0, 0, 2, 7,10,16, 4, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 1, 9,12,13, 0, 0, 0, 0, 2,16,11, 3, 0, 0), 5),
    (( 0, 0, 8,15, 5, 0, 0, 0, 0, 4,15,12,16, 0, 0, 0, 0,10, 9, 0,12, 4, 0, 0, 0, 3, 1, 0,13, 3, 0, 0, 0, 0, 0, 1,16, 0, 0, 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 0, 5,16,16,16,15, 0, 0, 0, 9,10, 4, 6, 9, 0), 2),
    (( 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 0, 7,16,12,12, 4, 0, 0, 0, 8,16,16,16,16, 9, 0, 0, 1, 9,15,16,10, 6, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 0,14,12, 0, 0, 0), 4),
    (( 0, 0, 0,10,13, 3, 0, 0, 0, 0, 7,16,12, 6, 0, 0, 0, 0,12,13, 1, 0, 0, 0, 0, 0,16,16,16,10, 0, 0, 0, 2,16,15, 1,12, 8, 0, 0, 0,16, 4, 0, 6,15, 0, 0, 0,11,14, 8,15,14, 1, 0, 0, 2,11,16,11, 2, 0), 6),
    (( 0, 0,11,11, 0, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0,13,16,15, 0, 0, 0, 0, 0, 6,11,16, 3, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0,10,15,15,12, 7, 0, 0, 0,11,16,16,16,16, 4), 1),
    (( 0, 1,10,16, 6, 0, 0, 0, 0, 4,12, 8,12, 0, 0, 0, 0, 1, 0, 2,11, 0, 0, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 0, 5, 8,16, 5, 0, 0, 0, 0, 0, 0, 8, 9, 0, 0, 2, 8, 8, 7,11, 9, 0, 0, 1,13,16,16,10, 1, 0), 3),
    (( 0, 0, 2,11,15,16,15, 0, 0, 0, 8,13,12,16,13, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 6,13,16, 7, 0, 0, 0, 9,16,16,16, 9, 0, 0, 0, 5, 9,16, 5, 0, 0, 0, 0, 0,11,16, 1, 0, 0, 0, 0, 1,16, 9, 0, 0, 0), 7),
    (( 0, 0, 3,12,11, 1, 0, 0, 0, 0,12,15,11,10, 0, 0, 0, 0,12, 7, 2,14, 0, 0, 0, 0, 0, 0, 3,16, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0,10,15, 1, 0, 0, 0, 0, 5,16,12, 9, 8, 1, 0, 0, 3,11,15,12,16, 4), 2),
    (( 0, 0, 0, 2,13, 2, 0, 0, 0, 0, 0, 9,15, 1, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 0, 0,11,12, 0, 6, 6, 0, 0, 7,15, 7, 5,16, 4, 0, 0,10,16,16,16,13, 0, 0, 0, 0, 4, 3,14, 7, 0, 0, 0, 0, 0, 3,12, 0, 0, 0), 4),
    (( 0, 0, 0,15,14, 6, 0, 0, 0, 0, 3,16,16, 6, 0, 0, 0, 2,13,16,12, 0, 0, 0, 0, 8,16,16, 7, 0, 0, 0, 0, 1,10,16, 5, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 0, 0,13,15, 0, 0, 0), 1),
    (( 0, 0, 5,15,15, 2, 0, 0, 0, 4,15,11,16, 4, 0, 0, 0, 2, 4, 6,16, 2, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0,10,15, 8, 4, 3, 0, 0, 0, 3,14,16,14, 4, 0), 2),
    (( 0, 0, 1,10,16, 7, 0, 0, 0, 1,14,14,12,16, 4, 0, 0, 6,16, 2, 1,16, 4, 0, 0, 6,16,11,13,16, 2, 0, 0, 0,11,12,16,11, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 0), 9),
    (( 0, 0, 3,15, 0, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0,16, 8, 4, 0, 0, 0, 0, 1,16,16,16,15, 2, 0, 0, 6,16,14,11,15, 7, 0, 0, 0,15,15, 9,15, 4, 0, 0, 0, 4,14,16, 9, 0, 0), 6),
    (( 0, 0, 5, 9,16,13, 4, 0, 0, 1,15, 8, 5,14,12, 0, 0, 0, 4, 0, 4,14, 8, 0, 0, 0, 0, 2,14,10, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 7,14, 3, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 0, 4,12,12, 6, 0, 0), 2),
    (( 0, 0, 2,16,16,11, 0, 0, 0, 0,13,15,15,16, 5, 0, 0, 4,14, 3, 3,14, 9, 0, 0, 8,15, 0, 0, 6, 8, 0, 0, 4,12, 0, 0, 6, 8, 0, 0, 1,16,11,10,16, 7, 0, 0, 0,14,16,16,11, 1, 0, 0, 0, 2,12,11, 2, 0, 0), 0),
    (( 0, 0, 2, 7,12,16,11, 0, 0, 0,10,15,16,16,16, 0, 0, 0, 0,10,16,16,12, 0, 0, 0, 0, 4,16,16, 4, 0, 0, 0, 0, 5,16,15, 4, 0, 0, 0, 0,10,16,12, 0, 0, 0, 0, 2,15,16, 3, 0, 0, 0, 0, 1,13,14, 1, 0, 0), 1),
    (( 0, 0,13,16, 6, 0, 0, 0, 0, 4,16,16,16, 1, 0, 0, 0, 2,15, 4,16, 5, 0, 0, 0, 0, 1, 1,16, 7, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0,11,16, 2, 0, 0, 0, 0,10,16,16,16,15, 4, 0, 0,13,16,11, 8,14, 4), 2),
    (( 0, 0,10,13,16, 5, 0, 0, 0, 0,15,15,10,12, 0, 0, 0, 3,14, 1, 0,14, 2, 0, 0, 6,12, 0, 0, 9, 7, 0, 0, 4,12, 0, 0, 4, 8, 0, 0, 0,12, 0, 0,11, 6, 0, 0, 0,16,10,14,16, 2, 0, 0, 0, 8,13,10, 1, 0, 0), 0),
    (( 0, 0, 5,16,16, 7, 0, 0, 0, 1, 9,16,16, 8, 0, 0, 0, 0, 4,16,16,12, 0, 0, 0, 0, 8,16,16, 8, 0, 0, 0, 0, 5,16,16,12, 0, 0, 0, 0, 7,16,16,13, 0, 0, 0, 0, 8,16,16,16, 4, 0, 0, 0, 7,13,15,10, 2, 0), 1),
    (( 0, 0, 1, 9,16,15, 4, 0, 0, 0, 4,16,10,14,10, 0, 0, 0, 3,16, 7,14,11, 0, 0, 0, 9,16,16,13, 0, 0, 0, 5,16,16,16, 2, 0, 0, 0, 6,14, 9,16, 2, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0, 0,12,11, 3, 0, 0), 8),
    (( 0, 0, 9,16,15, 5, 0, 0, 0, 4,16,12,12,16, 7, 0, 0, 5,16, 4, 0, 1, 1, 0, 0, 8,16,15,11, 3, 0, 0, 0, 4,14,12,14,15, 2, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 5, 8,15,15, 2, 0, 0, 0,11,15, 9, 2, 0, 0), 5),
    (( 0, 0, 0, 6,13, 6, 0, 0, 0, 0, 0,12,16,13, 0, 0, 0, 0,10,16,16,10, 0, 0, 0, 5,16,16,16, 7, 0, 0, 0, 2, 5,13,16, 4, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 0,12,16, 1, 0, 0, 0, 0, 0, 8,14, 2, 0, 0), 1),
    (( 0, 0, 5,12,12,14, 5, 0, 0, 0,13,13,11, 8, 4, 0, 0, 5,16, 1, 0, 0, 0, 0, 0, 8,16,16,12, 2, 0, 0, 0, 1, 7, 8,15,15, 0, 0, 0, 0, 0, 0, 1,16, 1, 0, 0, 0, 5, 9,11,15, 0, 0, 0, 0, 5,14,11, 3, 0, 0), 5),
    (( 0, 0, 0, 0,14,12, 1, 0, 0, 0, 0, 0,16,16, 2, 0, 0, 0, 0, 1,15,16, 2, 0, 0, 1, 8,11,16,11, 0, 0, 0,10,16,16,16, 8, 0, 0, 0, 1, 8, 9,16, 8, 0, 0, 0, 0, 0, 1,16,14, 0, 0, 0, 0, 0, 0,12,16, 2, 0), 1),
    (( 0, 0, 8,15,16,11, 0, 0, 0,13,16,12, 6, 4, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 0,12,14, 1, 0, 0, 0, 0, 0, 1,14,10, 0, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 2,14, 8, 0, 0, 0, 0, 0,11,15, 3, 0, 0, 0), 5),
    (( 0, 0,12,16,16,10, 0, 0, 0, 0,15,13,13,16, 1, 0, 0, 0, 3,14,16,14, 1, 0, 0, 0, 0,15,14, 2, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 6, 5,11,16, 8, 0, 0, 0,10,16,16,15, 3, 0), 3),
    (( 0, 0, 0, 6,14,15, 3, 0, 0, 1, 9,16,16,14, 2, 0, 0, 6,16,16,16,14, 0, 0, 0, 0, 6,16,16, 8, 0, 0, 0, 0, 6,16,16, 8, 0, 0, 0, 0, 4,16,16, 9, 0, 0, 0, 0, 1,16,16,15, 3, 0, 0, 0, 0,10,16,16, 4, 0), 1),
    (( 0, 1,11,13, 7, 0, 0, 0, 0, 6,15,13,15, 4, 0, 0, 0, 2, 2, 0, 9, 9, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 8,16,10, 9, 3, 0, 0, 0,11,15,15,16, 7, 0), 2),
    (( 0, 1,15,15, 1, 0, 0, 0, 0, 7,16,16,11, 0, 0, 0, 0, 3, 7, 8,13, 0, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 0, 0, 8,16, 5, 0, 3, 0, 0, 3,15,16,16,16,16, 0, 0, 2,16,16,16,16,10, 0), 2),
    (( 0, 0, 9,16,14, 2, 0, 0, 0, 0,10,16,16, 4, 0, 0, 0, 4,16,16,16, 0, 0, 0, 0, 0,14,16,16, 2, 0, 0, 0, 1,16,16,16, 3, 0, 0, 0, 1,16,16,16, 0, 0, 0, 0, 3,16,16,16, 7, 0, 0, 0, 1, 9,15,16, 8, 0, 0), 1),
    (( 0, 0, 0,13,10, 1, 0, 0, 0, 0, 8,16,11, 1, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 0, 3,16,13, 8, 3, 0, 0, 0, 2,16,16,16,16, 3, 0, 0, 0,10,16,16,16,15, 0, 0, 0, 0,10,16,15, 7, 0), 6),
    (( 0, 0, 3,15,16,16, 3, 0, 0, 0, 3, 9,13,16, 2, 0, 0, 0, 0, 0,10,16, 0, 0, 0, 0, 6,12,16,16, 9, 0, 0, 0,15,16,16,14, 7, 0, 0, 0, 0,10,15, 1, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 7,15, 4, 0, 0, 0), 7),
    (( 0, 0, 0, 1,12, 4, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 5,16, 9, 2, 0, 0, 0, 2,16,16,13,16, 8, 0, 0, 0, 9,15, 0, 2,15, 0, 0, 0, 0,15, 8, 8,16, 3, 0, 0, 0, 3,11,13,10, 0), 6),
    (( 0, 1, 8,13,16, 8, 0, 0, 0,11,13, 6, 8,15, 1, 0, 0, 2, 1, 9,14, 5, 0, 0, 0, 0,14,16,14, 3, 0, 0, 0, 0, 8, 4,10,15, 1, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 2,15, 8, 9,15, 1, 0, 0, 1,10,13,13, 4, 0, 0), 3),
    (( 0, 0, 2,12,16,16,11, 0, 0, 0,12,15, 9, 6, 8, 0, 0, 3,16, 5, 3, 2, 0, 0, 0,10,16,15,16,13, 0, 0, 0, 8,16,13,10,16, 0, 0, 0, 0, 3, 0,11,13, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 1,16,11, 0, 0, 0), 5),
    (( 0, 1,13,16,16,12, 1, 0, 0, 2,16,16,16,15, 2, 0, 0, 0, 5,12,16,14, 0, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 1, 8,13,15, 2, 0, 0, 0, 2,13,16, 6, 0, 0, 0), 9),
    (( 0, 0, 5,16,16,16,16, 7, 0, 0, 3, 8, 8, 8,14,10, 0, 0, 0, 0, 0, 4,15, 2, 0, 0, 0, 0, 2,14, 7, 0, 0, 0, 3,13,16,16, 9, 0, 0, 0, 4,13,15, 3, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0), 7),
    (( 0, 0, 0, 1,12, 1, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0, 6,11, 8, 2, 0, 0, 0, 1,13, 4,16, 1, 0, 0, 4,12,10, 9,14, 0, 0, 0,15,16,16,16,12, 0, 0, 1, 8, 7, 7,15, 9, 0, 0, 0, 0, 0, 0,16, 5, 0, 0), 4),
    (( 0, 0, 9,16, 9, 1, 0, 0, 0, 2,16,13,16,11, 0, 0, 0, 9,13, 0,10,16, 4, 0, 0, 4,15,12,13,16, 6, 0, 0, 0, 5,12,13,16, 7, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 9, 6,11,16, 2, 0, 0, 0, 9,13,11, 3, 0, 0), 9),
    (( 0, 3,15,12,11,12, 2, 0, 0,12,16,16,16,16, 6, 0, 0,12,13, 0, 3, 4, 0, 0, 0, 3,15,13, 2, 0, 0, 0, 0, 0, 5,15,11, 0, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 5,12,16, 3, 0, 0, 0, 4,16,16,12, 0, 0, 0), 5),
    (( 0, 0,14,16,12,16,16, 0, 0, 0, 8,12, 8,16,11, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 2, 7,14,14, 3, 0, 0, 0,12,16,14,12, 6, 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 0, 9,16, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0), 7),
    (( 0, 0,10,16,16,16,16, 6, 0, 0, 4, 9, 8,11,15, 2, 0, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 4, 8,15, 6, 0, 0, 0, 8,16,16,11, 5, 0, 0, 0, 3,14,11, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0), 7),
    (( 0, 0, 7,12,15, 5, 0, 0, 0, 0,10, 8,13,12, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 5,16,14, 7, 0, 0, 3,16,16,15, 9, 2, 0, 0, 0, 4,13,10, 0, 0, 0, 0, 0, 5,14, 1, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0), 7),
    (( 0, 0,11, 3, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0, 4,14, 6,12,11, 1, 0, 0, 7,16,16,15,14, 8, 0, 0, 4,16,15, 3, 9,11, 0, 0, 1,16,16,16,16, 6, 0, 0, 0, 7,14,13, 5, 0, 0), 6),
    (( 0, 0, 2,16,15, 4, 0, 0, 0, 0,10,15,11,11, 0, 0, 0, 0,10,12,15,10, 0, 0, 0, 0, 7,16,14, 2, 0, 0, 0, 0,12,16, 7, 0, 0, 0, 0, 0,14, 7,15, 1, 0, 0, 0, 0,11, 7,13, 7, 0, 0, 0, 0, 2,14,15, 7, 0, 0), 8),
    (( 0, 0, 7,16,16,16, 5, 0, 0, 0, 3, 6, 4,13,14, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 7,16,16,16, 9, 0, 0, 0, 2,10,14, 4, 1, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0), 7),
    (( 0, 0, 9,16,16,10, 0, 0, 0, 1,16, 7, 8,16, 6, 0, 0, 4,16, 7, 9,16, 6, 0, 0, 0, 9,12,12,16, 4, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 4, 6, 4,16, 4, 0, 0, 0, 9,13,12,10, 0, 0), 9),
    (( 0, 0, 1, 8,15, 8, 0, 0, 0, 0,14,11,14,16, 0, 0, 0, 3,12, 0, 6, 9, 0, 0, 0, 1,15,10,14, 1, 0, 0, 0, 0, 1,15,16, 5, 0, 0, 0, 0, 5,12, 3,15, 3, 0, 0, 0, 6,11, 1,13, 4, 0, 0, 0, 0, 8,16,13, 1, 0), 8),
    (( 0, 0, 5,11,14, 5, 0, 0, 0, 7,13, 5, 4,14, 2, 0, 0, 0, 4, 8, 2,14, 2, 0, 0, 0, 1,13,14, 3, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 9, 9,10, 2, 0, 0, 0, 0,13, 1, 8, 8, 0, 0, 0, 0, 6,13,14, 7, 0, 0), 8),
    (( 0, 0, 0, 3,14, 8, 0, 0, 0, 0, 0,13,12, 1, 2, 0, 0, 1,11,13, 1, 7,14, 0, 0, 5,15, 3, 0,13, 8, 0, 0,13,14, 8,11,16, 7, 0, 0,10,16,16,16,12, 3, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 3,15, 0, 0, 0), 4),
    (( 0, 0, 1,12,11, 0, 0, 0, 0, 0, 8,14, 3, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 0, 1,16, 9, 4, 0, 0, 0, 0, 3,16,13,12,12, 3, 0, 0, 1,16, 3, 0, 1,15, 0, 0, 0, 9, 9, 2, 9,15, 2, 0, 0, 2,14,15,12, 3, 0), 6),
    (( 0, 0, 5,13, 6, 1, 0, 0, 0, 0, 8,16,16,15, 2, 0, 0, 0, 3,13, 1,13, 8, 0, 0, 0, 2,14,15,14, 2, 0, 0, 2,14,15,15, 3, 0, 0, 0, 7,11, 0, 6,10, 0, 0, 0, 5,11, 1, 1,16, 0, 0, 0, 0, 8,13,16,13, 1, 0), 8),
    (( 0, 4,15, 9, 8, 8, 1, 0, 0, 4,16,16,16,16, 8, 0, 0, 9,15, 2,15,14, 1, 0, 0, 5, 5, 5,16, 4, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 7,15, 2, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0), 7),
    (( 0, 0, 7,14,16,16, 7, 0, 0, 0,14,13, 8, 5, 1, 0, 0, 3,16,10, 3, 0, 0, 0, 0,10,16,16,16, 2, 0, 0, 0, 3, 4, 0,11, 8, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0,14, 5,16, 4, 0, 0, 0, 0, 9,16,14, 0, 0, 0), 5),
    (( 0, 0, 2,14, 9, 1, 0, 0, 0, 1,14,10,11,10, 0, 0, 0, 4,14, 1, 0,12, 3, 0, 0, 7, 8, 0, 0, 3, 6, 0, 0, 7, 7, 0, 0, 1, 9, 0, 0, 3,12, 0, 0, 5, 8, 0, 0, 0,11, 5, 3,12, 6, 0, 0, 0, 2,14,16, 9, 0, 0), 0),
    (( 0, 0, 2,14, 1, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 3,13, 2, 8, 8, 3, 0, 0, 0,16,14, 8,12,12, 0, 0, 1,10,12, 4,10,13, 0, 0, 0, 2,11,14,14, 4, 0), 6),
    (( 0, 0, 5,12, 8, 2, 0, 0, 0, 0,12, 6, 8,13, 0, 0, 0, 2,10, 0, 0,12, 2, 0, 0, 0,14,12,12,10, 0, 0, 0, 0, 1,15,16, 7, 0, 0, 0, 0,14, 8, 0, 9, 1, 0, 0, 0,14, 2, 1,12, 2, 0, 0, 0, 8,12,12, 6, 0, 0), 8),
    (( 0, 0, 3,12,10, 0, 0, 0, 0, 0,10,11, 5,10, 0, 0, 0, 1,16, 7, 0,10, 2, 0, 0, 2,16, 2, 0, 6, 6, 0, 0, 3,15,10, 0, 7, 7, 0, 0, 0,12, 7, 0,10, 5, 0, 0, 0,13, 2, 6,15, 1, 0, 0, 0, 3,15,14, 7, 0, 0), 0),
    (( 0, 0, 8,15,11, 0, 0, 0, 0, 7,16,15,15, 9, 0, 0, 0,10,14, 0, 3,12, 2, 0, 0, 5,12, 0, 0, 5, 7, 0, 0, 4,11, 0, 0, 7, 8, 0, 0, 3,11, 0, 6,16, 6, 0, 0, 0,14,13,16,14, 1, 0, 0, 0, 8,15,11, 2, 0, 0), 0),
    (( 0, 0,13,14, 4, 0, 0, 0, 0, 4,16,13,14, 2, 0, 0, 0, 0,16, 4,16,14, 2, 0, 0, 0,11,14,16,14, 0, 0, 0, 0, 0, 8,11,15, 0, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 6, 6, 7,16, 2, 0, 0, 0,12,16,16,10, 0, 0), 9),
    (( 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 1,15,14, 1, 3, 0, 0, 0,11,16, 3, 4,16, 0, 0, 9,16, 8, 4,13,12, 0, 0, 3,15,16,16,16,11, 0, 0, 0, 1, 8,14,14, 4, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 2,16, 6, 0, 0), 4),
    (( 0, 0, 6,15, 8, 0, 0, 0, 0, 4,16,13,16, 2, 0, 0, 0, 6,15, 0,13,13, 0, 0, 0, 8,10, 0, 7,16, 5, 0, 0, 8, 8, 0, 6,16, 3, 0, 0, 7,11, 0, 7,15, 0, 0, 0, 0,14,10,13,11, 0, 0, 0, 0, 6,14,12, 2, 0, 0), 0),
    (( 0, 0, 5,11, 8, 4, 0, 0, 0, 0,15,16,16,15, 1, 0, 0, 0,12,16,16,15, 2, 0, 0, 3,16,16,16,11, 0, 0, 0, 4,16,16,16, 4, 0, 0, 0, 3,16,16,16, 8, 0, 0, 0, 0,12,16,16, 9, 0, 0, 0, 0, 3, 8,12, 8, 0, 0), 1),
    (( 0, 1, 6,16,13, 6, 1, 0, 0, 1,12,16,16,16, 1, 0, 0, 0,10,16,16,12, 0, 0, 0, 2,14,16,16,12, 0, 0, 0, 2, 9,16,16,12, 0, 0, 0, 0, 1,14,16,14, 0, 0, 0, 0, 6,16,16,14, 2, 0, 0, 0, 4,12,13, 8, 2, 0), 1),
    (( 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 2,16,12, 1, 0, 0, 0, 4,15,16,13,14,11, 0, 0,13,16,16,16,16,10, 0, 0, 0, 0, 0,10,16, 6, 0, 0, 0, 0, 0,11,16, 2, 0, 0, 0, 0, 0,14,13, 0, 0), 4),
    (( 0, 0, 0, 1,13,10, 0, 0, 0, 0, 0, 3,16,15, 0, 0, 0, 0, 3, 9,16,15, 0, 0, 0, 7,16,15,16,12, 0, 0, 0, 0, 0, 1,16,15, 0, 0, 0, 0, 0, 4,16,16, 0, 0, 0, 0, 0, 4,16,16, 3, 0, 0, 0, 0, 0,12,16, 4, 0), 1),
    (( 0, 0, 6,13, 3, 0, 0, 0, 0, 0,15,16,15, 5, 0, 0, 0, 0,14, 4, 6,13, 0, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 1, 6,15, 8, 0, 0, 0, 0,16,16,16,16,12, 0, 0, 0, 5, 8, 9,10,15, 3), 2),
    (( 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,16,16, 0, 0, 0, 0, 0, 1,16,14, 0, 0, 0, 4,12,15,16,12, 0, 0, 0, 0, 3, 4,16,14, 0, 0, 0, 0, 0, 0,15,16, 0, 0, 0, 0, 0, 0,12,16, 2, 0, 0, 0, 0, 0,11,16, 4, 0), 1),
    (( 0, 0, 1,14, 6, 2, 6, 0, 0, 0,10,13, 1,10,10, 0, 0, 4,16, 3, 3,16, 5, 0, 0,10,16,12,14,16, 9, 0, 0, 3,16,16,16,10, 2, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0), 4),
    (( 0, 0, 4,16,12, 1, 0, 0, 0, 0,10,15,13,11, 0, 0, 0, 0, 5,12, 5,16, 0, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 1,15,12, 0, 0, 0, 0, 0,11,16,10, 0, 0, 0, 0, 5,16,16,16,16, 6, 0, 0, 6,16, 5, 5,10,13), 2),
    (( 0, 0, 5,14,16, 9, 0, 0, 0, 0, 8,15,12,14, 3, 0, 0, 3,15,12, 0, 0, 0, 0, 0,12,16, 7, 0, 0, 0, 0, 0, 8,14,16,10, 1, 0, 0, 0, 0, 1, 8,16, 4, 0, 0, 0, 0, 3,11,16, 3, 0, 0, 0, 0, 5,16,12, 0, 0, 0), 5),
    (( 0, 0, 1, 8,14,14, 6, 0, 0, 0, 3,11, 7,12,14, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 1,12,12,12,15, 8, 0, 0, 0, 7, 8,14,13, 1, 0, 0, 0, 0, 4,15, 2, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 1,14, 2, 0, 0, 0), 7),
    (( 0, 0,12,16, 8, 0, 0, 0, 0, 7,16,10,16, 2, 0, 0, 0,10,12, 0,15, 7, 0, 0, 0, 5, 8, 0,15, 6, 0, 0, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 6,16, 9, 4, 2, 0, 0, 0,12,16,16,16, 9, 0), 2),
    (( 0, 0, 9,15,16,15, 8, 0, 0, 5,16,16,13,12,13, 1, 0, 6,16, 5, 1, 0, 0, 0, 0,11,16,16,10, 0, 0, 0, 0, 8,15,11,16, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0), 5),
    (( 0, 0, 0, 1,15, 9, 1, 0, 0, 0, 0, 5,16,16, 0, 0, 0, 0, 0,13,16,11, 0, 0, 0, 2, 8,16,16,11, 0, 0, 0, 5,12,13,16, 8, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0, 3,16,15, 1, 0), 1),
    (( 0, 0, 7,12,13, 1, 0, 0, 0, 6,16, 6, 8, 7, 0, 0, 0, 0,16,10,11, 8, 0, 0, 0, 0, 8,15,16, 5, 0, 0, 0, 0,10,15,12,14, 1, 0, 0, 0,15, 7, 0,11, 7, 0, 0, 0,15, 8, 8,15, 7, 0, 0, 0, 6,12,12, 8, 1, 0), 8),
    (( 0, 0, 4,14,10, 6, 0, 0, 0, 0,12,16,16,16, 4, 0, 0, 7,16, 4,15,16, 4, 0, 0, 7,16,16,16,16, 4, 0, 0, 0, 5, 8,14,16, 5, 0, 0, 0, 0, 0,12,16, 2, 0, 0, 0, 6,16,16, 9, 0, 0, 0, 0, 5,16,11, 0, 0, 0), 9),
    (( 0, 0, 1,12, 9, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 0,15,11,11, 1, 0, 0, 0, 0,13,16,14,14, 1, 0, 0, 0,10,13, 0,12, 5, 0, 0, 0, 4,13, 2,16, 3, 0, 0, 0, 0,11,16, 8, 0, 0), 6),
    (( 0, 0, 3,15, 7, 0, 0, 0, 0, 0,13,16,10, 0, 0, 0, 0, 5,16, 7, 5, 3, 0, 0, 0, 5,16, 8,16,15, 2, 0, 0, 2,12, 1, 6, 8,10, 0, 0, 1,14, 2, 0, 0,13, 0, 0, 0, 9,15,12,15,16, 0, 0, 0, 2,10,15,16, 7, 0), 0),
    (( 0, 0,10,16,16,12, 0, 0, 0, 0, 6,16, 9, 7, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,11,16,16,10, 1, 0, 0, 0, 3, 8, 6,13,11, 0, 0, 0, 0, 0, 0, 7,16, 0, 0, 0, 0, 0, 3,15,15, 0, 0, 0,10,16,16,13, 2, 0), 5),
    (( 0, 0, 5,13, 2, 0, 0, 0, 0, 1,15,16,15, 3, 0, 0, 0, 4,14, 1, 5,14, 2, 0, 0, 4, 9, 0, 0, 6, 8, 0, 0, 5, 8, 0, 0, 4, 8, 0, 0, 3,10, 0, 0, 9, 9, 0, 0, 0,15,10,10,16, 6, 0, 0, 0, 7,15,14, 5, 0, 0), 0),
    (( 0, 0, 6,15,11, 8, 3, 0, 0, 2,16,16,16,16,11, 0, 0, 0,15,11, 7,16, 8, 0, 0, 0, 8,16,15, 4, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0,15,15,13, 0, 0, 0, 0, 1,16,11,16, 2, 0, 0, 0, 0,12,16,12, 0, 0, 0), 8),
    (( 0, 0, 3,13,16,16, 3, 0, 0, 0, 8,10, 5, 5, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0,10,13, 2, 0, 0, 0, 0, 0, 3,15,14, 1, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 3,16,11, 0, 0, 0), 5),
    (( 0, 0, 3,14,15, 5, 0, 0, 0, 0,11,14, 5,11, 2, 0, 0, 0,14, 7, 0, 7, 4, 0, 0, 1,16, 2, 0, 3, 7, 0, 0, 4,13, 0, 0, 5, 8, 0, 0, 2,12, 0, 0,11, 7, 0, 0, 0,14, 8,13,14, 0, 0, 0, 0, 3,12,10, 3, 0, 0), 0),
    (( 0, 0, 6, 9,12,12, 8, 0, 0, 2,16,12, 8, 8, 6, 0, 0, 0,15, 8, 4, 0, 0, 0, 0, 0,14,16,16,13, 1, 0, 0, 0, 9, 7, 5,16, 7, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 6,15, 9, 0, 0, 0, 0,15,15, 7, 0, 0, 0), 5),
    (( 0, 0, 0,13, 9, 0, 5, 1, 0, 0,11,13, 1, 4,15, 2, 0, 4,16, 1, 0,13,10, 0, 0,11,14, 8,10,16, 4, 0, 0, 5,15,16,16,13, 2, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 0,14, 2, 0, 0, 0), 4),
    (( 0, 0, 0, 4,12,11, 1, 0, 0, 0,12,15,10,13, 4, 0, 0, 8,10, 0, 3,15, 1, 0, 0, 3,14, 5,15, 6, 0, 0, 0, 0,13,16,11, 0, 0, 0, 0, 3,15, 6,11,12, 3, 0, 0, 1,14,10, 2,10,10, 0, 0, 0, 1, 6,11,16, 6, 0), 8),
    (( 0, 1,13,10, 0, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0, 3,13, 8,16, 0, 0, 0, 0, 0, 1, 5,16, 2, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 4,13,15, 1, 0, 0, 0, 4,16,16,16,16, 8, 0, 0, 2,15,16,14,16,16, 5), 2),
    (( 0, 0,13,16,16,10, 0, 0, 0, 1,11, 6, 9,16, 6, 0, 0, 0, 0, 5,10,16, 5, 0, 0, 0, 2,15,16,15, 0, 0, 0, 0, 0, 0, 5,15, 7, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 1,13,10, 6,14, 7, 0, 0, 1,11,16,16,12, 0, 0), 3),
    (( 0, 0, 1,14,11, 0, 0, 0, 0, 0,11,10, 8, 8, 0, 0, 0, 3,16, 1, 0,10, 2, 0, 0, 6,11, 0, 0, 6, 6, 0, 0, 7, 9, 0, 0, 3, 9, 0, 0, 3,13, 0, 0, 5,10, 0, 0, 0,12, 5, 4,12, 4, 0, 0, 0, 1,13,16, 7, 0, 0), 0),
    (( 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0,10,14, 1,12, 6, 0, 0, 4,16, 6, 0,16,12, 0, 0,13,15,12,16,16, 9, 0, 0,13,16,15,13,16, 5, 0, 0, 1, 4, 0, 9,12, 0, 0), 4),
    (( 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 0,16, 8, 8, 5, 0, 0, 0, 0,15,15, 9,11,12, 0, 0, 0, 9,15, 0, 0,15, 4, 0, 0, 1,11,13,12,12, 1), 6),
    (( 0, 0, 0, 1,11,14,10, 0, 0, 0, 6,14, 7,10,13, 0, 0, 0,15, 3, 1,14, 5, 0, 0, 0,15,11, 9,16, 5, 0, 0, 0, 3, 8, 7,16, 4, 0, 0, 0, 0, 0, 2,11, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0,14, 7, 0, 0), 9),
    (( 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 3,16, 8, 4,15, 0, 0, 1,14,11, 0,10,14, 0, 0, 9,16,13,12,16,12, 0, 0, 3,12,11,12,16, 6, 0, 0, 0, 0, 0,12,12, 1, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 7,13, 1, 0, 0), 4),
    (( 0, 0,13,16,13, 6, 0, 0, 0, 0,15,14,15,15, 3, 0, 0, 0,10,11, 7,13, 1, 0, 0, 0, 0,13,16, 7, 0, 0, 0, 0,10,16,13, 0, 0, 0, 0, 0,15, 4,14, 3, 0, 0, 0, 3,12, 4,16, 1, 0, 0, 0, 1,12,15, 6, 0, 0, 0), 8),
    (( 0, 0, 0,11,16,10, 0, 0, 0, 0, 6,11, 2,12, 0, 0, 0, 0, 5,15, 3,11, 0, 0, 0, 0, 1,13,16, 1, 0, 0, 0, 0, 1,12,16, 7, 0, 0, 0, 7,13, 3, 7,14, 0, 0, 0,10,13, 8, 5,10, 0, 0, 0, 0, 0,14,15, 3, 0, 0), 8),
    (( 0, 0, 7,15,16,11, 0, 0, 0, 0, 9,11,13,12, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 5, 8,16, 7, 0, 0, 0,10,16,16,16,16, 7, 0, 0, 5, 6,16,11, 4, 1, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0), 7),
    (( 0, 0, 0, 0,14,10, 0, 0, 0, 0, 1,11,16,12, 0, 0, 0, 2,12,16,16,12, 0, 0, 0, 4,11, 5,15,11, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0, 0,11, 9, 0, 0), 1),
    (( 0, 0,12,16, 9, 0, 0, 0, 0, 3,16, 7, 5, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0, 9,13,10,15, 8, 0, 0, 0, 5,16,15, 8,11,10, 0, 0, 4,16,12, 1, 5,16, 0, 0, 1,10,15,16,16,10, 0), 6),
    (( 0, 0, 0, 6,15,10, 1, 0, 0, 0, 0,12,16,14, 2, 0, 0, 1,12,16,16, 7, 0, 0, 0, 7,16,16,16, 7, 0, 0, 0, 1, 4,10,16, 4, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 8,16,11, 0, 0, 0, 0, 0, 6,16,12, 0, 0), 1),
    (( 0, 0, 2, 8,11,16,16,14, 0, 0,10,15,10,11,16, 7, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 4, 8,11,16, 4, 0, 0, 0,13,16,16,11, 5, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0), 7),
    (( 0, 0,11, 7,10, 3, 0, 0, 0, 0, 9,12,12,14, 0, 0, 0, 0, 0,15,15,11, 1, 0, 0, 0, 1,14, 9, 0, 0, 0, 0, 0, 9,13, 8, 0, 0, 0, 0, 0,14, 5,10, 0, 0, 0, 0, 0,14, 2,12, 0, 0, 0, 0, 0,10,16,10, 0, 0, 0), 8),
    (( 0, 2,11,15, 8, 6, 0, 0, 0,10,14, 8,15,16, 0, 0, 0, 9,14, 0,10,16, 2, 0, 0, 2,16,10,16,16, 3, 0, 0, 0, 4, 8, 8,16, 4, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 2,11,12,15,16, 8, 0, 0, 2,12, 9, 8, 4, 0, 0), 9),
    (( 0, 0, 0, 4,13,10, 0, 0, 0, 0, 0,12,10,14, 4, 0, 0, 0, 0,14, 4,15, 4, 0, 0, 1, 9,15,14, 8, 0, 0, 0, 5,14,10, 8, 0, 0, 0, 0, 4, 8, 2,12, 0, 0, 0, 0, 0, 9, 8,12, 4, 0, 0, 0, 0, 1, 7,13, 2, 0, 0), 8),
    (( 0, 0, 6,15,16, 5, 0, 0, 0, 5,16,13,15,11, 0, 0, 0,10,12, 1,16, 9, 0, 0, 0, 3, 3, 9,16, 2, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,12,14, 8, 8, 2, 0, 0, 0, 5,16,16,16,11, 0), 2),
    (( 0, 0, 3,10,14, 2, 0, 0, 0, 0,15,16,14,10, 0, 0, 0, 6,16, 5, 0,14, 2, 0, 0, 8,15, 1, 0, 8, 6, 0, 0, 8, 8, 0, 0, 6, 8, 0, 0, 5,13, 0, 0, 6, 8, 0, 0, 0,15,12, 8,14, 5, 0, 0, 0, 3,15,16,11, 0, 0), 0),
    (( 0, 0, 8,12,12, 6, 0, 0, 0, 0,15,16,16,16, 0, 0, 0, 0, 8,16,16,16, 0, 0, 0, 0, 6,16,16,16, 4, 0, 0, 0, 5,16,16,16, 4, 0, 0, 0, 4,16,16,16, 7, 0, 0, 0,15,16,16,16, 8, 0, 0, 0, 4, 9,11, 8, 4, 0), 1),
    (( 0, 0,10,15,10, 5, 0, 0, 0, 0,14,16,16,16, 3, 0, 0, 0,13,14, 1, 1, 0, 0, 0, 0, 5,14, 2, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 9,13,16, 2, 0, 0, 0, 0,12,16,15, 1, 0, 0), 5),
    (( 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 0,16, 6, 4, 2, 0, 0, 0, 0,16,16,15,15, 4, 0, 0, 0,15, 6, 0, 0,15, 1, 0, 0, 9,13, 0, 6,14, 5, 0, 0, 0, 9,16,16,10, 0), 6),
    (( 0, 4,12,13,16,16, 4, 0, 0,12,16,16,11, 8, 5, 0, 0,16,13, 5, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 3,16,12, 0, 0, 0, 0), 5),
    (( 0, 0, 5,14,12, 1, 0, 0, 0, 0,14,15,16,10, 0, 0, 0, 4,13, 1, 3,15, 0, 0, 0, 5, 7, 0, 0,11, 7, 0, 0, 4,13, 0, 0, 6, 8, 0, 0, 4,16, 2, 0, 9, 8, 0, 0, 0,13,15,10,16, 3, 0, 0, 0, 4,13,16,11, 0, 0), 0),
    (( 0, 0, 2,11, 9, 0, 0, 0, 0, 0,12, 7, 8, 8, 0, 0, 0, 6,16, 3, 9,11, 0, 0, 0, 1,13,16,16,14, 2, 0, 0, 0, 4,16, 8,10, 5, 0, 0, 0, 8,11, 0, 4, 6, 0, 0, 0,10, 9, 0, 8, 5, 0, 0, 0, 3,11,12, 6, 0, 0), 8),
    (( 0, 0, 7,15,16,12, 0, 0, 0, 0, 9, 6, 3,15, 2, 0, 0, 0, 0, 4,13, 9, 0, 0, 0, 0, 9,16,16, 6, 0, 0, 0, 0, 5, 5, 6,15, 4, 0, 0, 0, 8, 0, 0, 4,12, 0, 0, 1,13, 1, 3,12, 8, 0, 0, 0, 8,16,15,10, 0, 0), 3),
    (( 0, 0, 1,12,15, 6, 0, 0, 0, 0, 5,13, 1,12, 0, 0, 0, 0, 2,11, 1,15, 0, 0, 0, 0, 0,10,11, 9, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0,10,15, 4,13, 3, 0, 0, 0,12, 2, 0, 1,14, 0, 0, 0, 1,10,10, 8,15, 1), 8),
    (( 0, 0, 4,12, 9, 0, 0, 0, 0, 0, 8,15, 9, 9, 0, 0, 0, 0,15, 6, 0,12, 2, 0, 0, 3,12, 0, 0, 8, 7, 0, 0, 7,11, 0, 0, 5, 8, 0, 0, 6,12, 0, 0, 7, 8, 0, 0, 3,16, 7, 5,15, 4, 0, 0, 0, 5,13,13, 8, 0, 0), 0),
    (( 0, 0, 2,15,15, 7, 0, 0, 0, 0,10,12, 6,16, 5, 0, 0, 2,16, 3, 0, 8,10, 0, 0, 7,16, 0, 0, 8, 8, 0, 0, 3,16, 4, 0,12, 5, 0, 0, 0,16, 7, 1,15, 3, 0, 0, 0,12,13,13,10, 0, 0, 0, 0, 2,12,13, 1, 0, 0), 0),
    (( 0, 0, 6,12,16,16, 9, 0, 0, 0,12, 5, 1,14,10, 0, 0, 0, 0, 2,12,12, 0, 0, 0, 0, 4,15,14, 1, 0, 0, 0, 0, 4,13,16, 8, 0, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 4, 8,12,13, 0, 0, 0, 0, 7,14, 7, 1, 0, 0), 3),
    (( 0, 0, 0,12,14, 1, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 3,16,10, 8, 2, 0, 0, 0, 2,16,16,16,15, 4, 0, 0, 1,14,16, 6, 8,15, 0, 0, 0, 5,16,16,13,16, 1, 0, 0, 0, 9,16,15, 7, 0), 6),
    (( 0, 0, 7,15,16,16, 8, 0, 0, 4,16,12, 5,13,13, 0, 0, 1, 5, 0, 0,16,10, 0, 0, 0, 0, 1, 8,16, 6, 0, 0, 0, 9,15,16,16,11, 0, 0, 2,12,14,15, 4, 1, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0), 7),
    (( 0, 0, 2,11,11, 2, 0, 0, 0, 0,13,13,11,12, 0, 0, 0, 7,13, 1, 0,12, 1, 0, 0, 7, 9, 0, 0, 7, 5, 0, 0, 6,10, 0, 0, 7, 8, 0, 0, 2,13, 0, 0,10, 7, 0, 0, 0,10,10, 6,16, 3, 0, 0, 0, 2,11,15, 9, 0, 0), 0),
    (( 0, 0, 1,11,15, 2, 0, 0, 0, 6, 6,16,16, 9, 0, 0, 0, 8,14,13, 3,13, 4, 0, 0, 7,16, 1, 0, 6, 6, 0, 0, 3,12, 0, 0, 6, 9, 0, 0, 0,14, 5, 2,13,12, 0, 0, 0, 3,16,16,16, 8, 0, 0, 0, 0, 9,16,13, 2, 0), 0),
    (( 0, 0, 3,13,16,15, 1, 0, 0, 0, 6,12,13,16, 4, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 2, 5,14,14, 3, 0, 0, 0,14,16,16,16,10, 0, 0, 0, 5,10,16, 7, 1, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0), 7),
    (( 0, 1,14,13, 0, 0, 0, 0, 0, 9,16,16, 2, 0, 0, 0, 0, 7,11,16, 8, 0, 0, 0, 0, 0, 1,13, 8, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 1,15,16,16,12, 6, 0, 0, 0,16,16,16,16,16, 3), 2),
    (( 0, 0, 7,10, 8,11,16, 3, 0, 0, 5,10, 9,14,11, 0, 0, 0, 0, 0, 2,15, 3, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 4,15,16,16,16, 7, 0, 0, 2, 4,11,10, 3, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0), 7),
    (( 0, 0, 7,15,16,16, 9, 0, 0, 2,15, 6,15,15,11, 0, 0, 1,13, 0, 7,15, 3, 0, 0, 1,14,12,15, 3, 0, 0, 0, 0,10,16,16, 4, 0, 0, 0, 2,13, 2,10,12, 0, 0, 0, 1,16, 5, 8,16, 0, 0, 0, 0, 8,16,16, 7, 0, 0), 8),
    (( 0, 1, 6,11,16, 6, 0, 0, 0, 0, 5,13,11,16, 6, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 1,13,10, 4, 0, 0, 0, 0, 6,10, 4, 8, 0, 0, 0, 0, 8, 7,12, 7, 0, 0, 0, 0, 2,13,14, 0, 0, 0, 0), 8),
    (( 0, 0,12,16,15, 1, 0, 0, 0, 5,16, 7,11,13, 0, 0, 0, 4,16, 1, 7,16, 8, 0, 0, 2,13,16,16,16, 8, 0, 0, 0, 1, 6, 2, 8,13, 0, 0, 0, 0, 0, 0, 4,16, 0, 0, 1, 5, 2, 4, 8,16, 1, 0, 1,11,16,16,16, 8, 0), 9),
    (( 0, 3,12,16,16,14, 0, 0, 0,13,16,14, 8, 5, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0, 5,15, 3, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 0,15,15, 2, 0, 0, 0), 5),
    (( 0, 0, 7,13, 3, 0, 0, 0, 0, 0, 5,15, 3, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 3,14, 0, 0, 0, 0, 0, 0, 4,13, 8,12,10, 1, 0, 0, 5,16,14,10,13, 8, 0, 0, 2,15,11, 5,13, 7, 0, 0, 0, 5,13,14,11, 1, 0), 6),
    (( 0, 0, 4,11, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 2,15, 8, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0, 7,16,16,16, 9, 0, 0, 0, 4,16,12, 9,16, 7, 0, 0, 2,15, 9, 6,16, 9, 0, 0, 0, 4,15,16,13, 2, 0), 6),
    (( 0, 1,11,13,12, 4, 0, 0, 0, 1, 8, 8,12,11, 0, 0, 0, 0, 0, 1,11,10, 0, 0, 0, 0, 7,12,13, 1, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0, 0, 4, 9,14,12, 2, 0, 0, 1,10, 7, 5,16, 7, 0, 0, 2,15,16,15, 9, 1, 0), 3),
    (( 0, 0, 0, 7,14,15, 3, 0, 0, 0,11,16, 9,15,10, 0, 0, 5,14, 3, 4,14,10, 0, 0, 7,15,10,16,16, 4, 0, 0, 2,11,11,10,16, 1, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0,10,15, 0, 0, 0), 9),
    (( 0, 0, 3,15, 3, 0, 0, 0, 0, 0,12,14, 0, 0, 5, 3, 0, 2,16,10, 0, 5,16, 5, 0, 3,16,14,12,15,14, 0, 0, 0,13,16,16,14, 3, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0), 4),
    (( 0, 0, 6,15,16,14, 0, 0, 0, 2,11, 5, 7,16, 2, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 8,13,16, 6, 0, 0, 0, 0, 5,13,16,14, 3, 0, 0, 0, 0,14, 8,14, 4, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 7, 9, 1, 0, 0, 0), 7),
    (( 0, 0, 1,14,15, 3, 0, 0, 0, 0, 0,15,16, 9, 0, 0, 0, 0, 0,15,16, 7, 0, 0, 0, 0, 2,15,16, 5, 0, 0, 0, 0, 4,16,15, 1, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0, 2,12,16, 5, 0, 0), 1),
    (( 0, 0, 2,13, 9, 0, 0, 0, 0, 0,14,11,12, 7, 0, 0, 0, 6,16, 1, 0,16, 0, 0, 0, 5,12, 0, 0,11, 5, 0, 0, 8,13, 0, 0, 8, 7, 0, 0, 1,16, 0, 0, 9, 8, 0, 0, 0,13, 3, 6,16, 1, 0, 0, 0, 3,16,14, 4, 0, 0), 0),
    (( 0, 4,16,16,16,12, 1, 0, 0, 0, 7, 8,12,16, 2, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 3, 4,15,11, 0, 0, 0, 2,16,16,16,16, 6, 0, 0, 0, 9,16,10, 4, 1, 0, 0, 0,10,15, 1, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0), 7),
    (( 0, 0, 7,11,15, 6, 0, 0, 0, 3,16,15,12, 4, 0, 0, 0, 5,16,13,14, 8, 0, 0, 0, 6,15,11, 8,15, 6, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0, 4, 8, 0, 0, 0,13, 9, 8,13, 5, 0, 0, 0, 6,11,14, 9, 0, 0), 5),
    (( 0, 1,13,16, 8, 1, 0, 0, 0, 8,14,10,16, 8, 0, 0, 0,11,14,15,16, 9, 0, 0, 0, 0, 8, 7, 6,16, 4, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 1, 0, 0,14, 8, 0, 0, 3,16, 2,10,15, 1, 0, 0, 2,13,16,12, 1, 0, 0), 9),
    (( 0, 0, 5,14, 4, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0, 8,16,13,16, 9, 1, 0, 0,11,16,14,10,16, 2, 0, 0, 7,16,14,12,15, 1, 0, 0, 1, 9,13,10, 3, 0, 0), 6),
    (( 0, 0, 3,10,14, 7, 0, 0, 0, 4,16,12,14,12, 0, 0, 0, 0, 7, 0,11, 9, 0, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 0,12,16,16, 5, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 1, 8,11,15, 3, 0, 0, 0, 5,13,10, 2, 0, 0), 3),
    (( 0, 0, 3,10,12, 0, 0, 0, 0, 0, 9,16,16,11, 0, 0, 0, 0,14,12, 2,15, 3, 0, 0, 1,16, 9, 0, 9, 7, 0, 0, 4,15, 1, 0, 8, 8, 0, 0, 3,16, 0, 0, 7,11, 0, 0, 2,15,10, 9,15, 6, 0, 0, 0, 3,15,15, 7, 0, 0), 0),
    (( 0, 0, 6,13,12, 2, 0, 0, 0, 7,14, 4, 9,10, 0, 0, 0, 8, 3, 0,10, 7, 0, 0, 0, 0, 2, 9,16, 2, 0, 0, 0, 0,10,12,12,14, 1, 0, 0, 0, 0, 0, 0, 6,12, 0, 0, 0,11, 5, 4,12,10, 0, 0, 0, 6,13,13,10, 1, 0), 3),
    (( 0, 0, 2,12,16, 7, 0, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 0, 0, 6,15, 3, 0, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,11,16, 0, 0, 0, 0, 3,13,16, 9, 0, 0, 0, 6,16,12, 8, 1, 0), 3),
    (( 0, 0, 7,16,15, 5, 0, 0, 0, 0,15, 7, 6,15, 2, 0, 0, 3,15, 4, 5,13, 2, 0, 0, 2,15,16,16,15, 0, 0, 0, 0, 8,16,15,15, 3, 0, 0, 0,11,13, 1, 6, 7, 0, 0, 0,16,12, 8,11, 4, 0, 0, 0, 7,15,16,12, 2, 0), 8),
    (( 0, 0, 5,12,12, 0, 0, 0, 0, 3,16,12,15, 4, 0, 0, 0, 4,14, 0,14, 6, 0, 0, 0, 1,12,11,12, 0, 0, 0, 0, 0, 7,16, 8, 1, 0, 0, 0, 0, 1, 5,12,13, 1, 0, 0, 0, 8, 4, 0,16, 4, 0, 0, 0, 8,15,15,11, 1, 0), 3),
    (( 0, 0, 5,15, 8, 0, 0, 0, 0, 2,15, 9,10, 3, 1, 0, 0, 6, 9, 7,11,14, 1, 0, 0, 2,15,13, 8, 2, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0, 1,16,12, 0, 0, 0, 0, 0, 1,16,13, 1, 0, 0, 0, 0, 0, 8,15, 3, 0, 0, 0), 8),
    (( 0, 0, 9,13, 4, 0, 0, 0, 0, 1,16, 9,11, 0, 0, 0, 0, 2,11, 0,13, 0, 0, 0, 0, 0, 2, 3,13, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 0, 0, 0, 3,14, 1, 0, 0, 0, 0, 0,11,14,10, 8,11, 0, 0, 0,11,13,12,12,14, 2), 2),
    (( 0, 0, 0, 0,13,12, 1, 0, 0, 0, 0, 5,16,16, 1, 0, 0, 0, 0,14,16,14, 0, 0, 0, 0, 7,16,16,10, 0, 0, 0, 5,16,16,16,14, 0, 0, 0, 2, 6, 9,16,16, 1, 0, 0, 0, 0, 2,16,16, 7, 0, 0, 0, 0, 0, 8,12, 6, 0), 1),
    (( 0, 0, 2,13,15, 1, 0, 0, 0, 2,13,15, 5, 9, 0, 0, 0, 7,15, 2, 0, 8, 0, 0, 0, 8,15, 0, 0, 5, 4, 0, 0, 7,16, 0, 0, 9, 6, 0, 0, 0,14, 7, 0,13, 7, 0, 0, 0,10,15,14,14, 0, 0, 0, 0, 0,14,14, 5, 0, 0), 0),
    (( 0, 0, 5,15,13, 2, 0, 0, 0, 0,10,13,12,11, 0, 0, 0, 0, 3, 2, 4,15, 0, 0, 0, 0, 0, 9,16,10, 0, 0, 0, 0, 0, 3,13,16, 6, 0, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 5, 8, 8,10,16, 1, 0, 0, 4, 9,14,13, 7, 0), 3),
    (( 0, 0, 3,12,13, 9, 0, 0, 0, 0,12, 8, 2,12, 2, 0, 0, 0,11, 8,12,11, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 3,12, 6,11, 0, 0, 0, 0, 4, 8, 0, 7, 9, 0, 0, 0, 1,12, 2, 0,13, 4, 0, 0, 0, 2,12,11,12, 6, 0), 8),
    (( 0, 0, 3,13,13, 2, 0, 0, 0, 4,16,15,14,10, 0, 0, 0, 3,16, 2, 0,16, 4, 0, 0, 6,13, 0, 0,13, 6, 0, 0, 4,13, 0, 0,11, 9, 0, 0, 0,16, 0, 0,11, 7, 0, 0, 0, 9,12, 9,15, 2, 0, 0, 0, 2,11,15, 7, 0, 0), 0),
    (( 0, 0, 3,14, 8, 0, 0, 0, 0, 8,16,16,16, 6, 0, 0, 0,11,14, 4, 7,14, 0, 0, 0, 9,10, 0, 0,12, 7, 0, 0, 6,11, 0, 0, 6, 8, 0, 0, 0,16, 4, 0, 4,12, 0, 0, 0,10,14,10,14,10, 0, 0, 0, 2,12,16,13, 2, 0), 0),
    (( 0, 6,16,16,13, 3, 0, 0, 0,12,16,12,15,16, 5, 0, 0,10,14, 1, 0, 4, 1, 0, 0, 2,15, 8, 0, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 0, 1, 5,15,10, 0, 0, 0, 0, 7,16,15, 1, 0, 0, 0), 5),
    (( 0, 2,13,16,16,11, 0, 0, 0, 7,13, 4,11,14, 0, 0, 0, 0, 1, 9,16, 7, 0, 0, 0, 0, 7,16,14, 1, 0, 0, 0, 0, 0, 9,15,13, 1, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 6, 0, 5,15, 7, 0, 0, 0,15,16,16,10, 1, 0), 3),
    (( 0, 0, 4,11,15, 4, 0, 0, 0, 3,15,15,10,16, 0, 0, 0, 8,15, 2, 0,14, 4, 0, 0, 7,13, 0, 0,10, 8, 0, 0, 7,12, 0, 0,13, 4, 0, 0, 1,15, 4, 1,15, 2, 0, 0, 0,10,12,11,12, 0, 0, 0, 0, 2,11,13, 2, 0, 0), 0),
    (( 0, 0, 0, 2,14, 1, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 8,15, 1, 2, 1, 0, 0, 3,15, 5, 0,12, 7, 0, 0,10,14, 0, 6,16, 2, 0, 0, 8,16,16,16,12, 0, 0, 0, 0, 2, 4,16, 5, 0, 0, 0, 0, 0, 2,13, 0, 0, 0), 4),
    (( 0, 1,13,16, 7, 0, 0, 0, 0, 8,15,15, 9, 0, 0, 0, 0,12, 8, 8,12, 0, 0, 0, 0,10, 7, 8,12, 0, 0, 0, 0, 1, 0,11,10, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0,13,15, 6, 6, 1, 0, 0, 1,16,16,16,16, 8, 0), 2),
    (( 0, 0, 0,15,12, 5, 0, 0, 0, 0, 4,16,16, 8, 0, 0, 0, 0, 9,16,15, 3, 0, 0, 0, 1,16,16, 9, 0, 0, 0, 0, 6,16,16, 9, 0, 0, 0, 0, 0,11,16,11, 0, 0, 0, 0, 0, 4,16,14, 1, 0, 0, 0, 0, 0,13,16, 0, 0, 0), 1),
    (( 0, 0, 9,14, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0, 9,11, 0, 4, 5, 1, 0, 0, 9,12,13,16,16,11, 0, 0, 4,16,15, 8,11,14, 0, 0, 3,16,11, 9,16, 6, 0, 0, 0, 8,16,16, 8, 0, 0), 6),
    (( 0, 0, 1, 9,14, 5, 0, 0, 0, 0, 8,15, 9,14, 1, 0, 0, 0, 3,14, 0,16, 4, 0, 0, 0, 0, 8,14,16, 4, 0, 0, 0, 0, 0, 3,13, 5, 0, 0, 0, 3, 0, 0, 8, 7, 0, 0, 3,15, 6, 2,14, 6, 0, 0, 0, 1,10,14,14, 1, 0), 9),
    (( 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 1,11,11, 1, 0, 0, 0, 0,10,13, 0,10, 0, 0, 0, 6,16, 6, 6,15, 3, 0, 0, 8,16,16,16,16, 9, 0, 0, 0, 2, 4,15, 4, 0, 0, 0, 0, 0, 1,16, 1, 0, 0, 0, 0, 0, 2,15, 0, 0, 0), 4),
    (( 0, 0, 0, 9,15, 7, 0, 0, 0, 0, 7,16,10, 6, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 1,16, 5,11, 8, 0, 0, 0, 3,16,16,10,15, 9, 0, 0, 1,15, 9, 0, 4,13, 0, 0, 0,11,14, 6,11,15, 0, 0, 0, 0,10,14,13, 8, 0), 6),
    (( 0, 0, 1, 9,13, 1, 0, 0, 0, 0,11,11,13, 9, 0, 0, 0, 2,15, 0, 4,16, 4, 0, 0, 8, 9, 0, 0,13, 6, 0, 0, 5,12, 0, 0, 9, 8, 0, 0, 0,15, 3, 0, 8, 8, 0, 0, 0, 6,14, 4,11, 7, 0, 0, 0, 0,11,16,13, 2, 0), 0),
    (( 0, 0,11,15, 7, 0, 0, 0, 0, 2,16,10,16,14, 4, 0, 0, 5,13, 0, 6,16, 6, 0, 0, 4,16, 9,10,16, 8, 0, 0, 0, 7,12,11,14, 8, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 1,12,10,10,15, 6, 0, 0, 1,10,12,14,10, 1, 0), 9),
    (( 0, 0, 5,16,10, 1, 0, 0, 0,11,14,13,14,12, 0, 0, 0,12,16, 4, 3,15, 5, 0, 0,11,12, 1, 0, 7, 9, 0, 0, 9,10, 0, 0, 3,14, 0, 0, 6,14, 0, 0, 9,16, 0, 0, 0,14, 9, 9,16,11, 0, 0, 0, 5,15,16,15, 1, 0), 0),
    (( 0, 0, 6,14,16,13, 0, 0, 0, 6,14, 3, 0,13, 4, 0, 0, 5,12, 0, 4,16, 3, 0, 0, 0,14,14,15, 5, 0, 0, 0, 1,14,12, 1, 0, 0, 0, 0, 5,16,13, 2, 0, 0, 0, 0, 2,16,16,13, 0, 0, 0, 0, 0, 2,12,12, 0, 0, 0), 8),
    (( 0, 0, 1, 7,12, 5, 0, 0, 0, 0, 4,16, 9, 6, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 0,15, 8, 8, 5, 0, 0, 0, 0,16,16,12,16, 2, 0, 0, 0,15, 5, 0,15, 5, 0, 0, 0,11, 9, 8,16, 4, 0, 0, 0, 2,14,15, 8, 0, 0), 6),
    (( 0, 0, 7,16, 4, 0, 0, 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 1,13,16, 6, 0, 0, 0, 0, 9,16,16,11, 0, 0, 0, 0, 8, 6,10,16, 1, 0, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 1, 7,16,16, 7, 0, 0, 0, 4,15,16,15,15, 3), 1),
    (( 0, 0, 0, 8,15, 5, 0, 0, 0, 0, 0,15,16,11, 0, 0, 0, 0, 8,16,16,13, 0, 0, 0, 7,16,16,16,16, 4, 0, 0, 2, 4, 0,10,16,10, 0, 0, 0, 0, 0, 8,16,11, 0, 0, 0, 0, 7,14,16,10, 0, 0, 0, 0,11,16, 9, 1, 0), 1),
    (( 0, 0,12,15, 9, 0, 0, 0, 0, 8,13,10,16, 2, 0, 0, 0, 4, 4, 0,15, 6, 0, 0, 0, 0, 0, 7,16, 9, 0, 0, 0, 0, 0, 5,10,16, 4, 0, 0, 0, 0, 0, 0, 8, 9, 0, 0, 0, 8, 5, 4, 9,12, 0, 0, 1,14,14,16,14, 3, 0), 3),
    (( 0, 0, 8,16,13, 4, 0, 0, 0, 0, 5, 6,12,14, 0, 0, 0, 0, 0, 3,15,14, 0, 0, 0, 0, 0,13,15, 4, 0, 0, 0, 0, 0, 9,12, 1, 0, 0, 0, 0, 0, 1,11,12, 0, 0, 0, 0, 3, 4, 9,16, 4, 0, 0, 0, 8,15,14,12, 3, 0), 3),
    (( 0, 1,10,16,13, 2, 0, 0, 0, 6,14, 9,16, 6, 0, 0, 0, 0, 1, 0,13,11, 0, 0, 0, 0, 1,13,16,11, 1, 0, 0, 0, 2,12,11,16, 8, 0, 0, 0, 5, 0, 0,15, 9, 0, 0, 3,16,12, 8,16, 7, 0, 0, 0,10,16,16,11, 1, 0), 3),
    (( 0, 0, 3, 9,15, 8, 0, 0, 0, 1,15,16,16, 7, 0, 0, 0, 0, 5,16,16,10, 4, 0, 0, 0, 3,16,16,16, 9, 0, 0, 0, 0,15,14, 4, 0, 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 0), 7),
    (( 0, 0,14,16,16,16, 9, 0, 0, 0, 6, 8,10,16, 6, 0, 0, 0, 0, 0, 9,14, 2, 0, 0, 0,13,14,16,14, 4, 0, 0, 0, 8,16,16,16,11, 0, 0, 0, 3,16, 4, 3, 1, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0), 7),
    (( 0, 0,12,16,15, 6, 0, 0, 0, 0,15,13,11,16, 3, 0, 0, 0, 1, 7, 5,16, 5, 0, 0, 0, 1,13,16,11, 0, 0, 0, 0, 1,10,15,15, 1, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 2,11, 4, 4,14, 8, 0, 0, 0,11,16,16,14, 1, 0), 3),
    (( 0, 0, 3,16,13, 2, 0, 0, 0, 0,11, 7, 7,12, 0, 0, 0, 2,16, 1, 0, 9, 3, 0, 0, 5,13, 1, 0, 6, 6, 0, 0, 7, 6, 0, 0, 5, 8, 0, 0, 4, 8, 0, 0,10, 5, 0, 0, 1,13, 5, 8,15, 1, 0, 0, 0, 4,15,15, 4, 0, 0), 0),
    (( 0, 3,12,16,16,16, 4, 0, 0, 8,11, 6, 4,12,15, 0, 0, 1, 0, 0, 6,15,10, 0, 0, 0, 0, 7,16, 7, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 6, 2,13,12, 0, 0, 0, 2,16,16,14, 3, 0, 0), 3),
    (( 0, 1, 8,16,14, 0, 0, 0, 0, 4,15, 9,16, 3, 0, 0, 0, 1, 4, 7,16, 0, 0, 0, 0, 0, 0,11,16, 9, 0, 0, 0, 0, 0, 0, 5,15, 5, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0,15, 9, 9,15, 2, 0, 0, 0, 6,13,10, 4, 0, 0), 3),
    (( 0, 0, 1,13,10, 0, 0, 0, 0, 0,10,16, 7, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 8,16, 6, 8, 7, 0, 0, 0, 3,15,16,16,16, 8, 0, 0, 0, 9,16,16,16, 5, 0, 0, 0, 0, 8,15, 9, 0, 0), 6),
    (( 0, 0, 2,13,10, 4, 0, 0, 0, 0, 0,16,16,11, 0, 0, 0, 0, 0,13,16,15, 0, 0, 0, 0, 1,14,16,11, 0, 0, 0, 0, 4,16,16, 6, 0, 0, 0, 0, 3,16,14, 2, 0, 0, 0, 0, 7,16,16, 3, 0, 0, 0, 0, 4,13,16, 4, 0, 0), 1),
    (( 0, 0, 4,15,16, 7, 0, 0, 0, 0,13,12,16, 9, 0, 0, 0, 0, 2, 1,16, 7, 0, 0, 0, 0, 0, 5,15, 3, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 9,16,11, 7, 0, 0, 0, 0, 5,16,16,10, 0, 0), 2),
    (( 0, 0, 7,16,11, 0, 0, 0, 0, 5,15,12,16, 3, 0, 0, 0, 6,16,14,16, 7, 0, 0, 0, 1, 8,12,16, 8, 0, 0, 0, 0, 0, 0, 6,15, 2, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 2,13, 8, 0, 0, 0, 8,16,16,14, 4, 0), 9),
    (( 0, 0, 1,13,14,11, 0, 0, 0, 0,10,12,12,16, 4, 0, 0, 0,15, 0, 2, 9, 6, 0, 0, 5,13, 0, 0, 6, 9, 0, 0, 5,12, 0, 0, 5, 7, 0, 0, 1,13, 2, 0, 9, 4, 0, 0, 0,12,11, 7,11, 0, 0, 0, 0, 2,15,12, 3, 0, 0), 0),
    (( 0, 0, 9,16,10, 1, 0, 0, 0, 9,16, 9,16, 6, 0, 0, 0,16, 9, 3,16, 5, 0, 0, 0, 3, 6,12,16,10, 0, 0, 0, 0, 1,10, 9,15, 8, 0, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 3, 9, 2,13,12, 0, 0, 0, 7,16,16,15, 4, 0), 3),
    (( 0, 1,12,13, 9, 5, 0, 0, 0, 5,16,11,15,16, 0, 0, 0, 4,16, 5, 8,16, 4, 0, 0, 2,13,16,16,16, 5, 0, 0, 0, 0, 3, 4,15, 6, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0,11, 9,12,16, 2, 0, 0, 0,11,16,14, 8, 0, 0), 9),
    (( 0, 0, 0, 8,14, 5, 0, 0, 0, 0, 0, 9,16,14, 2, 0, 0, 0, 0,11,16,13, 1, 0, 0, 0, 6,16,16, 7, 0, 0, 0, 3,13,16,16, 4, 0, 0, 0, 3,11,15,16,12, 0, 0, 0, 0, 0,10,16,15, 3, 0, 0, 0, 0, 8,16,15, 6, 0), 1),
    (( 0, 0, 4,12, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0, 8,16,16,16,13, 1, 0, 0, 5,16, 7, 9,16, 5, 0, 0, 1,14,12, 4,16, 5, 0, 0, 0, 3,15,16, 8, 0, 0), 6),
    (( 0, 0, 1, 7,16,12, 0, 0, 0, 0, 3,15,16,12, 0, 0, 0, 5,13,16,16, 9, 0, 0, 0, 5,14,16,16, 8, 0, 0, 0, 0, 4,16,16, 7, 0, 0, 0, 0, 0,11,16,12, 0, 0, 0, 0, 0, 8,16,16, 5, 0, 0, 0, 0, 6,14,13, 5, 0), 1),
    (( 0, 0,13,10, 2, 8, 0, 0, 0, 2,16,13,13,14, 0, 0, 0, 0,14, 4,12,11, 0, 0, 0, 0,12,13,16, 5, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 0,16,16,10, 0, 0, 0, 0, 0,11,13, 2, 0, 0, 0), 8),
    (( 0, 1,13,16,16, 4, 0, 0, 0, 2,15, 9,12,12, 0, 0, 0, 0, 0, 5,15, 9, 0, 0, 0, 0, 0,16,16,14, 3, 0, 0, 0, 0, 4, 4,11,12, 0, 0, 3, 6, 0, 0, 5,16, 0, 0, 7,14, 4, 8,15,10, 0, 0, 0,13,16,16,11, 1, 0), 3),
    (( 0, 0, 0, 5,15,16, 6, 0, 0, 1,15,15,10,15,14, 0, 0, 0, 1, 0, 0, 8,12, 0, 0, 0, 0, 2, 5,15, 9, 0, 0, 0, 0, 8,16,16, 6, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 2,13, 2, 0, 0), 7),
    (( 0, 0, 2,14,16,16,14, 0, 0, 0, 2, 6, 4, 9,16, 6, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 2,15,13,15, 8, 0, 0, 0, 3, 8,14,14, 2, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 2,16, 6, 0, 0, 0), 7),
    (( 0, 0, 0, 0,12, 5, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 6,14, 1, 5, 4, 0, 0, 3,15, 3, 2,14, 6, 0, 0,12,16,14,16,16, 1, 0, 0, 7, 8, 5,14,10, 0, 0, 0, 0, 0, 0,12, 6, 0, 0), 4),
    (( 0, 0, 5,15,15, 9, 0, 0, 0, 0,15, 8, 5,13, 5, 0, 0, 6,16, 9, 0, 6,10, 0, 0, 8,16, 4, 0, 6,12, 0, 0, 0,16, 4, 0, 4,12, 0, 0, 0,16, 3, 0, 9, 9, 0, 0, 0,15, 8, 7,15, 1, 0, 0, 0, 6,16,16, 6, 0, 0), 0),
    (( 0, 0, 0, 4,13, 6, 0, 0, 0, 0, 0,11,16,12, 0, 0, 0, 0, 8,16,16,10, 0, 0, 0, 6,16,16,16, 6, 0, 0, 0, 5,12,12,16, 3, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0, 5,16, 2, 0, 0), 1),
    (( 0, 1,12,16, 6, 0, 0, 0, 0, 9,16,14,14, 3, 0, 0, 0,12,12, 0,16, 7, 0, 0, 0, 2, 0, 0,15, 6, 0, 0, 0, 0, 0, 4,15, 1, 0, 0, 0, 0, 1,12,14, 0, 0, 0, 0, 2,15,16,14, 9, 2, 0, 0, 1,13,16,16,16,16, 3), 2),
    (( 0, 0, 8,15,15,12, 4, 0, 0, 0,15, 4, 3,10,16, 0, 0, 0, 8,14,12,16,12, 0, 0, 0, 0, 2, 4, 9, 8, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 1, 1, 0, 0,12, 4, 0, 0, 7,11, 1, 4,12, 1, 0, 0, 0,10,16,13, 3, 0, 0), 9),
    (( 0, 0, 3,14,11, 1, 0, 0, 0, 0,14,15,13,10, 0, 0, 0, 1,16, 5, 1,14, 2, 0, 0, 3,16, 2, 0, 7, 6, 0, 0, 4,13, 1, 0, 7, 8, 0, 0, 3,13, 0, 0,11, 7, 0, 0, 0,14, 6, 7,14, 1, 0, 0, 0, 4,16,14, 4, 0, 0), 0),
    (( 0, 0, 0,11,12, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 3,16, 6, 0, 5, 3, 0, 0,10,16, 0, 2,15,10, 0, 0, 6,16,14,14,14, 1, 0, 0, 0, 2, 4,16,10, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0,10,14, 0, 0, 0), 4),
    (( 0, 3,14,14, 2, 0, 0, 0, 0,11,16,16,13, 0, 0, 0, 0, 3, 2, 4,14, 6, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 7,15, 2, 0, 0, 0, 0, 6,15, 7, 0, 0, 0, 0, 4,16,16,10, 8, 5, 0, 0, 2,11,15,16,15,12, 0), 2),
    (( 0, 0, 6,16, 3, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0, 8,14, 6, 9, 6, 0, 0, 0, 7,16,15,12,14,12, 0, 0, 2,16, 9, 0, 1,16, 3, 0, 0, 5,15,16,16,14, 1), 6),
    (( 0, 0,14,11, 7, 1, 0, 0, 0, 2,16,16,16,14, 4, 0, 0, 0,15,11, 0, 6, 3, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 1,12,12, 0, 0, 0, 0, 4,12,14,11, 0, 0, 0, 0, 0,14,16, 6, 0, 0, 0), 5),
    (( 0, 2, 7,12,16,15, 1, 0, 1,15,16,13,10, 6, 1, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 6,16,16, 8, 0, 0, 0, 0, 5,15, 5,14, 7, 0, 0, 0, 0, 2, 0, 8,14, 0, 0, 0, 0, 5, 2,12,13, 0, 0, 0, 0, 8,16,15, 4, 0, 0), 5),
    (( 0, 0, 3,12,13, 1, 0, 0, 0, 0,14,16,15,11, 0, 0, 0, 0,15,15,15,14, 0, 0, 0, 0,11,16,15,16, 2, 0, 0, 0, 1, 5, 3,16, 6, 0, 0, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 5,15,16, 4, 0, 0, 0, 6,16,16, 6, 0, 0), 9),
    (( 0, 0, 1, 8,16,14, 1, 0, 0, 0,11,13, 7,15, 7, 0, 0, 2,15, 2, 0, 9,12, 0, 0, 6,15, 9,13,16, 8, 0, 0, 0, 6,12,13,16, 2, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 0,13, 7, 0, 0, 0), 9),
    (( 0, 2,12,16,15, 9, 0, 0, 0, 1, 4, 7,15,14, 0, 0, 0, 0, 3,15,14, 3, 0, 0, 0, 0, 6,14, 5, 0, 0, 0, 0, 0, 1,11,16, 7, 0, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 3, 9,14,15, 5, 0, 0, 1,14,12, 8, 1, 0, 0), 3),
    (( 0, 0, 4,15,14, 7, 0, 0, 0, 2,14,10, 8,15, 2, 0, 0, 8,16, 2, 1,16, 5, 0, 0, 1,14,14,14,12, 0, 0, 0, 0, 1,15,16, 7, 0, 0, 0, 0, 7,14, 8,15, 2, 0, 0, 0, 8, 9, 3,14, 7, 0, 0, 0, 5,16,16,11, 1, 0), 8),
    (( 0, 0, 5,16,16,10, 1, 0, 0, 8,14,14, 8, 9, 1, 0, 0,14,16, 9, 1, 0, 0, 0, 0,12,16,16,15, 3, 0, 0, 0, 1,10,12,13,13, 0, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 1, 4,12,14, 0, 0, 0, 0, 4,15,16, 4, 0, 0), 5),
    (( 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 3,15, 9, 0, 0, 0, 0, 0,14,14, 0, 7,10, 0, 0, 8,16, 8, 0,14,15, 1, 0,12,16,12,10,16,10, 0, 0, 5,14,16,16,15, 2, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 8,14, 0, 0, 0), 4),
    (( 0, 0, 3,15,13, 2, 0, 0, 0, 1,13,16,16, 0, 0, 0, 0, 9,16,16,16, 1, 0, 0, 0, 0, 3,15,16, 1, 0, 0, 0, 0, 0,14,16, 6, 0, 0, 0, 0, 0, 9,16,11, 0, 0, 0, 0, 5,12,16, 9, 0, 0, 0, 0, 4,15,10, 1, 0, 0), 1),
    (( 0, 0, 6, 8,12,15, 4, 0, 0, 1,15,13,12,12, 4, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 3,16,16,16,14, 1, 0, 0, 2,11, 5, 5,15, 8, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 5, 8,13,11, 0, 0, 0, 0, 8,15,10, 1, 0, 0), 5),
    (( 0, 0,15,15, 4, 0, 0, 0, 0, 0,16,13,15, 2, 0, 0, 0, 0, 9,15,12, 8, 0, 0, 0, 0, 0, 2,11,10, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0,16,16,16, 6, 1, 0, 0, 1,11,15,12,15,15, 4), 2),
    (( 0, 0, 4,10,16, 4, 0, 0, 0, 4,16,13,10,10, 0, 0, 0, 8,16, 8, 7,12, 0, 0, 0, 3,15,16,16, 9, 0, 0, 0, 5,16,16,16,16, 2, 0, 0, 1,13,12, 1, 9, 9, 0, 0, 0,14,10, 2,14, 5, 0, 0, 0, 2,12,15,11, 1, 0), 8),
    (( 0, 0, 8,15,16,13, 0, 0, 0, 3,16, 4, 1,16, 4, 0, 0, 0,15, 5, 1,16, 8, 0, 0, 0,14,11,16, 8, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0,10,16, 8, 0, 0, 0, 0, 0,16,14,16, 2, 0, 0, 0, 0, 8,16,15, 2, 0, 0), 8),
    (( 0, 0, 1,11, 3, 0, 0, 0, 0, 0,13,15,13, 0, 0, 0, 0, 3,16, 2, 8, 5, 0, 0, 0, 6,16,14,15,14, 2, 0, 0, 2,14,16,16,16, 5, 0, 0, 0, 1, 4, 3, 9, 6, 0, 0, 0, 4, 6,10,16, 5, 0, 0, 0, 1,11,10, 4, 0, 0), 9),
    (( 0, 0, 5,15,13, 8, 3, 0, 0, 0,14,14,10,16,11, 0, 0, 0,11,13, 5,12,12, 0, 0, 0, 6,16,16, 8, 1, 0, 0, 1,13,13,14, 0, 0, 0, 0, 6,10, 1,15, 7, 0, 0, 0, 5,15, 7,11,13, 0, 0, 0, 0, 6,12,16,10, 0, 0), 8),
    (( 0, 2,15,16,15, 7, 0, 0, 0, 8,16,14,12,14, 3, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 6,14,14, 0, 0, 0, 0, 2,13,16, 4, 0, 0, 0), 5),
    (( 0, 3,15,16,11, 1, 0, 0, 0,12,13,10,16, 4, 0, 0, 0, 5, 1, 8,16, 1, 0, 0, 0, 0, 0,16,16, 6, 0, 0, 0, 0, 0, 7,13,16, 5, 0, 0, 0, 0, 0, 1,15,13, 0, 0, 4,11, 8, 8,15,13, 0, 0, 2,14,16,16,10, 1, 0), 3),
    (( 0, 1,11,16,15, 2, 0, 0, 0, 4,12, 8,14, 8, 0, 0, 0, 1, 1, 2,15, 6, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0, 1,13,13, 0, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0,10,11, 8,15, 8, 0, 0, 0, 8,14,16,12, 1, 0), 3),
    (( 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 3,15, 6, 2,13, 3, 0, 0,11,12, 0, 5,16, 4, 0, 0,15,14,14,16,15, 5, 0, 0, 3, 8, 9,16, 6, 0, 0, 0, 0, 0, 1,16, 5, 0, 0), 4),
    (( 0, 0, 1,11, 2, 0, 0,11, 0, 0, 5,16, 3, 0, 7,15, 0, 0, 8,16, 0, 1,15, 7, 0, 0, 8,16, 8,13,12, 0, 0, 0, 7,16,16,16, 6, 0, 0, 0, 0, 4,14,12, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 2,15, 6, 0, 0, 0), 4),
    (( 0, 0,11, 8, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 4,16,10, 5, 1, 0, 0, 0, 3,16,16,16,13, 2, 0, 0, 0,16,10,10,16, 8, 0, 0, 0,16,11,12,16, 6, 0, 0, 0, 8,16,16, 9, 0, 0), 6),
    (( 0, 0, 5,14, 4, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 3,14, 4, 0, 0, 0, 0, 0, 6,16,14, 9, 2, 0, 0, 0, 4,16, 3, 4,11, 2, 0, 0, 0,14, 3, 0, 4,11, 0, 0, 0,10, 8, 4,11,12, 0, 0, 0, 4,12,14, 7, 0, 0), 6),
    (( 0, 0, 7,15,13, 3, 0, 0, 0, 0,16,16,16,16, 1, 0, 0, 5,15, 7, 7,16, 5, 0, 0, 8,12, 0, 0,15, 5, 0, 0, 6,16, 0, 0,13, 7, 0, 0, 5,16, 1, 2,16, 4, 0, 0, 3,16, 9,14,15, 0, 0, 0, 0, 9,13,12, 3, 0, 0), 0),
    (( 0, 1,11,16,16,12, 0, 0, 0, 7,15,10, 6, 3, 0, 0, 0,10,10, 3, 0, 0, 0, 0, 0,11,16,16, 7, 0, 0, 0, 0,10,11, 6,15, 1, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0,14,16,10, 0, 0, 0), 5),
    (( 0, 0, 9,16, 6, 0, 0, 0, 0, 0,15,10,15, 2, 0, 0, 0, 0, 5, 2,16, 2, 0, 0, 0, 0, 2, 7,16, 3, 0, 0, 0, 7,16,16,16,16, 8, 0, 0, 1, 5,14, 6, 0, 1, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0), 7),
    (( 0, 0, 1,16,14, 0, 0, 0, 0, 0, 3,16,16, 1, 0, 0, 0, 0, 1,15,16, 4, 0, 0, 0, 0, 0,14,16, 6, 0, 0, 0, 0, 2,16,16, 2, 0, 0, 0, 0, 1,16,16, 1, 0, 0, 0, 0, 3,16,16, 0, 0, 0, 0, 0, 2,15,16, 4, 0, 0), 1),
    (( 0, 0, 9,14, 7, 0, 0, 0, 0, 2,16,16,16,15, 0, 0, 0, 3,16,16,16,10, 0, 0, 0, 0, 9,16,16,10, 0, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0, 0,11,14, 9, 0, 0, 0, 0, 5,16,15, 3, 0, 0, 0, 0,10,12, 4, 0, 0, 0), 9),
    (( 0, 0, 5,11,12, 5, 0, 0, 0, 0, 9,16,16,11, 0, 0, 0, 0,11,16,16, 4, 0, 0, 0, 1,16,16,15, 2, 0, 0, 0, 0,14,16,11, 0, 0, 0, 0, 2,16,16, 8, 0, 0, 0, 0, 0,14,16, 8, 0, 0, 0, 0, 0, 8,16,13, 1, 0, 0), 1),
    (( 0, 0, 4,13,16, 8, 0, 0, 0, 6,16, 9,11,12, 0, 0, 0, 9,11, 4,16, 6, 0, 0, 0, 0, 8,15,16,12, 1, 0, 0, 0, 2, 6, 1,13, 8, 0, 0, 0, 9, 1, 0, 9, 8, 0, 0, 0,13, 8, 9,15, 4, 0, 0, 0, 6,14,12, 5, 0, 0), 3),
    (( 0, 1,12,16,15, 2, 0, 0, 0, 6,16, 8,14,10, 0, 0, 0, 1, 8, 3,15, 7, 0, 0, 0, 0, 1,16,16, 5, 0, 0, 0, 0, 0, 3,13,16, 4, 0, 0, 0, 6, 0, 2,14, 8, 0, 0, 1,16, 7, 7,15, 7, 0, 0, 0,12,16,16,10, 1, 0), 3),
    (( 0, 0,11,16, 9, 0, 0, 0, 0, 9,12, 6,14,10, 0, 0, 0,11, 5, 0,13,13, 0, 0, 0, 1,11,14,12,15, 6, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 1, 0, 4,13, 6, 0, 0, 0, 9,14,16,10, 0, 0), 9),
    (( 0, 0, 8,13, 1, 0, 0, 0, 0, 0,12,16, 0, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 0,15,13, 6, 3, 0, 0, 0, 0,15,16,16,16, 5, 0, 0, 0,15,16,14,16,12, 0, 0, 0,13,16,15,16, 7, 0, 0, 0, 5,15,13, 7, 0, 0), 6),
    (( 0, 0, 3,14,10, 0, 0, 0, 0, 4,15,12,15, 2, 0, 0, 0,11,15, 1,11, 5, 0, 0, 0, 9,12, 0,10, 7, 0, 0, 0, 1, 1, 0,15, 7, 0, 0, 0, 0, 0, 7,16, 6, 2, 0, 0, 0, 1,16,16,16,16, 3, 0, 0, 2,12,11, 8, 8, 3), 2),
    (( 0, 0, 9,16,16, 3, 0, 0, 0, 5,16,10,14, 7, 0, 0, 0, 1,10, 0,14,10, 0, 0, 0, 0, 2,15,16, 9, 0, 0, 0, 0, 1, 8,11,16, 6, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 1,16,11,11,16, 4, 0, 0, 0,11,16,16,11, 0, 0), 3),
    (( 0, 0, 0, 2,12, 3, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 2,15, 6, 6, 7, 0, 0, 0,13, 7, 0,16, 3, 0, 0, 7,15, 3, 2,16, 2, 0, 0,13,16,16,16,13, 1, 0, 0, 1, 4, 5,16, 6, 0, 0, 0, 0, 0, 4,16, 3, 0, 0), 4),
    (( 0, 0, 3,15,12, 2, 0, 0, 0, 1,16,14,13,11, 0, 0, 0, 5,16,12, 0,11, 5, 0, 0, 4,11,11, 0, 3, 8, 0, 0, 6, 8, 0, 0, 4, 8, 0, 0, 4,11, 0, 0, 9, 7, 0, 0, 0,15,13, 9,13, 5, 0, 0, 0, 3,12,14,12, 0, 0), 0),
    (( 0, 0, 3, 4, 4, 2, 0, 0, 0, 1,14,16,15, 2, 0, 0, 0, 4,16,16,14, 0, 0, 0, 0, 4,16,16,15, 0, 0, 0, 0, 2,15,16,15, 1, 0, 0, 0, 0,11,16,16, 5, 0, 0, 0, 0, 5,16,16,12, 0, 0, 0, 0, 6,12, 8, 5, 0, 0), 1),
    (( 0, 0, 0,11,11, 0, 0, 0, 0, 0, 3,16, 7, 8,11, 0, 0, 0,14,14, 0,16,12, 0, 0, 7,16, 7, 9,16, 9, 0, 0, 8,16,16,16,16,11, 0, 0, 1, 4,10,16, 8, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0), 4),
    (( 0, 0, 3,13,14, 1, 0, 0, 0, 0, 8,15, 7, 2, 0, 0, 0, 0,10,12, 2, 0, 0, 0, 0, 0,13,16,16,10, 1, 0, 0, 0,15,14,11,10,10, 0, 0, 0,13, 5, 0, 6,14, 0, 0, 0, 8,12, 8,12,10, 0, 0, 0, 1,10,12,12, 4, 0), 6),
    (( 0, 0, 5,12,12, 3, 0, 0, 0, 4,16, 7, 8,10, 0, 0, 0, 8,13, 1, 3,14, 4, 0, 0, 2,14,16,16,12, 4, 0, 0, 0, 3,16,16, 8, 0, 0, 0, 0,11,12, 5,15, 2, 0, 0, 0,16, 5, 1,16, 4, 0, 0, 0, 7,15,16,10, 0, 0), 8),
    (( 0, 0, 7,16,15, 0, 0, 0, 0, 5,16,16,16, 0, 0, 0, 0, 3, 8, 8,16, 0, 0, 0, 0, 0, 2,15, 8, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,15,10, 0, 2, 1, 0, 0, 0,15,16,12,16, 8, 0, 0, 0, 6,16,16,15, 3, 0), 2),
    (( 0, 0, 4,15,14, 1, 0, 0, 0, 2,16,14,16, 9, 0, 0, 0, 5,16, 1,10,16, 0, 0, 0, 4,16,16,16,16, 1, 0, 0, 0, 9,12,10,16, 6, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 3, 6, 5,14, 8, 0, 0, 0, 6,16,16,15, 2, 0), 9),
    (( 0, 0, 3,12, 6, 0, 0, 0, 0, 0,16,16,16, 8, 0, 0, 0, 0,14,14, 7,15, 0, 0, 0, 0, 5,16,15, 8, 0, 0, 0, 0, 0,13,16, 0, 0, 0, 0, 2,14,10,13, 7, 0, 0, 0, 3,15, 7, 9,15, 0, 0, 0, 0, 5,12,11, 5, 0, 0), 8),
    (( 0, 2,13,10, 0, 0, 0, 0, 0, 8,15,14, 7, 0, 0, 0, 0, 8, 5, 4,12, 0, 0, 0, 0, 2, 3, 2,15, 0, 0, 0, 0, 0, 0, 4, 9, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 9,16,14,12,10, 0, 0, 0,16,13,12,14,11, 0), 2),
    (( 0, 0, 7,16,15, 6, 0, 0, 0, 0, 2, 9,15,14, 0, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 3,16,14, 8, 0, 0, 0, 9,16,16,16, 9, 0, 0, 0, 5,14,14, 2, 0, 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0), 7),
    (( 0, 0, 4,11, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 1,15, 2, 4, 2, 0, 0, 0, 5,14,13,16,14, 1, 0, 0, 4,16, 6, 0,10,10, 0, 0, 1,15, 3, 1,13, 8, 0, 0, 0, 3,12,14,10, 1, 0), 6),
    (( 0, 0, 1,12,16,16,11, 0, 0, 0, 5,15, 8, 8, 5, 0, 0, 2,15,15,12, 7, 0, 0, 0,11,16,16,16,16, 4, 0, 0, 3, 5, 2, 1,13, 9, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 2,10, 9,16, 4, 0, 0, 0, 2,16,16, 8, 0, 0), 5),
    (( 0, 3,15,15, 3, 0, 0, 0, 0, 6,16,10,14, 2, 0, 0, 0, 0, 4, 0,16, 5, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0,10,16, 7, 6, 7, 1, 0, 2,16,16,16,16,13, 2), 2),
    (( 0, 5,15,13, 0, 0, 0, 0, 0, 3,10,16, 5, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 1,14, 7, 0, 0, 0, 0, 0, 7,13, 1, 0, 0, 0, 0, 0,13,14,10,11, 9, 5, 0, 0, 5,15,16,14,10, 3, 0), 2),
    (( 0, 1,13,16, 1, 0, 0, 0, 0, 7,16,16, 3, 0, 0, 0, 0,12, 9,16, 4, 0, 0, 0, 0, 5, 3,15, 4, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 4,16,13,11, 9, 3, 0, 0, 1,15,16,16,15, 5, 0), 2),
    (( 0, 0, 0,10,12, 2, 0, 0, 0, 0,11,16,16,10, 0, 0, 0, 3,16, 5, 6,12, 2, 0, 0, 5,12, 0, 0, 6, 8, 0, 0, 4,16, 0, 0, 6, 8, 0, 0, 2,15, 7, 2,13, 8, 0, 0, 0, 9,16,14,16, 5, 0, 0, 0, 0,12,16,10, 0, 0), 0),
    (( 0, 0, 6,12, 7, 0, 0, 0, 0, 2,15,13,15,13, 0, 0, 0, 8,13, 0, 9,15, 0, 0, 0, 1,15, 7,14,11, 0, 0, 0, 0, 6,16,16, 1, 0, 0, 0, 0, 5,16,16,14, 0, 0, 0, 0,11,16,16,16, 4, 0, 0, 0, 3, 7,12,12, 3, 0), 8),
    (( 0, 0, 2,16,10, 0, 0, 0, 0, 0, 5,16,15, 1, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 0, 4,16,11, 0, 0, 0, 0, 0, 1,16,12, 0, 0, 0, 0, 0, 1,16,12, 0, 0, 0, 0, 0, 1,16,10, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0), 1),
    (( 0, 0, 7,13, 0, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0, 7,16, 0, 0, 0, 0, 0, 0, 9,16, 2, 4, 4, 0, 0, 0, 5,16,16,16,16,12, 0, 0, 3,16,16, 9,13,16, 0, 0, 0, 5,13,16,16, 7, 0), 6),
    (( 0, 0, 4,12,15, 5, 0, 0, 0, 2,15,13,11,11, 0, 0, 0, 2,10, 2, 5,16, 0, 0, 0, 0, 0, 4,14,14, 0, 0, 0, 0, 0, 5,12,14, 7, 0, 0, 0, 0, 0, 0, 3,14, 0, 0, 0, 9,10, 3, 8,15, 2, 0, 0, 2, 9,16,16, 7, 0), 3),
    (( 0, 0, 9,13,16,12, 1, 0, 0, 5,16,14,16,16, 4, 0, 0, 4,16, 0,13,13, 1, 0, 0, 2,14,14,15, 3, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0,15,16, 5, 0, 0, 0, 0, 1,16,16, 7, 0, 0, 0, 0, 0,12,16, 6, 0, 0, 0), 8),
    (( 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 1,13,10, 1, 8, 0, 0, 0, 7,15, 2, 9,15, 0, 0, 6,16, 4, 4,14, 9, 0, 2,15,16,16,16,16, 6, 0, 2, 8, 8, 4,13,13, 0, 0, 0, 0, 0, 0,15, 8, 0, 0), 4),
    (( 0, 0, 3,14,13, 1, 0, 0, 0, 0,13,16,15, 9, 0, 0, 0, 6,16, 3, 0,13, 0, 0, 0, 6,13, 0, 0, 7, 6, 0, 0, 8, 8, 0, 0, 4, 8, 0, 0, 0,14, 0, 0, 2,12, 0, 0, 0,12,11, 8,15, 8, 0, 0, 0, 2,14,16,13, 3, 0), 0),
    (( 0, 0, 0,12,12, 1, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 0,15,16,16,15, 5, 0, 0, 0,14,14, 4, 5,15, 1, 0, 0, 8,14, 2, 6,16, 3, 0, 0, 0, 8,13,15, 9, 0), 6),
    (( 0, 3,13,15,16, 6, 0, 0, 0,15,16,13, 9,16, 5, 0, 0,11,16, 2, 0, 4, 3, 0, 0, 2,15, 9, 0, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0), 5),
    (( 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 6,16, 8, 3, 7, 0, 0, 1,16,12, 0,12,11, 0, 0, 5,16,16,13,16,12, 0, 0, 3,12,15,16,16, 7, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 8,14, 1, 0, 0), 4),
    (( 0, 5,14,12,15,15, 3, 0, 0, 0, 2, 4,11,16, 5, 0, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0, 3,16,11, 0, 0, 0, 0, 0, 0,15,16, 0, 0, 0, 1, 7,10,16, 7, 0, 0, 0, 2,12,13, 4, 0, 0, 0), 3),
    (( 0, 0, 7,13,16, 9, 0, 0, 0, 0,11, 8, 9,16, 5, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0,13,16, 5, 0, 0, 0, 0, 0,10,12,16, 3, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 2, 7,14, 7, 0, 0, 0, 0,10,10, 2, 0, 0, 0), 3),
    (( 0, 0, 0,16,11, 4, 0, 0, 0, 0, 2,16,16,12, 0, 0, 0, 0,10,16,16, 8, 0, 0, 0, 2,16,16,16, 4, 0, 0, 0, 2,11,16,16, 4, 0, 0, 0, 0, 1,16,16, 6, 0, 0, 0, 0, 0,14,16,16, 6, 0, 0, 0, 0,12,16,15, 6, 0), 1),
    (( 0, 1, 9,12,15,16, 7, 0, 0,10,16,15,12,11, 3, 0, 0,13,16, 2, 0, 0, 0, 0, 0, 5,16,13, 2, 0, 0, 0, 0, 0, 4,15,15, 1, 0, 0, 0, 0, 2, 4,15, 9, 0, 0, 0, 0,14,14,16,11, 0, 0, 0, 0,11,16,12, 1, 0, 0), 5),
    (( 0, 0, 0,12, 3, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 0,13, 2, 2, 2, 0, 0, 0, 1,16,11,16,16, 6, 0, 0, 0,15,12, 4,14,13, 0, 0, 0,10,11, 7,16,12, 0, 0, 0, 0,11,15,11, 2, 0), 6),
    (( 0, 0, 7,16,13, 2, 0, 0, 0, 2,15,16,16,11, 0, 0, 0, 7,14, 4, 6,16, 0, 0, 0, 4,12, 0, 0, 7, 7, 0, 0, 6,12, 0, 1,11, 8, 0, 0, 2,15, 8,13,16, 9, 0, 0, 0,15,16,16,15, 2, 0, 0, 0, 5,14,11, 1, 0, 0), 0),
    (( 0, 0,10, 1, 0, 0, 0, 0, 0, 0,16, 0, 0, 0, 0, 0, 0, 3,13, 0, 0, 0, 0, 0, 0, 5,12, 1, 4, 2, 0, 0, 0, 8,14,15,16,15, 4, 0, 0, 8,15, 5, 5,14, 8, 0, 0, 8,14, 4,10,16, 4, 0, 0, 1,12,15,10, 2, 0, 0), 6),
    (( 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 2,16,16, 7, 0, 0, 0, 0, 2,16,16, 1, 0, 0, 0, 0, 3,16,16, 1, 0, 0, 0, 0, 2,16,12, 0, 0, 0, 0, 0, 3,16,14, 0, 0, 0, 0, 0, 4,16,14, 0, 0, 0, 0, 0, 2,15,10, 0, 0, 0), 1),
    (( 0, 0, 9,15, 6, 0, 0, 0, 0, 1,16, 6,14, 2, 0, 0, 0, 0,14, 1, 8, 8, 0, 0, 0, 0, 7, 7, 5, 9, 0, 0, 0, 0, 0, 0, 9, 5, 0, 0, 0, 0, 0, 1,14, 2, 0, 0, 0, 0, 5,15,12,11, 6, 0, 0, 0,15,14,12, 8, 8, 0), 2),
    (( 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 7,16, 3, 0, 6, 6, 0, 0, 9,16,16,13,15,12, 0, 0, 1, 6,10,16,16, 8, 0, 0, 0, 0, 1,16,10, 1, 0, 0, 0, 0, 6,16, 2, 0, 0), 4),
    (( 0, 0, 6, 7, 8, 9, 9, 0, 0, 5,16,16,14,13, 3, 0, 0, 5,10, 7, 3, 0, 0, 0, 0, 5,16,16,13, 0, 0, 0, 0, 0, 0, 0,12, 1, 0, 0, 0, 0, 0, 0,13, 1, 0, 0, 0, 0, 8,11,12, 0, 0, 0, 0, 0,10,11, 2, 0, 0, 0), 5),
    (( 0, 0, 9,16,15, 8, 0, 0, 0, 3,16,13, 7, 8, 0, 0, 0,10,16, 5, 0, 0, 0, 0, 0,10,16,15, 5, 0, 0, 0, 0, 0, 4, 9,15, 3, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 2,12,16, 3, 0, 0, 0, 0, 9,16, 8, 0, 0, 0), 5),
    (( 0, 0, 0, 2,11,16, 8, 0, 0, 1, 9,15,16,16,12, 0, 0, 3,15,16,13,16,10, 0, 0, 0, 0, 3,16,16, 6, 0, 0, 0, 0, 0,16,16, 4, 0, 0, 0, 0, 4,16,16, 3, 0, 0, 0, 0, 4,16,16, 1, 0, 0, 0, 0, 1,13,16, 1, 0), 1),
    (( 0, 0, 7,15,13, 2, 0, 0, 0, 4,16, 6,13, 8, 0, 0, 0, 0, 7, 1,13, 7, 0, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 0, 1,12,15, 6, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 3,13, 9, 7,13, 7, 0, 0, 0, 6,13,15, 9, 1, 0), 3),
    (( 0, 0, 0,13, 7, 0, 0, 0, 0, 5,14,16,16, 8, 0, 0, 0,12,10, 0, 6,16, 0, 0, 0, 2,14,12, 5,16, 3, 0, 0, 0, 0,11,16,11, 0, 0, 0, 0, 2,15, 9,16, 5, 0, 0, 0,10,14, 4,13,12, 0, 0, 0, 1, 9,14,16,11, 0), 8),
    (( 0, 0, 7,15,11, 0, 0, 0, 0, 5,14, 4,12,14, 3, 0, 0, 8,11, 0, 0,16, 4, 0, 0, 2,15, 9,11,16, 4, 0, 0, 0, 5,10, 8,12, 8, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0,12, 7, 4,15, 7, 0, 0, 0, 7,16,15, 8, 0, 0), 9),
    (( 0, 0, 3,12,13, 3, 0, 0, 0, 0,12,14, 7,12, 0, 0, 0, 1,16, 1, 0,14, 0, 0, 0, 0,14, 0, 0,15, 0, 0, 0, 0, 1, 0, 4,12, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 2,14,16,12,14, 2, 0, 0, 7,16,12,12,12, 3), 2),
    (( 0, 0, 4,12,15, 3, 0, 0, 0, 3,16,14,14,13, 0, 0, 0, 5,16, 1, 2,15, 5, 0, 0, 8,16, 0, 0, 9,11, 0, 0, 5,16, 0, 0, 8,12, 0, 0, 0,15, 2, 0,11,13, 0, 0, 0,10,12,12,16, 9, 0, 0, 0, 4,16,16, 9, 0, 0), 0),
    (( 0, 0, 0, 9,14, 4, 0, 0, 0, 0,10,14, 4, 1, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 6,16,16,10, 3, 0, 0, 0, 3,16, 2, 5,14, 4, 0, 0, 0,14, 2, 0,12,10, 0, 0, 0, 7,12, 0,13, 9, 0, 0, 0, 0, 8,16,14, 2, 0), 6),
    (( 0, 0, 2,10,15, 5, 0, 0, 0, 3, 9,12, 7,16, 0, 0, 0,12, 9, 5, 6,14, 1, 0, 0, 4,12, 6,16, 4, 0, 0, 0, 0, 8,16,10, 0, 0, 0, 0, 0, 8,14,16, 7, 0, 0, 0, 0,12, 6, 5,16,11, 0, 0, 0, 3,14,16,13, 7, 0), 8),
    (( 0, 0,11, 3, 8, 7, 0, 0, 0, 1,15,11,16,16, 7, 0, 0, 0,16, 4, 5,13,10, 0, 0, 3,13, 0, 0, 8, 9, 0, 0, 5,13, 0, 0, 8, 8, 0, 0, 6,13, 0, 7,16, 2, 0, 0, 2,16,12,16,10, 0, 0, 0, 0, 9,13, 8, 0, 0, 0), 0),
    (( 0, 0, 3,11, 7, 0, 0, 0, 0, 4,16,16,16, 0, 0, 0, 0, 4,16,16,16, 0, 0, 0, 0, 4,16,16,10, 0, 0, 0, 0, 1,14,16,16, 0, 0, 0, 0, 0,12,16,16, 6, 0, 0, 0, 0,11,16,16,11, 0, 0, 0, 0, 2,11,12, 6, 0, 0), 1),
    (( 0, 0, 8,16,16,10, 0, 0, 0, 1,15,15, 9,15, 1, 0, 0, 0,14, 3, 0,15, 5, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 8,15,16, 6, 4, 1, 0, 0,10,16,16,16,16, 9), 2),
    (( 0, 2,16,16,11, 2, 0, 0, 0, 0, 8,11,16, 8, 0, 0, 0, 0, 4,14,15, 1, 0, 0, 0, 0,13,16,12, 1, 0, 0, 0, 0, 2, 8,15,14, 1, 0, 0, 0, 4, 0, 3,16, 6, 0, 0, 5,15, 8,14,15, 2, 0, 0, 2,12,12, 9, 5, 0, 0), 3),
    (( 0, 0, 0, 9,10, 2, 0, 0, 0, 0, 5,16,16, 2, 0, 0, 0, 4,14,16,16, 4, 0, 0, 0, 8,11,10,16, 6, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0), 1),
    (( 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 7,15, 4, 0, 0, 0, 0, 1,13, 9,13, 6, 0, 0, 1,12,16,14,16,14, 3, 0, 1,11,12,14,16,12, 1, 0, 0, 0, 0, 8,15, 0, 0, 0), 4),
    (( 0, 0, 5,13,12, 9, 0, 0, 0, 2,14, 4, 1,16, 4, 0, 0, 7,10, 0, 3,16, 1, 0, 0, 5,14, 8,15, 6, 0, 0, 0, 0, 6,16,13, 0, 0, 0, 0, 0,11, 8,13, 5, 0, 0, 0, 0,13, 1, 1,15, 0, 0, 0, 0, 6,14,14,10, 0, 0), 8),
    (( 0, 0, 8,13,10, 0, 0, 0, 0, 1,16, 7,14,10, 1, 0, 0, 5,12, 0, 2,16, 4, 0, 0, 3,16,10, 9,16, 4, 0, 0, 0, 3, 8, 8,14, 6, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 3,12, 3, 3,14, 6, 0, 0, 1, 9,15,16, 9, 0, 0), 9),
    (( 0, 0, 1, 7,12, 7, 0, 0, 0, 0, 6,16,10, 5, 0, 0, 0, 0,14,16,14, 4, 0, 0, 0, 0, 3, 4, 6,13, 0, 0, 0, 0, 0, 0, 0,11, 6, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 0,10, 5, 2, 8,11, 0, 0, 0, 4,14,16,16, 4, 0), 5),
    (( 0, 0, 9,14,16, 9, 1, 0, 0, 4,15, 7, 2,14, 4, 0, 0, 0, 1, 1, 8,14, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 0, 0, 0, 0, 6,10, 0, 0, 3, 9, 4, 4,10,10, 0, 0, 1,10,13,12, 9, 0, 0), 3),
    (( 0, 0,10, 7,12, 3, 0, 0, 0, 0,16,16,16,11, 0, 0, 0, 0,15, 5, 0,12, 7, 0, 0, 8, 8, 0, 0,11, 8, 0, 0, 8, 8, 0, 0, 8, 8, 0, 0, 9, 9, 0, 2,15, 5, 0, 0, 5,16,12,15,11, 0, 0, 0, 0,13,16,10, 1, 0, 0), 0),
    (( 0, 0, 0, 4,15, 3, 0, 0, 0, 0, 0,12, 8, 0,10, 1, 0, 0, 8,11, 0, 6,14, 0, 0, 5,15,13,14,16,15, 0, 0, 7,15,12,10,16, 3, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 0,15, 1, 0, 0, 0, 0, 0, 6,12, 0, 0, 0), 4),
    (( 0, 0, 7,15,14, 4, 0, 0, 0, 0,13,13,10,11, 0, 0, 0, 0, 0, 1, 0,15, 1, 0, 0, 0, 0, 0, 1,16, 0, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 4,15, 8, 0, 0, 0, 0, 5,14,16,16, 9, 0, 0, 0, 5,11, 7, 4, 9, 2), 2),
    (( 0, 3,16,15, 2, 0, 0, 0, 0, 4,14,10,11, 0, 0, 0, 0, 2, 8, 4,16, 0, 0, 0, 0, 0, 0, 0,16, 2, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 7,16,14,12,11, 0, 0, 3,16,16,12, 9, 7, 0), 2),
    (( 0, 1,11,16,16, 7, 0, 0, 0, 0, 8, 7,12,12, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 2,14, 4, 0, 0, 0, 1,13,16,16,11, 4, 0, 0, 1,12,16,10, 8, 3, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0), 7),
    (( 0, 1,12,16, 8, 2, 0, 0, 0, 2,16, 8,16,15, 0, 0, 0, 0,16, 9,16, 6, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 0,15,16, 8, 0, 0, 0, 0, 3,16,16, 9, 0, 0, 0, 0, 0, 7,14, 2, 0, 0, 0), 8),
    (( 0, 0, 8,16,16, 8, 0, 0, 0, 6,14, 8,16, 9, 0, 0, 0, 3, 3, 9,13, 3, 0, 0, 0, 0, 0,11,15, 2, 0, 0, 0, 0, 0, 1,13,13, 1, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 7, 8, 4,12, 7, 0, 0, 0,10,16,16,16, 4, 0), 3),
    (( 0, 0, 0, 1,11,14, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0,11,16, 4, 0, 0, 0, 0,12,15, 3, 5, 1, 0, 0, 7,16,13, 9,16,10, 0, 0, 5,16,16,16,16, 5, 0, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 0,13,13, 1, 0), 4),
    (( 0, 0, 2,14,16,11, 0, 0, 0, 0,11,15,12,10, 2, 0, 0, 1,15, 3, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 0,12,16, 7, 0, 0, 0, 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 3,10,15,12, 0, 0, 0, 0, 3,16,15, 7, 0, 0), 5),
    (( 0, 0, 0,10,15, 4, 0, 0, 0, 0, 5,16,14, 3, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0, 4,16,12, 2, 0, 0, 0, 0, 3,16,16,15, 4, 0, 0, 0, 0,12,14,16,10, 0, 0, 0, 0, 1, 9,15,10, 0, 0), 6),
    (( 0, 0, 0, 3,11,16, 5, 0, 0, 0, 0,11,16,16, 5, 0, 0, 3,13,16,16,14, 0, 0, 0, 3,11,12,16,12, 0, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 0,12,16,10, 0, 0, 0, 0, 0, 9,16,11, 0, 0, 0, 0, 0, 5,13, 8, 0, 0), 1),
    (( 0, 0, 0, 6,15,15, 4, 0, 0, 0,12,15, 8,12, 7, 0, 0, 0,14,13,12,16, 3, 0, 0, 0,11,16,16,16, 4, 0, 0, 0, 1, 4, 4,16, 5, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 3,12,11, 0, 0, 0, 0, 0,10,13, 2, 0, 0), 9),
    (( 0, 0, 4,14,16,11, 1, 0, 0, 0,15,10, 4,13,11, 0, 0, 3,16, 3, 4,12,10, 0, 0, 1,13,16,16,16, 7, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 1,13, 9, 0, 0, 0, 0, 2,13,14, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0), 9),
    (( 0, 0, 7,15,11, 0, 0, 0, 0, 9,10,14,15,12, 0, 0, 0, 9,12, 0, 0, 4, 1, 0, 0, 7,16,14, 9, 0, 0, 0, 0, 0, 7,13,16, 6, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0,11,10,16, 8, 0, 0, 0, 0, 5,16,14, 3, 0, 0), 5),
    (( 0, 0,10,16,16,16,14, 0, 0, 4,16,11, 7, 3, 2, 0, 0,10,11, 0, 0, 0, 0, 0, 0, 7,15, 9, 8, 2, 0, 0, 0, 1,11,12,15,14, 1, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 2,12, 6, 0,15, 6, 0, 0, 0, 9,14,16,15, 2, 0), 5),
    (( 0, 8,16,16,16,16, 9, 0, 0, 5,12,12,14,16, 9, 0, 0, 0, 0, 2,15,13, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 2,16,13, 0, 0, 0, 0, 0,11,16, 4, 0, 0, 0, 0, 7,16,15, 0, 0, 0, 0, 0, 6,16,11, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 3,14, 0, 0, 0, 0, 0, 0, 7,10, 1, 5, 3, 0, 0, 0, 2,16,12,16,16, 6, 0, 0, 0, 8,16,11,11,13, 0, 0, 0, 0, 7,12,16, 9, 0), 6),
    (( 0, 0, 7,15, 8, 0, 0, 0, 0, 7,16,16,12, 0, 0, 0, 0,12,14,11,11, 0, 0, 0, 0, 8, 3,16, 7, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 0,12,15,12, 8, 3, 0, 0, 0, 6,16,16,16,11, 0), 2),
    (( 0, 1, 8,16,14, 7, 0, 0, 0, 5,16, 6, 8,15, 0, 0, 0, 1,13, 8,15, 9, 0, 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0, 8,12,11, 0, 0, 0, 0, 0,13, 5, 8, 1, 0, 0, 0, 0,14, 1, 9, 4, 0, 0, 0, 0, 9,14,14, 1, 0, 0), 8),
    (( 0, 0, 0, 9,16,10, 1, 0, 0, 0, 9,13, 4,14, 8, 0, 0, 4,15, 6,10,16, 7, 0, 0, 5,16,14,11,16, 4, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 1,14, 7, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0), 9),
    (( 0, 0, 8,16,16,14, 0, 0, 0, 1,16,12, 8, 5, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0,10,16, 8, 2, 0, 0, 0, 0, 3,12,14,15, 7, 0, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0,11, 5, 6,16, 5, 0, 0, 0,10,16,16,12, 0, 0), 5),
    (( 0, 0, 2,15,15, 6, 0, 0, 0, 0, 9,13, 4,15, 3, 0, 0, 0,14, 7, 0, 8, 4, 0, 0, 0,15, 4, 0, 5, 8, 0, 0, 4,13, 0, 0, 7, 6, 0, 0, 2,12, 0, 0,12, 5, 0, 0, 0,15, 9,12,14, 0, 0, 0, 0, 3,13,13, 0, 0, 0), 0),
    (( 0, 0, 0,11,11, 0, 0, 0, 0, 0, 2,16,13, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0,11,16, 5, 0, 0, 0, 0, 0,13,16,14,12, 1, 0, 0, 0,11,14, 2, 8,14, 0, 0, 0, 6,16, 5,12,15, 1, 0, 0, 0, 8,15,13, 6, 0), 6),
    (( 0, 0, 0, 4,15, 6, 0, 0, 0, 0, 3,15, 9, 4,14, 0, 0, 2,15, 9, 0,11,10, 0, 0, 7,16,10,12,16,14, 0, 0, 3,14,13,15,14, 2, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 6,13, 1, 0, 0), 4),
    (( 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 8,15, 5, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 2,16, 4, 7, 6, 0, 0, 0, 4,16,16,16,16, 8, 0, 0, 3,16, 9, 0, 9,11, 0, 0, 0,11,12, 5,12,12, 0, 0, 0, 1,10,13,13, 5, 0), 6),
    (( 0, 0, 7,13, 9, 1, 0, 0, 0, 1,13, 5, 9, 8, 0, 0, 0, 7,10, 0, 5,12, 0, 0, 0, 5,15, 8,10,16, 4, 0, 0, 0, 7, 9, 7, 5, 8, 0, 0, 0, 0, 0, 0, 1,11, 0, 0, 0, 3, 0, 0, 5,10, 0, 0, 0, 9,16,16,14, 3, 0), 9),
    (( 0, 0,10,13,12, 5, 0, 0, 0, 3,16, 7,10,16, 6, 0, 0, 3,16, 3, 0,14, 8, 0, 0, 1,11,15,14,16, 8, 0, 0, 0, 0, 3, 6,14, 8, 0, 0, 0, 0, 0, 1,13, 7, 0, 0, 0, 5, 4, 7,16, 2, 0, 0, 0,13,16,16,10, 0, 0), 9),
    (( 0, 0,15,16,15, 7, 0, 0, 0, 2,16,12,11, 9, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 7, 8,16, 4, 0, 0, 0, 0,12,16,14, 1, 0, 0), 5),
    (( 0, 0, 4,10,14, 5, 0, 0, 0, 0,13,10, 0,14, 4, 0, 0, 6,15, 0, 9,15, 2, 0, 0, 6,16,16,16,13, 0, 0, 0, 0,12,15, 7,12, 4, 0, 0, 0,10, 9, 0,10, 7, 0, 0, 0,11, 9, 7,15, 3, 0, 0, 0, 5,15,12, 3, 0, 0), 8),
    (( 0, 0, 3,14,16,16,12, 0, 0, 2,15,16,11, 8, 6, 0, 0, 9,16, 4, 0, 0, 0, 0, 0, 9,16,16,14, 3, 0, 0, 0, 0, 9, 9,14,14, 0, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 4,14,12, 0, 0, 0, 0, 2,16,13, 3, 0, 0), 5),
    (( 0, 0, 0,12,11, 0, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,15, 8, 4, 1, 0, 0, 0, 3,16,16,16,15, 5, 0, 0, 2,16, 3, 1, 9,13, 0, 0, 0,12, 9, 4,13,13, 0, 0, 0, 0,11,16,13, 3, 0), 6),
    (( 0, 0, 1, 7,12,14, 5, 0, 0, 0, 8,13, 1, 8, 8, 0, 0, 2,16, 6,16,16, 9, 0, 0, 0, 7, 8, 6,12,10, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 0,16, 2, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 8,11, 4, 0, 0), 9),
    (( 0, 0, 4,15,15, 8, 1, 0, 0, 2,12, 3,10,14,11, 0, 0, 3,14, 5, 3,11,11, 0, 0, 0, 7,15,16,14, 2, 0, 0, 0, 5,16,11,15, 2, 0, 0, 0,13, 1, 2,16, 1, 0, 0, 0,10,11, 8,15, 0, 0, 0, 0, 3,13,14, 3, 0, 0), 8),
    (( 0, 0, 5,13,16, 6, 0, 0, 0, 0,12,11, 5,16, 1, 0, 0, 0,10, 8, 5,16, 6, 0, 0, 0, 2,16,16,14, 0, 0, 0, 0, 7,16,16, 5, 0, 0, 0, 4,16, 7, 8,13, 0, 0, 0, 2,16, 3, 2,16, 6, 0, 0, 0, 6,15,16,15, 4, 0), 8),
    (( 0, 0, 8,13, 7, 5, 0, 0, 0, 2,16,14,14,15, 2, 0, 0, 8,10, 4, 3, 8, 4, 0, 0, 8, 8, 0, 0, 4, 8, 0, 0, 8, 8, 0, 0, 8, 8, 0, 0, 4,13, 0, 0,13, 7, 0, 0, 0,14,10,10,15, 3, 0, 0, 0, 6,12,14, 5, 0, 0), 0),
    (( 0, 2,15,16,10, 0, 0, 0, 0, 8,16,10,16, 2, 0, 0, 0, 4, 7, 0,16, 6, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 2,15,16, 9, 8, 8, 0, 0, 3,16,16,16,16,12, 0), 2),
    (( 0, 0, 0, 0, 6,15,12, 0, 0, 0, 1,11,14,13,15, 0, 0, 1,12,10, 0,11, 7, 0, 0, 5,15, 1, 3,16, 3, 0, 0, 5,16,13,15,14, 0, 0, 0, 0, 4, 4,11,13, 0, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0), 9),
    (( 0, 0, 0, 0, 8,12, 5, 0, 0, 0, 0,10,11,11, 9, 0, 0, 0,11,10, 0,16, 1, 0, 0, 6,16,13,12,15, 4, 0, 0, 2, 8, 8,12,14, 4, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 0,13, 1, 0, 0, 0, 0, 0, 0,11, 0, 0, 0), 4),
    (( 0, 3,13,16, 8, 0, 0, 0, 0,14,11,12,16, 0, 0, 0, 0,10, 1, 7,16, 1, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 4,16, 9, 7, 8, 8, 0, 0, 2,15,16,16,16,11, 0), 2),
    (( 0, 0, 8,14,11, 3, 0, 0, 0, 4,16, 9,13,10, 0, 0, 0, 2, 5, 0, 8,11, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 4,16,15, 8, 4, 1, 0, 0, 0, 9,12,14,16, 5, 0), 2),
    (( 0, 0, 4,14,13, 3, 0, 0, 0, 1,15,11,16, 9, 0, 0, 0, 2,15, 0,10,14, 0, 0, 0, 0,13,11,13,16, 4, 0, 0, 0, 1,11,12,14, 7, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 3,16,10, 6, 9,12, 0, 0, 0, 6, 9,12,13, 6, 0), 9),
    (( 0, 0, 7,11,12,11, 3, 0, 0, 0,15,16, 7,10,11, 0, 0, 0,10,12, 5,13, 9, 0, 0, 0, 3,16,16,10, 1, 0, 0, 0, 8,13,13, 3, 0, 0, 0, 0,15, 0,11, 5, 0, 0, 0, 1,13, 0,10, 9, 0, 0, 0, 0,10,16,12, 1, 0, 0), 8),
    (( 0, 0, 0, 3,14,12, 0, 0, 0, 0, 1,11,16,14, 0, 0, 0, 0, 8,16,16,14, 0, 0, 0, 6,16,16,16,10, 0, 0, 0, 1, 5,16,16, 8, 0, 0, 0, 0, 0,15,16, 9, 0, 0, 0, 0, 0,10,16,14, 5, 0, 0, 0, 0, 2,15,15, 7, 0), 1),
    (( 0, 0, 5,14, 9, 3, 0, 0, 0, 0,14,11,16,15, 2, 0, 0, 5,11, 0,11,15, 4, 0, 0, 7, 8, 0, 0, 9, 7, 0, 0, 4, 9, 0, 0, 8, 8, 0, 0, 4,13, 0, 0, 9, 5, 0, 0, 2,16, 5, 7,15, 0, 0, 0, 0, 7,15,15, 6, 0, 0), 0),
    (( 0, 0, 3,10,13,16,12, 0, 0, 3,15,13, 8,10,12, 0, 0, 1,12,13,16,16,10, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0,10,16, 0, 0, 0, 0, 0, 1,15,12, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0), 9),
    (( 0, 0, 8,12,16,15, 8, 0, 0, 3,15, 3, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0, 4,14,12,12, 3, 0, 0, 0, 0, 7, 5, 5,14, 2, 0, 0, 3, 2, 0, 0,11, 4, 0, 0, 2,11, 0, 0,13, 2, 0, 0, 0,11,13,12, 5, 0, 0), 5),
    (( 0, 1,15,12, 3, 0, 0, 0, 0, 1,12,16,15, 4, 0, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0, 0,15,16, 5, 0, 0, 0, 0, 0,12,14,13, 1, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 7, 8, 6,13,13, 0, 0, 0,13,16,16,13, 7, 0), 3),
    (( 0, 0, 1,10, 2, 3, 0, 0, 0, 0, 8,16,15,16, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,12,16, 7, 0, 0, 0, 0, 3,16,13,13, 1, 0, 0, 0, 1,16, 4,12,10, 0, 0, 0, 0,11,12,11,16, 2, 0, 0, 0, 2,12,14, 9, 1, 0), 8),
    (( 0, 0, 5,12,15,14,10, 3, 0, 0, 4, 7, 4, 5,14, 3, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 2, 8, 9,16,10, 0, 0, 0, 3,12,16, 9, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 0, 6, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 0,13, 3, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 0, 3,14, 1, 4, 4, 0, 0, 0, 2,16,15,16,16, 9, 0, 0, 0,11,16,12,16,15, 2, 0, 0, 1,10,15,13,10, 0), 6),
    (( 0, 0, 8,16,16, 8, 0, 0, 0, 0, 8,11,13,16, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0,10,16,16,13, 6, 0, 0, 0,13,16,13, 8, 1, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0), 7),
    (( 0, 0, 3,11,16, 5, 0, 0, 0, 0,12,15,12, 7, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 0,16,15,11, 1, 0, 0, 0, 0,15,15,14, 9, 0, 0, 0, 0,15, 6, 2,16, 2, 0, 0, 0,12,12,12,16, 5, 0, 0, 0, 3,13,15, 9, 0, 0), 6),
    (( 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0,13,14, 0, 0, 7, 1, 0, 2,16, 9, 0, 9,16, 1, 0, 6,16,11,11,16, 6, 0, 0, 9,16,16,16,12, 0, 0, 0, 1, 4, 9,16, 4, 0, 0, 0, 0, 0,10,11, 0, 0, 0), 4),
    (( 0, 0, 7,12,14,11, 3, 0, 0, 0,12,13, 5, 5, 3, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 5,16,16,12, 1, 0, 0, 0, 0, 0, 1,12,10, 0, 0, 0, 0, 0, 0, 1,14, 0, 0, 0, 0,11, 4, 8,11, 0, 0, 0, 0,10,16,11, 2, 0, 0), 5),
    (( 0, 0,12, 7, 0, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 0,11,16, 5, 0, 0, 0, 0, 0,10,16, 7, 0, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0,14,16,16,13,12, 3, 0, 0, 8,15,15,14,16,11), 1),
    (( 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0,13,13, 5, 1, 0, 0, 0, 3,16, 7,16, 8, 0, 0, 1,13,16,10,16,12, 0, 0, 0,13,16,16,16,16, 3, 0, 0, 2, 4,10,16, 2, 0, 0), 4),
    (( 0, 0, 5,16,11, 3, 0, 0, 0, 0,14,15,10,15, 2, 0, 0, 5,13, 6, 0,11, 8, 0, 0, 8, 8, 0, 0, 5, 8, 0, 0, 8, 7, 0, 0, 8, 5, 0, 0, 4,10, 0, 1,13, 1, 0, 0, 0,14, 9,13,10, 0, 0, 0, 0, 5,13, 9, 1, 0, 0), 0),
    (( 0, 0, 8,11,16,14, 3, 0, 0, 0,16,14, 8, 8, 3, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 4,16,14, 4, 0, 0, 0, 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 3,15, 5,15, 7, 0, 0, 0, 0,11,16,11, 1, 0, 0), 5),
    (( 0, 0, 3,13,13, 2, 0, 0, 0, 6,16,12,10, 8, 0, 0, 0, 9,15,12,16, 6, 0, 0, 0,10,16,16,13, 0, 0, 0, 0, 1,12,16,12,14, 4, 0, 0, 0,11, 8, 0, 3,12, 0, 0, 0,13,11, 8,13,12, 0, 0, 0, 3,15,11, 6, 0, 0), 8),
    (( 0, 0, 2,12, 7, 0, 0, 0, 0, 0,11,16, 5, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 0, 0,15,11, 4, 3, 0, 0, 0, 0,16,16,16,16, 6, 0, 0, 0,15,13, 0,10,14, 0, 0, 0,11,15, 8,16,11, 0, 0, 0, 1,11,14,11, 1, 0), 6),
    (( 0, 0, 0,11, 3, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 0,16, 3, 1, 1, 0, 0, 0, 0,16,16,16,16,11, 0, 0, 0,12, 8, 4, 6,16, 2, 0, 0, 2,11,15,16,11, 1), 6),
    (( 0, 0, 1,15,14, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0,14,16,13, 0, 0, 0, 0, 9,15,14,16, 1, 0, 0, 0, 5, 3, 6,16, 5, 0, 0, 0, 0, 0, 3,16,11, 0, 0, 0, 0, 0, 5,14,15, 0, 0, 0, 0, 3,15,16,16, 6, 0), 1),
    (( 0, 0, 9,16,15, 1, 0, 0, 0, 6,14, 9,16, 4, 0, 0, 0, 3, 4,11,15, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0, 3,14,10, 0, 0, 0, 0, 0, 0, 2,15, 8, 0, 0, 0, 0, 5, 6, 5,16, 5, 0, 0, 0,13,16,16,16, 5, 0), 3),
    (( 0, 0, 3, 8,12, 4, 0, 0, 0, 5,16,13, 9,13, 0, 0, 0, 8,13, 9,16,13, 0, 0, 0, 0,13,16,12, 0, 0, 0, 0, 3,15, 9,16,10, 0, 0, 0, 3,11, 0, 2,13,11, 0, 0, 2,14, 2, 4,12,12, 0, 0, 0, 6,13,13,11, 3, 0), 8),
    (( 0, 0,12,16,16,16,10, 0, 0, 0, 4, 8,11,16,13, 0, 0, 0, 2, 0, 4,16, 5, 0, 0, 6,15,12,15,16,11, 0, 0, 1,11,16,15,11, 3, 0, 0, 0, 1,13, 8, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0), 7),
    (( 0, 0, 1,14,15, 3, 0, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 9,16,16,14,10, 0, 0, 0, 0, 3, 8,16,14, 0, 0, 0, 0, 0, 2,16,16, 2, 0, 0, 0, 0, 0,13,16, 9, 0, 0, 0, 1,10,16,16, 9, 0, 0, 0, 2,10,15,10, 0, 0), 1),
    (( 0, 0, 9,14,13, 6, 0, 0, 0, 4,12, 5, 8,16, 0, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 0, 0, 3,15, 7, 0, 0, 0, 0, 0,10,16,15, 2, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0,12, 4, 5,13, 2, 0, 0, 0,13,16,14, 6, 0, 0), 3),
    (( 0, 0, 5,15,14, 1, 0, 0, 0, 0,15, 5, 8, 9, 0, 0, 0, 4,14, 0, 0,11, 2, 0, 0, 8,16, 0, 0, 6, 7, 0, 0, 8,12, 2, 0, 4, 8, 0, 0, 4,10, 0, 0, 4, 9, 0, 0, 0,14, 2, 1,10, 5, 0, 0, 0, 6,14,13, 8, 0, 0), 0),
    (( 0, 0, 7,14,16,16, 7, 0, 0, 0,12,14, 9, 8, 2, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 3,16,16, 9, 0, 0, 0, 0, 8,16,14,16, 3, 0, 0, 0, 2, 2, 0,12, 8, 0, 0, 0, 0, 6,15,15, 2, 0, 0, 0, 0,11,11, 3, 0, 0, 0), 5),
    (( 0, 0, 3,13, 9, 2, 0, 0, 0, 0,14,16,16,11, 0, 0, 0, 5,16, 7, 4,16, 3, 0, 0, 4,14, 1, 0,12, 8, 0, 0, 5,12, 0, 0, 8, 8, 0, 0, 1,16, 4, 0, 9,11, 0, 0, 0,11,16,12,16, 7, 0, 0, 0, 3,11,15,10, 0, 0), 0),
    (( 0, 0, 6,12,16,14, 3, 0, 0, 6,14, 6, 3,15, 8, 0, 0, 7,14, 9,16,16, 0, 0, 0, 0, 5,11,10,14, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0), 9),
    (( 0, 0, 6,14,16, 9, 0, 0, 0, 5,16,10,12,12, 0, 0, 0, 1, 7, 0, 9,12, 0, 0, 0, 0, 2,13,16, 8, 0, 0, 0, 0, 2,13,14,16, 7, 0, 0, 0, 1, 0, 0,10, 9, 0, 0, 0,11, 9, 5,15, 7, 0, 0, 0, 7,16,16,10, 0, 0), 3),
    (( 0, 0, 2,13,13, 0, 0, 0, 0, 1,14,13, 2, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 7,16, 6, 0,10, 7, 0, 0, 1,14,16,14,16,10, 0, 0, 0, 5,15,16,11, 0, 0, 0, 0, 0,11,16, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 0), 4),
    (( 0, 0, 3,12,16,15, 4, 0, 0, 0,14,16,14,16, 6, 0, 0, 1,11, 3,13,13, 1, 0, 0, 0, 1,14,12, 1, 0, 0, 0, 0, 3,16,14, 3, 0, 0, 0, 0, 1, 6,16,14, 1, 0, 0, 0,14,13,14,15, 0, 0, 0, 0, 4,16,15, 5, 0, 0), 3),
    (( 0, 0, 0,12,13, 1, 0, 0, 0, 0, 7,16,10, 1, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,13,10, 4, 1, 0, 0, 0, 0,13,16,16,13, 3, 0, 0, 2,16,14, 6,10,15, 2, 0, 2,13,14, 8,13,15, 1, 0, 0, 1,13,16,14, 3, 0), 6),
    (( 0, 0, 8,12,11, 6, 0, 0, 0, 1,14,16,16,13, 0, 0, 0, 4,16,16,16, 8, 0, 0, 0, 1,15,16,16, 3, 0, 0, 0, 3,15,16,16, 7, 0, 0, 0, 2,13,16,16, 8, 0, 0, 0, 1,14,16,16, 7, 0, 0, 0, 0, 7,12, 9, 0, 0, 0), 1),
    (( 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 5,16,15, 0, 0, 0, 0, 3,14,16,10, 0, 0, 0, 3,15,16,16, 9, 0, 0, 0,11,15, 9,16,10, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 0, 7,16, 8, 0, 0, 0, 0, 0, 1,13,16, 6, 0), 1),
    (( 0, 0, 6,14, 3, 0, 0, 0, 0, 0,12,14,14, 0, 0, 0, 0, 0,14, 7,14, 2, 0, 0, 0, 0,10, 5,10, 6, 0, 0, 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 2,14, 5, 3, 0, 0, 0, 8,16,16,16,16, 0, 0, 0, 9,14, 8, 8, 8, 2), 2),
    (( 0, 0,15,16,16,11, 3, 0, 0, 0,11, 7, 7,13,13, 0, 0, 0, 0, 0, 5,15, 6, 0, 0, 0, 2,11,16, 7, 0, 0, 0, 0, 3,16,16,13, 1, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 0,14,12,15,11, 0, 0, 0, 0,11, 9, 6, 0, 0, 0), 3),
    (( 0, 0, 5,10,13, 9, 0, 0, 0, 7,16,16,16,14, 0, 0, 0, 4, 6, 5,16, 7, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 0,16,16, 0, 0, 0, 0, 0, 0,12,16, 3, 0, 0, 0, 1,11,16, 8, 0, 0, 0, 0, 6,13, 7, 0, 0, 0), 3),
    (( 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 5,12,13,16, 7, 0, 0, 0, 2, 8,10,16, 8, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 0,13,16, 4, 0), 1),
    (( 0, 0, 5,15,16, 6, 0, 0, 0, 0,15,12, 5,16, 2, 0, 0, 4,16, 3, 0,12, 8, 0, 0, 8,14, 0, 0,10,10, 0, 0, 8,13, 0, 0,10,13, 0, 0, 4,16, 0, 0, 4,15, 0, 0, 1,15, 9, 3,12,10, 0, 0, 0, 5,15,16,15, 1, 0), 0),
    (( 0, 0, 4,16,13, 0, 0, 0, 0, 0,14, 9,15, 0, 0, 0, 0, 5,14, 2,16, 6, 0, 0, 0, 9,12, 7,15,10, 0, 0, 0, 3,16,15, 9,16, 1, 0, 0, 0, 4, 0, 1,14, 5, 0, 0, 0, 0, 6, 6,12, 7, 0, 0, 0, 2,16,16,13, 1, 0), 9),
    (( 0, 0, 5,14,16,10, 0, 0, 0, 3,15,13, 8,15, 6, 0, 0, 0,14,13, 7,16, 9, 0, 0, 0,10,16,16,12, 3, 0, 0, 0, 6,16,16, 3, 0, 0, 0, 0,14,13,16, 7, 0, 0, 0, 0,14,12,14, 9, 0, 0, 0, 0, 6,14,11, 2, 0, 0), 8),
    (( 0, 0, 2,12,16, 3, 0, 0, 0, 3,16, 6, 8, 8, 0, 0, 0, 5,14,11,15, 2, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 1,16,14, 2, 0, 0, 0, 0, 8,12, 6, 9, 0, 0, 0, 0,10, 6, 6,16, 1, 0, 0, 0, 3,14,13, 8, 0, 0), 8),
    (( 0, 0, 9,16,16, 7, 0, 0, 0, 0,13,15,13,11, 0, 0, 0, 1,15,11, 1, 0, 0, 0, 0, 2,16,16,15, 3, 0, 0, 0, 0, 7,12,12,10, 0, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 4, 8,15,15, 0, 0, 0, 0,10,16,16, 7, 0, 0), 5),
    (( 0, 0, 0, 0, 7,15, 2, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 1,13,14, 0, 0, 0, 8,16,16,16,12, 0, 0, 0, 0, 3, 0,16,12, 0, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0, 6,16, 8, 0), 1),
    (( 0, 0, 9,10,15,14, 0, 0, 0, 2,16,16,16,15, 0, 0, 0, 2,16, 4,15, 5, 0, 0, 0, 0,12,16,12, 0, 0, 0, 0, 0,13,16, 4, 0, 0, 0, 0, 2,16,14,12, 0, 0, 0, 0, 1,16,11,16, 4, 0, 0, 0, 0, 9,16,15, 3, 0, 0), 8),
    (( 0, 0, 9,14, 7, 1, 0, 0, 0, 6,16,10,15, 5, 0, 0, 0, 7,15, 0,12, 8, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 2,16, 5, 0, 1, 0, 0, 0, 8,15,13,16,15, 2, 0, 0, 8,14,11, 6,10, 2), 2),
    (( 0, 0, 3,11,14,16, 4, 0, 0, 9,16,16,16, 9, 3, 0, 0,15,14, 6, 2, 0, 0, 0, 0,10,16, 5, 0, 0, 0, 0, 0, 3,13,15, 5, 0, 0, 0, 0, 0, 1,10,15, 6, 0, 0, 0, 0, 0, 7,15,15, 0, 0, 0, 0, 2,15,16,15, 0, 0), 5),
    (( 0, 3,16,15, 7, 0, 0, 0, 0, 5,16,16,16,13, 2, 0, 0, 0, 7, 8,10,16, 6, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 4,11,15, 3, 0, 0, 0, 2,15,12, 3, 0, 0, 0), 9),
    (( 0, 0, 6,14,13, 1, 0, 0, 0, 2,15,15,16, 7, 0, 0, 0, 1, 5, 4,16, 6, 0, 0, 0, 0, 0, 7,16,10, 3, 0, 0, 1, 9,16,16,16,10, 0, 0, 1,15,16,13, 8, 1, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0), 7),
    (( 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 9,13, 1, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 7,12, 8,16, 8, 0, 0, 0, 4,16,15, 9,15, 4, 0, 0, 0,12,12, 4,10,12, 0, 0, 0, 1,12,15,16, 6, 0), 6),
    (( 0, 0, 0, 8,11, 3, 7, 0, 0, 0, 6,15, 4,10, 9, 0, 0, 3,15, 6, 1,16, 5, 0, 0, 7,16,12,14,16,14, 0, 0, 5,16,16,16,14, 7, 0, 0, 0, 4, 7,16, 5, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 0, 7,16, 0, 0, 0), 4),
    (( 0, 0,10,13,11, 2, 0, 0, 0, 0, 9,11,10,15, 0, 0, 0, 0, 0, 1,12,14, 2, 0, 0, 0, 0,15,16, 5, 0, 0, 0, 0, 0, 4, 7,14, 6, 0, 0, 0, 0, 0, 0, 6,12, 0, 0, 0,11, 4, 5,14,10, 0, 0, 0,13,16,16,10, 0, 0), 3),
    (( 0, 0, 6,14, 9, 0, 0, 0, 0, 2,16, 8,13, 8, 0, 0, 0, 6,12, 0, 2,12, 2, 0, 0, 4, 9, 0, 0, 7, 7, 0, 0, 6,12, 0, 0, 4, 8, 0, 0, 6,15, 0, 0, 3, 9, 0, 0, 0,15, 6, 4, 8,11, 0, 0, 0, 6,14,16,12, 1, 0), 0),
    (( 0, 0, 0, 9,13, 1, 0, 0, 0, 0, 3,15, 7, 1, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 0,14,16,12, 3, 0, 0, 0, 0,13,10, 7,15, 1, 0, 0, 0, 5,12, 2,11, 7, 0, 0, 0, 0, 8,16,16, 4, 0), 6),
    (( 0, 1, 7,13, 7, 0, 0, 0, 0, 8,16,15,16, 5, 0, 0, 0, 6,16, 8, 8,13, 1, 0, 0, 4,12, 0, 0,13, 7, 0, 0, 8,12, 0, 0, 8, 8, 0, 0, 7,13, 0, 0,14, 7, 0, 0, 4,16, 8,10,16, 5, 0, 0, 1,15,16,14, 7, 0, 0), 0),
    (( 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 4,15, 6, 1, 8, 0, 0, 1,13,12, 0,11,14, 1, 0,10,16, 6, 5,16, 9, 0, 0, 9,16,16,16,16,10, 0, 0, 0, 1, 5,16,11, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0,12,11, 0, 0, 0), 4),
    (( 0, 0, 0,10,12, 0, 0, 0, 0, 0, 8,16, 9, 4, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 3,16,10,10, 0, 0, 0, 0, 1,15,16,16,10, 0, 0, 0, 0, 9,13,11,16, 3, 0, 0, 0, 1, 9,15,13, 0, 0), 6),
    (( 0, 0, 0, 6,16,10, 0, 0, 0, 0, 3,15,15, 4, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 0,10,16, 8, 1, 0, 0, 0, 1,15,16,16,15, 2, 0, 0, 1,13,16,15,16, 7, 0, 0, 0, 0, 5,15,15, 5, 0), 6),
    (( 0, 1,10,15, 8, 0, 0, 0, 0, 4,16,10,13,14, 1, 0, 0, 8,16, 0,10,16, 4, 0, 0, 1,16,12,15,16, 4, 0, 0, 0, 2,11,10,16, 6, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0,12,11,11,16, 4, 0, 0, 0, 7,12,12, 7, 0, 0), 9),
    (( 0, 0, 0, 6,12, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 1,16, 3, 4, 3, 0, 0, 1,11,12, 0,14, 7, 0, 0, 8,16,10, 9,15, 2, 0, 0,10,16,16,16,15, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0, 5,14, 0, 0, 0), 4),
    (( 0, 0, 3,15,12, 1, 0, 0, 0, 0,11,14, 8,11, 0, 0, 0, 0,15, 1, 0,13, 1, 0, 0, 5,14, 0, 0, 9, 5, 0, 0, 5,12, 0, 0,11, 2, 0, 0, 0,16, 1, 2,15, 2, 0, 0, 0,14,13,14,12, 0, 0, 0, 0, 2,14, 8, 1, 0, 0), 0),
    (( 0, 2,14,10, 1, 0, 0, 0, 0, 6,13,13, 6, 0, 0, 0, 0, 8, 5, 6, 8, 0, 0, 0, 0, 3, 2, 8, 6, 0, 0, 0, 0, 0, 0,11, 4, 0, 0, 0, 0, 0, 6,14, 0, 1, 0, 0, 0, 3,16,15,12,15, 7, 0, 0, 2,13, 9, 8, 9, 7, 0), 2),
    (( 0, 0, 0, 3,11,16, 0, 0, 0, 0, 5,16,11,13, 7, 0, 0, 3,15, 8, 1,15, 6, 0, 0,11,16,16,16,16,10, 0, 0, 1, 4, 4,13,10, 2, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 3,16, 0, 0, 0, 0, 0, 0, 1,15, 2, 0, 0), 4),
    (( 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0,10,14, 1, 9, 2, 0, 0, 3,15, 4, 9,15, 0, 0, 3,15, 9, 3,14,10, 0, 2,15,16,15,16,16, 3, 0, 1,10, 9, 9,16,10, 0, 0, 0, 0, 0, 5,16, 2, 0, 0), 4),
    (( 0, 0,13,16,16,15, 0, 0, 0, 4,16,13, 7, 3, 0, 0, 0, 5,16,11, 1, 0, 0, 0, 0, 7,16,16,12, 0, 0, 0, 0, 3, 9, 6,16, 1, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 7,10,16, 3, 0, 0, 0, 1,13,16,14, 0, 0, 0), 5),
    (( 0, 0,14,16,14, 5, 0, 0, 0, 0, 3, 0, 2,16, 3, 0, 0, 0, 0, 4,10,15, 1, 0, 0, 6,16,16,14, 2, 0, 0, 0, 1, 4, 6,12,12, 0, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0,10, 0, 4,14, 5, 0, 0, 0,13,16,13, 4, 0, 0), 3),
    (( 0, 0, 2,16,15, 7, 0, 0, 0, 0, 3,12,13,13, 0, 0, 0, 0, 0, 6,16,10, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 3,15,10,12, 0, 0, 0, 1,13, 5, 0,13, 6, 0, 0, 0,16, 5, 0, 7,15, 0, 0, 0, 3,11,16,16,12, 2), 8),
    (( 0, 0, 8,12,16,16, 5, 0, 0, 0, 9,16,16,16, 1, 0, 0, 0, 0, 1,13,10, 0, 0, 0, 0, 3, 7,16,13, 8, 0, 0, 2,16,16,16,12, 7, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0,11,16, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0), 7),
    (( 0, 0, 5,13,14, 5, 0, 0, 0, 0, 9, 8, 9,12, 0, 0, 0, 3,12, 2,11, 9, 0, 0, 0, 3,13,15,14, 1, 0, 0, 0, 0, 0,11,12,12, 2, 0, 0, 0, 4,10, 0, 9, 9, 0, 0, 0,10, 5, 2, 8,13, 0, 0, 0, 5,14,15,11, 2, 0), 8),
    (( 0, 0, 4,15,10, 2, 0, 0, 0, 0, 3,16,15, 4, 0, 0, 0, 0, 6,16,16, 2, 0, 0, 0, 0, 7,16,11, 0, 0, 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 0,12,16, 4, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 0, 4,15, 8, 0, 0, 0), 1),
    (( 0, 0, 7,15,14, 3, 0, 0, 0, 4,16,13,14,13, 0, 0, 0, 8,16, 5, 0,12, 4, 0, 0, 8,16, 8, 0, 8, 8, 0, 0, 8,16, 5, 0, 9, 8, 0, 0, 5,16,10, 7,16, 3, 0, 0, 0,13,16,16, 7, 0, 0, 0, 0, 6,15,11, 1, 0, 0), 0),
    (( 0, 0, 1,13, 3, 0, 0, 0, 0, 0, 4,15, 1, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,11,12, 6, 5, 0, 0, 0, 0,14,16,16,16, 8, 0, 0, 0,16,16,11,12,13, 0, 0, 0, 3, 8,14,10, 6, 0), 6),
    (( 0, 0, 6,13,13,12, 2, 0, 0, 4,15, 5, 6,11, 8, 0, 0, 8,11, 0, 0,10, 6, 0, 0, 3,14,13,13,13, 1, 0, 0, 0, 8,16,14, 9, 0, 0, 0, 0,16, 4, 1,15, 0, 0, 0, 0,15, 5, 6,16, 0, 0, 0, 0, 5,15,16, 9, 0, 0), 8),
    (( 0, 0, 4,11,14, 6, 0, 0, 0, 4,14, 7, 6,15, 0, 0, 0, 4, 5, 0, 5,11, 0, 0, 0, 0, 0, 7,15,11, 0, 0, 0, 0, 0,11,10,15, 4, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 1, 4, 7,15, 1, 0, 0, 0, 3,16,11, 2, 0, 0), 3),
    (( 0, 0, 3,10,16, 7, 0, 0, 0, 0,15,12, 8,15, 0, 0, 0, 5,14, 2,10,16, 6, 0, 0, 2,14,16,11, 3, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0,12,14,15, 2, 0, 0, 0, 0,11, 8,16, 8, 0, 0, 0, 0, 3,14,14, 3, 0, 0), 8),
    (( 0, 0, 3,14,16,13, 6, 0, 0, 0,13, 7, 1,13,16, 1, 0, 0,12, 5, 0,10,12, 0, 0, 0, 8,14,12,14, 2, 0, 0, 0, 0, 4,14, 6, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 2,11, 0, 0, 0, 0), 9),
    (( 0, 0,10,16, 0, 0,12, 6, 0, 2,15, 9, 0, 8,16, 5, 0, 6,16, 6, 1,14,13, 0, 0, 7,16,11,11,16,13, 0, 0, 1,11,14,16,12, 2, 0, 0, 0, 0,11,14, 1, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0), 4),
    (( 0, 0, 4,14, 1, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 3,16, 2, 8, 2, 0, 0, 0, 4,16,16,13,15, 2, 0, 0, 4,16,12, 0, 8, 9, 0, 0, 1,13,13, 8,14, 8, 0, 0, 0, 3,12,12, 8, 0, 0), 6),
    (( 0, 0,11,12, 7, 0, 0, 0, 0, 3,16,14,16, 3, 0, 0, 0, 6,16, 6,16, 6, 0, 0, 0, 2,15,16,16,14, 0, 0, 0, 0, 4, 9, 8,15, 6, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 2, 4, 9,16, 7, 0, 0, 0,10,16,13, 8, 1, 0), 9),
    (( 0, 0, 7,15,12, 4, 0, 0, 0, 5,15, 4, 9,14, 0, 0, 0,10, 8, 0, 4,16, 2, 0, 0, 6,11, 2,12,11, 0, 0, 0, 0,13,16,16, 6, 0, 0, 0, 0, 5,16,16, 8, 0, 0, 0, 0,10,14, 5,16, 7, 0, 0, 0, 9,15,16,16, 8, 0), 8),
    (( 0, 2,13,11, 5, 0, 0, 0, 0, 1, 8,13,16, 8, 0, 0, 0, 0, 0, 0,12,16, 0, 0, 0, 0, 0, 7,16,11, 0, 0, 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 0, 1, 9,16, 5, 0, 0, 2, 8, 5, 7,16, 6, 0, 0, 3,14,16,13, 8, 0, 0), 3),
    (( 0, 0, 4,12, 7, 0, 0, 0, 0, 2,13,16,16, 6, 0, 0, 0, 5,16, 3, 5,15, 0, 0, 0, 8,13, 0, 0,11, 1, 0, 0, 7,12, 0, 0, 8, 4, 0, 0, 5,10, 0, 0, 9, 5, 0, 0, 1,15,13,13,16, 3, 0, 0, 0, 5,14,16,10, 0, 0), 0),
    (( 0, 0, 5,14, 0, 0, 0, 0, 0, 0, 9,11, 1, 3, 0, 0, 0, 2,14, 4,10,11, 0, 0, 0, 8,16,12,15,14, 6, 0, 0, 9,16,13,16,10, 5, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0), 4),
    (( 0, 0,11,16,10, 0, 0, 0, 0, 0, 3,16,16, 9, 0, 0, 0, 0, 0,14,16, 9, 0, 0, 0, 0, 2,16,16, 4, 0, 0, 0, 0, 7,16,16, 3, 0, 0, 0, 0, 8,16,13, 1, 0, 0, 0, 0,12,16,12, 0, 0, 0, 0, 0, 9,14,16, 0, 0, 0), 1),
    (( 0, 0, 5,12, 4, 0, 0, 0, 0, 2,16,14,13, 2, 0, 0, 0, 0,16, 7,14,15, 0, 0, 0, 0, 8,15,16,16, 3, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 3, 4, 7,16, 8, 0, 0, 0, 9,14,12, 8, 1, 0), 9),
    (( 0, 0, 4,15,11, 0, 0, 0, 0, 1,15, 6,14, 3, 0, 0, 0, 3,14, 8,14,10, 0, 0, 0, 1, 9,12, 7,13, 0, 0, 0, 0, 0, 0, 0,14, 2, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 7, 4, 3,13, 4, 0, 0, 0, 7,13,15, 9, 0, 0), 9),
    (( 0, 0, 4,15, 8, 0, 0, 0, 0, 0,12,16,15, 3, 0, 0, 0, 1,16,11, 7,14, 2, 0, 0, 4,14, 0, 0,12, 8, 0, 0, 4,12, 0, 0,14, 5, 0, 0, 4,14, 1, 0,15, 5, 0, 0, 0,13, 9, 9,16, 6, 0, 0, 0, 7,16,12, 5, 0, 0), 0),
    (( 0, 0, 5,16,13, 1, 0, 0, 0, 0,12,14,15, 5, 0, 0, 0, 0,12,10,16, 7, 0, 0, 0, 0, 3,15,16,12, 0, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0, 0, 8, 9, 0, 0, 2,12, 8, 8,13,12, 0, 0, 1, 6,10,12,12, 2, 0), 9),
    (( 0, 0, 0,14,10, 1, 0, 0, 0, 0, 8,16,16,11, 0, 0, 0, 0,10,10, 2,15, 1, 0, 0, 4,12, 6, 0,11, 4, 0, 0, 6,16,10, 0, 9, 8, 0, 0, 0,14,16, 5,16, 9, 0, 0, 0, 8,16,16,16, 4, 0, 0, 0, 0,12,16, 9, 0, 0), 0),
    (( 0, 0,10,16,16, 8, 0, 0, 0, 0,15,14, 9, 9, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 2,16,16,10, 0, 0, 0, 0, 0,11,13,15, 6, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 5,11,15,13, 0, 0, 0, 0, 7,16,15, 4, 0, 0), 5),
    (( 0, 0, 4,14, 5, 0, 0, 0, 0, 0,13, 7,11, 4, 2, 0, 0, 2,13, 0, 6,14, 4, 0, 0, 3, 9, 0, 3,14, 7, 0, 0, 5, 8, 0, 4,11, 8, 0, 0, 4, 8, 0, 0, 1,12, 0, 0, 1,14, 2, 0,10, 7, 0, 0, 0, 3,15,16,13, 2, 0), 0),
    (( 0, 0, 5,14,16,16,14, 0, 0, 0,14,14,12,15,13, 0, 0, 0, 9, 2, 5,16, 5, 0, 0, 0, 1, 9,15,16, 7, 0, 0, 0, 3,16,16,16, 9, 0, 0, 0, 0,10,14, 4, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0), 7),
    (( 0, 0, 2,10,12,14,16,12, 0, 0, 8,16,16,16,14, 4, 0, 0, 2,16,12, 4, 0, 0, 0, 0, 1,16,15, 2, 0, 0, 0, 0, 0, 8,16,11, 0, 0, 0, 0, 0, 0,13,16, 0, 0, 0, 0, 0, 7,16,11, 0, 0, 0, 0, 1,16,11, 1, 0, 0), 5),
    (( 0, 0, 4, 6,14, 6, 0, 0, 0, 8,16,15,13,10, 0, 0, 0, 3,12, 3, 2,13, 0, 0, 0, 0,11,11,13,11, 0, 0, 0, 0, 6,16,16, 3, 0, 0, 0, 0,16, 9, 6,13, 2, 0, 0, 0, 9, 8, 0, 3,14, 0, 0, 0, 0, 6,15,16,16, 4), 8),
    (( 0, 0, 0,15,12, 3, 0, 0, 0, 0, 0,16,16, 8, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 0, 0,10,16,13, 0, 0, 0, 0, 0, 4,16,16, 2, 0, 0, 0, 1, 8,16,16,10, 0, 0, 0, 8,16,16,16,16, 5, 0, 0, 1, 9,12,14,12, 4), 1),
    (( 0, 2,14, 4, 0, 0, 0, 0, 0, 6,16,10, 0, 0, 0, 0, 0, 8, 8,14, 0, 0, 0, 0, 0, 2, 3,15, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 1,13, 8, 0, 0, 0, 0, 0, 6,16,16,16,12, 4, 0, 0, 3,15,16,14, 7, 2, 0), 2),
    (( 0, 1,10,12,16,12, 3, 0, 0, 0,12,16,10,11, 3, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0, 7,16, 7, 1, 0, 0, 0, 0, 1,12,15,12, 0, 0, 0, 2,11,13, 3,16, 2, 0, 0, 8,15, 6,15,11, 0, 0, 0, 3,13,14, 9, 1, 0, 0), 5),
    (( 0, 0, 7,11, 4, 0, 0, 0, 0, 0,15,16,15, 5, 0, 0, 0, 3,16, 5, 3,10, 2, 0, 0, 4,16, 2, 0, 7, 7, 0, 0, 8,10, 0, 0, 6, 8, 0, 0, 5, 9, 0, 0,10, 6, 0, 0, 0,15, 4,10,14, 2, 0, 0, 0, 7,16,10, 2, 0, 0), 0),
    (( 0, 1, 6,12,15, 4, 0, 0, 0, 6,16,12,12,16, 3, 0, 0,12, 8, 0, 5,16, 2, 0, 0, 1, 2, 0,12,13, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 0, 7,16, 8, 8, 7, 0, 0, 0, 3,11,12,12, 7, 0), 2),
    (( 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 8,16,13, 0, 0, 0, 0, 4,16,16,15, 1, 0, 0, 0, 0, 3,10,16, 4, 0, 0, 0, 0, 0,14,16, 3, 0, 0, 0, 0, 0,15,16, 3, 0, 0, 0, 0, 5,16,16,10, 0, 0, 0, 0, 0,10,12,11, 1, 0), 1),
    (( 0, 0, 8,12, 8,14, 3, 0, 0, 2,15,13,11,16, 4, 0, 0, 3,16,10,11, 9, 0, 0, 0, 0, 4,16,16, 4, 0, 0, 0, 0, 2,15,16, 8, 0, 0, 0, 3,15, 7,12,10, 0, 0, 0, 4,16, 4,13, 8, 0, 0, 0, 1, 9,16,15, 3, 0, 0), 8),
    (( 0, 0, 7,16,15, 3, 0, 0, 0, 0,14,13,13,13, 1, 0, 0, 0,12,11, 8,16, 6, 0, 0, 0, 2,14,16,16, 8, 0, 0, 0, 0, 2, 4,13, 9, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 1,13, 4, 4,14,10, 0, 0, 0, 5,15,16,16, 8, 0), 9),
    (( 0, 0, 3,11,11, 6, 0, 0, 0, 3,14,16,16,12, 0, 0, 0, 0, 7,16,16,12, 0, 0, 0, 0,13,16,16,12, 0, 0, 0, 0,13,16,16,14, 0, 0, 0, 2,15,16,16,13, 0, 0, 0, 0,12,16,16,12, 0, 0, 0, 0, 3,11,11, 7, 0, 0), 1),
    (( 0, 0, 4,13, 6, 0, 0, 0, 0, 4,16,13, 4, 3, 0, 0, 0,12,10, 1,12,16, 3, 0, 0, 7,14, 9,16, 5, 0, 0, 0, 0,12,16,13, 1, 0, 0, 0, 0, 5,15,15,15, 3, 0, 0, 0, 7,14,12,16,10, 0, 0, 0, 3,16,11, 8, 2, 0), 8),
    (( 0, 0, 0,13,16,16,16, 1, 0, 0, 0, 7, 8,13,11, 0, 0, 0, 0, 0, 0,14,10, 1, 0, 6,12,13,16,14, 9, 0, 0, 6,14,10,16, 6, 0, 0, 0, 0, 0, 7,13, 1, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 0,15, 3, 0, 0, 0), 7),
    (( 0, 0, 2,16,11, 0, 0, 0, 0, 1,11,16,16, 7, 0, 0, 0,10,16,16,16, 9, 0, 0, 0, 2, 9,15,16,11, 0, 0, 0, 0, 0,12,16, 8, 0, 0, 0, 0, 4,16,16, 5, 0, 0, 0, 0,10,16,16,15, 4, 0, 0, 0, 3,15,16,12, 0, 0), 1),
    (( 0, 0, 8,16,10, 1, 0, 0, 0, 7,16,11,15, 8, 0, 0, 0,15,13, 0,11,12, 0, 0, 0,10, 7, 0,11,10, 0, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0, 9,15, 1, 0, 0, 0, 0, 7,16,10, 6, 8, 3, 0, 0, 9,16,16,16,16, 7), 2),
    (( 0, 0, 0, 1,16, 1, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 3,15, 4, 0, 0, 0, 0, 1,14, 8, 0,10, 9, 0, 0, 8,13, 0, 3,16, 2, 0, 0, 8,16,13,16,13, 0, 0, 0, 0, 8, 5,16, 6, 0, 0, 0, 0, 0, 1,14, 1, 0, 0), 4),
    (( 0, 0, 2,10,13,16, 6, 0, 0, 9,16,14,12, 9, 2, 0, 0, 5,16, 3, 0, 0, 0, 0, 0, 0,10,14, 6, 1, 0, 0, 0, 0, 1,13,16,11, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 2,15,12, 0, 0, 0, 0, 0,13,16, 2, 0, 0), 5),
    (( 0, 0, 2,11,16,10, 0, 0, 0, 0,10,15, 2,14, 4, 0, 0, 3,15, 1, 0,10, 8, 0, 0, 7,10, 0, 0,12, 5, 0, 0, 8, 8, 0, 0,14, 4, 0, 0, 3,12, 0, 9,14, 1, 0, 0, 0,13,10,16, 5, 0, 0, 0, 0, 2,10,12, 2, 0, 0), 0),
    (( 0, 0, 6,15,10, 0, 0, 0, 0, 4,16,15,15, 5, 0, 0, 0,10,11, 1,12, 4, 0, 0, 0,11, 9, 0,15, 3, 0, 0, 0, 4, 8, 1,14, 4, 0, 0, 0, 0, 0, 8,16, 2, 1, 0, 0, 0, 5,16,16,15,15, 2, 0, 0, 8,16,14,11,13, 1), 2),
    (( 0, 0, 1,11,16,16,13, 0, 0, 0, 3, 7, 4, 9,13, 0, 0, 0, 0, 0, 0,10, 6, 0, 0, 0, 2, 4, 8,15, 6, 0, 0, 0, 9,13,15,14, 5, 0, 0, 0, 1, 2,15, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 2,15, 3, 0, 0, 0), 7),
    (( 0, 0, 4,11,14,12, 2, 0, 0, 0,11,12, 4, 8, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0, 3,16, 8, 7, 2, 0, 0, 0, 5,16,16,16,15, 2, 0, 0, 0, 3, 0, 1,15, 6, 0, 0, 0, 3, 8, 9,15, 9, 0, 0, 0, 7,16,12,10, 2, 0), 5),
    (( 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 1,12,15, 2, 0, 0, 0, 0, 8,16, 8,11, 6, 2, 0, 0, 5,15,16,16,16,11, 0, 0, 0, 1, 9,16, 7, 1, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 0, 9,16, 1, 0, 0), 4),
    (( 0, 0, 6,15,14, 4, 0, 0, 0, 0,16, 6, 4,15, 0, 0, 0, 5,16, 6,13,11, 0, 0, 0, 1,16,16,16,13, 1, 0, 0, 6,15, 7, 0,11, 8, 0, 0, 4,12, 0, 0, 9,11, 0, 0, 0,16, 4, 9,15, 2, 0, 0, 0, 8,14, 9, 2, 0, 0), 8),
    (( 0, 0,11,12, 7, 0, 0, 0, 0, 6,14, 8,15,16, 3, 0, 0, 3,15, 9, 4,16, 3, 0, 0, 0, 3,14,16,12, 0, 0, 0, 0, 3,12,15,15, 2, 0, 0, 0,15,10, 0,13, 8, 0, 0, 1,16, 5, 5,12,11, 0, 0, 0,14,16,16, 9, 2, 0), 8),
    (( 0, 0, 8,16,16,11, 0, 0, 0, 5,15, 7, 2,16, 3, 0, 0,12,10, 0, 4,16, 1, 0, 0,11,14, 2,12,12, 0, 0, 0, 0,11,14,16, 2, 0, 0, 0, 0, 1,16,13, 1, 0, 0, 0, 0, 7,13,16, 8, 0, 0, 0, 0,13, 9,12,12, 0, 0), 8),
    (( 0, 0, 2,12, 6, 0, 0, 0, 0, 1,12,10,11, 3, 0, 0, 0, 1,16, 7, 3,13, 1, 0, 0, 2,16, 1, 0, 9, 5, 0, 0, 2,16, 2, 0, 2,10, 0, 0, 0,14, 8, 0, 7,13, 0, 0, 0,10, 7, 7,16, 5, 0, 0, 0, 2,13,12, 6, 0, 0), 0),
    (( 0, 0, 0,16,14, 5, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0, 7,16,16, 1, 0, 0, 0, 0,12,16,13, 0, 0, 0, 0, 0,14,16,10, 0, 0, 0, 0, 0,14,16, 8, 0, 0, 0, 0, 0,11,16,12, 0, 0, 0, 0, 0, 2,10,16, 7, 0, 0), 1),
    (( 0, 0, 5,14,10, 1, 0, 0, 0, 2,15,15,15,10, 0, 0, 0, 7,16,11, 1,16, 1, 0, 0, 6,16, 2, 0,14, 6, 0, 0, 3,15, 0, 0,13, 6, 0, 0, 3,16, 0, 3,16, 1, 0, 0, 1,15,12,15,14, 0, 0, 0, 0, 5,13,13, 4, 0, 0), 0),
    (( 0, 0, 5,15,13, 3, 0, 0, 0, 0,15, 7,10,15, 1, 0, 0, 0,16, 4, 2,15, 8, 0, 0, 1,10,16,16,16, 4, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 5, 2, 0, 3,16, 5, 0, 0, 7,14, 8,14,14, 1, 0, 0, 1, 8,16,11, 1, 0, 0), 9),
    (( 0, 0, 0,11,12, 6, 0, 0, 0, 0, 4,16,16,16, 0, 0, 0, 0, 9,16,16,16, 0, 0, 0, 0,13,16,16,16, 4, 0, 0, 0, 5,16,16,16, 4, 0, 0, 0, 1,16,16,16, 2, 0, 0, 0, 2,16,16,16, 5, 0, 0, 0, 0, 5,11, 9, 2, 0), 1),
    (( 0, 0, 1, 8,13,12, 1, 0, 0, 1,15, 8, 4,14, 6, 0, 0, 6,10, 0, 1,10, 8, 0, 0, 7,12, 5,11,16, 7, 0, 0, 2,11,12,10,16, 2, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0,12, 7, 0, 0, 0), 9),
    (( 0, 3,16,16, 7, 0, 0, 0, 0, 4,16,11,16, 5, 0, 0, 0, 0, 3, 1,12,12, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 3,15, 8, 0, 0, 0, 0, 4,14,16,11, 6, 0, 0, 1,16,16,16,14,16, 5), 2),
    (( 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0,13,16,12, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0,10,16,14,16, 8, 0, 0, 4,15,11, 8,16, 5, 0, 0, 0, 7, 1, 9,16, 3, 0, 0, 0, 0, 0,12,16, 0, 0, 0, 0, 0, 0, 8,15, 2, 0), 1),
    (( 0, 0, 8,12,11, 1, 0, 0, 0, 0,13,12, 6,12, 0, 0, 0, 1,14, 4, 0,12, 0, 0, 0, 2,16, 1, 0, 5, 4, 0, 0, 5,11, 0, 0, 8, 4, 0, 0, 4,12, 0, 0, 9, 5, 0, 0, 2,15, 6, 8,14, 0, 0, 0, 0, 5,15,12, 3, 0, 0), 0),
    (( 0, 0, 6,13,12, 9, 1, 0, 0, 4,16,11, 6,13, 7, 0, 0, 7,16, 6, 2,13, 8, 0, 0, 1,14,15,16,13, 3, 0, 0, 0, 7,16,16, 5, 0, 0, 0, 2,16, 9,13,14, 0, 0, 0, 1,15, 8, 7,16, 3, 0, 0, 0, 6,16,15, 7, 0, 0), 8),
    (( 0, 0, 5,12,13, 1, 0, 0, 0, 3,15,14, 7,10, 0, 0, 0, 0,15, 7,14,16, 2, 0, 0, 0, 8,16,16, 9, 0, 0, 0, 0, 3,16,16, 1, 0, 0, 0, 0,12,16,16, 6, 0, 0, 0, 1,16,16,16, 7, 0, 0, 0, 0, 6,14,12, 1, 0, 0), 8),
    (( 0, 0,11,12, 2, 0, 0, 0, 0, 3,16,12, 7, 0, 0, 0, 0, 2,14, 3,10, 0, 0, 0, 0, 0, 0, 5, 8, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0,11,14, 9,15,15, 0, 0, 0, 8,13,12, 8,10, 2), 2),
    (( 0, 0, 0, 2, 9,16, 3, 0, 0, 0, 2,14,15,16, 2, 0, 0, 0,11,10, 7, 9, 0, 0, 0, 1,16, 4,11, 5, 0, 0, 0, 0,14,16,16,10, 0, 0, 0, 0, 0, 1,14,11, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 0,14, 3, 0, 0), 9),
    (( 0, 4,15,16,16,16, 5, 0, 0, 7,16,13, 6, 4, 1, 0, 0,10,16, 6, 2, 0, 0, 0, 0, 9,16,16,16, 4, 0, 0, 0, 0, 0, 1,14,10, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 3, 9,11,16, 7, 0, 0, 0, 3,15,16, 6, 0, 0, 0), 5),
    (( 0, 0, 3,12,10, 1, 0, 0, 0, 0,12,16,16,10, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0, 3,16,16,12, 0, 0, 0, 0, 2,15,16,14, 0, 0, 0, 0, 0,16,16,15, 0, 0, 0, 0, 2,16,16,14, 0, 0, 0, 0, 4, 8,12, 3, 0, 0), 1),
    (( 0, 0, 7,14,13,13, 8, 0, 0, 0, 9,12,14,16,13, 0, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 2,10,16,15, 7, 0, 0, 1,14,16,16,13, 7, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 9,13, 2, 0, 0, 0), 7),
    (( 0, 1,15, 6, 0, 0, 0, 0, 0, 7,16,16, 0, 0, 0, 0, 0,11,14,16, 0, 0, 0, 0, 0, 2, 8,15, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,10,16,16,16,12, 5, 0, 0, 3,15,16,12,14,14, 0), 2),
    (( 0, 0, 7,15,15, 9, 1, 0, 0, 7,15, 5, 4,14, 4, 0, 0, 2, 2, 0, 7,13, 1, 0, 0, 0, 2,12,15, 5, 0, 0, 0, 0, 1, 5,10,13, 0, 0, 0, 0, 0, 0, 0,10, 7, 0, 0, 0,11, 1, 1,12, 7, 0, 0, 0, 8,14,13, 8, 0, 0), 3),
    (( 0, 0, 4,10,12,12,11, 1, 0, 0, 8,10,11,16,10, 0, 0, 0, 0, 2, 7,15, 1, 0, 0, 0, 5,16,16,15, 5, 0, 0, 0, 3,11,13, 8, 4, 0, 0, 0, 1,14, 3, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 0), 7),
    (( 0, 4,14,16,16,12, 2, 0, 0,10,16,10, 8,14, 7, 0, 0,10,12, 0, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 1,12,16, 4, 0, 0, 0, 0, 5,16,15, 1, 0, 0, 0), 5),
    (( 0, 0, 8,14,13,13,10, 0, 0, 4,16,13,13,16, 9, 0, 0, 4,16, 2, 6,16, 1, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 0,11,11, 1, 0, 0, 0), 7),
    (( 0, 0, 1,10,16,16, 7, 0, 0, 0,13,14,10, 7, 3, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,10,16,16,16, 8, 1, 0, 0, 1, 6,11,13,16, 9, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 1, 9,16, 5, 0, 0, 0, 2,15,16, 8, 0, 0), 5),
    (( 0, 1,14,16,16,12, 1, 0, 0, 0,13, 8, 4, 4, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 0, 8,16,16, 9, 0, 0, 0, 0, 4, 7, 5,14, 0, 0, 0, 0, 0, 0, 0,13, 0, 0, 0, 0, 5, 0, 3,15, 0, 0, 0, 2,14,16,14, 7, 0, 0), 5),
    (( 0, 0, 8,15,15, 5, 0, 0, 0, 4,16,13,16, 9, 0, 0, 0, 1, 4, 4,16, 6, 0, 0, 0, 0, 0,11,16, 5, 0, 0, 0, 1,13,16,16,15, 5, 0, 0, 5,13,16,13,12, 5, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0), 7),
    (( 0, 1,13,13, 1, 0, 0, 0, 0, 9,16,16, 7, 0, 0, 0, 0, 5, 5,13, 8, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0,11,15, 1, 0, 0, 0, 0, 4,16, 8, 1, 0, 0, 0, 0, 4,16,16,16,16, 6, 0, 0, 1,11,14,16,16,11, 0), 2),
    (( 0, 0, 1,12, 6, 0, 0, 0, 0, 0, 5,15, 2, 3, 8, 0, 0, 1,13,11, 1,14, 9, 0, 0, 6,15, 3, 6,15, 0, 0, 0,12,15,12,15,15, 6, 0, 0, 6,12,14,16,16, 5, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0), 4),
    (( 0, 0, 7,16, 6, 0, 0, 0, 0, 0,16,13, 1, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 3,16, 4, 4, 2, 0, 0, 0, 5,16,16,16,15, 4, 0, 0, 4,16, 6, 4, 7,16, 1, 0, 0,16, 8, 4,12,15, 2, 0, 0, 6,16,16,14, 6, 0), 6),
    (( 0, 0, 3,14, 7, 1, 0, 0, 0, 0,11,15,16,12, 0, 0, 0, 0,14, 8, 0,13, 4, 0, 0, 1,16, 2, 0,12, 6, 0, 0, 1,16, 2, 0,13, 7, 0, 0, 2,16, 0, 4,16, 1, 0, 0, 0,13,10,15,13, 0, 0, 0, 0, 6,15,12, 6, 0, 0), 0),
    (( 0, 0,10,15,14, 4, 0, 0, 0, 1,15,13,13,15, 2, 0, 0, 0, 0, 4,14,14, 0, 0, 0, 0, 6,16,16, 6, 0, 0, 0, 0, 3,10,16,12, 0, 0, 0, 0, 0, 0, 9,16, 8, 0, 0, 1,15, 8,13,16, 4, 0, 0, 0,10,14,11, 6, 1, 0), 3),
    (( 0, 0,16,16,16,10, 0, 0, 0, 0, 6, 9,15,16, 1, 0, 0, 0, 0, 8,16, 7, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 1, 4, 9,15,12, 0, 0, 0,15,16,16,11, 2, 0), 3),
    (( 0, 0, 5,16,16, 8, 0, 0, 0, 0,10,16,16,11, 0, 0, 0, 0,12,13, 1, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 6,10,11, 0, 0, 0, 0, 0,15,16,16, 0, 0, 0, 0, 0, 5,15,14, 0, 0, 0), 5),
    (( 0, 0,14,10, 0, 0, 0, 0, 0, 2,16,14, 4, 0, 0, 0, 0, 0, 9, 8, 8, 0, 0, 0, 0, 0, 0,10, 4, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 2,13, 9, 0, 2, 1, 0, 0, 8,16,13,13,16, 5, 0, 0, 1, 9,15,16,16, 7, 0), 2),
    (( 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,14,14, 2, 0, 0, 0, 0, 7,16, 5, 1, 3, 0, 0, 4,16,11, 1,13,11, 0, 0,13,16,13,13,16, 8, 0, 0, 9,16,16,16,16, 4, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0, 5,16, 9, 0, 0), 4),
    (( 0, 0,15,12, 7,15, 6, 0, 0, 8,16,16,16,14, 5, 0, 0,10,16, 5, 1, 0, 0, 0, 0, 8,16, 9, 1, 0, 0, 0, 0, 0, 5,15,13, 0, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0,15,16, 6, 0, 0, 0), 5),
    (( 0, 0, 9,15, 2, 0, 0, 0, 0, 3,16,10, 1, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0, 9,11, 3, 8, 8, 1, 0, 0,10,11,13,14,15, 8, 0, 0, 7,16,14, 0, 7,12, 0, 0, 3,16,10, 4,13,10, 0, 0, 0,10,16,16,13, 1, 0), 6),
    (( 0, 0, 0, 4,13, 1, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 8,15, 4, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 0,15,11, 6, 6, 0, 0, 0, 0,13,16,16,16,10, 0, 0, 0, 8,16, 5,11,16, 2, 0, 0, 0, 6,12,15,10, 0), 6),
    (( 0, 0, 5,14,16,14, 1, 0, 0, 2,15, 4, 7,16, 1, 0, 0, 0, 5, 0,12,12, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 1, 4, 8,16, 4, 0, 0, 0, 8,15,13, 8, 0, 0), 3),
    (( 0, 0, 0,13,13, 1, 0, 0, 0, 0,11,14,15, 8, 0, 0, 0, 6,16, 3,10, 7, 0, 0, 0, 8,16, 4,12, 8, 0, 0, 0, 1, 3, 4,15, 1, 0, 0, 0, 0, 2,13,12, 0, 0, 0, 0, 0,11,16,16,12, 7, 0, 0, 0, 3, 9, 8,11,13, 0), 2),
    (( 0, 0, 6,13,16,15, 2, 0, 0, 0,14,14,12,16, 9, 0, 0, 0, 3, 1, 7,16,10, 0, 0, 0, 1,15,16,16,13, 0, 0, 0, 1, 7,15,14, 1, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0, 0,12,13, 1, 0, 0, 0, 0, 7,16, 3, 0, 0, 0), 7),
    (( 0, 0,14,14,11, 2, 0, 0, 0, 1,16,16,16,15, 0, 0, 0, 4,16, 9, 7,14, 6, 0, 0, 8,15, 0, 0, 8, 8, 0, 0, 8,11, 0, 0, 8, 8, 0, 0, 8,12, 0, 0,12, 5, 0, 0, 4,16,10,14,13, 0, 0, 0, 0, 9,16,15, 3, 0, 0), 0),
    (( 0, 1,14,16,16,16, 5, 0, 0, 4,16, 7, 4, 5, 3, 0, 0, 7,16, 5, 1, 0, 0, 0, 0, 8,16,16,15, 1, 0, 0, 0, 0, 2, 4,15, 7, 0, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 6, 9, 1,13,14, 0, 0, 0, 1,14,16,15, 3, 0, 0), 5),
    (( 0, 0, 0, 2,11,16,12, 0, 0, 0, 4,15,14,16, 8, 0, 0, 1,16,13,14,16, 6, 0, 0, 2,16,16,11,15, 5, 0, 0, 0, 6,12,16,10, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 1,16, 5, 0, 0), 9),
    (( 0, 0, 6,16, 6, 0, 0, 0, 0, 2,15,14,16, 5, 0, 0, 0, 6,15, 1, 9,14, 0, 0, 0, 4,16, 0, 1,16, 5, 0, 0, 7,13, 0, 1,16, 4, 0, 0, 5,15, 2, 0,14, 5, 0, 0, 0,14,10,12,13, 1, 0, 0, 0, 4,14,14, 3, 0, 0), 0),
    (( 0, 0, 2, 7,13, 3, 0, 0, 0, 0,10,16,12,13, 0, 0, 0, 0,15, 9, 1,12, 4, 0, 0, 1,15, 0, 0, 8, 7, 0, 0, 5, 8, 0, 0,12, 5, 0, 0, 1,11, 0, 1,15, 4, 0, 0, 0,14,13,15,10, 0, 0, 0, 0, 3,13,14, 3, 0, 0), 0),
    (( 0, 0, 4,16,12, 1, 0, 0, 0, 0,10,16,14, 9, 0, 0, 0, 0,15,14, 2,16, 2, 0, 0, 1,16,15, 1,12, 7, 0, 0, 1,16, 8, 3,10,10, 0, 0, 0,15, 4, 0,12,10, 0, 0, 0,11, 8, 4,16, 6, 0, 0, 0, 2,13,16,14, 1, 0), 0),
    (( 0, 0, 9,11, 8, 5, 0, 0, 0, 2,16,14,16,15, 0, 0, 0, 6,16,11, 2, 0, 0, 0, 0, 8,16,16,13, 2, 0, 0, 0, 1, 3, 0,12, 9, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 5, 8,16, 6, 0, 0, 0, 0, 8,15,10, 0, 0, 0), 5),
    (( 0, 0, 6,11,11, 1, 0, 0, 0, 0, 9,16,16,14, 0, 0, 0, 0,11,16,16,10, 0, 0, 0, 0, 7,16,16,12, 0, 0, 0, 0,12,16,16,11, 0, 0, 0, 0, 9,16,16,12, 0, 0, 0, 0, 8,16,16,16, 0, 0, 0, 0, 5,12,12,12, 3, 0), 1),
    (( 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0,14,16, 2, 0, 0, 0, 0, 3,15,13, 0, 0, 0, 0, 0, 9,16, 3, 3, 1, 0, 0, 1,14,11, 4,16, 7, 0, 1,12,16,14,14,16, 2, 0, 1,11,12,14,16,11, 0, 0, 0, 0, 0, 9,16, 5, 0, 0), 4),
    (( 0, 0, 9,15, 1, 0, 0, 0, 0, 2,16,14,10, 0, 0, 0, 0, 9,13, 8,12, 0, 0, 0, 0, 9, 8,12, 9, 0, 0, 0, 0, 1, 1,14, 6, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 9,14,12,15, 8, 0, 0, 0, 7,16,15, 5, 2, 0), 2),
    (( 0, 0, 1,11,12,12,10, 0, 0, 0, 3,10, 8,16,10, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 3,10,15,14, 2, 0, 0, 0,14,16,16,16, 6, 0, 0, 0, 1,14, 9, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 0), 7),
    (( 0, 0, 3,12,15, 4, 0, 0, 0, 0,14,12,13,14, 2, 0, 0, 1,16, 0, 8,16,10, 0, 0, 5,15,13,16,16, 8, 0, 0, 1, 8, 9,11,16, 5, 0, 0, 0, 0, 2,15,10, 0, 0, 0, 0, 0,10,14, 2, 0, 0, 0, 0, 3,14, 5, 0, 0, 0), 9),
    (( 0, 0, 1,14,15, 3, 0, 0, 0, 2,15,16,16,13, 0, 0, 0, 6,15,12,10,16, 3, 0, 0, 8,15, 0, 0,10, 8, 0, 0, 6,12, 0, 0,11, 8, 0, 0, 1,15, 6, 2,14, 8, 0, 0, 0,10,16,14,15, 3, 0, 0, 0, 2, 9,16, 7, 0, 0), 0),
    (( 0, 1, 7,14,16,11, 0, 0, 0,11,16,12,15,16, 1, 0, 0, 8, 4, 3,16,10, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 0,16,11, 0, 0, 0, 0, 0, 0,12,16, 0, 0, 0, 0, 2, 7,15,13, 0, 0, 0, 0,10,15, 9, 1, 0, 0), 3),
    (( 0, 0, 6,13,13, 6, 0, 0, 0, 1,14, 5, 7,13, 0, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0,10,14, 9, 0, 0, 0, 0, 0, 8, 9,16, 3, 0, 0, 1, 5, 0, 0,16, 4, 0, 0, 1,16, 4, 5,15, 3, 0, 0, 0, 6,16,14, 5, 0, 0), 3),
    (( 0, 0, 9,16,16,16, 7, 0, 0, 0, 4, 8, 8,14,14, 0, 0, 0, 0, 0, 2,15, 6, 0, 0, 0,10,12,14,14, 0, 0, 0, 0, 8,16,16,16, 6, 0, 0, 0, 0,15, 9,13, 4, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0), 7),
    (( 0, 0,10,15,10, 1, 0, 0, 0, 5,16, 4,11,13, 1, 0, 0, 5,16, 9,12,16, 7, 0, 0, 1,10,12, 8,14, 8, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0,10,13, 1, 0, 0, 0, 5,12,15, 2, 0, 0, 0, 0,13,10, 2, 0, 0, 0), 9),
    (( 0, 0, 5,12, 9, 1, 0, 0, 0, 4,16, 9,11, 6, 1, 0, 0, 1,15, 4, 1,12, 4, 0, 0, 0, 6, 6,13,14, 0, 0, 0, 0, 3,16,16, 4, 0, 0, 0, 0, 7,16,16, 1, 0, 0, 0, 0,10,16,16, 7, 0, 0, 0, 0, 8,12,12, 4, 0, 0), 8),
    (( 0, 3,12,11, 6, 0, 0, 0, 0,11,15, 8,16, 8, 0, 0, 0,10,11, 1,13,15, 1, 0, 0, 2,14,16,15,15, 8, 0, 0, 0, 1, 4, 0,14, 2, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 1,11, 9,14, 8, 0, 0, 0, 2,15,13,10, 0, 0, 0), 9),
    (( 0, 2,10,14,13, 6, 0, 0, 0, 4,16, 8,13,15, 3, 0, 0, 2,16, 4, 9,16, 4, 0, 0, 0,12,10,12,16, 4, 0, 0, 0, 2, 9,12,16, 0, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 2, 4,11,16, 4, 0, 0, 3,16,13,11, 4, 0, 0), 9),
    (( 0, 0, 6,11, 7, 2, 0, 0, 0, 0,15,16,15,12, 0, 0, 0, 3,16, 7, 0,10, 3, 0, 0, 4, 8, 0, 0, 2, 8, 0, 0, 8, 5, 0, 0, 5, 8, 0, 0, 5, 7, 0, 0,12, 5, 0, 0, 0,14, 5,13,13, 1, 0, 0, 0, 7,16,11, 0, 0, 0), 0),
    (( 0, 0, 7,12,16,16, 7, 0, 0, 0,14,14,11,16, 7, 0, 0, 0, 2, 0, 7,16, 3, 0, 0, 0, 2,11,15,16, 4, 0, 0, 0,13,16,16,16, 7, 0, 0, 0, 4,15,12, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 9,15, 2, 0, 0, 0), 7),
    (( 0, 0, 7,14,16, 8, 0, 0, 0, 0, 5,10,13, 7, 0, 0, 0, 0, 0, 0,13, 3, 0, 0, 0, 0, 4, 8,16, 8, 4, 0, 0, 2,16,16,13,12, 4, 0, 0, 1, 3,14, 2, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0), 7),
    (( 0, 0, 4,14,15, 6, 0, 0, 0, 1,15, 9, 8,15, 0, 0, 0, 5,12, 0,12,15, 3, 0, 0, 3,16,16,12,16, 6, 0, 0, 0, 1, 3, 0,13, 8, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 4,14,11, 0, 0, 0, 0,10,16, 9, 0, 0, 0), 9),
    (( 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0,10,16, 7,10, 6, 0, 0, 6,16,16,13,16, 8, 0, 0, 4,15,16,16,16, 6, 0, 0, 0, 0, 7,16,12, 0, 0, 0, 0, 0,11,16, 2, 0, 0, 0, 0, 0,14,10, 0, 0, 0), 4),
    (( 0, 0, 5,15,15, 6, 0, 0, 0, 0,13,11,16,16, 4, 0, 0, 3,14, 0, 8,11, 7, 0, 0, 8, 7, 0, 0, 7, 8, 0, 0, 7, 7, 0, 0, 5, 8, 0, 0, 9, 9, 0, 1,11, 4, 0, 0, 7,13, 8,14,12, 0, 0, 0, 0, 6,15,10, 1, 0, 0), 0),
    (( 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 6,11, 1, 6, 6, 0, 0, 1,14, 2, 0, 9, 7, 0, 0, 9, 7, 0, 3,16, 2, 0, 0, 7,16,16,16,15, 3, 0, 0, 1, 4, 2,11, 3, 0, 0), 4),
    (( 0, 0,11,15, 4, 0, 0, 0, 0, 6,16,16,16, 1, 0, 0, 0, 1, 6, 2,15, 7, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0,11,16, 2, 0, 0, 0, 0,12,16,15,12,13, 4, 0, 0,12,16,16,16,15, 6), 2),
    (( 0, 0, 9,14,10, 1, 0, 0, 0, 3,13, 2, 8, 9, 0, 0, 0, 4,12, 0, 4,16, 1, 0, 0, 1,14, 8,11,16, 6, 0, 0, 0, 1, 6, 3,10, 7, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 3, 8, 3, 1,10, 8, 0, 0, 1, 9,11,16,12, 1, 0), 9),
    (( 0, 0, 4,10,14,14, 8, 0, 0, 7,16,15,11, 8, 4, 0, 0, 2,15, 9, 3, 0, 0, 0, 0, 0,12,16,16, 7, 0, 0, 0, 0, 0, 4, 9,16, 4, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 7,12,11,16, 5, 0, 0, 0, 4,16,10, 5, 0, 0), 5),
    (( 0, 0, 0, 1,13,12, 3, 0, 0, 0, 6,13,11,12,10, 0, 0, 6,16,11, 4,13, 7, 0, 0, 8,16,16,16,16,10, 0, 0, 0, 4, 4, 7,16, 5, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 0,15, 4, 0, 0), 4),
    (( 0, 0, 0,14, 8, 1, 0, 0, 0, 0, 9,16,16, 4, 0, 0, 0,11,16,16,14, 0, 0, 0, 0, 5, 8,14,16, 2, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 1, 6,16,14, 0, 0, 0, 0, 2,14,16, 9, 0, 0), 1),
    (( 0, 0, 0, 7,12,14, 2, 0, 0, 0, 3,14, 7,13, 8, 0, 0, 0, 6,14,11,16, 5, 0, 0, 2,13,16,15, 8, 1, 0, 0, 5,12, 6,15, 0, 0, 0, 0, 7,10, 0, 8,10, 0, 0, 0, 2,12, 7, 5,16, 3, 0, 0, 0, 0, 9,13,14, 2, 0), 8),
    (( 0, 0, 5,13, 1, 0, 0, 0, 0, 0,13,16, 7, 1, 0, 0, 0, 1,16,16,16,13, 1, 0, 0, 2,16,10, 0,12, 5, 0, 0, 2,16, 0, 0, 3,10, 0, 0, 2,15, 0, 0, 6,14, 0, 0, 0,14, 5, 8,16, 9, 0, 0, 0, 4,13,15, 7, 0, 0), 0),
    (( 0, 2,15,16,13, 2, 0, 0, 0, 3,15,10,14, 9, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0,12,13, 1, 0, 0, 0, 0, 2,16,12, 8,10,13, 2, 0, 2,13,16,16,16,16, 3), 2),
    (( 0, 0, 3,10,14,14, 3, 0, 0, 0,15, 6, 9,16, 4, 0, 0, 0, 1, 5,14, 6, 0, 0, 0, 0, 7,16, 9, 1, 0, 0, 0, 0, 2, 9,13,15, 1, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 7,15, 6, 0, 0, 0, 0, 0,14, 7, 0, 0, 0), 3),
    (( 0, 0, 0, 0, 3,14, 1, 0, 0, 0, 0, 1,14,15, 0, 0, 0, 0, 0, 9,16,10, 0, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 4,16, 7,16, 8, 0, 0, 0, 1, 4, 0,15,10, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 0, 3,15, 3, 0), 1),
    (( 0, 0, 4,14, 3, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 0, 0, 0,16, 0, 0, 0, 0, 0, 0, 4,16, 9,12,10, 2, 0, 0, 6,16, 9, 8,14, 9, 0, 0, 0,13, 7, 4,16, 9, 0, 0, 0, 3,15,16, 8, 0, 0), 6),
    (( 0, 0, 3,14,10, 0, 0, 0, 0, 2,14,15,13, 3, 0, 0, 0, 2,16, 8, 4,10, 0, 0, 0, 0,15,14,13,16, 4, 0, 0, 0, 2,10,14,15,10, 0, 0, 0, 3, 0, 0,11, 9, 0, 0, 0,10, 8, 4,15, 8, 0, 0, 0, 2,12,13,14, 4, 0), 9),
    (( 0, 0, 3, 9, 9, 0, 0, 0, 0, 0, 9,16,16, 5, 0, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0,12,16,16, 7, 0, 0, 0, 0,16,16,16, 8, 0, 0, 0, 0,12,16,16,12, 0, 0, 0, 0, 2, 7,10, 4, 0, 0), 1),
    (( 0, 0, 0, 9,14,13, 4, 0, 0, 0, 6,14, 6,10,12, 0, 0, 0, 9,12, 6,15, 7, 0, 0, 1,11,16,15, 5, 0, 0, 0, 7,16,16,10, 0, 0, 0, 0, 7,16, 9,16, 9, 0, 0, 0, 1,11, 8, 7,16, 0, 0, 0, 0, 2,11,12,13, 0, 0), 8),
    (( 0, 0, 0, 6, 8, 0, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 2,14, 2,11, 0, 0, 0, 0, 9, 8, 5,10, 0, 0, 0, 0,14, 2, 8, 7, 2, 0, 0, 4,16, 9,14,16, 8, 0, 0, 2, 8,12,16, 5, 2, 0, 0, 0, 0, 6,13, 2, 0, 0), 4),
    (( 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 0, 9,11, 1, 2, 0, 0, 0, 1,16, 3, 9,11, 0, 0, 0,10,14, 4,14,13, 3, 0, 0,15,16,16,16,16, 5, 0, 0, 2, 4,10,13, 2, 0, 0, 0, 0, 0,11,12, 0, 0, 0), 4),
    (( 0, 4,16,16,12, 1, 0, 0, 0, 8,14, 5,15, 6, 0, 0, 0, 3, 5, 0,13, 8, 0, 0, 0, 0, 0, 3,15, 7, 0, 0, 0, 0, 1,13,13, 0, 0, 0, 0, 0,11,15, 2, 0, 0, 0, 0, 6,16, 9, 4, 4, 1, 0, 0, 4,15,16,16,16,15, 1), 2),
    (( 0, 0, 0, 0, 7,13, 2, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 3, 8, 9,15,15, 1, 0, 0, 4,12,11,14,12, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0, 6,16, 5, 0), 1),
    (( 0, 0, 8,14,15,11, 0, 0, 0, 1,16,14, 8, 8, 0, 0, 0, 2,16,10, 2, 0, 0, 0, 0, 1,12,16,14, 2, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0,14,14,16, 3, 0, 0, 0, 0,12,10, 5, 0, 0, 0), 5),
    (( 0, 0, 7,10,13,10, 0, 0, 0, 0,14,11, 4,11, 3, 0, 0, 2,15, 1, 0, 5, 8, 0, 0, 7, 9, 0, 0, 3, 8, 0, 0, 5,12, 0, 0, 4, 8, 0, 0, 5,11, 0, 0, 8, 4, 0, 0, 0,12, 2, 2,12, 0, 0, 0, 0, 6,15,14, 2, 0, 0), 0),
    (( 0, 0, 3,12,15, 2, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0, 0, 0, 8, 9, 8,10, 7, 1, 0, 0, 4,16,14, 6, 8,10, 0, 0, 2,15, 9, 5,11,11, 0, 0, 0, 3,13,16,11, 1, 0), 6),
    (( 0, 0, 6,10,11,15, 4, 0, 0, 0,10,15,12,12, 3, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 5,16, 9, 9, 7, 0, 0, 0, 2,12,12,12,16, 7, 0, 0, 0, 0, 0, 1,13, 7, 0, 0, 0, 0, 7,13,13, 0, 0, 0, 0, 9,12,10, 1, 0, 0), 5),
    (( 0, 0, 8,16, 2, 3, 0, 0, 0, 0,15,11, 5,16, 1, 0, 0, 0,16, 4, 9,16, 1, 0, 0, 0, 8,13,15,12, 0, 0, 0, 0, 8,16,13, 0, 0, 0, 0, 0,13,16, 7, 0, 0, 0, 0, 1,16,16, 7, 0, 0, 0, 0, 0, 8,13, 1, 0, 0, 0), 8),
    (( 0, 0,15,16,12, 4, 0, 0, 0, 0,11,16,11,16, 4, 0, 0, 0, 4,16,11,16, 6, 0, 0, 0, 3,16,16,14, 1, 0, 0, 0,12,14,16, 5, 0, 0, 0, 3,16, 1,14,12, 0, 0, 0, 6,15, 4,11,13, 0, 0, 0, 1,10,16,11, 2, 0, 0), 8),
    (( 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0,12,16,12, 4, 0, 0, 0, 0,16,16,12,15, 7, 0, 0, 0, 7,16,11,12,14, 0, 0, 0, 0, 5,15,16,11, 0), 6),
    (( 0, 1,13,16,15, 1, 0, 0, 0, 5,13,10,16, 5, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 0, 4,16,13, 1, 0, 0, 0, 0, 0, 5,16,12, 0, 0, 0, 0, 6, 6, 8,16, 6, 0, 0, 0,15,16,16,15, 1, 0), 3),
    (( 0, 3,16,16,16,16, 3, 0, 0, 0, 7, 8,12,14, 1, 0, 0, 0, 0, 1,15, 4, 0, 0, 0, 1, 8,11,15, 8, 8, 0, 0,10,16,16,16,12, 5, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 3,15, 1, 0, 0, 0, 0), 7),
    (( 0, 0, 6,16, 8, 0, 0, 0, 0, 3,16, 6,16, 1, 0, 0, 0, 3, 7, 2,16, 2, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 2,15, 4, 1, 0, 0, 0, 0, 8,12, 4,13, 6, 0, 0, 0, 5,16,15, 8, 1, 0), 2),
    (( 0, 0, 6,12,14, 6, 0, 0, 0,12,14, 6, 4,15, 0, 0, 0,11, 1, 0, 5,12, 0, 0, 0, 6,11, 5,15, 3, 0, 0, 0, 0, 7,15,12, 2, 0, 0, 0, 0, 5,13, 8,13, 1, 0, 0, 0,11, 5, 6,14, 7, 0, 0, 0, 5,16,12, 7, 1, 0), 8),
    (( 0, 0, 4,15,11, 1, 0, 0, 0, 0, 9,13,10,11, 0, 0, 0, 0, 7,11, 3,16, 1, 0, 0, 0, 1,14,16,16, 5, 0, 0, 0, 0, 0, 2,11, 6, 0, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 8, 5, 4, 8,13, 0, 0, 0, 4,12,15,16, 8, 0), 9),
    (( 0, 0,10,11, 9, 1, 0, 0, 0, 0,14,16,16, 6, 0, 0, 0, 0,14,12, 6,15, 0, 0, 0, 1,16, 6, 0,14, 3, 0, 0, 3,16, 6, 0,12, 6, 0, 0, 3,16, 0, 6,15, 4, 0, 0, 1,16,12,16,15, 2, 0, 0, 0, 7,16,14, 5, 0, 0), 0),
    (( 0, 1,10,16,14, 3, 0, 0, 0, 4,16,13,15,14, 0, 0, 0, 1, 1, 0, 9,16, 2, 0, 0, 0, 5,14,16,13, 0, 0, 0, 0, 7,16,16,15, 2, 0, 0, 0, 0, 0, 4,15, 9, 0, 0, 1,13, 8,13,16, 5, 0, 0, 1,14,16,14, 7, 0, 0), 3),
    (( 0, 0, 8,16,16,16, 9, 0, 0, 5,15, 9, 5,14,16, 2, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0,14,11, 1, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 0,12,16, 1, 0, 0, 0), 7),
    (( 0, 0, 0, 0,11,15, 2, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 3,15,16,16, 4, 0, 0, 6,16,16,16,16, 3, 0, 0, 3, 8, 6,16,16, 0, 0, 0, 0, 0, 4,16,16, 0, 0, 0, 0, 0, 4,16,16, 4, 0, 0, 0, 0, 1,13,16, 3, 0), 1),
    (( 0, 0, 0, 5,11, 0, 0, 0, 0, 0, 7,16,14, 1, 0, 0, 0, 3,16, 3, 9,11, 0, 0, 0, 4,16,13,16,14, 3, 0, 0, 0, 7,16,13, 4, 4, 0, 0, 0, 1,16, 6, 3, 5, 0, 0, 0, 5,14, 5,10, 3, 0, 0, 0, 0, 9, 9, 5, 0, 0), 8),
    (( 0, 0, 8,13,12, 2, 0, 0, 0, 4,16, 3, 2,13, 0, 0, 0,10,13, 5,12,12, 0, 0, 0, 5,14,16,16, 3, 0, 0, 0, 0, 8,15, 9, 9, 0, 0, 0, 0,12, 6, 0, 8, 5, 0, 0, 0,11, 8, 4,12, 6, 0, 0, 0, 5,12,13,10, 0, 0), 8),
    (( 0, 0, 1, 8,12, 7, 0, 0, 0, 0, 7,16,16,16,10, 0, 0, 0, 5,16,16,16, 5, 0, 0, 0, 5,16,16,15, 1, 0, 0, 0, 4,16,16,16, 4, 0, 0, 0, 9,16,16,16, 0, 0, 0, 0, 9,16,16,14, 0, 0, 0, 0, 2,10,12, 9, 0, 0), 1),
    (( 0, 2,12,15, 6, 0, 0, 0, 0, 6,13,12,16, 5, 0, 0, 0, 0, 3, 9,16, 5, 0, 0, 0, 0, 7,16,16,12, 0, 0, 0, 0, 0, 4, 8,16, 5, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 2,13, 8,14,15, 3, 0, 0, 2,15,15,10, 1, 0, 0), 3),
    (( 0, 0, 0, 0,13, 4, 0, 0, 0, 0, 0, 9,12, 1, 0, 0, 0, 0, 4,14, 4, 0, 0, 0, 0, 1,14,12, 4, 4, 1, 0, 0, 7,16,16,16,16, 7, 0, 0, 4, 7, 2, 9,16, 3, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0,14, 5, 0, 0), 4),
    (( 0, 0, 5,16,14, 3, 0, 0, 0, 0, 9,15,10,11, 0, 0, 0, 0, 0, 4, 8,13, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0,13,16, 5, 0, 0, 0, 0, 4,16,16,16,14, 8, 0, 0, 4,16,12, 8, 9,13), 2),
    (( 0, 0,10,16,16, 6, 0, 0, 0, 3,13, 6,16, 4, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 1,12,15, 5, 0, 0, 0, 0, 0, 0,10,15, 3, 0, 0, 0, 0, 2, 7,16, 5, 0, 0, 1,13,16,14,10, 0, 0), 3),
    (( 0, 0, 4,15, 3, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 3,16,10, 4, 3, 0, 0, 0, 8,16,16,16,16, 5, 0, 0, 8,16, 6, 4,14, 8, 0, 0, 5,16,11, 8,16, 5, 0, 0, 0, 6,15,16,11, 0, 0), 6),
    (( 0, 0, 5,12,15,11, 2, 0, 0, 7,11, 5, 5,16, 4, 0, 0, 7, 6, 0,11,13, 0, 0, 0, 0,13,14,11, 1, 0, 0, 0, 0,14,14,13, 2, 0, 0, 0, 3,13, 0, 8,12, 2, 0, 0, 0,14, 3, 0,11,12, 0, 0, 0, 8,16,16,14, 3, 0), 8),
    (( 0, 0, 8,15,16,14, 2, 0, 0, 1,16,14,12,16, 7, 0, 0, 0, 8, 1, 3,16, 5, 0, 0, 0, 0, 8,16,11, 0, 0, 0, 0, 0, 6,14,13, 0, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0,10, 8,12,16, 2, 0, 0, 0, 9,16,15, 5, 0, 0), 3),
    (( 0, 0, 6,15,16,11, 3, 0, 0, 0,12, 8, 8,14, 9, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 5,16,13, 1, 0, 0, 0, 0, 8,12,14, 7, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 2, 9,15, 8, 0, 0, 0, 0,10, 9, 2, 0, 0, 0), 3),
    (( 0, 0, 0,11, 4, 0, 0, 0, 0, 0, 0,14, 5, 1, 0, 0, 0, 0, 4,13, 8, 8, 0, 0, 0, 0,10, 5,10, 6, 0, 0, 0, 3,16, 5,14,12, 3, 0, 0, 8,16,16,15,14, 6, 0, 0, 0, 4, 8, 8, 0, 0, 0, 0, 0, 0, 8, 9, 0, 0, 0), 4),
    (( 0, 0, 3, 9, 8, 0, 0, 0, 0, 0,15, 9, 1, 0, 0, 0, 0, 4,16, 8, 2, 0, 0, 0, 0, 5,16,12,12,11, 1, 0, 0, 4,12, 0, 0, 5,10, 0, 0, 1,14, 3, 0, 1,14, 1, 0, 0,10, 6, 5,14,13, 0, 0, 0, 4,13,14, 8, 0, 0), 6),
    (( 0, 0, 4,14,16,11, 0, 0, 0, 0,12,12,16,15, 0, 0, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 2, 9,16, 9, 0, 0, 0, 0,13,16,16,16, 9, 0, 0, 0, 2,15,12, 8, 1, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 0, 5,15, 7, 0, 0, 0), 7),
    (( 0, 0, 0, 9,13, 3, 0, 0, 0, 0, 9,14,14, 4, 0, 0, 0, 1,14,13, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 4,16, 6, 4, 2, 0, 0, 0, 2,16,16,16,15, 2, 0, 0, 0, 7,16,13,16,10, 0, 0, 0, 0, 7,13,10, 5, 0), 6),
    (( 0, 0, 0, 8,15, 2, 0, 0, 0, 0, 0,13,16, 3, 0, 0, 0, 0, 4,16,14, 0, 0, 0, 0, 0, 7,16, 7, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,12,16, 4, 0, 0, 0, 0, 0, 8,16,16, 8, 0, 0, 0, 0, 0, 6,15,15, 0, 0), 6),
    (( 0, 0, 0, 3,13, 2, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 2,15,16, 4, 0, 0, 0, 2,13,16,16, 2, 0, 0, 0, 4,12, 8,16, 7, 0, 0, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 0, 5,16,16, 0, 0, 0, 0, 0, 2,15, 9, 0, 0), 1),
    (( 0, 0, 3,13,16,13, 1, 0, 0, 0,12,13, 8,16, 3, 0, 0, 2,15,16,16, 8, 0, 0, 0, 6, 8,11,15,10, 0, 0, 0, 0, 4,14, 4,16, 0, 0, 0, 0, 8, 9, 1,13, 7, 0, 0, 0, 7, 9, 0,14, 6, 0, 0, 0, 3,14,14,14, 1, 0), 8),
    (( 0, 0, 9,16, 9, 1, 0, 0, 0, 5,16, 9,16,11, 0, 0, 0, 8,12, 0,15,12, 0, 0, 0, 1,15,16,16,16, 2, 0, 0, 0, 0, 5, 4,16, 4, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 1,12,12,12,15, 9, 0, 0, 1,10,14, 8, 8, 1, 0), 9),
    (( 0, 0,10,16,16,16, 4, 0, 0, 2,14, 8, 1, 1, 0, 0, 0, 7,15,12,12, 7, 0, 0, 0, 3, 9, 7, 5,16, 6, 0, 0, 0, 0, 0, 0, 5, 8, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0,11, 4,13,12, 0, 0, 0, 0, 9,13, 9, 0, 0, 0), 5),
    (( 0, 2, 8,15,15, 3, 0, 0, 0,11,16,12,15,12, 0, 0, 0, 4, 7, 0,10,14, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 1, 6,11,16, 7, 0, 0, 0, 8,16,10, 5, 0, 0), 3),
    (( 0, 0, 3,11,12, 4, 0, 0, 0, 2,15,10,16,12, 0, 0, 0, 5,11, 0,11,14, 4, 0, 0, 8, 8, 0, 0, 5, 8, 0, 0, 6, 8, 0, 0, 4, 8, 0, 0, 4,10, 0, 0,10, 5, 0, 0, 1,14, 5, 7,14, 0, 0, 0, 0, 7,15,10, 1, 0, 0), 0),
    (( 0, 3,13,12,12,13, 2, 0, 0, 3,16, 8, 5, 7, 3, 0, 0, 3,14, 2, 3, 0, 0, 0, 0, 4,16,15,16, 9, 0, 0, 0, 0, 4, 0, 2,15, 2, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 1, 6, 4, 6,15, 5, 0, 0, 3,13,16,16,10, 0, 0), 5),
    (( 0, 0, 0, 4,14, 4, 0, 0, 0, 0, 3,16,14, 4, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0,15,12,11, 8, 1, 0, 0, 0,16,16,16,16, 8, 0, 0, 2,16,16, 4, 3,14, 0, 0, 0,10,16, 5,10,16, 1, 0, 0, 0, 7,13,14,10, 0), 6),
    (( 0, 0, 6,16,14, 3, 0, 0, 0, 0, 9, 5, 5,11, 0, 0, 0, 0, 3, 2, 3,12, 0, 0, 0, 2,15,14,12, 3, 0, 0, 0, 0, 3,15,12, 8, 0, 0, 0, 0,10, 6, 0,11, 2, 0, 0, 0,13, 3, 0, 9, 7, 0, 0, 0, 5,14,14,12, 4, 0), 8),
    (( 0, 0, 2,14, 3, 0, 0, 0, 0, 0,13,16,12, 0, 0, 0, 0, 8,12, 2,12, 0, 0, 0, 0, 6, 8, 0,12, 0, 0, 0, 0, 0, 0, 0,15, 0, 0, 0, 0, 0, 1, 5,15, 0, 0, 0, 0, 0, 7,16,16,14, 9, 0, 0, 0, 2,12,12,12,11, 0), 2),
    (( 0, 1,12,12,13,13, 4, 0, 0, 3,14, 6, 4, 2, 1, 0, 0, 5,11, 6, 2, 0, 0, 0, 0, 6,16,12,15, 4, 0, 0, 0, 1, 1, 0, 5,14, 0, 0, 0, 0, 0, 0, 2,16, 0, 0, 0, 0, 4, 3, 7,14, 0, 0, 0, 2,14,16,14, 3, 0, 0), 5),
    (( 0, 0, 8,16, 5, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 7,16, 0, 1, 0, 0, 0, 0,10,13, 9,16,14, 3, 0, 0, 8,15,16, 9, 9,15, 0, 0, 4,16,13, 0, 9,16, 1, 0, 0, 6,16,16,16,10, 0), 6),
    (( 0, 0, 9,15,16, 3, 0, 0, 0, 5,15,10,16, 4, 0, 0, 0, 0, 2, 7,13, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 2,15,16,11, 1, 0, 0, 0, 0, 0, 6,15, 6, 0, 0, 0, 5, 5, 4,13, 8, 0, 0, 0,14,16,16,15, 3, 0), 3),
    (( 0, 0, 3,13,16,15, 2, 0, 0, 0,10,12,10,16,10, 3, 0, 0, 0, 0, 8,16,15, 4, 0, 0, 0, 8,16,15, 1, 0, 0, 0, 0, 2,10,10, 0, 0, 0, 0, 0, 4,15, 1, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 0, 3,13, 3, 0, 0, 0, 0, 0,11,16, 4, 0, 0, 0, 0,11,16,16, 2, 0, 0, 0, 9,16,16,16, 0, 0, 0, 3,16, 5,13,16, 0, 0, 0, 3, 2, 0,12,15, 1, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0, 2,14, 3, 0), 1),
    (( 0, 0, 6,15,15, 4, 0, 0, 0, 4,15,16,16,14, 0, 0, 0,12,16,13,16,16, 1, 0, 0, 9,16,15,14,16, 2, 0, 0, 0, 4, 2, 7,16, 1, 0, 0, 0, 0, 2,15,14, 0, 0, 0, 0, 1,14,16, 6, 0, 0, 0, 0, 5,15, 6, 0, 0, 0), 9),
    (( 0, 0, 4,15,11, 1, 0, 0, 0, 0,11,14,13,12, 0, 0, 0, 3,15, 3, 1,16, 4, 0, 0, 4,14, 0, 0,12, 8, 0, 0, 7,12, 0, 1,15, 7, 0, 0, 5,11, 0, 5,16, 6, 0, 0, 0,12,12,16,10, 0, 0, 0, 0, 5,12,11, 0, 0, 0), 0),
    (( 0, 0, 1,11,14,13, 0, 0, 0, 1,13,16, 9, 5, 0, 0, 0, 2,16, 9, 1, 8, 6, 0, 0, 0,13,16,15,16, 6, 0, 0, 0, 1,13,16,13, 0, 0, 0, 0, 1,16,16,16, 2, 0, 0, 0, 5,16,16,14, 1, 0, 0, 0, 2,14,11, 1, 0, 0), 8),
    (( 0, 2,14,16,14, 2, 0, 0, 0, 9,16, 5,12,11, 0, 0, 0, 2,11, 0, 8,16, 0, 0, 0, 0, 0, 0, 7,16, 0, 0, 0, 0, 0, 1,13,10, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 7,16,13, 8, 8, 1, 0, 2,16,16,16,13,11, 1), 2),
    (( 0, 0, 4,15,11, 1, 0, 0, 0, 2,13,16,16, 0, 0, 0, 0, 2,12,16,12, 0, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 0,15,14, 0, 0, 0, 0, 0, 0,16,13, 0, 0, 0, 0, 0, 3,16,15, 0, 0, 0, 0, 0, 2,15,16, 1, 0, 0), 1),
    (( 0, 0, 4,15,15,14, 1, 0, 0, 1,15,16,10,15, 6, 0, 0, 5,16,11, 0, 6,11, 0, 0, 8,12, 0, 0, 4,12, 0, 0,10,12, 0, 0, 5,12, 0, 0, 6,16, 1, 0, 9, 9, 0, 0, 0,14,14, 8,15, 6, 0, 0, 0, 4,15,16,11, 1, 0), 0),
    (( 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 4,16, 6, 0,11, 4, 0, 0, 9,16, 0, 8,15, 2, 0, 0,13,16,16,16,11, 0, 0, 0, 4, 8, 6,16, 8, 0, 0, 0, 0, 0, 2,14, 0, 0, 0), 4),
    (( 0, 0, 0, 3,12, 0, 0, 0, 0, 0, 0,12, 9, 1, 1, 0, 0, 0, 3,16, 3,10, 7, 0, 0, 1,13,10, 1,16, 3, 0, 0, 8,16,13,13,16, 2, 0, 0, 3, 6, 8,16,14, 2, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 3,13, 0, 0, 0), 4),
    (( 0, 0, 3,15,12,12, 6, 0, 0, 0,13,13,13,16,12, 0, 0, 5,11, 0, 0, 0, 1, 0, 0, 5,16,15, 7, 0, 0, 0, 0, 0, 9,14,16, 0, 0, 0, 0, 0, 0, 1,15, 2, 0, 0, 0, 0, 1,12,11, 0, 0, 0, 0, 0, 3,14, 1, 0, 0, 0), 5),
    (( 0, 0,10,16,16,16, 2, 0, 0, 0, 7, 8,10,16, 0, 0, 0, 0, 0, 0,10,14, 5, 0, 0, 0, 8,15,16,16, 8, 0, 0, 0,14,16,11, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0,12, 3, 0, 0, 0, 0), 7),
    (( 0, 0, 9,16,12, 3, 0, 0, 0, 0, 9,16,16, 7, 0, 0, 0, 0, 8,16,14, 2, 0, 0, 0, 0,14,16,14, 0, 0, 0, 0, 0,15,16,16, 1, 0, 0, 0, 2,15,16,14, 1, 0, 0, 0, 0,14,16, 8, 0, 0, 0, 0, 0,12,16,10, 0, 0, 0), 1),
    (( 0, 4,15,16,12, 0, 0, 0, 0,12,15, 7,16, 5, 0, 0, 0, 3, 3, 0,15, 4, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0, 0, 1,14,11, 0, 0, 0, 0, 1,13,16, 9, 8, 3, 0, 0, 3,16,16,16,16,16, 1), 2),
    (( 0, 0, 2,12,13, 4, 0, 0, 0, 5,16, 6, 1,14, 0, 0, 0,13,11, 5,12,15, 0, 0, 0, 9,16,16,16,12, 0, 0, 0, 1,12,14, 3, 7, 7, 0, 0, 0, 8, 7, 0, 0,13, 0, 0, 0, 8, 9, 1,12,13, 0, 0, 0, 0,14,14,12, 3, 0), 8),
    (( 0, 1,11,16,13, 3, 0, 0, 0,11,16,11,16,12, 0, 0, 0, 4, 5, 0,13,15, 0, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0,14,16,10, 8, 5, 0, 0, 0,13,16,13,12, 5, 0), 2),
    (( 0, 0, 0,11,16, 2, 7, 0, 0, 0, 7,16, 7,10,13, 0, 0, 2,16, 7, 4,16, 9, 0, 0, 6,16,13,12,16,15, 0, 0, 1,11,16,16,12, 3, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0), 4),
    (( 0, 0, 0, 0,11, 9, 1, 0, 0, 0, 0, 0,14,15, 0, 0, 0, 1, 7,11,16,12, 0, 0, 0, 6,15,12,16,13, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 0,13,15, 1, 0, 0, 0, 0, 0,12,16, 2, 0, 0, 0, 0, 0, 9,16, 4, 0), 1),
    (( 0, 0, 7,12, 8, 0, 0, 0, 0, 6,16,11,15, 3, 0, 0, 0,10, 8, 0,11, 5, 0, 0, 0, 0, 0, 0,11, 3, 0, 0, 0, 0, 0, 0,14, 1, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 8,16,16,14, 9, 0, 0, 0,11,13,11, 8, 9, 0), 2),
    (( 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0, 9,15, 2, 0, 0, 0, 0, 3,16, 4, 1, 4, 0, 0, 1,13,11, 0,11,13, 0, 0, 6,15, 2, 2,16, 7, 0, 0,13,15,12,15,16, 6, 0, 0, 4, 8, 8,14,11, 1, 0, 0, 0, 0, 0,15, 6, 0, 0), 4),
    (( 0, 0, 9,16,13,15, 5, 0, 0, 4,16,11,10,13, 5, 0, 0,12,11, 0, 0, 0, 0, 0, 0, 8,14, 3, 0, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0,14,13, 1, 0, 0, 0), 5),
    (( 0, 0, 8,15, 8, 0, 0, 0, 0, 2,16,12,16, 1, 0, 0, 0, 3, 9, 0,14, 2, 0, 0, 0, 0, 1, 3,13, 0, 0, 0, 0, 0, 0,10, 7, 0, 0, 0, 0, 0, 5,14, 1, 0, 0, 0, 0, 0,13,16,12,11, 1, 0, 0, 0, 6, 9,12,13, 3, 0), 2),
    (( 0, 2,12,16,16,10, 2, 0, 0, 7,16, 8, 6, 8, 2, 0, 0, 6,15, 0, 0, 0, 0, 0, 0, 6,16,13, 8, 0, 0, 0, 0, 6,15,12,16, 6, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 4, 6,16,12, 0, 0, 0, 2,15,14, 9, 0, 0, 0), 5),
    (( 0, 0, 3,13,11, 1, 0, 0, 0,10,15,10,11,10, 0, 0, 0, 6,16, 1, 1,13, 2, 0, 0, 4, 8, 0, 0, 8, 8, 0, 0, 4, 8, 0, 0, 8, 8, 0, 0, 3,12, 0, 0,14, 8, 0, 0, 0,13,10,12,16, 3, 0, 0, 0, 4,15,10, 3, 0, 0), 0),
    (( 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 3,14,16, 4, 0, 0, 0, 4,15,16,16, 2, 0, 0, 4,16,13, 6,16, 0, 0, 0, 5, 7, 0, 7,16, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0,10,16, 0, 0, 0, 0, 0, 0, 4,12, 0, 0), 1),
    (( 0, 0,12,16,14, 6, 0, 0, 0, 2,16,16,16, 6, 0, 0, 0, 4,16,16,12, 2, 0, 0, 0, 3,16,16,16, 1, 0, 0, 0, 2,16,16,16, 0, 0, 0, 0, 4,16,16,12, 0, 0, 0, 0, 3,16,16,15, 4, 0, 0, 0, 2,14,16,12, 8, 0, 0), 1),
    (( 0, 0, 0, 6,11, 0, 0, 0, 0, 0, 1,16,14, 1, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0, 8,12, 2, 0, 0, 0, 0, 0,11,16,16,16,11, 2, 0, 0, 2,16, 4, 3,12,10, 0, 0, 0, 4,14,16,13, 8), 6),
    (( 0, 1,11,12, 0, 0, 0, 0, 0, 7,14,15, 6, 0, 0, 0, 0, 7, 3,12,10, 0, 0, 0, 0, 0, 0,15,14, 5, 0, 0, 0, 0, 0, 8,10,16, 2, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 9, 8, 8,15,10, 0, 0, 0,13,16,14, 8, 1, 0), 3),
    (( 0, 1,13,16,12, 1, 0, 0, 0, 6,16,11,14, 7, 0, 0, 0, 5,16, 0,10,10, 0, 0, 0, 0, 2, 0,13,10, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0,11,15, 1, 0, 0, 0, 0,11,16,16,12,12, 2, 0, 0,15,16,12,12,12, 3), 2),
    (( 0, 0,14,14,13,15, 5, 0, 0, 0,16,14,12, 6, 0, 0, 0, 4,16,11, 8, 1, 0, 0, 0, 3,16,16,16, 9, 0, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 6, 9,15,14, 0, 0, 0, 0,12,16,10, 2, 0, 0), 5),
    (( 0, 0, 4,14,16,16,12, 0, 0, 0,12, 9, 0, 5,16, 3, 0, 1,15,14,10,13,12, 0, 0, 8,16,16,16, 9, 3, 0, 0, 1, 4, 8,15, 0, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 1,14, 9, 0, 0, 0, 0, 0, 6,15, 4, 0, 0, 0), 9),
    (( 0, 0, 1, 8,15,16, 9, 0, 0, 1,12,15, 9,13,14, 0, 0, 5,13, 2, 0,13,11, 0, 0, 3, 5, 0, 1,15, 7, 0, 0, 0, 0, 2,10,16, 9, 0, 0, 0, 0,14,16,11, 1, 0, 0, 0, 0,13,14, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0), 7),
    (( 0, 0, 4,14,16,10, 0, 0, 0, 0,13, 8,11,15, 0, 0, 0, 0, 1, 0, 8,11, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 4, 8,16, 9, 1, 0, 0, 0, 7,16,15,10, 1, 0, 0, 0, 3,15, 1, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 1,15,11, 0, 0, 0, 0, 0,12,14, 1, 8,15, 1, 0, 7,16, 6, 4,16,10, 0, 0, 9,16,16,16,16, 1, 0, 0, 1, 5,12,16,11, 1, 0, 0, 0, 0,10,15, 1, 0, 0, 0, 0, 0,10,10, 0, 0, 0), 4),
    (( 0, 0, 2,11,15,16,10, 0, 0, 0,13,14,10,15,11, 0, 0, 0,11, 2, 1,16, 3, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0, 0,11,16,16,10, 0, 0, 0, 1,16,13, 4, 1, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0), 7),
    (( 0, 4,15,16, 7, 0, 0, 0, 0, 4,16,11,16, 2, 0, 0, 0, 2, 6, 4,16, 3, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 2,15,10, 0, 0, 0, 0, 3,15,16,13,12,11, 0, 0, 5,16,16,15,12,12, 0), 2),
    (( 0, 2, 8,10,13,15, 8, 0, 0, 1,16,15,10, 7, 2, 0, 0, 0,10,14, 2, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 0, 1,14, 3, 0, 0, 0, 0, 2, 7,15, 3, 0, 0, 0,12,16,10, 4, 0, 0), 5),
    (( 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 1,14,12, 7, 3, 0, 0, 0,10,15, 5,16, 6, 0, 0, 5,16, 7, 5,16, 3, 0, 0,12,16,13,15,16, 9, 0, 0, 4,12,13,16,13, 3, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0, 7,15, 0, 0, 0), 4),
    (( 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0,12,11, 4, 3, 0, 0, 0, 0,15,16,16,16,10, 0, 0, 0,16,12, 4, 3,12, 6, 0, 0, 9,13, 1, 0,11,12, 0, 0, 0, 9,15,16,16, 7), 6),
    (( 0, 4,16,14, 1, 0, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 0, 5, 9,12, 7, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0, 6,16,14,10, 6, 1, 0, 0, 4,15,16,16,16,13, 0), 2),
    (( 0, 0, 0, 8,14, 3, 4, 0, 0, 0, 1,15, 8, 9,10, 0, 0, 0,11,12, 1,15, 4, 0, 0, 4,16, 4, 5,16, 4, 0, 0,11,16,16,16,16,10, 0, 0, 4,12,13,16, 8, 1, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0), 4),
    (( 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 2,15, 5, 9, 7, 0, 0, 0,12,10, 1,16, 5, 0, 0, 7,15, 8,10,16, 2, 0, 3,16,16,16,16,13, 0, 0, 1, 8, 7, 5,16,14, 0, 0, 0, 0, 0, 1,15, 6, 0, 0), 4),
    (( 0, 0, 4,13, 1, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 4,16,11, 5, 1, 0, 0, 0, 4,16,15,15,13, 4, 0, 0, 2,16, 2, 0, 7,14, 0, 0, 0,14,10, 8, 9,16, 2, 0, 0, 4,13,16,12,10, 0), 6),
    (( 0, 0, 6,13,11, 1, 0, 0, 0, 0,12,14,11,11, 0, 0, 0, 0,15, 2, 0,14, 2, 0, 0, 3,15, 0, 0, 8, 6, 0, 0, 5,13, 0, 0, 7, 7, 0, 0, 3,14, 0, 0,12, 7, 0, 0, 0,12, 7, 8,14, 2, 0, 0, 0, 4,12,12, 5, 0, 0), 0),
    (( 0, 0, 4,16,12, 0, 0, 0, 0, 9,16,16,16, 8, 0, 0, 0, 9,16, 9, 6,14, 0, 0, 0, 6,16, 2, 0,12, 5, 0, 0, 6,16, 1, 0, 8, 9, 0, 0, 3,16, 1, 0,12,10, 0, 0, 0,12,13,15,16, 8, 0, 0, 0, 3,12,12,10, 1, 0), 0),
    (( 0, 1,11,16,14, 7, 0, 0, 0, 6,16,10, 8, 4, 0, 0, 0, 0,16, 1, 0, 0, 0, 0, 0, 1,16, 9, 5, 0, 0, 0, 0, 0,12,12,15, 2, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 9, 8,14, 9, 0, 0, 0, 0, 9,15, 9, 1, 0, 0), 5),
    (( 0, 0, 4,12,15, 8, 0, 0, 0, 3,16, 6, 4,15, 2, 0, 0, 2,15, 1, 2,12, 6, 0, 0, 0,13,16,16,15, 1, 0, 0, 2,15,12,10,14, 7, 0, 0, 6,15, 1, 0, 5, 9, 0, 0, 0,15, 8, 4,10, 8, 0, 0, 0, 2,15,15,11, 1, 0), 8),
    (( 0, 0, 1,12,15,12, 1, 0, 0, 0, 2,12,10,16, 4, 0, 0, 6,10, 6,14, 9, 0, 0, 0, 5,13,16,16, 7, 0, 0, 0, 0, 5,15,10,15, 0, 0, 0, 0, 5,12, 0,11, 7, 0, 0, 0, 4,14, 4,13, 7, 0, 0, 0, 2,12,15,10, 1, 0), 8),
    (( 0, 0, 4,13,11, 2, 0, 0, 0, 0, 2,13,16, 7, 0, 0, 0, 0, 0, 7,16,15, 0, 0, 0, 0, 0, 3,16,15, 4, 0, 0, 0, 0, 7,16,16, 1, 0, 0, 0, 0,10,16,14, 0, 0, 0, 0, 1,13,15, 4, 0, 0, 0, 0, 8,16,14, 0, 0, 0), 1),
    (( 0, 0, 3,10, 8, 0, 0, 0, 0, 4,16,13,12,11, 0, 0, 0, 6,16,11,15,16, 1, 0, 0, 0, 7,13,16,12, 0, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 5,12,16, 5, 0, 0, 0, 0, 7,13, 8, 0, 0, 0), 9),
    (( 0, 0, 0, 9,12, 5, 0, 0, 0, 0,15,16,16, 9, 0, 0, 0, 0,13,16,16,15, 0, 0, 0, 0,13,16,16,12, 0, 0, 0, 0,11,16,16,13, 0, 0, 0, 0, 7,16,16,11, 1, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0, 0,10,12, 5, 0, 0), 1),
    (( 0, 0, 0, 2,14, 2, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 8,15, 3, 2,10, 0, 0, 2,16, 9, 0,12,15, 0, 0,13,16, 9,12,16, 9, 0, 0,12,16,16,16,16, 2, 0, 0, 0, 4, 3,14,14, 0, 0, 0, 0, 0, 0,15,13, 0, 0), 4),
    (( 0, 2, 5, 7,10,13, 4, 0, 0, 3,16,13,12,11, 3, 0, 0, 0,16, 1, 0, 0, 0, 0, 0, 6,16,16,15, 2, 0, 0, 0, 3, 8, 4,10, 9, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 1, 9,15, 3, 0, 0, 0, 2,16,12, 2, 0, 0, 0), 5),
    (( 0, 0, 2,11,16, 7, 0, 0, 0, 0, 8,16,16, 2, 0, 0, 0, 2,16,16,16, 0, 0, 0, 0, 0, 5,16,16, 0, 0, 0, 0, 0, 2,16,16, 1, 0, 0, 0, 0, 8,16,16, 3, 0, 0, 0, 0, 9,16,16,13, 0, 0, 0, 0, 2,12,13, 9, 0, 0), 1),
    (( 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 6,15,16, 9, 0, 0, 3,16,16,16,16, 3, 0, 0, 0, 9,11,13,16, 3, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0, 4,15, 4, 0, 0), 1),
    (( 0, 0,10,14,14, 6, 0, 0, 0, 0, 8,16,16,11, 1, 0, 0, 0, 4,16,16,14, 2, 0, 0, 0, 1,16,16,16, 7, 0, 0, 0, 0,16,16,16, 2, 0, 0, 0, 2,14,16,15, 3, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0, 8,12,14, 6, 0, 0), 1),
    (( 0, 0, 0,10,16, 6, 0, 0, 0, 0, 4,16,16, 4, 0, 0, 0, 0,14,16,16, 4, 0, 0, 0, 0,16,16,16, 8, 0, 0, 0, 0,16,16,16, 8, 0, 0, 0, 0,15,16,16,14, 3, 0, 0, 0,10,16,16,16, 8, 0, 0, 0, 1,12,12,15, 7, 0), 1),
    (( 0, 0, 4, 9,16, 8, 0, 0, 0, 3,16,16,16,13, 0, 0, 0, 3,16, 8,16, 8, 0, 0, 0, 0,11,16,12, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 0,14,16,10, 0, 0, 0, 0, 0,14,14,13, 0, 0, 0, 0, 0, 6,16, 9, 0, 0, 0), 8),
    (( 0, 0, 5,16,10, 0, 0, 0, 0, 0, 8,16,12, 0, 0, 0, 0, 0, 8,16, 9, 0, 0, 0, 0, 5,15,16, 8, 0, 0, 0, 0, 3,12,16, 9, 0, 0, 0, 0, 0, 0,13,16, 2, 0, 0, 0, 0, 0, 9,16,11, 2, 0, 0, 0, 4,16,16,16,11, 0), 1),
    (( 0, 2,15,16, 5, 0, 0, 0, 0, 6,16,10,10, 0, 0, 0, 0, 3,15, 6,12, 0, 0, 0, 0, 0, 1, 7,13, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0, 0,14,15,10, 8, 4, 0, 0, 3,16,16,16,16,16, 3), 2),
    (( 0, 0, 4,15, 0, 0, 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 0,16, 0, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 0, 0, 0, 7,15, 8, 9, 3, 0, 0, 0, 6,16,12,13,16, 4, 0, 0, 0,15, 8, 2,14, 7, 0, 0, 0, 4,15,13, 6, 0, 0), 6),
    (( 0, 0, 0,12,14, 2, 0, 0, 0, 0, 6,15,16, 4, 0, 0, 0, 0,13,16,12, 0, 0, 0, 0, 1,14,16, 8, 0, 0, 0, 0, 1,15,16, 2, 0, 0, 0, 0, 1,15,16, 4, 0, 0, 0, 0, 0,10,16,11, 4, 0, 0, 0, 0, 0,11,13, 5, 0, 0), 1),
    (( 0, 1,10,15, 9, 0, 0, 0, 0, 5,16, 8,16, 7, 0, 0, 0, 5,14, 0,12, 9, 0, 0, 0, 1,12,13,16,16, 2, 0, 0, 0, 1, 9,12,14, 7, 0, 0, 0, 0, 0, 0, 4,13, 0, 0, 0,14,12, 8,11,16, 0, 0, 0, 7,16,16,16, 9, 0), 9),
    (( 0, 0, 6,15,12,10, 8, 0, 0, 0,11,16,16,16, 7, 0, 0, 1,14,11,12, 6, 0, 0, 0, 4,16,16,16,13, 0, 0, 0, 2,11, 8,10,16, 2, 0, 0, 0, 0, 0, 1,16, 1, 0, 0, 0, 0,11,13,15, 0, 0, 0, 0, 4,16,12, 1, 0, 0), 5),
    (( 0, 0, 5,13,12, 1, 0, 0, 0, 2,15, 5, 6, 7, 0, 0, 0, 6, 9, 0, 0,16, 4, 0, 0, 6,10, 0, 0,14, 6, 0, 0, 0, 9,13,14,12, 9, 0, 0, 0, 0, 0, 0, 0,12, 0, 0, 0, 3, 0, 0, 3,14, 0, 0, 0, 5,12,13,14, 5, 0), 9),
    (( 0, 0, 5,15,12, 1, 0, 0, 0, 0,14,14,14,13, 0, 0, 0, 3,13, 0, 1,14, 3, 0, 0, 4,11, 0, 0,10, 8, 0, 0, 5,15, 0, 0, 5, 8, 0, 0, 2,15, 2, 0, 7, 8, 0, 0, 0,12,14,13,16, 4, 0, 0, 0, 4,14,16, 8, 0, 0), 0),
    (( 0, 0, 8,16,15, 5, 0, 0, 0, 7,16,14, 5,15, 2, 0, 0,10,16, 8, 0, 9, 9, 0, 0,10,16, 3, 0, 4,12, 0, 0, 9,14, 0, 0, 6,12, 0, 0, 7,13, 0, 0,14, 7, 0, 0, 2,16, 8,12,14, 1, 0, 0, 0,10,16,13, 3, 0, 0), 0),
    (( 0, 0,12,16,13,11, 3, 0, 0, 4,16, 6,12,16, 5, 0, 0, 0,15,11,14,16, 6, 0, 0, 0, 6, 8, 8,13, 8, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 6,13, 5, 6,16, 3, 0, 0, 0, 9,13,12, 6, 0, 0), 9),
    (( 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0,10,16,12, 0, 0, 0, 6,16,16,16, 8, 0, 0, 0, 4, 8, 6,16, 5, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 0,12,13, 5, 0), 1),
    (( 0, 0, 3,12,12, 1, 0, 0, 0, 0,15,15,13,11, 0, 0, 0, 3,16, 4, 0,14, 2, 0, 0, 5,15, 5, 0, 5, 7, 0, 0, 8, 8, 0, 0, 4, 8, 0, 0, 4,14, 0, 0, 7,11, 0, 0, 0,14,11,12,16, 3, 0, 0, 0, 3,14,12, 4, 0, 0), 0),
    (( 0, 1, 9,15, 9, 0, 0, 0, 0, 4,13, 7,15, 4, 0, 0, 0, 0, 0, 2,15, 3, 0, 0, 0, 0,12,16,16,11, 1, 0, 0, 0, 5, 5, 5,13, 8, 0, 0, 0, 0, 0, 1,12, 6, 0, 0, 0, 9, 8,14,12, 1, 0, 0, 0,15,12, 6, 0, 0, 0), 3),
    (( 0, 1,11,14, 0, 0, 0, 0, 0, 4,15,14, 6, 0, 0, 0, 0, 6, 9, 7, 8, 0, 0, 0, 0, 3, 5, 6,11, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 1,14, 7, 0, 0, 0, 0, 1,15,16,16,16, 6, 0, 0, 0, 8, 8,12,13, 4, 0), 2),
    (( 0, 0, 7,13,12, 3, 0, 0, 0, 2,14, 8,14, 8, 0, 0, 0, 2,15, 4,14, 8, 0, 0, 0, 0, 8,12,12, 8, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0, 1,15, 0, 0, 0, 0,10,10, 1,16, 3, 0, 0, 0, 5,13,16,12, 0, 0), 9),
    (( 0, 1,10,16,16,14, 6, 0, 0,11,16, 7, 4,16,10, 0, 0, 9,16,10,10,16, 4, 0, 0, 0, 5,12,16, 3, 0, 0, 0, 0, 0, 7,16, 0, 0, 0, 0, 0, 0,13,15, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 2,15,10, 0, 0, 0, 0), 9),
    (( 0, 1, 8,16,16,11, 0, 0, 0, 2,10, 6,12,12, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 4,16, 8, 3, 0, 0, 3,15,16,16,16,11, 0, 0, 4,10,16, 6, 6, 2, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 1,14, 7, 0, 0, 0, 0), 7),
    (( 0, 0, 5,13,14,12, 1, 0, 0, 0, 9,16, 7, 7, 7, 0, 0, 0,16, 4, 0, 1, 8, 0, 0, 4,12, 0, 0, 4, 8, 0, 0, 4, 8, 0, 0, 6, 5, 0, 0, 5, 8, 0, 0,11, 2, 0, 0, 1,14, 5,11, 8, 0, 0, 0, 0, 4,14,11, 0, 0, 0), 0),
    (( 0, 0, 0, 0,10,13, 2, 0, 0, 0, 0, 4,16,16, 2, 0, 0, 0, 0,10,16,16, 2, 0, 0, 1,13,16,16,16, 4, 0, 0, 5,12,10,16,16, 0, 0, 0, 0, 0, 0,15,16, 1, 0, 0, 0, 0, 0,14,16, 5, 0, 0, 0, 0, 0,11,16, 6, 0), 1),
    (( 0, 0, 2,15, 9, 0, 0, 0, 0, 0, 3,16,12, 8, 0, 0, 0, 0, 8,14, 3,10, 2, 0, 0, 0,14, 5, 0, 6, 6, 0, 0, 2,15, 0, 0, 3, 9, 0, 0, 1,15, 0, 0, 1,12, 0, 0, 0,12, 9, 5,11,11, 0, 0, 0, 2,14,16,10, 3, 0), 0),
    (( 0, 0,11,16,16, 8, 0, 0, 0, 0,11,12, 8,13, 0, 0, 0, 0, 7,10, 0, 0, 0, 0, 0, 0, 3,13, 0, 0, 0, 0, 0, 0, 0,14, 2, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 6,12,10, 0, 0, 0, 0, 0,11,16, 9, 0, 0, 0), 5),
    (( 0, 3,12,12,15,16,16, 2, 0, 2,14,13,12,16,11, 0, 0, 0, 0, 0,11,15, 2, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 1,16,12, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0), 7),
    (( 0, 2, 8,16,11, 1, 0, 0, 0,10,15, 5,11, 5, 0, 0, 0,11,10,13,16, 6, 0, 0, 0, 9,16,16,12,13, 2, 0, 0, 1,15, 8, 0, 6, 9, 0, 0, 0,12, 5, 0, 5,11, 0, 0, 0, 9, 9, 7,16, 8, 0, 0, 0, 4,14,15, 6, 0, 0), 8),
    (( 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 1,15,11, 0, 0, 0, 0, 0, 3,16,16, 7, 0, 0, 0, 0,10,15,13,12, 0, 0, 0, 1,15,14,15,16, 9, 0, 0, 8,16,16,16,14, 6, 0, 0, 2,10,10,16, 7, 0, 0, 0, 0, 0, 6,15, 2, 0, 0), 4),
    (( 0, 0, 0, 0,13,13, 0, 0, 0, 0, 2,12,16,16, 0, 0, 0, 3,15,16,16,13, 0, 0, 0,11,15, 4,14,12, 0, 0, 0, 2, 2, 0,16,11, 0, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0, 0, 0,15,15, 0, 0), 1),
    (( 0, 1,13,16,16, 7, 0, 0, 0, 0,10, 8,15,12, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 1,13,15,16,13, 7, 0, 0, 0, 8,16,14,12, 8, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 0), 7),
    (( 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0,10,12, 3, 0, 0, 0, 0, 0,14,16,16,11, 2, 0, 0, 1,15,11, 1,11,11, 0, 0, 0,12,13, 4, 8,13, 0, 0, 0, 2,11,14,13, 5, 0), 6),
    (( 0, 0,11,15, 8, 0, 0, 0, 0, 4,16, 9,15, 5, 0, 0, 0, 6,15, 1,15,13, 0, 0, 0, 1,15,15,16,16, 4, 0, 0, 0, 1, 7, 5,16, 6, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0,15, 9,11,15, 3, 0, 0, 1,13,16,14, 3, 0, 0), 9),
    (( 0, 0, 3,13,12, 0, 0, 0, 0, 1,16,13,16, 4, 0, 0, 0, 8, 6, 7,16, 1, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 0, 0,15,13, 8, 9, 4, 0, 0, 0, 3,13,15,13, 2, 0), 2),
    (( 0, 0,13,16,15,13, 4, 0, 0, 0,11,14, 4, 2, 1, 0, 0, 0, 6,12,15, 7, 0, 0, 0, 0, 0, 0, 1,11, 2, 0, 0, 0, 0, 0, 0, 5, 7, 0, 0, 1, 3, 0, 0, 5, 8, 0, 0, 7, 9, 2, 4,13, 4, 0, 0, 1,10,14,14, 7, 0, 0), 5),
    (( 0, 0, 2,15,11, 1, 0, 0, 0, 0, 9,12,14,13, 2, 0, 0, 2,15, 2, 1,13, 6, 0, 0, 7,16, 0, 0, 9, 8, 0, 0, 4,16, 0, 0,10, 7, 0, 0, 3,16, 3, 2,14, 2, 0, 0, 0,14,14,14, 9, 0, 0, 0, 0, 3,11,13, 1, 0, 0), 0),
    (( 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 7,15, 9, 3, 0, 0, 0, 3,14, 8,16, 4, 0, 0, 7,15,14,12,16, 3, 0, 3,15,16,16,16,16, 1, 0, 1, 4, 4, 4,14,13, 0, 0, 0, 0, 0, 1,16, 7, 0, 0), 4),
    (( 0, 0, 2,13,12, 1, 0, 0, 0, 0,10,14, 9,12, 0, 0, 0, 1,15, 1, 0,11, 1, 0, 0, 4,13, 0, 0,10, 5, 0, 0, 3,10, 0, 0,11, 8, 0, 0, 2,10, 0, 3,16, 5, 0, 0, 0,11,13,16, 8, 0, 0, 0, 0, 3,13, 8, 0, 0, 0), 0),
    (( 0, 0, 6,12,13,16,14, 1, 0, 0, 6, 8, 6,10,15, 1, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 1,14,16,14, 3, 0, 0, 0, 2,13,13, 1, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0), 7),
    (( 0, 0, 5,14,16,14, 0, 0, 0, 0,10,13,13,16, 1, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 2, 9,16,16,11, 0, 0, 0, 8,16,16,11, 3, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 0), 7),
    (( 0, 0,11,15, 8, 0, 0, 0, 0, 5,16,16,16,11, 0, 0, 0, 8,13, 2, 9,16, 3, 0, 0, 8,15, 0, 0,15, 4, 0, 0, 8,12, 0, 0,13, 6, 0, 0, 8,15, 0, 1,16, 3, 0, 0, 4,16,14,16, 9, 0, 0, 0, 0,11,16,12, 0, 0, 0), 0),
    (( 0, 0, 0, 4,13,13, 0, 0, 0, 0, 3,16,14, 3, 0, 0, 0, 1,15,11, 1, 1, 0, 0, 0,10,15, 0, 0,11, 9, 0, 0, 7,15, 9, 9,16, 6, 0, 0, 0, 4, 8,16,15, 1, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 3,16, 1, 0, 0), 4),
    (( 0, 0, 5,12,13, 9, 5, 0, 0, 1,14, 8, 6,14,14, 0, 0, 0, 6, 0, 3,15, 9, 0, 0, 0, 3,12,13, 4, 0, 0, 0, 0,12,16,14, 6, 0, 0, 0, 0, 0, 1,10,16, 3, 0, 0, 0, 3, 8,11,15, 3, 0, 0, 0, 6,14,10, 2, 0, 0), 3),
    (( 0, 0, 0,10,16,15, 3, 0, 0, 0, 6,13,10,16, 2, 0, 0, 0, 3, 1, 2,14, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 1, 8,14,15, 8, 0, 0, 1,15,16,13, 3, 0, 0, 0, 0, 2, 9, 7, 0, 0, 0, 0, 0, 0,14, 1, 0, 0, 0), 7),
    (( 0, 0, 1,15,14, 0, 0, 0, 0, 0, 6,16,16, 8, 0, 0, 0, 0,12,16,16, 2, 0, 0, 0, 0,12,16,13, 0, 0, 0, 0, 0,15,16, 7, 0, 0, 0, 0, 0,14,16, 7, 0, 0, 0, 0, 0,11,16,11, 0, 0, 0, 0, 0, 2,14,13, 0, 0, 0), 1),
    (( 0, 0, 2,10,16,12, 0, 0, 0, 2,15,13, 9,16, 2, 0, 0, 1, 9, 0, 8,14, 1, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0, 0, 1,10,16, 3, 0, 0, 0, 2, 0, 0,14, 7, 0, 0, 0, 9,12,11,16, 3, 0, 0, 0, 1,11,14, 6, 0, 0), 3),
    (( 0, 0, 0, 2,13,14, 1, 0, 0, 2, 9,16,16,16, 2, 0, 0,12,16,16,16,16, 2, 0, 0,10,12, 3,16,12, 0, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 2,15, 9, 0, 0), 1),
    (( 0, 1, 8,14,13, 2, 0, 0, 0, 4,16, 6,12, 8, 0, 0, 0, 3,16, 4, 3, 4, 0, 0, 0, 0, 9,15, 4,11, 6, 0, 0, 0, 5,16,16,13, 6, 0, 0, 4,15,12,16, 7, 0, 0, 0, 7,14, 2,12,11, 0, 0, 0, 1,10,16,14, 5, 0, 0), 8),
    (( 0, 0, 0, 9,16, 5, 0, 0, 0, 1,12,15,15, 8, 0, 0, 0, 7,13, 5,15, 4, 0, 0, 0, 0, 1, 6,16, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0,12, 8, 4, 3, 0, 0, 0, 0,11,16,15, 5, 0), 2),
    (( 0, 0, 0,10,16,16,16, 9, 0, 0, 0, 2, 5,10,16,12, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,14,10, 0, 0, 1, 8,14,16,16, 5, 0, 0, 5,10, 8,16,10, 1, 0, 0, 0, 0, 5,14, 1, 0, 0, 0, 0, 0,13, 9, 0, 0, 0), 7),
    (( 0, 0, 4,10,16, 9, 0, 0, 0, 4,15, 9, 8,12, 0, 0, 0, 4, 4, 0, 8,10, 0, 0, 0, 0, 0, 6,16,13, 1, 0, 0, 0, 0, 9,10,12, 7, 0, 0, 0, 0, 0, 0,10, 7, 0, 0, 0, 1, 6,10,16, 3, 0, 0, 0, 4,14,10, 2, 0, 0), 3),
    (( 0, 0,13,12, 1, 0, 0, 0, 0,11,16,14,12, 0, 0, 0, 0, 5, 8, 1,16, 1, 0, 0, 0, 0, 0, 0,16, 3, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 3,14, 9, 0, 0, 0, 0, 0,15,16,13,13,11, 0, 0, 0,11,12,12,14,16, 2), 2),
    (( 0, 0, 4, 6,14,14, 1, 0, 0, 0,16,16,16,16, 5, 0, 0, 3,16, 7, 3,12, 8, 0, 0, 4,16, 0, 0, 9, 8, 0, 0, 4,16, 0, 0, 8, 8, 0, 0, 1,15, 1, 1,13, 7, 0, 0, 0,14,13,15,12, 0, 0, 0, 0, 6,14,14, 4, 0, 0), 0),
    (( 0, 0, 1,10,14, 7, 1, 0, 0, 4,16,12,11,16, 4, 0, 0, 6, 6, 0, 5,15, 1, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 6,16,11, 0, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 7,10,16, 4, 0, 0, 0, 0, 7,13, 5, 0, 0), 3),
    (( 0, 0,14,16, 4, 0, 0, 0, 0, 2,16,16,16, 4, 0, 0, 0, 7,16, 5,16,16, 6, 0, 0, 2,16,14,16,16, 8, 0, 0, 0, 4, 8, 6,16, 8, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 8, 8,10,16, 7, 0, 0, 0, 9,12,15, 9, 0, 0), 9),
    (( 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 1,13,13, 0, 6,11, 0, 0, 8,16, 9, 2,15,10, 0, 1,14,16,16,16,16, 6, 0, 0, 4, 8, 9,16,14, 0, 0, 0, 0, 0, 7,16,10, 0, 0), 4),
    (( 0, 0, 0, 8,12,15, 6, 0, 0, 0, 8,16, 6, 5,14, 0, 0, 0,14,15,12,16,13, 0, 0, 0, 3, 6, 7,15, 8, 0, 0, 0, 0, 0, 1,15, 2, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 4,13, 1, 0, 0, 0, 0, 0,11, 2, 0, 0, 0), 9),
    (( 0, 0, 8, 3,11,11, 2, 0, 0, 2,16, 6, 7,12, 8, 0, 0, 1,16, 1, 7,14, 1, 0, 0, 0,11,14,12, 1, 0, 0, 0, 0,11,16, 1, 0, 0, 0, 0, 3,12,11, 8, 0, 0, 0, 0, 5,10, 5,12, 0, 0, 0, 0, 1,10,16, 9, 0, 0, 0), 8),
    (( 0, 0,10,16, 9, 0, 0, 0, 0, 8,14, 8,16, 0, 0, 0, 0,10, 2, 7,13, 0, 0, 0, 0, 0, 0,10,16, 9, 0, 0, 0, 0, 0, 2, 9,16, 5, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 1,11, 5, 7,16, 6, 0, 0, 0,11,15,14, 7, 0, 0), 3),
    (( 0, 0,12,14,16,12, 0, 0, 0, 1,15, 9, 5, 9, 0, 0, 0, 4,16,12,12, 5, 0, 0, 0, 0, 5, 5, 7,16, 3, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0,11, 6, 5,14,12, 0, 0, 0, 9,16,16,14, 3, 0), 5),
    (( 0, 0, 6,16,15,10, 1, 0, 0, 1,14, 8, 8,11, 2, 0, 0, 5,12,11,12, 6, 0, 0, 0, 7,16,14,12,15, 3, 0, 0, 1, 2, 0, 0,10, 8, 0, 0, 0, 1, 0, 0, 9, 6, 0, 0, 0,14, 4, 5,14, 1, 0, 0, 0, 8,16,13, 3, 0, 0), 5),
    (( 0, 0, 0,11,13, 0, 0, 0, 0, 0, 4,16, 8, 1, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 1,16, 3, 4, 2, 0, 0, 0, 0,13,16,15,14, 7, 0, 0, 0, 7,16, 7, 4,16, 1, 0, 0, 0, 9,16,16,11, 0), 6),
    (( 0, 0, 6,11, 0, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0,11,16, 1, 0, 0, 0, 0, 0,14,13, 2, 0, 0, 0, 0, 0,13,16,16,13, 3, 0, 0, 0,15,14, 8,14,12, 0, 0, 0,14,11, 7,15,10, 0, 0, 0, 4,13,16,10, 2, 0), 6),
    (( 0, 0, 3,14,11, 1, 0, 0, 0, 1,15,10,16, 5, 0, 0, 0, 2,10, 2,16, 3, 0, 0, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 6, 0, 0,10, 9, 0, 0, 2,16, 7, 4,13,10, 0, 0, 0, 5,11,14,11, 1, 0), 3),
    (( 0, 0, 4,12, 7, 0, 0, 0, 0, 0,13,11,12, 4, 0, 0, 0, 0, 8, 0, 3,10, 0, 0, 0, 0, 0, 0, 2,13, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 8,16,15,14,14, 1, 0, 0, 6,12,12,10,10, 2), 2),
    (( 0, 2, 6,16,11, 0, 0, 0, 0, 9,16, 8,10,10, 0, 0, 0, 7,11, 0, 0,11, 1, 0, 0, 8,13, 0, 0, 7, 5, 0, 0, 6,13, 0, 0, 8, 7, 0, 0, 2,14, 0, 0,14, 4, 0, 0, 0,12, 7,12,12, 0, 0, 0, 0, 2,13,14, 4, 0, 0), 0),
    (( 0, 0,11,16, 8, 0, 0, 0, 0, 5,16,12,15, 0, 0, 0, 0,10,12, 9,11, 0, 0, 0, 0, 7,15,15, 6, 0, 0, 0, 0, 0,14,16,11, 1, 0, 0, 0, 1,14,11,12,15, 3, 0, 0, 7,16, 2, 0,11,12, 0, 0, 1,10,15,16,16, 6, 0), 8),
    (( 0, 1, 7,12,12, 0, 0, 0, 0, 3,12, 4,15, 3, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 5,15,13, 2, 0, 0, 0, 0, 1, 4, 8,15, 2, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 3,11, 4, 5,16, 3, 0, 0, 0,10,16,13, 7, 0, 0), 3),
    (( 0, 1,14,13,16,12, 1, 0, 0, 9,16,13, 7, 8, 1, 0, 0,10,16,11, 7, 0, 0, 0, 0, 1,13,16,16, 6, 0, 0, 0, 0, 0, 0, 5,12, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0, 1, 6,15, 9, 0, 0, 0, 0,13,15, 8, 1, 0, 0), 5),
    (( 0, 0, 0, 7,12,14, 5, 0, 0, 0,11,10, 4,10,16, 0, 0, 1,16,12,11,16,14, 0, 0, 1,10,12,12,16,10, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0), 9),
    (( 0, 0,12, 8, 2, 0, 0, 0, 0, 0,16, 6,14, 6, 0, 0, 0, 2,16,10,16, 0, 0, 0, 0,10,13,14,10, 4, 1, 0, 0, 8,16,16,16,16,10, 0, 0, 0,13,15, 4, 4, 1, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0), 4),
    (( 0, 0, 6,15, 9, 0, 0, 0, 0, 1,15,14,16, 7, 0, 0, 0, 4,13, 0, 7,16, 1, 0, 0, 6,12, 0, 0,13, 8, 0, 0, 7,12, 0, 0,12, 8, 0, 0, 6,13, 0, 0,12, 8, 0, 0, 2,15,10, 8,15, 4, 0, 0, 0, 5,12,13, 6, 0, 0), 0),
    (( 0, 2,11,15,16, 8, 0, 0, 0, 4, 9, 1, 5,16, 4, 0, 0, 0, 0, 5,13,13, 0, 0, 0, 0, 4,16,16, 5, 0, 0, 0, 0, 0, 2, 7,14, 2, 0, 0, 0, 2, 0, 0,11, 7, 0, 0, 6,10, 1, 8,14, 2, 0, 0, 3,14,15,11, 3, 0, 0), 3),
    (( 0, 0, 4,16,11, 1, 0, 0, 0, 0, 5,16,16, 7, 0, 0, 0, 0, 0,14,16,10, 0, 0, 0, 0, 2,16,16, 6, 0, 0, 0, 0, 3,16,16, 9, 0, 0, 0, 0, 1,16,16,11, 0, 0, 0, 0, 5,16,16, 5, 0, 0, 0, 0, 2,12,16,11, 1, 0), 1),
    (( 0, 0, 0, 6,14, 3, 0, 0, 0, 0, 2,14,16,12, 0, 0, 0, 0, 4,16,16,16, 0, 0, 0, 1,11,16,16,12, 0, 0, 0, 6,16,16,16,12, 0, 0, 0, 0, 8,16,16, 9, 0, 0, 0, 0, 4,16,16,10, 1, 0, 0, 0, 0, 9,14,11, 2, 0), 1),
    (( 0, 0, 2,14, 6, 0, 0, 0, 0, 0,11,16, 7, 0, 0, 0, 0, 0,16,16, 0, 0, 0, 0, 0, 3,16,12, 0, 0, 0, 0, 0, 5,16,16,16,11, 1, 0, 0, 4,16,16,14,16, 6, 0, 0, 0,12,16,11,16,10, 0, 0, 0, 1,11,15,11, 2, 0), 6),
    (( 0, 0, 2,13, 9, 0, 0, 0, 0, 0, 8,16,16, 0, 0, 0, 0,14,16,16, 8, 0, 0, 0, 0, 6,12,16, 6, 0, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 0, 4,16,11, 0, 0, 0, 0, 0, 1,14,14, 0, 0, 0), 1),
    (( 0, 2,16,16,16,16, 5, 0, 0, 0, 4, 8,10,16, 6, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 3, 4, 4,15, 5, 3, 0, 0, 9,16,16,16,16, 8, 0, 0, 1,12,14, 5, 2, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0), 7),
    (( 0, 0, 0,13, 8, 0, 0, 0, 0, 0,11,13, 3, 0, 0, 0, 0, 2,16, 5, 0, 4, 2, 0, 0, 7,14, 1, 5,16, 5, 0, 0, 6,15,12,16,11, 0, 0, 0, 0, 6,11,16, 1, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0), 4),
    (( 0, 0, 8,13, 8, 0, 0, 0, 0, 4,13, 6,14, 3, 0, 0, 0, 7, 8, 0,12, 5, 0, 0, 0, 3,10, 8,16, 1, 0, 0, 0, 0, 0, 5,14,12, 0, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0,10,10, 0, 6,12, 0, 0, 0, 4,15,16,16, 6, 0), 3),
    (( 0, 0, 0,11,13, 0, 0, 0, 0, 2,12,16,16, 7, 0, 0, 0,12,16, 8, 3,14, 2, 0, 0, 6,16,10, 0,14, 6, 0, 0, 0,15, 9, 0,11, 5, 0, 0, 0,11,13, 0, 9, 9, 0, 0, 0, 8,16,13,16, 5, 0, 0, 0, 0,13,16,10, 1, 0), 0),
    (( 0, 0, 2,13,11, 0, 0, 0, 0, 0,10,14, 2, 0, 0, 0, 0, 0,12, 5, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 0,15, 8, 8, 8, 2, 0, 0, 0,14,16,12,12,13, 0, 0, 0,10,10, 4, 6,16, 0, 0, 0, 3,11,15,12, 7, 0), 6),
    (( 0, 2,16,14,12, 9, 2, 0, 0, 0, 6,12,16,16,12, 0, 0, 1, 1, 1,15,11, 2, 0, 0,10,13,12,16, 7, 0, 0, 0, 3,14,16,16,16, 5, 0, 0, 0,10,14, 6, 6, 1, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 5,14,16,16, 5, 0, 0,10,16,15,16,16, 7, 0, 4,15, 6, 1,16,12, 0, 0, 0, 2, 0, 5,16, 7, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 2,15,14, 0, 0, 0, 0, 0, 3,15, 7, 0, 0), 3),
    (( 0, 1, 6, 9,15,16,14, 0, 0, 4,16,16,10, 7, 2, 0, 0, 8,16,13, 3, 0, 0, 0, 0,10,14,14,14, 0, 0, 0, 0, 1, 1, 1,16, 0, 0, 0, 0, 0, 0, 1,16, 0, 0, 0, 0, 0, 3,10,14, 0, 0, 0, 0, 0,15,14, 3, 0, 0, 0), 5),
    (( 0, 0, 2,15,16,14, 5, 0, 0, 0, 5,15, 8,13,11, 0, 0, 2,11,12, 7,15, 8, 0, 0, 7,16,16,16, 8, 1, 0, 0, 2,15,16, 8, 0, 0, 0, 0, 0, 7,16,12, 0, 0, 0, 0, 0, 4,16,16, 0, 0, 0, 0, 0, 2,14,14, 0, 0, 0), 8),
    (( 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0,11,16, 8, 0, 0, 0, 2, 9,16,16, 4, 0, 0, 0,11,16,16,16, 4, 0, 0, 0, 3, 4, 6,16, 4, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0, 6,16, 2, 0, 0), 1),
    (( 0, 0, 2,12,16, 7, 0, 0, 0, 5,13,13,14,14, 0, 0, 0, 6,15, 0, 0,10, 3, 0, 0, 6,12, 0, 0, 5, 8, 0, 0, 6,10, 0, 0,11, 5, 0, 0, 3,13, 2,13,16, 5, 0, 0, 0,11,16,16,15, 2, 0, 0, 0, 3,16,15, 4, 0, 0), 0),
    (( 0, 0, 7,11, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 0, 4,16, 7, 5, 2, 0, 0, 0, 5,16,16,16,15, 2, 0, 0, 2,16,15,13,16, 7, 0, 0, 1,16,14, 8,16, 3, 0, 0, 0, 7,15,16, 7, 0, 0), 6),
    (( 0, 0, 2,10,16,13, 0, 0, 0, 2,15, 9, 1,15, 3, 0, 0, 8,10, 0, 6,14, 0, 0, 0, 6,14,12,14, 3, 0, 0, 0, 2,16,13,11, 0, 0, 0, 0, 7,10, 0,11, 8, 0, 0, 0, 0,14, 3, 0,13, 1, 0, 0, 0, 2,14,16,14, 0, 0), 8),
    (( 0, 0, 4,12,12, 6, 0, 0, 0, 0, 3, 6, 4, 8, 0, 0, 0, 3,13, 6, 8, 3, 0, 0, 0, 4,16,13,12,15, 2, 0, 0, 0, 3, 0, 0,10, 8, 0, 0, 0, 0, 0, 0, 8, 6, 0, 0, 0, 7, 6, 5,14, 2, 0, 0, 0, 3,14,15, 6, 0, 0), 5),
    (( 0, 0, 1, 8,12, 1, 0, 0, 0, 0, 4,15,16,12, 0, 0, 0, 0, 0,10,16,15, 0, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0, 7,16,16,13, 0, 0, 0, 0, 4,16,16,11, 0, 0, 0, 0, 0,16,16, 9, 0, 0, 0, 0, 1,11,12,10, 5, 0), 1),
    (( 0, 0, 8,12,13, 2, 0, 0, 0, 7,16,10,10,15, 2, 0, 0,10,11, 0, 1,16, 4, 0, 0, 6,15,12,16,16, 7, 0, 0, 0, 5, 8, 4,12, 8, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0,11,10,12,16, 8, 0, 0, 0, 9,12,15, 9, 1, 0), 9),
    (( 0, 0, 7,12,14,10, 1, 0, 0, 6,16,11,10,16, 4, 0, 0, 3, 5, 0, 8,13, 1, 0, 0, 0, 0, 5,15, 5, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 0,13,14, 1, 0, 0, 0, 0, 1,15,11, 6, 8, 3, 0, 0, 0, 7,14,12,12, 6, 0), 2),
    (( 0, 0, 4,10,14,12,10, 0, 0, 0, 7, 8, 8,12,13, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 1, 5, 8,16, 6, 0, 0, 0, 5,16,16,13, 1, 0, 0, 0, 0, 7,15, 4, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0), 7),
    (( 0, 0, 4,16,14, 3, 0, 0, 0, 3,16,16,16,15, 2, 0, 0, 8,16, 2, 1,14, 6, 0, 0, 8,16, 0, 0, 5, 8, 0, 0, 5,15, 0, 0, 4, 8, 0, 0, 0,16, 6, 0, 9, 7, 0, 0, 0,14,14, 8,16, 3, 0, 0, 0, 3,14,16,13, 0, 0), 0),
    (( 0, 0, 6,11,16, 8, 0, 0, 0, 1,15,15,11, 2, 0, 0, 0, 8,16, 7, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 0,10,16,13, 4, 0, 0, 0, 0, 0, 1,14,16, 0, 0, 0, 0, 2, 8,15,10, 0, 0, 0, 0,10,14, 7, 0, 0, 0), 5),
    (( 0, 0, 9,15,16, 7, 0, 0, 0, 0,16, 9, 7,15, 0, 0, 0, 0, 5,14,13, 8, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 4,16,13, 0, 0, 0, 0, 0,10, 8,12, 0, 0, 0, 0, 0,13, 8,15, 1, 0, 0, 0, 0,11,16, 5, 0, 0, 0), 8),
    (( 0, 0, 2, 8,12, 4, 0, 0, 0, 1,14,11, 5,16, 1, 0, 0, 1,15, 3,10,14, 0, 0, 0, 0, 7,16,13, 1, 0, 0, 0, 0, 9,16,11, 0, 0, 0, 0, 0,12, 4,12, 7, 0, 0, 0, 0,12,13, 8,12, 0, 0, 0, 0, 2, 9,12, 6, 0, 0), 8),
    (( 0, 0, 6,16, 6, 0, 0, 0, 0, 2,16,14,15, 0, 0, 0, 0, 9,13, 0,14, 3, 0, 0, 0, 4, 6, 1,16, 5, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 3,16,14, 0, 2, 0, 0, 0,13,16,16,16,15, 0, 0, 0, 7,14,12,12,12, 1), 2),
    (( 0, 0, 8,13,16,12, 1, 0, 0, 6,16,13,14,16, 5, 0, 0, 5,14,14,16,14, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 3,16,11, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,10,15, 1, 0, 0, 0), 9),
    (( 0, 0, 6,14,15, 1, 0, 0, 0, 0,11,12, 4, 0, 0, 0, 0, 0,15,10, 4, 1, 0, 0, 0, 0,13,13,14,12, 1, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 2, 1, 9,14, 0, 0, 0, 6,16,16,16, 6, 0), 5),
    (( 0, 0, 1,14, 8, 0, 0, 0, 0, 0,10,15, 3, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 3,16,14,11, 2, 0, 0, 0, 4,16,14,12,15, 1, 0, 0, 0,12,15, 8,16,11, 0, 0, 0, 1,10,13,12, 5, 0), 6),
    (( 0, 0, 6, 9,13,11, 0, 0, 0,10,14, 8, 9,16, 4, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 3,14,14, 1, 0, 0, 0, 7,16,16,16, 4, 0, 0, 0, 1, 1, 0,12, 9, 0, 0, 0, 1, 2, 5,14,10, 0, 0, 0, 7,16,13,10, 1, 0), 3),
    (( 0, 0, 0, 5, 9,13,14, 6, 0, 0, 4,16, 8, 4,10, 9, 0, 0, 6,16,16,16,15, 4, 0, 0, 1,11,12,16, 6, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0,10, 6, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 0, 5,14, 0, 0, 0), 9),
    (( 0, 0, 9,15,15, 3, 0, 0, 0, 0,11, 9,16,10, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 2, 5,16, 6, 0, 0, 0, 1,15,16,16,13, 5, 0, 0, 1,10,16,16,15, 5, 0, 0, 0, 5,16,11, 2, 0, 0, 0, 0, 9,16, 5, 0, 0, 0), 7),
    (( 0, 2,11,14,12, 9, 0, 0, 0, 8,13, 6, 9,14, 4, 0, 0, 5,16, 5, 1,14, 6, 0, 0, 0, 8,16,16,13, 1, 0, 0, 0, 3,16,16,10, 0, 0, 0, 1,14, 9, 7,13, 0, 0, 0, 1,16, 5, 7,16, 1, 0, 0, 0,14,16,16, 9, 0, 0), 8),
    (( 0, 1,14,16,14, 4, 0, 0, 0, 3,16, 8, 8,14, 0, 0, 0, 0,15,14,13, 9, 0, 0, 0, 0, 3,11,16, 4, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 3, 4, 3,16, 1, 0, 0, 0,12,14,16,14, 1, 0), 9),
    (( 0, 0, 6,15,16,13, 1, 0, 0, 3,16,10,11,16, 3, 0, 0, 5, 8, 0, 4,16, 4, 0, 0, 0, 0, 2, 9,16, 1, 0, 0, 0, 9,16,16,15, 6, 0, 0, 0,10,10,16,10, 3, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 7,13, 1, 0, 0, 0), 7),
    (( 0, 0,10,16,16,13, 0, 0, 0, 0,13, 6,11,16, 3, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0,11,16,12, 0, 0, 0, 0, 0, 6,16,16,13, 0, 0, 0, 0, 0, 0, 7,16, 7, 0, 0, 3,15, 5,10,16, 3, 0, 0, 0,14,16,15, 5, 0, 0), 3),
    (( 0, 0, 0, 4,15, 1, 0, 0, 0, 0, 2,16,14, 4, 0, 0, 0, 0,11,15, 2, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 2,16,16,16, 9, 1, 0, 0, 2,15,16,13,16,11, 0, 0, 0, 8,16,10,12,16, 0, 0, 0, 0, 6,14,15, 8, 0), 6),
    (( 0, 0, 1, 9,15,16,14, 1, 0, 0,12,15,11,14,13, 1, 0, 0,16,16,16,16, 6, 0, 0, 0, 4, 8, 8,14,14, 0, 0, 0, 0, 0, 3,14, 7, 0, 0, 0, 0, 1,12,11, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 0,15, 7, 0, 0, 0), 9),
    (( 0, 0, 9,16, 7, 2, 0, 0, 0, 1,16,10,15,11, 0, 0, 0, 4,16, 4, 1,15, 3, 0, 0, 6,16, 2, 0,10, 6, 0, 0, 4,14, 0, 0, 9, 8, 0, 0, 4,14, 0, 0,14, 6, 0, 0, 2,16,12,15,12, 0, 0, 0, 0, 6,15,13, 1, 0, 0), 0),
    (( 0, 0, 0,11, 4, 0, 0, 0, 0, 0, 0,15, 1, 0, 0, 0, 0, 0, 5, 9, 3, 7, 0, 0, 0, 0,13, 5, 7,10, 0, 0, 0, 7,15, 2,11,15, 1, 0, 0, 9,16,16,16,14, 2, 0, 0, 0, 4, 8,16, 1, 0, 0, 0, 0, 0, 8,12, 0, 0, 0), 4),
    (( 0, 0, 0, 7, 8, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0,14,10, 0, 6, 3, 0, 0, 4,16, 9, 4,16, 8, 0, 0, 3,16,16,16,16, 6, 0, 0, 0, 4, 6,16,12, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 7,13, 0, 0, 0), 4),
    (( 0, 0, 9,15,16,10, 0, 0, 0, 3,16,13,14,16, 1, 0, 0, 0, 0, 0,12,16, 0, 0, 0, 0, 4, 6,14,14, 2, 0, 0, 1,16,16,16,16,11, 0, 0, 0, 4,15,12, 4, 1, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0), 7),
    (( 0, 0, 9,15,15, 4, 0, 0, 0, 4,15, 7,14,12, 0, 0, 0, 7,12, 2,14,13, 0, 0, 0, 2,14,16,14,16, 1, 0, 0, 0, 1, 3, 3,16, 4, 0, 0, 0, 1, 0, 0,14, 4, 0, 0, 0,14,11, 6,14, 5, 0, 0, 0, 8,12,14,11, 2, 0), 9),
    (( 0, 1,10,16,15, 0, 0, 0, 0, 7,15, 5, 8, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0, 4,16, 4, 2, 9, 5, 0, 0, 0,10,15,15,15, 8, 0, 0, 0,12,16,13, 1, 0, 0, 0, 3,16,13,16, 1, 0, 0, 0, 0,12,16,14, 1, 0, 0), 8),
    (( 0, 0, 8,16,13, 0, 0, 0, 0, 1,13, 9,16, 4, 0, 0, 0, 0, 0, 0,14, 7, 5, 0, 0, 0, 3, 8,15,16,12, 0, 0,11,16,16,14, 7, 1, 0, 0, 7, 2,15, 4, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 9,16, 2, 7,13, 0, 0, 4,15, 7, 1,15, 8, 0, 0, 9,16,16,16,16, 7, 0, 0, 3, 8, 8,15,13, 1, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0,10, 9, 0, 0, 0), 4),
    (( 0, 0,13,10, 5,10, 0, 0, 0, 4,16,10, 8,14, 0, 0, 0, 0,14, 6,15,10, 0, 0, 0, 0, 4,16,14, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 8,16,12, 0, 0, 0, 0, 0,12,16,10, 0, 0, 0, 0, 0,10,13, 2, 0, 0, 0), 8),
    (( 0, 0, 1,12,15, 1, 0, 0, 0, 0,10,16,16, 0, 0, 0, 0, 3,16,15,10, 0, 0, 0, 0, 6,16,15,15, 2, 0, 0, 0, 0, 4, 2,14,15, 1, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0, 2,14,14,16, 5, 0, 0, 0, 0,15,16,13, 1, 0), 3),
    (( 0, 0, 8,14,12, 8, 6, 0, 0, 0,12,11, 6, 8, 8, 0, 0, 0,14, 5, 4, 1, 0, 0, 0, 4,16,14,12,14, 1, 0, 0, 5, 7, 0, 0, 9, 7, 0, 0, 0, 0, 0, 0,10, 4, 0, 0, 0, 5, 2, 4,13, 1, 0, 0, 0, 8,16,14, 1, 0, 0), 5),
    (( 0, 0, 0, 1,12, 2, 0, 0, 0, 0, 1,16,16, 2, 0, 0, 0, 0,10,15, 3, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 1,16,16,15, 7, 0, 0, 0, 0,14,16,11,15, 5, 0, 0, 0, 6,16, 6,16, 9, 0, 0, 0, 0, 5,12,12, 3, 0), 6),
    (( 0, 0, 4,15,10, 7, 0, 0, 0, 0, 8,16,16,16, 1, 0, 0, 0, 8,16,16,16, 0, 0, 0, 0, 3,16,16,10, 1, 0, 0, 0,10,16,16, 4, 0, 0, 0, 3,16,14,15,11, 0, 0, 0, 3,15,11,13,15, 0, 0, 0, 0, 5,13,16, 8, 0, 0), 8),
    (( 0, 0,10,16, 6, 0, 0, 0, 0, 7,16, 8,16, 5, 0, 0, 0,11,16, 0, 6,14, 3, 0, 0,12,12, 0, 0,11,11, 0, 0,12,12, 0, 0, 8,12, 0, 0, 7,15, 1, 0,13,11, 0, 0, 0,16, 8,10,15, 3, 0, 0, 0,10,16,15, 3, 0, 0), 0),
    (( 0, 1, 8,15,10, 0, 0, 0, 0, 4,16,16,16, 9, 0, 0, 0, 0,12,16,16,12, 0, 0, 0, 0,10,16,16, 8, 0, 0, 0, 0, 8,16,16,10, 0, 0, 0, 0, 9,16,16,13, 0, 0, 0, 0, 8,16,16,12, 0, 0, 0, 0, 5,15,16, 9, 1, 0), 1),
    (( 0, 0, 5,13, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 0, 7,14, 0, 4, 1, 0, 0, 0, 5,16,16,16,13, 0, 0, 0, 3,16,16,10,16, 5, 0, 0, 0, 6,13,16,12, 0, 0), 6),
    (( 0, 0,11,16,16,16, 3, 0, 0, 1,12,12,13,16, 5, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 5,13,16,15, 1, 0, 0, 0,12,16,16,16,10, 0, 0, 0, 1,13,10, 4, 1, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0), 7),
    (( 0, 0,12,12, 0, 0, 0, 0, 0, 1,15,11, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0,11,13, 3,14,15, 3, 0, 0, 9,15,16,13,13,15, 0, 0, 5,16, 7, 1,11,15, 0, 0, 1,11,16,16,15, 6, 0), 6),
    (( 0, 0, 3,10,16,11, 0, 0, 0, 3,12,10, 6,16, 2, 0, 0, 9,16, 6,12,11, 1, 0, 0, 0, 5,16,15, 0, 0, 0, 0, 0, 7,12,15, 2, 0, 0, 0, 0,10, 5, 6,11, 0, 0, 0, 0,11, 4,10,13, 0, 0, 0, 0, 3,16,14, 5, 0, 0), 8),
    (( 0, 0, 0,10,16,10, 0, 0, 0, 0, 9,16,12, 8, 0, 0, 0, 1,15,13, 1, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 2,16,16, 9, 0, 0, 0, 0, 1,12,16,16, 3, 0, 0, 0, 0, 0,12,16, 7, 0, 0), 6),
    (( 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 0,13,15, 1, 0, 0, 0, 0, 9,16, 4, 2, 1, 0, 0, 4,16, 9, 2,14,11, 0, 0,10,15, 5,13,16, 4, 0, 0,15,16,16,16,14, 0, 0, 0, 9,12, 8,16, 8, 0, 0, 0, 0, 0, 2,15, 3, 0, 0), 4),
    (( 0, 0,13, 3, 0, 0, 0, 0, 0, 4,16, 4, 0, 6,12, 0, 0, 9,15, 0, 6,16, 7, 0, 0, 6,16,11,16, 9, 0, 0, 0, 0, 9,16,14, 3, 0, 0, 0, 0, 6,15, 3, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0), 4),
    (( 0, 0, 0, 7,16, 6, 0, 0, 0, 2, 9,16,16,11, 0, 0, 0,10,16,12,13,16, 1, 0, 0, 2, 4, 1, 7,16, 5, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 2,16,13, 0, 0, 0, 0, 4,14,16,12, 0, 0, 0, 0, 4,14, 9, 2, 0), 1),
    (( 0, 1,10,15,14, 2, 0, 0, 0, 7,10, 3,11,10, 0, 0, 0, 1, 1, 0, 8,14, 0, 0, 0, 0, 3, 9,15, 9, 0, 0, 0, 0, 4, 8, 9,15, 2, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 6, 1, 0,13, 8, 0, 0, 0, 9,16,16,12, 3, 0), 3),
    (( 0, 0, 0, 1,15, 2, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 2,16, 6, 6, 6, 0, 0, 0,11,13, 2,14, 9, 0, 0, 6,16, 9,10,16,10, 0, 0,15,16,16,16,16, 5, 0, 0, 2, 4, 4,16, 9, 0, 0, 0, 0, 0, 2,16, 9, 0, 0), 4),
    (( 0, 0, 0, 5,10, 0, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 0,11,16,13,12, 5, 0, 0, 0, 6,16,16,16,16, 2, 0, 0, 0, 3,12,15,11, 3), 6),
    (( 0, 1, 8,16,15, 1, 0, 0, 0, 8,12,14,16, 0, 0, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0, 4,16,12, 2, 0, 0, 0, 0, 1, 9,15,16, 2, 0, 0, 0, 2, 0, 0,15, 8, 0, 0, 1,16,14, 5,15, 7, 0, 0, 0, 7,13,14,10, 1, 0), 3),
    (( 0, 0, 7,13,12,12, 5, 0, 0, 3,15, 8, 7, 8, 3, 0, 0, 4,15, 5, 6, 0, 0, 0, 0, 5,16,16,16, 2, 0, 0, 0, 2, 8, 1,12, 4, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 3, 5,16, 2, 0, 0, 0, 0, 9,15, 8, 0, 0, 0), 5),
    (( 0, 0, 1,14,10, 0, 0, 0, 0, 0, 3,16,16, 1, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 0, 6,16,10, 0, 0, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 1,12, 6, 0, 0, 0), 1),
    (( 0, 1,12,16,16, 8, 0, 0, 0, 8,14, 8,16, 8, 0, 0, 0, 1, 2, 9,15, 3, 0, 0, 0, 0,12,15, 3, 0, 0, 0, 0, 0,10,15, 9, 1, 0, 0, 0, 0, 1, 9,16,11, 0, 0, 0, 0, 1, 0, 3,16, 4, 0, 0, 2,15,16,16,15, 4, 0), 3),
    (( 0, 0, 7,10, 2, 0, 0, 0, 0, 3,16,16,16,10, 0, 0, 0, 5,16,12,11,16, 2, 0, 0, 6,12, 0, 0, 9, 8, 0, 0, 4,12, 0, 0, 8, 8, 0, 0, 4,16, 0, 0, 8, 8, 0, 0, 1,16,10,11,15, 6, 0, 0, 0, 7,16,13, 5, 0, 0), 0),
    (( 0, 0, 1,11, 8, 0, 0, 0, 0, 0, 8,15, 3, 0, 0, 0, 0, 1,15, 4, 0, 0, 0, 0, 0, 4,16, 8,15,14, 3, 0, 0, 4,14,11, 7, 5,10, 0, 0, 1,13, 0, 0, 1,13, 0, 0, 0,11, 5, 0, 9,13, 0, 0, 0, 2,11,16,12, 1, 0), 6),
    (( 0, 1,13,16,13, 5, 2, 0, 0, 2,16, 9,13,14, 0, 0, 0, 0,11,13,15, 5, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0,10,16,12, 0, 0, 0, 0, 1,15,16,12, 0, 0, 0, 0, 1,16,10, 1, 0, 0, 0), 8),
    (( 0, 0, 0,13,14, 2, 0, 0, 0, 0, 7,16,12, 2, 0, 0, 0, 0,14,14, 1, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 4,16,16,14,14, 4, 0, 0, 2,16,16,13,10,14, 0, 0, 0, 9,13, 8,12,16, 1, 0, 0, 1,11,16,16,10, 0), 6),
    (( 0, 0, 4,16,12, 1, 0, 0, 0, 0,13,16,13,12, 0, 0, 0, 5,16,11, 0,14, 2, 0, 0, 5,16,12, 0, 9, 7, 0, 0, 5,16, 6, 0, 9, 6, 0, 0, 1,16, 4, 0,14, 6, 0, 0, 0,10,12,14,16, 4, 0, 0, 0, 3,14,16, 7, 0, 0), 0),
    (( 0, 0,11,16,16,16, 6, 0, 0, 4,16,13,10, 4, 2, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0, 0, 6,15, 9, 0, 0, 0, 0, 2, 1, 3,16, 1, 0, 0, 0, 9,11, 5,16, 2, 0, 0, 0, 1,11,16,14, 0, 0, 0), 5),
    (( 0, 0, 3,14,13, 1, 0, 0, 0, 0,12,15,11, 9, 0, 0, 0, 1,16, 4, 0,15, 0, 0, 0, 5,13, 0, 0,13, 6, 0, 0, 7, 9, 0, 0,13, 8, 0, 0, 4,12, 0, 0,13, 9, 0, 0, 3,13, 4,10,16, 5, 0, 0, 0, 3, 8,13,15, 2, 0), 0),
    (( 0, 0, 9,14,16,13, 2, 0, 0, 8,16,16,14, 9, 1, 0, 0,15,16,14, 4, 0, 0, 0, 0, 4,12,13,16, 6, 0, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 1,11,10,15,11, 0, 0, 0, 0, 9,16,13, 3, 0, 0), 5),
    (( 0, 0,12,16,16,10, 1, 0, 0, 0,13, 7, 4,16, 7, 0, 0, 0, 0, 5,12,15, 2, 0, 0, 0, 0, 7,16,12, 0, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 1, 3, 0, 0, 9,15, 0, 0, 6,12, 4, 2,11,16, 0, 0, 1,10,16,16,16, 7, 0), 3),
    (( 0, 0, 1,13,16, 5, 0, 0, 0, 0, 6,16,11, 2, 0, 0, 0, 0,13,15, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 4,16, 5, 5,10, 3, 0, 0, 4,16, 5,16,14,15, 4, 0, 0,13,11, 7, 8,16, 7, 0, 0, 2,12,16,16,12, 2), 6),
    (( 0, 0, 5,14,16,10, 0, 0, 0, 0,15,15,14,13, 0, 0, 0, 0, 4, 3,15, 8, 0, 0, 0, 0, 1,16,16,15, 2, 0, 0, 0, 1, 7, 6,16, 6, 0, 0, 0, 0, 1, 0,14, 6, 0, 0, 0, 2,15,12,14, 1, 0, 0, 0, 7,16,12, 1, 0, 0), 3),
    (( 0, 0, 0, 1,15,11, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0,13,14, 1, 0, 0, 0, 0, 8,15, 5, 9, 4, 0, 0, 7,16, 8, 6,16, 7, 0, 0,13,16,16,16,16, 5, 0, 0, 0, 0, 7,15,15, 0, 0, 0, 0, 0, 1,16,10, 0, 0), 4),
    (( 0, 0,12,16,15, 5, 0, 0, 0, 3,15, 8, 7, 5, 0, 0, 0, 9,13, 8, 8, 2, 0, 0, 0, 4,15,12,15,16, 3, 0, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 1, 0, 0,11,10, 0, 0, 2,16, 9, 9,15, 3, 0, 0, 0, 8,11,13, 4, 0, 0), 5),
    (( 0, 0,10,16,15,14, 8, 0, 0, 0, 7, 9, 8,14,13, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 0, 6,13,13, 6, 0, 0, 0, 1,16,15,12, 4, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 6,13, 1, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 5,16,10, 0, 0, 0, 0, 0,13,14, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,10,16,12, 8, 1, 0, 0, 2,16,16,16,16,11, 0, 0, 1, 9,16,11,12,16, 1, 0, 0, 0, 6,16,16,10, 0), 6),
    (( 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 1,16,16, 1, 0, 0, 0, 5,14,16,12, 0, 0, 0, 5,16,16,16, 8, 0, 0, 0, 9,15, 9,16, 8, 0, 0, 0, 0, 1, 2,16, 7, 0, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0, 0, 0,10,16, 6, 0), 1),
    (( 0, 0, 0,12,15, 0, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 3,14,10, 0, 1, 0, 0, 0,10,14, 1, 4,15, 9, 0, 0,11,15,15,16,16, 4, 0, 0, 1, 8,10,16,12, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 0,11,16, 0, 0, 0), 4),
    (( 0, 0, 4,10, 0, 0, 0, 0, 0, 0, 9,15, 2, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 0,15, 8, 3, 0, 0, 0, 0, 1,16,16,16,14, 2, 0, 0, 0,16,10, 5,15, 8, 0, 0, 0,11,13,11,16, 4, 0, 0, 0, 3,11,13, 5, 0, 0), 6),
    (( 0, 0, 5,14,16, 8, 0, 0, 0, 3,16,14,15,15, 0, 0, 0, 0, 8, 3,14,11, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 3,15, 8, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 0,16,13, 4, 9, 8, 0, 0, 0, 5,14,15,12, 3, 0), 2),
    (( 0, 0, 9,14, 8, 8, 0, 0, 0, 4,16,16,16,16, 2, 0, 0, 8,16, 4, 1, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 0, 7,16, 9, 0, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 4, 9,15,13, 0, 0, 0, 0,14,13,12, 5, 0, 0), 5),
    (( 0, 1,12,10, 0, 0, 0, 0, 0, 4,16, 3, 0, 9, 9, 0, 0, 8,14, 0, 3,16, 6, 0, 0, 9,15, 8,13,14, 5, 0, 0, 1,12,16,16,15, 5, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 2,12, 3, 0, 0, 0, 0), 4),
    (( 0, 0, 4,15,15, 4, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 0, 7,16,16, 9, 0, 0, 0, 0, 7,16,16,13, 0, 0, 0, 0,10,16,16,10, 0, 0, 0, 1,15,16,16, 4, 0, 0, 0, 0,13,16,16, 3, 0, 0, 0, 0, 4,10,16, 4, 0, 0), 1),
    (( 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 2,15, 8, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 5,15, 4,15, 5, 0, 0, 0,13,10, 0,16, 4, 0, 0,10,15, 4,10,16, 3, 0, 0,15,16,16,16,15, 3, 0, 0, 0, 1, 0,11,12, 0, 0), 4),
    (( 0, 0, 2,11,14, 5, 0, 0, 0, 1,14,13,13, 8, 0, 0, 0, 5,16, 0, 1, 1, 0, 0, 0, 3,16, 6,12,16, 5, 0, 0, 0, 9,16,16, 8, 2, 0, 0, 2,14,12,12,13, 1, 0, 0, 2,15, 7, 2,14, 7, 0, 0, 0, 3,13,14,12, 1, 0), 8),
    (( 0, 3,11,16, 7, 0, 0, 0, 0, 5,12, 8,16, 0, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0,10,14, 3, 0, 0, 0, 0, 0,10,16,16,15, 3, 0, 0, 0, 0, 0, 3,10, 8, 0, 0, 0, 4, 7,10,15, 5, 0, 0, 5,13,12,10, 3, 0, 0), 3),
    (( 0, 0, 9,16,16, 9, 0, 0, 0, 1,16,12,16,16, 0, 0, 0, 0, 2, 7,16, 9, 0, 0, 0, 0, 7,16,15, 8, 1, 0, 0, 0, 5, 9, 9,15, 8, 0, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 6, 8,12,16,10, 0, 0, 0, 9,15,12, 4, 0, 0), 3),
    (( 0, 1,10,13,13,12, 1, 0, 0, 6,13, 4, 4,13, 8, 0, 0, 0, 1, 1, 7,16, 3, 0, 0, 0, 0,15,13, 4, 0, 0, 0, 0, 0, 8,15, 3, 0, 0, 0, 0, 0, 0,10,13, 1, 0, 0, 0, 0, 1, 9,16, 2, 0, 0, 1,13,16,12, 7, 0, 0), 3),
    (( 0, 0, 4,13,13, 2, 0, 0, 0, 2,15, 7, 4, 7, 0, 0, 0, 6,12, 0, 5, 9, 0, 0, 0, 3,11, 3, 7,14, 1, 0, 0, 0, 6,15,16,14, 4, 0, 0, 0, 0, 0, 0, 4,11, 0, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 3,13,16,16, 8, 0), 9),
    (( 0, 0, 2,14,16,14, 2, 0, 0, 0, 0,11,13,16, 3, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 2, 8,14,12, 2, 0, 0, 0,10,16,16,16, 9, 0, 0, 0, 6,16,14,12, 2, 0, 0, 0, 3,15,11, 0, 0, 0, 0, 0, 6,15, 3, 0, 0, 0), 7),
    (( 0, 0, 5,11,16,13, 6, 0, 0, 0, 5, 8, 8,14,15, 0, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 2, 8,12,16,11, 0, 0, 0, 8,16,16,16, 4, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 6,13,15, 0, 0, 0, 0, 0, 6,14, 5, 0, 0, 0), 7),
    (( 0, 0, 7,16,13, 2, 0, 0, 0, 2,16,12,13,12, 0, 0, 0,14,15, 4,15, 8, 0, 0, 0, 5,15,16,15, 4, 0, 0, 0, 0,10,16,13, 0, 0, 0, 0, 0,15,10,14, 2, 0, 0, 0, 0,13, 3,12, 6, 0, 0, 0, 0, 4,15,15, 3, 0, 0), 8),
    (( 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 8,16,10, 0, 0, 0, 0, 5,15,16,11, 0, 0, 0, 5,16,16,16,12, 0, 0, 0, 7,12, 3,16,11, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 4,16, 4, 0, 0), 1),
    (( 0, 1,10,16,12, 1, 0, 0, 0, 7,16,10,13, 5, 0, 0, 0, 1, 6, 0, 9, 8, 0, 0, 0, 0, 0, 7,15,10, 0, 0, 0, 0, 0, 6,12,14, 7, 0, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 7, 6, 4, 9,14, 0, 0, 0, 7,15,16,13, 7, 0), 3),
    (( 0, 0, 4,14,15, 3, 0, 0, 0, 0,12,10, 5,13, 1, 0, 0, 3,13, 0, 0,16, 4, 0, 0, 4,11, 0, 0,13, 6, 0, 0, 5,10, 0, 0,12, 4, 0, 0, 2,13, 0, 0, 9, 6, 0, 0, 0,14, 3, 4,12, 0, 0, 0, 0, 3,14,14, 6, 0, 0), 0),
    (( 0, 0, 0, 4,10,13,12, 0, 0, 0, 9,16,13,10,16, 0, 0, 2,15,16,16,16,10, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 2,11, 0, 0, 0), 9),
    (( 0, 0, 7,15,13, 9, 2, 0, 0, 4,15, 0, 0,10, 9, 0, 0, 1,15, 5, 3,13, 5, 0, 0, 0, 7,16,13, 1, 0, 0, 0, 0,10,12,15, 4, 0, 0, 0, 0, 8, 1, 8,13, 0, 0, 0,11,11, 4, 1,16, 0, 0, 0, 1, 9,12,16,12, 0, 0), 8),
    (( 0, 0, 6,16,12, 1, 0, 0, 0, 0,16,10,13, 7, 0, 0, 0, 0,14, 6,10,12, 0, 0, 0, 0, 5,14,16,16, 6, 0, 0, 0, 0, 0, 4,11, 9, 0, 0, 0, 0, 0, 0, 7,13, 0, 0, 0,10,10, 4,11,12, 0, 0, 0, 6,14,12,12, 5, 0), 9),
    (( 0, 0, 6,16,16,15, 5, 0, 0, 0, 8, 6, 7,16,11, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 1, 8, 8,15,14, 3, 0, 0, 3,16,16,16,16, 4, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0), 7),
    (( 0, 0, 6, 8, 0, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 0,16, 9, 6, 0, 0, 0, 0, 4,16,16,16,14, 2, 0, 0, 2,14,14, 8,16, 9, 0, 0, 0, 6,15,16,16, 6, 0), 6),
    (( 0, 0, 0,12, 1, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0, 9,10, 4, 2, 0, 0, 0, 0,12,16,16,15, 5, 0, 0, 0,10, 9, 0, 0,12, 1, 0, 0, 7,11, 1, 5,15, 2, 0, 0, 0,11,16,15, 8, 0), 6),
    (( 0, 1,10,16,16, 9, 0, 0, 0,11,15, 8,15,12, 0, 0, 0, 3, 2, 2,16, 9, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 3, 7, 6,15,12, 0, 0, 0,12,16,16,14, 5, 0), 3),
    (( 0, 1, 8,15,15, 6, 0, 0, 0,10,16,15,15,14, 0, 0, 0, 4,13, 7,16, 7, 0, 0, 0, 2,14,16,14, 1, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0,11,16,15, 0, 0, 0, 0, 0,13,16,16, 3, 0, 0, 0, 0, 7,16,15, 1, 0, 0), 8),
    (( 0, 0, 0, 9,12, 2, 0, 0, 0, 0, 2,13,16, 3, 0, 0, 0, 0, 9,16,16, 1, 0, 0, 0, 5,15,14,16, 5, 0, 0, 0, 2, 1,12,16, 5, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 0,12,15, 3, 0, 0, 0, 0, 0, 7,15,13, 1, 0), 1),
    (( 0, 0, 6,15,13, 1, 0, 0, 0, 1,16,10, 5,12, 0, 0, 0, 8,16, 5, 0, 9, 1, 0, 0, 7,15, 0, 0, 7, 5, 0, 0, 5,14, 0, 0, 5, 9, 0, 0, 2,14, 0, 1,12, 6, 0, 0, 0,10,11,15,16, 3, 0, 0, 0, 2,11,11, 4, 0, 0), 0),
    (( 0, 0, 0,11,12, 2, 0, 0, 0, 0, 6,16,16,10, 0, 0, 0, 0,12,14, 6,16, 1, 0, 0, 2,16,12, 0,14, 4, 0, 0, 3,16, 9, 0,14, 6, 0, 0, 0,16, 8, 1,16, 5, 0, 0, 0, 9,14,12,16, 2, 0, 0, 0, 1,11,16, 6, 0, 0), 0),
    (( 0, 1, 8,12,15, 6, 0, 0, 0, 2,12, 8,13,15, 2, 0, 0, 0, 0, 0,13,16, 1, 0, 0, 0, 0, 6,16,10, 0, 0, 0, 0, 6,16,11, 0, 0, 0, 0, 0,13,16, 3, 0, 0, 0, 0, 0,16,12, 2, 6, 0, 0, 0, 0, 8,14,16,10, 2, 0), 2),
    (( 0, 0, 3,14,16,16, 4, 0, 0, 0, 4, 9,10,16, 5, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 3, 8,13,16, 7, 0, 0, 1,16,16,16,16, 9, 0, 0, 0, 7,11,15, 3, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0), 7),
    (( 0, 0,13,16,12, 0, 0, 0, 0, 8,16,14,16, 0, 0, 0, 0,12,13, 7,16, 1, 0, 0, 0, 5, 8,10,15, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 0,14,15, 8, 9, 6, 0, 0, 0,16,16,15,11, 3, 0), 2),
    (( 0, 0, 3,14,12,11,11, 0, 0, 0, 7,10, 7,13,11, 0, 0, 0,15, 3, 4,14, 0, 0, 0, 0, 4, 0,10, 7, 0, 0, 0, 0,11,15,16,16, 3, 0, 0, 0, 3,10,11, 4, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 3,16, 0, 0, 0, 0), 7),
    (( 0, 0, 5,16,14, 1, 0, 0, 0, 0,13,10, 9,10, 0, 0, 0, 1,16, 4, 0,16, 0, 0, 0, 3,16, 7, 0,13, 6, 0, 0, 5,12, 0, 0,13, 8, 0, 0, 4,16, 0, 0,14, 5, 0, 0, 0,15,13,14,12, 0, 0, 0, 0, 5,14,10, 4, 0, 0), 0),
    (( 0, 0,10,16,16, 9, 0, 0, 0, 2,15,12,14,16, 1, 0, 0, 1, 4, 4,13,16, 5, 0, 0, 0,10,16,16,16,13, 0, 0, 0, 5,15,16, 6, 1, 0, 0, 0, 0,16,11, 0, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 3,11,16,11, 0, 0, 0, 5,16,14,13,16, 3, 0, 3,16, 8, 0,13,14, 0, 0,10,15, 6,11,16, 6, 0, 0, 8,16,15,14,15, 1, 0, 0, 0, 3, 0,10,12, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 1,16, 5, 0, 0), 9),
    (( 0, 0, 6,16,15, 3, 0, 0, 0, 2,16,11,13,13, 0, 0, 0, 7,14, 1, 1,14, 4, 0, 0, 8,12, 0, 0, 8,12, 0, 0, 9,11, 0, 0, 8,12, 0, 0, 8,13, 1, 0,14,11, 0, 0, 1,16,13,14,16, 6, 0, 0, 0, 6,16,15, 7, 0, 0), 0),
    (( 0, 0,11,15, 6, 0, 0, 0, 0, 0,10,16, 8, 0, 0, 0, 0, 0, 8,16,16, 0, 0, 0, 0, 2,12,16,14, 2, 0, 0, 0, 0, 6,16,16, 7, 0, 0, 0, 0, 8,16,16, 9, 0, 0, 0, 0,12,16,16,15, 3, 0, 0, 0, 8,15,12, 5, 1, 0), 1),
    (( 0, 0, 5,16,16, 8, 0, 0, 0, 3,11,11, 7, 4, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0,13,15, 7, 0, 0, 0, 0, 0, 3, 8,13, 8, 0, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 8, 5,15, 6, 0, 0, 0, 0, 7,16,15, 3, 0, 0), 5),
    (( 0, 0, 1,11,15, 1, 0, 0, 0, 0,11,15, 5, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 6, 7, 0, 5, 3, 0, 0, 0, 8,10, 4,13,15, 2, 0, 0, 4,16, 4, 0, 8,10, 0, 0, 0,13,10, 5,14, 9, 0, 0, 0, 1,10,13,13, 4, 0), 6),
    (( 0, 0, 9,16,11, 0, 0, 0, 0, 4,16,13,16, 4, 0, 0, 0, 0, 9, 3,13, 9, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 0, 6,16,16,15,11, 1, 0, 0,10,16, 9, 9,13, 6), 2),
    (( 0, 0,10, 7, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 7,16, 1, 5, 3, 0, 0, 0, 8,16,13,16,15, 2, 0, 0, 8,16,16,12,16, 8, 0, 0, 3,16,15,12,16, 4, 0, 0, 0, 9,16,15, 8, 0, 0), 6),
    (( 0, 0, 3, 9,13,14, 1, 0, 0, 4,16,15,11,14, 8, 0, 0, 0, 2, 0, 2,14, 6, 0, 0, 0, 0, 0,10,16, 5, 0, 0, 0, 5,16,16,16, 7, 0, 0, 0, 1,10,16, 5, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0), 7),
    (( 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0,12,13, 1, 0, 0, 0, 0, 7,15, 2,12, 3, 0, 0, 1,15, 7, 2,16, 4, 0, 0,10,16,11,11,16, 3, 0, 0,15,12,12,15,16, 5, 0, 0, 0, 0, 0,13, 7, 0, 0), 4),
    (( 0, 1, 9,15, 5, 0, 0, 0, 0, 4,16,15,13, 0, 0, 0, 0, 1, 2, 1,15, 2, 0, 0, 0, 0, 0, 0,16, 0, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 4,15, 3, 0, 1, 0, 0, 0,12,16,12,14, 4, 0, 0, 0,11,16,13, 9, 2, 0), 2),
    (( 0, 0,11,15, 2, 0, 0, 0, 0, 1,16,16, 1, 0, 0, 0, 0, 6,16,13, 6, 8, 2, 0, 0,10,16,16,16,16, 8, 0, 0, 1, 5,10,16,15, 0, 0, 0, 0, 0, 8,15, 3, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0,10,16, 3, 0, 0, 0), 4),
    (( 0, 2, 4, 7,13,15, 2, 0, 0,14,16,16,15,16, 5, 0, 0, 1, 4, 0,14,14, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 7,16, 9, 0, 0), 7),
    (( 0, 0,11,12, 4, 0, 0, 0, 0, 4,16, 8,14, 7, 0, 0, 0, 5,16, 7, 6,15, 1, 0, 0, 0,12,16,16,16, 2, 0, 0, 0, 0, 1, 0, 7, 9, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 4, 8,10,14,12, 0, 0, 0,10,12, 9, 7, 0, 0), 9),
    (( 0, 1,11,16,16, 4, 0, 0, 0, 8,12, 4,14, 8, 0, 0, 0, 5, 2, 0,12, 8, 0, 0, 0, 0, 1, 7,16,11, 1, 0, 0, 0,10,16,16,16,11, 0, 0, 0, 0,14, 8, 0, 1, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 1,15, 4, 0, 0, 0, 0), 7),
    (( 0, 0, 6,16,14, 5, 0, 0, 0, 0, 9,15,12,15, 0, 0, 0, 0, 0, 6, 2,16, 5, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0,13,15, 0, 0, 0, 0, 1, 9,16, 8, 0, 0, 0, 0,11,16,16,12, 5, 0, 0, 0, 6,16,16,16,14, 0), 2),
    (( 0, 1,10,16,16, 4, 0, 0, 0, 8,13,12,16,10, 0, 0, 0, 2, 0,14,15, 3, 0, 0, 0, 0, 0,11,16, 8, 0, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 2, 1, 0, 0,13, 8, 0, 0, 8,12, 4,10,16, 5, 0, 0, 2,13,16,12, 5, 0, 0), 3),
    (( 0, 0, 0, 8, 4, 0, 0, 0, 0, 0, 0,12, 4, 1, 0, 0, 0, 0, 4,13, 2,16, 1, 0, 0, 0,14, 7, 7,14, 4, 0, 0, 5,16,16,16,16, 6, 0, 0, 3,10, 7,15, 6, 0, 0, 0, 0, 0, 5,10, 0, 0, 0, 0, 0, 0, 7,10, 0, 0, 0), 4),
    (( 0, 0, 7, 9,13,11, 2, 0, 0, 6,16, 9, 1,13, 8, 0, 0, 8,14, 5,11,14, 2, 0, 0, 3,16,16,16, 6, 0, 0, 0, 2,16, 5, 1,12, 5, 0, 0, 4,15, 0, 0, 8, 8, 0, 0, 3,16, 4, 7,13, 2, 0, 0, 0,13,12, 8, 1, 0, 0), 8),
    (( 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 1,12,15, 1, 6, 5, 0, 0,10,16, 2, 5,16, 4, 0, 2,16,10, 0,13,10, 0, 0,12,16,11,11,16, 1, 0, 0, 4,14,16,16, 9, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0, 6,14, 0, 0, 0), 4),
    (( 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 9,13, 4, 0, 0, 0, 0, 3,16, 6,15, 5, 0, 0, 0,10,15, 9,16,10, 1, 0, 1,16,16,16,16,16, 5, 0, 0, 3, 4, 9,16, 4, 0, 0), 4),
    (( 0, 0, 8,14, 5, 0, 0, 0, 0, 8,13, 5,14, 5, 0, 0, 0, 8,13, 2, 5,14, 3, 0, 0, 4,16,14,15,16, 8, 0, 0, 0, 2, 5, 7,10, 7, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0, 4,14,10, 0, 0, 0, 0,10,13, 6, 0, 0, 0), 9),
    (( 0, 0, 5,13,12,15, 2, 0, 0, 0,13,13, 8, 8, 2, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 7,16,13, 5, 0, 0, 0, 0, 1, 7,10,16,10, 0, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 8, 6, 5,16, 4, 0, 0, 0, 7,13,13,10, 0, 0), 5),
    (( 0, 0, 8,15,14, 6, 0, 0, 0, 4,16, 5, 6,16, 3, 0, 0, 7,16, 2, 3,16, 8, 0, 0, 2,14,16,16,16, 8, 0, 0, 0, 0, 2, 0, 9, 8, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 8,14, 5, 0, 0, 0, 0, 9, 8, 1, 0, 0, 0), 9),
    (( 0, 0, 4,13,13, 0, 0, 0, 0, 0,12,14,12, 7, 0, 0, 0, 0,12,12, 5,14, 0, 0, 0, 0,12,10, 0,12, 3, 0, 0, 4,16, 5, 0, 8, 8, 0, 0, 4,16, 2, 0, 9, 8, 0, 0, 3,14, 9, 4,15, 5, 0, 0, 0, 4,13,14,10, 0, 0), 0),
    (( 0, 1,12,16,14, 6, 0, 0, 0, 2,13, 7, 5,15, 2, 0, 0, 0, 6,15, 9,13, 0, 0, 0, 0, 0,10,15, 1, 0, 0, 0, 0, 4,15, 8, 0, 0, 0, 0, 0,12, 4,12, 0, 0, 0, 0, 3,14,10,11, 0, 0, 0, 0, 0,14,13, 3, 0, 0, 0), 8),
    (( 0, 0,11,13, 4, 0, 0, 0, 0, 7,16,16,15, 0, 0, 0, 0, 7,11, 5,15, 0, 0, 0, 0, 0, 2,10,11, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0,11, 8, 0, 2, 3, 0, 0, 1,16,13,14,16,12, 0, 0, 1,12,13,10, 5, 0, 0), 2),
    (( 0, 0, 8,12,13, 3, 0, 0, 0, 0,11,15, 7, 1, 0, 0, 0, 0,15,16,14, 3, 0, 0, 0, 0, 4, 5, 6,13, 2, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 6, 0, 0, 2,12, 0, 0, 3,15, 8, 4,10,11, 0, 0, 0, 8,12,13,12, 3, 0), 5),
    (( 0, 0, 7,15,15, 4, 0, 0, 0, 9,16,10,16,10, 0, 0, 0, 0, 3, 0,14,12, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 1,14,11, 0, 0, 0, 0, 0,12,16, 0, 0, 0, 0, 0, 0,12,16, 5, 4, 3, 0, 0, 0, 5,14,16,15, 8, 0), 2),
    (( 0, 0, 4,12,10, 1, 0, 0, 0, 1,15, 9,14, 4, 0, 0, 0, 0, 7, 3,13, 4, 0, 0, 0, 0, 0,16,16, 6, 0, 0, 0, 0, 0, 2, 5,14, 4, 0, 0, 0, 3, 0, 0, 8,12, 0, 0, 0,15, 8, 5,15, 9, 0, 0, 0, 3,13,16,10, 0, 0), 3),
    (( 0, 0, 6,15,16, 6, 0, 0, 0, 5,15,16,16,11, 0, 0, 0, 8,16,16,16, 9, 0, 0, 0, 0, 4,16,16, 6, 0, 0, 0, 0, 2,16,16, 0, 0, 0, 0, 0, 8,16,16, 2, 0, 0, 0, 0,11,16,16,13, 2, 0, 0, 0, 5,13,11, 8, 2, 0), 1),
    (( 0, 0, 3,15,15, 3, 0, 0, 0, 0,11,14, 7,13, 0, 0, 0, 0,11,11,12,16, 0, 0, 0, 0, 3,16,16,16, 0, 0, 0, 0, 6,16,14, 1, 0, 0, 0, 0,16,10,15, 1, 0, 0, 0, 0,14, 6,14, 3, 0, 0, 0, 0, 4,15,16, 4, 0, 0), 8),
    (( 0, 0, 5,16,16,13, 5, 0, 0, 0, 4, 8, 8,14,15, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 2,15,16,16,16, 4, 0, 0, 1, 4,12,12, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0), 7),
    (( 0, 3,13,15,16, 9, 1, 0, 0, 6,12, 2, 3,16, 6, 0, 0, 0, 0, 2,13,11, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 4, 3,14,11, 0, 0, 0, 3,15,15, 9, 1, 0, 0), 3),
    (( 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 1,16, 9, 0,12, 8, 0, 0, 9,14, 1, 5,16, 7, 0, 0, 8,15, 8,12,16, 9, 0, 0, 3,15,16,16,11, 1, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0, 7,13, 0, 0, 0), 4),
    (( 0, 0, 0, 3,15, 1, 0, 0, 0, 0, 0,12,11, 1, 5, 0, 0, 0, 6,16, 2, 6,16, 0, 0, 3,16, 7, 0,16, 6, 0, 0,10,16,12,14,16, 5, 0, 0,11,14,12,16,13, 1, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 5,14, 2, 0, 0), 4),
    (( 0, 0, 0, 8,12, 1, 0, 0, 0, 0, 8,16,14, 8, 0, 0, 0, 6,16, 2, 2,16, 0, 0, 0, 8,16, 2, 0,10, 6, 0, 0, 4,16, 3, 0, 8, 8, 0, 0, 0,10, 9, 0, 8, 8, 0, 0, 0, 4,16,12,16, 2, 0, 0, 0, 0, 7,13, 8, 0, 0), 0),
    (( 0, 0, 9,16, 8, 0, 0, 0, 0, 9,13, 4,13, 0, 0, 0, 0, 7, 6, 1,14, 0, 0, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 0, 8, 6,13, 6, 0, 0, 0, 0, 0, 0, 4,11, 0, 0, 0, 6, 0, 3,12, 5, 0, 0, 0, 9,16,16, 7, 0, 0), 3),
    (( 0, 0, 1, 9,12, 8, 0, 0, 0, 0,11,13, 8,12, 0, 0, 0, 0,11, 7,14, 6, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 0,10,15, 5, 0, 0, 0, 0, 0,13, 1,10, 1, 0, 0, 0, 0,13, 1, 8, 5, 0, 0, 0, 0, 3,14,15, 3, 0, 0), 8),
    (( 0, 0, 8,14,12, 9, 1, 0, 0, 0,15, 5, 8, 8, 1, 0, 0, 0,14, 1, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 5,16,16,16, 9, 0, 0, 0, 1, 4, 0, 1,15, 5, 0, 0, 0, 1, 4, 4,14, 3, 0, 0, 0, 5,16,15, 3, 0, 0), 5),
    (( 0, 0, 6,15,16,15, 2, 0, 0, 0, 4, 6, 6,15, 7, 0, 0, 0, 0, 0, 0,16, 3, 0, 0, 0, 2, 8,10,16, 4, 0, 0, 0, 7,12,16,13, 5, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 4,16, 9, 2, 0, 0, 0, 1,14,16,16, 7, 0, 0, 5,14,16,16,16, 6, 0, 0, 5,12,13,16,16, 5, 0, 0, 0, 0, 4,16,16, 1, 0, 0, 0, 0, 7,16,16, 1, 0, 0, 0, 0, 8,16,16, 3, 0, 0, 0, 0, 5,14,16, 6, 0), 1),
    (( 0, 0, 7,15, 6, 0, 0, 0, 0, 1,15,12,15, 0, 0, 0, 0, 3,15, 1,12, 2, 0, 0, 0, 0,11, 0,13, 3, 0, 0, 0, 0, 0, 1,14, 1, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 7,16,16,16,14, 3, 0, 0, 6,12, 8, 8, 8, 3), 2),
    (( 0, 0, 6,13,16,14, 1, 0, 0, 5,15, 4, 1,12, 4, 0, 0, 1,16,10,15,10, 2, 0, 0, 0,10,13, 3, 0, 0, 0, 0, 0, 9,15, 1, 0, 0, 0, 0, 0,13,11,10, 0, 0, 0, 0, 0,15, 3,13, 6, 0, 0, 0, 0, 5,12,14, 9, 0, 0), 8),
    (( 0, 3,14,16,16,13, 0, 0, 0, 8,15, 8,13,16, 0, 0, 0, 0, 1, 2,16,10, 0, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 6,16, 4, 4, 7, 7, 0, 0, 3,15,16,16,13, 7, 0), 2),
    (( 0, 0, 0, 2,13, 1, 0, 0, 0, 0, 1,15,11, 0, 0, 0, 0, 0, 8,15, 2, 2, 0, 0, 0, 1,16, 7, 3,16, 3, 0, 0, 7,16,10,10,16, 4, 0, 0, 5,12,13,16,15, 2, 0, 0, 0, 0, 1,14,10, 0, 0, 0, 0, 0, 0,15,11, 0, 0), 4),
    (( 0, 0, 0, 0,10,12, 1, 0, 0, 0, 0, 1,15,16, 3, 0, 0, 0, 2,10,16,11, 0, 0, 0, 1,11,16,16,12, 0, 0, 0, 5, 8, 3,16, 9, 0, 0, 0, 0, 0, 1,16,10, 0, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 0, 7,13, 1, 0), 1),
    (( 0, 0,11, 7, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0, 8,16,16,16,10, 1, 0, 0, 5,16, 7, 3,16, 8, 0, 0, 0,13,14,11,16, 6, 0, 0, 0, 9,16,11, 2, 0, 0), 6),
    (( 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 3,16, 4, 0, 6, 1, 0, 0, 9,16, 3, 9,16, 4, 0, 0, 9,16,16,16,10, 0, 0, 0, 0, 4, 9,15, 2, 0, 0, 0, 0, 0, 8,13, 0, 0, 0), 4),
    (( 0, 0, 1,10,16, 9, 0, 0, 0, 0,10,13, 5, 3, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 0, 0, 0, 3,15,15,13, 5, 0, 0, 0, 1,16,11, 4,15, 4, 0, 0, 0, 8,14, 5,14, 2, 0, 0, 0, 0, 8,16,12, 1, 0), 6),
    (( 0, 0, 4,12,16, 9, 0, 0, 0, 0,13,10, 4,14, 3, 0, 0, 5,13, 1, 0,12, 4, 0, 0, 4,12, 0, 0, 8, 8, 0, 0, 6,12, 0, 0,10, 7, 0, 0, 3,15, 0, 2,16, 3, 0, 0, 0,16,13,15,11, 0, 0, 0, 0, 6,15,10, 0, 0, 0), 0),
    (( 0, 0, 3,10,14,15, 2, 0, 0, 1,15,11, 8,16, 4, 0, 0, 0, 5, 0, 8,12, 0, 0, 0, 0, 0, 0,15, 2, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 1, 4, 6,16, 2, 0, 0, 0, 2,16,15, 7, 0, 0), 3),
    (( 0, 1,14,13, 9, 2, 0, 0, 0, 2,16,16,16,14, 2, 0, 0, 0,14,10, 3,16, 3, 0, 0, 0, 5,15,14,13, 0, 0, 0, 0, 1,15,15, 3, 0, 0, 0, 0, 8,16,16, 2, 0, 0, 0, 0,16,13,16, 8, 0, 0, 0, 0,12,12, 9, 2, 0, 0), 8),
    (( 0, 0, 0, 5,12,15,12, 0, 0, 0, 8,11, 3, 4,14, 1, 0, 2,15, 2, 4,16,13, 0, 0, 1,15,12,12,12,10, 0, 0, 0, 1, 2, 0,13, 7, 0, 0, 0, 0, 0, 2,14, 1, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 8,11, 0, 0, 0), 9),
    (( 0, 0, 1,11,13, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 6,15, 1, 0, 4, 6, 0, 0, 9,16,11, 9,16, 8, 0, 0, 1, 9,12,16,12, 1, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,14,11, 0, 0, 0), 4),
    (( 0, 0, 8,12,12,14, 8, 0, 0, 2,11,12,12,16,12, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 3, 7,15,13, 0, 0, 0, 0,15,16,16,16, 4, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 2,13,10, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0,11,15, 1, 6, 1, 0, 0, 6,16, 5, 6,16, 6, 0, 4,15,16,12,14,16, 2, 0, 1, 8,12,13,16,10, 0, 0, 0, 0, 0, 4,15, 4, 0, 0), 4),
    (( 0, 0, 1, 8,16, 4, 0, 0, 0, 0,13,10, 5, 8, 0, 0, 0, 1,16, 5,10,15, 2, 0, 0, 1,11,13,11,14, 4, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0, 8, 5, 0, 0, 0, 0, 5, 0,13, 4, 0, 0, 0, 0,12,16,10, 0, 0), 9),
    (( 0, 1,10,16,16,15, 2, 0, 0, 9,16,11, 4,16,11, 0, 0, 6,16,15,12,16, 7, 0, 0, 0, 4, 9,16,14, 1, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0,13,15, 2, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0), 9),
    (( 0, 0, 8,16, 6, 0, 0, 0, 0, 2,14, 8,12, 2, 0, 0, 0, 7,14, 9,15, 9, 0, 0, 0, 1,12,13, 7,14, 0, 0, 0, 0, 0, 0, 0,11, 4, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 2, 4, 5,13, 7, 0, 0, 0, 6,15,15,10, 0, 0), 9),
    (( 0, 0, 5, 8, 0, 0, 0, 0, 0, 0,12, 6,12, 7, 0, 0, 0, 2,10, 6, 9,15, 1, 0, 0, 7, 8, 0, 0,12, 8, 0, 0, 8, 8, 0, 0,12, 6, 0, 0, 5,13, 0, 0,13, 4, 0, 0, 0,14,10,10,13, 0, 0, 0, 0, 4,12,11, 1, 0, 0), 0),
    (( 0, 0, 5,15,14,12, 9, 0, 0, 0, 2, 4, 4, 9,15, 0, 0, 0, 0, 0, 1,13, 6, 0, 0, 0, 3,11,12,16, 1, 0, 0, 0, 5,13,16,16, 4, 0, 0, 0, 0,10,12, 2, 0, 0, 0, 0, 4,15, 4, 0, 0, 0, 0, 0, 8, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 6, 8, 0, 0, 0, 0, 0, 2,14, 3, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 4,15, 1, 0,10, 5, 0, 0, 7,13, 0, 2,16, 3, 0, 0,11,14, 8,15, 9, 0, 0, 0,12,16,14,15, 0, 0, 0, 0, 1, 4, 9, 8, 0, 0, 0), 4),
    (( 0, 0, 0,12,16, 1, 0, 0, 0, 0, 2,16, 8, 2, 0, 0, 0, 0, 8,16, 5,15, 0, 0, 0, 0,15, 7, 8, 9, 0, 0, 0, 7,16,12,15,16,11, 0, 0, 9,15,10,15, 7, 5, 0, 0, 0, 0,10, 7, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0), 4),
    (( 0, 0, 3,16,11, 0, 0, 0, 0, 0, 5,16,16, 0, 0, 0, 0, 1,11,16,15, 0, 0, 0, 0, 3,15,16,15, 0, 0, 0, 0, 0, 2,16,14, 0, 0, 0, 0, 0, 0,15,16, 0, 0, 0, 0, 0, 1,16,16, 2, 0, 0, 0, 0, 1,11,14, 5, 0, 0), 1),
    (( 0, 0, 3,12, 7, 0, 0, 0, 0, 0,14,11,11, 6, 0, 0, 0, 4,12, 0, 2,16, 0, 0, 0, 5, 9, 0, 0,10, 7, 0, 0, 6, 8, 0, 0, 8, 8, 0, 0, 3,12, 0, 0, 3,10, 0, 0, 1,13, 5, 3,13, 5, 0, 0, 0, 3,13,16, 9, 1, 0), 0),
    (( 0, 0, 4,14,16,11, 0, 0, 0, 0,13,12, 9,15, 4, 0, 0, 0,11, 0, 0, 8, 6, 0, 0, 4,12, 0, 0, 6, 8, 0, 0, 6, 8, 0, 0,10, 7, 0, 0, 3,13, 4,10,16, 2, 0, 0, 0,13,16,16,15, 0, 0, 0, 0, 5,14,12, 3, 0, 0), 0),
    (( 0, 0,15, 2, 0, 0, 0, 0, 0, 5,16,15,11, 5, 0, 0, 0, 7,16,15,12,13, 4, 0, 0, 1,15, 7, 0, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 1,12,15, 0, 0, 0, 0, 0,11,16, 6, 0, 0, 0), 5),
    (( 0, 1, 9,16,16, 7, 0, 0, 0, 7,15,12,15,12, 0, 0, 0, 0, 2, 0, 9,14, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 5,13,16,14, 6, 0, 0, 5,16,16,14, 8, 2, 0, 0, 0,11,16, 6, 0, 0, 0, 0, 0,11,13, 2, 0, 0, 0), 7),
    (( 0, 0, 3,10,14,15, 3, 0, 0, 0,15,16,14,11, 1, 0, 0, 3,16,11, 8, 2, 0, 0, 0, 3,16,16,16,13, 0, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 1, 0, 0,10, 7, 0, 0, 0,14,13, 9,16, 4, 0, 0, 0, 4,13,15, 7, 0, 0), 5),
    (( 0, 0, 5,16,11, 2, 0, 0, 0, 6,16, 8,10,14, 2, 0, 0, 2,16,16,16,16, 8, 0, 0, 0, 9,12, 7,16, 4, 0, 0, 0, 0, 0, 0,16, 0, 0, 0, 0, 0, 0, 7,11, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 0, 8,13, 1, 0, 0, 0), 9),
    (( 0, 0, 2,10,13, 5, 0, 0, 0, 0,13,15,11, 1, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 6,16,16,16,16, 2, 0, 0, 1, 4, 4, 1,15, 2, 0, 0, 0, 0, 7,10,16, 0, 0, 0, 0, 1,16,15, 7, 0, 0), 5),
    (( 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 3,15,12, 0, 0, 0, 0, 2,13,16,14, 0, 0, 0, 4,14,14,14,14, 0, 0, 0, 5,11, 1, 9,13, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0), 1),
    (( 0, 0, 4,12,15,16,16, 2, 0, 0, 3, 6, 4,13,15, 1, 0, 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 1,12,13, 0, 0, 0, 4,16,16,16,12, 4, 0, 0, 1, 3,12,14, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0), 7),
    (( 0, 0, 6,15,14, 8, 0, 0, 0, 3,13, 0, 3,14, 3, 0, 0, 6,14, 0, 2,14, 4, 0, 0, 0,13,16,16,16, 4, 0, 0, 0, 0, 4, 4,13, 4, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0,14, 6, 0,13, 4, 0, 0, 0, 6,15,16, 9, 0, 0), 9),
    (( 0, 0, 3,15,14, 3, 0, 0, 0, 0,13, 8, 2,11, 0, 0, 0, 3,16, 7, 0,10, 1, 0, 0, 4,14, 0, 0, 7, 5, 0, 0, 2,12, 0, 0, 5, 7, 0, 0, 2,13, 0, 0,10, 5, 0, 0, 0,13, 3, 6,14, 1, 0, 0, 0, 3,15,14, 4, 0, 0), 0),
    (( 0, 0,11,16,16,14, 4, 0, 0, 3,16,10,11, 9, 5, 0, 0, 5,15, 3, 0, 0, 0, 0, 0, 4,16,16,15, 3, 0, 0, 0, 3,13,12,15,14, 0, 0, 0, 0, 0, 0, 6,16, 0, 0, 0, 0, 4,12,16,10, 0, 0, 0, 0, 9,11, 6, 0, 0, 0), 5),
    (( 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 2,15, 6, 0, 0, 6, 0, 0, 8,14, 1, 0, 7,15, 1, 0,13,10, 0, 6,16, 6, 0, 0,15,14,14,16,12, 0, 0, 0, 7,12,12,16, 2, 0, 0, 0, 0, 0,14, 6, 0, 0, 0), 4),
    (( 0, 0, 0,11,14, 2, 0, 0, 0, 0, 5,16,16,11, 0, 0, 0, 2,16,10, 6,14, 0, 0, 0, 2,16,10, 2,14, 2, 0, 0, 3,16,10, 0, 9, 8, 0, 0, 3,16, 4, 0,11,11, 0, 0, 0,12,13, 9,16, 8, 0, 0, 0, 1,11,15, 9, 2, 0), 0),
    (( 0, 0, 5,10,14, 8, 0, 0, 0, 8,16,13,16,15, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 5,16,14, 2, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 1,10,14,15, 1, 0, 0, 0, 2,13,10, 2, 0, 0), 3),
    (( 0, 0,10,16, 2, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0,10,16, 5, 7,12, 5, 0, 0, 5,16,16,16,15, 3, 0, 0, 0, 4,16,15, 3, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0), 4),
    (( 0, 1,11,14,12, 6, 0, 0, 0, 8,15, 7,11,15, 0, 0, 0,11, 9, 0, 8,16, 4, 0, 0, 8,14,13,16,16, 7, 0, 0, 0, 6, 9, 4,15, 8, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 9, 8,11,16, 3, 0, 0, 0,14,14,11, 5, 0, 0), 9),
    (( 0, 0, 2,12,16,10, 0, 0, 0, 0,11,12,11,16, 4, 0, 0, 0, 1, 1, 1,16, 4, 0, 0, 0, 0, 0, 8,14, 2, 0, 0, 0, 0, 4,15, 5, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 5,16,16,14, 9, 1, 0, 0, 0, 3, 8,10,15, 3, 0), 2),
    (( 0, 0, 0, 2,15, 3, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,12, 8, 2, 4, 0, 0, 0, 4,15, 2,15, 8, 0, 0, 4,13,14, 9,16, 6, 0, 3,16,16,16,16,14, 0, 0, 1, 6, 4, 4,13, 9, 0, 0, 0, 0, 0, 3,16, 4, 0, 0), 4),
    (( 0, 0,10,16,14, 5, 0, 0, 0, 0, 7,16,16, 5, 0, 0, 0, 0, 3,16,16, 9, 0, 0, 0, 0, 3,16,16,13, 0, 0, 0, 0, 2,16,16,16, 0, 0, 0, 0, 2,16,16,16, 2, 0, 0, 0, 6,16,16,14, 2, 0, 0, 0, 4,15,16, 6, 0, 0), 1),
    (( 0, 0, 0, 8,15,10, 0, 0, 0, 0, 1,16,16,16, 0, 0, 0, 0, 6,16,16,15, 1, 0, 0, 3,14,16,16,12, 0, 0, 0, 8,16,16,16,12, 0, 0, 0, 5, 7,13,16,13, 0, 0, 0, 0, 0, 8,16,16, 4, 0, 0, 0, 0, 6,15,15, 9, 0), 1),
    (( 0, 2, 4, 9,13,13, 0, 0, 0, 5,15,11,12,16, 0, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 9,14,11,16, 6, 0, 0, 0, 1,10,15, 9, 0, 0), 3),
    (( 0, 0, 4,10,14, 3, 0, 0, 0, 6,14, 8,11,15, 0, 0, 0, 8, 8, 0, 7,14, 0, 0, 0, 3,14,12,14, 2, 0, 0, 0, 1,15,15, 8, 0, 0, 0, 0, 3,13, 0,10,10, 0, 0, 0, 0,11, 3, 1,15, 3, 0, 0, 0, 3,12,13,14, 0, 0), 8),
    (( 0, 0, 1,15,13, 2, 0, 0, 0, 0, 8,16,13, 9, 0, 0, 0, 0, 9,11, 2,12, 2, 0, 0, 5,16, 7, 0, 9, 6, 0, 0, 4,16, 8, 0, 9, 9, 0, 0, 1,15, 4, 0,13, 8, 0, 0, 0,10,14,12,16, 5, 0, 0, 0, 1,13,15, 8, 0, 0), 0),
    (( 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 3,15,10, 0, 0, 0, 0, 1,13,14, 2, 3, 9, 0, 0, 9,16, 7, 0,14,14, 0, 0,13,16, 0, 5,16, 8, 0, 0,14,16,16,16,15, 2, 0, 0, 0, 4, 7,16, 6, 0, 0, 0, 0, 0, 8,15, 0, 0, 0), 4),
    (( 0, 0, 9,13, 6, 0, 0, 0, 0, 5,16, 9,14, 1, 0, 0, 0, 9, 9, 0,11, 5, 0, 0, 0, 1, 1, 0,10, 6, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 5,15,11, 8, 8, 0, 0, 0, 8,16,12,12,15, 4), 2),
    (( 0, 0, 4,13,15, 2, 0, 0, 0, 2,16,11,10, 8, 1, 0, 0, 8,15, 1, 0,13,10, 0, 0, 8,15, 9,13,16, 9, 0, 0, 0,10,16,12,16, 4, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 2, 5,16, 7, 0, 0, 0, 4,16,16,16, 5, 0), 9),
    (( 0, 0, 7,16,10, 0, 0, 0, 0, 0,14,11,13,10, 0, 0, 0, 1,16, 4, 6,13, 0, 0, 0, 0, 4, 0, 8,10, 0, 0, 0, 0, 0, 2,15, 4, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 9,16,16,16, 9, 0, 0, 0,11,14,12,12,15, 2), 2),
    (( 0, 0,10,15, 2, 0, 0, 0, 0, 5,16,16, 8, 0, 0, 0, 0, 9,13, 8,12, 0, 0, 0, 0,12, 7, 4,14, 0, 0, 0, 0, 3, 1, 7,12, 0, 0, 0, 0, 0, 0,15,13, 1, 0, 0, 0, 0, 9,16,16,16, 6, 0, 0, 0,10,16,16,16,10, 0), 2),
    (( 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0,10,16, 7,13, 0, 0, 0, 3,16, 9, 9,16, 0, 0, 0,14,16,13,15,16, 5, 0, 0, 5,13,14,16,15, 3, 0, 0, 0, 0, 3,16,10, 0, 0), 4),
    (( 0, 0, 9,12,14,14,12, 1, 0, 0,15,15,12,14,16, 6, 0, 0, 3, 0, 0,10,15, 3, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 3,15, 9, 0, 0, 0, 0, 2,13,12, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 1,13,13, 0, 0, 0, 0, 5,15,15,16, 0, 0, 0, 3,15, 8, 7,14, 0, 0, 0,11,15, 9,15,16, 9, 0, 0, 8,16,14,15,15, 5, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 0,12, 4, 0, 0), 4),
    (( 0, 0,10,16,16,15, 2, 0, 0, 0, 5, 8, 8,16, 6, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 6, 8,12,11, 0, 0, 0, 1,16,16,16,15, 1, 0, 0, 0, 1,13,10,11, 3, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0), 7),
    (( 0, 0, 3, 9,14, 4, 0, 0, 0, 1,16,15,13,10, 2, 0, 0, 1,15, 5, 1,13,12, 0, 0, 0,15,12,11,16, 3, 0, 0, 0, 4,16,16, 9, 0, 0, 0, 0,11,16,16, 7, 0, 0, 0, 0,15,16,16, 8, 0, 0, 0, 0, 3,13,15, 4, 0, 0), 8),
    (( 0, 6,16, 6, 0, 0, 0, 0, 0, 9,16,16, 2, 0, 0, 0, 0, 1, 2,16, 7, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0,10,16,12,14,16, 9, 0, 0, 7,16,16,12,10, 3, 0), 2),
    (( 0, 0, 9,16,11, 5, 0, 0, 0, 5,16,10, 9,16, 3, 0, 0, 8,12, 0, 0,12, 2, 0, 0, 5,16,12,15,16, 7, 0, 0, 0,11,16,16, 5, 0, 0, 0, 1,15,11,13,10, 0, 0, 0, 3,16, 6,11,12, 0, 0, 0, 0,10,16,13, 4, 0, 0), 8),
    (( 0, 0, 3,13, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 0,16, 1, 0, 0, 0, 0, 0, 2,16,15,16, 8, 0, 0, 0, 1,16,13, 5,11,10, 0, 0, 0,13,11, 0, 2,16, 3, 0, 0, 2,15,16,16,13, 1), 6),
    (( 0, 0, 0, 9,14,14,12, 6, 0, 0, 3, 8, 8,11,16, 7, 0, 0, 0, 0, 1,12,12, 0, 0, 0, 3, 4,11,14, 0, 0, 0, 0,13,16,16,15, 4, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0), 7),
    (( 0, 0, 0,10,16, 5, 0, 0, 0, 0, 9,16,14, 2, 0, 0, 0, 1,16,13, 0, 0, 0, 0, 0, 4,16,11, 4, 0, 0, 0, 0, 7,16,16,16,15, 2, 0, 0, 1,15,10, 4,13,13, 0, 0, 0, 7,16,15,16,15, 0, 0, 0, 0, 7,16,16, 7, 0), 6),
    (( 0, 0, 5,12,16,13, 4, 0, 0, 0,12,13, 8, 8, 6, 0, 0, 2,15, 3, 0, 0, 0, 0, 0, 4,16,12,12, 6, 0, 0, 0, 4,16,15,13,14, 0, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 3, 4,13, 8, 0, 0, 0, 0, 6,12,13, 1, 0, 0), 5),
    (( 0, 0, 9,13,11, 9, 1, 0, 0, 0,11,10,10,14, 4, 0, 0, 0, 5,14, 7,13, 0, 0, 0, 0, 0,10,15, 3, 0, 0, 0, 0, 8,16,12, 0, 0, 0, 0, 0,14, 3,12, 4, 0, 0, 0, 0,13, 1,12, 7, 0, 0, 0, 0,10,16,13, 1, 0, 0), 8),
    (( 0, 1, 7,15,13, 6, 0, 0, 0, 7,13, 2, 4,15, 0, 0, 0, 4,12, 6,13, 4, 0, 0, 0, 0,10,16, 8, 0, 0, 0, 0, 0,14,12, 6, 0, 0, 0, 0, 2,12, 0,12, 3, 0, 0, 0, 0,14, 1, 6, 8, 0, 0, 0, 0, 4,13,13, 5, 0, 0), 8),
    (( 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 1, 7,16,15,15, 2, 0, 0,11,16,16,13,16, 5, 0, 0, 7,12,12,14,16, 5, 0, 0, 0, 0, 0,13,15, 0, 0, 0, 0, 0, 4,16,10, 0, 0), 4),
    (( 0, 0, 2,13,16, 3, 0, 0, 0, 4,15,14,15,12, 0, 0, 0, 4, 7, 1,14, 7, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 1,13,10, 0, 0, 0, 0, 0, 0,14,12, 5, 8, 3, 0, 0, 0, 3,12,16,10, 2, 0), 2),
    (( 0, 0, 5,14, 3, 0, 0, 0, 0, 0,15,15, 3, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 4,16, 4, 3, 1, 0, 0, 0, 6,16, 9,16,15, 3, 0, 0, 4,16,16, 9,13,11, 0, 0, 0,14,15, 5,16, 6, 0, 0, 0, 4,14,14, 9, 0, 0), 6),
    (( 0, 0, 1,10,14,13, 2, 0, 0, 0, 9,15,13,16, 5, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 0, 8,16,16,13, 2, 0, 0, 0, 8,14,16,10, 1, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 0,14, 2, 0, 0, 0), 7),
    (( 0, 0, 4,14,12, 7, 1, 0, 0, 4,13, 9, 7,16, 4, 0, 0,12,12, 0, 9,15, 1, 0, 0, 3,16,10,15, 6, 0, 0, 0, 0, 5,16,16, 3, 0, 0, 0, 0, 5,13, 5,15, 3, 0, 0, 0, 8, 8, 7,16, 4, 0, 0, 0, 3,15,16, 9, 0, 0), 8),
    (( 0, 0, 1,10, 2, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,13, 9, 3, 0, 0, 0, 0, 2,16,16,16,16, 7, 0, 0, 0,14, 8, 2, 8,16, 2, 0, 0, 2,15,16,16,13, 1), 6),
    (( 0, 0, 5,15, 3, 0, 0, 0, 0, 0,12,16,14, 8, 0, 0, 0, 1,16,16,12,16, 3, 0, 0, 3,14, 1, 0, 6, 7, 0, 0, 6, 8, 0, 0, 4, 8, 0, 0, 4,12, 0, 0,10,12, 0, 0, 1,14,10,13,16, 5, 0, 0, 0, 6,16,14, 8, 0, 0), 0),
    (( 0, 0, 6,15,10, 0, 0, 0, 0, 0,16, 9,16, 7, 0, 0, 0, 4,10, 0, 6,15, 0, 0, 0, 8, 8, 0, 0,11, 3, 0, 0, 8, 8, 0, 0, 8, 5, 0, 0, 7,10, 0, 0, 5, 6, 0, 0, 1,15, 4, 1,12, 4, 0, 0, 0, 8,16,16,11, 0, 0), 0),
    (( 0, 0, 2,14, 8, 0, 0, 0, 0, 0,10,16,16, 2, 0, 0, 0, 0, 9,16,16, 1, 0, 0, 0, 0,10,16,14, 1, 0, 0, 0, 0, 7,16,16, 4, 0, 0, 0, 0, 5,16,13, 2, 0, 0, 0, 0, 4,16,15, 1, 0, 0, 0, 0, 0, 8,15, 2, 0, 0), 1),
    (( 0, 1,15,16,16,16,15, 2, 0, 0,12,10, 9,16,14, 2, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 5,15, 6, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 9,15, 2, 0, 0, 0, 0, 1,16,10, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,15, 9, 0, 0, 2, 0, 0, 8,15, 1, 0,11,14, 0, 0,11,13, 4, 7,16, 5, 0, 0, 8,16,16,16,13, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,10,14, 0, 0, 0), 4),
    (( 0, 0, 0, 6,10,14, 6, 0, 0, 0,14,16,12,16, 8, 0, 0, 0, 8,16,16,16, 8, 0, 0, 5,12, 8, 1,13, 6, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 9,11, 0, 0, 0), 9),
    (( 0, 0, 8,16,12, 2, 0, 0, 0, 0,13, 4, 6,12, 0, 0, 0, 3,15, 1, 3,13, 0, 0, 0, 6,14,10, 4,16, 1, 0, 0, 0, 8,12,11,13, 4, 0, 0, 0, 0, 0, 0, 6, 8, 0, 0, 0, 6, 4, 0, 6, 7, 0, 0, 0, 6,14,14,15, 1, 0), 9),
    (( 0, 0, 0,13, 3, 0, 0, 0, 0, 0,10,13, 1, 0, 0, 0, 0, 3,16, 7, 0, 1, 3, 0, 0, 8,16, 8, 5,13,15, 0, 0, 4,16,16,16,15, 4, 0, 0, 0, 3,11,16, 5, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0), 4),
    (( 0, 0, 2,12,15, 5, 0, 0, 0, 0,13, 5, 5,10, 4, 0, 0, 0,14, 1, 3,15, 7, 0, 0, 0,12,10,10, 7, 0, 0, 0, 0, 1,15,11, 0, 0, 0, 0, 0, 4,14,14, 0, 0, 0, 0, 0, 6,10,12, 1, 0, 0, 0, 0, 1,15,11, 0, 0, 0), 8),
    (( 0, 0, 5,15,16,12, 0, 0, 0, 1,16, 9, 5,16, 2, 0, 0, 2,16, 2,11,13, 0, 0, 0, 0,13,15,15, 2, 0, 0, 0, 0,12,16, 6, 0, 0, 0, 0, 2,16, 8,13, 0, 0, 0, 0, 2,16, 0,12, 6, 0, 0, 0, 0, 6,15,14, 8, 0, 0), 8),
    (( 0, 2,15,12, 0, 0, 0, 0, 0, 5,16,16, 4, 0, 0, 0, 0, 8,14,13, 8, 0, 0, 0, 0, 1, 8, 6,12, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 4,14,13, 4, 3, 0, 0, 7,16,16,16,16,15, 0, 0, 3,11,15,11, 8, 2, 0), 2),
    (( 0, 0, 4,10,12,15,16, 5, 0, 0,15,14,12,13,16, 7, 0, 0, 3, 0, 0, 8,15, 2, 0, 0, 1, 8, 8,14, 9, 0, 0, 0, 5,16,16,16, 4, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0), 7),
    (( 0, 0, 5,16,16,16, 6, 0, 0, 0, 5,10,11,16, 3, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 1, 4,16,10, 0, 0, 0, 0,10,16,16,16, 6, 0, 0, 0, 6,14,13,12, 3, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0), 7),
    (( 0, 0, 5,11,15,16, 5, 0, 0, 6,16,10, 5,16, 8, 0, 0, 0, 2, 1,12,16, 1, 0, 0, 0, 1,14,15, 2, 0, 0, 0, 0, 2, 9,16,10, 0, 0, 0, 0, 2, 0, 7,16, 3, 0, 0, 0,13,10, 5,16, 7, 0, 0, 0, 7,13,14,15, 2, 0), 3),
    (( 0, 0, 0,13,16,16,16, 8, 0, 0, 0, 7, 4, 6,15, 9, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 2, 4,14, 6, 0, 0, 0, 3,16,16,16, 6, 0, 0, 0, 0, 1,15, 4, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 1,15, 4, 0, 0, 0), 7),
    (( 0, 0, 8,13,16,11, 1, 0, 0, 0,16, 8, 8,12, 2, 0, 0, 4,15, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0, 2,15,14, 9, 1, 0, 0, 0, 0, 2, 7,12,11, 1, 0, 0, 2,10, 5, 7,16, 2, 0, 0, 0,10,16,14, 5, 0, 0), 5),
    (( 0, 0, 1, 9,10, 1, 0, 0, 0, 0, 5,16,16, 8, 0, 0, 0, 0, 6,16,16,10, 0, 0, 0, 0, 7,16,16,10, 0, 0, 0, 0, 2,16,16, 7, 0, 0, 0, 0, 1,16,16,10, 0, 0, 0, 0, 8,16,16,15, 1, 0, 0, 0, 1, 6, 9, 9, 2, 0), 1),
    (( 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 3,14,13, 1, 0, 0, 0, 1,14,13, 1, 1, 2, 0, 0, 8,16, 3, 0,12,12, 0, 0,12,14, 8, 8,16, 7, 0, 0, 5,15,16,16,16, 1, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 2,16, 7, 0, 0), 4),
    (( 0, 0, 0,12,15, 2, 0, 0, 0, 0, 6,16,11, 1, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 0,16,11, 3, 0, 0, 0, 0, 2,16,16,16, 7, 0, 0, 0, 0,16,13, 4,14, 5, 0, 0, 0,10,14, 6,15,10, 0, 0, 0, 0, 9,15,16, 5, 0), 6),
    (( 0, 0, 4,13,15, 8, 0, 0, 0, 2,13, 4, 0,12, 0, 0, 0, 6, 9, 0, 2,10, 0, 0, 0, 3,13, 1, 4,15, 5, 0, 0, 0, 5,14,14, 3, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 8, 6,14, 4, 0, 0, 0, 0, 6,13,15, 3, 0, 0), 8),
    (( 0, 0, 0, 7,14, 7, 0, 0, 0, 0, 3,13, 4,12, 1, 0, 0, 0,13, 3, 0,12, 4, 0, 0, 1,13, 0, 6,16, 6, 0, 0, 0,15,15, 9,12, 3, 0, 0, 0, 1, 1, 0, 9, 2, 0, 0, 0, 2, 9, 2,12, 0, 0, 0, 0, 1, 9,15, 7, 0, 0), 9),
    (( 0, 0, 0, 0,12,15, 2, 0, 0, 0, 0, 1,15,16, 0, 0, 0, 0, 3,12,16,16, 0, 0, 0, 6,16,16,16,15, 0, 0, 0, 6,11, 6,16,12, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 0, 9,16, 3, 0), 1),
    (( 0, 0, 2,12,12, 2, 0, 0, 0, 0, 8,16,16, 5, 0, 0, 0, 0,10,16,16, 8, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,11,16,16, 6, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0, 3,16,16,13, 0, 0, 0, 0, 2, 8,12, 7, 0, 0), 1),
    (( 0, 0, 2, 8,14, 2, 0, 0, 0, 0, 9,16,10, 1, 0, 0, 0, 1,16, 9, 1, 0, 0, 0, 0, 2,16,16,14, 3, 0, 0, 0, 0,15,10, 7,14, 0, 0, 0, 0,14, 1, 0,13, 4, 0, 0, 0, 7,10, 5,15, 4, 0, 0, 0, 0, 9,16,12, 0, 0), 6),
    (( 0, 1,13,14, 6, 0, 0, 0, 0, 3,16, 9,15, 4, 0, 0, 0, 2,16, 8,15, 4, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0,14,16, 9, 6, 4, 0, 0, 2,11,12,12,12,12, 0), 2),
    (( 0, 7,16,15, 4, 0, 0, 0, 0,11,10, 7,13, 0, 0, 0, 0, 2, 3, 4,12, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 6,16,16,16,16, 8, 0, 0, 4,15,16,16,13, 3, 0), 2),
    (( 0, 2, 8, 9,13,16, 7, 0, 0, 4,16,10, 5, 5, 2, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 4,16,16,11, 3, 0, 0, 0, 1, 6, 8,13,13, 0, 0, 0, 0, 0, 0, 7,16, 0, 0, 0, 3,11,12,16, 6, 0, 0, 0, 3,15,14, 4, 0, 0, 0), 5),
    (( 0, 0, 5,11,15, 5, 0, 0, 0, 6,13, 2, 3,15, 3, 0, 0, 7,13, 8,11,16, 8, 0, 0, 1, 9,12, 8, 8, 8, 0, 0, 0, 0, 0, 1,13, 4, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 7,10, 1, 0, 0, 0), 9),
    (( 0, 1, 9,15,14, 3, 0, 0, 0, 7,12, 2,10,12, 0, 0, 0, 8,11, 0,10,16, 1, 0, 0, 3,16, 8, 9,16, 3, 0, 0, 0, 4,11,11,16, 5, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 6, 4, 0, 9, 8, 0, 0, 0, 8,15,16,12, 2, 0), 9),
    (( 0, 1, 9,16,13, 7, 0, 0, 0, 7,13, 4, 5,16, 3, 0, 0, 7,13, 4, 7,16, 7, 0, 0, 1,14,14,12,11, 6, 0, 0, 0, 0, 0, 0,12, 3, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 7, 7,15, 4, 0, 0, 0, 0,11,13, 5, 0, 0, 0), 9),
    (( 0, 0, 2, 6,15,16, 8, 0, 0, 0,15,16,10, 8,16, 0, 0, 4,16, 5, 0, 7,12, 0, 0, 9,16,10,10,16, 8, 0, 0, 1, 9,16,15,16, 4, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0, 7,13, 0, 0, 0), 9),
    (( 0, 0, 1,12,16, 7, 0, 0, 0, 0, 8,16,11, 4, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 4,16,13,12, 5, 0, 0, 0, 6,16,14,12,15, 4, 0, 0, 0,11,14, 5,14,11, 0, 0, 0, 0,12,16,16, 8, 0), 6),
    (( 0, 2,16,10, 1, 0, 0, 0, 0, 3,16,16, 8, 0, 0, 0, 0, 1,11,11,12, 0, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 5,15, 8, 0, 0, 0, 0, 5,16,16,16,16,13, 0, 0, 2,16,16,16,16,14, 0), 2),
    (( 0, 0, 0, 0,10, 7, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 3, 7,14,12,16, 1, 0, 1,14,16,16,16,15, 0, 0, 0, 9,10,14,16,16, 0, 0, 0, 0, 0, 0,12, 9, 0, 0), 4),
    (( 0, 5,12,14,16,14, 4, 0, 0, 7,16,11, 7, 4, 2, 0, 0, 7,16, 0, 0, 0, 0, 0, 0, 8,16,16,13, 1, 0, 0, 0, 5,12,12,16, 8, 0, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 2, 8, 8,15,11, 0, 0, 0, 3,14,11, 6, 0, 0, 0), 5),
    (( 0, 0, 3,13,10, 8, 9, 2, 0, 0,10,11, 8,11,15, 0, 0, 0,13, 3, 1,12, 6, 0, 0, 0, 5, 3, 7,14, 0, 0, 0, 0, 9,16,16,16, 5, 0, 0, 0, 0, 7,11, 1, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 4,15, 2, 0, 0, 0), 7),
    (( 0, 0, 8,16,16, 7, 0, 0, 0, 2,15, 3,10,16, 0, 0, 0, 2,15,12,14,11, 0, 0, 0, 0, 8, 9, 8,12, 0, 0, 0, 0, 0, 0, 1,15, 0, 0, 0, 0, 0, 0, 0,14, 2, 0, 0, 0, 1, 1, 5,16, 4, 0, 0, 0, 9,13,16,11, 0, 0), 9),
    (( 0, 0, 1,15,13, 1, 0, 0, 0, 0, 8,16,16, 8, 0, 0, 3,13,16,16,16, 6, 0, 0, 0, 9, 8, 9,16, 6, 0, 0, 0, 0, 0,10,16, 1, 0, 0, 0, 0, 0,12,16, 0, 0, 0, 0, 0, 0,16,14, 1, 0, 0, 0, 0, 0,12,16, 1, 0, 0), 1),
    (( 0, 0, 5,16,16,15, 1, 0, 0, 0,10, 9,10,16, 2, 0, 0, 0, 0, 1,12,10, 0, 0, 0, 0, 0, 9,16, 8, 0, 0, 0, 0, 0, 2,14,16, 5, 0, 0, 0, 0, 4, 0,16, 5, 0, 0, 0, 3,14, 8,13, 0, 0, 0, 0, 4,16,13, 3, 0, 0), 3),
    (( 0, 0, 2,10,16,16, 2, 0, 0, 1,16,15, 5, 1, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 0, 3,13,12, 0, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0,14,12, 0, 0, 0), 5),
    (( 0, 2,15,13, 0, 0, 0, 0, 0,12,16,16, 6, 0, 0, 0, 0,14, 7,11,10, 0, 0, 0, 0, 3, 1,10,12, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 4,16,15,12,12, 5, 0, 0, 2,15,16,16,16,13, 0), 2),
    (( 0, 0, 4,15,16, 6, 0, 0, 0, 0,14,15, 8,14, 2, 0, 0, 7,12, 2, 0, 8, 4, 0, 0, 7, 8, 0, 0, 5, 8, 0, 0, 8, 8, 0, 0, 9, 8, 0, 0, 3,11, 0, 0,10, 7, 0, 0, 0,15, 7, 8,14, 2, 0, 0, 0, 5,12,14, 6, 0, 0), 0),
    (( 0, 0, 6, 9,13,11, 2, 0, 0, 7,16,16,16,16, 3, 0, 0, 8,16,10, 6, 0, 0, 0, 0, 5,16,16,16,13, 1, 0, 0, 0, 0, 3, 6,16, 4, 0, 0, 3, 0, 0, 0,12, 5, 0, 0, 5,16, 9, 8,14, 6, 0, 0, 0, 5,10,12,10, 0, 0), 5),
    (( 0, 0,12,16,16,16,14, 0, 0, 0, 5, 8, 8,15,10, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 2, 8,14,16, 9, 0, 0, 0,13,16,15,12, 7, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0), 7),
    (( 0, 1, 9,13, 7, 0, 0, 0, 0, 7,12, 6,15, 6, 0, 0, 0, 0, 1, 4,13,10, 0, 0, 0, 0, 4,16,16,13, 0, 0, 0, 0, 0, 0, 2,13, 6, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 9, 7, 9,15, 1, 0, 0, 0,13,15, 9, 1, 0, 0), 3),
    (( 0, 1,10,12,14,16, 5, 0, 0, 0,14,10, 8, 8, 1, 0, 0, 0,16, 4, 3, 1, 0, 0, 0, 2,16,16,16,15, 3, 0, 0, 0, 2, 0, 0,11, 8, 0, 0, 0, 0, 0, 3,14, 3, 0, 0, 0, 3,11,15, 9, 0, 0, 0, 1,12, 7, 3, 0, 0, 0), 5),
    (( 0, 0, 0, 0, 8,16, 7, 0, 0, 0, 0, 6,16,16,12, 0, 0, 0, 8,16,16,16,12, 0, 0, 5,12, 8,12,16, 8, 0, 0, 0, 0, 0,12,16, 5, 0, 0, 0, 0, 0,15,16, 1, 0, 0, 0, 0, 0,16,16, 0, 0, 0, 0, 0, 0,11,16, 2, 0), 1),
    (( 0, 0, 2,12,11, 1, 0, 0, 0, 1,16,13, 9, 8, 0, 0, 0, 4,14, 1, 0,11, 1, 0, 0, 6, 9, 0, 0, 7, 5, 0, 0, 4, 9, 0, 0, 6, 7, 0, 0, 2,12, 0, 0,10, 6, 0, 0, 0,10, 9,13,16, 2, 0, 0, 0, 2,12,14, 3, 0, 0), 0),
    (( 0, 0, 9,14,14, 9, 1, 0, 0, 7,16,10, 4,12, 0, 0, 0, 8,16, 6, 6,15, 4, 0, 0, 0,11,16,16, 9, 1, 0, 0, 0, 7,16,16, 0, 0, 0, 0, 1,15,13,15,12, 0, 0, 0, 4,16, 8,12,15, 0, 0, 0, 1, 8,13,13, 4, 0, 0), 8),
    (( 0, 0, 7,12,15, 4, 0, 0, 0, 4,16, 9, 7,12, 0, 0, 0, 0, 5, 0,10, 8, 0, 0, 0, 0, 0,13,16, 4, 0, 0, 0, 0, 0,10, 9,16, 3, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 8, 6, 6,15, 3, 0, 0, 0, 8,15,12, 3, 0, 0), 3),
    (( 0, 0, 4,12,14, 9, 1, 0, 0, 1,16,13, 9,16, 7, 0, 0, 7,16, 1, 4,16, 4, 0, 0, 8,13, 4,12,16, 4, 0, 0, 2,14,14,16, 9, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 1,14,11, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0), 9),
    (( 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 0,13, 7, 2, 8, 0, 0, 0, 5,13, 1,11,10, 0, 0, 2,14, 4, 1,16, 4, 0, 0,12,14, 8,13,16,10, 0, 0,15,16,16,16,12, 2, 0, 0, 3, 3, 5,15, 0, 0, 0, 0, 0, 0, 6,13, 0, 0, 0), 4),
    (( 0, 0, 4,15,16,16,16,15, 0, 0, 2, 8, 8, 5,13, 9, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0, 0, 3,14, 8, 0, 0, 0, 2,15,16,16, 8, 0, 0, 0, 3, 9,16, 4, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 5,15, 3, 0, 0, 0), 7),
    (( 0, 0, 3,13,13,14, 6, 0, 0, 2,15, 8,16,15,11, 0, 0, 3,14, 3, 5,15, 4, 0, 0, 1,13,16,16, 3, 0, 0, 0, 0,13,13,14, 9, 0, 0, 0, 4,12, 0, 6,11, 0, 0, 0, 3,14, 5, 7,15, 0, 0, 0, 0, 7,15,15, 9, 0, 0), 8),
    (( 0, 0, 4,15, 9, 1, 0, 0, 0, 0,11,16,16, 9, 0, 0, 0, 0, 1,10,16,11, 0, 0, 0, 0, 0, 8,16,12, 0, 0, 0, 0, 0,11,16,10, 0, 0, 0, 0, 1,16,16, 7, 0, 0, 0, 0, 5,16,16,12, 0, 0, 0, 0, 5,16,14, 6, 0, 0), 1),
    (( 0, 0,11,16, 7, 0, 0, 0, 0, 4,16,16,16, 0, 0, 0, 0,12, 9, 4,16, 0, 0, 0, 0, 8, 5, 1,16, 2, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 3,16,14, 7, 9, 0, 0, 0,13,16,16,16,13, 0, 0, 0,13,13,10, 2, 0, 0), 2),
    (( 0, 0,11,16,13, 2, 0, 0, 0, 0,10,15,11,13, 0, 0, 0, 0, 3,15, 7,15, 5, 0, 0, 0, 0, 1, 1,13, 6, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0,15,16,16,11, 0, 0, 0, 0, 9,15,13,16,16, 5), 2),
    (( 0, 0, 5,14,16,15, 2, 0, 0, 0,12,14,11,16, 5, 0, 0, 0, 3, 0, 8,15, 0, 0, 0, 0, 0, 3,15,11, 0, 0, 0, 1,11,16,16,15, 6, 0, 0, 1,13,16,16,13, 3, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0), 7),
    (( 0, 0, 8,16,12, 0, 0, 0, 0, 6,16,15,10, 0, 0, 0, 0, 4,16,14,14,16, 6, 0, 0, 0,12,16,15, 5, 0, 0, 0, 0,12,16,11, 0, 0, 0, 0, 0,16,10,16, 6, 0, 0, 0, 0,16, 5,13,12, 0, 0, 0, 0,10,15,11, 1, 0, 0), 8),
    (( 0, 0, 5,15,16,16, 9, 0, 0, 0, 4, 6, 5, 8,16, 2, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 6,12,16,11, 0, 0, 0, 0,12,16, 9, 0, 0, 0, 0, 0, 5,13, 1, 0, 0, 0, 0, 3,14, 5, 0, 0, 0, 0, 0, 6, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 6,15, 1, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 8,15, 0, 0, 7, 3, 0, 0,11,13, 4, 8,16, 5, 0, 0, 5,16,16,16,10, 0, 0, 0, 0, 1,14,15, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0), 4),
    (( 0, 0, 0, 5,14,13, 3, 0, 0, 0,11,16,16,16, 9, 0, 0, 2,16,16,16,16,11, 0, 0, 0, 6, 8, 8,13, 8, 0, 0, 0, 0, 0, 1,14, 3, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 1,13, 2, 0, 0, 0, 0, 0, 5, 6, 0, 0, 0), 9),
    (( 0, 0, 9,14, 6, 0, 0, 0, 0, 0,16,14,16, 6, 0, 0, 0, 0,13,12,13,16, 1, 0, 0, 0, 6,13,10,16, 2, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 5, 1, 0,12, 8, 0, 0, 1,16,10, 8,15, 7, 0, 0, 0, 8,15,16,11, 1, 0), 9),
    (( 0, 0, 6,13,15, 9, 0, 0, 0, 4,15, 8, 4,16, 4, 0, 0, 8, 9, 0, 0,15, 8, 0, 0, 7,15, 9,10,16, 8, 0, 0, 0, 5, 8, 5,12, 8, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0,11, 9, 3,14, 3, 0, 0, 0, 4,15,16, 7, 0, 0), 9),
    (( 0, 0, 6,12,12,12, 4, 0, 0, 3,16, 8, 6,16, 7, 0, 0, 4,13, 0, 5,16, 4, 0, 0, 1,13,13,15,16, 4, 0, 0, 0, 1, 8, 4,12, 4, 0, 0, 0, 2, 0, 0,12, 7, 0, 0, 6,15, 4, 0,13, 4, 0, 0, 0, 8,15,16,16, 2, 0), 9),
    (( 0, 0, 1,11, 4, 0, 0, 0, 0, 0, 5,14, 1, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 1,15, 0, 4, 1, 0, 0, 0, 4,15,14,16,14, 1, 0, 0, 2,14, 5, 1, 6,11, 0, 0, 1,13, 7, 0, 1,14, 0, 0, 0, 3,10,15,16,10, 0), 6),
    (( 0, 0, 2,11,16,13, 1, 0, 0, 1,16,11, 4,12, 8, 0, 0, 0,14, 8, 3,11, 8, 0, 0, 0,13,16,16,14, 1, 0, 0, 0,10,16,10,15, 3, 0, 0, 0,14, 7, 0,10, 5, 0, 0, 0,11,12, 8,14, 4, 0, 0, 0, 3,14,12,10, 1, 0), 8),
    (( 0, 3,15,16,13, 0, 0, 0, 0,10,14,15,16, 4, 0, 0, 0, 3, 3, 1,16, 8, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 0, 3,16,15,12,11, 1, 0, 0, 2,16,16,16,16, 8, 0), 2),
    (( 0, 0, 0, 3,15, 1, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0, 0,11,14, 8, 6, 0, 0, 0, 5,16,11,16,11, 0, 0, 1,13,16,16,16,16, 4, 0, 0, 4, 4, 7,16, 5, 0, 0), 4),
    (( 0, 0, 0,13, 4, 0, 0, 0, 0, 0, 4,16, 9, 9, 0, 0, 0, 0,12, 8,10, 9, 0, 0, 0, 7,15, 4,15, 8, 1, 0, 0,11,16,16,16,16,10, 0, 0, 1, 4,10,12, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0), 4),
    (( 0, 2,15,14, 3, 0, 0, 0, 0, 7,15,14,13, 0, 0, 0, 0, 9,11, 2,16, 4, 0, 0, 0, 7, 4, 0,14, 6, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 4,15,16, 8, 4, 0, 0, 1,16,16,16,16,16, 5), 2),
    (( 0, 1, 8,12,12, 6, 0, 0, 0, 9,16,11, 8,10, 1, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 1,12,15, 8, 0, 0, 0, 0, 0, 0, 7,15, 5, 0, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0,12,16,12, 4, 0, 0), 5),
    (( 0, 0, 4,12,12, 6, 0, 0, 0, 3,16, 9, 8,15, 0, 0, 0, 9,16, 3, 0, 8, 6, 0, 0, 6,14, 0, 0, 6, 8, 0, 0, 4,11, 0, 0, 9, 5, 0, 0, 4,10, 0, 0,15, 2, 0, 0, 0,15, 5, 9,14, 0, 0, 0, 0, 7,14,13, 2, 0, 0), 0),
    (( 0, 0, 0,11,15, 6, 0, 0, 0, 0,11,16,16,11, 0, 0, 0, 2,16,16,16,12, 0, 0, 0, 0,12,16,16, 9, 0, 0, 0, 0, 5,16,16,15, 1, 0, 0, 0, 7,16, 3,15, 2, 0, 0, 0, 1,16, 6,16, 0, 0, 0, 0, 1,11,15, 7, 0, 0), 8),
    (( 0, 0, 8,16,15,11, 0, 0, 0, 0, 5, 7,11,16, 3, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 7,15,15, 5, 0, 0, 0, 0, 8,14,16,14, 4, 0, 0, 0, 0,10, 9, 4, 1, 0, 0, 0, 4,14, 1, 0, 0, 0, 0, 0,10, 7, 0, 0, 0, 0), 7),
    (( 0, 0, 1,13,16,16, 9, 0, 0, 0,13,14,12,12,11, 0, 0, 9,16, 5, 0, 0, 0, 0, 0, 9,16, 6, 2, 0, 0, 0, 0, 3,15,16,15, 3, 0, 0, 0, 0, 3,11,16,10, 0, 0, 0, 0, 4,16,16, 7, 0, 0, 0, 0, 0,15,15, 2, 0, 0), 5),
    (( 0, 2, 0,13,12, 3, 0, 0, 5,14, 1,13,16, 5, 0, 0, 0, 8,16,14,16, 4, 0, 0, 0, 0, 8,16,16, 2, 0, 0, 0, 0, 0,16,16, 9, 0, 0, 0, 0, 3,16,16,16, 4, 0, 0, 0,11,16,16,16, 6, 0, 0, 0, 1,15,16,10, 0, 0), 8),
    (( 0, 0, 3,13, 1, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 2,14, 1, 1, 4, 0, 0, 0, 5,14, 6,14,16, 7, 0, 0, 1,16,16,11, 5,15, 0, 0, 0,10,16,14,16,11, 0, 0, 0, 2,12,16,13, 0, 0), 6),
    (( 0, 0, 2,12,10, 2, 5, 0, 0, 0,10,16,11,13,15, 0, 0, 2,14,15,14,16,14, 0, 0, 0,13,16,14,16,10, 0, 0, 0, 0, 0, 4,15, 4, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 0,14,16, 3, 0, 0, 0, 0, 2,13, 4, 0, 0, 0), 9),
    (( 0, 0, 5,16,10, 0, 0, 0, 0, 0,12,15,15, 5, 0, 0, 0, 0,10, 3,11, 9, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 2, 7,16, 2, 0, 0, 0, 0,11,16,16,15,10, 2, 0, 0, 6, 8, 4, 9,15, 3), 2),
    (( 0, 0, 2,16,14, 2, 0, 0, 0, 0, 7,15,15,11, 0, 0, 0, 0, 5,16,15,16, 2, 0, 0, 0, 0, 6,15,16, 8, 0, 0, 0, 0, 0, 2,12,11, 0, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 7,15,13, 0, 0, 0, 1,12,16,14, 7, 0), 9),
    (( 0, 2,16,16,15, 3, 0, 0, 0, 0, 3, 3,14, 8, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 3,16,16,16,16, 8, 0, 0, 0,11,15, 4, 4, 1, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0), 7),
    (( 0, 0, 4,14,15, 4, 0, 0, 0, 1,16,14,15,13, 0, 0, 0, 4,16, 7, 4,16, 3, 0, 0, 5,16, 3, 0,12, 4, 0, 0, 4,16, 2, 0,11, 8, 0, 0, 2,16, 6, 1,15, 4, 0, 0, 0,12,13,13,14, 1, 0, 0, 0, 3,16,15, 4, 0, 0), 0),
    (( 0, 0, 1,14,15, 9, 1, 0, 0, 1, 9,14, 1, 7, 8, 0, 0, 7,16, 6, 0,11, 6, 0, 0, 0, 8,14,13,10, 0, 0, 0, 0, 1,14,15, 7, 0, 0, 0, 0,11, 7, 1,16, 1, 0, 0, 0,11, 6, 0,13, 3, 0, 0, 0, 3,13,14,11, 0, 0), 8),
    (( 0, 0, 0, 3,10,10, 0, 0, 0, 8,14,16,14,15, 4, 0, 0, 0, 3, 1, 1,15, 4, 0, 0, 0, 0, 7,14,16, 6, 0, 0, 0, 9,16,15,10, 0, 0, 0, 0, 2, 2,14, 4, 0, 0, 0, 0, 0, 7,11, 0, 0, 0, 0, 0, 0, 9, 4, 0, 0, 0), 7),
    (( 0, 0, 6,14,16,10, 0, 0, 0, 3,15,14,16,16, 1, 0, 0, 0, 3, 0,10,16, 4, 0, 0, 0, 0, 5,12,16, 8, 0, 0, 0, 0,13,16,15, 6, 0, 0, 0, 0, 5,16,10, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0), 7),
    (( 0, 0, 0, 7,12, 7, 0, 0, 0, 0,13,13,13,12, 0, 0, 0, 3,12, 0, 9, 9, 0, 0, 0, 0, 0, 7,16, 9, 0, 0, 0, 0, 0, 2, 8,16, 0, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0,12, 9,15, 0, 0, 0, 0, 1,12,15, 5, 0, 0), 3),
    (( 0, 0, 6,16, 2, 0, 0, 0, 0, 3,16,13,11, 0, 0, 0, 0,12,14, 2,14, 0, 0, 0, 0, 2, 2, 0,16, 0, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 0,10,14, 4, 3, 0, 0, 0, 5,16,16,16,16, 0, 0, 0, 6,15,10, 8,11, 2), 2),
    (( 0, 0, 0, 1,12, 8, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 5,16, 8, 1, 0, 0, 0, 0,10,16,11,15, 0, 0, 0, 5,16,11,15,15, 3, 0, 0,12,16,16,16,16, 5, 0, 0, 0, 0, 0,15,14, 0, 0), 4),
    (( 0, 0, 8,16,16,15, 0, 0, 0, 3,16, 9, 8,16, 4, 0, 0, 9, 8, 0, 6,16, 2, 0, 0, 1, 8,13,16,16, 5, 0, 0, 0,15,12,16,13, 8, 0, 0, 0, 0, 9,15, 1, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 0,14,15, 2, 0, 0, 0, 0, 6,16,16, 4, 0, 0, 0, 3,13,16,16, 0, 0, 0, 1,13,16,16,16, 3, 0, 0, 9,16, 6,14,16, 0, 0, 0, 2, 4, 0,14,15, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 0,14,13, 0, 0), 1),
    (( 0, 0,11,16, 7, 0, 0, 0, 0, 4,15, 8,16, 9, 0, 0, 0, 8,10, 0, 9,12, 0, 0, 0, 4,15,11,13,13, 0, 0, 0, 0, 0, 7, 6,16, 0, 0, 0, 0, 0, 0, 0,13, 2, 0, 0, 0, 7, 7, 2,12, 4, 0, 0, 0, 6,13,16,16, 6, 0), 9),
    (( 0, 0,13,16, 7, 0, 0, 0, 0, 0,16,13,16, 2, 0, 0, 0, 0,11, 8,13, 8, 0, 0, 0, 0, 1, 1,16, 8, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0,10,15, 2, 0, 0, 0, 0,12,16,15, 9, 9, 0, 0, 0,15,16,16,16,16, 5), 2),
    (( 0, 0, 6,16,16, 8, 0, 0, 0, 1,16,11, 8,15, 0, 0, 0, 0,15,10,14,14, 0, 0, 0, 0, 8,16,16, 3, 0, 0, 0, 0,10,16,10, 0, 0, 0, 0, 3,16, 7,15, 2, 0, 0, 0, 1,16, 6,12, 7, 0, 0, 0, 0, 5,16,15, 5, 0, 0), 8),
    (( 0, 2,12,14,16,12, 1, 0, 0, 1,16,16,14,11, 1, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 3, 8,16, 3, 0, 0, 0, 1,15,16,16, 3, 0, 0), 5),
    (( 0, 0,14,16,16, 8, 0, 0, 0, 0, 6, 5, 8,16, 3, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 7,16,13, 0, 0, 0, 0, 0, 8,12,16, 7, 0, 0, 0, 0, 0, 0, 8,14, 1, 0, 0,10, 4, 4,10,16, 1, 0, 0,12,16,16,16, 9, 0), 3),
    (( 0, 0, 8,16, 8, 0, 0, 0, 0, 6,14, 5,13, 6, 0, 0, 0, 7,12, 2, 7,16, 2, 0, 0, 0,12,16,16,16, 6, 0, 0, 0, 0, 3, 3, 9, 8, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 3, 9,16, 8, 0, 0, 0, 0,10,11, 4, 0, 0, 0), 9),
    (( 0, 0, 7,14,12, 0, 0, 0, 0, 5,16,16,16, 6, 0, 0, 0, 8,16, 8, 5,15, 3, 0, 0, 8,12, 0, 0,10, 7, 0, 0, 8,11, 0, 0,12, 5, 0, 0, 4,13, 0, 0,12, 5, 0, 0, 0,16,12, 9,16, 3, 0, 0, 0, 8,14,12, 7, 0, 0), 0),
    (( 0, 0, 5,13,12, 1, 0, 0, 0, 2,15,14,15, 9, 0, 0, 0, 7,16, 4,13,16, 1, 0, 0, 6,16,14,16,16, 6, 0, 0, 0,12,14, 9,16, 7, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 3, 4, 8,15, 5, 0, 0, 0, 8,15,15, 9, 0, 0), 9),
    (( 0, 0, 6,12,13, 5, 0, 0, 0, 0,14, 9, 8,16, 2, 0, 0, 0, 5, 1, 6,15, 3, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 2,14, 8, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 0, 9,15,13,10, 8, 0), 2),
    (( 0, 0, 6,15,10, 0, 0, 0, 0, 0,15,16, 9, 0, 0, 0, 0, 5,16,16, 3, 0, 0, 0, 0, 8,16,16,16, 9, 0, 0, 0, 0, 4, 8,13,16, 4, 0, 0, 0, 0, 2, 4,16, 6, 0, 0, 0,10,15,14,14, 1, 0, 0, 0, 8,16,14, 2, 0, 0), 3),
    (( 0, 0, 1,16,13, 0, 0, 0, 0, 0, 6,16,15, 0, 0, 0, 0, 7,16,16,12, 0, 0, 0, 1,12,16,16,12, 0, 0, 0, 0, 0, 2,10,14, 0, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0,10,16, 0, 0, 0, 0, 0, 0,12,16, 0, 0, 0), 1),
    (( 0, 0, 1,11,15, 2, 0, 0, 0, 0,11,14,10,13, 0, 0, 0, 2,15, 4, 0,15, 3, 0, 0, 3,13, 0, 0, 9, 7, 0, 0, 6, 9, 0, 0,10, 8, 0, 0, 2,12, 0, 0,11, 8, 0, 0, 0,13, 5, 6,16, 3, 0, 0, 0, 2,14,16,11, 1, 0), 0),
    (( 0, 0, 7,14,12, 4, 0, 0, 0, 0,10,12,12,12, 2, 0, 0, 0, 9, 5, 3,14, 3, 0, 0, 0, 4,13,15, 9, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0,15, 4,14, 1, 0, 0, 0, 2,13, 5, 9, 7, 0, 0, 0, 0, 4,12,16,10, 0, 0), 8),
    (( 0, 5,14,10, 4, 0, 0, 0, 0, 3,12,16,16, 6, 0, 0, 0, 0, 1,13,16, 5, 0, 0, 0, 0, 8,16,13, 2, 0, 0, 0, 0, 5,16,13, 2, 0, 0, 0, 0, 0, 6,16,15, 4, 0, 0, 1, 8, 9,15,16, 5, 0, 0, 4,15,14, 8, 4, 0, 0), 3),
    (( 0, 0, 0, 6,12, 2, 0, 0, 0, 0, 2,15,10, 4, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 1,15, 1, 0, 0, 0, 0, 0, 2,13, 6, 9, 2, 0, 0, 0, 0,15,16,12,13, 1, 0, 0, 0, 6,12, 8,15, 4, 0, 0, 0, 0, 7,15,11, 1, 0), 6),
    (( 0, 0, 0,14, 7, 1, 6, 0, 0, 0, 6,15, 2,11,15, 0, 0, 2,14,10, 2,16, 8, 0, 0, 7,16,10,13,16,14, 0, 0, 6,16,16,16,11, 5, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 1,15, 4, 0, 0, 0), 4),
    (( 0, 2,16,16,12,12,11, 0, 0, 0, 3, 9,13,16,14, 2, 0, 0, 0, 1,13,16, 4, 0, 0, 0, 0,14,15, 3, 0, 0, 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 0, 1,16,12, 0, 0, 0, 0, 3, 9,16,10, 0, 0, 0, 4,16,16, 7, 0, 0, 0), 3),
    (( 0, 0, 8,16,11, 0, 0, 0, 0, 1,14,10,16, 5, 0, 0, 0, 1, 4, 7,15, 1, 0, 0, 0, 0, 6,16,15, 4, 0, 0, 0, 0, 0, 5,10,16, 5, 0, 0, 0, 4, 0, 1,16, 4, 0, 0, 0,13, 8,15,10, 0, 0, 0, 0,11,14, 5, 0, 0, 0), 3),
    (( 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0,13,16, 7, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0, 9,15, 8, 8, 5, 0, 0, 0,15,16,16,16,16, 4, 0, 0, 5,15,10, 8,16, 5, 0, 0, 0, 6,15,16,14, 0), 6),
    (( 0, 0, 0,13,15, 2, 0, 0, 0, 0, 4,16,14, 1, 0, 0, 0, 0,15,16,11, 0, 0, 0, 0, 6, 9,16,14, 0, 0, 0, 0, 0, 0,10,15, 2, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0,15,16,15, 0, 0), 1),
    (( 0, 0, 6,15,12, 2, 0, 0, 0, 3,16, 5, 8,12, 0, 0, 0, 3,14, 4, 5,16, 0, 0, 0, 0, 6,12,12,14, 1, 0, 0, 0, 0, 0, 0, 6, 6, 0, 0, 0, 0, 0, 0, 3, 9, 0, 0, 0, 2, 1, 1, 8,10, 0, 0, 0, 5,11,15,14, 7, 0), 9),
    (( 0, 0, 6,12,16,16,11, 0, 0, 0, 5,15,13, 4, 0, 0, 0, 0, 1,14, 0, 0, 0, 0, 0, 0, 7,16,14, 4, 0, 0, 0, 0, 1, 6,12,15, 0, 0, 0, 0, 0, 0, 0,16, 2, 0, 0, 0, 3, 0, 3,13, 0, 0, 0, 0,10,16,14, 4, 0, 0), 5),
    (( 0, 0, 1,14,15, 2, 0, 0, 0, 2,12,16,16, 5, 0, 0, 5,16,16,16,16, 2, 0, 0, 1, 8, 5,11,14, 0, 0, 0, 0, 0, 0,10,16, 1, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 0,14,16, 1, 0, 0), 1),
    (( 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 3,16,10, 0, 6, 0, 0, 1,13,14, 2,10,15, 0, 0, 7,16,16,13,15,13, 0, 0, 3,10,14,16,16,10, 0, 0, 0, 0, 0,13,15, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 9,15, 1, 0, 0), 4),
    (( 0, 0,10,16,16,16,16, 4, 0, 0, 4, 8, 8,14,14, 1, 0, 0, 0, 0, 6,15, 4, 0, 0, 0, 4,12,15,14, 4, 0, 0, 0,11,16,16,16, 9, 0, 0, 0, 0,14,10, 3, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0), 7),
    (( 0, 0, 1, 8,12,12, 2, 0, 0, 0,13,12,12,15, 9, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 2, 8,16, 8, 0, 0, 0, 2,16,16,15, 5, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0, 9,12, 0, 0, 0), 7),
    (( 0, 0, 2,10,15, 5, 0, 0, 0, 0,10,15, 5, 1, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0, 5,12, 2, 7, 9, 2, 0, 0, 1,16,15,13,12,12, 0, 0, 0,15,11, 7,15, 6, 0, 0, 0, 4,13,15, 7, 0, 0), 6),
    (( 0, 0,14, 3, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0, 8,16, 4, 3, 0, 0, 0, 0, 8,16,16,16,14, 1, 0, 0, 8,16, 5, 5,16, 8, 0, 0, 4,16, 2, 7,16, 2, 0, 0, 0,12,16,15, 7, 0, 0), 6),
    (( 0, 1,12,16,14, 4, 0, 0, 0, 8,11, 0,10, 8, 0, 0, 0, 1, 1, 4,14, 4, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 0, 0, 3,13,11, 0, 0, 0, 0, 0, 0, 1,11, 7, 0, 0, 0,10, 0, 1,10, 8, 0, 0, 0,13,15,15,10, 2, 0), 3),
    (( 0, 2, 9,15,12, 1, 0, 0, 0, 6,16,10,14, 6, 0, 0, 0, 1, 1, 6,16, 4, 0, 0, 0, 3,13,16,16, 8, 0, 0, 0, 3,12, 7, 7,16, 4, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 3,15, 6,12,16, 4, 0, 0, 0,10,16,14, 7, 1, 0), 3),
    (( 0, 0, 0,10,10, 0, 0, 0, 0, 1, 8, 2,12, 4, 0, 0, 0, 7,14, 1, 2,12, 0, 0, 0, 7,10, 0, 0,12, 3, 0, 0, 3,12, 0, 0,11, 8, 0, 0, 1,15, 1, 1,15, 8, 0, 0, 0, 6,14,13,16, 4, 0, 0, 0, 0, 9,14, 7, 0, 0), 0),
    (( 0, 1, 7,15,13, 2, 0, 0, 0, 7,14, 7,13, 8, 0, 0, 0, 0, 0, 1,13, 7, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0, 1, 9,12, 0, 0, 0, 0, 0, 0, 2,14, 6, 0, 0, 0, 5, 5, 2,14, 8, 0, 0, 0,11,16,12,10, 1, 0), 3),
    (( 0, 0, 0, 5,12, 5, 0, 0, 0, 0, 2,16,14, 7, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 0,15,14,16,16, 5, 0, 0, 1,16,16,12, 6,14, 0, 0, 0,10,16, 7, 7,16, 1, 0, 0, 1, 8,14,16,10, 1), 6),
    (( 0, 0, 5,12,12, 5, 0, 0, 0, 0,13, 4, 5,16, 0, 0, 0, 0,15, 1,12,14, 0, 0, 0, 0, 9,16,16, 6, 0, 0, 0, 0, 7,16,16, 1, 0, 0, 0, 1,13, 4, 7,11, 0, 0, 0, 2,13, 1, 5,16, 0, 0, 0, 0, 6, 9, 9, 6, 0, 0), 8),
    (( 0, 0, 2, 8,12,13, 2, 0, 0, 2,16,15, 6, 8, 8, 0, 0, 7,11, 5, 2,13, 7, 0, 0, 6,15,13,15,15, 1, 0, 0, 0, 3, 2, 9, 6, 0, 0, 0, 0, 0, 1,14, 1, 0, 0, 0, 0, 0, 7,10, 0, 0, 0, 0, 0, 0,13, 3, 0, 0, 0), 9),
    (( 0, 0, 0, 9, 9, 1, 0, 0, 0, 0,10,16,10,12, 1, 0, 0, 0, 5,14, 1,12, 4, 0, 0, 0, 0,11,15,16, 2, 0, 0, 0, 3,12,16, 9, 0, 0, 0, 1,12,10, 4,16, 7, 0, 0, 2,15, 5, 0,11,12, 0, 0, 0, 1,10,13,13, 6, 0), 8),
    (( 0, 0, 0,14, 4, 5, 1, 0, 0, 0, 6,13, 1,15, 5, 0, 0, 0,12, 7, 2,16, 2, 0, 0, 7,15, 6,10,16, 6, 0, 0,12,16,16,16,13, 6, 0, 0, 2, 7, 8,15, 3, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0), 4),
    (( 0, 0, 2,13,16, 6, 0, 0, 0, 0,11,16,11, 5, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 4,16, 4,10, 2, 0, 0, 0, 3,14,15,16,14, 1, 0, 0, 3,16, 8, 0,14, 9, 0, 0, 0,13, 8, 5,16, 5, 0, 0, 0, 4,13,16,10, 0, 0), 6),
    (( 0, 0, 1,15, 4, 0, 0, 0, 0, 4, 7, 9,16, 4, 0, 0, 0, 8, 7, 0, 4,15, 0, 0, 0, 6, 6, 0, 0,11, 6, 0, 0, 5, 9, 0, 0, 3, 9, 0, 0, 0,15, 0, 0, 5, 9, 0, 0, 0,11,11, 5,15, 5, 0, 0, 0, 3,13,16,11, 0, 0), 0),
    (( 0, 0, 0,12,14, 6, 0, 0, 0, 1, 5, 1, 8,16, 3, 0, 0, 4,15,12,16,16, 3, 0, 0, 0,12,16,12, 2, 0, 0, 0, 4,16,14,11, 0, 0, 0, 0, 4,15, 5,15, 2, 0, 0, 0, 0, 9,16,15, 8, 0, 0, 0, 0, 0,10,16, 9, 0, 0), 8),
    (( 0, 0, 5,13, 1, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 0,16, 2, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 0, 8,15, 9,14, 6, 0, 0, 0, 7,16,16,10,16, 2, 0, 0, 1,16,16, 4,16, 5, 0, 0, 0, 4,14,16,13, 0, 0), 6),
    (( 0, 0, 0, 4,12,15, 5, 0, 0, 1,10,15,14,16, 7, 0, 0, 3,16,16,16,16, 7, 0, 0, 0, 3, 4, 3,13, 8, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 0, 3,16, 2, 0, 0), 9),
    (( 0, 0, 9,14, 8, 0, 0, 0, 0, 7,12, 6,15, 3, 0, 0, 0, 3, 1, 0,12, 8, 0, 0, 0, 0, 0, 7,15,11, 0, 0, 0, 0, 0,10,11,15, 5, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 4, 7, 4,14, 5, 0, 0, 0, 8,14,16,14, 1, 0), 3),
    (( 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 0,14, 8, 0, 2, 0, 0, 0, 8,14, 2, 7,13, 0, 0, 3,15, 5, 0,13, 7, 0, 0,12,15, 8,10,16, 2, 0, 1, 9,12,12,15,15, 1, 0, 0, 0, 0, 0,15, 4, 0, 0), 4),
    (( 0, 0, 5,15, 5, 0, 0, 0, 0, 0,13,11,12, 0, 0, 0, 0, 0,14, 7, 2, 4, 4, 0, 0, 0, 9,15,14,13, 5, 0, 0, 1,13,16,13, 0, 0, 0, 0, 7,14, 4,14, 9, 0, 0, 0, 0,15, 4, 2,14, 7, 0, 0, 0, 3,13,16,16, 7, 0), 8),
    (( 0, 0, 5, 7,13, 7, 0, 0, 0, 7,16,16,10,15, 0, 0, 0, 5,15, 5, 6,11, 0, 0, 0, 1, 9,15,15, 4, 0, 0, 0, 0, 5,16,16, 3, 0, 0, 0, 0,14, 7,13, 8, 0, 0, 0, 0,15,11,13,11, 0, 0, 0, 0, 5,12,12, 4, 0, 0), 8),
    (( 0, 0, 4,15,16,15, 2, 0, 0, 0,16,12,10,15, 9, 0, 0, 2,16, 5, 0, 9,11, 0, 0, 0,15, 6, 0, 8,10, 0, 0, 1,16, 7, 0,13, 6, 0, 0, 2,16,10, 4,16, 0, 0, 0, 0,10,16,16, 8, 0, 0, 0, 0, 2,14,12, 2, 0, 0), 0),
    (( 0, 0, 0, 6,14, 2, 0, 0, 0, 0, 4,16, 9, 3, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0,15,10, 2, 0, 0, 0, 0, 4,16,11,13, 9, 0, 0, 0, 0,10, 8, 0, 9, 8, 0, 0, 0, 2,13, 3,10, 8, 0, 0, 0, 0, 4,14,16, 2, 0), 6),
    (( 0, 0, 0, 3,10,13,12, 4, 0, 0, 3,16, 6, 5,14, 9, 0, 0,12,16,13,12,14, 4, 0, 0,11,16,16,16,12, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0,10, 6, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 0, 0, 1,15, 1, 0, 0), 9),
    (( 0, 0, 9,16,16,16, 5, 0, 0, 0, 6, 8,11,16,10, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 1, 8,15,15, 3, 0, 0, 0, 9,16,16,16, 7, 0, 0, 0, 2,15,14, 0, 0, 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0), 7),
    (( 0, 1,11,16,13, 1, 0, 0, 0, 9,16,10,15, 8, 0, 0, 0, 7,13, 1,12,11, 0, 0, 0, 0, 0, 5,15, 9, 0, 0, 0, 0, 0,16,16,16, 7, 0, 0, 0, 0, 7, 3,13,12, 0, 0, 0, 7, 8,10,16, 5, 0, 0, 0,13,16,16, 6, 0, 0), 3),
    (( 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 7,15, 1, 0, 5, 9, 0, 0, 9,16, 0, 6,15,10, 0, 0,10,16,16,16,14, 0, 0, 0, 2, 5, 7,16, 7, 0, 0, 0, 0, 0, 6,15, 1, 0, 0), 4),
    (( 0, 4,13,16,16,12, 0, 0, 0, 5,14, 4, 4, 3, 0, 0, 0, 2,16, 8, 6, 1, 0, 0, 0, 2,16,13,14,11, 0, 0, 0, 0, 5, 0, 0,15, 5, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 1, 0, 0,11,12, 0, 0, 2,15,16,16,14, 3, 0), 5),
    (( 0, 1,13, 5, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0, 4, 8, 0, 1, 6, 1, 0, 0, 5, 8, 1,11,16, 5, 0, 0, 4,10, 7,16,16, 7, 0, 0, 4,14,10,16,16, 3, 0, 0, 1,16,16,16,10, 0, 0, 0, 0,10,14, 9, 2, 0, 0), 6),
    (( 0, 0, 4,10,13,11, 1, 0, 0, 2,13,10, 4, 8, 8, 0, 0, 6,13, 4, 9,15, 4, 0, 0, 4,16,16,16,13, 0, 0, 0, 0,12,11, 1, 8, 8, 0, 0, 0,12, 4, 0, 7, 8, 0, 0, 0,12, 8, 8,14, 0, 0, 0, 0, 6,13,11, 1, 0, 0), 8),
    (( 0, 0, 4,15,11, 2, 0, 0, 0, 0,15,15,14,11, 0, 0, 0, 2,16, 6, 0,15, 1, 0, 0, 2,16, 5, 0,11, 5, 0, 0, 2,16, 4, 0, 7, 9, 0, 0, 0,15, 2, 0,10, 9, 0, 0, 0,11,13, 9,16, 4, 0, 0, 0, 2,10,16,10, 0, 0), 0),
    (( 0, 2,13,16,14, 3, 0, 0, 0, 2, 8,11,16, 8, 0, 0, 0, 0, 3,16,12, 1, 0, 0, 0, 0, 1,11,14, 2, 0, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 7,11, 4, 4,13, 7, 0, 0, 2,11,16,12,10, 0, 0), 3),
    (( 0, 0, 1,15,16,13, 1, 0, 0, 3,11,11, 3,13, 9, 0, 0,12,13, 0, 0, 8,12, 0, 0, 9,15, 0, 0, 8,12, 0, 0, 4,16, 2, 0, 8,12, 0, 0, 2,15, 9, 0, 8,12, 0, 0, 0,10,16, 5,14, 8, 0, 0, 0, 1,12,16,15, 1, 0), 0),
    (( 0, 2,12,16,16, 6, 0, 0, 0,11,15, 8,15,12, 0, 0, 0,10, 2, 7,16,10, 0, 0, 0, 0, 0,12,15, 2, 0, 0, 0, 0, 0, 3,16,11, 0, 0, 0, 0, 0, 0, 6,15,10, 0, 0, 0, 7, 5,10,16,15, 0, 0, 3,16,16,16,10, 2, 0), 3),
    (( 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 6,14, 2, 0, 6, 0, 0, 1,14, 5, 0, 9,15, 0, 0, 9,14, 0, 2,16, 6, 0, 1,15,15,12,14,15, 3, 0, 1,12,12,10,16, 4, 0, 0, 0, 0, 0, 7,13, 0, 0, 0), 4),
    (( 0, 0, 3,16, 0, 0, 0, 0, 0, 0,10,10, 3, 5, 0, 0, 0, 0,16, 5,12,10, 0, 0, 0, 4,15, 2,15, 4, 0, 0, 0,10,13, 9,15,10,11, 0, 0, 3,14,16,14, 8, 2, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 3,15, 0, 0, 0, 0), 4),
    (( 0, 0, 0,10,10, 0, 0, 0, 0, 0, 2,15, 7, 0, 7, 1, 0, 1,13,13, 0, 5,16, 3, 0, 6,16,12, 8,14,14, 0, 0, 4,15,16,16,16, 9, 0, 0, 0, 0, 3,15,13, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0,12, 8, 0, 0, 0), 4),
    (( 0, 1, 9,14,14, 3, 0, 0, 0, 2,12,10,12,11, 0, 0, 0, 0, 0, 3,14,11, 0, 0, 0, 0,11,16,16, 7, 0, 0, 0, 0,10, 7,11,16, 5, 0, 0, 0, 0, 0, 0, 5,12, 0, 0, 0, 8, 5, 6,12,12, 0, 0, 0,12,16,15,10, 3, 0), 3),
    (( 0, 0, 4,11,12,16,10, 0, 0, 3,16,16,14, 7, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 0, 2,14,10, 1, 0, 0, 0, 0, 0, 1,14,11, 0, 0, 0, 0, 0, 1,13,14, 2, 0, 0, 0, 7,14,10, 2, 0, 0), 5),
    (( 0, 0, 6,13,12, 2, 0, 0, 0, 0,14, 2, 2,10, 0, 0, 0, 4,10, 0, 6,13, 0, 0, 0, 4,10, 0, 8,12, 0, 0, 0, 0,11,12,13,13, 0, 0, 0, 0, 0, 3, 0,11, 0, 0, 0, 0, 0, 0, 0, 9, 4, 0, 0, 0, 5,16,16,13, 2, 0), 9),
    (( 0, 0, 9,16, 6, 0, 0, 0, 0, 2,14,16,16, 8, 3, 0, 0, 0,14,16,16,16,11, 0, 0, 0,14,16,12, 5, 1, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 0,15,16, 5, 0, 0, 0, 0, 0,16,16, 8, 0, 0, 0, 0, 0,10,13, 1, 0, 0, 0), 8),
    (( 0, 0, 2,12,16,13, 2, 0, 0, 1,14,12, 6,15, 7, 0, 0, 7,16, 2, 7,15, 6, 0, 0, 2,16,16,16,16, 3, 0, 0, 0, 3, 6,10,13, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 0,15, 9, 0, 0, 0), 9),
    (( 0, 0, 8,11,15, 4, 0, 0, 0, 0,14,14,12, 6, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0,10,16,14, 2, 0, 0, 0, 0, 4, 8, 9,14, 2, 0, 0, 0, 0, 0, 0,15, 2, 0, 0, 0, 4,11,13,16, 1, 0, 0, 0, 4,15,12, 9, 0, 0), 5),
    (( 0, 0,12,11, 0, 0, 0, 0, 0, 8,16, 4, 0, 5, 3, 0, 0,11,16, 0, 4,16, 9, 0, 0,11,16, 8,13,14, 1, 0, 0, 2,13,16,16, 8, 0, 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0), 4),
    (( 0, 0, 6,16,16,16, 9, 0, 0, 0, 5, 8, 4,14,13, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 4,11,16, 2, 0, 0, 0, 0,14,16,16,10, 0, 0, 0, 0,16,12, 8, 2, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 0, 9,14, 1, 0, 0, 0), 7),
    (( 0, 0, 7,16,16,12, 2, 0, 0, 0,12,16,13,14, 7, 0, 0, 2,16,11, 0, 0, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0,11,16,11,16, 3, 0, 0, 0, 1, 2, 0,13, 8, 0, 0, 0, 0, 2, 4,13, 8, 0, 0, 0, 0, 8,16,16, 4, 0, 0), 5),
    (( 0, 0, 2, 8,12, 5, 0, 0, 0, 0, 3,16,16,12, 0, 0, 0, 0, 5,16,16, 8, 0, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0, 9,16,16, 5, 0, 0, 0, 0, 8,16,16, 8, 0, 0, 0, 0, 6,16,16,10, 0, 0, 0, 0, 1,10,10, 7, 0, 0), 1),
    (( 0, 0, 0, 4, 8, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 2,15, 2, 3, 0, 0, 0, 0,11,10, 4,16, 2, 0, 0,11,14, 0, 9,16, 2, 0, 0, 9,15,12,15,16, 0, 0, 0, 0, 2, 6,15, 6, 0, 0), 4),
    (( 0, 0, 0, 7,13, 3, 0, 0, 0, 0, 1,15,16,15, 0, 0, 0, 9,16,16,16,16, 2, 0, 0, 4, 8,12,16,10, 0, 0, 0, 0, 0,11,16,13, 0, 0, 0, 0, 0, 7,16,15, 0, 0, 0, 0, 0, 6,16,16, 2, 0, 0, 0, 0, 6,16,16, 7, 0), 1),
    (( 0, 0, 5,14, 9, 0, 0, 0, 0, 1,14, 4, 9, 0, 0, 0, 0, 0,16, 0, 6, 4, 0, 0, 0, 0,13, 3,13, 2, 0, 0, 0, 0, 1,13,13, 0, 0, 0, 0, 0, 4,14, 9,13, 3, 0, 0, 0,13, 3, 0, 3,15, 0, 0, 0, 5,12,12,15, 4, 0), 8),
    (( 0, 0, 7,16,16,16,13, 0, 0, 0, 6, 9,11,15,13, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 5,13,16, 4, 0, 0, 0, 9,16,16,16, 8, 0, 0, 0, 3,14,11, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 4,14,14, 0, 0, 0, 0, 3,15,13, 3, 0, 0, 0, 0,15,15, 1, 0, 0, 0, 0, 7,16, 5, 0, 9, 6, 0, 0,11,16, 8,12,16, 9, 0, 0, 3,11,12,16,14, 0, 0, 0, 0, 0, 6,16, 9, 0, 0, 0, 0, 0, 7,16, 4, 0, 0), 4),
    (( 0, 0, 0, 0, 8,16,11, 0, 0, 0, 0,13, 9, 8,14, 1, 0, 0,10, 8, 0, 5,16, 4, 0, 2,15, 8,14,14,12, 0, 0, 2,12, 9, 2,10, 6, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 0, 0, 0,13, 1, 0, 0), 9),
    (( 0, 0, 5,14,13, 4, 0, 0, 0, 0,12,16,16,10, 0, 0, 0, 0,11,16,16, 7, 0, 0, 0, 0, 8,16,16, 5, 0, 0, 0, 0, 8,16,16, 6, 0, 0, 0, 0,11,16,15, 4, 0, 0, 0, 0,11,16,16, 5, 0, 0, 0, 0, 5,12,16,11, 3, 0), 1),
    (( 0, 0, 0,12,16,10, 0, 0, 0, 0,10,15,15,13, 0, 0, 0, 0, 9, 6,16, 7, 0, 0, 0, 0, 0, 8,15, 3, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 8,15,16, 3, 0, 0, 0, 5,16,16,16,16, 6, 0, 0, 1, 4, 4, 9,16,11, 0, 0), 2),
    (( 0, 1, 9,15, 5, 0, 0, 0, 0, 6,16,13,15, 3, 0, 0, 0,12,11, 0,12,14, 0, 0, 0, 5,15,11,15,16, 3, 0, 0, 0, 4, 8,10,16, 5, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 6, 4, 7,14,13, 0, 0, 0, 7,14,14,12, 5, 0), 9),
    (( 0, 0,10,12, 2, 0, 0, 0, 0, 0,16,14, 8, 0, 0, 0, 0, 0,14, 7,12, 0, 0, 0, 0, 0, 1, 5,12, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 4,16,16,10, 6, 2, 0, 0, 1, 8, 8,11,13,10, 0), 2),
    (( 0, 0, 2,13,16, 7, 0, 0, 0, 0, 7,15,12,16, 2, 0, 0, 0, 4,16,11,16, 8, 0, 0, 0, 0, 8,16,13,10, 0, 0, 5, 4, 0, 0, 7,13, 0, 0, 4,13, 0, 0, 9,11, 0, 0, 1,12,10, 4,13,10, 0, 0, 0, 2,12,16,16, 4, 0), 9),
    (( 0, 0, 6,14,15,12,11, 0, 0, 2,15, 5, 4, 4, 3, 0, 0, 2,16,11,12, 7, 0, 0, 0, 5,11, 6, 6,16, 3, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 4,15, 5,12,15, 0, 0, 0, 0, 9,15,11, 1, 0, 0), 5),
    (( 0, 1, 7,11,16,11, 0, 0, 0, 8,14, 8,10,16, 3, 0, 0, 4, 4, 3,15,12, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 5,13,13, 0, 0, 0, 0,13,13, 8, 0, 0, 0), 3),
    (( 0, 0, 4,13, 4, 0, 0, 0, 0, 2,13,16,15, 1, 0, 0, 0, 9,16, 5,10, 9, 0, 0, 0,11,16, 1, 1,14, 1, 0, 0, 6,16, 3, 0, 6, 9, 0, 0, 2,16, 2, 0, 5,11, 0, 0, 0,12,12, 8,15, 9, 0, 0, 0, 2,12,13, 9, 1, 0), 0),
    (( 0, 0, 7,15, 6, 0, 0, 0, 0, 0, 5, 8,14, 7, 0, 0, 0, 0, 7, 2, 4,13, 2, 0, 0, 0,14, 3, 0,12, 4, 0, 0, 2,16, 0, 1,14, 5, 0, 0, 5,13, 0, 7,16, 3, 0, 0, 1,16, 9,15,13, 0, 0, 0, 0, 9,15,10, 1, 0, 0), 0),
    (( 0, 0, 3,16,13, 6, 0, 0, 0, 1, 9,13,12,16, 2, 0, 0,10,16,10, 6,16, 4, 0, 0, 7,16,16,16,16, 8, 0, 0, 0, 4, 8, 5,10,10, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 1,10, 5,15, 8, 0, 0, 0, 2,14,16,12, 0, 0), 9),
    (( 0, 0, 0, 0, 9, 7, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 3,15, 2, 2, 1, 0, 0, 2,15, 4, 0,14, 4, 0, 0, 7,14, 0, 4,16, 0, 0, 0, 8,16,16,16,16, 4, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 0,13, 6, 0, 0), 4),
    (( 0, 2,15,11, 1, 0, 0, 0, 0,13,15,15, 8, 0, 0, 0, 0,16, 9, 8,11, 0, 0, 0, 0, 7, 1,10, 9, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 1,14,15,16,16,12, 2, 0, 2,13,16,14,11, 6, 0), 2),
    (( 0, 0, 8,14,13, 3, 0, 0, 0, 6,13, 3, 6,11, 0, 0, 0, 1, 2, 0, 4,13, 0, 0, 0, 0, 0,11,16,11, 0, 0, 0, 0, 0, 3, 4,11, 7, 0, 0, 0, 0, 0, 0, 5, 9, 0, 0, 2,13, 1, 0, 7,10, 0, 0, 0, 9,16,13,12, 1, 0), 3),
    (( 0, 0, 8,13,11, 4, 0, 0, 0, 3,16, 8, 8,15, 2, 0, 0, 6,16, 8, 9,16, 8, 0, 0, 0,10,16,13,13, 8, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 3, 9,15, 7, 0, 0, 0, 0,10,10, 3, 0, 0, 0), 9),
    (( 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 8,15, 3, 0, 0, 0, 0, 4,15, 5, 0, 0, 0, 0, 1,14, 9, 0, 5, 3, 0, 0, 8,15, 0, 1,16, 7, 0, 0,12,15,12,15,15, 3, 0, 0, 6,15,12,15,12, 0, 0, 0, 0, 0, 0,10, 4, 0, 0), 4),
    (( 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 5,16,16, 2, 0, 0, 0, 0, 4,16,16, 1, 0, 0, 0, 0, 3,16,16, 0, 0, 0, 0, 0, 1,16,16, 0, 0, 0, 0, 0, 3,16,16, 0, 0, 0, 0, 0, 4,16,16, 0, 0, 0, 0, 0, 0,14,16, 0, 0, 0), 1),
    (( 0, 0, 9,16,14, 1, 0, 0, 0, 4,16,14,15, 8, 0, 0, 0, 8,16, 5, 3,15, 2, 0, 0, 7,13, 0, 0,15, 4, 0, 0, 8,12, 0, 0,12, 5, 0, 0, 5,14, 1, 2,14, 4, 0, 0, 0,16,16,16,13, 1, 0, 0, 0, 8,14,11, 3, 0, 0), 0),
    (( 0, 0, 6,13,15, 4, 0, 0, 0, 5,16, 9, 8,12, 0, 0, 0, 4, 4, 0,10,10, 0, 0, 0, 0, 1,10,16,10, 1, 0, 0, 0, 3,11, 8,15, 8, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 4, 4, 8,15, 1, 0, 0, 0, 4,15,15, 1, 0, 0), 3),
    (( 0, 0, 3,11,13,14, 6, 0, 0, 0,12, 9, 3, 0, 0, 0, 0, 2,14, 0, 0, 0, 0, 0, 0, 8,10, 6,12,12, 2, 0, 0, 7,16,13, 6,14, 8, 0, 0, 0, 0, 0, 1,14, 1, 0, 0, 0, 1, 4,11, 6, 0, 0, 0, 0, 3,13,10, 0, 0, 0), 5),
    (( 0, 0,11,12, 0, 0, 0, 0, 0, 4,16,15, 3, 0, 0, 0, 0, 2,11, 9, 6, 0, 0, 0, 0, 0, 2,10, 5, 0, 0, 0, 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 3,16, 0, 0, 0, 0, 0, 0,12,16,12,15,14, 0, 0, 0,10,16,14,10,10, 1), 2),
    (( 0, 0, 7,16,10, 1, 0, 0, 0, 4,16,11,14,13, 0, 0, 0, 6,16, 4,10,16, 5, 0, 0, 2,15,16,12,14, 8, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 4, 8, 8,14, 8, 0, 0, 0, 8,15,14,11, 0, 0), 9),
    (( 0, 0, 0, 0, 5,14, 8, 0, 0, 0, 1,10,13,13,11, 0, 0, 0,11, 9, 2,14, 6, 0, 0, 4,16, 9,12,16, 3, 0, 0, 0, 6, 4, 4,15, 4, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 2,15, 0, 0), 9),
    (( 0, 0, 0,10,13, 3, 0, 0, 0, 0, 0,16,16, 8, 0, 0, 0, 0, 4,16,16, 7, 0, 0, 0, 2,15,16,16,10, 0, 0, 0, 6,16,16,16,13, 0, 0, 0, 0, 0, 8,16,14, 0, 0, 0, 0, 0,11,16,16, 1, 0, 0, 0, 0,12,12, 7, 0, 0), 1),
    (( 0, 0, 8,16,15, 4, 0, 0, 0, 0, 8,16,16,10, 0, 0, 0, 0, 8,16,16, 7, 0, 0, 0, 0, 8,16,16, 4, 0, 0, 0, 2,16,16,16, 4, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0, 7,16,16,11, 0, 0, 0, 0, 7,16,16,13, 4, 0), 1),
    (( 0, 0, 0, 1,13, 9, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 0, 4,14,13, 2,13, 6, 0, 0, 6,16,16,16,16, 9, 0, 0, 0, 6, 8,13,16, 0, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 2,16, 9, 0, 0), 4),
    (( 0, 0, 3,13, 9, 2, 0, 0, 0, 0, 5,16,16, 7, 0, 0, 0, 0,10,16,16, 0, 0, 0, 0, 1,15,16,14, 1, 0, 0, 0, 6,16,16,14, 0, 0, 0, 0, 0,12,16,10, 0, 0, 0, 0, 0, 7,16,14, 0, 0, 0, 0, 0, 3,15,16,12, 0, 0), 1),
    (( 0, 1, 9,14,16,16, 3, 0, 0, 2,16,16,15,12, 3, 0, 0, 0,10,16, 1, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0, 9,16, 0, 0, 0, 0, 2,14,15,14, 0, 0, 0, 0, 1,16,16, 4, 0, 0, 0), 5),
    (( 0, 0, 7,10, 0, 0, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 4,16,10, 6, 0, 0, 0, 0, 4,16,16,16,14, 5, 0, 0, 3,16,10,11,16,11, 0, 0, 0, 7,14,12, 9, 2, 0), 6),
    (( 0, 0, 2,16,10, 0, 0, 0, 0, 0, 6,16,16, 4, 0, 0, 0, 0, 2,15,16, 7, 0, 0, 0, 0, 0,11,16, 4, 0, 0, 0, 0, 0,15,16, 3, 0, 0, 0, 0, 0,13,15, 0, 0, 0, 0, 0, 1,16,13, 0, 0, 0, 0, 0, 2,15,11, 0, 0, 0), 1),
    (( 0, 2,14,16,13, 7, 0, 0, 0, 3,12, 8,13,16, 0, 0, 0, 0, 0, 5,14,11, 0, 0, 0, 2,12,16,10, 1, 0, 0, 0, 3,16,15, 9, 1, 0, 0, 0, 0, 3,11,15,15, 1, 0, 0, 3, 6, 4, 5,16, 8, 0, 0, 3,13,16,14,12, 2, 0), 3),
    (( 0, 0, 2,14, 3, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 2,16,12, 8, 4, 0, 0, 0, 0,16,16,16,16,11, 0, 0, 0,12,10, 4, 7,14, 0, 0, 0, 3,11,16,16, 7, 0), 6),
    (( 0, 0,10,12,13, 9, 4, 0, 0, 2,16,11, 8, 5, 3, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 7,16,16,15, 3, 0, 0, 0, 6,12, 9,14,15, 1, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 4, 4,13,15, 1, 0, 0, 0,13,15, 9, 2, 0, 0), 5),
    (( 0, 0, 1,12,16,16,12, 0, 0, 0, 0, 7, 4,11,13, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 1, 4,12, 8, 0, 0, 0, 0,12,16,16, 8, 0, 0, 0, 0, 3,12, 6, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0), 7),
    (( 0, 4,14,14,16,16, 4, 0, 0, 5,16,11, 5, 4, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 6,16,16,16,11, 0, 0, 0, 4,11, 6, 7,16, 4, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 1, 7,15,12, 0, 0, 0, 4,16,12, 5, 0, 0, 0), 5),
    (( 0, 4,16,16,16,16,13, 0, 0, 5,12,12,13,16,14, 0, 0, 0, 0, 0,10,15, 4, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 3,15, 9, 0, 0, 0, 0, 0,13,16, 2, 0, 0, 0, 0, 2,16,12, 0, 0, 0, 0), 7),
    (( 0, 0, 6,12,12,15, 7, 0, 0, 0,14,15,12,16, 9, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 1, 1, 9,14, 0, 0, 0, 3,15,16,16,16, 2, 0, 0, 3, 8,14,16, 5, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 7,15, 5, 0, 0, 0), 7),
    (( 0, 1,11,14,14, 4, 0, 0, 0, 3,14, 8,10,16, 0, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 3,16,14, 0, 0, 0, 0, 0, 4,12,16, 7, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 9, 8, 8,14,13, 0, 0, 0, 7,12,12,10, 3, 0), 3),
    (( 0, 0, 4,14,11, 3, 0, 0, 0, 0,14, 4, 8, 3, 0, 0, 0, 0,15, 1, 7,14,10, 0, 0, 0, 5,16,12, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 9, 7,13, 0, 0, 0, 0, 0,11,10,13, 0, 0, 0, 0, 0, 5,15,11, 0, 0, 0), 8),
    (( 0, 0, 9,15,16,10, 0, 0, 0, 0,16,16,16,16, 4, 0, 0, 0,14,11,14,16, 2, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0,10,16,11, 0, 0, 0, 0, 2,16,15,14, 1, 0, 0, 0, 4,16,14,16, 4, 0, 0, 0, 0, 9,15,13, 1, 0, 0), 8),
    (( 0, 0,12,13, 9, 6, 2, 0, 0, 4,16,16,16,16, 7, 0, 0, 7,13, 3, 5, 3, 0, 0, 0, 7,14, 5, 0, 0, 0, 0, 0, 4,16,16, 5, 0, 0, 0, 0, 1, 9,16,12, 0, 0, 0, 0, 0, 5,12,12, 0, 0, 0, 0, 0, 8,15, 5, 0, 0, 0), 5),
    (( 0, 0, 0, 9, 7, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 8,14, 2, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 0,15,16,16,15, 5, 0, 0, 0,15,16,11,11,12, 0, 0, 0, 8,15, 6, 9,15, 0, 0, 0, 0, 8,14,16, 8, 0), 6),
    (( 0, 0, 3, 0, 6,15, 0, 0, 0, 9,16,14,16,15, 0, 0, 0, 5, 7, 8,14,11, 0, 0, 0, 0, 1, 4,13,11, 2, 0, 0, 0, 8,16,16,16,12, 0, 0, 0, 1, 8,15,11, 2, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0, 8,13, 0, 0), 7),
    (( 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 7,16,16, 4,12,12, 0, 0, 1,13,16,16,16, 9, 0, 0, 0, 1, 7,14,16, 0, 0, 0, 0, 0, 0,13,15, 0, 0, 0, 0, 0, 0,16,11, 0, 0), 4),
    (( 0, 0,10,16,15,12, 0, 0, 0, 0,14, 9, 4, 4, 0, 0, 0, 0,16, 0, 0, 0, 0, 0, 0, 5,16,12,12, 8, 0, 0, 0, 7,15,10, 8,15, 6, 0, 0, 2, 1, 0, 2,16, 4, 0, 0, 0, 3,10,14,12, 1, 0, 0, 0,10,14, 6, 0, 0, 0), 5),
    (( 0, 0, 0, 8,11, 3, 0, 0, 0, 0, 6,16,16,15, 1, 0, 0, 0, 5,16,16,16, 1, 0, 0, 0, 5,16,16,16, 1, 0, 0, 0, 1,16,16,16, 3, 0, 0, 0, 3,16,16,16, 0, 0, 0, 0, 0,16,16,12, 0, 0, 0, 0, 0,11,11, 2, 0, 0), 1),
    (( 0, 0, 0, 2,15, 5, 0, 0, 0, 0, 0,10,14, 0, 3, 0, 0, 0, 3,16, 3, 6,16, 2, 0, 1,14, 8, 0,14,10, 0, 1,12,14, 8,11,16, 5, 0, 5,16,16,15,16,11, 1, 0, 1, 3, 0, 1,16, 6, 0, 0, 0, 0, 0, 5,15, 1, 0, 0), 4),
    (( 0, 0, 0,11,11, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0,12,13, 8, 7, 0, 0, 0, 1,16,12, 8,11,12, 0, 0, 0, 8,13, 4, 7,16, 1, 0, 0, 2,11,13,12, 7, 0), 6),
    (( 0, 0,11,15, 4, 0, 0, 0, 0, 0, 7,16,16,16,11, 0, 0, 0, 0, 1, 7,16,11, 0, 0, 2, 4, 2,15,12, 1, 0, 0,13,16,16,16,12, 3, 0, 0, 2, 6,16,11,14, 4, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,14,14, 1, 0, 0, 0), 7),
    (( 0, 1, 7,12,14, 5, 0, 0, 0, 3,13, 8,14,10, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0,13,12, 3, 0, 0, 0, 0, 0, 8,13,16, 4, 0, 0, 0, 0, 0, 4,14, 3, 0, 0, 0, 1,12,16, 9, 0, 0, 0, 0, 9,13, 5, 0, 0, 0), 3),
    (( 0, 0, 5,12,16, 4, 0, 0, 0, 2,16,15,10, 4, 0, 0, 0, 4,16,14,16, 5, 0, 0, 0, 4,15,16,16, 9, 0, 0, 0, 0, 7,16,16,13, 2, 0, 0, 0,10,15, 6,16, 8, 0, 0, 0,14,14,13,14, 1, 0, 0, 0, 7,16,11, 5, 0, 0), 8),
    (( 0, 0, 7,16,15, 5, 0, 0, 0, 0, 5, 8,11,15, 4, 0, 0, 0, 0, 1,14,13, 1, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 2, 0,11,12, 0, 0, 0, 3,15,11,12,15, 0, 0, 0, 0, 8,13,11, 3, 0, 0), 3),
    (( 0, 0, 0,14,15, 4, 0, 0, 0, 0, 7,16,14, 2, 0, 0, 0, 0,14,13, 1, 0, 0, 0, 0, 0, 3, 7, 0, 0, 0, 0, 0, 3,16, 6, 8, 3, 0, 0, 0, 2,15,16,16,15, 3, 0, 0, 0, 9,16,15,15,11, 0, 0, 0, 0,10,16,16,11, 0), 6),
    (( 0, 2,15,16,13, 1, 0, 0, 0, 8,16, 9,15, 8, 0, 0, 0, 8,16, 0, 8,12, 0, 0, 0, 0, 5, 1, 7,13, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 5,15,15,16, 2, 0, 0, 0, 3,11,12,16,16,13, 2), 2),
    (( 0, 0, 3,12, 0, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 0,13,11, 1, 7, 1, 0, 0, 6,16,16,16,16, 8, 0, 0, 2,11,14,16,13, 0, 0, 0, 0, 0,13,15, 3, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 0, 5,12, 6, 0, 0, 0), 4),
    (( 0, 1,16,16,15, 3, 0, 0, 0, 0, 7, 6,16,10, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 6,15,15, 2, 0, 0, 0, 0, 7,16,16,11, 3, 0, 0, 0, 5,16,14,16, 7, 0, 0, 0,10,12, 1, 4, 1, 0, 0, 0,16, 6, 0, 0, 0, 0), 7),
    (( 0, 0, 6,13,15, 6, 0, 0, 0, 1,15,16,16,14, 0, 0, 0, 4,16, 8, 4,14, 4, 0, 0, 4,16, 2, 0, 9, 7, 0, 0, 4,15, 0, 0,13, 5, 0, 0, 2,16, 0, 5,15, 5, 0, 0, 1,15,13,16,11, 0, 0, 0, 0, 6,15,12, 3, 0, 0), 0),
    (( 0, 0, 6,16,16,13, 0, 0, 0, 0,13,12,13,16, 3, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 1, 7,14,10, 0, 0, 0, 0, 9,16,16,16, 7, 0, 0, 0, 1,15,12, 9, 3, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0, 9,13, 1, 0, 0, 0), 7),
    (( 0, 0, 0, 0,10, 0, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 1,13, 5, 2, 2, 0, 0, 0,11, 9, 0,14, 7, 0, 0, 5,16, 1, 8,16, 2, 0, 0, 3,16,14,16,15, 5, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 0,15, 8, 0, 0), 4),
    (( 0, 0, 2,11,14, 5, 0, 0, 0, 0, 0,10,16,16, 0, 0, 0, 0, 0,10,16,16, 4, 0, 0, 0, 0,12,16,15, 1, 0, 0, 0, 1,14,16,13, 0, 0, 0, 0, 1,16,16, 9, 0, 0, 0, 0,11,16,16, 5, 0, 0, 0, 0, 6,13,14, 0, 0, 0), 1),
    (( 0, 0, 1,11,12, 0, 0, 0, 0, 0, 8,16, 3, 3, 1, 0, 0, 1,16,11, 0,15, 8, 0, 0,11,15, 5,10,16, 1, 0, 0, 6,16,16,16,16, 8, 0, 0, 0, 3,12,15,12, 4, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0), 4),
    (( 0, 0, 8,14,11, 2, 0, 0, 0, 2,16,10,13, 9, 0, 0, 0, 4,16, 4, 1,15, 5, 0, 0, 2,14,12,11,16, 7, 0, 0, 0, 6,16,16, 6, 0, 0, 0, 0,12,16,12, 0, 0, 0, 0, 0,16,16,15, 0, 0, 0, 0, 0, 8,15, 8, 0, 0, 0), 8),
    (( 0, 0,11,16,16, 9, 0, 0, 0, 2,16,12,16,11, 0, 0, 0, 1, 3, 1,16, 8, 0, 0, 0, 0, 0,12,14, 2, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 0,13,15,12,12, 4, 0, 0, 0,13,16,16,15, 2, 0), 2),
    (( 0, 0,11,16,16,16, 9, 0, 0, 0, 3, 8, 8,15,12, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 3, 8, 8,12,14, 0, 0, 0,10,16,16,16,15, 1, 0, 0, 1, 4,11,15, 2, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0,10,13, 1, 0, 0, 0), 7),
    (( 0, 0, 4,13,16,12, 0, 0, 0, 0, 7, 9,13,15, 0, 0, 0, 0, 0, 3,11,11, 0, 0, 0, 0, 7,16,16,14, 6, 0, 0, 0, 5,13,16,12, 5, 0, 0, 0, 1,11, 4, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 6, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 0,10,15, 0, 0, 0, 0, 0, 8,15, 5, 7,11, 0, 0, 2,16, 6, 0,13,11, 0, 0,10,16, 3, 6,16, 3, 0, 0, 4,16,16,16,16, 8, 0, 0, 0, 4,12,16, 3, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0), 4),
    (( 0, 0, 0,11, 4, 0, 0, 0, 0, 0, 6,15, 2, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 3,16, 9,12, 6, 0, 0, 0, 4,16,15,10,12, 9, 0, 0, 2,16, 9, 0, 0,12, 0, 0, 0, 8,13, 2, 2,14, 2, 0, 0, 0, 8,15,15,11, 0), 6),
    (( 0, 4,15,16, 4, 0, 0, 0, 0, 8,16,11,15, 0, 0, 0, 0, 6,14, 4,16, 4, 0, 0, 0, 0, 2, 4,16, 3, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0,10,16,16,16,13, 3, 0, 0, 5,14,12,13,16,12, 0), 2),
    (( 0, 0, 0,13,14, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 1,16,16,14, 2, 0, 0, 0, 0,10,11,10,14, 0, 0, 0, 0, 7,13, 9,15, 0, 0, 0, 0, 1,11,15, 8, 0, 0), 6),
    (( 0, 0, 3,12, 7, 2, 0, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 0, 7,16,16,10, 0, 0, 0, 0, 6,16,16,12, 0, 0, 0, 0, 6,16,16,11, 0, 0, 0, 0, 4,16,16,10, 0, 0, 0, 0, 8,16,16,12, 0, 0, 0, 0, 3,11,12, 6, 0, 0), 1),
    (( 0, 0, 7,13,14, 4, 0, 0, 0, 8,15, 7, 8,16, 0, 0, 0,12,12, 0, 2,16, 4, 0, 0, 3,13,16,16,16, 2, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 5, 0, 0,10,12, 0, 0, 0, 8,12,14,10, 2, 0), 9),
    (( 0, 0, 0,11,14, 2, 0, 0, 0, 0, 9,16,12, 6, 0, 0, 0, 2,15, 8, 0, 0, 0, 0, 0, 0,16, 4, 3, 1, 0, 0, 0, 0,16,14,16,15, 3, 0, 0, 0,13,14, 2, 4,14, 1, 0, 0, 7,14, 5, 8,16, 4, 0, 0, 1, 9,15,14, 7, 0), 6),
    (( 0, 0, 5,14,10, 0, 0, 0, 0, 2,15,14,13, 0, 0, 0, 0, 6,16, 3, 9,14, 1, 0, 0, 8,16,16,16,16, 7, 0, 0, 0, 8, 5, 6,16, 8, 0, 0, 0, 0, 0, 8,15, 6, 0, 0, 0, 3,12,16, 7, 0, 0, 0, 0, 6,16, 7, 0, 0, 0), 9),
    (( 0, 0, 9,16,16,16, 3, 0, 0, 1,14,15,10, 7, 1, 0, 0, 7,16, 2, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 0, 2,13,14, 0, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 5,14,13, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0), 5),
    (( 0, 0, 7,16,13, 4, 0, 0, 0, 1,11, 0, 6,15, 3, 0, 0, 6, 9, 0, 0,13, 4, 0, 0, 2,14, 5, 8,16, 5, 0, 0, 0, 4,12,10, 6, 8, 0, 0, 0, 0, 0, 0, 4, 8, 0, 0, 0, 2, 4, 0, 8, 7, 0, 0, 0,10,16,16,10, 1, 0), 9),
    (( 0, 2,11, 3, 0, 2, 0, 0, 0, 2,13,12, 5,15, 6, 0, 0, 0,11,14,14, 1, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,15,12, 5, 0, 0, 0, 0, 4,10, 4, 8, 0, 0, 0, 0, 7, 9, 7, 8, 0, 0, 0, 0, 2,14,15, 5, 0, 0, 0), 8),
    (( 0, 2, 7,16,15, 8, 0, 0, 0, 5,16,11,15,12, 0, 0, 0, 0,11,15,13, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 0,13,10, 5, 0, 0, 0, 0, 0,14, 9, 8, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0), 8),
    (( 0, 0, 4,12,14, 2, 0, 0, 0, 4,15,10,10,10, 0, 0, 0, 9,16, 0, 5,12, 0, 0, 0, 5,16, 9,14,16, 4, 0, 0, 0, 7, 8, 7,15, 6, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 1, 4, 4,14,12, 0, 0, 0, 3,13,16,11, 4, 0), 9),
    (( 0, 0, 3,14,16,16, 7, 0, 0, 0,11, 9, 4,12,15, 0, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 5,11,12,16, 5, 0, 0, 0,11,16,16,12, 3, 0, 0, 0, 0, 9,13, 1, 0, 0, 0, 0, 3,16, 2, 0, 0, 0), 7),
    (( 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 0,11,16, 2, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 6,16,16,12, 0, 0, 0, 7,16,16,16, 8, 0, 0, 0, 1, 4, 7,16,11, 0, 0, 0, 0, 0, 2,15,13, 0, 0, 0, 0, 0, 0, 8,16, 4, 0), 1),
    (( 0, 0, 6, 8,11,15, 0, 0, 0, 0,15,16,16,10, 0, 0, 0, 0,15,12, 4, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0,10,16, 6, 0, 0, 0), 5),
    (( 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 5,15,10, 2, 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 0, 5,12, 0, 0, 0, 0, 0, 0, 4,15,14,16,14, 5, 0, 0, 0,16,15, 1, 5,12, 0, 0, 0, 7,15, 1, 7,14, 0, 0, 0, 0, 8,16,15, 4, 0), 6),
    (( 0, 0, 9,15,16,16,10, 0, 0, 0,15,11,11,16, 4, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 2, 8,16,16,12, 0, 0, 0,14,16,13, 8, 2, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 3,14,16,14, 3, 0, 0, 3,15,10,14,16, 6, 0, 0, 7,13, 0,10,16, 7, 0, 0, 8,12, 0, 1,16, 4, 0, 0, 7,12, 0, 0,13, 4, 0, 0, 3,14, 1, 0,13, 4, 0, 0, 0,11,11, 9,15, 2, 0, 0, 0, 2,11,12, 4, 0, 0), 0),
    (( 0, 0,11,16,16, 9, 0, 0, 0, 0,10, 8,12,11, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 8,13,16, 6, 0, 0, 0, 0, 7,14,14,13, 6, 0, 0, 0, 0,13, 3, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0), 7),
    (( 0, 0, 2, 9, 5, 0, 0, 0, 0, 0, 8,16,16,13, 0, 0, 0, 2,11,16,16, 4, 0, 0, 0, 1,11,16,12, 0, 0, 0, 0, 0,10,12,16, 6, 0, 0, 0, 0,13, 1, 7,15, 1, 0, 0, 0,14, 6, 7,13, 2, 0, 0, 0, 2,11,11, 4, 0, 0), 8),
    (( 0, 0, 0, 0,10, 7, 0, 0, 0, 0, 0, 2,16,13, 0, 0, 0, 0, 3,16,16, 9, 0, 0, 0, 8,16,16,16,10, 0, 0, 0, 1, 3, 3,16,11, 0, 0, 0, 0, 0, 1,16,13, 0, 0, 0, 0, 0, 0,16,16, 3, 0, 0, 0, 0, 0, 8,16,10, 0), 1),
    (( 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 2,14, 9, 5, 6, 0, 0, 0, 8,15, 2,15,12, 0, 0, 4,16, 6, 3,16, 5, 0, 0,11,16,13,16,16, 8, 0, 0, 5,11,13,16,10, 1, 0, 0, 0, 0, 4,16, 7, 0, 0), 4),
    (( 0, 0,15, 8, 0, 0, 0, 0, 0, 6,15,16, 3, 0, 0, 0, 0, 6, 9,13, 5, 0, 0, 0, 0, 0, 1, 8, 8, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 5,15, 4, 0, 2, 0, 0, 4,16,16,16,16,10, 0, 0, 1, 8, 8,11,12,13, 0), 2),
    (( 0, 0, 7,13,10, 0, 0, 0, 0, 0,16,16,16, 9, 0, 0, 0, 3,12, 2, 9,16, 4, 0, 0, 6, 9, 0, 0,13, 7, 0, 0, 8,12, 0, 0, 8, 8, 0, 0, 7,15, 4, 2,12, 8, 0, 0, 2,16,16,16,16, 5, 0, 0, 0, 7,14,12, 7, 0, 0), 0),
    (( 0, 1,10,15, 8, 0, 0, 0, 0, 6,16, 7,11, 8, 0, 0, 0, 7,16, 3, 1,13, 1, 0, 0, 7,13, 0, 0,10, 6, 0, 0, 8,12, 0, 0,14, 4, 0, 0, 3,16, 0, 6,15, 2, 0, 0, 0,15, 9,16, 4, 0, 0, 0, 0, 9,15, 8, 0, 0, 0), 0),
    (( 0, 0, 3,10, 8, 1, 0, 0, 0, 0,11,16,16, 9, 0, 0, 0, 3,16,16,16, 3, 0, 0, 0, 4,16,16,16, 3, 0, 0, 0, 4,16,16,12, 0, 0, 0, 0, 1,16,16,15, 0, 0, 0, 0, 0, 9,16,16, 0, 0, 0, 0, 0, 2,10,12, 1, 0, 0), 1),
    (( 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 0,12, 9, 0, 0, 4, 5, 0, 5,16, 2, 0, 3,16, 2, 0, 9,14, 2, 9,15, 8, 0, 0, 7,16,15,13,11, 1, 0, 0, 0, 2, 1,14, 2, 0, 0, 0, 0, 0, 6, 9, 0, 0, 0), 4),
    (( 0, 0, 2,13,16,16, 9, 0, 0, 0,12,10, 4, 7,12, 0, 0, 1,15, 8, 2, 6, 4, 0, 0, 0, 4,10,16, 9, 0, 0, 0, 0, 0, 0, 2,16, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 5,15, 4, 0, 0, 0, 0, 0,13, 9, 0, 0, 0), 9),
    (( 0, 0, 8,16, 8, 0, 0, 0, 0, 1,16, 9,10, 9, 0, 0, 0, 4,15, 0, 0,10, 1, 0, 0, 6,12, 0, 0, 6, 6, 0, 0, 5,12, 0, 0, 4, 8, 0, 0, 4,14, 0, 0, 7, 8, 0, 0, 1,16, 9, 8,14, 4, 0, 0, 0, 6,15,14, 5, 0, 0), 0),
    (( 0, 1,10,16,16,14, 1, 0, 0, 1,11, 5, 4,15, 0, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0, 1,13,12, 1, 0, 0, 0, 0, 2,15,16,12, 1, 0, 0, 0, 0, 0, 3,14, 4, 0, 0, 1, 6, 0, 2,14, 3, 0, 0, 2,12,16,15, 8, 0, 0), 3),
    (( 0, 0, 0, 0, 6,14, 2, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 6,16,16, 2, 0, 0, 0, 8,15,16,15, 0, 0, 0, 4,16,11,12,16, 0, 0, 0, 1, 4, 1, 8,15, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0, 6,16, 2, 0), 1),
    (( 0, 0,10,15,16, 6, 0, 0, 0, 7,16,14,16,11, 0, 0, 0, 6, 5,11,16, 3, 0, 0, 0, 0, 0,12,16, 6, 0, 0, 0, 0, 0, 1,13,16, 5, 0, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 3, 8,13,16, 7, 0, 0, 0,12,16,15, 4, 0, 0), 3),
    (( 0, 0, 0,10,13, 0, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 0, 8,16,15, 7, 0, 0, 0, 0,11,15,12,13, 7, 0, 0, 0, 5,15, 5, 7,16, 1, 0, 0, 0, 6,15,16,15, 1), 6),
    (( 0, 1,10,16,15, 4, 0, 0, 0, 9,16, 7, 7,15, 2, 0, 0,12,13, 0, 0,12, 8, 0, 0,12,12, 0, 0, 6,11, 0, 0,10,12, 0, 0, 4,12, 0, 0, 7,14, 0, 0, 6,11, 0, 0, 2,16, 5, 3,14, 4, 0, 0, 0,10,16,16,12, 0, 0), 0),
    (( 0, 3,10,16,14,14, 3, 0, 0, 8,16, 9,12,12, 3, 0, 0, 7,15, 8, 7, 1, 0, 0, 0, 5,16,16,16,11, 0, 0, 0, 0, 1, 0, 4,15, 3, 0, 0, 0, 2, 0, 4,16, 4, 0, 0, 2,15,10,14,16, 2, 0, 0, 1,11,12,12, 4, 0, 0), 5),
    (( 0, 3,16,16,16,16, 0, 0, 0, 0,13,12, 8, 4, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0,16,16, 8, 0, 0, 0, 0, 0,11, 5,14, 7, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 2,11, 4,14,13, 0, 0, 0, 2,15,16,15, 2, 0, 0), 5),
    (( 0, 0, 2,13,13, 0, 0, 0, 0, 0,10,14, 3, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0, 4,16, 3, 4, 2, 0, 0, 0, 5,16,16,13,16, 3, 0, 0, 2,16, 6, 0, 6,12, 0, 0, 0,11, 8, 0, 8,12, 0, 0, 0, 1,13,16,14, 3, 0), 6),
    (( 0, 2,12,15,11, 3, 0, 0, 0,10,13, 5,13,13, 0, 0, 0, 2, 2, 0,12,14, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 0, 0, 5,15, 3, 0, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 8, 5, 4,12,10, 0, 0, 0,14,16,16,16, 5, 0), 3),
    (( 0, 0,12,12,14,13, 1, 0, 0, 2,16,16,11,10, 1, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 8,16,15, 8, 0, 0, 0, 0, 3,14, 9,16, 3, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 1, 7, 4,14,11, 0, 0, 0, 0,13,16,16, 8, 0, 0), 5),
    (( 0, 0, 0, 2,12, 6,14, 0, 0, 0, 1,15,13, 8,10, 0, 0, 2,15, 7, 0,15, 4, 0, 0, 9,15, 7, 7,16, 5, 0, 0, 8,16,16,16,16,10, 0, 0, 1, 4, 4,13, 8, 0, 0, 0, 0, 0, 3,15, 1, 0, 0, 0, 0, 0, 3,14, 0, 0, 0), 4),
    (( 0, 0, 9,16,14,12, 3, 0, 0, 3,13, 4,11, 8,11, 0, 0, 1,15, 5, 0,12, 4, 0, 0, 0, 3,14,13, 7, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 5,12,15, 0, 0, 0, 0, 0,12, 2,12, 0, 0, 0, 0, 0,10,16, 6, 0, 0, 0), 8),
    (( 0, 0, 0, 2,10,16,12, 2, 0, 0, 2,14,12, 7,16, 3, 0, 3,15,15, 4,10,15, 0, 0, 6,16,16,16,16,14, 0, 0, 0, 3, 3, 4,16, 6, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0,14, 9, 0, 0), 4),
    (( 0, 0, 2,15,11, 1, 0, 0, 0, 0, 6,16,16,14, 0, 0, 0, 0, 3,15,16,16, 5, 0, 0, 0, 0, 5, 7,11, 9, 0, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 2,13,16, 5, 0, 0, 0, 5,15,16, 6, 0, 0), 9),
    (( 0, 1, 8,15,13, 2, 0, 0, 0, 5,14, 8,14, 7, 0, 0, 0, 1, 2, 2,15, 2, 0, 0, 0, 0, 0,15,15, 3, 0, 0, 0, 0, 0, 9,14,16, 3, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 6, 8, 8,15, 4, 0, 0, 0,11,12,12, 5, 0, 0), 3),
    (( 0, 0, 0, 9,15,10, 1, 0, 0, 0, 4,15,16,16, 4, 0, 0, 4,15,16,16,16, 4, 0, 0, 8,15,10,16,16, 8, 0, 0, 0, 0, 0,16,16, 7, 0, 0, 0, 0, 1,16,16, 6, 0, 0, 0, 0, 7,16,16, 4, 0, 0, 0, 0, 6,12,12, 1, 0), 1),
    (( 0, 0, 2,14,13, 5, 0, 0, 0, 0, 8,16,16,10, 0, 0, 0, 6,16,16,16, 7, 0, 0, 0, 9,16,16,16, 3, 0, 0, 0, 0, 7,16,16, 2, 0, 0, 0, 0, 8,16,16, 6, 0, 0, 0, 0,10,16,16,11, 0, 0, 0, 0, 3,13,14, 7, 0, 0), 1),
    (( 0, 0, 2,10,14, 3, 0, 0, 0, 3,16,16,16,15, 1, 0, 0,12,12, 5,16, 4, 0, 0, 0, 2,15,16,12, 0, 0, 0, 0, 0, 5,16,13, 0, 0, 0, 0, 0, 4,14,14, 9, 0, 0, 0, 0, 7,15,15,12, 0, 0, 0, 0, 0,12,16, 6, 0, 0), 8),
    (( 0, 0, 0,11,15, 4, 0, 0, 0, 3, 7,16,16, 8, 0, 0, 0,12,16,16,16, 5, 0, 0, 0, 3, 8,13,16, 5, 0, 0, 0, 0, 0, 8,16,10, 0, 0, 0, 0, 0, 8,16,14, 1, 0, 0, 0, 0,10,16,16, 2, 0, 0, 0, 0, 6,14,12, 5, 0), 1),
    (( 0, 0, 6,12,14, 5, 0, 0, 0, 4,16,11, 8,15, 6, 0, 0, 4,16, 7, 2,12, 6, 0, 0, 0,13,15,15,13, 2, 0, 0, 0, 1,16,16, 6, 0, 0, 0, 0, 8,15,14,15, 1, 0, 0, 3,16,10,10,16, 1, 0, 0, 1,12,16,14, 5, 0, 0), 8),
    (( 0, 0, 7,14, 5, 0, 0, 0, 0, 3,16,15,12, 0, 0, 0, 0, 0,12, 0,12, 0, 0, 0, 0, 0, 1, 0,12, 2, 0, 0, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 1,10,15, 3, 0, 0, 0, 0,13,16,16,15, 7, 0, 0, 0, 9, 6, 3, 4,13, 1), 2),
    (( 0, 0,12,12, 0, 0, 5, 1, 0, 2,16, 9, 0, 4,16, 5, 0, 1,16,13, 5,13,12, 0, 0, 0, 7,16,16,16, 6, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 1,12,12, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0), 4),
    (( 0, 0, 3,14,14, 2, 0, 0, 0, 4,16,16,16, 7, 0, 0, 0, 4,16, 8, 3,15, 1, 0, 0, 3,16, 6, 0,14, 5, 0, 0, 1,16, 5, 0,13, 7, 0, 0, 0,15, 4, 1,16, 9, 0, 0, 0,11,13,13,16, 4, 0, 0, 0, 2,15,15, 8, 0, 0), 0),
    (( 0, 0, 0, 4,13, 5, 0, 0, 0, 0, 2,14,12, 5, 0, 0, 0, 0, 7,12, 1, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 0,12,14,12, 8, 0, 0, 0, 1,14,14, 8,12, 8, 0, 0, 0, 2,14, 5, 9,14, 0, 0, 0, 0, 3,15,15, 6, 0), 6),
    (( 0, 0, 0, 4,13, 7, 0, 0, 0, 0, 0, 5,15,16, 2, 0, 0, 0, 1,14,16,16, 0, 0, 0, 2,14,16,16,16, 0, 0, 0, 5,12,10,16,16, 0, 0, 0, 0, 0, 4,16,16, 0, 0, 0, 0, 0, 5,16,16, 4, 0, 0, 0, 0, 4,14,15, 4, 0), 1),
    (( 0, 0, 6,12,14,10, 1, 0, 0, 2,13, 4, 0,10, 9, 0, 0, 2,14, 0, 3,14, 6, 0, 0, 1,14,11,14, 5, 0, 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 2,14,10,12, 0, 0, 0, 0, 2,11, 1,14, 0, 0, 0, 0, 0,11,13, 9, 0, 0, 0), 8),
    (( 0, 0, 0, 0,12, 3, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 3,15, 0, 3,10, 0, 0, 1,14, 3, 0,14, 6, 0, 0,10,16,15,13,16, 1, 0, 0, 9,10, 8,14,11, 0, 0, 0, 0, 0, 0,12, 2, 0, 0), 4),
    (( 0, 0, 1,11,16,11, 0, 0, 0, 0,14,15, 8, 9, 1, 0, 0, 3,15, 1, 0, 0, 0, 0, 0, 7,14, 8, 8, 0, 0, 0, 0, 4,16,16,16, 4, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 1, 6,15, 5, 0, 0, 0, 0, 1,14, 9, 0, 0, 0), 5),
    (( 0, 0, 0,14, 2, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0, 9,11, 4, 2, 0, 0, 0, 0,11,16,16,15, 8, 0, 0, 0,13,15, 2, 2,16, 3, 0, 0, 0,11,13,12,10, 0), 6),
    (( 0, 0, 8,13,11, 1, 0, 0, 0, 0,16,12,15, 8, 0, 0, 0, 3,13, 0, 5,15, 2, 0, 0, 6, 9, 0, 1,15, 5, 0, 0, 8, 8, 0, 0,12, 6, 0, 0, 5,10, 0, 1,14, 3, 0, 0, 2,16, 8,12,13, 0, 0, 0, 0, 8,16, 8, 1, 0, 0), 0),
    (( 0, 2,16,15, 4, 0, 0, 0, 0, 4,16,14, 9, 3, 5, 0, 0, 4,15, 7,16,16, 8, 0, 0, 1,15,16,15, 6, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 1,14,16, 2, 0, 0, 0, 0, 7,10,16, 0, 0, 0, 0, 0, 2,14,11, 0, 0, 0, 0), 8),
    (( 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 2,13,12, 0, 3, 0, 0, 0,11,15, 2, 6,16, 0, 0, 8,16,12, 8,15,12, 0, 0, 7,16,16,16,16, 7, 0, 0, 0, 4, 7,14,13, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 3,16, 3, 0, 0), 4),
    (( 0, 0, 5,16,16,10, 0, 0, 0, 0,14,12,10,13, 0, 0, 0, 0,11,12,15,10, 0, 0, 0, 0, 3,16,14, 1, 0, 0, 0, 0, 7,16,15, 0, 0, 0, 0, 0,16, 9,14, 6, 0, 0, 0, 1,16, 4,10,12, 0, 0, 0, 0, 5,16,16, 8, 0, 0), 8),
    (( 0, 0, 0, 9,15, 4, 0, 0, 0, 0, 4,15, 8, 1, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 2,16,15,16,12, 3, 0, 0, 0,16,13, 5, 8,13, 0, 0, 0, 7,13, 4, 6,15, 0, 0, 0, 0, 8,15,16,11, 0), 6),
    (( 0, 0, 1, 6,14,16,12, 0, 0, 1,15,16, 8,16,11, 0, 0,10,15, 4, 5,16,10, 0, 0, 3,12,16,16,16, 8, 0, 0, 0, 0, 0,11,16, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0, 9,16, 3, 0, 0), 9),
    (( 0, 0, 0, 1,14,10, 0, 0, 0, 0, 0, 9,15, 2, 0, 0, 0, 0, 1,14, 5, 0, 2, 0, 0, 0,11, 9, 0, 8,14, 0, 0, 7,14, 0, 0,14,10, 0, 4,16,15,11, 9,16, 4, 0, 1,12,14,16,16,12, 0, 0, 0, 0, 0, 0,14, 6, 0, 0), 4),
    (( 0, 1,10,16,15, 3, 0, 0, 0, 8,14, 4,16,12, 0, 0, 0, 8,13, 1,16,12, 0, 0, 0, 2,13,16,16,13, 0, 0, 0, 0, 0, 3, 9,16, 0, 0, 0, 0, 6, 4, 4,16, 4, 0, 0, 0,16,13,10,16, 5, 0, 0, 0, 7,12,13,10, 1, 0), 9),
    (( 0, 0, 9,16,16,15, 2, 0, 0, 0, 9, 6, 8,16, 8, 0, 0, 0, 0, 2, 1,16, 7, 0, 0, 0,12,16,16,16,13, 0, 0, 0, 3, 4,15,10, 1, 0, 0, 0, 0, 7,15, 2, 0, 0, 0, 0, 3,15, 7, 0, 0, 0, 0, 0, 8,13, 1, 0, 0, 0), 7),
    (( 0, 0,14, 8, 0, 0, 0, 0, 0, 3,16,15, 4, 0, 0, 0, 0, 1,10,14, 9, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 1,12,15, 3, 0, 0, 0, 0,11,16,16,16,12, 2, 0, 0,13,14, 2, 1, 3, 1), 2),
    (( 0, 0, 1,12,16, 5, 0, 0, 0, 0, 9,16, 9, 2, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 6,16, 8, 1, 0, 0, 0, 0,10,16,11,13, 3, 0, 0, 0, 4,16, 1, 9,13, 1, 0, 0, 0, 9,11, 9,16, 1, 0, 0, 0, 1,12,16,12, 0, 0), 6),
    (( 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 2,16,16, 3, 0, 0, 0, 0,13,16, 9, 0, 0, 0, 0, 1,15,13, 0, 0, 0, 0, 0, 2,16,13,11,12, 4, 0, 0, 1,15,16,16,16,15, 1, 0, 0, 8,16,16,16,16, 4, 0, 0, 0, 7,12,13,14, 3), 6),
    (( 0, 0, 9,15,16,16,14, 0, 0, 1,15,10, 8,14,13, 0, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 0,10,14,16, 4, 0, 0, 0, 1,16,16,16,11, 0, 0, 0, 0,13,15, 4, 1, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0), 7),
    (( 0, 0, 6,13,12, 2, 0, 0, 0, 6,16,12,16,13, 3, 0, 0, 7,13, 5,16,16, 8, 0, 0, 1,14,16,15, 7, 0, 0, 0, 0, 3,16,14, 1, 0, 0, 0, 0, 4,16,16,11, 0, 0, 0, 0, 6,16,13,16, 4, 0, 0, 0, 7,15,12,10, 0, 0), 8),
    (( 0, 0, 6,14,12, 6, 0, 0, 0, 3,16,11,10,15, 5, 0, 0, 6,16, 4, 3,16, 4, 0, 0, 0, 9,16,16,12, 0, 0, 0, 0, 2,15, 7,15, 6, 0, 0, 0, 8, 6, 0,14, 8, 0, 0, 0,13,10,13,13, 1, 0, 0, 0, 5,12, 9, 1, 0, 0), 8),
    (( 0, 0, 7,12,12,10, 2, 0, 0, 1,16,15,12,15, 9, 0, 0, 0,16, 7, 0, 1, 2, 0, 0, 0,11,16,10, 1, 0, 0, 0, 0, 0, 3,14,13, 1, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 8, 7,15,12, 0, 0, 0, 0,11,12, 6, 0, 0, 0), 5),
    (( 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 0,14,16, 2, 0, 0, 0, 1,12,16,16, 2, 0, 0, 1,13,16,12,16, 0, 0, 0, 4,13, 2, 8,13, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0,11,16, 0, 0, 0, 0, 0, 0, 4,16, 4, 0), 1),
    (( 0, 0, 0, 7,11, 0, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0, 8,12,12,11, 2, 0, 0, 0, 8,16,12, 8,12, 0, 0, 0, 3,16, 5, 8,15, 2, 0, 0, 0, 9,16,14, 5, 0), 6),
    (( 0, 0, 6,16,13, 2, 0, 0, 0, 1,11,16,15, 3, 0, 0, 0,11,16,16,16, 2, 0, 0, 0, 6,11,11,16,12, 1, 0, 0, 0, 0, 1,14,16, 7, 0, 0, 0, 0, 0, 6,16,13, 0, 0, 0, 0, 0, 7,16,16, 3, 0, 0, 2,12,16,15, 8, 1), 1),
    (( 0, 1,11,13,13,12, 7, 0, 0, 2,16, 6, 4,10, 9, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 4,16,16,16, 4, 0, 0, 0, 1,10, 5, 7,12, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0, 1, 5,14, 3, 0, 0, 0, 0,15,14, 7, 0, 0, 0), 5),
    (( 0, 0, 4,12,16, 7, 0, 0, 0, 0,15, 5, 4,14, 0, 0, 0, 0,15, 0, 3,15, 4, 0, 0, 5,16, 4, 5,16, 4, 0, 0, 0,10,12,11,11, 8, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 0, 2, 8, 0,15, 1, 0, 0, 0, 2,13,15, 5, 0, 0), 9),
    (( 0, 0,16,13,16,16,10, 0, 0, 0,11, 7, 4, 2, 2, 0, 0, 0,11, 1, 0, 0, 0, 0, 0, 5,15, 6, 1, 0, 0, 0, 0, 2, 8,10,15, 4, 0, 0, 0, 0, 0, 0, 4,11, 0, 0, 0, 2, 9, 0, 8, 8, 0, 0, 0, 0,11,16,13, 1, 0, 0), 5),
    (( 0, 0, 2,13, 6, 0, 4, 0, 0, 0,13,11, 0, 2,15, 3, 0, 4,16, 2, 0,13, 8, 0, 0, 3,16,16,12,16, 7, 0, 0, 0, 2, 7,15,10, 1, 0, 0, 0, 0, 4,13, 0, 0, 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 2,12, 0, 0, 0, 0), 4),
    (( 0, 0, 1,11, 6, 0, 0, 0, 0, 0, 7,13, 2, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 1,13, 1, 0, 0, 0, 0, 0, 1,12, 0, 4, 3, 0, 0, 0, 1,11,11,14,14,10, 0, 0, 0,12,15, 5, 4,15, 3, 0, 0, 1,13,16,12, 9, 1), 6),
    (( 0, 0, 2,12,16, 4, 0, 0, 0, 1,13,15,11,12, 0, 0, 0, 8,16, 8, 4,16, 0, 0, 0, 2, 5, 0, 6,13, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 7,16, 8, 1, 0, 0, 0, 1,16,16,16,12, 0, 0, 0, 2, 8, 5, 6,13, 0), 2),
    (( 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 0,14,16,16,11, 3, 0, 0, 0,13, 7, 2, 7,15, 0, 0, 0, 8,13, 1, 5,16, 1, 0, 0, 1,11,16,15, 7, 0), 6),
    (( 0, 0,11,12,12,14, 4, 0, 0, 0,16, 8, 4, 4, 5, 0, 0, 2,16, 8, 4, 0, 0, 0, 0, 5,16,15,15, 9, 0, 0, 0, 1, 4, 1, 4,16, 3, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 3, 7, 6, 9,16, 2, 0, 0, 2,11,12,13, 7, 0, 0), 5),
    (( 0, 0, 0, 0,12,15, 1, 0, 0, 3, 8, 8,14,16, 0, 0, 0,11,16,16,16,16, 0, 0, 0, 1, 4, 4,15,16, 0, 0, 0, 0, 0, 0,12,16, 4, 0, 0, 0, 0, 0,12,16, 3, 0, 0, 0, 0, 0,12,16,10, 0, 0, 0, 0, 0, 9,16,11, 0), 1),
    (( 0, 0, 3, 8,14, 9, 0, 0, 0, 0,11,14, 6,13, 3, 0, 0, 3,16, 3, 0, 6, 6, 0, 0, 6,15, 0, 0, 8, 5, 0, 0, 4,12, 0, 0,11, 1, 0, 0, 1,12, 0, 4,10, 0, 0, 0, 0, 9,11,14, 5, 0, 0, 0, 0, 2,13, 7, 0, 0, 0), 0),
    (( 0, 0, 0, 8,14,10, 0, 0, 0, 0, 2,14,16,14, 0, 0, 0, 0,12,16,16,14, 2, 0, 0, 5,16,16,16,12, 1, 0, 0, 1, 4,10,16,14, 0, 0, 0, 0, 0, 9,16,12, 0, 0, 0, 0, 0, 9,16,12, 0, 0, 0, 0, 0, 8,15,12, 0, 0), 1),
    (( 0, 0, 9,16,16,14, 0, 0, 0, 3,15,10, 2, 5, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0), 5),
    (( 0, 0, 6,16,16,16, 8, 0, 0, 6,16,16,15,11, 5, 0, 0,12,13, 3, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 0, 3,15,15, 2, 0, 0, 0, 0, 0, 5,15, 7, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0), 5),
    (( 0, 0,10,15,13, 8, 0, 0, 0, 1,12, 4,11,10, 0, 0, 0, 0, 0, 8,13, 3, 0, 0, 0, 3,13,16, 5, 0, 0, 0, 0, 1, 8,13,16,13, 2, 0, 0, 0, 0, 0, 1,13, 6, 0, 0, 5,10, 8, 8,16, 2, 0, 0, 0,10,16,16, 6, 0, 0), 3),
    (( 0, 0,12, 5, 0, 0, 0, 0, 0, 0,16, 2, 0, 0, 0, 0, 0, 3,12, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0, 7,14,16,14, 3, 0, 0, 0, 3,16, 8, 9,16, 4, 0, 0, 2,16, 3, 4,16, 4, 0, 0, 0,11,12,11, 4, 0, 0), 6),
    (( 0, 1,12,14, 6, 0, 0, 0, 0, 8,14, 5,15, 7, 0, 0, 0, 6,11, 1,11,15, 2, 0, 0, 1,14,16,13,16, 8, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 1, 3, 0, 0,11, 9, 0, 0, 4,13, 2, 1,13, 6, 0, 0, 0,10,16,16, 9, 0, 0), 9),
    (( 0, 0,10,13,16,16,12, 0, 0, 0, 6,12, 8,13,11, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 6, 8,14,16,13, 0, 0, 0,15,16,15, 9, 1, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 6,16, 9, 1, 0, 0, 0, 3,15, 8,13, 3, 0, 0, 0, 8, 8, 0,11, 4, 0, 0, 0, 1, 0, 7,16, 6, 0, 0, 0, 0, 2,16,14,16, 5, 0, 0, 0, 0, 5, 0,11, 8, 0, 0, 0, 4, 6, 9,15, 2, 0, 0, 0, 4,15,11, 3, 0, 0), 3),
    (( 0, 0,12,13, 3, 0, 0, 0, 0, 4,16,14,10, 0, 0, 0, 0, 2, 4, 6,10, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 2,15, 1, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 4,16,10, 6, 4, 3, 0, 0, 1,10,15,16,16, 9, 0), 2),
    (( 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0,12,12,10,14, 0, 0, 0, 4,16, 6,13,11, 0, 0, 0,12,16, 7,16,14, 3, 0, 0,15,16,16,16,16, 6, 0, 0, 2, 5,13,16, 4, 0, 0, 0, 0, 0,15,11, 0, 0, 0), 4),
    (( 0, 0, 2, 9,16, 5, 0, 0, 0, 0,14, 9,10,15, 4, 0, 0, 4,16, 2,10,16,11, 0, 0, 2,15,16,16, 9, 0, 0, 0, 0, 2,16,16,11, 0, 0, 0, 0,10, 9, 7,16, 0, 0, 0, 0,10,11, 8,16, 0, 0, 0, 0, 2,15,14, 8, 0, 0), 8),
    (( 0, 0, 8,14,13, 1, 0, 0, 0, 3,16,16,16, 7, 0, 0, 0, 4,16, 3,11, 8, 0, 0, 0, 0, 4, 0,15, 4, 0, 0, 0, 0, 0, 3,15, 1, 0, 0, 0, 0, 7,14,15, 5, 2, 0, 0, 1,16,16,16,16,15, 0, 0, 0, 6, 4, 6, 9,11, 0), 2),
    (( 0, 0, 0,10,12, 0, 0, 0, 0, 0, 9,14, 4, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 2,15, 2, 6, 1, 0, 0, 0, 2,16,15,12,15, 4, 0, 0, 0,16, 5, 0, 3,14, 0, 0, 0,12,10, 4,11,14, 0, 0, 0, 1,11,14,12, 1, 0), 6),
    (( 0, 0, 5,12, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 0,14,14, 7, 1, 0, 0, 0, 3,16,16,16,14, 1, 0, 0, 5,16,16,10,15, 5, 0, 0, 0,13,16,11,15,11, 0, 0, 0, 4,12,14,14, 3, 0), 6),
    (( 0, 0, 8,15,12, 1, 0, 0, 0, 4,16,14,12,11, 0, 0, 0, 4,16, 5, 1,14, 4, 0, 0, 4,14, 1, 0,12, 4, 0, 0, 6,12, 0, 0,10, 5, 0, 0, 8,13, 0, 1,13, 4, 0, 0, 4,16,16,16,14, 1, 0, 0, 0, 8,13,11, 3, 0, 0), 0),
    (( 0, 0, 0, 9,14, 1, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0,14,10, 4, 0, 0, 0, 0, 0,16,16,16,13, 2, 0, 0, 0, 9,15, 6,12,10, 0, 0, 0, 0, 8,16,16,12, 0), 6),
    (( 0, 0, 6,11,16,11, 1, 0, 0, 4,14, 4, 9,16, 0, 0, 0, 0,15, 2,11,15, 2, 0, 0, 0, 8,15, 9,12, 5, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0, 8, 5, 0, 0, 5,13, 2, 0,14, 2, 0, 0, 0, 8,16,16, 8, 0, 0), 9),
    (( 0, 0, 0,11,13, 0, 0, 0, 0, 0, 3,15, 9, 0, 0, 0, 0, 0,10,13, 1, 5,11, 0, 0, 5,16, 4, 3,14,11, 0, 0,10,16, 9,15,15, 3, 0, 0, 9,16,13,16, 9, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,14, 9, 0, 0, 0), 4),
    (( 0, 0, 0,10, 7, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 0,15, 2, 7, 4, 0, 0, 0, 0,11,16,14, 4, 0, 0, 1,12,16,15, 1, 0, 0, 0, 7,16, 4,16, 1, 0, 0, 0, 1,12, 9,16, 4, 0, 0, 0, 0, 1,11,15, 2, 0, 0), 8),
    (( 0, 0,12,14, 1, 0, 0, 0, 0, 8,16,12, 6, 0, 0, 0, 0, 8, 7, 7, 8, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 0, 0, 0, 0,14, 1, 0, 0, 0, 0, 0, 9,13, 4, 7, 4, 0, 0, 0,15,16,16,16,13, 0), 2),
    (( 0, 0,14, 5, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 2,16, 5,15, 3, 0, 0, 0, 2,16, 9,14,11, 1, 0, 0, 6,16,16,16,16,15, 0, 0, 1, 8, 5, 7,16, 8, 0), 4),
    (( 0, 0, 0, 9,13, 5, 0, 0, 0, 0, 7,16,15, 1, 0, 0, 0, 0, 7,16, 8, 0, 0, 0, 0, 0,11,16, 9, 0, 0, 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 0,10,16, 5, 0, 0, 0, 0, 0,11,16,11, 0, 0, 0, 0, 0, 1,12,10, 0, 0, 0), 1),
    (( 0, 0, 9,16,16,16,12, 0, 0, 0, 8,12,10,14,10, 0, 0, 0, 2, 5, 4,15, 1, 0, 0, 0, 9,16,16,16,13, 0, 0, 0, 2,14,15, 7, 1, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 5,13,14, 5, 0, 0, 0, 5,16,12,12,16, 0, 0, 0, 1, 3, 0,11,14, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 2,16,16, 9, 1, 0, 0, 0, 0, 3, 5,16, 7, 0, 0, 0, 2, 4, 9,16, 5, 0, 0, 0, 5,13,14, 6, 0, 0), 3),
    (( 0, 0, 5,13,10, 0, 0, 0, 0, 1,15,16,16, 4, 0, 0, 0, 3,11, 0,10, 7, 0, 0, 0, 0, 1, 0,13, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0, 0, 8,16,16,15, 2, 0, 0, 0, 6,13,12,10, 2, 0), 2),
    (( 0, 0, 9,15,14, 1, 0, 0, 0, 2,16, 8,15,10, 0, 0, 0, 2,14, 4,13,14, 1, 0, 0, 0, 7,15,15,14, 6, 0, 0, 0, 0, 1, 1, 7, 9, 0, 0, 0, 0, 0, 0, 3,12, 0, 0, 0, 6, 0, 0, 6,12, 0, 0, 0, 9,16,16,16, 6, 0), 9),
    (( 0, 1,10,16,10, 1, 0, 0, 0, 8,14, 5,10,13, 2, 0, 0, 1, 4, 0,11,15, 2, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0,10, 5, 4,10,13, 0, 0, 0,10,14,16,14, 9, 0), 3),
    (( 0, 0, 6,16, 7, 0, 0, 0, 0, 0,16,11,14, 6, 0, 0, 0, 2,15, 0, 3,16, 1, 0, 0, 7, 8, 0, 0,13, 2, 0, 0, 5, 8, 0, 0,11, 4, 0, 0, 7, 7, 0, 0,12, 4, 0, 0, 5,16, 7, 7,16, 0, 0, 0, 0, 7,16,12, 4, 0, 0), 0),
    (( 0, 6,16,15, 4, 0, 0, 0, 0, 8,15,14,14, 1, 0, 0, 0, 0, 2, 2,16, 6, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 1,12,16, 9,12, 8, 0, 0,10,16,16,15,12, 7, 0), 2),
    (( 0, 0, 4, 9, 7,13, 1, 0, 0, 1,16, 6, 6,14, 4, 0, 0, 7,13, 0, 0,10, 8, 0, 0, 8, 6, 0, 0,12, 7, 0, 0, 8, 5, 0, 0,13, 4, 0, 0, 8,10, 0, 5,16, 4, 0, 0, 1,15,12,15,10, 0, 0, 0, 0, 5,14, 9, 1, 0, 0), 0),
    (( 0, 0, 1, 8,12,16,15, 0, 0, 1,14,16,15,15,13, 0, 0, 0, 4, 1, 0,14,11, 0, 0, 0, 1, 7,14,16,14, 0, 0, 0, 8,16,16,14, 2, 0, 0, 0, 1, 8,16, 6, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0), 7),
    (( 0, 0, 5,15,13, 2, 0, 0, 0, 3,16,16,16,16, 0, 0, 0, 8, 7, 1, 3,14, 7, 0, 0, 3, 1, 0, 0, 5, 8, 0, 0, 5,10, 0, 0, 5, 8, 0, 0, 3,16,12, 8,14, 8, 0, 0, 0,13,16,16,16, 5, 0, 0, 0, 3,14,16,10, 0, 0), 0),
    (( 0, 0, 1,15,10, 0, 0, 0, 0, 0,11,16, 4, 0, 0, 0, 0, 3,16, 8, 0,10, 9, 0, 0,10,16, 3, 5,16,10, 0, 0,10,16,12,15,13, 1, 0, 0, 1,10,13,16, 9, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,16, 9, 0, 0, 0), 4),
    (( 0, 0, 0, 7,12, 5, 0, 0, 0, 0, 5,16,16,12, 0, 0, 0, 0,12,16,16,15, 0, 0, 0, 0, 8,16,16,15, 0, 0, 0, 0,10,16,16,10, 0, 0, 0, 0, 6,16,16,10, 0, 0, 0, 0, 0,13,16, 6, 0, 0, 0, 0, 0, 8, 6, 0, 0, 0), 1),
    (( 0, 0, 0, 1,16,14, 1, 0, 0, 0, 0,10,16,14, 0, 0, 0, 3, 9,16,16, 3, 0, 0, 0, 5,16,16,16, 4, 0, 0, 0, 0, 0,14,16, 4, 0, 0, 0, 0, 0, 9,16, 8, 0, 0, 0, 0, 0, 5,16,12, 0, 0, 0, 0, 0, 2,15,14, 2, 0), 1),
    (( 0, 0, 3,12,15,11, 0, 0, 0, 0,14,15,15,16, 1, 0, 0, 0, 3, 2,14,16,12, 1, 0, 0, 0,13,16,14, 9, 0, 0, 0, 0, 2,14, 8, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0), 7),
    (( 0, 0,12,16,14, 4, 0, 0, 0, 2,16,16,16, 6, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,15,16,16, 5, 0, 0, 0, 0,16,16,16, 4, 0, 0, 0, 4,16,16,15, 3, 0, 0, 0, 1,14,16,16, 5, 0, 0, 0, 0,10,16,16,10, 0, 0), 1),
    (( 0, 0, 1, 8,12, 1, 0, 0, 0, 0, 7,16,11, 0, 0, 0, 0, 0,13,14, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 1,16, 8, 5, 3, 0, 0, 0, 0,14,16,16,16,10, 0, 0, 0, 7,16, 9,15,16, 2, 0, 0, 0, 6,12,14, 7, 0), 6),
    (( 0, 0, 6,13,14, 3, 0, 0, 0, 7,15, 8, 9,12, 0, 0, 0, 6,15, 5, 4,16, 1, 0, 0, 0, 8,16,16,16, 6, 0, 0, 0, 0,11,16,12, 0, 0, 0, 0, 5,15, 9,15, 0, 0, 0, 0,10,13, 1,16, 4, 0, 0, 0, 5,12,16,15, 2, 0), 8),
    (( 0, 0, 7,16, 6, 5, 0, 0, 0, 0,16,12, 9,14, 1, 0, 0, 4,15, 0, 0,16, 2, 0, 0, 4,14, 0, 0,15, 3, 0, 0, 5,12, 0, 3,14, 0, 0, 0, 3,16, 0, 6,10, 0, 0, 0, 1,15, 6,16, 3, 0, 0, 0, 0, 8,15, 8, 0, 0, 0), 0),
    (( 0, 0, 3,12,15, 2, 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 0, 4,14, 2, 9,14, 8, 0, 0, 1,13,16,14, 4, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 0,11,11,15, 0, 0, 0, 0, 0,11, 5,12, 2, 0, 0, 0, 0, 3,12,15, 3, 0, 0), 8),
    (( 0, 2, 7,14,11, 1, 0, 0, 0, 8,15, 3, 7, 8, 0, 0, 0,10,10, 1,12, 8, 0, 0, 0, 4,16,16,15, 6, 0, 0, 0, 2,16, 6, 0,11, 7, 0, 0, 1,16, 0, 0, 4,13, 0, 0, 0,16, 2, 5,14, 4, 0, 0, 0, 7,16,14, 6, 0, 0), 8),
    (( 0, 0, 0,10,12, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0,10,10, 1, 0, 0, 0, 0, 0,12,16,16,15, 3, 0, 0, 0,10,15, 4, 8,16, 1, 0, 0, 6,14, 0, 9,15, 0, 0, 0, 1,10,16,15, 4, 0), 6),
    (( 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0,11,12, 1, 0, 0, 0, 0, 6,15, 1,14, 2, 0, 0, 5,15, 5, 3,16, 1, 0, 0, 7,16,14,13,16, 8, 0, 0, 1, 6,12,15,14, 3, 0, 0, 0, 0, 1,13, 7, 0, 0, 0, 0, 0, 3,16, 1, 0, 0), 4),
    (( 0, 0, 4,15,10, 0, 0, 0, 0, 3,16, 9,10, 7, 0, 0, 0, 7,15, 3, 1,11, 2, 0, 0, 8, 6, 0, 0, 6, 7, 0, 0, 8, 5, 0, 0, 4, 8, 0, 0, 4,10, 0, 0, 7, 8, 0, 0, 0,13, 6, 5,15, 3, 0, 0, 0, 4,15,14, 6, 0, 0), 0),
    (( 0, 0, 2,13,16, 4, 0, 0, 0, 0,12,12,10,13, 0, 0, 0, 4,16, 2, 0,15, 2, 0, 0, 5,16, 1, 0, 8, 8, 0, 0, 8,12, 0, 0, 8, 8, 0, 0, 5,15, 1, 0, 9, 8, 0, 0, 1,15,11, 8,16, 3, 0, 0, 0, 4,15,14, 5, 0, 0), 0),
    (( 0, 0, 0,12, 1, 0, 0, 0, 0, 0, 5,14, 1, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0, 3,13, 6, 8, 8, 2, 0, 0, 2,16,16,12,13,14, 0, 0, 0,11,14, 6, 5,16, 2, 0, 0, 1,10,14,14,10, 0), 6),
    (( 0, 0, 4,12, 2, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0, 8,13, 9,14,10, 0, 0, 0, 7,16,13, 9,16, 5, 0, 0, 0,14,11, 5,16, 7, 0, 0, 0, 4,14,14, 8, 0, 0), 6),
    (( 0, 0, 7,16,16, 7, 0, 0, 0, 3,16,16,16,11, 0, 0, 0, 1, 6, 4,16, 7, 0, 0, 0, 0, 0, 9,15, 2, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 7,16, 5, 4, 1, 0, 0, 0,10,16,16,16, 5, 0, 0, 0, 7,16,16, 7, 0, 0), 2),
    (( 0, 1,10,16,11, 0, 0, 0, 0, 8,16,12,16, 3, 0, 0, 0, 1,12, 3,16, 4, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0,11,16,16,16,14, 5, 0, 0,11,13, 9,12,15,11), 2),
    (( 0, 0, 2,13,12, 4, 0, 0, 0, 1,15,12, 3,13, 2, 0, 0, 8,13, 8, 0, 6, 4, 0, 0, 8, 4, 3, 0, 3, 8, 0, 0, 5, 5, 0, 0, 6, 6, 0, 0, 1,14, 1, 0, 8, 3, 0, 0, 0, 8, 8, 5,13, 1, 0, 0, 0, 0,11,15, 6, 0, 0), 0),
    (( 0, 0, 5,15, 4, 0, 0, 0, 0, 2,16,11, 1, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 6,12, 4, 4, 1, 0, 0, 0, 7,16,16,16,15, 3, 0, 0, 0,16, 9, 0, 9,13, 0, 0, 0,10,12, 8,12, 9, 0, 0, 0, 2,12,14, 8, 1, 0), 6),
    (( 0, 0, 3,16,16, 9, 0, 0, 0, 0,13,14, 9,16, 3, 0, 0, 0,15, 6, 5,16, 3, 0, 0, 0, 8,16,16,16, 3, 0, 0, 0, 0, 6, 7,16, 2, 0, 0, 0, 1, 0, 3,16, 3, 0, 0, 1,14, 3, 6,15, 1, 0, 0, 0, 3,15,16,13, 0, 0), 9),
    (( 0, 0, 9, 9, 0, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 0, 6,16, 9, 0, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 1,15, 4, 0, 0, 0, 0, 6,12,15,14, 9, 5, 0, 0, 7,16,16,16,16,14), 1),
    (( 0, 0, 1,14, 7, 0, 0, 0, 0, 1,13,16,14,11, 0, 0, 0, 4,16,12, 0,14, 3, 0, 0, 6,14,14, 0, 8, 8, 0, 0, 4,16,14, 0, 8, 8, 0, 0, 1,15, 3, 0,10, 8, 0, 0, 0, 7,15,10,16, 1, 0, 0, 0, 1, 9,16, 8, 0, 0), 0),
    (( 0, 0, 1,16,12, 2, 0, 0, 0, 0, 4,15,16, 5, 0, 0, 0, 0, 8,16,13, 0, 0, 0, 0, 1,12,16,11, 0, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 0, 4,16,12, 1, 0, 0, 0, 0, 1,14,16,10, 0, 0), 1),
    (( 0, 0, 1,11,13, 2, 0, 0, 0, 0, 9,14,13, 3, 0, 0, 0, 1,15,12, 0, 0, 0, 0, 0, 3,15, 9, 2, 0, 0, 0, 0, 2,16,16,16,11, 0, 0, 0, 0,13, 7, 4,14, 7, 0, 0, 0, 9,11, 9,16, 6, 0, 0, 0, 1,12,16, 7, 0, 0), 6),
    (( 0, 0, 0, 2,16,12, 0, 0, 0, 0, 0, 6,16,15, 0, 0, 0, 0, 0,11,16,11, 0, 0, 0, 1, 8,16,16,11, 0, 0, 0, 9,16,16,16,10, 0, 0, 0, 1, 8, 8,16, 8, 0, 0, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 0, 1,16,10, 0, 0), 1),
    (( 0, 0, 5,16, 5, 0, 0, 0, 0, 0, 2,16,13, 0, 0, 0, 0, 0,11,16,16, 2, 0, 0, 0, 0, 3,12,16, 9, 0, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 9,12,14,16, 8, 5, 0, 0, 4,12,13,16,16,15), 1),
    (( 0, 3, 9,14,15, 6, 0, 0, 0, 7,13, 7, 8,16, 0, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 1, 9,16,10, 0, 0, 0, 0, 5,15,12,15, 7, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 8, 8,14,16, 4, 0, 0, 3,16,14, 9, 1, 0, 0), 3),
    (( 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 0,11,15, 0, 7, 1, 0, 0, 8,15, 2, 5,16, 0, 0, 3,15, 8, 4,12,11, 0, 0,10,16,16,16,16, 7, 0, 0, 2, 8, 8,13,16, 1, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 2,14, 3, 0, 0), 4),
    (( 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 0, 0, 6,12, 7,10, 4, 0, 0, 0, 5,15,16,13,15, 4, 0, 0, 0, 8,16, 8,13,12, 0, 0, 0, 0, 8,14,13, 6, 0), 6),
    (( 0, 4,16,16, 9, 1, 0, 0, 0, 2,11, 9,15, 7, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 0, 3,15,13, 1, 0, 0, 0, 0,11,16,13, 8, 6, 3, 0, 0, 4,14,16,16,16,11, 0), 2),
    (( 0, 0,10,16,14, 6, 0, 0, 0, 0,14,16, 9,15, 3, 0, 0, 0,10,16, 5,15, 4, 0, 0, 0, 3,16,16,13, 1, 0, 0, 0,12,16,16,10, 0, 0, 0, 2,16, 5,10,14, 0, 0, 0, 7,16, 8, 7,16, 3, 0, 0, 0, 9,14,16,11, 1, 0), 8),
    (( 0, 0, 9,16,12, 1, 0, 0, 0, 3,16,10,15, 9, 0, 0, 0, 3,16, 4,11,16, 1, 0, 0, 0,12,16,16,15, 7, 0, 0, 0, 0, 3, 2, 6,14, 0, 0, 0, 6, 0, 0, 3,16, 1, 0, 1,16, 7, 4, 9,16, 0, 0, 0, 8,16,16,16, 8, 0), 9),
    (( 0, 0, 4,15, 8, 0, 0, 0, 0, 1,14,12,16, 1, 0, 0, 0, 2,10, 1,16, 0, 0, 0, 0, 0, 3,11, 8, 0, 0, 0, 0, 0, 0,10,15, 6, 0, 0, 0, 0, 0, 2,12,15, 2, 0, 0, 0, 1,10, 8,15, 3, 0, 0, 0, 2,15,16,11, 0, 0), 3),
    (( 0, 0, 8,15,16,14, 5, 0, 0, 5,16, 4, 6,16, 8, 0, 0, 7,16, 4, 9,15, 3, 0, 0, 0,12,16,16, 3, 0, 0, 0, 0, 3,15,16, 9, 0, 0, 0, 0,13, 6, 6,16, 4, 0, 0, 0,16, 8, 8,16, 6, 0, 0, 0,11,16,13, 8, 0, 0), 8),
    (( 0, 0,15,15, 2, 0, 0, 0, 0, 4,16,11,13, 1, 0, 0, 0, 3,15, 5,15, 6, 0, 0, 0, 0, 3, 1, 8,12, 0, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 5, 9,16,10, 1, 0, 0, 0,13,16,16,16,16, 6), 2),
    (( 0, 0, 8,16,16,15, 1, 0, 0, 0,16,14,14,11, 0, 0, 0, 4,16,16,13, 4, 0, 0, 0, 3,14,12,14,15, 1, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 1,14, 7, 0, 0, 0,15,12,14,13, 0, 0, 0, 0,11,16,13, 2, 0, 0), 5),
    (( 0, 0, 2,14,11, 1, 0, 0, 0, 0, 8,13, 2, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 0,16,12,15,11, 4, 0, 0, 2,16,12, 4, 5,14, 0, 0, 0,13,11, 4,12,15, 1, 0, 0, 3,11,16,12, 3, 0), 6),
    (( 0, 0, 1,10,11, 0, 0, 0, 0, 0, 7,15, 3, 0, 9, 1, 0, 2,16, 7, 0, 6,15, 2, 0, 8,16, 7, 4,13,11, 0, 0, 8,16,16,16,16, 2, 0, 0, 1, 4, 7,16,12, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,14, 9, 0, 0, 0), 4),
    (( 0, 0, 5,12, 8, 0, 0, 0, 0, 0,13, 6, 1, 0, 0, 0, 0, 2,14, 1, 0, 0, 0, 0, 0, 4,14, 0, 3, 1, 0, 0, 0, 7,11,13,13,13, 5, 0, 0, 4,16, 8, 0, 2,12, 0, 0, 1,15, 6, 2,12, 3, 0, 0, 0, 6,13,12, 4, 0, 0), 6),
    (( 0, 3,10,12,15,10, 1, 0, 0, 6,11, 8,14,16, 4, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 1,15,12, 1, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 1, 7,14,13, 0, 0, 0, 0, 3,15, 9, 1, 0, 0, 0), 3),
    (( 0, 0, 0, 0,11, 2, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 2,15, 4, 4, 8, 0, 0, 1,13, 8, 0,10,10, 0, 0, 9,16, 8, 9,16, 7, 0, 0, 6,12,12,13,14, 1, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 3,16, 4, 0, 0), 4),
    (( 0, 0, 7,16,16,16, 8, 0, 0, 0, 9, 7, 4,14,11, 0, 0, 0, 0, 2, 5,16, 3, 0, 0, 0, 1,15,16,16, 5, 0, 0, 0, 0,13,16,15, 9, 0, 0, 0, 0,10,10, 3, 1, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0), 7),
    (( 0, 0,11,16,12, 5, 0, 0, 0, 4,16,11,16,16, 3, 0, 0, 4,16,11,16,14, 0, 0, 0, 0,10,16,16, 6, 0, 0, 0, 0, 0,15,14, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0), 9),
    (( 0, 0, 5,14, 8, 0, 0, 0, 0, 0,15,11,15, 0, 0, 0, 0, 0, 5, 2,11, 3, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 1,12,12,15, 5, 0, 0, 0, 0, 0, 0, 5,12, 0, 0, 0, 6, 4, 7,12,10, 0, 0, 0, 9,15,12, 9, 1, 0), 3),
    (( 0, 0, 0,10,15, 0, 0, 0, 0, 0, 5,15, 5, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 5,16,12, 9, 3, 0, 0, 0, 2,16,15,12,15, 8, 0, 0, 0,12,14, 5,12,11, 0, 0, 0, 1, 8,14,15, 5, 0), 6),
    (( 0, 0, 6,12,16,16,13, 0, 0, 0,13,12, 8,14,16, 2, 0, 0, 1, 5, 7,15,11, 0, 0, 0,13,16,16,16,11, 0, 0, 0, 3, 9,16, 3, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 9,15, 2, 0, 0, 0), 7),
    (( 0, 0, 8,15, 7, 0, 0, 0, 0, 0,14,14,16, 1, 0, 0, 0, 0, 8, 2,13, 5, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 4,15,15,12,10, 1, 0, 0, 7,15,14,12,16, 3), 2),
    (( 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 1,13, 9, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,13,15,12, 8, 0, 0, 0, 0,12,14, 5,10,12, 0, 0, 0, 8,13, 4, 4,15, 2, 0, 0, 0, 5,12,14, 7, 0), 6),
    (( 0, 0, 9,15, 8, 0, 0, 0, 0, 6,14, 2, 7,10, 0, 0, 0, 9,10, 0, 2,16, 3, 0, 0, 5,16,16,16,14, 2, 0, 0, 6,16,16,16,14, 1, 0, 0, 5,16, 0, 0, 9,11, 0, 0, 1,16, 9, 7,14, 6, 0, 0, 0, 9,12,13, 8, 0, 0), 8),
    (( 0, 0, 2,14,16, 7, 0, 0, 0, 0, 8,16, 8,16, 2, 0, 0, 0, 4,16,13,16, 6, 0, 0, 0, 0,15,16, 9, 0, 0, 0, 0, 5,16,16, 6, 0, 0, 0, 1,15, 8, 9,12, 0, 0, 0, 1,16,11, 9,16, 2, 0, 0, 0, 3,12,13,11, 0, 0), 8),
    (( 0, 0, 4,11,16,11, 1, 0, 0, 3,15, 7, 5,14, 4, 0, 0, 8,13, 0,14,16, 5, 0, 0, 0,15,16,11,16, 5, 0, 0, 0, 1, 2, 5,13, 0, 0, 0, 0, 0, 1,13, 4, 0, 0, 0, 0, 1,13, 7, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0), 9),
    (( 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 5,16,16, 4, 0, 0, 0, 0,15,15, 7, 0, 0, 0, 0, 1,16,13, 0, 0, 0, 0, 0, 3,16,15,16,16, 6, 0, 0, 1,14,16,16,16,15, 1, 0, 0, 8,16,13,14,16, 1, 0, 0, 0, 7,12,12, 6, 0), 6),
    (( 0, 0, 9, 9, 1, 0, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 0, 0,13,16, 7, 0, 0, 0, 0, 0, 6,16,13, 0, 0, 0, 0, 0, 0,14,16, 0, 0, 0, 0, 0, 0,13,16,13, 4, 0, 0, 0,10,16,16,16,15, 2, 0, 0, 8,16,13, 8, 5, 0), 1),
    (( 0, 0, 9,15, 8, 2, 0, 0, 0, 3,15,15,16, 9, 0, 0, 0, 0,11,16,16,12, 0, 0, 0, 0, 0, 0, 2,14, 2, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0,14, 5, 7,13,14, 0, 0, 0,10,16,15,12, 1, 0), 9),
    (( 0, 0, 7,15,10, 0, 0, 0, 0, 0,12,10,15, 3, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 1, 5, 8,16,12, 2, 0, 0,10,16,16,15,10, 3, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0), 7),
    (( 0, 0, 3,13, 8, 1, 0, 0, 0, 0,11,16,14, 9, 0, 0, 0, 4,16, 5, 4,14, 0, 0, 0, 4,15, 0, 0,12, 8, 0, 0, 5,12, 0, 0,12, 8, 0, 0, 2,15, 0, 0,12, 6, 0, 0, 0,14,10, 8,15, 2, 0, 0, 0, 4,13,16, 6, 0, 0), 0),
    (( 0, 1, 9,15,16, 8, 0, 0, 0, 7,16,12,16, 8, 0, 0, 0, 0, 2, 0,16, 8, 0, 0, 0, 1, 8,12,16,10, 1, 0, 0, 4,16,16,16,16,11, 0, 0, 0,12,16, 3, 4, 2, 0, 0, 0, 9,16, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0), 7),
    (( 0, 0, 5,13,16, 3, 0, 0, 0, 1,15,15,16, 8, 0, 0, 0, 5, 8, 5,16,11, 0, 0, 0, 2,12,16,16,16,10, 0, 0, 2,14,16,15,10, 5, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0, 8,14, 2, 0, 0, 0), 7),
    (( 0, 0, 4,13,16, 7, 0, 0, 0, 1,15,13,16,15, 1, 0, 0, 5,13, 0, 7,14, 4, 0, 0, 6, 9, 0, 0, 8, 7, 0, 0, 5,11, 0, 0, 8, 8, 0, 0, 4,13, 0, 0, 8, 8, 0, 0, 0,14,12, 6,16, 4, 0, 0, 0, 3,16,15, 5, 0, 0), 0),
    (( 0, 0, 6,13,15, 6, 0, 0, 0, 1,16, 5, 3,13, 0, 0, 0, 8,13, 0, 4,12, 0, 0, 0, 3,12, 5,15, 4, 0, 0, 0, 0, 7,16,11, 0, 0, 0, 0, 0,14, 7,12, 7, 0, 0, 0, 0,13, 1, 1,16, 2, 0, 0, 0, 4,13,13,10, 1, 0), 8),
    (( 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0,15, 5,11, 7, 0, 0, 0, 8,12, 1,16, 3, 0, 0, 3,15, 5, 6,14, 0, 0, 0,12,15,10,15,16, 7, 0, 0,12,16,16,16,10, 3, 0, 0, 0, 2, 7,13, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0), 4),
    (( 0, 1,10,16,16, 8, 0, 0, 0, 8,13, 6,14, 8, 0, 0, 0, 1, 1,10,15, 2, 0, 0, 0, 0, 3,16,15, 8, 0, 0, 0, 0, 0, 2, 7,15, 6, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 2, 1, 2,13,10, 0, 0, 0,11,16,16,11, 1, 0), 3),
    (( 0, 3,14,14, 2, 0, 0, 0, 0,10,15,14,11, 0, 0, 0, 0,11, 7, 5,16, 0, 0, 0, 0, 1, 2, 0,16, 3, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 1,12,15, 7, 0, 0, 0, 1,15,16,16,16,11, 0, 0, 1,10,10, 5, 6, 7, 0), 2),
    (( 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 1,13,13, 1, 0, 0, 0, 0, 7,16, 5, 2, 3, 0, 0, 3,16,15,10,15,13, 0, 0,10,16,16,16,16, 8, 0, 0, 1, 4, 5,16,15, 3, 0, 0, 0, 0, 4,16,11, 0, 0, 0, 0, 0, 7,16, 3, 0, 0), 4),
    (( 0, 0,10,16,16,16, 3, 0, 0, 0,14,16,16,13, 5, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 3, 9,16, 0, 0, 0, 0, 4,16,15,16, 0, 0, 0, 0, 0,10,16,10, 0, 0, 0), 5),
    (( 0, 0, 6,14, 9, 1, 0, 0, 0, 0,14, 9,13,12, 0, 0, 0, 2,13, 0, 2,15, 2, 0, 0, 5, 8, 0, 0, 8, 4, 0, 0, 8, 8, 0, 0, 5, 8, 0, 0, 6,11, 0, 0, 6, 5, 0, 0, 0,15, 7, 4,13, 3, 0, 0, 0, 5,12,16,11, 0, 0), 0),
    (( 0, 0, 5, 9,13,12, 0, 0, 0,10,16,15,12,16, 2, 0, 0, 8, 7, 0,11,14, 0, 0, 0, 0, 0, 2,16,14, 1, 0, 0, 0, 0, 1,11,16, 7, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0,14,10,10,16, 8, 0, 0, 0, 6,15,16,10, 1, 0), 3),
    (( 0, 0, 2, 8, 9,12,12, 0, 0, 0,10,16,15,10, 4, 0, 0, 0,13,14, 1, 0, 0, 0, 0, 3,16,12, 2, 0, 0, 0, 0, 0, 3,10,15,12, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 8,14, 6, 0, 0, 0, 0, 0,13, 4, 0, 0, 0), 5),
    (( 0, 0, 1,13, 1, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 1,16, 4, 4, 4, 1, 0, 0, 0,14,15,11,10,12, 0, 0, 0, 8,11, 0, 4,15, 4, 0, 0, 1,10,16,14, 9, 0), 6),
    (( 0, 0, 0, 8,16,16,16, 9, 0, 0, 0, 8, 8, 9,16, 8, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 1,12,14, 0, 0, 0, 3,14,16,16, 6, 0, 0, 0, 4, 6,11,10, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0, 0,10,11, 0, 0, 0), 7),
    (( 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 5,16, 5, 6, 2, 0, 0, 0,14,10, 2,16, 6, 0, 0, 6,16, 3, 9,15, 0, 0, 0,11,16,16,16,16, 6, 0, 0, 4,12,14,16,12, 2, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0,11,11, 1, 0, 0), 4),
    (( 0, 0, 6,14,16,10, 0, 0, 0, 0,13,13,10,15, 0, 0, 0, 0, 5,15,11,14, 0, 0, 0, 0, 0,10,16, 7, 0, 0, 0, 0, 0,14,16, 1, 0, 0, 0, 0, 8,15,15, 2, 0, 0, 0, 0,12,14,16, 1, 0, 0, 0, 0,10,16,11, 0, 0, 0), 8),
    (( 0, 0, 0, 9,16,12, 2, 0, 0, 0, 3,15,10,16, 4, 0, 0, 1,14, 8, 0,13, 7, 0, 0, 7,15, 1, 0,14, 6, 0, 0, 4,15, 0, 0,15, 5, 0, 0, 1,12, 4, 9,15, 0, 0, 0, 0, 5,16,16, 9, 0, 0, 0, 0, 0, 9,14, 2, 0, 0), 0),
    (( 0, 1,12,16,16,16, 6, 0, 0, 0, 7, 8, 6,16,13, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 3, 7,11,14, 1, 0, 0, 0,10,16,16,15, 3, 0, 0, 0, 1,15,15,15, 3, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0), 7),
    (( 0, 0, 8,12,15,12, 0, 0, 0, 8,15, 7, 4, 4, 0, 0, 0, 6,14, 4, 3, 0, 0, 0, 0, 7,16,13,16, 8, 0, 0, 0, 1, 4, 0, 5,16, 5, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 1, 7, 4, 6,15, 8, 0, 0, 0,10,15,16, 9, 0, 0), 5),
    (( 0, 1,14,16, 8, 0, 0, 0, 0, 7,12, 9,16, 0, 0, 0, 0, 4, 2, 0,16, 0, 0, 0, 0, 0, 1,10, 9, 0, 0, 0, 0, 0, 7,13, 1, 0, 0, 0, 0, 0,16, 1, 0, 0, 0, 0, 0, 3,13, 4, 7, 8, 5, 0, 0, 1,13,16,15,12,10, 0), 2),
    (( 0, 0, 9,13,15,10, 0, 0, 0, 2,15, 5, 6,16, 6, 0, 0, 0, 3, 0, 2,16, 6, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 5,15, 3, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 0, 8,16,16,12, 0, 0), 2),
    (( 0, 0, 3,10,15,13, 2, 0, 0, 3,14,12, 9,12, 7, 0, 0, 4,14, 4, 2,14, 2, 0, 0, 0, 5,15,14, 8, 0, 0, 0, 0, 3,15,12,13, 1, 0, 0, 0,10, 8, 0,12, 7, 0, 0, 0,11, 7, 0, 9, 8, 0, 0, 0, 3,11,15,14, 2, 0), 8),
    (( 0, 1,12, 8, 0, 0, 0, 0, 0, 9,16,14, 9, 0, 0, 0, 0, 9, 8, 0,16, 0, 0, 0, 0, 1, 0, 4,13, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 0, 0, 1,13, 3, 0, 0, 0, 0, 1,15,15,11,10, 7, 0, 0, 0,11,12,12,12,11, 0), 2),
    (( 0, 0, 0, 5,12,11, 1, 0, 0, 0, 3,14, 6, 7,11, 0, 0, 5,16, 2, 1, 9, 9, 0, 0, 8,14, 8,14,16, 1, 0, 0, 1, 7, 8,13,10, 0, 0, 0, 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0), 9),
    (( 0, 0, 1,15, 0, 0, 0, 0, 0, 0, 4,15, 1, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 1,16, 9, 2, 0, 0, 0, 0, 5,16,13,14,10, 2, 0, 0, 2,16, 5, 0,10, 9, 0, 0, 1,13,12, 8,12,11, 0, 0, 0, 1,12,13,10, 3, 0), 6),
    (( 0, 0, 8,15,16,12, 0, 0, 0,12,16,14,12, 6, 0, 0, 0,10,16, 5, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0, 0, 6,16,10, 0, 0, 0, 0, 6, 8,15,12, 0, 0, 0, 0, 7,14, 8, 0, 0, 0), 5),
    (( 0, 0, 6,14, 0, 0,12, 6, 0, 0,15,13, 0, 6,16, 6, 0, 2,16,12, 4,16,12, 0, 0, 1,14,16,16,16, 7, 0, 0, 0, 1, 8,16, 7, 0, 0, 0, 0, 0,12,16, 2, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0), 4),
    (( 0, 0,10,13, 2, 0, 0, 0, 0, 0,14,16, 4, 0, 0, 0, 0, 2,16,14, 0, 0, 0, 0, 0, 6,16,14, 2, 0, 0, 0, 0, 7,16,16,16,13, 1, 0, 0, 2,16,16,16,16, 7, 0, 0, 2,16,16,16,16, 4, 0, 0, 0, 8,15,16,13, 0, 0), 6),
    (( 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0,11,15, 2, 6, 4, 0, 0, 4,16,14,13,16,12, 0, 0,11,16,16,16,16, 3, 0, 0, 3, 8,10,16, 9, 0, 0, 0, 0, 0,11,16, 2, 0, 0, 0, 0, 1,13,13, 0, 0, 0), 4),
    (( 0, 0, 0, 0, 2,14, 4, 0, 0, 0, 0, 1,11,16, 5, 0, 0, 0, 6,14,16,16, 1, 0, 0, 5,16,12,16,13, 0, 0, 0, 3,10, 0,14,13, 0, 0, 0, 0, 0, 0,15,14, 0, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0, 4,15, 0, 0), 1),
    (( 0, 0, 8,16,14, 2, 0, 0, 0, 1,14, 6,11, 8, 0, 0, 0, 8,16, 0, 4,16, 0, 0, 0, 2,11,15,15,16, 6, 0, 0, 0, 0, 6, 7,12, 6, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0,12, 6, 4,13,10, 0, 0, 0, 6,14,16,10, 2, 0), 9),
    (( 0, 0, 2,15,13, 5, 0, 0, 0, 0, 5,13,12,15, 0, 0, 0, 4,14,13,15,14, 0, 0, 0, 8,16,16,15, 3, 0, 0, 0, 0,13,11, 9,12, 0, 0, 0, 0,15, 2, 0,15, 1, 0, 0, 0,13, 8, 4,14, 3, 0, 0, 0, 2,12,13,12, 2, 0), 8),
    (( 0, 0, 5,15,13, 2, 0, 0, 0, 0,14,13, 9,13, 0, 0, 0, 0,10, 0, 0,10, 2, 0, 0, 0, 0, 0, 0,11, 3, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 1,12, 9, 0, 0, 0, 0,10,12,16,14, 2, 0, 0, 0, 5,14,12,11, 4, 0), 2),
    (( 0, 0, 1, 9,15,13, 1, 0, 0, 0,11,12, 6,16, 4, 0, 0,10,15, 1, 7,14, 0, 0, 0, 3,15,14,15, 3, 0, 0, 0, 0, 1,12,15, 3, 0, 0, 0, 0, 0,12, 8,13, 1, 0, 0, 0, 0,12, 6,16, 2, 0, 0, 0, 0, 9,15, 6, 0, 0), 8),
    (( 0, 0,15,15, 8, 1, 0, 0, 0, 0, 4, 6,11,15, 2, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 4, 9,15,13, 1, 0, 0, 0, 4,12,16,13, 1, 0, 0, 0, 1, 0, 2,10, 8, 0, 0, 4,11, 3, 5,12, 8, 0, 0, 1, 9,15,15,10, 0, 0), 3),
    (( 0, 0, 5, 3,10,10, 0, 0, 0, 4,16,13,14,13, 0, 0, 0, 4,14, 0, 8, 8, 0, 0, 0, 1,13,13,15, 0, 0, 0, 0, 0, 0,14,16, 1, 0, 0, 0, 0,13,13, 8, 5, 0, 0, 0, 1,13,10, 8,10, 0, 0, 0, 0, 2,13,16, 6, 0, 0), 8),
    (( 0, 1,12,16,14, 5, 0, 0, 0, 3,13, 9,16,12, 0, 0, 0, 0, 1,11,16, 6, 0, 0, 0, 0, 8,16, 9, 0, 0, 0, 0, 0, 3,15,13, 0, 0, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 0, 3, 8,12,16, 3, 0, 0, 0,14,16,16,16, 7, 0), 3),
    (( 0, 0, 3,11,16,16,10, 0, 0, 0,11,10, 8,16, 7, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 1, 4,13,11, 0, 0, 0, 0,10,16,16,16, 9, 0, 0, 0, 4,13,13, 8, 2, 0, 0, 0, 2,14, 6, 0, 0, 0, 0, 0, 4,12, 1, 0, 0, 0), 7),
    (( 0, 1,12, 3, 0, 0, 0, 0, 0,10,16,15, 1, 0, 0, 0, 0, 8, 3,13, 5, 0, 0, 0, 0, 1, 0, 9, 9, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0,13,16,14,14,12, 0, 0, 0, 8,12,12,10,11, 0), 2),
    (( 0, 1,13,16,14, 1, 0, 0, 0,14,15, 8,14,10, 0, 0, 0, 5, 5, 0,13,10, 0, 0, 0, 0, 0,12,16, 8, 0, 0, 0, 0, 4,16,16,16, 5, 0, 0, 0, 0, 3, 0,16,10, 0, 0, 0, 3, 4,10,16, 8, 0, 0, 0,11,16,16, 8, 0, 0), 3),
    (( 0, 0, 3,13,12, 2, 0, 0, 0, 0,14,16,13,12, 0, 0, 0, 2,16,12, 0,12, 4, 0, 0, 6,15, 0, 0,10, 6, 0, 0, 3,13, 0, 0, 7, 9, 0, 0, 3,12, 0, 1,12, 6, 0, 0, 1,13, 9,13,16, 2, 0, 0, 0, 5,14,13, 4, 0, 0), 0),
    (( 0, 0, 4,12,12, 0, 0, 0, 0, 2,16, 8,12,10, 0, 0, 0, 7,10, 4,14,14, 0, 0, 0, 2,13,14,11,14, 0, 0, 0, 0, 0, 0, 0,13, 2, 0, 0, 0, 0, 0, 0, 6, 7, 0, 0, 0, 4, 2, 0, 7, 8, 0, 0, 0, 5,14,16,11, 2, 0), 9),
    (( 0, 0, 9,16,15, 4, 0, 0, 0, 0,12,14,12,16, 1, 0, 0, 0, 0,10,16,14, 0, 0, 0, 0, 2,16,16,10, 1, 0, 0, 0, 0, 4, 8,13,13, 0, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 9, 6, 9,15,15, 0, 0, 0,10,16,16,14, 3, 0), 3),
    (( 0, 0,14, 4, 4, 0, 0, 0, 0, 9,16,16,16, 9, 0, 0, 0, 3,11, 5,14,15, 0, 0, 0, 0, 0,14,16,10, 0, 0, 0, 0, 0, 9,16,16, 6, 0, 0, 0, 1, 0, 0, 7,16, 0, 0, 2,15, 4, 5,12,15, 0, 0, 0,10,16,16,15, 3, 0), 3),
    (( 0, 0,11,15, 9, 0, 0, 0, 0, 0,13, 9,13,10, 0, 0, 0, 0,13, 6, 1,11, 3, 0, 0, 4,12, 0, 0, 4, 8, 0, 0, 8, 7, 0, 0, 5, 8, 0, 0, 7, 8, 0, 5,15, 3, 0, 0, 2,14,10,16,10, 0, 0, 0, 0,12,12, 3, 0, 0, 0), 0),
    (( 0, 1, 7,11,15,11, 1, 0, 0, 4, 9, 4, 0,13, 5, 0, 0, 0, 0, 0, 9,15, 1, 0, 0, 0, 4,15,11, 3, 0, 0, 0, 0, 3,16, 8, 2, 0, 0, 0, 0, 0, 2, 7,16, 6, 0, 0, 0, 0, 6, 9,16, 5, 0, 0, 0,13,12, 7, 3, 0, 0), 3),
    (( 0, 0, 0, 6,15,16, 6, 0, 0, 0, 3,16, 5, 9,12, 0, 0, 0, 4,15, 7,13, 4, 0, 0, 0,14,16,16,10, 0, 0, 0, 5,16,13,11, 0, 0, 0, 0, 5,15, 1,16, 3, 0, 0, 0, 0,10,13,15, 6, 0, 0, 0, 0, 0, 5,13, 5, 0, 0), 8),
    (( 0, 0, 6,13,11, 4, 0, 0, 0, 5,16,10,14,12, 0, 0, 0, 7, 8, 1,14, 9, 0, 0, 0, 0, 0, 5,15, 3, 0, 0, 0, 0, 2,15,10, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 4,16,12, 4, 6, 5, 0, 0, 1, 9,14,13,12, 5, 0), 2),
    (( 0, 0, 4,13,16,16, 5, 0, 0, 0,13,16,12, 7, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0,10,16,16,15, 2, 0, 0, 0, 6,13,15,16, 7, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 7, 9,16, 2, 0, 0, 0, 5,16,15, 7, 0, 0), 5),
    (( 0, 0, 7,11,11, 2, 0, 0, 0, 0,16,16,15,13, 0, 0, 0, 3,15, 7, 0,10, 3, 0, 0, 3,12, 0, 0, 5, 7, 0, 0, 7, 9, 0, 0,10, 6, 0, 0, 4,13, 0, 3,15, 6, 0, 0, 2,15,12,15,14, 0, 0, 0, 0, 7,16,12, 2, 0, 0), 0),
    (( 0, 0, 0,10, 8, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 0,14, 9, 7, 3, 0, 0, 0, 1,16,16,14,16, 5, 0, 0, 1,15,10, 0, 3,14, 1, 0, 0, 8,12, 5, 5,15, 4, 0, 0, 1, 9,15,16,11, 0), 6),
    (( 0, 0,12, 7, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0, 8,12, 3, 8, 2, 0, 0, 0,12,14,16,16,16, 4, 0, 0, 9,16,13, 3, 9,13, 0, 0, 3,16, 9, 5,13,12, 0, 0, 0,10,16,16,13, 1, 0), 6),
    (( 0, 1,15,16,14, 2, 0, 0, 0, 1,11,12,16, 8, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 2,15,16, 3, 0, 0, 0, 0, 4,16,16,14, 4, 0, 0, 0, 5,16,12,16, 7, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0), 7),
    (( 0, 0,10,12, 2, 0, 0, 0, 0, 4,15,13,13, 0, 0, 0, 0, 5,12, 0,14, 2, 0, 0, 0, 2,10, 0,13, 3, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0,11,16, 8, 4, 2, 0, 0, 0,13,15,16,16, 7, 0), 2),
    (( 0, 0, 0, 9,15,10, 0, 0, 0, 0, 2,16,16,16, 0, 0, 0, 0, 0,15,16,16, 0, 0, 0, 0, 2,16,16,12, 0, 0, 0, 0,14,16,16,12, 0, 0, 0, 4,16,16,16,11, 0, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,14,15,10, 2, 0), 1),
    (( 0, 0, 1,13,15, 7, 0, 0, 0, 0, 9,14, 9,15, 1, 0, 0, 2,16, 5, 0,10, 4, 0, 0, 5,13, 5, 0, 4, 8, 0, 0, 8, 8, 0, 0, 7, 8, 0, 0, 3,14, 1, 0, 9, 7, 0, 0, 0,13,13, 9,16, 4, 0, 0, 0, 3,13,16,10, 0, 0), 0),
    (( 0, 0, 7,11,15,10, 0, 0, 0, 4,16,15,13,12, 4, 0, 0, 0, 7, 1, 5,16, 4, 0, 0, 0, 0, 6,15,14, 0, 0, 0, 0, 0,15,16,16, 4, 0, 0, 1, 2, 3, 5,16, 8, 0, 0, 3,14, 5, 7,16, 6, 0, 0, 0, 8,15,16,12, 1, 0), 3),
    (( 0, 0, 0, 1, 8,15,10, 0, 0, 0, 3,15,15,16,12, 0, 0, 0,16, 9, 6,16, 2, 0, 0, 4,16, 9,13,16, 1, 0, 0, 0,10,12,15,16, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0, 6, 6, 0, 0), 9),
    (( 0, 0, 6,12, 8, 4, 0, 0, 0, 0, 6,16,16,10, 0, 0, 0, 0, 2,16,16,14, 0, 0, 0, 0, 0,14,16,16, 1, 0, 0, 0, 1,14,16,13, 0, 0, 0, 0, 7,16,16,10, 0, 0, 0, 0, 8,16,16, 7, 0, 0, 0, 0, 6,12,12,11, 0, 0), 1),
    (( 0, 2,15,15, 2, 0, 0, 0, 0,10,11,16, 6, 0, 0, 0, 0, 9, 5,12, 9, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 1,14,16,15,10, 5, 0, 0, 5,15, 8,12,15,12, 0), 2),
    (( 0, 0, 1,11, 7, 0, 2, 1, 0, 0,10,13, 0, 1,13, 6, 0, 4,16, 3, 0,10,12, 0, 0, 3,16,11, 9,16, 3, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0), 4),
    (( 0, 0, 8, 2, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 4,16,14,11, 6, 0, 0, 0, 2,16,16,16,16, 9, 0, 0, 0,15,16, 6,16,12, 0, 0, 0, 7,15,16,14, 3, 0), 6),
    (( 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 2,14,12, 4, 7, 8, 0, 0, 5,16,16,16,16,13, 0, 0, 1, 7,10,12,16, 6, 0, 0, 0, 0, 2,15,10, 0, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 0,10,15, 3, 0, 0), 4),
    (( 0, 0, 8,16,16, 4, 0, 0, 0, 5,16, 8,13,10, 0, 0, 0, 6,11, 1,14, 7, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 8,14, 2, 0, 0, 0, 0, 0,16, 9, 0, 2, 3, 0, 0, 0,10,16,16,12, 3, 0), 2),
    (( 0, 0, 5,12,13,11, 3, 0, 0, 2,16,12, 8, 6, 3, 0, 0, 4,16, 9, 3, 0, 0, 0, 0, 7,16,16,16, 7, 0, 0, 0, 3, 8, 4,11,14, 0, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 2, 6,12,16, 2, 0, 0, 0, 8,12, 8, 3, 0, 0), 5),
    (( 0, 0, 6,14,10, 0, 0, 0, 0, 0, 8,16,16, 0, 0, 0, 0, 0, 8,16,16, 1, 0, 0, 0, 1,13,16,14, 0, 0, 0, 0, 3,13,16,13, 0, 0, 0, 0, 0, 7,16,16, 0, 0, 0, 0, 0, 6,16,16, 9, 0, 0, 0, 0, 5,14,16,13, 4, 0), 1),
    (( 0, 2,16,14, 2, 0, 0, 0, 0, 6,14,12,14, 0, 0, 0, 0, 7,12, 8,15, 0, 0, 0, 0, 2, 5, 8,12, 0, 0, 0, 0, 0, 0,15, 1, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 1,13,14, 9, 8, 2, 0, 0, 2,14,15,12,16,10, 0), 2),
    (( 0, 2,12,16,15, 8, 0, 0, 0, 2, 7, 4,10,16, 2, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0,15,15, 1, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 0, 0,14,10, 1, 0, 0, 0, 1, 5,10,16, 4, 0, 0, 1,13,13,12, 8, 0, 0), 3),
    (( 0, 0, 9,15, 4, 0, 0, 0, 0, 8,16,11, 7, 0, 0, 0, 0,11,11, 0, 2,10, 0, 0, 0, 6,16, 6,13,14, 1, 0, 0, 0, 7,16,16, 4, 0, 0, 0, 0, 5,16,16, 9, 0, 0, 0, 0,10,16,16,14, 0, 0, 0, 0, 6,16, 9, 4, 0, 0), 8),
    (( 0, 0, 6,13,15, 8, 0, 0, 0, 4,16,12,12,16, 5, 0, 0, 6,16, 2, 5,16, 5, 0, 0, 1,15,13,13,16, 1, 0, 0, 0, 0, 7,13,16, 1, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 4,16,11, 7,16, 0, 0, 0, 1,10,13,16,13, 0, 0), 9),
    (( 0, 0,15,15,16,14, 1, 0, 0, 3,16,15, 8, 7, 0, 0, 0, 8,16, 9, 1, 0, 0, 0, 0, 9,16,16,12, 0, 0, 0, 0, 1, 2, 0,16, 4, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 2, 7, 7,16, 4, 0, 0, 0, 0,15,16,12, 0, 0, 0), 5),
    (( 0, 0, 0, 9,14, 1, 0, 0, 0, 0, 5,16, 4, 0, 1, 1, 0, 0,14,13, 0, 3,13, 6, 0, 1,16,16,16,16,14, 1, 0, 0, 7,12,14,16, 2, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,13, 5, 0, 0, 0), 4),
    (( 0, 0,11,16,16,12, 5, 0, 0, 1,16,10, 8, 8, 5, 0, 0, 2,16,10, 7, 1, 0, 0, 0, 3,16,13,14,12, 1, 0, 0, 0, 5, 0, 2,15, 5, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 6, 5,10,16, 2, 0, 0, 0,12,14,12, 6, 0, 0), 5),
    (( 0, 0,11,12, 8, 4, 0, 0, 0, 0,11,16,16, 8, 0, 0, 0, 0,10,16,16, 8, 0, 0, 0, 0,12,16,16, 6, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,13,16,16, 6, 0, 0, 0, 0,16,16,16, 8, 0, 0, 0, 0,12,12,12, 7, 0, 0), 1),
    (( 0, 0,12,12,12, 5, 0, 0, 0, 0, 4,16,16, 8, 0, 0, 0, 0, 2,16,16, 9, 0, 0, 0, 0, 4,16,16, 9, 0, 0, 0, 0, 4,16,16, 4, 0, 0, 0, 0, 5,16,16, 3, 0, 0, 0, 0, 9,16,16, 0, 0, 0, 0, 0,11,12,12, 4, 0, 0), 1),
    (( 0, 0, 7,16,15, 7, 0, 0, 0, 0,16,10, 8,15, 0, 0, 0, 0, 5, 2, 9,15, 0, 0, 0, 0, 5,16,16, 8, 0, 0, 0, 0, 2, 5,11,14, 3, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0,10,10, 7,13,12, 0, 0, 0, 6,12,16,11, 4, 0), 3),
    (( 0, 0, 9,14, 9, 2, 0, 0, 0, 2,16,10,14, 8, 0, 0, 0, 2,16, 2, 6,16, 1, 0, 0, 0,14, 9,11,16, 5, 0, 0, 0, 2,11,11,14, 9, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 5, 9,11,16, 6, 0, 0, 0, 7,13,12, 8, 0, 0), 9),
    (( 0, 0, 4,12,15, 2, 0, 0, 0, 0,12,14,14,15, 2, 0, 0, 2,15, 1,11,16, 4, 0, 0, 5,11, 0, 0,11, 7, 0, 0, 5,11, 0, 0,13, 3, 0, 0, 0,15, 0, 1,15, 0, 0, 0, 0,14, 7,13,11, 0, 0, 0, 0, 2,15,12, 3, 0, 0), 0),
    (( 0, 2,14,14, 3, 0, 0, 0, 0, 8,15,15,11, 0, 0, 0, 0, 9,14,10,14, 2, 0, 0, 0, 1, 7, 8,16, 0, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 2,13,16,13,10, 7, 0, 0, 4,16,16,16,16,15, 0), 2),
    (( 0, 0, 9,16,16, 9, 0, 0, 0, 0,13,13,15,16, 0, 0, 0, 0, 9,16,16, 7, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 0,10,15,14, 1, 0, 0, 0, 0,14, 7,12, 5, 0, 0, 0, 0,15, 9,16, 5, 0, 0, 0, 0, 9,16,14, 1, 0, 0), 8),
    (( 0, 1, 8,14,16,12, 0, 0, 0, 1,12, 9,11,16, 0, 0, 0, 0, 0, 9,15, 5, 0, 0, 0, 2,14,16, 7, 0, 0, 0, 0, 1,11,13,16, 9, 0, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0,11, 8,14,13, 0, 0, 0, 0,11,14,11, 1, 0, 0), 3),
    (( 0, 0, 4,13,10, 3, 0, 0, 0, 0,16,15,13,13, 0, 0, 0, 1,16, 9, 8,15, 0, 0, 0, 2,16,15,15,16, 1, 0, 0, 0, 7,12,12,16, 6, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 3, 2, 1,14,11, 0, 0, 0, 5,13,14,12, 2, 0), 9),
    (( 0, 3,15,11, 1, 0, 0, 0, 0, 8,13,12, 7, 0, 0, 0, 0, 5, 5, 9, 9, 0, 0, 0, 0, 0, 2,14,10, 0, 0, 0, 0, 0, 3,12,15,13, 1, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 4,11, 5,10,16, 4, 0, 0, 4,12,13,12, 3, 0, 0), 3),
    (( 0, 6,16,12, 2, 0, 0, 0, 0, 1,13,16,12, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 5,16,15,16,15, 4, 0, 0, 4,15,13,12,11, 8, 0), 2),
    (( 0, 0, 2,11,15, 3, 0, 0, 0, 0, 9,13, 5,12, 0, 0, 0, 0,14, 3, 0, 5, 4, 0, 0, 5,11, 0, 0, 4, 6, 0, 0, 7,12, 0, 0, 7, 6, 0, 0, 4,14, 0, 1,13, 5, 0, 0, 0,13,10,13,14, 0, 0, 0, 0, 3,11,13, 2, 0, 0), 0),
    (( 0, 0, 0,13, 6, 2, 0, 0, 0, 0, 2,16, 8,16, 3, 0, 0, 1,14,13,12,16, 0, 0, 0, 9,16,16,16,16,10, 0, 0, 3,12,14,16,13, 6, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0), 4),
    (( 0, 0, 0, 7,12, 1, 0, 0, 0, 0, 7,16, 9, 1, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 0,15, 1, 0, 0, 0, 0, 0, 0,11,13,16,16, 8, 0, 0, 0, 9,16,13,11,16, 3, 0, 0, 0, 9,12,13, 9, 0), 6),
    (( 0, 0, 5,15,16, 7, 0, 0, 0, 0,15,15,12,15, 0, 0, 0, 0, 8, 1, 5,16, 2, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 2,15,16, 8, 0, 0, 0, 0, 0, 3,12,13, 0, 0, 0,14,12,13,16, 8, 0, 0, 0, 5,12,13,10, 1, 0), 3),
    (( 0, 7,16,13, 2, 0, 0, 0, 0, 8,14,12,14, 0, 0, 0, 0, 1, 2, 4,16, 0, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0, 1,11,16,16,13,11, 0, 0, 4,16,16,12,12, 9, 0), 2),
    (( 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0,11,10, 9, 2, 0, 0, 0, 4,16, 8,16, 4, 0, 0, 5,14,11,11,16, 2, 0, 3,15,16,16,16,14, 0, 0, 3,12,11,14,16,13, 0, 0, 0, 0, 0, 7,16, 7, 0, 0), 4),
    (( 0, 0, 9,16,16, 8, 0, 0, 0, 0,15,13,12,12, 0, 0, 0, 0,11, 2,13,11, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 5,15,10, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 7,16,10, 4, 4, 7, 0, 0, 0, 8,16,16,16,14, 0), 2),
    (( 0, 1, 7, 6,12,14, 7, 0, 0, 4,16,13, 7, 4, 1, 0, 0, 5,14, 4, 2, 0, 0, 0, 0, 5,16,16,15, 3, 0, 0, 0, 1, 7, 3,14, 8, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 1, 3, 5,15, 2, 0, 0, 0, 1,13,13, 5, 0, 0, 0), 5),
    (( 0, 0, 5,11,12, 2, 0, 0, 0, 5,16,14,14,12, 0, 0, 0, 5, 7, 0,10,10, 0, 0, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 0,14,12, 1, 0, 0, 0, 0,11,16, 1, 0, 0, 0, 0, 0,15,13, 8, 5, 2, 0, 0, 0, 3,12,16,15, 9, 0), 2),
    (( 0, 0, 5, 8,14,14, 8, 0, 0, 4,16,13,12, 9, 4, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 5,16, 8, 2, 0, 0, 0, 0, 0, 6,14,16, 8, 0, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0,11, 8,10,15, 1, 0, 0, 0, 8,13,10, 1, 0, 0), 5),
    (( 0, 0, 6,15,16,16, 5, 0, 0, 3,16,14, 8, 4, 1, 0, 0,10,16,11, 3, 0, 0, 0, 0,11,16,16,15, 3, 0, 0, 0, 1, 2, 1,14,12, 0, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 5,13,11,15, 0, 0, 0, 0, 7,16,15, 3, 0, 0), 5),
    (( 0, 0,12,15, 6, 0, 0, 0, 0, 8,14, 7,16, 3, 0, 0, 0, 8, 6, 0, 8, 8, 0, 0, 0, 5, 8, 0, 8,10, 0, 0, 0, 0, 1, 0,12, 9, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 0, 7,16,12, 5, 7, 0, 0, 0,11,16,16,16,15, 0), 2),
    (( 0, 0, 4,15, 6, 0, 0, 0, 0, 0,13,13,16, 0, 0, 0, 0, 4,15, 1,16, 2, 0, 0, 0, 0, 0, 2,16, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 1,12,16, 6, 4, 0, 0, 0, 7,16,16,16,16, 6, 0, 0, 0, 2, 0, 4, 8, 3, 0), 2),
    (( 0, 0, 0, 7,16, 0, 0, 0, 0, 0, 0,16,11, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0,14,13, 0,11, 7, 0, 0,11,16, 2, 8,16, 1, 0, 5,16,16,16,16,14, 0, 0, 0, 4, 9,14,16, 7, 0, 0, 0, 0, 0, 9,15, 1, 0, 0), 4),
    (( 0, 0, 1,14,11, 0, 0, 0, 0, 0,12,13, 1, 0, 0, 0, 0, 5,16, 3, 0, 7,15, 1, 0, 6,16,11,12,16,10, 0, 0, 0,11,14,16,11, 0, 0, 0, 0, 0, 7,15, 2, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0), 4),
    (( 0, 0,11,16,16,13, 4, 0, 0, 2,16,14, 9, 8, 8, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,12,16,16,12, 1, 0, 0, 0, 2, 8,10,16, 9, 0, 0, 0, 0, 1, 0,12,12, 0, 0, 0, 0,15,12,16, 6, 0, 0, 0, 0,13,16, 9, 0, 0, 0), 5),
    (( 0, 0, 7,16,16, 1, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 0,11,16,16,13, 0, 0, 0, 0, 6,16,16,16, 2, 0, 0, 0, 2,16,16,15, 1, 0, 0, 0, 6,16,16,16, 2, 0, 0, 0, 6,14,15, 9, 2, 0), 1),
    (( 0, 1,10,16,16,15, 6, 0, 0, 5,15, 8, 6,16,11, 0, 0, 0, 2, 5,15,13, 3, 0, 0, 0, 0,16,14, 0, 0, 0, 0, 0, 0, 6,16,11, 1, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 3, 5,12,16, 5, 0, 0, 0,16,16,13, 7, 0, 0), 3),
    (( 0, 0, 9,16, 8, 1, 0, 0, 0, 5,16, 9,14,11, 1, 0, 0,10,10, 0, 8,16, 4, 0, 0, 4,16,15,15,16, 8, 0, 0, 0, 4, 8, 7,13, 8, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0,11, 6, 9,16, 7, 0, 0, 0,11,13,12, 6, 0, 0), 9),
    (( 0, 0, 7,15,12, 0, 0, 0, 0, 6,15, 8,14, 3, 0, 0, 0, 3, 6, 0,15, 3, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0,11, 6, 0, 0, 0, 0, 0, 3,15, 1, 0, 0, 0, 0, 0,13,13, 9,12,10, 0, 0, 0,12,13,12,10, 7, 2), 2),
    (( 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 0,11,16, 9, 0, 0, 0, 0, 6,16,16, 3, 0, 0, 0, 7,15,16,16, 2, 0, 0, 0, 9,16,13,15, 0, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 0, 6,16, 6, 0, 0), 1),
    (( 0, 0, 7,13,16, 8, 0, 0, 0, 9,16,12, 8,16, 2, 0, 0, 4, 7, 0, 6,15, 1, 0, 0, 0, 4,13,16, 8, 0, 0, 0, 0, 6,13,15,16, 3, 0, 0, 0, 0, 0, 2,11,12, 0, 0, 0, 7, 8, 4,14,12, 0, 0, 0,10,16,16,14, 4, 0), 3),
    (( 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 3,15,10, 0,10, 7, 0, 0,10,14, 0, 6,16, 4, 0, 0,10,15,12,14,13, 0, 0, 0, 0, 5, 9,16, 7, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 9,12, 0, 0, 0), 4),
    (( 0, 0, 5, 9,13, 8, 0, 0, 0, 0, 4,16,15, 3, 0, 0, 0, 0,13,14, 2, 6, 3, 0, 0, 5,16, 5,11,16, 8, 0, 0, 7,16,16,16,14, 1, 0, 0, 3, 8,16,16, 4, 0, 0, 0, 0, 5,16,10, 0, 0, 0, 0, 0,10,12, 3, 0, 0, 0), 4),
    (( 0, 0, 0,11,15, 4, 0, 0, 0, 0, 4,16,14, 2, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 1,16,12, 3, 0, 0, 0, 0, 2,16,16,16, 6, 0, 0, 0, 0,11,16,16,15, 0, 0, 0, 0, 0, 8,16,15, 1, 0), 6),
    (( 0, 0,13,16,16,16, 6, 0, 0, 6,16, 8, 5, 5, 5, 0, 0,11,16, 0, 0, 0, 0, 0, 0, 5,16,14, 9, 1, 0, 0, 0, 0, 1, 6,14,10, 0, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 4, 2,13,12, 0, 0, 0, 1,13,16,14, 1, 0, 0), 5),
    (( 0, 0, 0, 0,10,14, 2, 0, 0, 0, 0, 2,16,16, 3, 0, 0, 0, 1,15,16,16, 2, 0, 0, 3,16,16,16,16, 1, 0, 0, 2, 8, 5,16,16, 0, 0, 0, 0, 0, 0,15,16, 1, 0, 0, 0, 0, 0,12,16, 6, 0, 0, 0, 0, 0,10,15, 6, 0), 1),
    (( 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 8,16,11, 1, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0,11,15, 0, 0, 9, 9, 0, 0, 8,16,16,16,16, 8, 0, 0, 0, 6, 8,15,14, 1, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0,12,15, 1, 0, 0), 4),
    (( 0, 3,16, 9, 0, 0, 0, 0, 0, 7,15,16, 2, 0, 0, 0, 0, 8, 9,16, 4, 0, 0, 0, 0, 2, 4,13, 7, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 0, 1,14,16,16,13, 9, 1, 0, 4,16,11, 8, 8,11, 2), 2),
    (( 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 1,10,13, 3, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 2,15, 9, 0, 1, 0, 0, 0, 7,16, 1, 5,16, 6, 0, 0, 8,16,12,16,14, 0, 0, 0, 2,11,13,16,12, 0, 0, 0, 0, 0, 1,14, 5, 0, 0), 4),
    (( 0, 0, 3,15,10, 1, 0, 0, 0, 0,11,14,10, 7, 0, 0, 0, 2,16, 3, 0,11, 1, 0, 0, 4,15, 0, 0, 7, 5, 0, 0, 3,12, 0, 0, 3, 9, 0, 0, 2,11, 0, 0, 7, 9, 0, 0, 0,11, 8, 9,16, 4, 0, 0, 0, 2,10,16, 9, 0, 0), 0),
    (( 0, 0,13,16, 5, 0, 0, 0, 0, 4,15,13,13, 0, 0, 0, 0, 7, 8, 3,16, 1, 0, 0, 0, 9, 3, 4,16, 0, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 2,15, 5, 0, 0, 0, 0, 0,12,16,16,16, 7, 0, 0, 0,13,12, 9,15, 7, 0), 2),
    (( 0, 0, 0,10,14, 0, 3, 1, 0, 0, 5,16, 6, 1,14, 5, 0, 2,15, 8, 3,10,13, 0, 0, 8,16,14,16,16, 8, 0, 0, 5,11, 6,15,13, 3, 0, 0, 0, 0, 1,15, 0, 0, 0, 0, 0, 0, 7,10, 0, 0, 0, 0, 0, 0,13, 3, 0, 0, 0), 4),
    (( 0, 0, 6,12,16,10, 0, 0, 0, 0,12, 8,11,13, 0, 0, 0, 5,13, 3,15, 5, 0, 0, 0, 4,15,16,11, 0, 0, 0, 0, 0, 8,14,15,11, 0, 0, 0, 0,11, 5, 2,15, 7, 0, 0, 0,12, 5, 4,13, 8, 0, 0, 0, 6,15,16,14, 3, 0), 8),
    (( 0, 2,11,16, 5, 0, 0, 0, 0,10,14,12,12, 0, 0, 0, 0, 3, 2, 8,11, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 1,13,16,10, 0, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 8, 6, 6,16,10, 0, 0, 2,12,13,12,10, 1, 0), 3),
    (( 0, 1, 8,10, 3, 0, 0, 0, 0, 2,15,16,16,12, 0, 0, 0, 1,14,16,16,12, 0, 0, 0, 4,16,16,16, 8, 0, 0, 0, 4,16,16,16, 6, 0, 0, 0, 4,16,16,15, 3, 0, 0, 0, 4,16,16,13, 2, 0, 0, 0, 1, 7,10, 8, 2, 0, 0), 1),
    (( 0, 0, 9,14,11, 9, 0, 0, 0, 1,16,11, 9,15, 0, 0, 0, 4,16, 3, 6,14, 7, 0, 0, 1,14,16,16,10, 1, 0, 0, 0,10,16,12, 0, 0, 0, 0, 1,14,10,16, 7, 0, 0, 0, 2,16, 4,11,15, 0, 0, 0, 0,10,14,15,11, 0, 0), 8),
    (( 0, 0, 4,14, 9, 0, 0, 0, 0, 2,15,16,16, 0, 0, 0, 0, 5,11, 7,14, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 0, 0, 0, 4,15, 0, 4, 0, 0, 0, 0, 8,15,12,16, 2, 0, 0, 0, 7,16,12, 7, 0, 0), 2),
    (( 0, 0, 0, 1,13, 9, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 4,16, 7, 3,11, 4, 0, 0,12,16,13,16,16, 5, 0, 0,11,12,12,16,15, 0, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 1,16, 5, 0, 0), 4),
    (( 0, 0, 9, 4,10,15, 7, 0, 0, 3,16,16,16,12, 3, 0, 0, 7,16, 9, 2, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 0, 0, 5,15,15, 2, 0, 0, 0, 0, 0, 2,12,12, 0, 0, 0, 0, 0, 5,12,11, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0), 5),
    (( 0, 0, 0,11,13, 1, 0, 0, 0, 0,12,14, 9, 2, 0, 0, 0, 4,15, 3, 0, 0, 0, 0, 0, 7,12,12,12, 6, 1, 0, 0, 7,16,13, 8,12, 7, 0, 0, 4,16, 6, 0, 7,11, 0, 0, 0,12,10, 5,16, 6, 0, 0, 0, 2,10,15,10, 0, 0), 6),
    (( 0, 0, 9,12, 2, 0, 0, 0, 0, 3,16,16,16,16, 3, 0, 0, 4,15,13,14,16, 6, 0, 0, 2,15,11,16,11, 1, 0, 0, 1,14,16,11, 0, 0, 0, 0, 5,14, 6,16, 5, 0, 0, 0, 7,15, 8,13,16, 0, 0, 0, 1, 7,11,16,13, 0, 0), 8),
    (( 0, 0, 3,11,16,16,14, 1, 0, 0,12,10, 4, 7,15, 0, 0, 0, 7,14,15,16, 4, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 0), 9),
    (( 0, 0, 2,14,14, 4, 0, 0, 0, 0,15,16,16,15, 1, 0, 0, 6,14,16, 5,12, 6, 0, 0, 2,11,12, 0, 6, 8, 0, 0, 0,12, 4, 0, 9, 6, 0, 0, 0,11, 5, 0,12, 3, 0, 0, 0, 8,12,11,15, 2, 0, 0, 0, 1,12,10, 2, 0, 0), 0),
    (( 0, 0, 0, 2,11,13, 2, 0, 0, 0, 2,13,16,16, 2, 0, 0, 3,15,14,13,16, 0, 0, 0, 0, 6, 0,15, 9, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0, 3,16, 6, 0, 0), 1),
    (( 0, 0, 9,13, 7, 0, 0, 0, 0, 7,14, 4,14, 4, 0, 0, 0, 2, 2, 3,15, 2, 0, 0, 0, 0, 0,16,11, 0, 0, 0, 0, 0, 0, 8,15,11, 0, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0,10, 4, 2,10, 8, 0, 0, 0, 7,13,16,16, 4, 0), 3),
    (( 0, 0, 8,16, 8, 0, 0, 0, 0, 2,16,16,15, 5, 0, 0, 0, 2,16, 5,12,10, 0, 0, 0, 0, 8, 1,11,10, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,13,15, 5, 3, 0, 0, 0,10,16,16,16,16, 0, 0, 0,10,14, 9, 8,11, 2), 2),
    (( 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 9,13, 0, 2, 0, 0, 0, 1,16, 4, 5,14, 0, 0, 0, 9,14, 0, 7,10, 0, 0, 0,10,16,12,14,14, 0, 0, 0, 2, 8,12,15, 1, 0, 0, 0, 0, 0, 4,11, 0, 0, 0), 4),
    (( 0, 0, 7,16,15, 1, 0, 0, 0, 1,16, 5,12,16, 6, 0, 0, 2,15, 1, 4,16, 6, 0, 0, 1,13,16,16,16, 5, 0, 0, 0, 0, 1, 0,11, 8, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 7,14, 9,10,16, 3, 0, 0, 1, 9,14,15, 9, 0, 0), 9),
    (( 0, 1, 8,14,13, 2, 0, 0, 0, 8,15,12,16,10, 0, 0, 0, 3, 3, 3,16, 4, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 2, 7, 9,16, 6, 0, 0, 0, 7,15,11, 5, 0, 0), 3),
    (( 0, 0, 1,15, 0, 0, 0, 0, 0, 0, 7,16, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 0,16,13,12, 9, 1, 0, 0, 1,16,15,12,15,11, 0, 0, 0, 9,14, 4,13,10, 0, 0, 0, 0,11,16,14, 2, 0), 6),
    (( 0, 0, 3,15, 8, 0, 0, 0, 0, 0, 8,16,16, 7, 0, 0, 0, 0, 7,11, 9,12, 0, 0, 0, 0, 2, 5, 9,11, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 7,10,16, 4, 0, 0, 0, 0,14,16,16,16,15, 0, 0, 0, 1, 4, 4, 7,11, 1), 2),
    (( 0, 4,15,15, 8, 1, 0, 0, 0, 4,16,11,16,15, 0, 0, 0, 1, 5, 0,11,16, 4, 0, 0, 0, 0, 6,16,13, 1, 0, 0, 0, 0,12,16, 1, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 4,16,16,16, 6, 0, 0), 3),
    (( 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0,15,16,15, 8, 1, 0, 0, 0,16,12, 4,11,12, 0, 0, 0,10,13, 0, 2,16, 4, 0, 0, 1, 9,15,16,13, 0), 6),
    (( 0, 0, 0, 9,14, 1, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0, 0, 8,16, 3, 0, 6, 4, 0, 0, 4,16,16,16,16, 8, 0, 0, 0, 5, 8,16,12, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 8,15, 2, 0, 0), 4),
    (( 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 2,16, 9, 7, 2, 0, 0, 0, 2,16,13,12,14, 5, 0, 0, 0,15, 3, 0, 3,13, 0, 0, 0,11,10, 3, 4,15, 2, 0, 0, 0, 9,16,16,13, 1), 6),
    (( 0, 0, 6,15, 8, 0, 0, 0, 0, 0,13,15,16, 4, 0, 0, 0, 0,15, 6,15,13, 0, 0, 0, 0,15,12,16,16, 1, 0, 0, 0, 3,11, 7,12, 6, 0, 0, 0, 0, 0, 0, 6,11, 0, 0, 0, 1, 4, 2, 7,14, 0, 0, 0, 7,14,16,15, 9, 0), 9),
    (( 0, 3,13,16, 4, 0, 0, 0, 0, 7,14,16, 8, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 9,15, 1, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0, 9,16, 4, 4, 4, 4, 0, 0, 4,16,16,16,16, 8, 0), 2),
    (( 0, 0, 4,16,16,16,16,12, 0, 0, 2, 8, 8,11,16, 4, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 2, 4,10,16,11, 0, 0,11,16,16,16, 6, 0, 0, 0, 9, 9,13,11, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0), 7),
    (( 0, 0, 7,16,16,16,11, 0, 0, 0,12,12, 8, 8, 5, 0, 0, 3,16, 2, 0, 0, 0, 0, 0, 9,16,16,10, 1, 0, 0, 0, 3, 7, 8,14,13, 0, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 9, 7,11,15, 0, 0, 0, 0, 7,16,15, 3, 0, 0), 5),
    (( 0, 0, 7,13,14, 6, 0, 0, 0, 2,16,16,16,14, 0, 0, 0, 3,16, 9, 4, 2, 0, 0, 0, 2,16,16,14, 5, 0, 0, 0, 0, 6, 8, 9,15, 7, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0,11, 4, 5,14,11, 0, 0, 0, 8,16,16,13, 1, 0), 5),
    (( 0, 0, 4,13, 1, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 2,16, 9, 4, 2, 0, 0, 0, 3,16,15,12,15, 6, 0, 0, 1,14,15, 4,13,14, 0, 0, 0, 3,13,16,14, 5, 0), 6),
    (( 0, 1, 8,14,16, 8, 0, 0, 0, 3,12, 9,11,14, 0, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 9,13, 2, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 0,15,16, 8, 8, 3, 0, 0, 0, 9,13,12, 8, 3, 0), 2),
    (( 0, 0, 5,12,10, 4, 0, 0, 0, 0,15,13,14,12, 0, 0, 0, 0, 2, 0,12, 7, 0, 0, 0, 0, 2,13,15, 2, 0, 0, 0, 0, 2,13,16,13, 0, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0,12, 5, 8,15, 1, 0, 0, 0, 7,13,10, 4, 0, 0), 3),
    (( 0, 0, 9,12,12, 1, 0, 0, 0, 6,14, 5, 9,11, 3, 0, 0, 7,12, 9,15, 9, 1, 0, 0, 1,16,14, 2, 0, 0, 0, 0, 0,14,12,14, 2, 0, 0, 0, 2,12, 0, 9,13, 0, 0, 0, 0,15, 1, 6,14, 0, 0, 0, 0, 6,14,15, 3, 0, 0), 8),
    (( 0, 0, 0, 3,15, 6, 0, 0, 0, 0, 1,13,13, 1, 0, 0, 0, 0,10,16, 9, 8, 1, 0, 0, 3,16,10,12,16, 1, 0, 0, 9,16, 5,16,13, 3, 0, 0, 7,16,16,16,16,11, 0, 0, 0, 0, 7,16, 7, 0, 0, 0, 0, 0, 3,16, 8, 0, 0), 4),
    (( 0, 0, 0,10,13, 0, 0, 0, 0, 0, 1,16,11, 2, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 0,14,16,14, 9, 0, 0, 0, 0,12,15, 5, 9,13, 0, 0, 0, 3,16, 4, 6,16, 2, 0, 0, 0, 8,13,14, 9, 0), 6),
    (( 0, 0, 5,15, 2, 0, 0, 0, 0, 0,16,15, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 8,16,11,11, 4, 0, 0, 0, 8,16,16,16,16, 2, 0, 0, 6,16, 8, 6,16, 5, 0, 0, 2,16,14,16,16, 2, 0, 0, 0, 9,16,14, 7, 0, 0), 6),
    (( 0, 3,15,16,16,15, 1, 0, 0,14,13, 7, 8,16, 8, 0, 0, 2, 1, 0, 8,16, 7, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 0,10,14, 2, 0, 0, 0, 2, 8, 5,16, 8, 0, 0, 0, 2,16,16,13, 3, 0, 0), 3),
    (( 0, 0, 9,16,16, 5, 0, 0, 0, 2,16, 7, 9,15, 1, 0, 0, 6,15, 0, 0,13, 7, 0, 0, 3,16, 0, 0, 8,12, 0, 0, 8,16, 4, 0, 8,12, 0, 0,11,13, 1, 0,10,11, 0, 0, 5,16, 6, 5,15, 7, 0, 0, 0,10,16,16, 9, 0, 0), 0),
    (( 0, 0, 1,12,15, 2, 0, 0, 0, 0,11,13, 8,10, 0, 0, 0, 4,16,13, 1,10, 0, 0, 0, 8,15, 3, 0, 6, 3, 0, 0, 8,12, 0, 0, 8, 5, 0, 0, 2,16, 8, 0, 8, 8, 0, 0, 0,10,11, 7,15, 4, 0, 0, 0, 0,13,15, 6, 0, 0), 0),
    (( 0, 0, 9,16,12, 1, 0, 0, 0,10,16,10,15, 4, 0, 0, 0, 8, 6, 0, 8, 7, 0, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 0,10,15, 1, 1, 0, 0, 0,10,16,14,14,11, 0, 0, 0, 8,15,14,10, 3, 0), 2),
    (( 0, 0, 5,12,10, 0, 0, 0, 0, 2,15,14,16, 1, 0, 0, 0, 0,11, 3,16, 1, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0, 0, 9,10, 0, 0, 0,10, 7, 5,12,12, 0, 0, 0, 6,14,16,13, 4, 0), 3),
    (( 0, 0, 4,14,11, 3, 0, 0, 0, 1,14,15,16,14, 0, 0, 0, 3,16, 2, 3,11, 4, 0, 0, 6,11, 0, 0, 6, 6, 0, 0, 7,13, 0, 0, 8, 7, 0, 0, 2,15, 0, 0,14, 3, 0, 0, 0,12, 6,11,13, 0, 0, 0, 0, 4,12,13, 2, 0, 0), 0),
    (( 0, 0, 0, 0, 5,14, 3, 0, 0, 0, 0, 0,11,16, 8, 0, 0, 0, 0, 6,16,16, 2, 0, 0, 0, 7,16,16,16, 0, 0, 0, 3,16,14,14,16, 0, 0, 0, 4,12, 4,13,15, 0, 0, 0, 0, 0, 0,14,16, 0, 0, 0, 0, 0, 0, 6,16, 1, 0), 1),
    (( 0, 0, 6,14, 6, 0, 0, 0, 0, 1,16,13,16, 6, 0, 0, 0, 4,16, 6,14,16, 2, 0, 0, 0,11,16,16,16, 6, 0, 0, 0, 0, 3, 6,15, 9, 0, 0, 0, 0, 0, 0,10,13, 0, 0, 0,15, 9, 6,13,11, 0, 0, 0, 4,14,15,10, 3, 0), 9),
    (( 0, 0, 8,15,12, 3, 0, 0, 0, 5,16, 6,10,14, 0, 0, 0, 7,14, 7,14,16, 2, 0, 0, 0,11,16,13, 6, 1, 0, 0, 0,11,16,12, 0, 0, 0, 0, 0,16, 7,10,12, 0, 0, 0, 4,16, 0, 2,16, 6, 0, 0, 1,10,16,16,15, 2, 0), 8),
    (( 0, 0, 5,14,13, 2, 0, 0, 0, 3,14, 5, 8,12, 0, 0, 0, 3, 9, 0,12, 4, 0, 0, 0, 1,14, 9,13, 0, 0, 0, 0, 0, 2,14,12, 0, 0, 0, 0, 0, 4,14,14, 3, 0, 0, 0, 0,10, 7,12, 6, 0, 0, 0, 0, 6,16,13, 1, 0, 0), 8),
    (( 0, 1,12,16,15,11, 3, 0, 0, 7,16,14,11, 9, 4, 0, 0, 3,16, 8, 2, 0, 0, 0, 0, 5,16,16,15, 3, 0, 0, 0, 2,14,16,16,14, 0, 0, 0, 0, 0, 0,12,16, 1, 0, 0, 2,12,12,16,16, 0, 0, 0, 1,14,16,10, 3, 0, 0), 5),
    (( 0, 0, 0, 8,16,10, 8,12, 0, 0, 0,12,16,16,16,11, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 1, 8,16,11, 0, 0, 0, 1,15,16,16, 7, 0, 0, 0, 2, 9,16, 8, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 0,10,12, 0, 0, 0), 7),
    (( 0, 0, 3,12,13, 1, 0, 0, 0, 1,14,11,10, 8, 0, 0, 0, 4,16, 3, 0,12, 2, 0, 0, 4,13, 1, 0, 9, 6, 0, 0, 6,12, 0, 0, 5, 8, 0, 0, 3,13, 0, 0, 4, 9, 0, 0, 0,15, 8, 4,13, 8, 0, 0, 0, 5,15,15, 9, 0, 0), 0),
    (( 0, 0, 1,11, 5, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 2,15,10, 0, 0, 0, 0, 0, 6,16, 5, 3, 0, 0, 0, 0, 8,16,16,16,14, 0, 0, 0, 3,16, 9, 1,16,10, 0, 0, 0,11,16,12,16, 6, 0, 0, 0, 0,10,14,11, 1, 0), 6),
    (( 0, 0, 4,16,14, 2, 0, 0, 0, 0,16,11,11,10, 0, 0, 0, 1, 4, 1,11,10, 0, 0, 0, 0, 1,11,16, 6, 0, 0, 0, 0, 6,16,14,13, 2, 0, 0, 0, 1, 2, 1,10,11, 0, 0, 0, 7,11, 6,13,14, 0, 0, 0, 3,12,16,15, 7, 0), 3),
    (( 0, 0,10,16,16,16,11, 0, 0, 0, 9,11, 8,16, 9, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 2,11,15,16,11, 0, 0, 0, 6,16,16,10, 5, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 0,13,15, 3, 0, 0, 0, 0, 9,16,16, 7, 0, 0, 1, 7,16,16,16, 1, 0, 0, 6,16,15,14,16, 2, 0, 0, 5,11, 2,16,15, 0, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 0,11,13, 0, 0), 1),
    (( 0, 0,12,14,12,11, 4, 0, 0, 0, 4,10,12,15,14, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 2, 4, 5,16, 3, 0, 0, 2,14,16,16,16, 8, 0, 0, 0, 4,11,14, 2, 0, 0, 0, 0, 3,14, 3, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0), 7),
    (( 0, 0, 1,12,10, 2, 0, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 0,14,16,12, 0, 0, 0, 0, 1,16,16,12, 0, 0, 0, 0, 4,16,16,10, 0, 0, 0, 0, 6,16,16,10, 0, 0, 0, 0, 1,16,16,12, 0, 0, 0, 0, 3,11,13,12, 3, 0), 1),
    (( 0, 0, 0,10,13, 3, 0, 0, 0, 0, 0,13,16, 7, 0, 0, 0, 0, 4,16,16, 5, 0, 0, 0, 2,16,16,16, 6, 0, 0, 0, 7,16,16,16,11, 0, 0, 0, 0, 0, 8,16,12, 0, 0, 0, 0, 0,15,16,14, 0, 0, 0, 0, 0, 8,13, 9, 0, 0), 1),
    (( 0, 0, 2,15,12, 0, 0, 0, 0, 0,10,15, 3, 0, 0, 0, 0, 8,16, 4, 0,13, 7, 0, 0,10,16, 1, 2,16,10, 0, 0, 9,16,12,14,14, 1, 0, 0, 0, 6,12,16, 7, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0), 4),
    (( 0, 0, 0, 6,11, 6, 0, 0, 0, 0, 8,13, 9,16, 3, 0, 0, 2,15, 4, 0,13, 3, 0, 0, 0, 7,14, 9,13, 0, 0, 0, 0, 1,15,16, 6, 0, 0, 0, 0,11,10,10,12, 0, 0, 0, 0, 9,10, 1,16, 3, 0, 0, 0, 0, 9,12,10, 1, 0), 8),
    (( 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 0,16,16, 0, 0, 0, 1, 6,12,16,16, 0, 0, 0, 6,12,10,16,14, 0, 0, 0, 0, 0, 0,16,16, 0, 0, 0, 0, 0, 0,16,15, 0, 0, 0, 0, 0, 2,16,16, 7, 0, 0, 0, 0, 1,13,16, 4, 0), 1),
    (( 0, 0, 4,13,12, 1, 0, 0, 0, 2,15,12,11, 7, 0, 0, 0, 1,12,13,15,14, 0, 0, 0, 0, 3,16,16, 5, 0, 0, 0, 0, 4,16,11, 0, 0, 0, 0, 0,10,16,16, 0, 0, 0, 0, 0,14,16,13, 0, 0, 0, 0, 0, 8,13, 3, 0, 0, 0), 8),
    (( 0, 0, 1, 7,10, 7, 0, 0, 0, 0, 8,16,16,16, 0, 0, 0, 0,15,16,16,16, 0, 0, 0, 1, 7,16,16,16, 3, 0, 0, 0, 1,16,16,16, 4, 0, 0, 0, 3,16,16,16, 1, 0, 0, 0, 4,16,16,16, 0, 0, 0, 0, 1, 9,12, 6, 0, 0), 1),
    (( 0, 0, 8,12, 7, 0, 0, 0, 0, 0,14, 8,15,14, 0, 0, 0, 3,14, 0, 6,15, 2, 0, 0, 5,11, 0, 0, 9, 8, 0, 0, 8, 8, 0, 0, 5, 8, 0, 0, 5,11, 0, 0, 8, 8, 0, 0, 1,15, 2, 2,14, 5, 0, 0, 0, 6,15,16,12, 1, 0), 0),
    (( 0, 0, 6,14,14, 4, 0, 0, 0, 0,16,15,15,16, 2, 0, 0, 5,12, 1, 0,15, 5, 0, 0, 8,12, 0, 0, 8, 8, 0, 0, 5,12, 0, 0, 8, 8, 0, 0, 4,13, 0, 0,10, 7, 0, 0, 1,16, 6, 7,16, 3, 0, 0, 0, 5,15,16,11, 0, 0), 0),
    (( 0, 4,16,16, 6, 0, 0, 0, 0, 7,13, 8,15, 1, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 3,16,14, 1, 0, 0, 0, 0, 1,11,15,13, 1, 0, 0, 0, 0, 0, 3,14, 8, 0, 0, 5, 6, 0, 0, 7,16, 0, 0, 3,14,16,16,16,10, 0), 3),
    (( 0, 1,13,16,10, 0, 0, 0, 0, 2,15,13,16, 2, 0, 0, 0, 0, 5, 1,14, 5, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0,13,13, 1, 0, 0, 0, 1,14,16,13,12,11, 1, 0, 1,15,16,14,10, 8, 1), 2),
    (( 0, 0, 5,15, 8, 2, 0, 0, 0, 0,15,16,14,12, 0, 0, 0, 5,13, 2, 0,14, 3, 0, 0, 5,11, 0, 0, 8, 8, 0, 0, 8, 8, 0, 0,12, 5, 0, 0, 3,14, 0, 0,15, 4, 0, 0, 0,13,12,10,14, 0, 0, 0, 0, 4,14,15, 4, 0, 0), 0),
    (( 0, 0, 7,11,11, 6, 0, 0, 0, 9,16,12,10,14, 0, 0, 0, 5, 2, 0, 4,14, 0, 0, 0, 0, 1, 5,14, 6, 0, 0, 0, 1,15,16,16,10, 0, 0, 0, 0, 7, 4, 4,15, 6, 0, 0, 0, 5, 4, 8,13,12, 0, 0, 0,14,16,12,10, 1, 0), 3),
    (( 0, 1,10,12,12, 2, 0, 0, 0, 7,15, 8,12, 8, 0, 0, 0, 0, 2, 0,13, 7, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0, 5,13,13, 1, 0, 0, 0, 0, 0, 1,11, 9, 0, 0, 0, 8, 4, 6,14, 8, 0, 0, 2,12,16,14, 9, 1, 0), 3),
    (( 0, 2,10,13, 7, 0, 0, 0, 0, 8,12, 9,16, 3, 0, 0, 0, 1, 0, 0,16, 5, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 4,14,13, 0, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 3, 5,10,16, 5, 0, 0, 3,16,14,12, 5, 0, 0), 3),
    (( 0, 0, 8,14,16,12, 1, 0, 0, 2,11, 6, 5,15, 4, 0, 0, 0, 0, 1, 9,14, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 9, 5, 4,15, 3, 0, 0, 0, 9,15,13, 5, 0, 0), 3),
    (( 0, 0, 6,13, 6, 0, 0, 0, 0, 0,10,16,14, 6, 0, 0, 0, 0,14, 9, 3,16, 1, 0, 0, 0,15, 2, 0,15, 5, 0, 0, 0,14, 2, 0,15, 1, 0, 0, 0,12, 4, 5,15, 0, 0, 0, 0,10, 9,15, 8, 0, 0, 0, 0, 5,14,10, 0, 0, 0), 0),
    (( 0, 2,14,16,11, 0, 0, 0, 0, 8,15, 7,16, 0, 0, 0, 0, 1, 2, 0,15, 1, 0, 0, 0, 0, 2,12,14, 0, 0, 0, 0, 0, 1,11,14,11, 0, 0, 0, 0, 0, 0, 2,14, 5, 0, 0, 2, 8, 3, 4,10,12, 0, 0, 1,13,16,16,14, 4, 0), 3),
    (( 0, 0, 8,14, 9, 0, 0, 0, 0, 6,15,12,16, 3, 0, 0, 0, 1, 3, 0, 8, 4, 0, 0, 0, 0, 0, 0, 9, 5, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0,10,16,13,12, 6, 0, 0, 0,11,12,12, 9, 4, 0), 2),
    (( 0, 2,15,16, 6, 0, 0, 0, 0, 3,14,14,16, 2, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,11,16, 1, 0, 0, 0, 8,14,16,16,16, 5, 0, 0,10,16,15,11,12, 5, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 5,14, 1, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 7, 9, 0, 0, 0, 0, 0, 4,15, 6, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 1,16,14,12, 4, 0, 0, 0, 3,16,16,13,14, 3, 0, 0, 0,16, 6, 1, 8,11, 0, 0, 0,11,11, 1, 1,16, 0, 0, 0, 2, 9,14,16,16, 1), 6),
    (( 0, 0, 0,10,10, 1, 0, 0, 0, 0, 5,16, 5,11, 7, 0, 0, 2,16, 7, 3,16, 4, 0, 0, 7,16, 2, 9,15, 2, 0, 0, 7,16,12,16,15, 7, 0, 0, 1,10,14,16,10, 1, 0, 0, 0, 0,11,15, 1, 0, 0, 0, 0, 0,12,13, 0, 0, 0), 4),
    (( 0, 0, 0, 3,10, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0, 9, 9, 1, 0, 0, 0, 0, 3,16, 2,10, 6, 0, 0, 0,13,16, 6,14,12, 0, 0, 0,15,16,16,16,13, 0, 0, 0, 0, 0, 4,13, 3, 0, 0), 4),
    (( 0, 0, 0, 8,12, 2, 0, 0, 0, 0, 9,15, 8,12, 0, 0, 0, 5,16, 3, 0,12, 2, 0, 0, 5,13, 0, 0, 5, 7, 0, 0, 8,10, 0, 0, 4, 8, 0, 0, 0,16, 0, 0, 3,12, 0, 0, 0,11, 9, 4,14, 6, 0, 0, 0, 0,10,13, 9, 1, 0), 0),
    (( 0, 1,11,14,12, 3, 0, 0, 0, 7,16,13,16,15, 0, 0, 0, 8,16, 5,14,16, 2, 0, 0, 6,16,10,15,16, 6, 0, 0, 0, 5, 8,12,16, 6, 0, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 5, 8, 7,16, 9, 0, 0, 0, 8,16,15,10, 1, 0), 9),
    (( 0, 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 9,15, 2, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0,13,14, 0, 3, 2, 0, 0, 7,16, 7,10,16, 9, 0, 1,14,16,16,16,16, 6, 0, 0, 7, 8, 4,15,14, 1, 0, 0, 0, 0, 0,16,10, 0, 0), 4),
    (( 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 0,15,16, 3, 0, 0, 0, 0, 0,14,16, 4, 0, 0, 0, 0, 0,16,16, 2, 0, 0, 0, 0, 0,15,16, 2, 0, 0, 0, 0, 3,16,14, 0, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 0,13,12, 0, 0, 0), 1),
    (( 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 4,16,15, 5, 0, 0, 0, 0, 6,11, 4,15, 0, 0, 0, 0, 6, 4, 0,14, 4, 0, 0, 0,16, 2, 0,14, 6, 0, 0, 0,14, 3, 4,16, 5, 0, 0, 0, 9,14,15,16, 1, 0, 0, 0, 1,11,14, 4, 0, 0), 0),
    (( 0, 0, 6,14,11, 3, 0, 0, 0, 1,15,10,16,14, 0, 0, 0, 5,14, 0, 0,11, 6, 0, 0, 7,11, 0, 0, 8, 8, 0, 0, 8, 8, 0, 0,12, 8, 0, 0, 7, 9, 0, 4,16, 2, 0, 0, 0,16,12,15,12, 0, 0, 0, 0, 6,16,11, 1, 0, 0), 0),
    (( 0, 0, 4, 9, 9, 0, 0, 0, 0, 1,16,15,12,10, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 6,16,16, 7, 0, 0, 0, 0, 3,16,15,16, 1, 0, 0, 0, 0, 1, 0,12, 5, 0, 0, 0, 0,13,10,16, 6, 0, 0, 0, 0, 8,16, 9, 0, 0, 0), 5),
    (( 0, 0, 0, 1,12,14, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 3,16, 4, 9, 3, 0, 0, 2,13,15, 6,16, 6, 0, 0,11,16,16,16,16, 9, 0, 0, 3, 4, 4,10,16, 1, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,12,10, 0, 0), 4),
    (( 0, 0, 3,12,14,16,14, 0, 0, 0, 1, 8, 7,10,14, 0, 0, 0, 0, 5, 4,13, 9, 0, 0, 0, 5,16,16,16,10, 0, 0, 0, 3, 8,16, 5, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 7, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 4,16,16, 4, 0, 0, 0, 0,10,16,16,13, 0, 0, 0, 0, 3,13,11,16, 2, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 3,16,16,11, 0, 0), 9),
    (( 0, 0, 7,14,16,12, 0, 0, 0, 0,15,11,15,15, 0, 0, 0, 0, 0, 1,16,10, 0, 0, 0, 0, 7,13,16,14,10, 0, 0, 0,12,16,15,12, 4, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0), 7),
    (( 0, 0,15,16,16,16,12, 0, 0, 0, 4, 8,11,16, 9, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 2, 4, 3,16, 4, 0, 0, 0,10,16,16,16,16, 4, 0, 0, 1, 8,16, 9, 7, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 2,12, 1, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 8,12, 0, 7, 1, 0, 0, 5,16, 2, 7,16, 4, 0, 0,15,16,13,16,11, 0, 0, 1, 6, 8, 9,16, 7, 0, 0, 0, 0, 0, 3,15, 1, 0, 0), 4),
    (( 0, 0, 9,12,12,12, 7, 0, 0, 0,10,12, 4, 4, 2, 0, 0, 0,14, 9, 5, 0, 0, 0, 0, 3,16,15,14,12, 0, 0, 0, 3, 9, 0, 0,15, 5, 0, 0, 0, 0, 0, 0,10, 7, 0, 0, 0, 7, 6, 1,15, 2, 0, 0, 0, 8,16,16,10, 0, 0), 5),
    (( 0, 1,10, 8,12,15, 1, 0, 0, 0,16,16,16, 9, 1, 0, 0, 0,13,13, 3, 0, 0, 0, 0, 1,16,16,13, 2, 0, 0, 0, 0, 3, 1,13,10, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 8, 1, 8,16, 1, 0, 0, 2,13,16,16,11, 0, 0), 5),
    (( 0, 0, 3,11,12, 4, 0, 0, 0, 6,15, 6, 5,13, 0, 0, 0, 7,13, 0, 2,16, 1, 0, 0, 3,16,16,16,14, 0, 0, 0, 0,15,13, 8,13, 6, 0, 0, 0,12, 1, 0, 3, 9, 0, 0, 0, 9,12, 8,14,11, 0, 0, 0, 5,13,12, 9, 1, 0), 8),
    (( 0, 0, 2,11,13, 1, 0, 0, 0, 0,11,15, 8, 1, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0, 3,16,10,12,10, 2, 0, 0, 2,16,15,11,12,14, 0, 0, 0,14,12, 7,11,16, 2, 0, 0, 3,11,16,14, 6, 0), 6),
    (( 0, 0,10,15, 9,12, 5, 0, 0, 8,16,14,16,16, 5, 0, 0,12,14, 3, 0, 0, 0, 0, 0, 3,15,16, 9, 0, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 1,10,15, 3, 0, 0, 0, 0,10,16, 4, 0, 0, 0), 5),
    (( 0, 2,16,16,16,16, 4, 0, 0, 1, 8, 8,12,16, 6, 0, 0, 0, 0, 1,14,13, 0, 0, 0, 1, 4, 6,16, 8, 0, 0, 0, 9,16,16,16,13, 2, 0, 0, 2,11,16,10, 7, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0), 7),
    (( 0, 0, 6,14,16,16, 4, 0, 0, 0,11,12,13,16, 7, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 1, 6,14,14, 2, 0, 0, 0,10,16,16,16, 9, 0, 0, 0, 2,15,11, 4, 1, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0), 7),
    (( 0, 0, 8,16,10, 1, 0, 0, 0, 0,15, 6,13, 4, 0, 0, 0, 0,15, 3,12, 2, 0, 0, 0, 0, 6,16,13, 0, 0, 0, 0, 0, 2,14,14, 6, 0, 0, 0, 1,13, 3, 1,13, 3, 0, 0, 3,14, 0, 0, 5, 7, 0, 0, 0, 6,13,12,15, 5, 0), 8),
    (( 0, 0,13,13,13, 8, 0, 0, 0, 0, 7, 8,16, 5, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 1, 3, 9,14, 5, 8, 0, 0,10,16,16,16,15, 6, 0, 0, 3,11,15, 3, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 0), 7),
    (( 0, 0, 6,16,15, 2, 0, 0, 0, 1,16,10, 7, 2, 0, 0, 0, 6,15, 0, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0, 9,12, 5,11, 4, 0, 0, 0, 5,15,16,14,14,10, 0, 0, 0,11,15, 1, 6,16, 0, 0, 0, 5,12,16,16, 8, 0), 6),
    (( 0, 0, 0, 2,13, 8, 4, 0, 0, 0, 0,11,13, 8,16, 2, 0, 0, 7,16, 3,14,10, 0, 0, 6,16, 8, 7,16, 6, 0, 0,11,16,16,16,16, 7, 0, 0, 2, 8, 9,16, 9, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 1,16, 2, 0, 0), 4),
    (( 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 0, 4,16,10, 7, 0, 0, 0, 0, 5,16,16,16,12, 0, 0, 0, 6,16, 9, 5,16, 3, 0, 0, 1,14,15,11,16, 3, 0, 0, 0, 1,10,16, 7, 0, 0), 6),
    (( 0, 0, 0, 2,11, 1, 0, 0, 0, 0, 0, 7,13, 1, 0, 0, 0, 0, 6,15, 2, 4, 7, 0, 0, 1,14,11, 0,14, 8, 0, 0, 7,16,16,16,16, 3, 0, 0, 0, 0, 3,13,14, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 3,15, 5, 0, 0), 4),
    (( 0, 0, 2,16,10, 1, 0, 0, 0, 0, 8,15,13, 7, 0, 0, 0, 0, 3, 9, 4,13, 0, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 2,15,14, 8,14, 5, 0, 0, 2,15,16,16,12, 7), 2),
    (( 0, 0, 0, 4, 9,15, 2, 0, 0, 0, 6,15,11,13, 4, 0, 0, 3,16, 4, 4,15, 0, 0, 0, 0,15,16,16,16, 1, 0, 0, 0, 2, 4, 3,15, 6, 0, 0, 0, 0, 0, 1,16, 1, 0, 0, 0, 0, 3,12, 5, 0, 0, 0, 0, 0, 7,10, 0, 0, 0), 9),
    (( 0, 3,11,16,15, 6, 0, 0, 0, 5,10, 8,14,11, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0,11,16, 5, 0, 0, 0, 0, 0, 1,13,15, 2, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 1, 7, 5, 4,14, 7, 0, 0, 2,12,12,15,11, 1, 0), 3),
    (( 0, 0, 5,13,12, 2, 0, 0, 0, 0,14,12,12,13, 0, 0, 0, 0,11, 4, 2,15, 0, 0, 0, 0, 8, 8, 4,16, 1, 0, 0, 0, 2,14,16,16, 6, 0, 0, 0, 0, 0, 0, 7,10, 0, 0, 0, 8, 9, 8,15,10, 0, 0, 0, 4,16,16,13, 2, 0), 9),
    (( 0, 1,10,16,13, 4, 0, 0, 0, 7,16, 6,12,12, 1, 0, 0,10,13, 0, 9,16, 4, 0, 0, 4,16, 9,14,16, 5, 0, 0, 0, 5, 8,11,16, 4, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 9, 8, 1,14, 9, 0, 0, 0,12,16,16,15, 7, 0), 9),
    (( 0, 2,15,15, 5, 0, 0, 0, 0, 4,13,10,16, 0, 0, 0, 0, 0, 4, 4,16, 0, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0, 1,13,14, 8, 8, 6, 0, 0, 2,13,12,10, 9, 6, 0), 2),
    (( 0, 0, 0, 0, 2,15, 3, 0, 0, 0, 0, 0,12,16, 4, 0, 0, 0, 0, 6,16,16, 0, 0, 0, 0, 7,16,16,14, 0, 0, 0, 6,16,11,16,12, 0, 0, 0, 1, 3, 0,15,13, 0, 0, 0, 0, 0, 0,10,16, 0, 0, 0, 0, 0, 0, 2,14, 5, 0), 1),
    (( 0, 0, 2,13,13, 3, 0, 0, 0, 0,11,12,12,12, 0, 0, 0, 2,15, 0, 1,15, 4, 0, 0, 7, 9, 0, 0,13, 5, 0, 0, 6,11, 0, 0,11, 8, 0, 0, 5,12, 0, 0,16, 4, 0, 0, 0,15, 9, 8,15, 1, 0, 0, 0, 5,15,13, 2, 0, 0), 0),
    (( 0, 0, 9,15,16,12, 1, 0, 0, 0, 9,10,14,16, 9, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0, 0,10,15, 4, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0,15,16,12,12, 0, 0, 0, 0,14,16,13, 5, 0, 0), 2),
    (( 0, 0, 6,10,10,15, 3, 0, 0, 4,13, 6, 9, 8, 8, 0, 0, 3,11, 0, 7,13, 1, 0, 0, 0,14,14, 9, 0, 0, 0, 0, 1,14,13, 3, 0, 0, 0, 0, 3, 8, 1,14, 1, 0, 0, 0, 0,13, 0, 6, 9, 0, 0, 0, 0, 5,15,15, 5, 0, 0), 8),
    (( 0, 0, 0, 9, 7, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 2,15, 7, 8, 7, 1, 0, 0, 1,15,11, 8,10,13, 0, 0, 0,11,10, 4, 5,15, 2, 0, 0, 0, 9,12,13, 9, 0), 6),
    (( 0, 0, 8,13,16,14, 0, 0, 0, 3,16,10,16,13, 0, 0, 0, 0, 2,11,16, 6, 0, 0, 0, 0, 2,16,15, 8, 0, 0, 0, 0, 1,13,16,16, 7, 0, 0, 0, 0, 1, 8,16, 7, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0, 9,14, 5, 0, 0, 0), 3),
    (( 0, 0, 0,12, 3, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 0,14, 9, 1, 0, 0, 0, 0, 1,16,16,15, 6, 0, 0, 0, 3,16,10, 5,14, 6, 0, 0, 2,16, 1, 0, 5,12, 0, 0, 0,12, 9, 4, 7,15, 0, 0, 0, 1,10,16,16, 7, 0), 6),
    (( 0, 0, 7,14,14,13, 3, 0, 0, 0,14, 7, 4, 9, 6, 0, 0, 4,13, 0, 0, 0, 0, 0, 0, 6,16,14, 8, 1, 0, 0, 0, 0, 0, 3, 9,13, 0, 0, 0, 0, 0, 0, 0,13, 0, 0, 0, 0, 9, 0, 3,14, 0, 0, 0, 0,11,16,14, 3, 0, 0), 5),
    (( 0, 0, 5,11,13,10, 0, 0, 0, 0, 8, 9, 9,16, 5, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 1,16, 1, 0, 0, 0, 3, 4,12, 9, 1, 0, 0,10,16,16,14,12, 2, 0, 0, 3, 2,15, 2, 0, 0, 0, 0, 0, 8, 6, 0, 0, 0, 0), 7),
    (( 0, 0, 8,13,11, 5, 0, 0, 0, 4,16,14,16,10, 0, 0, 0, 1,14,16, 7, 0, 0, 0, 0, 0,11,16,14, 2, 0, 0, 0, 2,16, 3, 8,15, 1, 0, 0, 6,15, 2, 1,16, 5, 0, 0, 5,16, 9,11,16, 3, 0, 0, 0, 9,15,15, 7, 0, 0), 8),
    (( 0, 5,16,16,15, 2, 0, 0, 0,11,13, 8,11,15, 0, 0, 0, 1, 1, 0, 7,16, 0, 0, 0, 0, 0,11,16,14, 1, 0, 0, 0, 0,12,12,15,11, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 5,11, 4, 3,12,11, 0, 0, 4,14,16,16,16, 4, 0), 3),
    (( 0, 0, 8,14,10, 2, 0, 0, 0, 0,15,14,11,13, 0, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 3, 9, 8,15,11, 0, 0, 0, 6,16,14, 7, 1, 0), 3),
    (( 0, 0, 6,16, 9, 0, 0, 0, 0, 2,15,16,14, 0, 0, 0, 0, 2,10,16, 6, 0, 0, 0, 0, 2,16,16, 9, 2, 0, 0, 0, 0, 3,10,16,14, 1, 0, 0, 0, 0, 0,10,16, 5, 0, 0, 0, 4, 8, 8,16, 7, 0, 0, 0, 8,16,16,13, 0, 0), 3),
    (( 0, 0, 5,12,10, 0, 0, 0, 0, 2,16, 9,11, 2, 0, 0, 0, 0,16, 5, 8,14, 0, 0, 0, 1,14,16,16, 3, 0, 0, 0, 0, 3,16,16, 4, 0, 0, 0, 0,11,12,15,11, 0, 0, 0, 2,16, 7, 2,16, 2, 0, 0, 0, 9,15,13,11, 1, 0), 8),
    (( 0, 0,11,13, 1, 0, 0, 0, 0, 5,16,14,10, 0, 0, 0, 0, 9,10, 8,12, 0, 0, 0, 0, 5, 3,10, 7, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0,11,10, 1, 5, 3, 0, 0, 0,16,12,14,16, 9, 0, 0, 0,13,16,11, 3, 0, 0), 2),
    (( 0, 0, 0,12,16, 5, 0, 0, 0, 0, 2,13,16, 8, 0, 0, 0, 6,15,16,16,10, 0, 0, 0, 4, 8, 9,16,14, 0, 0, 0, 0, 0, 0,14,16, 4, 0, 0, 0, 0, 0, 7,16,12, 0, 0, 0, 0, 7,11,16,12, 0, 0, 0, 0,13,16,13, 3, 0), 1),
    (( 0, 1,11,16,16,13, 2, 0, 0, 6,16,16, 8,13, 8, 0, 0, 0,10,16,14,15, 8, 0, 0, 0, 0, 7,12,14, 5, 0, 0, 0, 0, 0, 0, 8, 4, 0, 0, 0, 0, 0, 0,11, 4, 0, 0, 0, 8, 8, 9,15, 4, 0, 0, 2,13,16,16, 9, 1, 0), 9),
    (( 0, 0, 8,12, 3, 0, 0, 0, 0, 5,16,16,14, 4, 0, 0, 0,10,15, 2,14,16, 2, 0, 0, 3,16,10,13,16, 7, 0, 0, 0, 5, 8,10,16, 8, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0,10, 7, 4,14,12, 0, 0, 0,10,16,16,14, 7, 0), 9),
    (( 0, 0, 1,12,16,12, 2, 0, 0, 0, 8,12,11,16, 4, 0, 0, 5,16, 3,12,13, 1, 0, 0, 2,15,15,15, 3, 0, 0, 0, 0, 5,16,15, 6, 0, 0, 0, 0, 6,13, 8,16, 6, 0, 0, 0, 6,13, 4,13,12, 0, 0, 0, 1,14,16,11, 2, 0), 8),
    (( 0, 0, 7,15,16,15, 3, 0, 0, 0,15, 8, 6, 4, 0, 0, 0, 0,16, 5, 4, 2, 0, 0, 0, 3,16,14,16,10, 0, 0, 0, 7,16,13,10,14, 0, 0, 0, 0, 4, 0, 6,16, 1, 0, 0, 0, 8, 8,12,14, 0, 0, 0, 0, 7,13,11, 4, 0, 0), 5),
    (( 0, 1, 9,13, 9, 2, 0, 0, 0, 6,16,10,16, 7, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 2,13,14, 0, 0, 0, 0, 0, 2,13,16,13, 0, 0, 0, 0, 0, 0, 4,15, 8, 0, 0, 0, 8, 4, 4,14,11, 0, 0, 1,14,16,16,12, 1, 0), 3),
    (( 0, 2,11,16,15, 4, 0, 0, 0,11,15, 8,15,10, 0, 0, 0, 3, 3, 8,16, 7, 0, 0, 0, 0, 4,16,16, 9, 0, 0, 0, 0, 0, 4, 7,16, 4, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 2,15, 6, 1,14,10, 0, 0, 2,16,16,16,13, 3, 0), 3),
    (( 0, 0, 0,12,16, 0, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 1,11,15, 1, 2, 6, 0, 0, 6,16, 6, 1,13,13, 0, 0, 5,16,14,12,16, 5, 0, 0, 0, 7,14,16, 7, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0), 4),
    (( 0, 0,10,16,10, 2, 0, 0, 0, 5,15, 5,16,15, 0, 0, 0, 6,14, 2,10,16, 2, 0, 0, 0,12,16,16,16, 4, 0, 0, 0, 0, 3, 8,14, 7, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 2,14, 9, 8,13,12, 0, 0, 1, 9,14,14,12, 3, 0), 9),
    (( 0, 0, 0,15,10, 0, 0, 0, 0, 0, 4,16,16, 7, 0, 0, 0, 0, 3,16,16,10, 0, 0, 0, 0, 3,16,16,14, 0, 0, 0, 0, 4,16,16,16, 2, 0, 0, 0,10,16,16,16, 5, 0, 0, 0, 9,16,16,16, 9, 0, 0, 0, 1, 8, 3, 7,16, 2), 1),
    (( 0, 0, 0, 9, 6, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 2,16, 6, 8, 2, 0, 0, 0, 5,16,16,12,15, 4, 0, 0, 3,16, 5, 0, 5,12, 0, 0, 0, 8,14, 3, 3,16, 0, 0, 0, 0, 9,16,16,10, 0), 6),
    (( 0, 0, 0, 1, 8,15,12, 0, 0, 0, 2,14,13,16, 5, 0, 0, 0, 9,14, 9, 9, 0, 0, 0, 0, 8,16,16,15, 2, 0, 0, 0, 0, 2,10,14, 1, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 0,11, 1, 0, 0), 9),
    (( 0, 0, 5,12,14, 4, 0, 0, 0,10,16,15,14,15, 0, 0, 0, 8, 5, 1,10,13, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 4,15,13, 0, 0, 0, 0, 0,12,16,12, 9,11, 0, 0, 0, 2,14,16,13, 7, 0), 2),
    (( 0, 0, 7,14, 1, 0, 0, 0, 0, 0,14,13, 6, 0, 0, 0, 0, 0,12, 8, 3, 0, 0, 0, 0, 0, 3,14,12,16, 6, 0, 0, 0, 2,14,16, 4, 0, 0, 0, 0,11,14, 8,14, 2, 0, 0, 3,16, 3, 1,16, 4, 0, 0, 0, 8,14,16,11, 1, 0), 8),
    (( 0, 0,11,14, 5, 0, 0, 0, 0, 5,13, 4,16, 6, 0, 0, 0, 3,14,11,15, 8, 0, 0, 0, 0, 2, 6, 6,13, 0, 0, 0, 0, 0, 0, 0,14, 2, 0, 0, 0, 0, 0, 0, 5,10, 0, 0, 1, 4, 0, 0, 7,12, 0, 0, 1, 9,15,16,15, 4, 0), 9),
    (( 0, 0, 3,14, 3, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 4,16,10, 6, 0, 0, 0, 0, 3,16,15,13,11, 1, 0, 0, 2,16, 4, 0, 9, 9, 0, 0, 0,13,11, 0, 6,15, 0, 0, 0, 4,14,13,16, 7, 0), 6),
    (( 0, 0,12,16,16,16, 3, 0, 0, 0, 6, 9,12,16, 7, 0, 0, 0, 0, 0, 8,15, 3, 0, 0, 3,15,16,16, 7, 0, 0, 0, 1, 8,16,16,15, 2, 0, 0, 0, 3,16,10,14, 6, 0, 0, 0,11,16, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0), 7),
    (( 0, 0, 9,12,16, 7, 0, 0, 0,10,11, 2, 0,16, 0, 0, 0, 3, 2, 0,10, 8, 0, 0, 0, 0, 0, 7,15, 5, 0, 0, 0, 0, 0, 7, 9,14, 2, 0, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 2, 2, 4,14, 5, 0, 0, 0,14,16,14, 2, 0, 0), 3),
    (( 0, 0,12,16,10, 0, 0, 0, 0, 3,16, 6,14, 9, 0, 0, 0, 7,14, 0, 3,15, 3, 0, 0, 9,12, 0, 0, 8,10, 0, 0, 8,12, 0, 0, 4,12, 0, 0, 7,13, 0, 0, 5,12, 0, 0, 2,16, 6, 2,13, 9, 0, 0, 0, 9,16,16,13, 0, 0), 0),
    (( 0, 0,12,16, 7, 0, 0, 0, 0, 2,16,14,16, 5, 0, 0, 0, 0,14, 5,11,13, 0, 0, 0, 0, 2, 1, 8,13, 0, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0,10,10,16, 6, 0, 0, 0, 0,11,16,16,16,16, 8), 2),
    (( 0, 0, 0, 6,12,12, 0, 0, 0, 0, 0,15,16,13, 0, 0, 0, 0, 7,16,16,12, 0, 0, 0, 3,16,16,16,11, 0, 0, 0, 3,12,16,16, 9, 0, 0, 0, 0, 0,11,16, 9, 0, 0, 0, 0, 0,13,16,10, 0, 0, 0, 0, 0, 9,13,11, 0, 0), 1),
    (( 0, 2,15,16,11, 0, 0, 0, 0, 4,15,14,16, 3, 0, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 1,11,13, 0, 0, 0, 0, 0, 8,16,14,13,16, 6, 0, 0, 3,16,16,11, 6, 0, 0), 2),
    (( 0, 0,10,14, 8, 0, 0, 0, 0, 7,15, 5,15, 9, 0, 0, 0, 8,11, 0, 5,15, 2, 0, 0, 4,16, 6, 5,16, 4, 0, 0, 0, 8,12,11,14, 7, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 4, 2, 0,11,11, 0, 0, 0,11,16,16,15, 4, 0), 9),
    (( 0, 1,10,16,11, 0, 0, 0, 0, 5,16, 9,14, 6, 0, 0, 0, 1, 3, 0,11, 8, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0,11,16,10,12, 8, 0, 0, 0,11,12,12,12,14, 0), 2),
    (( 0, 0, 6, 9,14,10, 1, 0, 0, 4,16,15, 5,13, 4, 0, 0, 7,13, 4, 6,15, 2, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 0,11,13,15,10, 0, 0, 0, 0,15, 4, 5,15, 0, 0, 0, 1,16, 9,10,14, 0, 0, 0, 0, 7,13,14, 5, 0, 0), 8),
    (( 0, 1,15, 8, 0, 1, 2, 0, 0, 8,16, 8, 0,12,15, 0, 0, 7,16,11,10,16, 7, 0, 0, 2,15,16,16,16, 2, 0, 0, 0, 2,12,16, 9, 0, 0, 0, 0, 1,16,12, 0, 0, 0, 0, 0,10,15, 1, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0), 4),
    (( 0, 0, 2,10,12,13, 6, 0, 0, 0,15,14, 8, 7, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 7,16,16,15, 2, 0, 0, 0, 3,14, 8,15, 6, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 6,14, 4, 0, 0, 0, 0, 0,13,12, 0, 0, 0), 5),
    (( 0, 1, 9,15,16,13, 4, 0, 0, 6, 9, 4, 4,13, 8, 0, 0, 0, 0, 0, 7,15, 4, 0, 0, 0, 0,10,16, 8, 0, 0, 0, 0, 0, 4,12,13, 1, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 6, 4, 7,15, 6, 0, 0, 0, 8,16,12, 5, 0, 0), 3),
    (( 0, 0,10,11,10, 2, 0, 0, 0, 0,16,14,14,10, 0, 0, 0, 3,16,13,12, 9, 0, 0, 0, 4,16,16,14,15, 2, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 7, 8,14,14, 1, 0, 0, 0,10,13, 9, 0, 0, 0), 5),
    (( 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 1,16, 5, 0, 2, 0, 0, 0, 2,16,13,16,16, 6, 0, 0, 0, 8,16, 8,12,16, 3, 0, 0, 0, 5,12,16,15, 4), 6),
    (( 0, 0,10, 8,11, 2, 0, 0, 0, 0,16,15, 8,13, 2, 0, 0, 4,16, 4, 0, 9, 7, 0, 0, 7,14, 0, 0, 3, 8, 0, 0, 8,12, 0, 0, 7, 8, 0, 0, 6, 6, 0, 3,15, 4, 0, 0, 4,14,10,16, 7, 0, 0, 0, 0,10,14, 5, 0, 0, 0), 0),
    (( 0, 0, 2,13, 9, 0, 0, 0, 0, 2,16,15,14, 6, 0, 0, 0, 8,16, 5, 3,15, 0, 0, 0, 7,16, 1, 0,11, 7, 0, 0, 6,12, 0, 0, 8, 8, 0, 0, 0,16, 2, 0, 7,10, 0, 0, 0,12,12, 7,15, 5, 0, 0, 0, 0,13,16, 9, 0, 0), 0),
    (( 0, 1,10,14,16,16,15, 1, 0, 1,12,11, 8,11,15, 2, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0,11,11, 1, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0), 7),
    (( 0, 0, 7,15,12, 1, 0, 0, 0, 3,15, 5,10,11, 0, 0, 0, 0, 8, 0, 4,16, 0, 0, 0, 0, 0, 5,13, 9, 0, 0, 0, 0, 0, 8,13,13, 1, 0, 0, 0, 0, 0, 1,14, 6, 0, 0, 5,15, 3, 0,15, 8, 0, 0, 0, 9,16,16,14, 3, 0), 3),
    (( 0, 0, 0, 0, 7,11, 1, 0, 0, 0, 0, 0,12,16, 3, 0, 0, 0, 0, 4,16,16, 0, 0, 0, 0, 0, 2,16,16, 0, 0, 0, 0, 1,13,16,12, 0, 0, 0, 0, 7,16,15,14, 0, 0, 0, 2,15, 5,12,11, 0, 0, 0, 0, 2, 0, 7,11, 0, 0), 1),
    (( 0, 0, 8,16,16,16,12, 3, 0, 0, 2, 2, 0, 5,16, 8, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 1,13, 8, 0, 0, 1, 8, 8,10,16, 1, 0, 0, 3,12,15,16,11, 3, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0), 7),
    (( 0, 3,13,12, 9,12, 1, 0, 0, 4,16,16,16,14, 1, 0, 0, 4,16, 7, 3, 0, 0, 0, 0, 5,16,10, 0, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 1,15,12, 1, 0, 0, 0), 5),
    (( 0, 0, 2,13,15, 7, 0, 0, 0, 3,15, 9,10,15, 3, 0, 0, 8,12, 0, 1,15, 6, 0, 0, 6,15, 9,12,16, 7, 0, 0, 1, 8, 8,10,16, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0,14,13, 0, 0, 0), 9),
    (( 0, 2,12,16,16, 9, 0, 0, 0, 2,15,10, 7,16, 4, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 6,16,13, 0, 0, 0, 0, 0, 5,13,16, 6, 0, 0, 0, 0, 0, 0, 9,16, 0, 0, 0, 6, 4, 5,12,16, 2, 0, 2,13,16,16,16,10, 0), 3),
    (( 0, 0, 3,15,16, 6, 0, 0, 0, 0, 6,11,11,16, 5, 0, 0, 0, 0, 0, 7,16, 7, 0, 0, 0, 0, 0,13,16, 2, 0, 0, 9,13,13,16,12, 2, 0, 0, 2,12,14,16,16,15, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 0), 7),
    (( 0, 0, 1,15,16,15, 5, 0, 0, 0, 8,13, 4, 3, 1, 0, 0, 2,14, 9, 7, 1, 0, 0, 0, 5,16,16,15,10, 0, 0, 0, 0, 0, 0, 1,14, 3, 0, 0, 0, 0, 0, 1,14, 2, 0, 0, 0, 1, 4,13,10, 0, 0, 0, 0, 1,14, 9, 1, 0, 0), 5),
    (( 0, 0, 5,12, 8, 1, 0, 0, 0, 0,15,16,16, 8, 0, 0, 0, 0,15,16,16, 6, 0, 0, 0, 1,14,16,16, 4, 0, 0, 0, 2,15,16,16, 9, 0, 0, 0, 0, 6,16,16,14, 1, 0, 0, 0, 8,16,16,15, 0, 0, 0, 0, 4,12,10, 4, 0, 0), 1),
    (( 0, 3,15,13, 2, 0, 0, 0, 0,11,14,12,11, 0, 0, 0, 0, 8, 2, 4,15, 0, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 2,14,14,12,15, 8, 0, 0, 2,13,13,12,12, 5, 0), 2),
    (( 0, 0, 4,16, 9, 0, 0, 0, 0, 0,15,16,16, 9, 0, 0, 0, 3,16,15, 5,13, 3, 0, 0, 5, 8, 4, 0, 5, 7, 0, 0, 5, 6, 0, 0, 7, 7, 0, 0, 2,11, 0, 0,11, 6, 0, 0, 0,13, 1, 6,15, 0, 0, 0, 0, 5,15,13, 3, 0, 0), 0),
    (( 0, 0, 3,16, 6, 0, 0, 0, 0, 0,10,14, 4, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 5,16,15,14, 6, 0, 0, 0, 3,16,16,12,16, 4, 0, 0, 0,15,14, 6,13,12, 0, 0, 0, 3,10,13,10, 4, 0), 6),
    (( 0, 0, 7,14, 7, 0, 0, 0, 0, 0,15,14,16, 3, 0, 0, 0, 0,15,12,16, 6, 0, 0, 0, 0, 6,16,16, 4, 0, 0, 0, 0, 8,16,16,11, 0, 0, 0, 0,15,12, 3,16, 8, 0, 0, 2,15,11, 8,16,10, 0, 0, 0, 9,16,16,12, 6, 0), 8),
    (( 0, 0, 2,10,12, 4, 0, 0, 0, 0,10,16,16,16, 0, 0, 0, 0,13,16,16,12, 0, 0, 0, 0,12,16,16,12, 0, 0, 0, 0,12,16,16,12, 0, 0, 0, 0,12,16,16,13, 0, 0, 0, 0, 8,16,16,15, 0, 0, 0, 0, 4,10, 8, 3, 0, 0), 1),
    (( 0, 0, 1, 9,12, 8, 0, 0, 0, 1,12, 9,13,13, 0, 0, 0, 6,11, 0, 2,15, 0, 0, 0, 1,14,14,14, 8, 0, 0, 0, 0, 0,11,16,13, 1, 0, 0, 0, 4,13, 2,14, 6, 0, 0, 0, 8, 9, 2,14, 7, 0, 0, 0, 4,16,16, 8, 1, 0), 8),
    (( 0, 0, 7,14, 4, 0, 0, 0, 0, 1,16,16,16, 7, 0, 0, 0, 4,16,16,16,14, 0, 0, 0, 0,13,16,16,11, 0, 0, 0, 0, 8,16,16, 1, 0, 0, 0, 0,10,16,16, 6, 0, 0, 0, 0,11,16,16,13, 0, 0, 0, 0, 6,12,13,10, 0, 0), 8),
    (( 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 4,15, 2, 0, 0, 0, 0, 0,11, 9, 0,12, 3, 0, 0, 2,15, 0, 3,15, 0, 0, 0, 6,16, 6,10,14, 0, 0, 0, 2,16,16,16,14, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0,10, 9, 0, 0, 0), 4),
    (( 0, 0, 0, 1,12,16, 2, 0, 0, 0, 0, 0,16,16, 1, 0, 0, 6,12,13,16,16, 0, 0, 0, 8,16,15,16,16, 0, 0, 0, 0, 0, 0,16,16, 0, 0, 0, 0, 0, 0,16,16, 3, 0, 0, 0, 0, 0,12,16, 7, 0, 0, 0, 0, 0,14,16, 6, 0), 1),
    (( 0, 0, 8,12,14,15,15, 1, 0, 3,15,16,14,16,15, 2, 0, 0,10, 2, 5,16, 7, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 0,11,16, 3, 0, 0, 0), 7),
    (( 0, 0, 3,12,16, 8, 0, 0, 0, 0,12,12,15,12, 0, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 4,15,16, 9, 1, 0, 0, 0, 5,15,16,16, 3, 0, 0, 0, 0,14,14, 5, 0, 0, 0, 0, 4,15, 3, 0, 0, 0), 7),
    (( 0, 0, 4,11,10, 2, 0, 0, 0, 2,16, 5,14, 9, 0, 0, 0, 1,15, 4,13,16, 3, 0, 0, 0, 4,16,15, 4, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 0, 9,11,14, 7, 0, 0, 0, 0,14, 3, 5,15, 0, 0, 0, 0, 5, 8,12,10, 0, 0), 8),
    (( 0, 0, 0,12,12, 0, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 3,16,14, 5, 5, 2, 0, 0, 6,16,16,16,16, 9, 0, 0, 0, 5, 8,13,16, 6, 0, 0, 0, 0, 1,15,16, 2, 0, 0, 0, 0, 5,16,11, 0, 0, 0, 0, 0,11,16, 9, 0, 0), 4),
    (( 0, 0, 0, 6,14, 9, 0, 0, 0, 0, 8,15, 8, 2, 0, 0, 0, 3,15, 9, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0, 7,16, 4, 6, 3, 0, 0, 0, 1,16,15,12,15, 5, 0, 0, 0, 7,14, 6,11,14, 0, 0, 0, 0, 5,13,15, 8, 0), 6),
    (( 0, 0, 9,15, 6, 0, 0, 0, 0, 3,14,16,16, 3, 0, 0, 0, 7,11, 1,15, 4, 0, 0, 0, 1, 2, 0,14, 4, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0,14,16,12,11, 4, 0, 0, 0, 9,15,14,12, 5, 0), 2),
    (( 0, 0, 1, 8,14,16,12, 0, 0, 0,10,15,13,16,12, 0, 0, 1,12, 3, 9,15, 1, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0, 8,16,16, 4, 0, 0, 0, 0, 1, 8,16, 6, 0, 0, 0, 0, 5,15,12, 1, 0, 0, 0, 0,13,10, 1, 0, 0), 3),
    (( 0, 0, 6, 9,15,14, 2, 0, 0, 8,13,12, 6, 4, 1, 0, 0,10,13, 8, 3, 0, 0, 0, 0, 2,11,15,16, 5, 0, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0, 1,13, 0, 0, 0, 0, 0, 1, 9,12, 0, 0, 0, 0, 8,12,10, 1, 0, 0), 5),
    (( 0, 0, 8,16,12, 1, 0, 0, 0, 3,15, 5,13,13, 0, 0, 0,10,12, 0, 1,15, 6, 0, 0,12, 9, 0, 0, 7,12, 0, 0,12,10, 0, 0, 5,12, 0, 0, 8,14, 0, 0, 7,12, 0, 0, 3,16, 9, 5,15, 5, 0, 0, 0, 9,16,16,11, 0, 0), 0),
    (( 0, 0, 0, 6,12, 0, 0, 0, 0, 0, 5,14, 4, 0, 0, 0, 0, 1,15, 3, 0, 1,12, 0, 0, 2,16, 2, 0, 8,11, 0, 0, 3,16,15,10,15, 6, 0, 0, 0, 2,12,14,13, 1, 0, 0, 0, 0, 0,12, 5, 0, 0, 0, 0, 0, 7,13, 0, 0, 0), 4),
    (( 0, 0, 3,14,16, 9, 0, 0, 0, 0, 8,14,11,16, 1, 0, 0,10,11,15,15,11, 0, 0, 0, 4,13,16,12, 1, 0, 0, 0, 2,16,14,14, 0, 0, 0, 0, 4,14, 0,13, 8, 0, 0, 0, 2,13, 4,13,16, 0, 0, 0, 0, 3,14,12, 7, 0, 0), 8),
    (( 0, 0, 3,14,16,12, 1, 0, 0, 3,16,14, 3,11, 4, 0, 0, 2,13, 1, 3,15, 4, 0, 0, 0,10,16,16, 8, 0, 0, 0, 2,15,10,14, 4, 0, 0, 0, 5,14, 0, 3,14, 1, 0, 0, 0,14, 4, 1,14, 2, 0, 0, 0, 2,13,16,10, 0, 0), 8),
    (( 0, 0, 6,15,13, 2, 0, 0, 0, 5,15, 7, 9,10, 0, 0, 0,11, 9, 1,10,12, 0, 0, 0, 2,13,16,13,15, 4, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 6, 8, 4,11,11, 0, 0, 0, 5,14,16,14, 1, 0), 9),
    (( 0, 0, 5,14,16, 9, 0, 0, 0, 6,16, 9,13,12, 0, 0, 0, 3, 7, 1,14,12, 0, 0, 0, 0, 1,15,16,15, 2, 0, 0, 0, 1,11, 9,14,11, 0, 0, 0, 1, 3, 0,13, 9, 0, 0, 0,10,13, 9,16, 6, 0, 0, 0, 3,16,16,10, 0, 0), 3),
    (( 0, 0, 0,10,13, 0, 0, 0, 0, 0, 5,16, 8, 3, 0, 0, 0, 0,11,13, 7,16, 0, 0, 0, 7,16,10,14,15, 8, 0, 0,11,16,16,16,16, 9, 0, 0, 1, 4,10,16, 3, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0), 4),
    (( 0, 0, 7,10,12,16,14, 1, 0, 0,10,15,12,15,15, 1, 0, 0, 0, 0, 1,13,11, 0, 0, 0, 0, 0, 5,16,10, 0, 0, 0, 7,12,15,16, 9, 0, 0, 0, 9,15,16, 3, 0, 0, 0, 0, 3,15, 8, 0, 0, 0, 0, 0, 9,15, 2, 0, 0, 0), 7),
    (( 0, 0, 2,11, 8, 1, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 0,11,16,16, 8, 0, 0, 0, 0,15,16,16,10, 0, 0, 0, 0,13,16,16, 8, 0, 0, 0, 0, 7,16,16, 9, 0, 0, 0, 0, 5,16,16,13, 0, 0, 0, 0, 1,11,12,10, 0, 0), 1),
    (( 0, 1,14,15, 2, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0,14, 9,12,11, 0, 0, 0, 0, 7, 4,13,10, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,10,15, 2, 0, 0, 0, 0, 3,16,14,12,12,10, 0, 0, 0,12,16,16,16,16, 3), 2),
    (( 0, 0, 2,14,12, 0, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 0, 8,16, 7, 0, 0, 0, 0, 0, 2,14,16, 3, 0, 0), 1),
    (( 0, 0, 0, 2,14, 8, 0, 0, 0, 0, 0, 8,14, 2, 6, 0, 0, 0, 3,15, 7, 6,16, 2, 0, 1,13,12, 1,12,11, 0, 0,11,16,16,16,16,10, 0, 0, 5,10, 8,13,15, 3, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 4,16, 7, 0, 0), 4),
    (( 0, 0, 2,12,13, 7, 0, 0, 0, 2,14, 5, 0,13, 2, 0, 0,10, 6, 0, 2,16, 4, 0, 0, 6,13, 7, 9,16, 4, 0, 0, 0, 8,12, 8,13, 4, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 0, 0, 0, 0, 4,11, 0, 0, 0, 1,14,11,13,12, 0), 9),
    (( 0, 0,13,13, 1, 0, 0, 0, 0, 2,16,16, 9, 0, 0, 0, 0, 9,16,12,12, 0, 0, 0, 0,12,10, 8,13, 0, 0, 0, 0, 5, 7,10,14, 0, 0, 0, 0, 0, 2,15,12, 0, 0, 0, 0, 1,15,16,16,14, 6, 0, 0, 0,11,16,16,14, 6, 0), 2),
    (( 0, 0, 8,16, 9, 0, 0, 0, 0, 2,15,16,16, 4, 0, 0, 0, 7,16, 4,16, 3, 0, 0, 0, 9,12, 7,14, 0, 0, 0, 0, 1, 4,16, 7, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,12,16,15,15, 3, 0, 0, 0, 7,13,15,14,14, 0), 2),
    (( 0, 5,15,15, 3, 0, 0, 0, 0,12,14,13,12, 0, 0, 0, 0, 7, 9, 3,16, 2, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 1, 8,16,12, 4, 1, 0, 0, 8,16,16,16,16,13, 0), 2),
    (( 0, 0, 3,15,15, 1, 0, 0, 0, 0, 9,16,12, 2, 0, 0, 0, 4,16, 9, 6, 9, 2, 0, 0, 8,16,16,16,10, 3, 0, 0, 2,16,16,14, 1, 0, 0, 0, 4,16,16,16, 4, 0, 0, 0, 1,14,16,16,12, 0, 0, 0, 0, 3,14,12, 5, 0, 0), 8),
    (( 0, 0, 1,11,12, 4, 0, 0, 0, 1,13,11, 6,15, 0, 0, 0, 7,13, 0, 3,15, 0, 0, 0, 1,12,13,15, 6, 0, 0, 0, 0, 4,15,13,11, 0, 0, 0, 2,15, 4, 1,14, 6, 0, 0, 3,14, 3, 0,12, 7, 0, 0, 0, 4,13,16,15, 1, 0), 8),
    (( 0, 2, 0, 0, 9, 7, 0, 0, 0,15,16,16,16, 9, 0, 0, 0, 1, 5, 4,16, 7, 0, 0, 0, 1, 4, 4,16, 7, 0, 0, 0, 5,16,16,16,15, 2, 0, 0, 0, 3, 1,14, 6, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 0,10,11, 0, 0), 7),
    (( 0, 2,15, 9, 0, 0, 0, 0, 0, 8,13,15, 0, 0, 0, 0, 0,10, 4,14, 3, 0, 0, 0, 0,11, 2,12, 4, 0, 0, 0, 0, 1, 0,12, 4, 0, 0, 0, 0, 0, 2,16, 0, 0, 0, 0, 0, 0,11,14, 6, 6, 5, 0, 0, 2,16,16,16,16, 9, 0), 2),
    (( 0, 0, 9,16, 9, 0, 0, 0, 0, 3,16,16,16, 1, 0, 0, 0, 0, 6,12,16,14, 4, 0, 0, 0, 4,14,16,16,13, 0, 0, 0, 8,16,16, 7, 0, 0, 0, 0, 0,13,14, 0, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0, 9,13, 1, 0, 0, 0), 7),
    (( 0, 0,10,15, 6, 0, 0, 0, 0, 7,15,11,14, 0, 0, 0, 0, 3, 9, 2,16, 0, 0, 0, 0, 0, 0, 6,16, 0, 0, 0, 0, 0, 0,14,16,14, 1, 0, 0, 0, 0, 1, 5,16, 5, 0, 0, 3,11, 2, 7,16, 5, 0, 0, 1,13,16,13, 7, 0, 0), 3),
    (( 0, 0, 6,15,16, 9, 0, 0, 0, 2,15,14,15,16, 0, 0, 0, 0, 2, 0,13,15, 0, 0, 0, 0, 2, 6,14,15, 2, 0, 0, 0,12,16,16,16,10, 0, 0, 0, 2,11,16, 2, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 0, 0, 8,13, 1, 0, 0, 0), 7),
    (( 0, 0, 3,16,15, 4, 0, 0, 0, 0,11,13,10,16, 2, 0, 0, 6,16, 6, 0,12, 8, 0, 0,10,16, 3, 0,11,10, 0, 0,10,16, 1, 0,13, 8, 0, 0, 4,16, 4, 3,15, 4, 0, 0, 0,12,11,14,15, 0, 0, 0, 0, 3,15,16, 4, 0, 0), 0),
    (( 0, 2,10,13, 3, 0, 0, 0, 0,10,15,10,14, 8, 0, 0, 0,11,14, 4,13,14, 0, 0, 0, 2, 9,12,12,16, 4, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 2,12, 4, 5,15,11, 0, 0, 0, 9,13,12,11, 1, 0), 9),
    (( 0, 0,10,16,16,15, 0, 0, 0, 3,15, 9, 8, 4, 0, 0, 0, 9,13, 6, 2, 0, 0, 0, 0, 8,16,16,16,11, 0, 0, 0, 1, 8, 5,10,16, 7, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 4, 9,14,16, 4, 0, 0, 0,11,13,11, 5, 0, 0), 5),
    (( 0, 0, 8,15,14, 1, 0, 0, 0, 1,15,15,14,11, 0, 0, 0, 7,16, 3, 1,16, 3, 0, 0, 8,16, 0, 0,13, 7, 0, 0, 5,16, 0, 0,13, 8, 0, 0, 2,16, 3, 1,16, 4, 0, 0, 0,16,14,16,12, 0, 0, 0, 0, 9,16,10, 1, 0, 0), 0),
    (( 0, 0, 6,11, 4, 0, 0, 0, 0, 0,12,16,14, 0, 0, 0, 0, 0,12,16, 6, 1, 0, 0, 0, 0, 5,16,16, 5, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,12,16,16, 9, 0, 0, 0, 0,13,16,16,12, 0, 0, 0, 0, 8,12,11, 6, 0, 0), 1),
    (( 0, 2,16,16,16,10, 0, 0, 0, 0,11, 8,12,16, 2, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 2, 9,12,16, 4, 0, 0, 0,11,16,16,16,16, 8, 0, 0, 0,10,14, 1, 4, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 2,15, 6, 0, 0, 0, 0), 7),
    (( 0, 0, 0,13, 9, 1, 0, 0, 0, 0, 9,16,16,11, 0, 0, 0, 0, 8,14, 5,16, 3, 0, 0, 1, 7,10, 0,12, 6, 0, 0, 6,14,14, 2,10, 9, 0, 0, 4,16,16,12,16,10, 0, 0, 0,11,16,16,15, 4, 0, 0, 0, 2,13,16, 7, 0, 0), 0),
    (( 0, 0, 8,16, 9, 0, 0, 0, 0, 4,15,10,16, 0, 0, 0, 0, 5, 5, 7,12, 0, 0, 0, 0, 0, 0,16,14, 9, 0, 0, 0, 0, 0, 8, 8,15, 7, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0,15, 5, 7,15, 3, 0, 0, 0, 6,13,13, 6, 0, 0), 3),
    (( 0, 0, 2,15,14, 4, 0, 0, 0, 0, 8,16,16,11, 0, 0, 0, 0, 7,16,16,10, 0, 0, 0, 0, 7,16,16, 9, 0, 0, 0, 0,10,16,16, 6, 0, 0, 0, 0,10,16,16, 8, 0, 0, 0, 0,13,16,16,13, 0, 0, 0, 0, 2,11,15, 7, 0, 0), 1),
    (( 0, 0, 9, 6, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 0, 6,12, 1, 2, 0, 0, 0, 0, 7,15,14,16,11, 1, 0, 0, 4,16,10, 4,16, 5, 0, 0, 0,16,11, 8,16, 6, 0, 0, 0, 6,14,14, 9, 0, 0), 6),
    (( 0, 0, 0,10,13, 5, 0, 0, 0, 0,11,12, 8,15, 2, 0, 0, 6,16, 1, 1,14, 4, 0, 0, 6,16, 8,13,16, 5, 0, 0, 2,13,12,16,12, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 4,14, 1, 0, 0, 0, 0, 0,11, 5, 0, 0, 0), 9),
    (( 0, 0, 1,15,10, 0, 0, 0, 0, 0, 9,10,10, 7, 0, 0, 0, 2,15, 1, 2,14, 0, 0, 0, 2,16, 1, 0,11, 4, 0, 0, 2,15, 0, 0, 9, 7, 0, 0, 0,13, 4, 1,15, 7, 0, 0, 0, 8,12,11,16, 3, 0, 0, 0, 1,12,16, 7, 0, 0), 0),
    (( 0, 0, 2,14, 9, 2, 0, 0, 0, 0,10,16,16,13, 0, 0, 0, 0,12, 6, 3,14, 4, 0, 0, 1,13, 2, 0, 6, 8, 0, 0, 7,14, 0, 0, 7, 7, 0, 0, 2,16, 2, 0,12, 4, 0, 0, 0,11,12,12,15, 0, 0, 0, 0, 2,14,14, 2, 0, 0), 0),
    (( 0, 0, 0, 3,15, 4, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 8,12, 0, 7, 4, 0, 0, 4,14, 3, 0,15, 5, 0, 0,11,16,16,16,16,10, 0, 0, 5, 9, 9,13,12, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 2,16, 3, 0, 0), 4),
    (( 0, 0, 1, 9,15,15, 2, 0, 0, 1,15, 9, 5,16, 2, 0, 0, 8,10, 1,12, 8, 0, 0, 0, 7,15,12,11, 1, 0, 0, 0, 0, 7,16,13, 3, 0, 0, 0, 0, 6, 8, 8,15, 3, 0, 0, 0, 2,15, 2,12, 8, 0, 0, 0, 0,10,16,13, 4, 0), 8),
    (( 0, 0, 3,12,14,16, 2, 0, 0, 0, 8,12,15,16, 1, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 2, 8,13,16, 8, 3, 0, 0, 9,16,16,16,16,10, 0, 0, 1, 9,16, 5, 4, 1, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0), 7),
    (( 0, 0, 3,12,15, 3, 0, 0, 0, 0,14,15,14, 4, 0, 0, 0, 1,16,15, 1, 0, 0, 0, 0, 3,16,16, 5, 2, 1, 0, 0, 2,16,11, 4, 8,10, 0, 0, 2,16, 2, 0, 6,13, 0, 0, 0,11,11, 4,11,10, 0, 0, 0, 1,10,13,10, 3, 0), 6),
    (( 0, 0, 3,14, 0, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0,11,11, 8, 4, 0, 0, 0, 0,14,16,16,16, 8, 0, 0, 0,12,16, 7,10,15, 0, 0, 0, 2,14,16,15, 8, 0), 6),
    (( 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 5,14, 7, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 5,15,12,10, 3, 0, 0, 0, 4,16,12, 8,15, 5, 0, 0, 0,10,15, 6,10,15, 0, 0, 0, 0, 7,12,12, 8, 0), 6),
    (( 0, 0, 1,12, 7, 0, 0, 0, 0, 0,14,16, 6, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 3,16,11, 5, 3, 0, 0, 0, 1,16,15,14,16, 8, 0, 0, 0,11,16, 5, 7,16, 5, 0, 0, 1,10,16,16,13, 1), 6),
    (( 0, 0,15,16,16,16, 3, 0, 0, 0, 7, 8,10,16, 4, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 4, 7,16,15, 6, 0, 0, 9,16,16,14,13, 3, 0, 0, 2,11,15, 2, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0), 7),
    (( 0, 0, 6,16,16,13, 1, 0, 0, 0,11,13, 7,16, 6, 0, 0, 0, 1, 3, 0,16, 7, 0, 0, 0, 0, 2, 8,15, 2, 0, 0, 0, 8,16,16, 8, 0, 0, 0, 0, 0, 5,11,15, 6, 0, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 9,13,16,15, 3, 0), 3),
    (( 0, 0, 0, 4,11,12, 5, 0, 0, 0, 1,16,16,16, 1, 0, 0, 0, 8,16,16,13, 0, 0, 0, 1,14,16,16, 4, 0, 0, 0, 4,16,16,16, 4, 0, 0, 0, 7,16,16,16, 1, 0, 0, 0, 1,12,16,16, 3, 0, 0, 0, 0, 0, 7,12, 8, 0, 0), 1),
    (( 0, 2,13,16,15, 7, 0, 0, 0,10,16,15, 6,14, 3, 0, 0, 8,16, 1, 0, 0, 0, 0, 0, 3,14, 8, 0, 0, 0, 0, 0, 0, 4,15, 4, 0, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 5, 9,16, 3, 0, 0, 0, 1,15,16,10, 0, 0, 0), 5),
    (( 0, 0, 1,11,14,10, 4, 0, 0, 0, 8,16,16,16,12, 0, 0, 1,15,14,14,16,12, 0, 0, 7,16,16,16,16, 8, 0, 0, 0, 4, 3, 8,16, 1, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 6,16, 9, 0, 0, 0, 0, 2,16, 7, 0, 0, 0), 9),
    (( 0, 0, 0,11,15, 5, 0, 0, 0, 0, 8,16,13, 6, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0,15,15,12, 8, 0, 0, 0, 0,16,14,12,15, 9, 0, 0, 0,16, 6, 0,11,14, 0, 0, 0,10,14, 9,16,11, 0, 0, 0, 1,11,13,12, 1, 0), 6),
    (( 0, 0, 3,12,11, 7, 0, 0, 0, 0, 8,16,16, 6, 0, 0, 0, 3,16,16,16, 6, 0, 0, 0, 4,16,16,15, 1, 0, 0, 0, 1, 8, 9,16, 4, 0, 0, 0, 1,15,16,16, 9, 0, 0, 0, 0, 8,16,16,12, 0, 0, 0, 0, 4,11,11, 6, 0, 0), 1),
    (( 0, 1,11,16,11,11, 0, 0, 0,10,14, 4, 8,14, 0, 0, 0, 5,16, 1,13,11, 0, 0, 0, 0, 8,16,15, 1, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 0,14,11,16, 0, 0, 0, 0, 2,16,11,12, 0, 0, 0, 0, 0,12,15, 4, 0, 0, 0), 8),
    (( 0, 0, 3,15,12, 3, 0, 0, 0, 0, 9,16,16, 5, 0, 0, 0, 3,14,16,16, 5, 0, 0, 0, 7,16,16,16, 3, 0, 0, 0, 0, 3,16,16, 3, 0, 0, 0, 0, 0,16,16, 4, 0, 0, 0, 0, 7,15,16, 6, 0, 0, 0, 0, 6,16,14, 3, 0, 0), 1),
    (( 0, 0, 5,14,16,14, 0, 0, 0, 7,16,15, 8, 8, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 0,13,16,13, 3, 0, 0, 0, 0, 0, 5,11,15, 1, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 5,11,16, 8, 0, 0, 0, 0,11,16,10, 1, 0, 0), 5),
    (( 0, 0,10,16,11, 8, 3, 0, 0, 0, 6,12,13,16, 7, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 4, 6,13, 8, 0, 0, 0, 0,15,16,16,16, 4, 0, 0, 0, 1,14,11,13, 4, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0), 7),
    (( 0, 0, 1,16,13, 0, 0, 0, 0, 0, 3,16,15, 0, 0, 0, 0, 0,12,16,16, 0, 0, 0, 0, 3,16,16,16, 0, 0, 0, 0, 7, 7,12,16, 0, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 0,10,16,14, 1, 0, 0, 0, 2,13,16,16,12, 0), 1),
    (( 0, 0, 3,13, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 0, 5,12, 0, 0, 0, 0, 0, 0, 8,10, 5,11, 7, 0, 0, 0, 6,16,16, 9,12, 8, 0, 0, 0,14, 9, 4,11, 8, 0, 0, 0, 3,12,13, 9, 1, 0), 6),
    (( 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 2,14,11, 0, 0, 0, 0, 0, 8,16, 4, 1, 7, 0, 0, 5,16, 9, 0,12,15, 0, 0,11,16,14,12,16, 9, 0, 0, 6,12,12,16,16, 1, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0,10,12, 0, 0, 0), 4),
    (( 0, 0, 9,15,12, 2, 0, 0, 0, 4,15, 5, 8,15, 0, 0, 0, 7,13, 0, 4,16, 1, 0, 0, 2,16, 7, 8,16, 4, 0, 0, 0, 5,12,11,14, 6, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 3, 2, 1,13, 4, 0, 0, 0,11,16,16,10, 0, 0), 9),
    (( 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0, 9,16, 8, 0, 0, 0, 1, 5,16,16, 8, 0, 0, 8,16,16,16,16, 6, 0, 0, 5,12,12,12,16, 4, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0, 5,16, 2, 0), 1),
    (( 0, 0, 8,16,15, 9, 0, 0, 0, 2,15, 5, 3,16, 6, 0, 0, 8,12, 0, 3,16, 8, 0, 0, 8,15,10,14,16, 5, 0, 0, 1, 9,10, 3,15, 7, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 1, 4, 0,13, 7, 0, 0, 0, 5,16,16,16, 2, 0), 9),
    (( 0, 0, 5, 8,12,12,13, 0, 0, 0,14,12, 8, 4, 4, 0, 0, 0,14, 0, 2, 0, 0, 0, 0, 3,16,16,16,10, 0, 0, 0, 0, 5, 1, 2,15, 2, 0, 0, 0, 0, 0, 0,16, 0, 0, 0, 0, 4,10, 8, 9, 0, 0, 0, 0, 3,16,13, 1, 0, 0), 5),
    (( 0, 0, 4,15, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0,16, 3, 0, 0, 0, 0, 0, 3,16, 4, 7, 0, 0, 0, 0, 3,16,16,14,11, 1, 0, 0, 3,16, 9, 0, 8,10, 0, 0, 0,14, 9, 0, 2,16, 0, 0, 0, 3,14,16,16,10, 1), 6),
    (( 0, 0, 3,14, 3, 0, 1, 8, 0, 0, 9,15, 0, 1,13,11, 0, 0,14,14, 0, 9,14, 2, 0, 0,14,16,16,16, 7, 0, 0, 0, 3,13,16,11, 1, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 2,15, 4, 0, 0, 0), 4),
    (( 0, 0, 3,12,15,16, 8, 0, 0, 0,11,14,13,16, 4, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 2,12,16,16,16, 7, 0, 0, 0,10,16,10, 5, 1, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0), 7),
    (( 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 8,15, 3, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 3,16,13,12, 5, 0, 0, 0, 5,16,12,12,15, 5, 0, 0, 4,12, 0, 0, 8,12, 0, 0, 1,13,10, 5,12,14, 0, 0, 0, 2,11,14,12, 2, 0), 6),
    (( 0, 0, 5,16,14, 3, 0, 0, 0, 0, 2,14,16,10, 0, 0, 0, 0, 0,12,16, 8, 0, 0, 0, 0, 0,14,16, 6, 0, 0, 0, 0, 1,16,16, 3, 0, 0, 0, 0, 3,15,16, 0, 0, 0, 0, 0, 0,15,16, 9, 0, 0, 0, 0, 0,13,16,11, 0, 0), 1),
    (( 0, 0, 0, 2,15, 8, 0, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 0, 6,15, 4, 0, 0, 0, 0, 3,15,10, 4,10, 8, 0, 0,12,16,16,16,16,10, 0, 0,13,12,12,15,16, 6, 0, 0, 0, 0, 0,14,15, 1, 0, 0, 0, 0, 2,16, 9, 0, 0), 4),
    (( 0, 0,11,16,10, 0, 0, 0, 0, 2,16,14,15, 0, 0, 0, 0, 0,13, 7,16, 1, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0,12,16,15,10, 4, 0, 0, 0,11,11, 8,13,16, 6), 2),
    (( 0, 0, 9,16,10, 0, 0, 0, 0, 0, 4,10,15, 2, 0, 0, 0, 0,13, 0, 4,13, 0, 0, 0, 4,16, 0, 0,13, 2, 0, 0, 7,12, 0, 0,10, 6, 0, 0, 8,13, 1, 2,13, 8, 0, 0, 5,16,16,16,16, 2, 0, 0, 0, 9,16,15, 8, 0, 0), 0),
    (( 0, 7,16,15, 2, 0, 0, 0, 0,13,10,12,11, 0, 0, 0, 0,13, 4, 8,12, 0, 0, 0, 0, 0, 1, 7,13, 0, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 1,13,15,12,11, 7, 0, 0, 5,16,16,15,14,16, 1), 2),
    (( 0, 0, 5,15, 2, 0, 0, 0, 0, 0,15,16,16,13, 2, 0, 0, 4,16,16,14,16, 8, 0, 0, 7,12, 0, 0, 8, 8, 0, 0, 4,12, 0, 0, 8, 8, 0, 0, 4,15, 0, 0, 9, 7, 0, 0, 1,15, 5, 7,15, 4, 0, 0, 0, 5,13,12, 7, 0, 0), 0),
    (( 0, 0, 7,16,14, 0, 0, 0, 0, 0,11,16,16, 0, 0, 0, 0, 0, 1,10,15, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 6,15, 0, 2, 0, 0, 0, 0,10,16,16,14, 0, 0, 0, 0, 6,16,16, 9, 0, 0), 2),
    (( 0, 2,11,11,16,16, 4, 0, 0, 3,16,12,10, 8, 0, 0, 0, 7,16,11, 1, 0, 0, 0, 0,11,16,16,13, 0, 0, 0, 0, 1, 4, 0,16, 4, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 4, 4,16, 5, 0, 0, 0, 1,15,16,13, 1, 0, 0), 5),
    (( 0, 0,13,16, 5, 0, 0, 0, 0, 6,16,16,14, 0, 0, 0, 0,10,12, 4,16, 0, 0, 0, 0, 8, 5, 7,14, 0, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 7,15, 2, 0, 0, 0, 0, 0,16,15,12,11, 3, 0, 0, 1,16,16,15,16, 8, 0), 2),
    (( 0, 0, 3, 9,16,13, 0, 0, 0, 4,15,12,12,16, 0, 0, 0, 8, 4, 4,14, 9, 0, 0, 0, 0, 0, 8,16, 7, 0, 0, 0, 0, 0, 1,16,15, 0, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 7,14,15, 2, 0, 0, 0, 1,15,12, 2, 0, 0), 3),
    (( 0, 0, 3,12,14, 2, 0, 0, 0, 0,12,11,13,11, 0, 0, 0, 7,16, 1, 4,16, 2, 0, 0, 6,16, 7,14,16, 1, 0, 0, 0,13,16,15, 3, 0, 0, 0, 0,11,16,16,10, 0, 0, 0, 0,14,16,10,16, 8, 0, 0, 0, 2,11,16,16,12, 0), 8),
    (( 0, 0, 0, 1,14, 7, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 2,14, 7, 0, 0, 0, 0, 0,10,15, 1, 6,12, 0, 0, 3,15, 3, 1,14, 6, 0, 1,15,10, 4,10,15, 0, 0,10,16,16,16,16,12, 0, 0, 0, 2, 2, 0,16, 2, 0, 0), 4),
    (( 0, 0, 5,10,12, 7, 0, 0, 0, 1,14,16,16,16, 0, 0, 0,11,16, 4, 7,15, 0, 0, 0, 5,12, 0,11,14, 0, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 2,14,13, 5, 1, 0, 0, 0,10,16,16,16,15, 0, 0, 0, 7,12,12, 9,12, 1), 2),
    (( 0, 0, 8,15,13, 8, 0, 0, 0, 1,16,15,16,15, 0, 0, 0, 5,16, 1, 5,16, 2, 0, 0, 2,16, 6,15,16, 2, 0, 0, 0, 9,16,14,16, 5, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 9,12,15,14, 0, 0, 0, 0, 7,14,12, 3, 0, 0), 9),
    (( 0, 0, 5,15,15, 5, 0, 0, 0, 2,15, 5, 3,13, 0, 0, 0, 3, 9, 0, 6,10, 0, 0, 0, 4, 8, 3,13, 1, 0, 0, 0, 3,14,14, 6, 0, 0, 0, 0, 0, 7,12,14,11, 1, 0, 0, 0,12, 5, 1,13, 9, 0, 0, 0, 5,12,14,10, 1, 0), 8),
    (( 0, 0, 8,16,16, 7, 0, 0, 0, 2,16,14, 7,16, 0, 0, 0, 3,15, 1, 5,16, 1, 0, 0, 1,14,13,13,16, 3, 0, 0, 0, 1, 8, 8,14, 6, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 1, 2,15, 9, 0, 0, 0,10,16,16,16, 4, 0), 9),
    (( 0, 0, 7,14,15,13,10, 0, 0, 1,14, 8, 3, 0, 2, 0, 0, 4,16,10,15, 6, 0, 0, 0, 4,16,12,11,16, 3, 0, 0, 2, 7, 0, 0,12, 6, 0, 0, 0, 0, 0, 1,14, 3, 0, 0, 0, 9, 9,11,12, 0, 0, 0, 0, 8,13, 8, 0, 0, 0), 5),
    (( 0, 0, 4,10,15, 4, 0, 0, 0, 0, 8,13, 6, 1, 0, 0, 0, 1,15,14,10, 1, 0, 0, 0, 0,11, 8,10,12, 1, 0, 0, 0, 0, 0, 0,10, 6, 0, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 6, 7, 3, 3,15, 2, 0, 0, 4,13,16,16,15, 1), 5),
    (( 0, 0, 1,12,16,16, 4, 0, 0, 0,10,16,13, 8, 1, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 0,13,12, 4, 0, 0, 0, 0, 0,14,16,16, 6, 0, 0, 0, 0, 6, 9,15,14, 0, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 4,12,15, 6, 0, 0), 5),
    (( 0, 0, 5,16, 5, 0, 0, 0, 0, 0,11,15, 2, 0, 0, 0, 0, 1,16,10, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 8,16,15,16,14, 2, 0, 0, 8,16,12, 8,13,11, 0, 0, 8,16,12, 2,13, 9, 0, 0, 0, 5,13,16,15, 1, 0), 6),
    (( 0, 0, 0,13, 9,10,14, 2, 0, 0, 0,11,12,15,12, 0, 0, 0, 0, 0, 0,14, 3, 0, 0, 1, 4, 4, 7,15, 1, 0, 0, 7,16,16,16,12, 6, 0, 0, 2, 4, 8,11, 0, 0, 0, 0, 0, 0,11, 6, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0), 7),
    (( 0, 0, 0, 1,14,10, 0, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 1,11,14, 3, 0, 0, 0, 1,10,16, 6, 9, 6, 0, 0,10,16,15,13,16, 9, 0, 0, 5,11,12,16,15, 1, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 0,16,11, 0, 0), 4),
    (( 0, 0, 9,14, 9, 0, 0, 0, 0, 6,15, 5,16, 6, 0, 0, 0, 5,14, 1, 6,13, 0, 0, 0, 0,10,14,13,16, 0, 0, 0, 0, 0, 5, 5,12, 2, 0, 0, 0, 0, 0, 0, 9, 5, 0, 0, 0,16, 9, 7,10, 8, 0, 0, 0, 6,10,14,16, 5, 0), 9),
    (( 0, 0,13,12,12,12, 5, 0, 0, 3,16, 7, 4, 4, 2, 0, 0, 5,16, 8, 5, 0, 0, 0, 0, 5,14,11,16, 6, 0, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 0,16, 0, 0, 0, 2, 4, 1, 9,16, 0, 0, 0, 1,13,16,13, 2, 0, 0), 5),
    (( 0, 0, 0,10,15, 6, 0, 0, 0, 0, 7,16,10,12, 2, 0, 0, 1,15, 5, 1,11, 4, 0, 0, 3,14, 0, 0, 5, 6, 0, 0, 7,10, 0, 0, 3, 8, 0, 0, 4,12, 0, 0, 4,11, 0, 0, 0,15, 4, 0,10, 8, 0, 0, 0, 2,12,13,13, 1, 0), 0),
    (( 0, 0, 3,14, 3, 0, 0, 0, 0, 3,15,16,15, 1, 0, 0, 0, 6,15, 5, 8,11, 0, 0, 0, 7,10, 0, 0,12, 5, 0, 0, 4,11, 0, 0, 6,10, 0, 0, 2,14, 0, 0, 6,12, 0, 0, 0,12, 9, 5,13, 8, 0, 0, 0, 2,15,16,13, 2, 0), 0),
    (( 0, 3,16,15, 3, 0, 0, 0, 0, 2,10,12,10, 0, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 2,15,12, 7, 4, 0, 0, 0, 2,15,16,16,16,16, 3), 2),
    (( 0, 0, 8,16,15, 4, 0, 0, 0, 2,15,16,13,15, 0, 0, 0, 9,15, 4, 0,15, 5, 0, 0, 8,13, 0, 0, 6,12, 0, 0,10,12, 0, 0, 4,12, 0, 0, 7,15, 0, 0, 4,14, 0, 0, 3,16, 8, 3,12,11, 0, 0, 0, 8,16,16,15, 1, 0), 0),
    (( 0, 0, 8,16,16,16,16, 2, 0, 0, 8,10, 7,12,13, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 4,11,15,16,13, 0, 0, 0,11,16,14, 6, 0, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 0, 7,13, 1, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0), 7),
    (( 0, 2, 9,14, 8, 7, 0, 0, 0,11,16,16,16,16, 0, 0, 0, 6,16,16,16,16, 2, 0, 0, 0, 0, 0, 8,16, 7, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 1,15,16, 0, 0, 0, 0, 4,14,16, 7, 0, 0, 0, 1,13,14, 2, 0, 0, 0), 9),
    (( 0, 0, 0, 2,14,10, 0, 0, 0, 0, 1,12,16,13, 0, 0, 0, 6,13,16,16, 6, 0, 0, 0, 5,10,12,16, 5, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0, 2,11,14, 0, 0), 1),
    (( 0, 0,11,15,10, 0, 0, 0, 0, 3,15, 6,16, 3, 0, 0, 0, 0, 0, 3,14, 2, 0, 0, 0, 0, 1,14,13, 2, 0, 0, 0, 0, 3,13,14,15, 3, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 8, 1, 7,15, 2, 0, 0, 0,12,16,14, 4, 0, 0), 3),
    (( 0, 3,15,16, 8, 0, 0, 0, 0,10,16,15,13, 0, 0, 0, 0, 6, 9,12,12, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0,13,12, 0, 1, 4, 0, 0, 4,16,14,12,15, 9, 0, 0, 3,16,16,13, 8, 0, 0), 2),
    (( 0, 3,16,14,10, 5, 0, 0, 0, 1, 8, 8,11,16, 2, 0, 0, 0, 2, 6,12,11, 1, 0, 0, 0,12,16,16, 6, 0, 0, 0, 0, 0, 3,11,16, 2, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 1, 8, 9,14,13, 0, 0, 0, 3,16,12, 9, 1, 0, 0), 3),
    (( 0, 0, 9,12,14,14, 4, 0, 0, 0,15, 7, 4, 4, 2, 0, 0, 0,14, 0, 0, 0, 0, 0, 0, 3,15,14,14, 6, 0, 0, 0, 4, 7, 2, 2,15, 0, 0, 0, 0, 0, 0, 0,12, 2, 0, 0, 0, 9, 2, 2,14, 0, 0, 0, 0,11,16,16, 5, 0, 0), 5),
    (( 0, 0,13,16, 6, 0, 0, 0, 0, 6,16,13,15, 0, 0, 0, 0, 4,15, 7,16, 0, 0, 0, 0, 0, 3,10,13, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 1,13,16, 1, 2, 0, 0, 0, 8,16,16,15,16, 2, 0, 0, 1,11,15,16,16, 3, 0), 2),
    (( 0, 0, 1,13, 9, 0, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 0,14,15, 1, 0, 0, 0, 0, 1,16,14, 4, 0, 0, 0, 0, 3,16,16,16,10, 1, 0, 0, 0,13,15, 8,15, 9, 0, 0, 0, 8,16, 7,11,13, 0, 0, 0, 0, 8,13,16,13, 1), 6),
    (( 0, 0, 1,11,15, 8, 0, 0, 0, 0,11,11, 4,16, 0, 0, 0, 6,11, 1, 3,13, 0, 0, 0, 3,14, 6,14, 2, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 4,11,10, 7, 0, 0, 0, 0, 5, 8, 5,13, 0, 0, 0, 0, 1,12,16, 5, 0, 0), 8),
    (( 0, 0, 2,11,16,16, 8, 0, 0, 0,10,16,16,16, 8, 0, 0, 0, 2, 0, 8,16, 2, 0, 0, 0, 0, 6,14,16, 5, 0, 0, 0, 0,14,16,16,10, 0, 0, 0, 0,10,16, 7, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0), 7),
    (( 0, 1, 9,15,12, 2, 0, 0, 0, 8,10, 0, 7,14, 0, 0, 0, 8, 4, 0, 0,16, 4, 0, 0, 2,12, 9, 9,16, 7, 0, 0, 0, 1, 5, 5, 9, 8, 0, 0, 0, 0, 0, 0, 4,11, 0, 0, 0, 6, 1, 0,10, 8, 0, 0, 0, 9,13,14,11, 2, 0), 9),
    (( 0, 1, 8,15,16, 8, 0, 0, 0,14,16,16,11, 4, 0, 0, 0, 4,15,12, 0, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0,12,15,16, 1, 0, 0, 0, 0, 9,16,13, 1, 0, 0), 5),
    (( 0, 0, 1,16,10, 0, 0, 0, 0, 0, 3,16,16, 4, 0, 0, 0, 0, 6,16,14, 0, 0, 0, 0, 0, 6,16,14, 0, 0, 0, 0, 0, 8,16,11, 0, 0, 0, 0, 0, 6,16,12, 0, 0, 0, 0, 0, 6,16,11, 0, 0, 0, 0, 0, 1,11,13, 0, 0, 0), 1),
    (( 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 1,12,16,11, 0, 0, 0, 1,12,13,16, 7, 0, 0, 0, 9,16,13,16, 3, 0, 0, 0, 2, 3, 6,16, 3, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0), 1),
    (( 0, 0, 6,16,12, 1, 0, 0, 0, 0,15,14,14,13, 0, 0, 0, 2,16, 6, 5,16, 2, 0, 0, 0,15, 4, 2,16, 6, 0, 0, 1,16, 5, 1,16, 6, 0, 0, 2,16, 2,11,14, 1, 0, 0, 0,16, 5,15, 5, 0, 0, 0, 0, 7,16, 7, 0, 0, 0), 0),
    (( 0, 0, 5,13,16, 7, 0, 0, 0, 2,16, 7, 8,11, 0, 0, 0, 8,15, 5,10, 8, 0, 0, 0, 2, 6,15,16, 7, 0, 0, 0, 0, 1,13,10,16, 4, 0, 0, 0, 4,13, 1, 9,12, 0, 0, 0, 7,10, 5,15, 7, 0, 0, 0, 2,13,15, 8, 1, 0), 8),
    (( 0, 0, 8, 0, 8, 7, 0, 0, 0, 0,16, 4,13,16, 2, 0, 0, 2,14, 2, 7,16, 6, 0, 0, 7,12, 0, 0,13, 7, 0, 0, 5,13, 0, 0,12, 8, 0, 0, 5,16, 8, 4,15, 7, 0, 0, 3,16,16,16,16, 1, 0, 0, 0, 7,14,10, 3, 0, 0), 0),
    (( 0, 0, 2,15, 5, 0, 0, 0, 0, 0, 5,15, 1, 7, 0, 0, 0, 0,10,10, 6,16, 0, 0, 0, 5,15, 2,13,11, 0, 0, 0,14,15,12,16,16, 6, 0, 0,14,16,16,16,14, 3, 0, 0, 1, 4,15,11, 1, 0, 0, 0, 0, 2,15, 7, 0, 0, 0), 4),
    (( 0, 0, 7, 7, 4, 4, 0, 0, 0, 0,16,16,16,16, 4, 0, 0, 1,16,16, 8,12, 8, 0, 0, 6,15, 7, 0,12, 5, 0, 0, 6,12, 0, 0,13, 4, 0, 0, 5,12, 0, 8,14, 1, 0, 0, 4,16,11,15, 7, 0, 0, 0, 0, 8,15, 7, 0, 0, 0), 0),
    (( 0, 0, 1, 7,14,15, 2, 0, 0, 2,12,14, 8,14, 7, 0, 0, 3,14,13, 5,14, 5, 0, 0, 0, 5,15,16,15, 2, 0, 0, 0, 0,10,16,10, 0, 0, 0, 0, 2,14,14,12, 0, 0, 0, 0, 4,16,14,12, 0, 0, 0, 0, 0,12,13, 6, 0, 0), 8),
    (( 0, 1,11, 9,14,11, 1, 0, 0, 8,16,14,14,16, 2, 0, 0, 7,16, 0,11,12, 0, 0, 0, 1, 1, 1,15, 5, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 2,15, 5, 0, 0, 0, 0, 0,12,16, 4, 0, 0, 0, 0, 0,15,11, 1, 0, 0, 0), 7),
    (( 0, 0, 2,13,16, 9, 0, 0, 0, 0,10,16,16,16, 2, 0, 0, 4,16, 9, 1,15, 4, 0, 0, 4,16, 3, 0,12, 5, 0, 0, 5,16, 1, 0,12, 8, 0, 0, 1,16, 9, 0,12, 8, 0, 0, 0,10,16,12,15, 3, 0, 0, 0, 2,13,16, 9, 0, 0), 0),
    (( 0, 0, 0, 2,14, 0, 0, 0, 0, 0, 1,13,14, 1, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 0,12, 8, 1, 0, 0, 0, 0, 0, 8,16,16,14, 5, 0, 0, 0, 4,16, 4, 8,16, 3, 0, 0, 0, 4,11,15,14, 6), 6),
    (( 0, 0, 6,11,15,16,12, 0, 0, 0, 6, 8, 5,12,10, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 7,12,13,15, 4, 0, 0, 0, 6,10,16, 9, 4, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0), 7),
    (( 0, 0, 2,11,13,16,11, 0, 0, 0, 9,16,13,16,10, 0, 0, 0,14,16,16,16,16, 4, 0, 0, 6,11, 9,14,14, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 3,15, 4, 0, 0, 0), 9),
    (( 0, 0, 7,13,15, 6, 0, 0, 0, 1,16, 6,10, 8, 8, 0, 0, 4,16, 3, 4,11, 8, 0, 0, 0,11,11,13, 9, 0, 0, 0, 0, 2,15,16, 3, 0, 0, 0, 0, 9, 9, 7,15, 2, 0, 0, 0,12, 7, 0,15, 4, 0, 0, 0, 4,15,16,13, 1, 0), 8),
    (( 0, 0, 2, 7,14,12, 1, 0, 0, 2,14,15,10,16, 7, 0, 0, 4, 9, 0, 5,16, 3, 0, 0, 0, 0, 2,16,13, 0, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 5,16,13, 0, 0, 0, 0, 0, 9,11, 2, 0, 0), 3),
    (( 0, 0, 7,15,10, 1, 0, 0, 0, 1,16,10,14, 7, 0, 0, 0, 0,11, 2, 0,15, 0, 0, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 3,15, 9, 0, 0, 0, 0, 9,16,16,10, 6, 0, 0, 0, 9,12,12,12,13, 1), 2),
    (( 0, 0, 9,13,10, 5, 0, 0, 0, 0, 4,15,16,13, 0, 0, 0, 0, 1,14,16,15, 0, 0, 0, 0, 8,16,16,14, 1, 0, 0, 0, 6,16,16,14, 0, 0, 0, 0,12,16,16,14, 0, 0, 0, 0, 6,16,16, 6, 0, 0, 0, 0, 4,14,15, 3, 0, 0), 1),
    (( 0, 1, 9,12,12,13,16, 4, 0, 1,11,12,12,16,13, 1, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 8,12,15,13, 0, 0, 0, 0,16,16,16,12, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0,12,15, 2, 0, 0, 0), 7),
    (( 0, 0, 0, 2,12,11, 0, 0, 0, 0, 0,13,16,10, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 4,16,14,16, 6, 0, 0, 0, 1, 6, 7,16, 6, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0, 0,12, 4, 0, 0), 1),
    (( 0, 0, 4,13,16,16, 9, 0, 0, 2,12, 6, 1,12,12, 0, 0, 1, 3, 2,15,10, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0, 4,14, 2, 0, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 6, 9,13,12, 1, 0, 0), 3),
    (( 0, 0, 0, 8,14,15, 9, 0, 0, 0, 8,15, 9, 8, 9, 0, 0, 0,16, 1, 0, 0, 0, 0, 0, 7, 9, 0, 0, 0, 0, 0, 0, 5,16,16,16,15, 1, 0, 0, 0, 4, 3, 5,16, 3, 0, 0, 0, 0, 7, 9,12, 0, 0, 0, 0, 0,13,12, 1, 0, 0), 5),
    (( 0, 0, 0, 7,12, 2, 0, 0, 0, 1,10,16,15, 6, 0, 0, 0, 0,15,13, 1, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 2,16,11,12, 9, 0, 0, 0, 2,16,14,10,14,10, 0, 0, 0,11,15, 8,11,16, 1, 0, 0, 1, 9,16,16,13, 1), 6),
    (( 0, 0, 7,13,16, 7, 0, 0, 0, 4,16, 7, 4,14, 6, 0, 0, 2,15, 7, 4,13,12, 0, 0, 0,12,16,14,14, 8, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 1,13, 4, 0, 0, 0, 0, 4,14,11, 0, 0, 0, 1,12,12, 6, 0, 0, 0), 9),
    (( 0, 0,10,15,14,16,12, 0, 0, 0, 5,12,11,13,11, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 9,12,14,16,10, 0, 0, 0,12,15,15, 9, 2, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0), 7),
    (( 0, 1, 6,14,11, 0, 0, 0, 0, 7,10, 2,15, 4, 0, 0, 0, 5,10, 1,13, 9, 0, 0, 0, 2,14, 4,12,16, 0, 0, 0, 0, 5,12, 5,11, 7, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 3, 1, 0,11, 6, 0, 0, 0,10,13,12, 8, 0, 0), 9),
    (( 0, 0, 5,10,12,16,16, 2, 0, 0,10,16,16,10, 6, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0, 0,12,16, 2, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 1,12,13, 2, 0, 0, 0, 0, 7,13, 2, 0, 0, 0), 5),
    (( 0, 0, 6,15,13, 3, 0, 0, 0, 5,15, 6,13,15, 3, 0, 0,10,11, 0,13,16, 5, 0, 0, 4,15,14,16,15, 1, 0, 0, 0, 0, 1,12, 9, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0), 9),
    (( 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 2,15,10, 1, 9, 2, 0, 0,12,14, 1, 8,15, 1, 0, 4,16, 6, 1,15, 8, 0, 0,13,16,16,16,16, 9, 0, 0, 8,10, 8,16,13, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 5,16, 2, 0, 0), 4),
    (( 0, 3,15,16,13, 5, 0, 0, 0, 7,16,12,14,15, 1, 0, 0, 1, 6, 0,11,15, 1, 0, 0, 0, 0,16,16, 5, 0, 0, 0, 0, 0, 6,15,15, 2, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 3, 8, 2, 6,16, 4, 0, 0, 2,12,16,16, 9, 0, 0), 3),
    (( 0, 0, 5,16,16, 8, 0, 0, 0, 0, 6,14,10,16, 1, 0, 0, 0, 0, 4,13,16, 1, 0, 0, 0, 6,16,16, 5, 0, 0, 0, 0, 1, 9,15,10, 0, 0, 0, 0, 6, 0, 3,15, 5, 0, 0, 0,14, 8,11,16, 7, 0, 0, 0, 5,15,16,13, 1, 0), 3),
    (( 0, 0, 9,16,16,10, 0, 0, 0, 2,16,11, 6, 6, 0, 0, 0, 3,16, 2, 9,15, 1, 0, 0, 0,12,13,15,16, 2, 0, 0, 0, 0, 8, 9,16, 4, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 8,16,16,13, 1, 0), 9),
    (( 0, 0, 5,11,15, 8, 0, 0, 0, 4,14, 8,10,16, 0, 0, 0, 8,13, 1,15,12, 0, 0, 0, 4,16,15,16,13, 0, 0, 0, 0, 4,12,13,16, 4, 0, 0, 0, 4, 1, 0,14, 8, 0, 0, 0,13,13, 6,14, 7, 0, 0, 0, 2,14,14, 9, 2, 0), 9),
    (( 0, 0, 9,15,13, 5, 1, 0, 0, 2,16,13, 9,12, 3, 0, 0, 8,12, 0, 0, 0, 0, 0, 0, 2,16,15, 6, 0, 0, 0, 0, 0, 1, 8,15, 3, 0, 0, 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 5, 6,12,10, 0, 0, 0, 1,10,13,10, 1, 0, 0), 5),
    (( 0, 0, 7, 9,15, 6, 0, 0, 0, 2,16,16,16,16, 3, 0, 0, 7,15, 8, 1,13, 8, 0, 0, 8,10, 0, 0, 8, 8, 0, 0, 8, 9, 0, 0, 8, 8, 0, 0, 7,14, 0, 3,15, 5, 0, 0, 2,16,14,16,13, 1, 0, 0, 0, 8,13, 8, 0, 0, 0), 0),
    (( 0, 2,10,16,14, 5, 0, 0, 0, 6,13, 8,15,12, 0, 0, 0, 0, 0, 1,13,10, 0, 0, 0, 0, 7,15,16, 8, 0, 0, 0, 0, 6,12,13,16, 5, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0,11,14,16,15, 3, 0, 0, 1,13,10, 8, 2, 0, 0), 3),
    (( 0, 1,12,15,16, 9, 0, 0, 0, 2,16,16,12, 9, 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 0, 7,15, 5, 1, 0, 0, 0, 0, 7,16,16,12, 0, 0, 0, 0, 0, 4, 4,15, 4, 0, 0, 0, 0, 8, 5,16, 6, 0, 0, 0, 0,13,16,12, 1, 0, 0), 5),
    (( 0, 0,13,16,16, 8, 0, 0, 0, 0, 7, 5,10, 8, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 7,10,16,13, 7, 0, 0, 0,15,16,13,15,10, 0, 0, 0, 0,16, 1, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0,16, 3, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 0,12,15, 2, 0, 0, 0, 0, 0,12,16, 4, 0, 0, 2, 4, 6,16,16, 2, 0, 0, 9,16,16,16,16, 0, 0, 0, 1, 8, 5,15,16, 0, 0, 0, 0, 0, 0,16,16, 4, 0, 0, 0, 0, 0,15,16, 5, 0, 0, 0, 0, 0, 9,16, 8, 0), 1),
    (( 0, 0, 1,12, 2, 0, 0, 0, 0, 0,10, 8, 0, 9, 9, 0, 0, 1,16, 1, 0,15, 5, 0, 0, 3,16, 5, 7,16, 2, 0, 0, 2,16,16,16,16, 7, 0, 0, 0, 6,10,16, 1, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 0, 0, 0,14, 1, 0, 0, 0), 4),
    (( 0, 0, 7,15,13, 1, 0, 0, 0, 0,15, 9,13,10, 0, 0, 0, 0,16, 5,12,12, 0, 0, 0, 0, 4,15,16,12, 0, 0, 0, 0, 0, 2, 7,15, 1, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 4,12, 7, 5,14, 4, 0, 0, 0, 7,13,13, 9, 1, 0), 9),
    (( 0, 3,15,16, 3, 0, 0, 0, 0,11,16,15,12, 0, 0, 0, 0, 1, 1, 6,16, 0, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 9,16, 9, 8, 5, 0, 0, 3,16,16,16,16,11, 0, 0, 5,16,16,13, 8, 1, 0), 2),
    (( 0, 0, 7,12, 6, 2, 0, 0, 0, 0,16,16,13,14, 1, 0, 0, 9,16,11, 3, 0, 0, 0, 0, 8,16,16,16, 4, 0, 0, 0, 1, 2, 0, 6,12, 0, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 6, 9,16, 6, 0, 0, 0, 0, 5,16, 9, 0, 0, 0), 5),
    (( 0, 0, 0,14, 4, 1, 1, 0, 0, 0, 4,16, 1,12, 7, 0, 0, 1,15, 8, 5,16, 3, 0, 0, 9,14, 0,10,11, 0, 0, 0,11,16,14,16,14, 4, 0, 0, 6, 8,14,16,14, 5, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0), 4),
    (( 0, 3,14,14, 4, 0, 0, 0, 0, 8,15,11,16, 6, 0, 0, 0, 1, 4, 4,16, 7, 0, 0, 0, 0, 5,16,16, 4, 0, 0, 0, 0, 2, 9,15,16, 3, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 7, 4,11,16, 5, 0, 0, 2,14,16,14, 7, 0, 0), 3),
    (( 0, 0, 5,15,14, 2, 0, 0, 0, 2,15,14,13,15, 0, 0, 0, 7,16, 2, 1,16, 5, 0, 0, 8,14, 0, 0,12,10, 0, 0, 8,13, 0, 0, 8,12, 0, 0, 8,15, 0, 0,14,10, 0, 0, 2,16,11,10,16, 2, 0, 0, 0, 8,16,16, 6, 0, 0), 0),
    (( 0, 2, 8,12,12,15, 8, 0, 0, 4,16,12, 7, 5, 2, 0, 0, 4,15, 0, 0, 0, 0, 0, 0, 7,15, 9, 5, 0, 0, 0, 0, 1, 8,12,15, 5, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 2, 8, 9,16, 4, 0, 0, 0, 3,14,14, 6, 0, 0, 0), 5),
    (( 0, 0, 0, 1,13,10, 0, 0, 0, 0, 0,10,15, 3, 0, 0, 0, 0, 7,16, 6, 1,14, 1, 0, 3,16, 8, 0, 9,15, 0, 0,14,16,16,12,16,10, 0, 0, 6,13,16,16,16, 6, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 2,15, 3, 0, 0), 4),
    (( 0, 0, 6,13, 2, 0, 0, 0, 0, 3,15,14, 8, 0, 0, 0, 0, 8, 6, 5,12, 0, 0, 0, 0, 3, 2, 4,10, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 0, 0,10,16,16,16, 7, 0, 0, 0, 7,12,10,13, 7, 0), 2),
    (( 0, 0, 2,16,12, 0, 0, 0, 0, 0, 2,16,16, 3, 0, 0, 0, 0, 2,16,16, 3, 0, 0, 0, 0, 1,16,16, 2, 0, 0, 0, 0, 5,16,13, 0, 0, 0, 0, 0, 1,16,14, 0, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 0, 2,14,10, 0, 0, 0), 1),
    (( 0, 0, 0, 0,12,16, 2, 0, 0, 0, 3,11,16,16, 5, 0, 0, 3,15,16,16,14, 0, 0, 0, 4,12,12,16,14, 0, 0, 0, 0, 0, 5,16,11, 0, 0, 0, 0, 0, 7,16,11, 0, 0, 0, 0, 0, 4,16,13, 0, 0, 0, 0, 0, 1,13,13, 0, 0), 1),
    (( 0, 0, 3,12,14, 3, 0, 0, 0, 0,11,11, 8,13, 0, 0, 0, 5,15, 1, 0, 7, 2, 0, 0, 3,15, 3, 0, 3, 6, 0, 0, 3,11, 2, 0, 4, 7, 0, 0, 1, 9, 0, 0, 5, 7, 0, 0, 0,11, 4, 4,14, 2, 0, 0, 0, 2,13,15, 9, 0, 0), 0),
    (( 0, 0, 0, 7,12, 1, 0, 0, 0, 0, 3,16,12, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,14, 9, 1, 0, 0, 0, 0, 0,14,16,16,16, 5, 0, 0, 0,12,16,11, 6,16, 1, 0, 0, 6,15, 2, 7,15, 2, 0, 0, 0, 8,13,12, 6, 0), 6),
    (( 0, 0, 8,12, 9, 1, 0, 0, 0, 3,16,16,16,10, 0, 0, 0, 3,16,16,16,10, 0, 0, 0, 0, 8,16,16, 4, 0, 0, 0, 0,12,16,16, 8, 0, 0, 0, 1,15,16,16, 9, 0, 0, 0, 0,13,16,16, 9, 0, 0, 0, 0, 6, 9,11, 3, 0, 0), 1),
    (( 0, 0, 5, 8,13,13,10, 1, 0, 0, 7, 8, 5,12,14, 1, 0, 0, 0, 0, 0,14, 8, 0, 0, 0,11,16,16,16, 9, 0, 0, 0, 2, 6,16,11, 5, 0, 0, 0, 0,10, 8, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0), 7),
    (( 0, 0, 6,16,13, 4, 0, 0, 0, 0,10, 8, 8,13, 0, 0, 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 3, 7,14, 2, 0, 0, 0, 2,16,13,15, 6, 0, 0, 0, 0, 3, 0, 6,14, 0, 0, 0, 0, 3, 4, 5,14, 0, 0, 0, 0, 9,16,12, 4, 0, 0), 3),
    (( 0, 0, 0, 3,14, 5, 0, 0, 0, 0, 0, 6,16,13, 1, 0, 0, 0, 0, 8,16,13, 1, 0, 0, 0, 0, 9,16,11, 0, 0, 0, 5,14,16,16,12, 0, 0, 0, 0, 2, 9,16,16, 4, 0, 0, 0, 0, 5,16,16, 8, 0, 0, 0, 0, 3,13,14, 5, 0), 1),
    (( 0, 2,12,15,10, 0, 0, 0, 0, 4,14, 8,16, 7, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 2,16,16, 9, 0, 0, 0, 0, 1, 8,13,14, 2, 0, 0, 0, 0, 0, 2,13, 8, 0, 0, 2, 9, 8, 8,12,11, 0, 0, 2,11,14,14,10, 3, 0), 3),
    (( 0, 0, 5,10,15,11, 1, 0, 0, 6,16, 8, 7,16, 5, 0, 0, 6,15, 2, 8,14, 1, 0, 0, 0,11,14,16, 3, 0, 0, 0, 0, 0,13,15, 1, 0, 0, 0, 0, 5,15,15, 6, 0, 0, 0, 0,11,16,16, 7, 0, 0, 0, 0, 6,13,11, 2, 0, 0), 8),
    (( 0, 0, 9,14,16,12, 1, 0, 0, 3,14, 5, 4,12, 8, 0, 0, 1, 2, 0, 0,13, 6, 0, 0, 0, 4, 8,10,16, 4, 0, 0, 5,14,11,16, 8, 1, 0, 0, 3, 2, 9,11, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0), 7),
    (( 0, 0,11,16, 6, 0, 0, 0, 0, 2,16,15,16, 3, 0, 0, 0, 0, 8, 4,16, 4, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 1,16, 9, 2, 5, 1, 0, 0, 0, 9,14,12, 9, 0, 0), 2),
    (( 0, 0, 1, 8,13,10, 2, 0, 0, 0,11,16,13,13, 3, 0, 0, 4,15, 0, 0, 0, 0, 0, 0, 3,15, 7, 1, 0, 0, 0, 0, 0, 8,15,15, 7, 0, 0, 0, 0, 0, 2,10,16, 2, 0, 0, 0, 2, 7, 8,16, 4, 0, 0, 0, 2,15,12, 7, 0, 0), 5),
    (( 0, 0, 0, 7,13, 5, 0, 0, 0, 0, 2,16,15, 3, 0, 0, 0, 0,10,15, 4, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 5,16,14,16,14, 2, 0, 0, 3,16,14,12,14,10, 0, 0, 0,11,13, 5,12,14, 0, 0, 0, 1, 8,14,15, 5, 0), 6),
    (( 0, 0,13,13,12,12, 2, 0, 0, 0,14,16,16,14, 3, 0, 0, 0,10,16, 5, 0, 0, 0, 0, 0, 1,10,14, 1, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 4, 6,15, 5, 0, 0, 0, 1,15,16,15, 1, 0, 0), 5),
    (( 0, 0, 6,13,13, 3, 0, 0, 0, 2,16,16,16,11, 0, 0, 0, 3,16,15, 6,16, 4, 0, 0, 3,16, 9, 0,16, 8, 0, 0, 8,16, 3, 1,16, 6, 0, 0, 7,16, 2, 8,16, 3, 0, 0, 1,14,16,16,13, 0, 0, 0, 0, 4,13,12, 2, 0, 0), 0),
    (( 0, 0, 6,15,16,16, 9, 0, 0, 0, 9,12, 8,16,12, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 1, 7, 8,16, 9, 2, 0, 0, 9,16,16,16,16, 9, 0, 0, 2, 7,16, 4, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 1,10, 0, 0, 0, 0, 0, 0,11, 8, 2, 1, 0, 0, 0, 3,13, 0, 8, 8, 0, 0, 0,10, 8, 2,15, 3, 0, 0, 6,16,15,16,16, 5, 0, 0,12,15,12,15,14, 3, 0, 0, 0, 0, 0,15, 1, 0, 0, 0, 0, 0, 0,12, 0, 0, 0), 4),
    (( 0, 0, 0, 0,10,10, 2, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0,14,13, 0, 3, 0, 0, 0, 4,16, 6, 4,16, 4, 0, 0, 5,16, 9,13,16, 6, 0, 0, 0, 7,12,16,14, 1, 0, 0, 0, 0, 0,12,14, 0, 0), 4),
    (( 0, 0,10,12,13,11, 2, 0, 0, 0,14, 9, 8, 8, 2, 0, 0, 0,15, 0, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0, 3,12,13,15, 5, 0, 0, 0, 0, 0, 0, 6,13, 1, 0, 0, 0, 9, 5, 4,14, 0, 0, 0, 0, 8,15,15, 7, 0, 0), 5),
    (( 0, 0, 7,15,14, 3, 0, 0, 0, 0, 8,11,10,12, 0, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 5,15, 9, 0, 0, 0, 0, 0, 5,12,15, 6, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 8, 1, 1,12,12, 0, 0, 0, 9,15,16,13, 1, 0), 3),
    (( 0, 0, 1, 7,16, 2, 0, 0, 0, 0,14,13,12,10, 1, 0, 0, 3,14, 0, 3,16, 4, 0, 0, 1,15,16,15,16, 0, 0, 0, 0, 2, 7, 2,10, 3, 0, 0, 0, 0, 0, 0,11, 2, 0, 0, 0, 0, 9, 2,10, 4, 0, 0, 0, 0, 9,16,12, 1, 0), 9),
    (( 0, 0, 2,13,10, 1, 0, 0, 0, 0, 8,16,16,14, 1, 0, 0, 0,11, 8, 3,15, 1, 0, 0, 0, 6,12, 9,11, 0, 0, 0, 0, 9,16,16, 2, 0, 0, 0, 1,16, 7, 9,10, 0, 0, 0, 2,14, 5, 4,16, 3, 0, 0, 0, 4,11,14,13, 5, 0), 8),
    (( 0, 0, 2,12,13, 0, 0, 0, 0, 3,15,13,16, 0, 0, 0, 0,10,13, 1,16, 0, 0, 0, 0, 0, 1, 4,16, 0, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0, 9,10, 7, 8, 0, 0, 0, 0,14,15,15, 3, 0, 0, 0, 0,15,12, 3, 0, 0), 2),
    (( 0, 0,10,16,15, 1, 0, 0, 0, 5,15, 8,15, 6, 0, 0, 0, 3, 6, 1,14, 4, 0, 0, 0, 0, 0,10,16,13, 0, 0, 0, 0, 0, 1, 7,16, 7, 0, 0, 0, 1, 2, 0,15, 7, 0, 0, 0,12,13, 6,16, 5, 0, 0, 0, 9,16,16, 9, 0, 0), 3),
    (( 0, 0, 0, 7,10, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 4,16, 5, 4, 8, 0, 0, 0, 3,16,16,16,14, 0, 0, 0, 1, 6, 8,16, 7, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 9,13, 2, 0, 0), 4),
    (( 0, 0, 5,16,11, 0, 0, 0, 0, 1,16, 5,12,11, 3, 0, 0, 3,13, 0, 5,16, 2, 0, 0, 4,12, 0, 0,16, 4, 0, 0, 5,11, 0, 1,16, 3, 0, 0, 5,13, 0, 0,12, 1, 0, 0, 0,14, 7, 6,12, 0, 0, 0, 0, 4,14,12, 2, 0, 0), 0),
    (( 0, 0, 0, 4,11,16,11, 0, 0, 0, 6,13, 3, 3,15, 0, 0, 0,14, 2, 4,14,11, 0, 0, 0,12,16,15,15, 8, 0, 0, 0, 0, 2, 0,14, 2, 0, 0, 0, 0, 0, 4,11, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 3,10, 0, 0, 0), 9),
    (( 0, 0, 7,13, 0, 0, 3, 8, 0, 0,15, 7, 0, 3,15, 7, 0, 0,16,12, 6,14, 9, 0, 0, 0, 6,12,16,12, 0, 0, 0, 0, 0, 2,14, 2, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 2,13, 1, 0, 0, 0, 0, 0, 8, 5, 0, 0, 0, 0), 4),
    (( 0, 0, 0, 6,15, 2,11, 2, 0, 0, 2,16,10, 5,16, 3, 0, 1,15,10, 0, 9,13, 0, 0, 9,16, 9, 9,16,12, 0, 0, 7,16,16,15,15, 7, 0, 0, 0, 3, 2,14, 8, 0, 0, 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 0,11, 9, 0, 0, 0), 4),
    (( 0, 0, 2,10,16,14, 3, 0, 0, 3,13,16,11, 8, 2, 0, 0, 6,16, 6, 0, 0, 0, 0, 0, 2,14,16,15, 7, 0, 0, 0, 0, 0, 4,10,16, 5, 0, 0, 0, 0, 0, 2,15, 4, 0, 0, 0, 5, 7,15,12, 0, 0, 0, 0, 3,15,10, 1, 0, 0), 5),
    (( 0, 0, 8,16,16,12, 0, 0, 0, 4,16,16,16,15, 2, 0, 0, 2,11,16,16,11, 0, 0, 0, 0, 0,15,16, 7, 0, 0, 0, 0, 0, 0,11,16, 2, 0, 0, 0, 7, 0, 0,15, 5, 0, 0, 2,16, 7, 7,15, 7, 0, 0, 0, 8,14,12, 5, 0, 0), 3),
    (( 0, 0, 6,16, 5, 0, 0, 0, 0, 6,16,16,16, 7, 0, 0, 0,11,15, 2,16,14, 0, 0, 0, 9,16,10,16,16, 7, 0, 0, 2,13,16,16,16, 8, 0, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 3, 8,12,16, 7, 0, 0, 0, 5,16,12, 5, 0, 0), 9),
    (( 0, 0, 8,16,16,16, 7, 0, 0, 0,16,12, 8, 8, 4, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 7,16,16,16, 8, 0, 0, 0, 2,12, 9, 9,16, 3, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 8,11,12,16, 2, 0, 0, 0,10,16,14, 6, 0, 0), 5),
    (( 0, 0,13,16, 7, 0, 0, 0, 0, 2,16,16,15, 0, 0, 0, 0, 0, 4,14,16, 0, 0, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0,11,16, 1, 1, 1, 0, 0, 0,16,16,16,16, 6, 0, 0, 0,13,16,16,12, 0, 0), 2),
    (( 0, 0, 9,15,14, 2, 0, 0, 0, 3,16,13,15,11, 0, 0, 0, 2, 9, 0,14, 9, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 1,14,15, 8, 8, 9, 1, 0, 0,11,16,16,16,16, 7), 2),
    (( 0, 0, 7,14,12, 5, 0, 0, 0, 0,10,16,16,12, 0, 0, 0, 0,10,16,16, 8, 0, 0, 0, 0,10,16,16, 6, 0, 0, 0, 0, 9,16,16, 3, 0, 0, 0, 0,12,16,16, 2, 0, 0, 0, 0,12,16,16,11, 0, 0, 0, 0,14,16,13, 8, 0, 0), 1),
    (( 0, 0, 4,15,16, 5, 0, 0, 0, 4,16,10,10,15, 0, 0, 0,10,16, 7, 4,15, 0, 0, 0, 1, 4, 3,13, 9, 0, 0, 0, 0, 0, 9,16,16, 4, 0, 0, 0, 0, 1, 0,11,11, 0, 0, 0, 2,12, 4,13, 9, 0, 0, 0, 4,16,16,12, 1, 0), 3),
    (( 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 1,15, 5, 1, 5, 0, 0, 1,12,10, 0,13, 9, 0, 0, 7,16, 9,10,16, 7, 0, 0, 4,16,16,16,16,10, 0, 0, 0, 0, 0,14,11, 1, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0,12, 6, 0, 0, 0), 4),
    (( 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 6,16,11, 0, 0, 0, 0, 0,11,16, 6, 0, 0, 0, 1, 7,15,14, 1, 0, 0, 0, 6,14,16,15, 0, 0, 0, 0, 0, 1,13,15, 0, 0, 0, 0, 0, 0,14,16, 4, 0, 0, 0, 0, 0, 0,12,15, 6, 0), 1),
    (( 0, 0, 4,11,12,15,13, 0, 0, 0,10,11,11,14,14, 0, 0, 0, 1, 4, 5,16, 8, 0, 0, 0,13,16,16,16, 6, 0, 0, 0, 0, 7,16, 7, 1, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0, 3,14, 2, 0, 0, 0), 7),
    (( 0, 0, 5,14,16,13, 2, 0, 0, 0,15,10, 5,15, 4, 0, 0, 0, 0, 1, 7,15, 1, 0, 0, 0, 0,11,16, 6, 0, 0, 0, 0, 0, 2,10,14, 1, 0, 0, 0, 2, 0, 0, 9, 8, 0, 0, 1,14, 6, 4,11, 9, 0, 0, 0, 5,12,14,10, 1, 0), 3),
    (( 0, 0, 8,13,16,10, 3, 0, 0, 5,16,10, 8,10, 6, 0, 0, 6,12, 0, 0, 0, 0, 0, 0, 6,15,12, 3, 0, 0, 0, 0, 4,12,14,16, 1, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 4, 7,16, 7, 0, 0, 0, 0,11,14,10, 0, 0, 0), 5),
    (( 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 0, 4,15, 4, 4, 0, 0, 0, 0, 6,16,14,14,14, 3, 0, 0, 0, 8,15, 8,14,12, 0, 0, 0, 0, 6,12,13, 3, 0), 6),
    (( 0, 0, 5,15,10, 2, 0, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0, 1,16,16,16, 1, 0, 0, 0, 3,14,16,11, 0, 0, 0, 0, 6,16,16,10, 0, 0, 0, 0, 6,16,16, 2, 0, 0, 0, 0, 5,16,16, 9, 0, 0, 0, 0, 4,16,14,10, 0, 0), 1),
    (( 0, 2,10,15,16,15, 0, 0, 0, 4,16, 9, 4, 6, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0, 6,14, 5, 0, 0, 0, 0, 0, 1,12,16,13, 5, 0, 0, 0, 0, 0, 2, 9,16, 9, 0, 0, 0, 9, 8,10,16, 9, 0, 0, 0, 7,16,12, 8, 1, 0), 5),
    (( 0, 0, 0, 6,14,10, 0, 0, 0, 0, 5,16,11, 7, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0, 4,16,16,15, 7, 0, 0, 0, 4,16,11, 8,15, 5, 0, 0, 1,13,14, 8,11,14, 0, 0, 0, 0, 7,14,16, 9, 0), 6),
    (( 0, 0, 5,13,16, 7, 0, 0, 0, 0,15, 8,11,12, 0, 0, 0, 0,12, 5,14, 5, 0, 0, 0, 0,10,16, 8, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,15,15, 6, 0, 0, 0, 0, 0,14,13,10, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0), 8),
    (( 0, 0, 6, 9, 0, 0, 0, 0, 0, 0, 7,16,10,13, 7, 0, 0, 0, 1, 8,16,14, 1, 0, 0, 0, 0, 1,13, 7, 0, 0, 0, 0,12,16,16,10, 1, 0, 0, 0, 3,15,10, 8, 2, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 0), 7),
    (( 0, 0, 4,10, 0, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 7,16, 9, 0, 0, 0, 0, 0,14,14,14, 0, 0, 0, 0, 0, 3, 3,16, 3, 0, 0, 0, 0, 1, 7,14,11, 4, 0, 0, 0, 4,14,16,13,14, 8), 1),
    (( 0, 0, 5,14,10, 0, 0, 0, 0, 1,16,11,11,11, 0, 0, 0, 4,15, 3, 1,13, 4, 0, 0, 5, 9, 0, 0, 6, 8, 0, 0, 6, 8, 0, 0, 4, 8, 0, 0, 4,14, 0, 0, 7, 6, 0, 0, 1,16,11,10,15, 2, 0, 0, 0, 5,12,13, 6, 0, 0), 0),
    (( 0, 0,12, 9, 0, 0, 0, 0, 0, 4,15,15, 5, 0, 0, 0, 0, 7,10, 3,11, 0, 0, 0, 0,10, 6, 0,12, 2, 0, 0, 0, 5, 3, 0,12, 5, 0, 0, 0, 0, 1, 3,16, 4, 0, 0, 0, 0,14,16,16,16,14, 0, 0, 0,12,13,10, 8, 4, 0), 2),
    (( 0, 0,11,15, 8, 0, 0, 0, 0, 6,16,10,16, 0, 0, 0, 0, 2, 7, 8,16, 0, 0, 0, 0, 0, 0,13,16, 2, 0, 0, 0, 0, 0, 8,14,13, 1, 0, 0, 0, 3, 0, 3,16, 5, 0, 0, 0,16,10,12,15, 2, 0, 0, 0,12,15, 9, 2, 0, 0), 3),
    (( 0, 1,13,16,10, 3, 0, 0, 0, 2,13, 8,13,15, 0, 0, 0, 0, 1, 8,11,14, 2, 0, 0, 0, 0,16,16, 7, 0, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 1, 0, 0,14, 7, 0, 0, 5,12, 4, 7,16, 3, 0, 0, 1,11,14,12, 5, 0, 0), 3),
    (( 0, 2,12,13,11, 1, 0, 0, 0, 4,12,12,16, 7, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0,16,16, 1, 0, 0, 0, 0, 0, 4,15,15, 0, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 2, 8, 5, 8,16, 3, 0, 0, 2,10,16,14, 8, 0, 0), 3),
    (( 0, 0, 7,13,16,11, 4, 0, 0, 1,16, 5, 2,13,12, 0, 0, 4,14, 0, 4,15, 4, 0, 0, 2,15,13,16, 8, 0, 0, 0, 0, 1, 8,15, 1, 0, 0, 0, 0, 1,13, 5, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0), 9),
    (( 0, 0, 7,15,10, 8, 1, 0, 0, 4,16, 7,11,16, 8, 0, 0, 8,16, 2, 7,16, 5, 0, 0, 0,14,16,16, 9, 0, 0, 0, 0, 6,16,16, 3, 0, 0, 0, 0, 9,14,15,14, 2, 0, 0, 0,15,12,11,16, 4, 0, 0, 0, 7,15,14, 7, 0, 0), 8),
    (( 0, 1,14, 7, 0, 0, 0, 0, 0, 8,16, 2, 0, 3, 5, 0, 0,10,12, 0, 1,14,11, 0, 0, 9,15, 1, 9,16, 3, 0, 0, 1,15,16,16, 8, 0, 0, 0, 0, 5,16,13, 5, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0), 4),
    (( 0, 0, 6,10,12, 4, 0, 0, 0, 2,15,10, 8, 9, 0, 0, 0, 0, 6, 0, 3,12, 0, 0, 0, 0, 0, 0, 8, 7, 0, 0, 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 4,14, 6, 0, 0, 0, 0, 1,16,11, 7,11, 8, 0, 0, 0,13,16,13,12,12, 0), 2),
    (( 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 0,11,16,16, 9, 0, 0, 0, 0,10,15, 4,10, 8, 0, 0, 0, 4,14, 3,11,12, 0, 0, 0, 0, 8,16,12, 4, 0), 6),
    (( 0, 0, 7,15,13, 3, 0, 0, 0, 0,11, 6, 8,14, 0, 0, 0, 0, 0, 3, 8,12, 0, 0, 0, 0, 0,16,14, 2, 0, 0, 0, 0, 0,10,15, 7, 0, 0, 0, 0, 0, 0, 2,11,10, 0, 0, 1,15, 3, 1,11,10, 0, 0, 0, 4,15,16,13, 2, 0), 3),
    (( 0, 0, 0,12,15, 2, 0, 0, 0, 0, 7,16, 7, 1, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 1,16, 9, 1, 0, 0, 0, 0, 3,16,16,15, 5, 0, 0, 0, 1,15,11, 4,12, 9, 0, 0, 0,10,12, 3,11,14, 0, 0, 0, 1, 9,16,16, 6, 0), 6),
    (( 0, 0, 4,11,14, 7, 0, 0, 0, 0,15,12,16, 3, 0, 0, 0, 0, 8,16,10, 0, 0, 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 3,15, 4,14, 4, 0, 0, 0, 2,13, 0, 3,15, 6, 0, 0, 0, 8, 9, 4, 8,14, 0, 0, 0, 0, 7,12,12, 8, 0), 8),
    (( 0, 0, 7,13,16, 8, 0, 0, 0, 0,16,14,10,16, 2, 0, 0, 0, 9,14, 4,16, 1, 0, 0, 0, 1,16,16,14, 0, 0, 0, 0, 8,16,16, 3, 0, 0, 0, 2,16,13,14,15, 1, 0, 0, 4,16, 7, 5,16, 6, 0, 0, 0,10,15,16,15, 2, 0), 8),
    (( 0, 3,16,16,10, 0, 0, 0, 0, 2,12,11,16, 3, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0,13,16, 1, 0, 0, 0, 0, 7,16,13,10,12,13, 0, 0, 2,15,16,16,12, 6, 0), 2),
    (( 0, 0, 7,14,15, 2, 0, 0, 0, 0, 8, 4, 4,15, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 2,16,16, 4, 0, 0, 0, 0, 1, 8,13,13, 0, 0, 0, 0, 0, 0, 0, 7,10, 0, 0, 2,14, 2, 3,12, 9, 0, 0, 1,12,16,16,10, 1, 0), 3),
    (( 0, 0, 9,13, 6, 0, 0, 0, 0, 0,15,16,15, 5, 0, 0, 0, 4,13, 1, 3,14, 0, 0, 0, 5,11, 0, 0,10, 7, 0, 0, 8, 8, 0, 0, 8, 6, 0, 0, 4,12, 0, 0, 7, 7, 0, 0, 2,13, 4, 7,16, 0, 0, 0, 0, 8,16,13, 8, 0, 0), 0),
    (( 0, 3, 9,12,12,16,10, 0, 0, 7,16,16,16,14, 6, 0, 0, 7,16,11, 2, 0, 0, 0, 0,10,16,10, 2, 0, 0, 0, 0, 1,11,16,16, 4, 0, 0, 0, 0, 1,12,16, 5, 0, 0, 0, 0,13,16, 6, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 0), 5),
    (( 0, 0, 1,14,13, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 0,14,10,16,12, 1, 0, 0, 1,16,10,14, 8,13, 0, 0, 0,13, 9,10, 0,12, 4, 0, 0, 8,10, 0, 5,16, 5, 0, 0, 1,11,16,16,11, 0), 6),
    (( 0, 0,10, 9, 0, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0,11,14,16, 3, 0, 0, 0, 0, 5,15,16, 5, 0, 0, 0, 0, 0, 1,10,10, 0, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 5,12,16,14,12, 4, 0, 0, 8,16,16,16,16,13), 1),
    (( 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 9,13, 1, 0, 0, 0, 0, 8,14, 1, 5, 7, 0, 0, 4,16,14,13,16, 8, 0, 0, 2, 8, 8,12,16, 2, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 0,13, 3, 0, 0), 4),
    (( 0, 0, 3,11, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 2,16, 5, 4, 2, 0, 0, 0, 3,16,16,16,16, 6, 0, 0, 2,16, 6, 0, 6,13, 0, 0, 0,15, 7, 3,12,11, 0, 0, 0, 4,14,16,11, 3, 0), 6),
    (( 0, 0,12,13, 9, 2, 0, 0, 0, 3,16,16,16, 7, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 0,14,16,14, 3, 0, 0, 0, 0, 1, 4,10,15, 3, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0,13,12,12,13,13, 0, 0, 0, 6,12,14,14, 5, 0), 5),
    (( 0, 0, 0, 4,13, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 4,15, 2, 2, 4, 0, 0, 1,15, 6, 0, 9,10, 0, 0,10,16, 8, 9,16, 4, 0, 0, 3,12,12,16,12, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 5,16, 3, 0, 0), 4),
    (( 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 7,16, 8, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 0, 0, 2,16, 8, 8, 2, 0, 0, 0, 1,14,14, 9,15, 7, 0, 0, 0, 9,14, 4, 8,14, 0, 0, 0, 0, 9,15,15, 7, 0), 6),
    (( 0, 4,16,13, 0, 0, 0, 0, 0,10,16,16, 2, 0, 0, 0, 0, 8, 7,16, 4, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0, 8,16,16,16,16, 6, 0, 0, 3,13,16,16,15, 5, 0), 2),
    (( 0, 0, 5, 8,11,13,10, 0, 0, 0,12,12, 7, 4, 4, 0, 0, 3,12, 0, 4, 0, 0, 0, 0, 5,16,16,16,14, 0, 0, 0, 1, 7, 1, 0,14, 6, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 7,11, 1, 6,12, 1, 0, 0, 0, 8,13,10, 2, 0, 0), 5),
    (( 0, 0, 8,15,12, 6, 0, 0, 0, 1,16, 6, 5,13, 2, 0, 0, 0,16, 4, 6,15, 3, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 0, 7,15,14,10, 0, 0, 0, 0,13,12, 0,13, 7, 0, 0, 3,16, 5, 4,15, 8, 0, 0, 0, 9,14,16,12, 1, 0), 8),
    (( 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 4,16,16, 2, 0, 0, 0, 5,15,16,16, 3, 0, 0, 0, 6,14,13,15,12, 0, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 7, 9,15,15, 0, 0, 0, 0,10,16,14, 5, 0), 1),
    (( 0, 0, 4,16,16,16,12, 0, 0, 0, 1, 7, 8,13,15, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 2, 8,11,15, 1, 0, 0, 0, 4,14,16,16, 4, 0, 0, 0, 0, 8,15,13, 4, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0), 7),
    (( 0, 0, 6, 9,16,10, 1, 0, 0, 2,15,15, 9,15, 8, 0, 0, 6,16, 1, 0,12, 8, 0, 0, 0,14,13,14,12, 2, 0, 0, 0, 4,16,15, 1, 0, 0, 0, 0,11,11,16, 3, 0, 0, 0, 2,16, 8,13,14, 0, 0, 0, 0, 8,16,12,10, 0, 0), 8),
    (( 0, 1, 6,14,10, 1, 0, 0, 0, 9,16,15,16,13, 0, 0, 0, 6, 6, 9,16, 7, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 0, 8,15, 5, 0, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 2, 9,15, 8, 0, 0, 0, 0,10,16, 7, 0, 0, 0), 3),
    (( 0, 0, 4,12,14,12, 3, 0, 0, 0,15,14,10,16, 3, 0, 0, 2,16, 8, 8, 5, 0, 0, 0, 7,16,16,16,15, 2, 0, 0, 3, 7, 2, 2,14, 5, 0, 0, 0, 0, 0, 2,15, 3, 0, 0, 0, 3,11,14,13, 0, 0, 0, 0, 8,15,11, 4, 0, 0), 5),
    (( 0, 0, 2,12,15, 2, 0, 0, 0, 0, 8,14, 4, 1, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 2,16, 6, 4, 2, 0, 0, 0, 3,16,16,15,15, 4, 0, 0, 2,15,11, 0, 4,14, 0, 0, 0,11, 9, 0, 3,16, 0, 0, 0, 2,13,16,16,12, 0), 6),
    (( 0, 0, 7,12,11, 9, 0, 0, 0, 7,16,15,11,13, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 0,12,10, 6, 0, 0, 0, 0, 0, 8,12,13,14, 0, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0,10, 6, 4,12, 9, 0, 0, 0,10,13,12,10, 2, 0), 5),
    (( 0, 0, 2,10,16,13, 1, 0, 0, 8,16,15, 5,12, 6, 0, 0,10,16,10, 0, 7,10, 0, 0,12,16,12,10,16, 8, 0, 0, 3,12,16,16,12, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0), 9),
    (( 0, 1, 0, 6,16, 8, 0, 0, 0,11, 7,13, 3,13, 2, 0, 0,11,14, 4, 0, 8, 4, 0, 0, 9, 7, 0, 0, 5, 7, 0, 0, 6, 9, 0, 0, 5, 8, 0, 0, 0,13, 4, 0,11, 9, 0, 0, 0, 6,14,11,16, 7, 0, 0, 0, 0, 5,16,10, 0, 0), 0),
    (( 0, 0,10,15, 9, 1, 0, 0, 0, 5,16,10,16, 9, 0, 0, 0, 7,10, 0,14,10, 0, 0, 0, 3,15, 7,12,15, 1, 0, 0, 0, 4,11,14,16, 4, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0,11, 9, 5,12,13, 0, 0, 0,10,12,12,15,11, 0), 9),
    (( 0, 0, 7,16,16,16,13, 2, 0, 0, 8,11, 8,11,16, 7, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 6,15, 3, 0, 0, 0, 0, 2,14, 7, 0, 0, 0, 0, 0, 9,14, 1, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0), 7),
    (( 0, 0, 1,13,13, 0, 0, 0, 0, 0,11,14,15,11, 0, 0, 0, 4,16, 4, 2,15, 5, 0, 0, 8, 9, 0, 0,12, 7, 0, 0, 5,10, 0, 0,12, 7, 0, 0, 5,14, 1, 2,15, 1, 0, 0, 1,14,15,12,12, 0, 0, 0, 0, 2,13,12, 3, 0, 0), 0),
    (( 0, 0, 6,16,16,10, 0, 0, 0, 1,15,11, 6,15, 3, 0, 0, 7,16, 2, 0,11, 9, 0, 0,12,14, 0, 0, 9,11, 0, 0, 8,16, 0, 0, 8,12, 0, 0, 4,16, 5, 0, 9,11, 0, 0, 1,14,13, 6,16, 3, 0, 0, 0, 5,15,16, 6, 0, 0), 0),
    (( 0, 0, 9,15, 5, 0, 0, 0, 0, 7,16,13,14, 0, 0, 0, 0,14,10, 4,16, 0, 0, 0, 0, 7, 6, 2,16, 1, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 5,16,15, 9, 4, 0, 0, 0,10,14,11,15,16, 2), 2),
    (( 0, 0, 3,12,13,10, 1, 0, 0, 2,13, 9, 7,14, 8, 0, 0, 8,12, 0, 0,13, 8, 0, 0, 4,15,13,14,16, 1, 0, 0, 0, 1, 4,14, 9, 0, 0, 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0), 9),
    (( 0, 0,14,15,16, 7, 0, 0, 0, 4,15, 8,12,14, 0, 0, 0, 0, 2, 4,15, 9, 0, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0, 1,11,16, 3, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 1,11,11, 8,14,11, 0, 0, 1,10,12,14,13, 4, 0), 3),
    (( 0, 0, 3,15,16,14, 2, 0, 0, 3,15,13, 5,14, 4, 0, 0, 4,15,13,10,16, 4, 0, 0, 0, 7,15,16,16, 4, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 2,13,10, 5,12, 8, 0, 0, 0, 5,13,16,14, 5, 0), 9),
    (( 0, 0, 5,14,15, 2, 0, 0, 0, 4,15, 7,11, 8, 0, 0, 0, 4, 6, 1,15, 5, 0, 0, 0, 0, 0, 4,15, 4, 0, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 3,12, 5, 4,12, 7, 0, 0, 0, 6,13,16, 9, 1, 0), 3),
    (( 0, 0, 0, 9,14, 4, 0, 0, 0,10,14,16,16, 6, 0, 0, 0, 3, 9,16,16, 2, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0, 1,16,12, 0, 0, 0, 0, 0, 0, 7,15, 1, 0, 0), 1),
    (( 0, 0, 5,15,16, 7, 0, 0, 0, 0, 8,12,16,16, 1, 0, 0, 0, 2, 7,13,15, 0, 0, 0, 0,10,16,16,15, 8, 0, 0, 0, 2,15,16,16, 9, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0), 7),
    (( 0, 0, 1,11,16,15, 2, 0, 0, 2,14,15,11,16, 6, 0, 0,11,14, 2, 8,15, 1, 0, 0, 8,16,12,16,16, 9, 0, 0, 0, 3, 7, 9,16, 8, 0, 0, 0, 0, 0,13,15, 1, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,11,13, 0, 0, 0), 9),
    (( 0, 0, 3,10, 7,15,13, 0, 0, 0,12, 9,16,16,13, 0, 0, 1,16,12,14, 8, 4, 0, 0, 1,14,16,16,16,10, 0, 0, 0, 0, 1, 0,11, 6, 0, 0, 0, 0, 0, 4,15, 2, 0, 0, 0, 2,13,15, 3, 0, 0, 0, 0, 4,13, 3, 0, 0, 0), 5),
    (( 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 1,15,16, 5, 0, 0, 0, 6,13,16,16, 7, 0, 0, 0, 7,16,10,16, 6, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 1,15,12, 0, 0), 1),
    (( 0, 0, 5,12,16,16, 9, 0, 0, 3,16, 9, 3, 0, 0, 0, 0, 7,16,11, 5, 0, 0, 0, 0, 2,11, 9,16, 1, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 9, 6,16, 6, 0, 0, 0, 0, 5,12, 6, 0, 0, 0), 5),
    (( 0, 0, 1,10,13, 0, 0, 0, 0, 0,11,16, 9, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 5,16, 8,12,10, 1, 0, 0, 2,16, 8,10,15, 9, 0, 0, 0, 9,14, 8,12,15, 0, 0, 0, 0, 8,14,15, 8, 0), 6),
    (( 0, 0,10,15,16,15, 1, 0, 0, 7,16,10, 4, 3, 1, 0, 0, 8,13, 8, 0, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0, 1, 8,10, 8, 0, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 1, 8,14, 0, 0, 0, 0, 0, 6,16,10, 0, 0, 0), 5),
    (( 0, 0, 0, 4,15, 7, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0,12, 8, 4,15, 0, 0, 0, 4,14, 1,12,12, 0, 0, 8,15,13, 8,16, 6, 0, 6,16,16,16,16,14, 0, 0, 3, 7, 6, 9,16, 9, 0, 0, 0, 0, 0, 5,13, 2, 0, 0), 4),
    (( 0, 0, 6,16,12, 3, 0, 0, 0, 3,15, 7, 6,14, 1, 0, 0, 7,13, 0, 1,14, 1, 0, 0, 4,13, 8,13,13, 0, 0, 0, 2,15,15, 7,13, 5, 0, 0, 0,12, 5, 0, 9, 8, 0, 0, 0,12, 5, 6,14, 2, 0, 0, 0, 5,16,12, 3, 0, 0), 8),
    (( 0, 0, 8,14,14, 9, 0, 0, 0, 1,16, 9,14,15, 9, 0, 0, 2,16, 6, 9,15, 6, 0, 0, 0, 8,16,16, 4, 0, 0, 0, 0,10,12,13,12, 0, 0, 0, 1,15, 2, 1,16, 6, 0, 0, 2,14, 4, 6,16, 4, 0, 0, 0,10,16,16,10, 1, 0), 8),
    (( 0, 0,10,10, 7, 0, 0, 0, 0, 0,13,16,16,12, 1, 0, 0, 3,16,14, 6,15, 7, 0, 0, 6,12, 2, 0, 8, 8, 0, 0, 4, 8, 0, 1,14, 7, 0, 0, 4,10, 0, 8,15, 1, 0, 0, 2,16,14,15, 4, 0, 0, 0, 0,10,16, 9, 0, 0, 0), 0),
    (( 0, 0, 0, 7, 3, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 6,14, 2, 8, 0, 0, 0, 0,12, 8, 5,14, 0, 0, 0, 6,16,12,14,15, 4, 0, 0, 2,10,15,16,14, 5, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0), 4),
    (( 0, 0, 2,13,15, 4, 0, 0, 0, 0, 9,10, 5,11, 0, 0, 0, 0,10, 7,13,10, 0, 0, 0, 0, 7,12,16, 3, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 0,14,13, 2, 0, 0, 0, 0, 0,11, 2,10, 0, 0, 0, 0, 0, 0,13,15, 0, 0, 0), 8),
    (( 0, 0, 6,13, 6, 0, 0, 0, 0, 0,14,11,16,10, 0, 0, 0, 2,14, 0, 9,15, 0, 0, 0, 5, 9, 0, 0,12, 3, 0, 0, 8, 8, 0, 0, 8, 5, 0, 0, 7,11, 0, 0, 8, 8, 0, 0, 1,15, 7, 5,14, 4, 0, 0, 0, 6,16,16, 9, 0, 0), 0),
    (( 0, 0, 8,16, 9, 0, 0, 0, 0, 2,15, 9,15, 3, 0, 0, 0, 6,14, 0,11,11, 0, 0, 0, 7,15,10,16,14, 0, 0, 0, 2,13,11, 5,16, 3, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 1, 4,14, 4, 0, 0, 0,10,16,13, 5, 0, 0), 9),
    (( 0, 0, 6,14,15, 6, 0, 0, 0,14,16,16,16,16, 0, 0, 0, 8, 8,10,16,13, 0, 0, 0, 0, 0,14,16, 7, 0, 0, 0, 0, 0, 6,16,12, 0, 0, 0, 0, 0, 0,12,16, 6, 0, 0, 0, 0, 7,16,16, 5, 0, 0, 0, 6,16,12, 1, 0, 0), 3),
    (( 0, 1, 5,11,13, 5, 0, 0, 0,10,16,16,15, 3, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 0,10,14, 8, 8, 3, 0, 0, 0, 2,12,13,13,16, 5, 0, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 2,11, 8,14,15, 0, 0, 0, 2,11,16,14, 6, 0), 5),
    (( 0, 0, 4,14,16,14, 1, 0, 0, 1,16,13,14,16, 5, 0, 0, 1, 5, 0, 3,16, 3, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 2,13,16,16,14, 4, 0, 0, 3,10,14,14, 8, 1, 0, 0, 0, 2,14, 8, 0, 0, 0, 0, 0, 6,14, 1, 0, 0, 0), 7),
    (( 0, 0, 9, 0, 0, 0, 0, 0, 0, 2,16, 6, 8, 5, 0, 0, 0, 4,16,16,16,15, 3, 0, 0, 6,16,10,12,15, 8, 0, 0, 4,11, 0, 0, 7, 8, 0, 0, 4,16, 9,10,15, 8, 0, 0, 2,15,16,16,16, 3, 0, 0, 0, 8,16,15, 7, 0, 0), 0),
    (( 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 8,15, 3, 7, 1, 0, 0, 6,15, 4, 5,16, 6, 0, 5,16, 5, 0,13,14, 0, 0,11,16,12,12,16, 8, 0, 0, 6, 9, 8,12,15, 2, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0,15, 7, 0, 0), 4),
    (( 0, 0, 3,14,16,13, 0, 0, 0, 1,14,11, 5,14, 7, 0, 0, 9,16, 3, 0,13,10, 0, 0,11,16, 8,14,16, 7, 0, 0, 1,11,12,15,14, 1, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 0, 5,16, 4, 0, 0, 0), 9),
    (( 0, 1,12,14, 4, 0, 0, 0, 0, 7,15, 7, 9, 0, 0, 0, 0, 6,15, 1, 3, 0, 0, 0, 0, 1,14, 9, 5, 9, 6, 0, 0, 0, 3,16,15, 5, 2, 0, 0, 2,15,13,15, 0, 0, 0, 0, 7,14, 4,14, 3, 0, 0, 0, 0,11,14,11, 0, 0, 0), 8),
    (( 0, 0, 1,13,15, 3, 0, 0, 0, 6,16,16,16, 9, 0, 0, 0, 9,15,16,16, 6, 0, 0, 0, 3,16,16,10, 0, 0, 0, 0, 0,12,16,11, 0, 0, 0, 0, 0,14, 6,10,15, 2, 0, 0, 0,11,12, 6,16,13, 0, 0, 0, 1,10,15,13, 5, 0), 8),
    (( 0, 0, 2,16,13, 0, 0, 0, 0, 0, 4,16,15, 0, 0, 0, 0, 0, 2,16,16, 2, 0, 0, 0, 0, 1,16,16, 2, 0, 0, 0, 0, 0,15,16, 4, 0, 0, 0, 0, 0,14,16, 3, 0, 0, 0, 0, 0,16,16, 3, 0, 0, 0, 0, 0,14,16, 6, 0, 0), 1),
    (( 0, 0, 7,12,14,16, 8, 0, 0, 0,16,11, 8, 8, 4, 0, 0, 0,16, 1, 5, 3, 0, 0, 0, 5,16,16,16,13, 1, 0, 0, 2, 9, 4, 2,14, 6, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 2, 8,10,16, 4, 0, 0, 0, 6,15,12, 6, 0, 0), 5),
    (( 0, 0, 2,13, 6, 0, 0, 0, 0, 0,11,11, 3, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 3,16,11, 5, 0, 0, 0, 0, 3,16,15, 4, 6, 3, 0, 0, 2,16, 4, 0, 7,10, 0, 0, 0,13, 8, 0, 8,13, 0, 0, 0, 3,12,16,16, 6, 0), 6),
    (( 0, 0,11,16,12, 1, 0, 0, 0, 0,16,12,16,12, 0, 0, 0, 0, 3, 2,12,12, 0, 0, 0, 0, 5,16,16, 6, 0, 0, 0, 0, 4,12,16,15, 2, 0, 0, 0, 0, 0, 5,15, 7, 0, 0, 1,11,12,12,16, 7, 0, 0, 2,12,15,12, 5, 1, 0), 3),
    (( 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0, 0, 3,16, 8, 1,11, 7, 0, 0,14,16,16,16,16,10, 0, 0, 5,12,12,16,16, 4, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 7,16, 5, 0, 0), 4),
    (( 0, 0, 8,16,15, 5, 0, 0, 0, 3,16,13,16, 6, 0, 0, 0, 1, 5, 3,16, 8, 0, 0, 0, 0, 1, 6,16, 5, 0, 0, 0, 2,15,16,16,16, 6, 0, 0, 5,12,16,15,12, 3, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0), 7),
    (( 0, 0, 3,14,12,15,11, 0, 0, 0, 2, 8, 8,15,14, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 2, 4, 9,16, 1, 0, 0, 4,15,16,16,16, 6, 0, 0, 2, 4,11,13, 1, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 4,14, 2, 0, 0, 0), 7),
    (( 0, 0, 7,12,12, 6, 0, 0, 0, 0,16,11,15,15, 2, 0, 0, 4,12, 0, 1,10, 6, 0, 0, 8,10, 0, 0,10, 6, 0, 0, 4,12, 0, 0, 8, 8, 0, 0, 3,13, 0, 0, 9, 7, 0, 0, 2,15, 4, 5,15, 2, 0, 0, 0, 9,16,16, 9, 0, 0), 0),
    (( 0, 0, 0, 4,15, 2, 0, 0, 0, 0, 0, 9,12, 0, 1, 2, 0, 0, 1,15, 4, 0,12, 8, 0, 1,12, 9, 0, 5,15, 1, 0, 8,13, 0, 0,12,10, 0, 4,16,13,12,14,15, 1, 0, 7,14,12,12,16, 6, 0, 0, 0, 0, 0, 6,14, 0, 0, 0), 4),
    (( 0, 0, 8,15,15, 5, 0, 0, 0, 6,16, 7, 5,14, 2, 0, 0, 8,16, 6, 6,16, 3, 0, 0, 0, 9,16,15, 9, 0, 0, 0, 1,12,16,13, 0, 0, 0, 0, 3,15, 4,13, 7, 0, 0, 0, 3, 8, 0,10, 9, 0, 0, 0, 0, 7,14,14, 4, 0, 0), 8),
    (( 0, 0, 9,15,12, 6, 0, 0, 0, 3,16,15,13, 8, 0, 0, 0, 2,16, 4,12, 5, 0, 0, 0, 0,13,16,10, 0, 0, 0, 0, 0, 8,14,11, 1, 0, 0, 0, 1,12, 0,14, 6, 0, 0, 0, 0,13, 5, 2,16, 2, 0, 0, 0, 7,14,16,16, 2, 0), 8),
    (( 0, 0,10,16,15,13,10, 0, 0, 0, 4, 4, 6,16, 6, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 9,16,16,16, 6, 0, 0, 0, 5,13,14,13, 5, 0, 0, 0, 1,14, 3, 0, 0, 0, 0, 0, 6,16, 0, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0), 7),
    (( 0, 2, 7,14,16,12, 0, 0, 0, 9,16,16,15,13, 2, 0, 0, 3,16, 7, 2, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0, 2,15, 5, 0, 0, 0, 0, 1,16,16, 7, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0), 5),
    (( 0, 0,10,14,15,12, 5, 0, 0, 0,14, 4, 2, 2, 0, 0, 0, 3,14,10,10, 5, 0, 0, 0, 6,15,10, 6,15, 2, 0, 0, 1, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0, 6, 8, 0, 0, 0,11, 2, 3,12, 3, 0, 0, 0,10,16,15, 5, 0, 0), 5),
    (( 0, 0,10,14, 4, 0, 0, 0, 0, 4,16,12,16, 2, 0, 0, 0, 0, 7, 0, 8, 8, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 7,13, 1, 0, 0, 0, 0, 6,16,14,12, 9, 0, 0, 0,14,14,12,12,15, 1), 2),
    (( 0, 1,10,16,13, 4, 0, 0, 0, 9,13, 4,11,15, 0, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 3,13,11, 0, 0, 0, 0, 0, 7,16,14, 2, 0, 0, 0, 0, 0, 4,15, 8, 0, 0, 0, 5, 4, 5,14, 9, 0, 0, 0,15,16,14, 9, 0, 0), 3),
    (( 0, 1,13,16,16,11, 0, 0, 0, 6,16, 7, 8, 6, 0, 0, 0, 4,16, 3, 4, 3, 0, 0, 0, 5,16,16,16,16, 3, 0, 0, 8,13, 5, 0,11,12, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 2,11, 4, 6,16, 4, 0, 0, 1,15,16,16, 8, 0, 0), 5),
    (( 0, 0,11,12,12,13,16, 8, 0, 0, 9,12,12,13,16, 4, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 0,13,14, 1, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 1, 4, 9,16, 4, 0, 0, 0,14,16,15, 6, 0, 0), 3),
    (( 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 2,14, 6, 0, 0, 0, 0, 0,11, 9, 2, 3, 0, 0, 0, 9,12, 1,11, 9, 0, 0, 4,16, 6, 0,13, 5, 0, 0, 8,16,16,16,16, 0, 0, 0, 0, 0, 3, 8,15, 0, 0, 0, 0, 0, 0, 6,12, 0, 0), 4),
    (( 0, 0, 0, 4,16,11, 0, 0, 0, 0, 0,13,16,10, 0, 0, 0, 0,12,16,16, 7, 0, 0, 0, 5,14,13,16, 5, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 3,14, 8, 0, 0), 1),
    (( 0, 0, 3,15,14,12,12, 5, 0, 0, 0, 9,12,14,16, 7, 0, 0, 0, 0, 1,13,14, 0, 0, 4, 9,10,11,16,13, 0, 0, 3,12,14,16,14, 5, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0), 7),
    (( 0, 0, 6,11, 4, 0, 0, 0, 0, 0,14,12,14, 1, 0, 0, 0, 0, 7, 0,16, 6, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0,13, 3, 0, 0, 0, 0, 0, 3,14, 2, 0, 0, 0, 0, 9,16,12, 8, 7, 0, 0, 0,11,16,16,15,12, 0), 2),
    (( 0, 0, 3,11, 2, 7,13, 0, 0, 0, 3,13,16,16, 7, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 8,16,16,16,16, 2, 0, 0, 2, 4,12,11, 1, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0), 7),
    (( 0, 0, 2,15,12, 0, 0, 0, 0, 0, 3,16,14,10, 0, 0, 0, 0, 0, 5,13,16, 2, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0, 7,11, 0, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 2, 0, 2,11,11, 0, 0, 0, 3,13,15,16, 6, 0), 9),
    (( 0, 0, 0,10, 8, 0, 0, 0, 0, 0, 2,16,11, 1, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,13,12, 8, 6, 0, 0, 0, 0,13,16,16,16,12, 1, 0, 0, 9,16,13,11,16, 4, 0, 0, 0,10,15,12, 5, 0), 6),
    (( 0, 0, 0, 2,13, 7, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 2,14,10, 0, 0, 0, 0, 0,13,13, 2, 6, 0, 0, 0, 8,15, 2,14,14, 0, 0, 4,15,16,16,16,12, 0, 0, 1, 4, 8,10,16, 7, 0, 0, 0, 0, 0, 5,16, 6, 0, 0), 4),
    (( 0, 0, 0,11,10, 1, 0, 0, 0, 0,10,16, 9, 3, 0, 0, 0, 0,15,14, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 0,16, 5, 4, 0, 0, 0, 0, 0,15,16,16,13, 1, 0, 0, 0, 6,16,16,16,11, 0, 0, 0, 0, 6,16,16, 9, 0), 6),
    (( 0, 1,12,15, 3, 0, 0, 0, 0, 8,15,14,13, 0, 0, 0, 0, 3, 5, 9,14, 0, 0, 0, 0, 0, 2,16,14, 2, 0, 0, 0, 0, 3,16,16,15, 2, 0, 0, 0, 1, 0, 2,14, 5, 0, 0, 0,14,11, 9,16, 6, 0, 0, 3,16,16,14, 7, 1, 0), 3),
    (( 0, 0, 0, 3,15, 4, 0, 0, 0, 0, 0,12,11, 3, 5, 0, 0, 0, 9,14, 2,13,11, 0, 0, 3,16, 5, 3,16, 3, 0, 0,11,15, 6,12,16, 3, 0, 0,11,16,16,16,15, 4, 0, 0, 1, 5, 6,16, 2, 0, 0, 0, 0, 0, 5,16, 5, 0, 0), 4),
    (( 0, 0,11,16, 6, 0, 0, 0, 0, 2,16,14,14, 1, 0, 0, 0, 6,16, 2,15, 6, 0, 0, 0, 2,11, 0,15, 5, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 6,15,15, 8, 8, 3, 0, 0,12,16,15,16,16, 6), 2),
    (( 0, 0, 3,12,15, 2, 0, 0, 0, 5,16,12, 9,13, 0, 0, 0, 7,15, 2, 0,12, 4, 0, 0, 6,12, 0, 0, 7, 6, 0, 0, 6,13, 0, 0, 7, 7, 0, 0, 0,16, 0, 0,10, 7, 0, 0, 0,10,10, 8,16, 1, 0, 0, 0, 2,10,16, 6, 0, 0), 0),
    (( 0, 0,10,13,11,10, 0, 0, 0, 0,12,16,16,16, 0, 0, 0, 0,13,11, 0, 2, 0, 0, 0, 0,14,16,13, 1, 0, 0, 0, 0, 5,10,14, 9, 0, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0,14,16,16,11, 0, 0, 0, 0,10,16,13, 1, 0, 0), 5),
    (( 0, 0, 6,14, 9, 0, 0, 0, 0, 3,16,15,16, 6, 0, 0, 0, 6,14, 0, 8,10, 0, 0, 0, 0, 2, 0,11,10, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 2,14,12, 1, 0, 0, 0, 0,10,16,16,16,16, 0, 0, 0,10,13,12, 8,10, 1), 2),
    (( 0, 0, 7,14, 3, 0, 0, 0, 0, 3,16,16,12, 0, 0, 0, 0,10,15,10,16,16, 2, 0, 0, 8,16,16,16,10, 2, 0, 0, 4,16,15, 2, 0, 0, 0, 0, 4,16,16, 4, 0, 0, 0, 0, 3,16,16,15, 0, 0, 0, 0, 0, 9,16,15, 0, 0, 0), 8),
    (( 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 7,16, 6, 7,15, 3, 0, 0, 6,16,16,16,15, 2, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0, 9,12, 0, 0, 0), 4),
    (( 0, 0, 1, 8,14,13, 2, 0, 0, 2,13,12, 8,15, 2, 0, 0, 6,15, 2,11, 6, 0, 0, 0, 0, 5,14,15, 1, 0, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 0,15,15, 5, 0, 0, 0, 0, 0,16, 9,15, 0, 0, 0, 0, 0, 9,16,10, 0, 0), 8),
    (( 0, 1, 8,15,13, 1, 0, 0, 0, 6,14, 9,16, 4, 0, 0, 0, 3, 6, 1,14, 4, 0, 0, 0, 0, 4,14,16, 3, 0, 0, 0, 0, 9,12,14,16, 1, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 3,12,11,10,16, 7, 0, 0, 1,10,14,15,10, 0, 0), 3),
    (( 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 9,14, 4, 1, 0, 0, 0, 0,16, 7,16, 8, 0, 0, 0,11,16,15,16,16, 3, 0, 0,13,16,16,16,16, 7, 0, 0, 0, 0, 5,16, 2, 0, 0), 4),
    (( 0, 0, 3,14,13, 2, 0, 0, 0, 1,15,16,16, 3, 0, 0, 0, 2,14,15, 5, 0, 0, 0, 0, 0, 5,15, 6, 0, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 0, 4,15, 7, 0, 0, 0, 3, 8,12,16,13, 0, 0, 0, 3,12,15,14, 4, 0), 5),
    (( 0, 0, 4,14, 8, 0, 0, 0, 0, 0,14,12,15, 9, 0, 0, 0, 0,14,10,15, 9, 1, 0, 0, 0, 4,16,11, 0, 0, 0, 0, 0, 9,16,12, 0, 0, 0, 0, 0,12,12,16, 1, 0, 0, 0, 1,15,14,16, 1, 0, 0, 0, 0, 7,16, 8, 0, 0, 0), 8),
    (( 0, 0,16,14,12, 7, 0, 0, 0, 0,16, 8,12,10, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 6,16,16,13, 3, 0, 0, 0, 0, 1, 5,10,16, 3, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 2,14, 8, 8,16, 3, 0, 0, 1,10,16,15, 8, 0, 0), 5),
    (( 0, 1, 9,15,13, 0, 0, 0, 0, 6,16,16,16, 2, 0, 0, 0, 3, 8, 8,16, 4, 0, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,12,14,10, 8, 1, 0, 0, 0,13,16,16,16, 5, 0), 2),
    (( 0, 0, 5,10,16,15, 6, 0, 0, 0,12, 9, 8,15,12, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 2,15,12,13,15, 2, 0, 0, 2,11,11,15,10, 5, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0), 7),
    (( 0, 0, 3,12,16,16,16,12, 0, 0, 9,12, 8, 8,16,11, 0, 0, 1, 0, 1, 8,16, 6, 0, 0, 1,12,16,16,14, 1, 0, 0, 0,12,15,14, 3, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0), 7),
    (( 0, 0, 1,10,12,11, 5, 0, 0, 0, 8,16,16,16, 3, 0, 0, 0,13,16,16,11, 0, 0, 0, 1,16,16,16,12, 0, 0, 0, 2,16,16,16,10, 0, 0, 0, 2,16,16,16, 6, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0, 2,11,12, 4, 0, 0), 1),
    (( 0, 1, 9,14, 7, 2, 0, 0, 0, 8,16,11,16,14, 2, 0, 0, 5,16,14,16,16, 4, 0, 0, 0, 4, 7,10,16, 7, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 6,16, 9, 0, 0, 0, 4,11,16,11, 0, 0, 0, 0,12,14, 8, 0, 0, 0), 9),
    (( 0, 0, 9,16,16, 6, 0, 0, 0, 3,16, 6, 8,16, 4, 0, 0,10,12, 0, 6,16, 6, 0, 0,10,14, 5,13,16, 4, 0, 0, 1,11,12, 7,14, 8, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0,11,16,16,16, 5, 0), 9),
    (( 0, 0, 1,13,10, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 1,16, 8, 0, 4, 0, 0, 0, 4,16,16,16,16, 6, 0, 0, 0, 8, 8,12,16, 5, 0, 0, 0, 0, 1,16,13, 0, 0, 0, 0, 0,13,16, 3, 0, 0, 0, 0, 2,15, 5, 0, 0, 0), 4),
    (( 0, 0, 8,14,11, 0, 0, 0, 0, 0,14, 4,11, 8, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 2,10,16, 3, 0, 0, 0, 0, 5, 9, 9,15, 2, 0, 0, 0, 0, 0, 0,10, 7, 0, 0, 7,12, 1, 1,14, 7, 0, 0, 0, 8,16,16,10, 1, 0), 3),
    (( 0, 1,10,14, 7, 0, 0, 0, 0, 7,12, 5,15, 0, 0, 0, 0, 4, 7, 5,15, 1, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 0, 0, 4,14, 4, 0, 0, 0,10, 3, 3,10,12, 0, 0, 0,11,16,16,14, 4, 0), 3),
    (( 0, 0, 7,15,12, 3, 0, 0, 0, 0, 6,16,16, 8, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0, 7,16,16, 4, 0, 0, 0, 0, 6,16,16, 6, 0, 0, 0, 0, 2,16,16, 9, 0, 0, 0, 0, 4,16,16, 6, 0, 0, 0, 0, 5,16,10, 3, 0, 0), 1),
    (( 0, 0, 4,15,15, 5, 0, 0, 0, 1,16,12,11,15, 3, 0, 0, 7,16, 2, 4,16, 4, 0, 0, 5,16,16,16,16, 5, 0, 0, 0, 0, 1, 0,16, 8, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0,10,13, 8,16, 5, 0, 0, 0, 7,13,14, 9, 1, 0), 9),
    (( 0, 3,15,16,12, 1, 0, 0, 0,12,14,12,16, 7, 0, 0, 0,12, 6, 0,14,10, 0, 0, 0, 1, 1, 1,16, 8, 0, 0, 0, 0, 0,10,15, 1, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 3,14,16, 9, 6, 4, 0, 0, 3,15,16,16,16,12, 0), 2),
    (( 0, 0, 8,12, 1, 0, 0, 0, 0, 0,15,16,11, 0, 0, 0, 0, 0,10, 3,14, 1, 0, 0, 0, 0, 0, 0,11, 2, 0, 0, 0, 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 6,16,16,16,11, 1, 0, 0, 5,16,13,12,12, 6), 2),
    (( 0, 0,15,16, 7, 0, 0, 0, 0, 3,16, 6,16, 3, 0, 0, 0, 0,12, 6,12, 9, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 6,15, 2, 0, 0, 0, 1,11,15,13, 2, 8, 1, 0, 0,13,14,15,16,16, 3), 2),
    (( 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 1,16, 5, 0, 1, 0, 0, 0, 7,15, 0, 3,16, 3, 0, 0, 8,13, 1,10,16, 4, 0, 0, 7,16,16,16,16, 2, 0, 0, 0, 4, 6, 5,15, 3, 0), 4),
    (( 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 7,16,11, 9, 0, 0, 0, 0,14,15, 4,10, 2, 0, 0, 1,16, 5, 0, 6, 6, 0, 0, 3,12, 0, 3, 8, 9, 0, 0, 3,13, 0, 0,13, 8, 0, 0, 0,11, 5, 6,15, 3, 0, 0, 0, 1,11,13, 9, 0, 0), 0),
    (( 0, 0, 9,13,13, 9, 1, 0, 0, 0,16, 9, 4,14, 6, 0, 0, 0, 2, 0, 8,13, 0, 0, 0, 0, 0,10,16, 7, 0, 0, 0, 0, 0, 2, 6,15, 4, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 6, 4, 0, 2,15, 4, 0, 0, 2,10,15,15, 7, 0, 0), 3),
    (( 0, 0, 1,13,10, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 0,16,14,12,12, 2, 0, 0, 4,16,14,12,13,14, 0, 0, 0,11,14, 4, 7,16, 1, 0, 0, 1,12,16,16,13, 0), 6),
    (( 0, 2,14,16,12, 1, 0, 0, 0, 8,15,12,16, 2, 0, 0, 0, 0, 3, 4,16, 2, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 2,16, 8, 6, 8, 9, 1, 0, 2,13,16,16,16,16, 5), 2),
    (( 0, 0, 6,15,16, 7, 0, 0, 0, 1,16,12,15,13, 0, 0, 0, 0, 0, 3,16,11, 0, 0, 0, 0, 5,16,11, 0, 0, 0, 0, 0, 5,13,16,12, 0, 0, 0, 0, 0, 0, 9,15, 1, 0, 0, 0, 5, 9,14,15, 0, 0, 0, 0, 5,16,11, 4, 0, 0), 3),
    (( 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 2,15, 8, 3,10, 0, 0, 1,12,11, 1, 6,14, 0, 0,11,16,16,16,15,10, 0, 0, 5, 8, 8,10,16, 3, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0,13, 6, 0, 0), 4),
    (( 0, 3,11,16,16,12, 0, 0, 0, 5, 9,10,16,16, 3, 0, 0, 0, 0, 8,16, 7, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 6, 8,12,16, 7, 0, 0, 1,13,11, 8, 3, 0, 0), 3),
    (( 0, 0, 4,13,13, 8, 0, 0, 0, 0,16, 1, 1,11, 2, 0, 0, 4,13, 0, 0, 6, 7, 0, 0, 3,14, 0, 9,14, 2, 0, 0, 0, 9,15,14, 1, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 0, 8,12,15, 2, 0, 0, 0, 0, 4,15,13, 2, 0, 0), 8),
    (( 0, 0, 5, 8, 8,10,13, 4, 0, 0,10,12,12,14,14, 1, 0, 0, 0, 0, 0,12, 5, 0, 0, 0, 2, 4, 7,16, 0, 0, 0, 0,10,16,16,10, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 0), 7),
    (( 0, 0, 3,13, 0, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0, 8,13, 8,12, 7, 1, 0, 0, 6,16,10,10,16, 6, 0, 0, 0,13,14,12,15, 8, 0, 0, 0, 3,13,16,12, 3, 0), 6),
    (( 0, 0, 5,11,14, 9, 1, 0, 0, 6,15,12,13,16, 2, 0, 0, 8, 5, 4,16, 9, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 1,11,16,10, 1, 0, 0, 0, 5,13, 6, 0, 0, 0), 3),
    (( 0, 0, 7,16,16,10, 0, 0, 0, 1,16,16,16,16, 4, 0, 0, 4,10, 5, 3,11,10, 0, 0, 5,12, 4, 0, 6, 8, 0, 0, 0,12, 2, 0, 5, 8, 0, 0, 0,15, 5, 5,14, 3, 0, 0, 0,11,16,16,12, 0, 0, 0, 0, 7,16,12, 4, 0, 0), 0),
    (( 0, 0, 6,15,16,12, 1, 0, 0, 3,16, 9, 8,15, 7, 0, 0, 3, 3, 0, 0,15, 6, 0, 0, 0, 0, 0, 6,15, 2, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 1,12,10, 0, 0, 0, 0, 0, 8,16,13,13, 6, 0, 0, 0, 6,14,12, 4, 0, 0), 2),
    (( 0, 2,14,16,14, 2, 0, 0, 0, 9,15, 9,16, 8, 0, 0, 0, 1, 3, 1,16, 6, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 2,15,16,10,12, 6, 0, 0, 4,16,16,16,16,11, 0), 2),
    (( 0, 0, 8,15,12, 2, 0, 0, 0, 4,16,13,11,12, 1, 0, 0, 9,14, 1,13,15, 2, 0, 0, 9,15, 0,14,15, 0, 0, 0, 2,15,16,16,16, 0, 0, 0, 0, 1, 4, 4,16, 4, 0, 0, 0, 4, 8, 4,16, 5, 0, 0, 0, 5,14,16,15, 5, 0), 9),
    (( 0, 0, 7,11,16, 7, 0, 0, 0, 1,12,12,13,16, 0, 0, 0, 0, 0, 0, 6,16, 0, 0, 0, 4,13,10,15,13, 2, 0, 0, 1, 8,14,16,12, 4, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0), 7),
    (( 0, 0, 6,16, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 2,16, 0, 0, 0, 0, 0, 0, 0,16, 3, 0, 0, 0, 0, 0, 4,15,10,10, 4, 0, 0, 0, 5,16,14, 8,13, 8, 0, 0, 2,16,13,11,15,11, 0, 0, 0, 5,12,13, 7, 0, 0), 6),
    (( 0, 1,10,16, 9, 0, 0, 0, 0, 9,15,13,16, 0, 0, 0, 0, 4, 2, 0,14, 2, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 1,14, 1, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 0, 0,14,16,16,16,11, 0, 0, 0, 8,10,12,14,10, 0), 2),
    (( 0, 0, 2,10,13, 4, 0, 0, 0, 0,11,16,15, 5, 0, 0, 0, 5,16,11, 2, 0, 0, 0, 0,10,15, 2, 0, 0, 0, 0, 0, 3,13,15, 5, 0, 0, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 2,10,16, 7, 0, 0, 0, 0, 3,15,10, 0, 0, 0), 5),
    (( 0, 0, 4,15, 7, 0, 0, 0, 0, 3,16,11, 2, 0, 0, 0, 0,11,11, 0, 8,11, 1, 0, 0, 7,14,11,15, 2, 0, 0, 0, 1,13,16, 4, 0, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0, 8,16,16, 2, 0, 0, 0, 0, 2,12,15, 5, 0, 0), 8),
    (( 0, 1,10,16,16,15, 0, 0, 0, 2,15,10,12,15, 0, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 8,16,16,16,13, 0, 0, 0, 6,16,10, 4, 2, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0), 7),
    (( 0, 0, 1,16,14, 2, 0, 0, 0, 0, 4,16,16, 8, 0, 0, 0, 0, 7,16,16, 3, 0, 0, 0, 0,10,16,16, 3, 0, 0, 0, 0,13,16,12, 0, 0, 0, 0, 0,15,16,12, 0, 0, 0, 0, 0,11,16,11, 0, 0, 0, 0, 0, 3,15,16, 9, 0, 0), 1),
    (( 0, 2,13,16,16,13, 1, 0, 0,14,15, 8,10,16, 4, 0, 0, 5, 2, 0, 6,16, 4, 0, 0, 0, 8,16,16,16, 9, 0, 0, 0, 5,14,16, 9, 2, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 5,12,13, 1, 0, 0, 0, 0, 7,16,16,10, 0, 0, 0, 0, 1,13,16,13, 0, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 2, 5,15,12, 0, 0, 0, 0,11,16,16, 7, 0, 0, 0, 0, 4,13, 9, 0, 0, 0), 9),
    (( 0, 0, 0, 2,15,15, 2, 0, 0, 0, 1,13,16,14, 0, 0, 0, 0, 8,16,16,10, 0, 0, 0, 7,16,16,16, 6, 0, 0, 0, 1, 0,14,15, 1, 0, 0, 0, 0, 0,14,15, 0, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 0, 6,16, 9, 0, 0), 1),
    (( 0, 0, 5,15, 8, 1, 0, 0, 0, 1,15,13,15, 9, 0, 0, 0, 8,15, 1, 3,14, 1, 0, 0, 4,14, 0, 0,11, 8, 0, 0, 5,12, 0, 0,12, 8, 0, 0, 5,15, 1, 0,12,10, 0, 0, 1,16,10, 9,15, 3, 0, 0, 0, 5,15,15, 4, 0, 0), 0),
    (( 0, 0, 0, 7,16, 0, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 5,15, 4, 2, 3, 0, 0, 1,15, 8, 1,15, 8, 0, 0,10,15, 8,10,16, 3, 0, 2,16,16,16,16,16, 1, 0, 0, 6, 6,10,16, 3, 0, 0, 0, 0, 0, 9,11, 0, 0, 0), 4),
    (( 0, 0, 9,12,14,16,16, 2, 0, 0, 4,12, 9,12,16, 1, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 2,16,12, 0, 0, 0, 0, 0, 0,13,16, 5, 0, 0, 0, 0, 1,13,14, 1, 0, 0, 0,10,16,13, 1, 0, 0), 3),
    (( 0, 1, 9,12,12, 2, 0, 0, 0, 7,12, 4,11,10, 0, 0, 0, 0, 1, 0,11, 8, 0, 0, 0, 0, 2,15,16, 2, 0, 0, 0, 0, 2, 8,12,12, 0, 0, 0, 0, 0, 0, 1,16, 6, 0, 0, 1,16, 3, 6,16, 6, 0, 0, 1,11,15,12, 4, 0, 0), 3),
    (( 0, 1,12,13,16,15, 1, 0, 0, 3,16,16,10, 5, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0,11,16, 9, 0, 0, 0, 0, 1,13,16, 3, 0, 0, 0), 5),
    (( 0, 1,15, 6, 0, 0, 0, 0, 0, 7,15,16, 3, 0, 0, 0, 0,11, 5,12, 4, 0, 0, 0, 0, 2, 3,10, 7, 0, 0, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0,14,16,16,15, 6, 0, 0, 0, 8, 8, 8,10,13, 0), 2),
    (( 0, 3,14,15, 5, 0, 0, 0, 0, 8,11, 7,15, 2, 0, 0, 0, 9, 4, 0,16, 4, 0, 0, 0, 1, 3, 0,14, 8, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 1,14,16,10,10, 6, 0, 0, 2,14,15,13,16,12, 0), 2),
    (( 0, 0, 8,16,16,12, 4, 0, 0, 0,12,10, 8, 8, 4, 0, 0, 4,16,13, 3, 0, 0, 0, 0, 6,16,16,15, 1, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 0, 9, 6, 0, 0, 0, 0, 4, 7,16, 3, 0, 0, 0, 0, 4,16, 6, 0, 0, 0), 5),
    (( 0, 1,11,16, 9, 0, 0, 0, 0,10,14, 9,13, 2, 0, 0, 0, 4, 3, 0,12, 4, 0, 0, 0, 0, 0, 0,12, 3, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 2,13,10, 0, 0, 0, 0, 1,16,16, 9,10, 7, 0, 0, 0,10,13,12,10, 9, 0), 2),
    (( 0, 0, 0,11,10, 5, 8, 5, 0, 0, 5,14,13,16,13, 3, 0, 0,12, 5, 1,15, 3, 0, 0, 0, 7, 1, 9, 9, 0, 0, 0, 0, 9,16,16,16, 6, 0, 0, 0, 0, 6,12, 4, 1, 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 2,13, 1, 0, 0, 0), 7),
    (( 0, 1, 9,15,16, 7, 0, 0, 0, 6,14, 7,14, 8, 0, 0, 0, 3, 2, 0,14, 6, 0, 0, 0, 0, 1,16,16, 4, 0, 0, 0, 0, 0, 8,15,16, 4, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 6, 8,11,16, 4, 0, 0, 0,15,12,10, 3, 0, 0), 3),
    (( 0, 0,11,15,13, 1, 0, 0, 0, 5,15, 9,15,12, 0, 0, 0, 8,12, 0,12,16, 0, 0, 0, 5,16, 9,15,16, 0, 0, 0, 0, 4,10,13,16, 2, 0, 0, 0, 0, 0, 1,16, 6, 0, 0, 0, 1, 5, 8,16, 7, 0, 0, 0,12,12,10, 7, 1, 0), 9),
    (( 0, 0, 6,16,16,16,12, 0, 0, 0, 6,12,11,15,16, 1, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 1,11,12,16, 3, 0, 0, 0, 3,16,16,16, 4, 0, 0, 0, 0, 9,16,13, 3, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 7,15, 4, 0, 0, 0), 7),
    (( 0, 0, 0,12,14, 5, 0, 0, 0, 0, 3,16,16,12, 0, 0, 0, 0,14,16,16, 2, 0, 0, 0, 1,15,16, 8, 0, 0, 0, 0, 4,16,15, 4, 0, 0, 0, 0, 3,16,16, 1, 0, 0, 0, 0, 0,10,16,13, 0, 0, 0, 0, 0, 0,11,16, 5, 0, 0), 1),
    (( 0, 0, 4,15,13, 1, 0, 0, 0, 1,15,11, 9, 7, 0, 0, 0, 3,16, 3, 5,16, 3, 0, 0, 0, 8,16,16,16, 3, 0, 0, 0, 0, 2, 4,14, 6, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 5,12,12,16, 8, 0), 9),
    (( 0, 0, 0, 1,11, 7, 0, 0, 0, 0, 0,13,16,15, 2, 0, 0, 0, 4,16,16,16, 4, 0, 0, 2,16,16,16,16, 0, 0, 0, 1, 8, 9,16,16, 1, 0, 0, 0, 0,10,16,16, 1, 0, 0, 0, 0, 9,16,16, 0, 0, 0, 0, 0, 2,11, 7, 0, 0), 1),
    (( 0, 0, 9,15,16, 8, 0, 0, 0, 0, 7, 7, 9,15, 1, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 5,13,16,13, 3, 0, 0, 0, 1,11,14, 4, 2, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 0,14,16,11, 0, 0, 0, 0, 5,16,16, 8, 0, 0, 0, 3,15,16,16, 6, 0, 0, 0, 5,15,16,16, 7, 0, 0, 0, 0, 4,16,16, 5, 0, 0, 0, 0, 1,16,16,12, 0, 0, 0, 0, 1,12,13,12, 0, 0), 1),
    (( 0, 1, 9,16,16,14, 2, 0, 0,11,16, 7, 5,16, 6, 0, 0,16,14,10,16,16, 4, 0, 0, 4, 8,10,16,13, 0, 0, 0, 0, 1,13,13, 1, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0), 9),
    (( 0, 0, 3,10,11, 5, 0, 0, 0, 8,16,10, 8, 5, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0, 8,14,11, 8, 4, 0, 0, 0, 0, 3, 7, 9,14, 9, 0, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 1, 4,10,16, 5, 0, 0, 0, 2,13,10, 2, 0, 0), 5),
    (( 0, 1,12,16, 5, 0, 0, 0, 0,11,16,16,11, 0, 0, 0, 0, 6, 5,16,11, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 1,13,14, 0, 2, 1, 0, 0, 4,16,16,16,16,10, 0, 0, 0,15,16,14, 9, 3, 0), 2),
    (( 0, 0, 6,12,12, 8, 0, 0, 0, 0,11,16,16,16, 0, 0, 0, 0, 9,16,16,16, 1, 0, 0, 0,12,16,16,15, 2, 0, 0, 0,12,16,16,16, 4, 0, 0, 0,12,16,16,11, 1, 0, 0, 0, 8,16,16, 1, 0, 0, 0, 1,11,12, 5, 0, 0, 0), 1),
    (( 0, 0,14,11, 1, 0, 0, 0, 0,11,14,15, 8, 0, 0, 0, 0, 6, 6, 1,16, 0, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 8,16,13, 8, 7, 0, 0, 0,11,16,15,13,15, 1), 2),
    (( 0, 2,12,15,16,10, 1, 0, 0, 3,16, 5,10,16, 3, 0, 0, 0, 0, 5,15, 7, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 0, 4,14, 2, 0, 0, 0, 1, 2, 2,15, 6, 0, 0, 0, 2,12,15,12, 1, 0, 0), 3),
    (( 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0,14,10, 2, 8, 0, 0, 0,10,15, 1, 8,12, 0, 0, 4,16, 5, 1,15, 8, 0, 0,13,16,14,16,16, 2, 0, 1,12,12,12,16,10, 0, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0, 8,15, 4, 0, 0), 4),
    (( 0, 0, 0, 6,11,14, 3, 0, 0, 0, 9,13, 8,15,12, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 4,11,13,16, 4, 0, 0, 0, 3, 8,14,12, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 9,14, 0, 0, 0), 7),
    (( 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 0,13,11, 0, 4, 0, 0, 0, 2,16, 6, 6,15, 0, 0, 0, 9,14, 0,14,10, 0, 0,12,16,14,13,15, 1, 0, 0,11,14,14,16,12, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0,14,13, 0, 0, 0), 4),
    (( 0, 0, 8,16,13,13,16, 8, 0, 0, 7,12,12,10,16, 4, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 2, 6,15, 1, 0, 0, 0, 9,16,16,16, 6, 0, 0, 0, 5,14,13, 2, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0), 7),
    (( 0, 1,10,14, 5, 0, 0, 0, 0, 9,16,14,16, 0, 0, 0, 0, 3, 5, 9,16, 0, 0, 0, 0, 0, 5,16,16,14, 0, 0, 0, 0, 8,14,13,16, 6, 0, 0, 0, 0, 0, 0,16,11, 0, 0, 0,11, 5,11,16, 7, 0, 0, 1,12,16,14, 5, 0, 0), 3),
    (( 0, 0, 2,14,15, 2, 0, 0, 0, 0,13,15,14, 8, 0, 0, 0, 0,16, 6,11,10, 0, 0, 0, 1, 9, 8,15, 9, 0, 0, 0,10,16,16,16,16, 9, 0, 0, 1, 4, 8,16, 5, 5, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0), 7),
    (( 0, 0, 2,11,12, 4, 0, 0, 0, 0,11,15,14,11, 0, 0, 0, 0, 3, 9,12,11, 0, 0, 0, 0, 0,10,16,14, 2, 0, 0, 0, 0, 2, 5,13, 7, 0, 0, 0, 6, 0, 0, 9,11, 0, 0, 0,14,13, 8,14, 9, 0, 0, 0, 5,15,14,11, 1, 0), 3),
    (( 0, 0, 4,13,14, 3, 0, 0, 0, 6,15, 6, 5,11, 0, 0, 0,11, 8, 0, 4,12, 0, 0, 0, 8,11, 4,16, 5, 0, 0, 0, 1,10,16,15, 2, 0, 0, 0, 1,14, 7, 6,15, 4, 0, 0, 1,15, 2, 0, 6,15, 0, 0, 0, 5,12,13,15, 6, 0), 8),
    (( 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 4,16,11, 0, 0, 0, 0, 0,12,15, 2, 1, 5, 0, 0, 5,16, 8, 1,14,13, 0, 0,10,16,12,15,16, 9, 0, 0, 6,14,14,16,14, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 7,16, 4, 0, 0), 4),
    (( 0, 0, 2,14,10, 0, 0, 0, 0, 0, 9,10,10, 6, 0, 0, 0, 0,16, 2, 0,12, 2, 0, 0, 4,12, 0, 0, 8, 5, 0, 0, 5, 8, 0, 0, 9, 8, 0, 0, 3,12, 0, 0,14, 3, 0, 0, 0,11, 6, 7,13, 0, 0, 0, 0, 3,16,15, 3, 0, 0), 0),
    (( 0, 0, 4,15, 7, 0, 0, 0, 0, 2,15, 5,13, 5, 0, 0, 0, 5,11, 0, 2,13, 2, 0, 0, 5, 8, 0, 0, 6, 8, 0, 0, 7, 8, 0, 0, 5, 8, 0, 0, 3,11, 0, 0, 9, 7, 0, 0, 0,14,10, 6,15, 2, 0, 0, 0, 6,12,13, 6, 0, 0), 0),
    (( 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 7,14, 2, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 0,14,10, 8, 1, 0, 0, 0, 0,14,16,16,14, 4, 0, 0, 0,12,16, 9,14,15, 0, 0, 0, 1,11,15,13,11, 2), 6),
    (( 0, 2,12, 8, 0, 0, 0, 0, 0,11,16,16, 0, 0, 0, 0, 0, 7, 8,14, 6, 0, 0, 0, 0, 1, 2,12, 8, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 2,13,16, 9,15,11, 0, 0, 2,14,16,13,15, 9, 0), 2),
    (( 0, 1,10,14,15, 6, 0, 0, 0, 6,13, 1, 4, 9, 0, 0, 0, 3,14, 2, 1, 9, 3, 0, 0, 0, 7,15,16,16, 3, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0, 0, 0, 4,11, 0, 0, 0, 0, 2, 0, 4, 9, 0, 0, 0, 0, 8,14,15, 9, 0, 0), 9),
    (( 0, 0, 0, 6,15, 6, 0, 0, 0, 0, 0,12,10,13, 0, 0, 0, 0, 0,11,15,14, 0, 0, 0, 0, 9,11,14, 0, 0, 0, 0, 4,11, 0,10, 6, 0, 0, 0, 3, 9, 0, 1,14, 1, 0, 0, 0,11, 8, 2, 9, 7, 0, 0, 0, 0, 6,12,13, 7, 0), 8),
    (( 0, 0, 2,15,12, 1, 0, 0, 0, 0, 6,16,15, 1, 0, 0, 0, 0,14,16, 8, 0, 0, 0, 0, 2,16,16, 2, 0, 0, 0, 0, 3,16,15, 0, 0, 0, 0, 0, 2,16,13, 0, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0, 2,13,12, 0, 0, 0), 1),
    (( 0, 0, 0, 7,13, 4, 0, 0, 0, 0, 8,15, 7, 2, 0, 0, 0, 2,15, 5, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 0, 5,16,16,15,12, 4, 0, 0, 2,15,11, 4,10,12, 0, 0, 0, 7,13, 5,12,13, 0, 0, 0, 1, 8,13,12, 3, 0), 6),
    (( 0, 0, 2,15,12, 1, 0, 0, 0, 0, 7,15,15, 9, 0, 0, 0, 0, 5,15, 7,16, 2, 0, 0, 0, 1,13,14,16, 7, 0, 0, 0, 0, 4,13,15,10, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 1, 8,16,10, 0, 0, 0, 2,13,16,15, 3, 0), 9),
    (( 0, 1, 6,15,12, 1, 0, 0, 0, 7,16, 6, 6,10, 0, 0, 0, 8,16, 2, 0,11, 2, 0, 0, 5,16, 3, 0, 5, 7, 0, 0, 7,13, 3, 0, 8, 7, 0, 0, 4,12, 0, 1,13, 5, 0, 0, 0,14, 9,15, 9, 0, 0, 0, 0, 6,14, 7, 1, 0, 0), 0),
    (( 0, 0, 4,16,16, 8, 0, 0, 0, 2,16,10,12,16, 4, 0, 0, 4,16, 4,10,16, 4, 0, 0, 3,16,16,16,16, 1, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 6,11,16, 0, 0, 0, 0, 4,13, 9, 3, 0, 0), 9),
    (( 0, 0, 8,13, 9, 0, 0, 0, 0, 5,16,13,12, 2, 0, 0, 0, 8,13, 2, 7,10, 2, 0, 0, 4,15,15,16, 9, 0, 0, 0, 1,14,16, 0, 0, 0, 0, 0, 0,16,14, 5, 0, 0, 0, 0, 2,13,10,12, 0, 0, 0, 0, 0, 9,16, 8, 0, 0, 0), 8),
    (( 0, 0, 5,15,11, 9, 1, 0, 0, 0,10,16,12,14, 7, 0, 0, 0,15, 2, 0,10, 8, 0, 0, 2,12, 0, 0,11, 8, 0, 0, 4,10, 0, 0,12, 5, 0, 0, 8,10, 0, 3,15, 1, 0, 0, 2,15,12,14, 9, 0, 0, 0, 0, 6,14, 9, 1, 0, 0), 0),
    (( 0, 0, 4,16,10, 1, 0, 0, 0, 0,11,10,11,12, 0, 0, 0, 6,16, 0, 1,12, 3, 0, 0, 6,14, 1, 0, 5, 7, 0, 0, 8, 8, 0, 0, 5, 8, 0, 0, 4,13, 0, 1,12, 9, 0, 0, 0,14,10,14,16, 2, 0, 0, 0, 4,15,12, 3, 0, 0), 0),
    (( 0, 0, 5,10,12,15, 5, 0, 0, 1,13,16,15, 8, 2, 0, 0, 7,16, 5, 0, 0, 0, 0, 0, 1,13,12, 3, 0, 0, 0, 0, 0, 1, 9,16, 5, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 8,15, 6, 0, 0, 0, 0, 6,12, 3, 0, 0, 0), 5),
    (( 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 5,15, 2, 2, 0, 0, 0, 1,13, 6, 0,14, 3, 0, 0, 5,15, 0, 8,16, 1, 0, 0, 9,16,16,16,16, 3, 0, 0, 0, 4, 4,16, 7, 0, 0, 0, 0, 0, 3,15, 4, 0, 0), 4),
    (( 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 0,13, 8, 8, 3, 0, 0, 0, 1,16,12, 8,12, 8, 0, 0, 0, 8,12, 1, 0,14, 3, 0, 0, 0, 8,14,16,12, 3), 6),
    (( 0, 0, 6,14,16, 5, 0, 0, 0, 3,16,10,14,14, 0, 0, 0, 3, 6, 1,13, 9, 0, 0, 0, 0, 2,15,16,11, 0, 0, 0, 0, 2,12,14,16, 2, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 6,13,10,15, 3, 0, 0, 0,10,16,13, 5, 0, 0), 3),
    (( 0, 1, 7,12,12, 2, 0, 0, 0,10,16,16,16,10, 0, 0, 0, 0, 2, 1,16, 8, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 2,16,14, 0, 0, 0, 0, 0, 0, 4,15, 5, 0, 0, 0, 3, 7, 7,16,10, 0, 0, 0, 7,16,16,12, 0, 0), 3),
    (( 0, 0, 7, 8, 8, 8, 0, 0, 0, 0,12,16,14,12, 0, 0, 0, 0,15, 5, 2, 0, 0, 0, 0, 0,14,16,13, 2, 0, 0, 0, 0, 7, 4,12, 9, 0, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 0,11,12,16,10, 0, 0, 0, 0, 8,13, 8, 1, 0, 0), 5),
    (( 0, 3,14,16,12, 2, 0, 0, 0,11,12, 4,12, 8, 0, 0, 0, 1, 1, 0,12, 7, 0, 0, 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 0, 4,11,16, 2, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 1, 8, 6, 7,14, 6, 0, 0, 2,11,16,12, 8, 0, 0), 3),
    (( 0, 0, 0, 9,15,13, 2, 0, 0, 0,10,12, 4,11, 8, 0, 0, 3,15, 3, 6,15, 6, 0, 0, 5,16,14,12,15, 7, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0), 9),
    (( 0, 0, 2,12,13, 3, 0, 0, 0, 0,14,12,12,14, 2, 0, 0, 4,16, 2, 8,16, 7, 0, 0, 3,15,14,16, 7, 0, 0, 0, 0, 3,15,16, 9, 0, 0, 0, 0,10,13, 9,16, 0, 0, 0, 0,11,11, 7,16, 2, 0, 0, 0, 2,13,12, 8, 1, 0), 8),
    (( 0, 0, 8,14,13, 7, 0, 0, 0, 1,16,12, 9,16, 2, 0, 0, 0,11,11, 1, 9, 0, 0, 0, 0, 3,16,16,12, 0, 0, 0, 0, 6,16,16, 2, 0, 0, 0, 1,15,10,13, 8, 0, 0, 0, 1,16, 5, 9,12, 0, 0, 0, 0,11,12,11, 3, 0, 0), 8),
    (( 0, 2, 9,12,16,14, 1, 0, 0, 5,14, 6, 6, 7, 0, 0, 0, 4,14, 6, 8, 3, 0, 0, 0, 4,16,16,15,16, 2, 0, 0, 1, 6, 2, 0,13, 8, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 1, 8, 8, 9,15, 2, 0, 0, 2,12,13, 9, 3, 0, 0), 5),
    (( 0, 0, 4,14, 8, 0, 0, 0, 0, 0,15,13,15, 8, 0, 0, 0, 3,14, 0, 1,14, 5, 0, 0, 4,12, 0, 0, 9, 8, 0, 0, 4,12, 0, 0, 8, 8, 0, 0, 4,13, 0, 0,14, 6, 0, 0, 0,15,10,10,13, 1, 0, 0, 0, 5,15,12, 3, 0, 0), 0),
    (( 0, 0, 3,11,16,13, 2, 0, 0, 0,14, 8, 8,15, 8, 0, 0, 0,15,11, 5,13,12, 0, 0, 0, 6,16,16,13, 0, 0, 0, 0,13,12,12,15, 1, 0, 0, 3,12, 0, 0,16, 5, 0, 0, 1,15, 6, 7,16, 4, 0, 0, 0, 6,12,14, 7, 0, 0), 8),
    (( 0, 0, 1, 8,12, 7, 0, 0, 0, 2,15, 8, 5,14, 0, 0, 0, 0,11, 5, 3,15, 0, 0, 0, 0, 1,14,16,12, 0, 0, 0, 0, 5,15,15, 9, 0, 0, 0, 1,15, 6, 1,12, 1, 0, 0, 0,12,11, 1,12, 5, 0, 0, 0, 1, 8, 8, 9, 3, 0), 8),
    (( 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0,14,11, 3,11, 0, 0, 0, 6,16, 2,14, 9, 0, 0, 2,14, 7, 6,16, 2, 0, 1,14,15,11,15,16, 4, 0, 2,13,12,11,16, 7, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0,11,12, 0, 0, 0), 4),
    (( 0, 0, 0, 8,14, 3, 0, 0, 0, 0, 1,16,15, 7, 0, 0, 0, 0, 7,15, 5, 0, 0, 0, 0, 3,14,14, 5, 0, 0, 0, 0, 3,16,10,12,10, 0, 0, 0, 0,11, 5, 0,14, 2, 0, 0, 0, 3,11, 6,14, 1, 0, 0, 0, 0, 7,15, 6, 0, 0), 6),
    (( 0, 0, 0, 5,12,16, 8, 0, 0, 1,10,16,15,16, 5, 0, 0,10,16,13,13,16, 2, 0, 0, 3,12,13,14,16, 2, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 6,16, 7, 0, 0), 9),
    (( 0, 0, 6,16,12, 1, 0, 0, 0, 8,15, 5,16, 4, 0, 0, 0,13, 6, 4,16, 3, 0, 0, 0, 3, 3, 5,16, 0, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0,10,16, 6, 4, 1, 0, 0, 0, 4,15,16,16,14, 0), 2),
    (( 0, 0, 4,16, 7, 1, 0, 0, 0, 0,10,13,15,11, 0, 0, 0, 2,15, 3, 4,15, 3, 0, 0, 4,16, 0, 0,12, 8, 0, 0, 5,16, 1, 0, 9, 8, 0, 0, 4,16, 2, 1,13, 7, 0, 0, 0,14, 9, 9,14, 1, 0, 0, 0, 5,14,15, 6, 0, 0), 0),
    (( 0, 1,13,16,16,10, 0, 0, 0, 2,16,13, 9,11, 2, 0, 0, 5,16, 4, 0, 0, 0, 0, 0, 7,16,16,12, 0, 0, 0, 0, 1, 7, 7,16, 0, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0,14,14,15, 3, 0, 0, 0, 0, 9,12, 7, 0, 0, 0), 5),
    (( 0, 0, 5,12,14,16, 8, 0, 0, 0,16,16,13,12, 4, 0, 0, 0,16,14, 8, 2, 0, 0, 0, 1,16,16,16,15, 2, 0, 0, 5,16, 9, 6,16, 4, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 3,12,15,15, 2, 0, 0, 0, 5,13,13, 2, 0, 0), 5),
    (( 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0,10,16, 1, 0, 0, 0, 2,11,16,16, 0, 0, 0, 7,16,14,11,16, 3, 0, 0, 1, 2, 0, 8,16, 3, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 6,15, 2, 0), 1),
    (( 0, 0, 3,15, 9, 1, 0, 0, 0, 0,11,14,16,14, 1, 0, 0, 4,14, 1, 3,11, 8, 0, 0, 8, 9, 0, 0, 8, 8, 0, 0, 8, 8, 0, 1,15, 4, 0, 0, 7, 9, 0, 7,13, 0, 0, 0, 3,14,10,15, 3, 0, 0, 0, 0, 5,13, 4, 0, 0, 0), 0),
    (( 0, 0, 2,12, 9, 1, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0,12,16,16, 2, 0, 0, 0, 1,16,16,16, 1, 0, 0, 0, 0,14,16,15, 1, 0, 0, 0, 0, 8,16,16, 3, 0, 0, 0, 0, 8,16,16, 7, 0, 0, 0, 0, 3,12,16,16, 5, 0), 1),
    (( 0, 2,13,16,14, 3, 0, 0, 0,11,15, 8,14,14, 0, 0, 0, 9, 6, 0, 6,15, 2, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 1,12,13, 0, 0, 0, 0, 1,12,16, 8, 4, 4, 0, 0, 2,15,16,16,16,16, 5), 2),
    (( 0, 2,11,16, 5, 0, 0, 0, 0,11,16,16, 9, 0, 0, 0, 0, 2, 6,16, 9, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 2, 0, 0, 6,16,14,13,15,12, 0, 0, 0,15,16,13,11, 3, 0), 2),
    (( 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 5,15, 3, 0, 0, 0, 0, 3,16, 6, 2, 1, 0, 0, 0,13, 9, 0,11, 6, 0, 0, 6,16, 1, 1,16, 4, 0, 0, 8,16,14,14,16, 4, 0, 0, 1, 6, 7,15,13, 0, 0, 0, 0, 0, 0,10, 9, 0, 0), 4),
    (( 0, 0, 7, 8,12,16,12, 0, 0, 1,16,16,16,15, 6, 0, 0,10,16, 7, 1, 0, 0, 0, 0, 8,16, 9, 1, 0, 0, 0, 0, 0, 9,16,12, 0, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 5,14,14, 1, 0, 0, 0, 0, 9,15, 3, 0, 0, 0), 5),
    (( 0, 0, 0, 7,15, 6, 0, 0, 0, 0,10,13,14,13, 0, 0, 0, 2,13, 0,12, 6, 0, 0, 0, 0, 2, 3,12, 1, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 2,13, 8, 0, 0, 0, 0, 0,10,16,14,12, 8, 0, 0, 0, 2, 4, 7, 9,14, 0, 0), 2),
    (( 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 3,15,16,11, 0, 0, 0, 2,15,16,16, 1, 0, 0, 0,13,16,16,12, 0, 0, 0, 0, 1,11,16,11, 0, 0, 0, 0, 0, 6,16,11, 0, 0, 0, 0, 0, 0,14,15, 3, 0, 0, 0, 0, 0, 4,15,12, 0, 0), 1),
    (( 0, 2,10,15, 8, 0, 0, 0, 0, 6,16,15,16, 8, 0, 0, 0, 8,16, 5,13,16, 0, 0, 0, 4,16,12,16,16, 5, 0, 0, 0, 5,11,13,16, 7, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 2, 4,10,16, 8, 0, 0, 0,12,16,14,11, 0, 0), 9),
    (( 0, 0,10,16, 8, 0, 0, 0, 0, 3,16,14,14, 2, 0, 0, 0, 6,13, 6,16, 2, 0, 0, 0, 2, 7, 8,16, 1, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 1,12,16, 5, 2, 2, 0, 0, 4,16,16,16,15,14, 1, 0, 0, 9,12,11,12,13, 1), 2),
    (( 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 1,13,11, 0, 0, 0, 0, 0, 7,16, 7,12, 0, 0, 0, 2,16,11,10,16, 2, 0, 0, 6,16,16,16,16, 3, 0, 0, 0, 4, 4,15,13, 1, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 4,11, 1, 0, 0), 4),
    (( 0, 1, 8,10,14,15, 6, 0, 0, 6,16,11, 7, 5, 2, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 2,16,16,10, 0, 0, 0, 0, 0, 1, 3,13, 2, 0, 0, 0, 0, 0, 0, 9, 4, 0, 0, 0, 0,11,11,14, 1, 0, 0, 0, 0,11, 9, 2, 0, 0, 0), 5),
    (( 0, 0,10,13,16,15, 4, 0, 0, 0, 0, 6, 9,15,12, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 1, 4, 9,15,12, 0, 0, 0,10,16,16,15, 1, 0, 0, 0, 3, 9,16, 6, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0), 7),
    (( 0, 0,10,13, 7, 1, 0, 0, 0, 6,16,15,16, 5, 0, 0, 0, 9, 9, 8,16, 2, 0, 0, 0, 0, 2, 1,16, 8, 0, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 7,11,14,15, 7, 0, 0, 0,11,13,12, 3, 0, 0), 3),
    (( 0, 0, 2,14,11, 0, 0, 0, 0, 0,13, 7, 9, 6, 0, 0, 0, 0,12, 0, 1,12, 2, 0, 0, 3,12, 0, 2,15, 4, 0, 0, 1,13,14,12,14, 7, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 0,10, 3, 0, 0, 0, 2,14,12,14, 0, 0), 9),
    (( 0, 0, 4,12,14, 2, 0, 0, 0, 4,15, 7,11,14, 5, 0, 0, 7,12, 0, 3,15, 4, 0, 0, 2,14,12,14, 6, 0, 0, 0, 0, 3,16,16, 2, 0, 0, 0, 0, 6,12,10,11, 0, 0, 0, 0, 7,12, 9,11, 0, 0, 0, 0, 2,12,10, 1, 0, 0), 8),
    (( 0, 4,12,14,12, 6, 0, 0, 0, 2, 4, 4, 5,16, 6, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 5,13,16, 0, 0, 0, 5,16,12,11, 1, 0, 0), 3),
    (( 0, 0, 7,12,14, 7, 0, 0, 0, 0,12,11,12,16, 0, 0, 0, 0, 0, 2, 4,12, 0, 0, 0, 0, 0,14,15,14, 1, 0, 0, 0, 0,12,15,15, 6, 0, 0, 0, 0,12, 8, 1, 1, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0, 7, 7, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 6,14,16,10, 0, 0, 0,12,16, 9,14,11, 0, 0, 7,15, 3, 8,13, 3, 0, 0, 6,16,14,16, 8, 0, 0, 0, 0, 3, 4,11,13, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 7,16, 0, 0, 0), 9),
    (( 0, 0,12,13,14, 5, 0, 0, 0, 0,16, 9, 8, 6, 0, 0, 0, 3,16, 2, 3, 0, 0, 0, 0, 5,16,16,16, 8, 0, 0, 0, 0, 2, 0, 4,16, 3, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 3, 0, 4,16, 7, 0, 0, 0,11,16,16,13, 1, 0), 5),
    (( 0, 0, 9,12,14, 7, 0, 0, 0, 0,12,14, 9, 8, 0, 0, 0, 0,12, 8, 1, 0, 0, 0, 0, 0,15,16,14, 1, 0, 0, 0, 0, 6, 8,10,10, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 7,13,16, 8, 0, 0, 0, 0, 8,15, 8, 0, 0, 0), 5),
    (( 0, 0, 1,13,11, 0, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 2,16,11, 0, 1, 2, 0, 0, 8,16,13, 8,14,10, 0, 0, 3,15,16,16,16, 3, 0, 0, 0, 3, 9,16,11, 0, 0, 0, 0, 0,12,16, 6, 0, 0, 0, 0, 0,15,13, 3, 0, 0), 4),
    (( 0, 0, 6,12,14,16,14, 0, 0, 1,12,12,10,12,16, 0, 0, 0, 0, 0, 1,11,15, 0, 0, 0, 0, 9,16,16,10, 0, 0, 0, 0, 9,16,11, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0), 7),
    (( 0, 0, 3,11,13,10, 0, 0, 0, 3,15, 7, 4,14, 2, 0, 0, 8,13, 1, 1,14, 2, 0, 0, 7,13,14,10,13, 0, 0, 0, 0, 1,14,16, 1, 0, 0, 0, 0,10,11,10,10, 0, 0, 0, 0,11, 6, 3,13, 0, 0, 0, 0, 3,13,16, 9, 0, 0), 8),
    (( 0, 0, 0, 4,13, 3, 0, 0, 0, 0, 6,16,13, 2, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0, 3,16,10, 2, 0, 0, 0, 0, 2,16,16,16,14, 3, 0, 0, 1,13, 9, 2, 8,11, 0, 0, 0, 3,15, 8, 9,16, 1, 0, 0, 0, 3,11,14,10, 0), 6),
    (( 0, 0,12,12,16,16, 9, 0, 0, 0, 8, 6, 4,13, 8, 0, 0, 0, 0, 4, 8,16, 6, 0, 0, 3,16,16,16,11, 4, 0, 0, 0, 3, 9, 9, 0, 0, 0, 0, 0, 3,14, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 0,14, 3, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 0,14,15, 0, 0, 0, 0, 0,10,13, 1, 3, 4, 0, 0, 3,13, 3, 0,11, 9, 0, 0, 9,12, 0, 7,15, 3, 0, 0, 8,16,16,16,10, 0, 0, 0, 1, 7, 6,16, 5, 0, 0, 0, 0, 0, 1,12, 2, 0, 0), 4),
    (( 0, 1,12,16,16, 8, 0, 0, 0, 4,10, 8, 8, 4, 0, 0, 0, 9,11, 6, 7, 0, 0, 0, 0, 4,16,16,16,11, 0, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 5, 8,11,14, 2, 0, 0, 0,15,13,10, 1, 0, 0), 5),
    (( 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 2,16, 2,11, 8, 0, 0, 2,13,14,10,16, 8, 0, 0, 2, 6,12,15,16, 4, 0, 0, 0, 0, 0, 5,14, 1, 0, 0), 4),
    (( 0, 0, 6,11, 8,12, 1, 0, 0, 2,16,12,16,14, 8, 0, 0, 3,15, 4, 1,13, 4, 0, 0, 0, 9,15,14,12, 0, 0, 0, 0, 6,16,16, 9, 0, 0, 0, 2,15, 8, 6,12, 0, 0, 0, 4,16,10,12,15, 0, 0, 0, 0, 5,12,12, 7, 0, 0), 8),
    (( 0, 0, 9,16, 7, 0, 0, 0, 0, 0,13,15,14, 7, 0, 0, 0, 0,15,10, 7,15, 0, 0, 0, 0, 5, 4, 5,13, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 1, 4,13,10, 0, 0, 0, 0,12,16,16,13, 8, 1, 0, 0, 4,12, 9, 9,12, 5), 2),
    (( 0, 0, 2,11, 0, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 0,15, 3, 3, 0, 0, 0, 0, 3,16,16,16,16, 5, 0, 0, 2,15, 5, 0, 5,13, 0, 0, 0,12,13, 8,10,15, 0, 0, 0, 1,10,16,13, 6, 0), 6),
    (( 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,12, 8, 4, 0, 0, 0, 0, 0,13,16,15,11, 1, 0, 0, 0,13,14, 1, 6, 6, 0, 0, 0, 5,12, 1,11, 6, 0, 0, 0, 0, 9,15,10, 0, 0), 6),
    (( 0, 0,13,13, 2, 0, 0, 0, 0, 2,16,15,11, 0, 0, 0, 0, 2,16, 9,16, 1, 0, 0, 0, 2,16, 8,16, 0, 0, 0, 0, 0, 8, 9,15, 0, 0, 0, 0, 0, 2,15,13, 4, 0, 0, 0, 0,12,16,16,16,11, 3, 0, 0,13,11, 0, 6, 9, 3), 2),
    (( 0, 0,11,15,10, 0, 0, 0, 0, 2,13, 0, 9, 3, 0, 0, 0, 3,12, 0,10, 0, 0, 0, 0, 0,11,12,12, 0, 0, 0, 0, 0, 0,11,14, 6, 0, 0, 0, 1, 9, 5, 0,10, 5, 0, 0, 4,10, 0, 0, 8, 4, 0, 0, 1,14,11,14,10, 0, 0), 8),
    (( 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,14,16,16,13, 2, 0, 0, 0,15,16, 5, 6,14, 1, 0, 0, 9,12, 2, 4,14, 5, 0, 0, 0, 8,15,16,13, 4), 6),
    (( 0, 0,13,13, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 0, 8,16,13,16,10, 0, 0, 0, 8,16,14, 9,15, 6, 0, 0, 5,16, 6, 0, 2,15, 0, 0, 7,16,12, 0, 3,15, 0, 0, 1, 6,13,16,16, 8, 0), 6),
    (( 0, 0, 4,12,15, 6, 0, 0, 0, 4,16, 8, 8,15, 0, 0, 0,10, 9, 0, 3,15, 2, 0, 0, 6,15, 7,10,16, 4, 0, 0, 0, 7, 8, 8,13, 8, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 0, 2, 4, 4,10,11, 0, 0, 0, 8,16,15,10, 2, 0), 9),
    (( 0, 1,15,16,16,13, 0, 0, 0, 0, 7, 8,12,16, 0, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 1, 4, 6,16, 5, 0, 0, 0,11,16,16,16,15, 8, 0, 0, 4, 9,16, 8, 8, 2, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0), 7),
    (( 0, 0, 9,11, 4, 1, 0, 0, 0, 1,16,16,16, 1, 0, 0, 0, 0,16,16,16, 0, 0, 0, 0, 1,15,16,16, 4, 0, 0, 0, 0,14,16,16, 4, 0, 0, 0, 1,16,16,16, 7, 0, 0, 0, 0,16,16,16, 8, 0, 0, 0, 0, 6,12,12, 7, 2, 0), 1),
    (( 0, 0, 3,10,15, 8, 0, 0, 0, 3,15, 9, 8,12, 0, 0, 0, 8, 8, 0, 5,11, 0, 0, 0, 2, 6, 0,10, 7, 0, 0, 0, 0, 0, 5,14, 1, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 4,16, 4, 5,11, 0, 0, 0, 1,14,15,11, 2, 0), 2),
    (( 0, 0, 3,10,13, 1, 0, 0, 0, 2,15,10,16, 3, 0, 0, 0, 2, 4, 1,16, 4, 0, 0, 0, 0, 0, 7,16, 0, 0, 0, 0, 0, 7,14,16,12, 3, 0, 0, 2,13,15,13, 9, 2, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0), 7),
    (( 0, 0, 3,15,15, 3, 0, 0, 0, 2,14,10,13, 9, 0, 0, 0, 6,16, 1, 6,12, 0, 0, 0, 9,14, 7,14,13, 0, 0, 0, 2,12,12,14,14, 0, 0, 0, 0, 0, 0, 6,16, 0, 0, 0, 0, 0, 4, 5,16, 5, 0, 0, 0, 2,12,16,16, 4, 0), 9),
    (( 0, 0, 3,10,13, 4, 0, 0, 0, 0, 9,13,14,10, 0, 0, 0, 0, 9,11,16,15, 0, 0, 0, 0, 1,11,12,16, 0, 0, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 4,16,16,10, 0, 0), 9),
    (( 0, 0, 9,16,16,16, 7, 0, 0, 5,16,13, 6, 2, 1, 0, 0,11,15,14, 8, 0, 0, 0, 0, 6,15,12,16, 8, 0, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 1,13, 3, 5,15, 0, 0, 0, 3,16, 9,15, 9, 0, 0, 0, 0, 8,16,14, 1, 0, 0), 5),
    (( 0, 0, 7,14,12, 1, 0, 0, 0, 2,16,12,16, 8, 0, 0, 0, 2,10, 0,12, 8, 0, 0, 0, 0, 5,12,16, 3, 0, 0, 0, 0, 5,12,15,13, 1, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0,12, 8, 4,13, 3, 0, 0, 0, 9,16,14, 9, 0, 0), 3),
    (( 0, 0, 0, 1,11,10, 0, 0, 0, 0, 0, 5,16,16, 2, 0, 0, 0, 0, 6,16,16, 2, 0, 0, 0, 0,12,16,16, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 6,16,16,16, 9, 0, 0, 0, 2,12,12,16,11, 0, 0, 0, 0, 0, 0,12,11, 0, 0), 1),
    (( 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 5,15,16, 1, 0, 0, 0, 5,16,16,13, 0, 0, 0, 0, 4, 9,16,14, 0, 0, 0, 0, 0, 0,16,14, 0, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 0,10,16, 5, 0, 0, 0, 0, 0, 6,16,15, 1, 0), 1),
    (( 0, 0, 0, 0,15,16, 3, 0, 0, 0, 0, 0,15,16, 2, 0, 0, 0, 0, 4,16,16, 2, 0, 0, 0, 8,16,16,13, 0, 0, 0, 8,16,16,16, 9, 0, 0, 0, 1, 8, 6,16,12, 0, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 0,13,13, 0, 0), 1),
    (( 0, 0, 6,12,13, 4, 0, 0, 0, 1,16, 5, 8,15, 3, 0, 0, 4,13, 0, 0,16, 5, 0, 0, 2,15, 9,11,16, 7, 0, 0, 0, 1, 8, 8,14, 8, 0, 0, 3, 5, 0, 0,11, 8, 0, 0, 2,16, 9, 6,15, 7, 0, 0, 0, 3,14,15, 6, 0, 0), 9),
    (( 0, 0, 5,11,12, 0, 0, 0, 0, 0,16,16,16,13, 7, 0, 0, 0,12,16,16,15, 4, 0, 0, 0, 4,15,14, 8, 0, 0, 0, 0,12, 4, 1, 4, 0, 0, 0, 1,14, 0, 3, 7, 0, 0, 0, 1,16,12,16, 4, 0, 0, 0, 0, 3, 9, 5, 0, 0, 0), 8),
    (( 0, 1, 9,12,13, 7, 0, 0, 0, 6,13, 8, 7,13, 0, 0, 0, 0, 2, 0, 5,12, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0, 6,16, 9, 0, 0, 0, 0, 0, 0, 3,13, 6, 0, 0, 1, 7, 3, 6,12, 6, 0, 0, 0,12,13,13, 8, 1, 0), 3),
    (( 0, 0, 1,10,16,16, 4, 0, 0, 0, 7, 8, 6,16, 7, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 1, 4, 4,10,14, 3, 0, 0,12,16,16,16,10, 5, 0, 0, 2, 0, 9,13, 1, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0), 7),
    (( 0, 0, 5,16,16, 6, 0, 0, 0, 0,16, 9,11,13, 0, 0, 0, 0,11,11,14, 8, 0, 0, 0, 0, 1,15,12, 1, 0, 0, 0, 0, 3,16,15, 4, 0, 0, 0, 0,12,10, 7,13, 1, 0, 0, 0,15, 4, 3,16, 6, 0, 0, 0, 8,16,16,13, 1, 0), 8),
    (( 0, 0, 6,16,16,16,16,12, 0, 0, 4, 9, 8, 8,16, 7, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 2, 6,16, 3, 0, 0, 0, 9,16,16,16, 8, 0, 0, 0, 3, 9,15, 2, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 1,13,15, 6, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 3,14,16,16, 6, 0, 0, 5,15,16,16,16, 4, 0, 0, 5,12,13,16,16, 4, 0, 0, 0, 0, 4,16,16, 8, 0, 0, 0, 0, 4,16,16, 8, 0, 0, 0, 0, 1,12,16, 5, 0), 1),
    (( 0, 0,11,14, 4, 0, 0, 0, 0, 3,13, 2,12, 0, 0, 0, 0, 4,12, 2, 8, 0, 0, 0, 0, 0,12,12, 6, 0, 0, 0, 0, 0, 8,16,10, 1, 0, 0, 0, 2,15, 1, 5,10, 8, 0, 0, 0,10, 0, 0, 2,12, 0, 0, 0, 9,11,12,14, 4, 0), 8),
    (( 0, 0, 9,16,13, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 3,16, 7, 4, 3, 0, 0, 0, 2,16,16,16,16,10, 0, 0, 0,15,16, 2, 3,14, 2, 0, 0,15,16, 6, 4,16, 3, 0, 0, 8, 6,15,16, 8, 0), 6),
    (( 0, 0, 2,13,13, 2, 0, 0, 0, 0, 9,16, 6,13, 0, 0, 0, 1,14, 1, 0, 9, 4, 0, 0, 4, 9, 0, 0, 6, 7, 0, 0, 8, 8, 0, 0, 4, 8, 0, 0, 4, 9, 0, 0, 4, 8, 0, 0, 0,15, 8, 4,12, 7, 0, 0, 0, 2,10,16,15, 2, 0), 0),
    (( 0, 3,12,16,10, 0, 0, 0, 0, 8,16,10,16, 6, 0, 0, 0, 2, 9, 0,12, 8, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 9,14, 1, 0, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 1,14,16,13,12, 9, 1, 0, 4,16,16,13,15,16, 3), 2),
    (( 0, 0, 4,13,11, 1, 0, 0, 0, 9,15,10,12, 8, 0, 0, 0, 8,10, 0, 6, 9, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0,14,16,13, 3, 0, 0, 0, 6, 2, 4, 8,12, 0, 0, 1,15, 4, 5,12,12, 0, 0, 0, 7,13,16,13, 1, 0), 3),
    (( 0, 0, 1,11,13,11, 7, 0, 0, 0, 9,14, 6, 4, 3, 0, 0, 0,16,12,16,15, 2, 0, 0, 5,16,10, 4,12, 6, 0, 0, 1, 1, 0, 0,10, 4, 0, 0, 0, 0, 0, 5,10, 0, 0, 0, 0, 0, 8,15, 3, 0, 0, 0, 0, 1,13, 5, 0, 0, 0), 5),
    (( 0, 0, 6,11,14, 3, 0, 0, 0, 2,16,12,11,16, 0, 0, 0, 4,16, 9, 7,15, 0, 0, 0, 0,14,15,16,12, 0, 0, 0, 0,10,16,16, 3, 0, 0, 0, 1,16, 6,11,15, 1, 0, 0, 3,16, 3, 7,16, 3, 0, 0, 0, 7,14,16,12, 1, 0), 8),
    (( 0, 0, 5,15,13, 7, 0, 0, 0, 4,15, 8, 7,16, 4, 0, 0, 6,12, 1,10,14, 1, 0, 0, 0, 0,12,12, 2, 0, 0, 0, 0, 0,14,11, 3, 0, 0, 0, 0, 0, 1,10,14, 0, 0, 0, 0, 0, 0, 4,14, 8, 0, 0, 0, 4,16,16,14, 4, 0), 3),
    (( 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 8,16, 2, 0, 1, 0, 0, 0,11,13, 3,15, 5, 0, 0, 2,16, 6,11,15, 0, 0, 0,11,16,12,16,13, 4, 0, 1,12,12,15,15,11, 2, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 6,16, 0, 0, 0, 0), 4),
    (( 0, 0, 3,15, 4, 0, 0, 0, 0, 0, 8,13,15, 7, 0, 0, 0, 2,16, 6, 5,16, 3, 0, 0, 4,14, 0, 0,11, 8, 0, 0, 6,12, 0, 0, 8, 8, 0, 0, 4,15, 1, 0, 9, 7, 0, 0, 1,15,11, 9,16, 3, 0, 0, 0, 4,10,15, 8, 0, 0), 0),
    (( 0, 0, 8,11, 0, 0,13, 9, 0, 3,15, 6, 0,12,13, 1, 0, 3,16, 5, 7,16, 5, 0, 0, 0,12,16,16,16, 8, 0, 0, 0, 1,11,13, 4, 0, 0, 0, 0, 1,15, 4, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 0, 0), 4),
    (( 0, 0, 2,10,14, 2, 0, 0, 0, 0,10,13, 6, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 1,16, 0, 0, 0, 0, 0, 0, 4,16,16,16,11, 0, 0, 0, 5,16, 6, 5,13, 9, 0, 0, 0,15, 9, 6,13, 7, 0, 0, 0, 4,14,14, 6, 0, 0), 6),
    (( 0, 0, 0, 4,12, 0, 0,10, 0, 0, 3,15, 5, 0,11,13, 0, 0,11,12, 0, 4,16, 4, 0, 2,16,12, 3,14,10, 0, 0, 4,16,16,16,15, 1, 0, 0, 0,10,10,16, 8, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 0, 0, 7,11, 0, 0, 0), 4),
    (( 0, 0, 3,11,15,15, 4, 0, 0, 2,14, 8, 4,15, 5, 0, 0, 7,11, 1,13,15, 1, 0, 0, 1,11,12,13,16, 5, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0), 9),
    (( 0, 0, 7,15, 6, 0, 0, 0, 0, 0,14,14,13, 0, 0, 0, 0, 0, 3, 4,13, 0, 0, 0, 0, 0, 0, 8, 9, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0,11,14,10,12,11, 2, 0, 0, 7,15,11, 8, 9, 3), 2),
    (( 0, 0, 3,14,13, 3, 0, 0, 0, 0,12,10, 7,12, 0, 0, 0, 3,15, 1, 0,15, 7, 0, 0, 5,12, 0, 0,12, 5, 0, 0, 6,12, 0, 0, 9, 4, 0, 0, 4,13, 0, 0,10, 4, 0, 0, 1,14, 6, 5,14, 2, 0, 0, 0, 3,13,13, 6, 0, 0), 0),
    (( 0, 2,16,13, 1, 0, 0, 0, 0, 7,14,10, 3, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0, 9,13, 1, 6, 3, 0, 0, 0, 7,14,15,16,15, 4, 0, 0, 4,16,11, 4, 5,16, 0, 0, 1,16,11, 0, 7,15, 1, 0, 2,14,13,16,16, 4, 0), 6),
    (( 0, 0, 0, 0, 9, 6, 0, 0, 0, 0, 0, 9,14, 2, 0, 0, 0, 0, 3,15, 4, 3, 6, 0, 0, 1,13,11, 0,13, 7, 0, 0, 7,16,13,13,16, 3, 0, 0, 0, 4, 4,13,13, 1, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 1,14, 1, 0, 0), 4),
    (( 0, 0, 4,13,15, 4, 0, 0, 0, 0,11,13, 8,13, 0, 0, 0, 0, 5, 2, 4,13, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 6,15, 2, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 9,14, 6,11, 5, 0, 0, 0, 9,16,12,12,10, 0), 2),
    (( 0, 1, 9,15, 2, 0, 0, 0, 0,10,14,14, 7, 0, 0, 0, 0, 5, 3,10, 8, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 2,16, 0, 0, 0, 0, 0, 0,10,12, 1, 0, 0, 0, 0, 2,16,16,16,14, 8, 0, 0, 0, 7, 9,14,16, 7, 0), 2),
    (( 0, 0, 6,16,16,14, 4, 0, 0, 0, 4, 7, 8,16, 7, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 9,16,16,16, 3, 0, 0, 0,14,15,16,10, 4, 0, 0, 0, 1,14,10, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 7,15, 2, 0, 0, 0), 7),
    (( 0, 7,16,16,16, 5, 0, 0, 0, 1, 8, 8,15, 7, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 0, 0,11,13, 4, 1, 0, 0, 0, 8,16,16,16,11, 0, 0, 0,13,14, 8, 4, 2, 0, 0, 5,16, 4, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0), 7),
    (( 0, 0, 6,14,14, 2, 0, 0, 0, 0,15,11, 9,10, 0, 0, 0, 3,14, 0, 0, 7, 5, 0, 0, 4,12, 0, 0, 4, 8, 0, 0, 4,13, 0, 0,11, 8, 0, 0, 5,13, 0, 4,16, 3, 0, 0, 0,16,14,16, 7, 0, 0, 0, 0,10,15, 7, 0, 0, 0), 0),
    (( 0, 2,16,16,16, 7, 0, 0, 0, 0, 7, 8,11,16, 3, 0, 0, 0, 0, 2,12,16, 4, 0, 0, 0, 1,16,16, 6, 0, 0, 0, 0, 2,12,16,10, 0, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0,10, 8,11,16, 7, 0, 0, 1,14,16,16,12, 1, 0), 3),
    (( 0, 0, 6,14,13, 2, 0, 0, 0,10,16, 9,16,12, 0, 0, 0, 5,16,16,16,16, 3, 0, 0, 0, 5, 9, 5, 8, 8, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 1,12, 8, 0, 0, 0, 5,16,16,15, 3, 0, 0, 0, 4,15, 9, 2, 0, 0), 9),
    (( 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 6,15, 2, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 2,16,13,12, 9, 0, 0, 0, 5,16,11, 8,15,10, 0, 0, 0,13, 9, 4, 9,11, 0, 0, 0, 3,11,14,13, 4, 0), 6),
    (( 0, 0,10,16,14, 3, 0, 0, 0, 2,16,10,14,12, 0, 0, 0, 0, 7, 4,14, 8, 0, 0, 0, 0, 0, 8,16, 9, 0, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 8,11, 5, 4,16, 4, 0, 0, 1,11,15,16, 8, 1, 0), 3),
    (( 0, 0, 8,12,16, 8, 0, 0, 0, 5,16,10, 8, 8, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 1,15,12, 5, 0, 0, 0, 0, 0, 4,13,16, 6, 0, 0, 0, 0, 0, 0,10,16, 6, 0, 0, 0, 7, 9,15,15, 4, 0, 0, 0,10,13, 8, 4, 0, 0), 5),
    (( 0, 0, 3,12,15, 9, 1, 0, 0, 2,16,13, 9,14,10, 0, 0, 6,16, 8, 0,11,10, 0, 0, 4,16,16,14,16, 4, 0, 0, 0, 4,12,16,15, 0, 0, 0, 0, 1,11,16,16, 2, 0, 0, 0, 7,16,16,14, 0, 0, 0, 0, 3,15,13, 2, 0, 0), 8),
    (( 0, 0, 3,14,14, 3, 0, 0, 0, 0, 7, 6, 5,14, 0, 0, 0, 0, 7, 7, 3,13, 3, 0, 0, 0, 2,15,15, 5, 0, 0, 0, 0, 8,16,11, 0, 0, 0, 0, 1,14, 3,10, 4, 0, 0, 0, 1,13, 3, 3,11, 0, 0, 0, 0, 4,10,16,11, 0, 0), 8),
    (( 0, 0, 7,16,15,11, 5, 0, 0, 0,14,11, 8, 8, 5, 0, 0, 1,16, 2, 8, 5, 0, 0, 0, 8,15,15,15,15, 3, 0, 0, 8,15, 5, 0,12, 4, 0, 0, 0, 0, 0, 2,15, 1, 0, 0, 0, 6, 8,13, 8, 0, 0, 0, 0, 8,15,10, 0, 0, 0), 5),
    (( 0, 0, 4,11, 7, 1, 0, 0, 0, 0, 9,16,16,12, 0, 0, 0, 0,10,16,16, 8, 0, 0, 0, 0,10,16,16,10, 0, 0, 0, 2,15,16,16, 8, 0, 0, 0, 0,16,16,16, 4, 0, 0, 0, 0, 5,16,16,13, 2, 0, 0, 0, 5,10,11, 8, 3, 0), 1),
    (( 0, 0, 4,13,14, 1, 0, 0, 0, 1,16, 9,16, 3, 0, 0, 0, 2, 5, 0,12, 6, 0, 0, 0, 0, 3, 6,16, 4, 0, 0, 0, 6,16,16,16,16, 6, 0, 0, 4, 6,13,12, 4, 2, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0), 7),
    (( 0, 0, 7,13, 6, 0, 0, 0, 0, 3,16, 8,13, 0, 0, 0, 0, 2,14, 8, 0, 0, 0, 0, 0, 0, 6,16,16,14, 6, 0, 0, 1,14,14,13, 0, 1, 0, 0, 4,16, 2,13, 6, 0, 0, 0, 1,15, 4, 4,13, 0, 0, 0, 0, 5,14,16,10, 0, 0), 8),
    (( 0, 0,14, 9, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0, 8,12, 0, 2, 1, 0, 0, 0,12, 8, 0,13, 9, 0, 0, 1,16, 4, 0,16, 8, 0, 0, 5,16, 0, 0,15, 6, 0, 0, 8,16,16,16,16,12, 0, 0, 1, 8, 8, 8,13, 7, 0), 4),
    (( 0, 0, 0,10,14, 1, 0, 0, 0, 0, 8,16,10, 1, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0, 7,16, 7, 4, 1, 0, 0, 0, 5,16,15,12,13, 0, 0, 0, 0,15, 6, 0, 4,11, 0, 0, 0, 5,13, 2, 9,13, 0, 0, 0, 0, 6,15,16, 6, 0), 6),
    (( 0, 0, 6,12,16,10, 0, 0, 0, 0, 0,12,16,16, 1, 0, 0, 0, 0, 9,16,16, 4, 0, 0, 0, 0,13,16,16, 3, 0, 0, 0, 0,14,16,14, 0, 0, 0, 0, 0,14,16,10, 0, 0, 0, 0, 2,16,16,13, 0, 0, 0, 0, 7,16,15, 2, 0, 0), 1),
    (( 0, 0, 2,13,11, 5, 0, 0, 0, 2,15,10,15,16, 0, 0, 0, 4,13, 1, 0,11, 4, 0, 0, 6, 6, 0, 0, 6, 6, 0, 0, 5, 8, 0, 0, 6, 7, 0, 0, 0,12, 0, 0,11, 6, 0, 0, 0,10, 8, 2,16, 1, 0, 0, 0, 2,11,13, 6, 0, 0), 0),
    (( 0, 0, 0, 0, 6,13, 1, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0,15,13, 1, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 0, 5,16, 7, 7,14, 5, 0, 0, 6,16,16,16,15, 3, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 0, 0, 0, 9,11, 0, 0), 4),
    (( 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 0, 0,11,13, 0, 6, 8, 0, 0, 4,16, 4, 2,15, 7, 0, 0,10,14, 4,11,14, 1, 0, 0, 3,14,16,16, 6, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0), 4),
    (( 0, 0,10,14,16,16, 8, 0, 0, 0,16,12, 5, 5,11, 0, 0, 4,15,11, 6, 0, 0, 0, 0,10,16,16,16,11, 0, 0, 0, 5, 7, 0, 5,15, 0, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 5, 4,14, 7, 0, 0, 0, 0, 8,16,14, 1, 0, 0), 5),
    (( 0, 0,12,16,16,10, 1, 0, 0, 4,16, 9, 8, 9, 1, 0, 0, 9,14, 1, 0, 0, 0, 0, 0, 9,16,11, 1, 0, 0, 0, 0, 0, 7,12,11, 0, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 1,12,12,15, 0, 0, 0, 0, 0,13,16, 6, 0, 0, 0), 5),
    (( 0, 0, 3,11,12,13,14, 3, 0, 0, 8,14, 9,12,16, 2, 0, 0, 1, 0, 0,13,11, 0, 0, 0, 1,12,13,16, 7, 0, 0, 0, 1, 8,16,11, 2, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 2,13, 4, 0, 0, 0), 7),
    (( 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 1,16,10, 0, 0, 0, 0, 0,13,13, 1, 3, 8, 0, 0, 6,16, 3, 0,13,14, 0, 0,13,16, 3, 5,16, 5, 0, 0,15,16,16,16,15, 0, 0, 0, 1, 7,11,16, 6, 0, 0, 0, 0, 0, 7,15, 3, 0, 0), 4),
    (( 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 2,13, 5,12, 2, 0, 0, 5,13,13, 9,16, 1, 0, 4,16,16,16,16,15, 0, 0, 2, 9, 7, 4,13, 9, 0, 0, 0, 0, 0, 5,16, 5, 0, 0), 4),
    (( 0, 0, 6,15, 2, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0, 0, 7,16,13, 0, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 2,10,15,15,15, 6, 0, 0, 4,16,16,16,16,13), 1),
    (( 0, 0, 0, 8,14, 4, 0, 0, 0, 0, 8,16,13, 1, 0, 0, 0, 1,15,13, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 7,16, 3, 8, 7, 1, 0, 0, 0,16,16,16,16,11, 0, 0, 0, 9,16,16,16,12, 0, 0, 0, 1,10,16,12, 1, 0), 6),
    (( 0, 4,16,16,16,14, 3, 0, 0, 1, 8, 8, 8,15,10, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 8,16,16,16,15, 8, 0, 0, 3,11,16, 9, 8, 3, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0), 7),
    (( 0, 0, 4,13, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 3,16, 0, 0, 0, 0, 0, 0, 4,16,13,14, 6, 0, 0, 0, 8,16,10, 7,16, 3, 0, 0, 4,15, 0, 0, 8,10, 0, 0, 0,15, 8, 1, 9,12, 0, 0, 0, 4,13,16,14, 3, 0), 6),
    (( 0, 0, 2, 9,16, 6, 0, 0, 0, 1,15,16,11, 5, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 5,16, 0, 3, 0, 0, 0, 0, 4,16,16,16,14, 3, 0, 0, 2,16, 6, 1,10,10, 0, 0, 0,10,12, 8,15,10, 0, 0, 0, 1,11,16,12, 4, 0), 6),
    (( 0, 0, 6,11,15,16,13, 0, 0, 0, 9, 8, 4, 9,16, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 4, 8, 8,16, 4, 0, 0, 0, 5,12,16,12, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0), 7),
    (( 0, 0, 1,12,15, 5, 0, 0, 0, 0,12,11, 4, 3, 0, 0, 0, 1,15, 2, 0, 0, 0, 0, 0, 5,12, 0, 0, 0, 0, 0, 0, 3,16,16,11, 2, 0, 0, 0, 2,16,15, 8,12, 0, 0, 0, 0,10, 9, 1,15, 5, 0, 0, 0, 0,12,16,10, 0, 0), 6),
    (( 0, 0, 7,12,12, 0, 0, 0, 0, 9,14,10,14, 7, 0, 0, 0, 1, 0, 0,12,12, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 2,15,10, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 0,12,16, 8,11,10, 0, 0, 0, 8,14,13, 7, 0, 0), 2),
    (( 0, 0, 1,10, 7, 0, 0, 0, 0, 0, 9,15, 2, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 0,16, 1, 0, 0, 0, 0, 0, 5,16,16,16,10, 0, 0, 0, 2,14, 8, 5,13, 7, 0, 0, 0, 4,15, 9,12,10, 0, 0, 0, 1, 9,15,13, 3, 0), 6),
    (( 0, 0, 9,13, 7, 0, 0, 0, 0, 2,16,12,15,12, 2, 0, 0, 8,11, 0, 4,16, 4, 0, 0, 8,13, 1, 8,16, 7, 0, 0, 1,15,16,13,15, 8, 0, 0, 0, 0, 2, 0, 9,12, 0, 0, 0, 6, 9, 9,15, 9, 0, 0, 0, 6,16,14, 8, 1, 0), 9),
    (( 0, 1,11,13, 5, 0, 0, 0, 0, 7,12, 7,15, 4, 0, 0, 0, 8, 4, 0, 8,12, 0, 0, 0, 2, 6, 0, 0,13, 0, 0, 0, 0, 0, 1, 8, 3, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 1,12,16,13, 8, 2, 0, 0, 2,12,12,12,12,12, 0), 2),
    (( 0, 0, 8,13, 4, 0, 0, 0, 0, 1,14,10,15, 3, 0, 0, 0, 2,16, 1, 4,14, 0, 0, 0, 4,16, 0, 0,12, 5, 0, 0, 4,13, 0, 0, 7, 9, 0, 0, 4,16, 1, 0,10, 8, 0, 0, 1,15, 8, 9,15, 3, 0, 0, 0, 7,15,14, 4, 0, 0), 0),
    (( 0, 0,10,13, 9, 0, 0, 0, 0, 5,11, 1,11, 5, 0, 0, 0, 6, 7, 0, 6,14, 0, 0, 0, 2,14, 8, 9,16, 1, 0, 0, 0, 2, 8, 5,13, 4, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 0, 3, 2, 0, 5,11, 0, 0, 0, 8,15,13,14, 3, 0), 9),
    (( 0, 0, 5,16, 4, 0, 0, 0, 0, 0,13,16, 1, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 0, 8,16,12,10,16, 6, 0, 0, 2,13,16,16,16, 6, 0, 0, 0, 1,14,16, 6, 0, 0, 0, 0, 5,16,11, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0), 4),
    (( 0, 0, 4,14,16, 8, 0, 0, 0, 3,16,16,16,16, 0, 0, 0, 3, 9, 4,16,16, 4, 0, 0, 0, 2,16,16,16,14, 0, 0, 0, 2,13,16,12, 2, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 5,13, 3, 0, 0, 0), 7),
    (( 0, 0, 6,14,15, 3, 0, 0, 0, 0, 8,15,12, 2, 0, 0, 0, 0, 8,14,12,11, 1, 0, 0, 0, 0, 0, 0, 9, 6, 0, 0, 0, 0, 0, 0, 3, 9, 0, 0, 0, 3, 1, 0, 1,12, 0, 0, 0,13, 8, 4, 9,11, 0, 0, 0, 5,13,16,13, 7, 0), 5),
    (( 0, 0, 5,15,16,16,10, 0, 0, 0,11,14, 8, 4, 1, 0, 0, 4,16,16,15, 3, 0, 0, 0, 8,15, 9,13,13, 1, 0, 0, 0, 2, 0, 3,16, 4, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 3,13, 9, 0, 0, 0, 0, 5,16,12, 1, 0, 0), 5),
    (( 0, 0, 8,16,14, 6, 0, 0, 0, 5,16,13,12,14, 0, 0, 0, 6,16,12, 4, 0, 0, 0, 0, 9,16,16,15, 3, 0, 0, 0, 0, 6, 5,14,10, 0, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0,15, 9,16,14, 0, 0, 0, 0, 6,15,15, 6, 0, 0), 5),
    (( 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 0,15,16, 0, 0, 0, 0, 0, 7,16,14, 0, 0, 0, 3,12,16,16,13, 0, 0, 0, 3,11, 9,16, 9, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 0, 8,15, 2, 0), 1),
    (( 0, 0, 2,16, 9, 0, 0, 0, 0, 0, 8,16,15, 0, 0, 0, 0, 6,16,16,15, 1, 0, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 1, 4, 7,16,13, 0, 0, 0, 0,11,16,16,15, 1), 1),
    (( 0, 0, 0, 8,13,16, 9, 0, 0, 0, 9,12, 4,13, 8, 0, 0, 1,14, 4,10,16, 3, 0, 0, 1,15,16,10,14, 9, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 3,14, 1, 0, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 0,11, 8, 0, 0, 0), 9),
    (( 0, 0,15,16,16,15, 2, 0, 0, 0, 5, 8,11,16, 3, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 3, 8, 8,16, 7, 2, 0, 0, 6,15,16,16,16, 8, 0, 0, 0, 2,15, 7, 3, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0), 7),
    (( 0, 4,16,16, 6, 0, 0, 0, 0, 4,14, 8,16, 0, 0, 0, 0, 3, 8, 5,16, 0, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0, 0, 1,13,15,11, 9, 7, 0, 0, 6,16,14,12,12,12, 0), 2),
    (( 0, 0, 2,10,12,11, 1, 0, 0, 0,11,14, 9,16, 3, 0, 0, 2,16, 1,11,11, 0, 0, 0, 6,16,15,14, 3, 0, 0, 0, 0, 7,16,12, 0, 0, 0, 0, 0, 5,14,11,13, 0, 0, 0, 0, 7,14, 9,14, 0, 0, 0, 0, 2,13,16, 7, 0, 0), 8),
    (( 0, 0, 3,14,10, 0, 0, 0, 0, 0,10,13,11, 9, 0, 0, 0, 0,15, 9, 0, 9, 1, 0, 0, 0,16, 6, 0, 6, 5, 0, 0, 0,15, 4, 0,10, 6, 0, 0, 0,14, 0, 2,16, 3, 0, 0, 0,12,11,15,12, 0, 0, 0, 0, 2,13,10, 1, 0, 0), 0),
    (( 0, 1,14,15, 2, 0, 0, 0, 0, 9,15,15,12, 0, 0, 0, 0, 9,12, 8,15, 0, 0, 0, 0, 3, 5, 9,10, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 0, 0, 7,16,11, 7, 4, 0, 0, 1,15,16,16,16,16, 5), 2),
    (( 0, 0, 0,10,12, 0, 0, 0, 0, 0, 4,16, 7, 1, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0, 0, 0, 0,14, 2, 3, 4, 1, 0, 0, 0,11,10,16,13,13, 0, 0, 0, 7,16, 7, 0,11, 5, 0, 0, 0, 8,15,16,13, 1), 6),
    (( 0, 3,15,15, 3, 0, 0, 0, 0, 8,15,14,14, 0, 0, 0, 0, 4, 9, 2,16, 5, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 1,11,16,10, 8, 4, 0, 0, 5,16,16,16,16,11, 0), 2),
    (( 0, 0, 0, 1,10,16, 6, 0, 0, 0, 3,14, 8, 6,16, 6, 0, 0,11, 4, 0, 6,16, 2, 0, 4,12, 2, 5,16,11, 0, 0, 6,16,15, 8,15, 4, 0, 0, 0, 0, 0, 4, 9, 0, 0, 0, 0, 0, 0,10, 4, 0, 0, 0, 0, 0, 1,13, 1, 0, 0), 9),
    (( 0, 0, 9,16,16,10, 1, 0, 0,10,16, 9, 4,16, 4, 0, 0,13,12, 0, 8,14, 5, 0, 0, 7,16,15,16,12, 0, 0, 0, 0, 1, 4,15,13, 0, 0, 0, 0, 0,10,16, 6, 0, 0, 0, 0, 5,16,10, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0), 9),
    (( 0, 0,13,12,10,12, 8, 0, 0, 2,16,16,16,14, 5, 0, 0, 3,16, 5, 2, 0, 0, 0, 0, 7,16,10, 7, 0, 0, 0, 0, 5,12,12,16,15, 1, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 4, 6, 7,15, 3, 0, 0, 0,10,16,16, 8, 0, 0), 5),
    (( 0, 0, 0,11,16,14, 3, 0, 0, 0, 8,16,16,16, 6, 0, 0, 1,16, 6, 0, 0, 0, 0, 0, 5,16, 8, 7, 1, 0, 0, 0, 3,16,16,16,11, 0, 0, 0, 0, 1, 5,10,16, 2, 0, 0, 0, 0, 7,12,14, 0, 0, 0, 0, 0,13,15, 3, 0, 0), 5),
    (( 0, 0, 0,11, 4, 0, 0, 0, 0, 0, 6,16, 9, 0, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 0, 0,16,10, 3, 0, 0, 0, 0, 2,16,16,16,10, 1, 0, 0, 0,15,14, 4,11,11, 0, 0, 0, 9,15, 2, 6,16, 0, 0, 0, 0, 9,16,16,12, 2), 6),
    (( 0, 0, 0, 2,13, 2, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0,11,10, 0,10, 4, 0, 0, 4,16, 3, 1,14, 3, 0, 0, 6,16,16,16,16, 5, 0, 0, 0, 5, 8,14,11, 1, 0, 0, 0, 0, 0,15, 2, 0, 0, 0, 0, 0, 1,13, 0, 0, 0), 4),
    (( 0, 0, 4,11, 4, 0, 0, 0, 0, 0,12,15,16,14, 0, 0, 0, 4,15, 0, 5,12, 6, 0, 0, 6,10, 0, 0, 7, 8, 0, 0, 7, 8, 0, 0, 8, 8, 0, 0, 6,13, 0, 1,13, 3, 0, 0, 2,16,10,12,13, 0, 0, 0, 0, 6,13,12, 1, 0, 0), 0),
    (( 0, 0, 7,16,16,10, 1, 0, 0, 0, 8,16,16,13, 1, 0, 0, 0, 6,16,16,12, 0, 0, 0, 0, 4,16,16, 8, 0, 0, 0, 0, 7,16,16, 5, 0, 0, 0, 1,14,16,16, 3, 0, 0, 0, 4,16,16, 8, 0, 0, 0, 0, 2,14,16,14, 2, 0, 0), 1),
    (( 0, 0, 8,12,13,14, 4, 0, 0, 0,15, 8, 2, 4, 1, 0, 0, 1,16, 5, 2, 0, 0, 0, 0, 4,12,13,14, 8, 0, 0, 0, 0, 0, 0, 1,12, 4, 0, 0, 0, 0, 0, 0, 8, 5, 0, 0, 0, 6, 3, 2,14, 2, 0, 0, 0, 9,16,14, 5, 0, 0), 5),
    (( 0, 0, 0, 8,14,16, 6, 0, 0, 3,13,16,13,15,14, 0, 0, 3,12, 6, 0,11,16, 0, 0, 0, 0, 0, 4,15,13, 0, 0, 0, 0,12,16,16,11, 0, 0, 0, 1,11,16,11, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0,11,12, 0, 0, 0), 7),
    (( 0, 0, 6,13,16,14, 0, 0, 0, 0,14,12,14,13, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 3,16,10, 4, 0, 0, 0,13,16,16,16, 8, 0, 0, 0,10,15,14,12, 4, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0), 7),
    (( 0, 0, 2,15,16,16,10, 0, 0, 0, 1, 6, 4,11,13, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 4, 8,15, 3, 0, 0, 0, 3,16,16,16, 9, 0, 0, 0, 0, 3,14, 0, 0, 0, 0, 0, 0,13, 3, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 7, 8, 2, 0, 0, 0, 0, 2,15,16, 8, 0, 0, 0, 0, 4,16,16, 8, 0, 0, 0, 0, 8,16,16, 9, 0, 0, 0, 3,16,16,16,16, 0, 0, 0, 1, 6, 9,16,16, 0, 0, 0, 0, 0, 7,16,16, 2, 0, 0, 0, 0, 7,11, 3, 0, 0), 1),
    (( 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0,12,14, 2, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 5,16,11, 3,10, 5, 0, 0,11,16,16,16,16, 6, 0, 0, 7,12,11,16,13, 1, 0, 0, 0, 0, 5,16,10, 0, 0, 0, 0, 0, 2,16, 9, 0, 0), 4),
    (( 0, 0, 8,12,14, 3, 0, 0, 0,10,16,14,15,13, 0, 0, 0, 7, 5, 0, 9,15, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0,11,12,14,16, 5, 0, 0, 0, 8,14, 9, 4, 0, 0), 3),
    (( 0, 0, 2,15,11,10,16, 2, 0, 0,10,16,16,16, 9, 0, 0, 2,16,11, 5, 2, 0, 0, 0,12,15, 4, 2, 0, 0, 0, 0, 5,16,16,15, 5, 0, 0, 0, 0, 2, 7,16,11, 0, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0, 4,15,12, 2, 0, 0), 5),
    (( 0, 0, 0, 9, 7, 0, 0, 0, 0, 0, 2,16, 2, 5, 1, 0, 0, 0, 9, 8, 3,15, 1, 0, 0, 3,14, 1, 8,12, 0, 0, 0, 6,16,12,16,16, 5, 0, 0, 8,15,13,16, 9, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 0,10, 7, 0, 0, 0), 4),
    (( 0, 0, 1,10,15, 4, 0, 0, 0, 4,13,12, 8,13, 0, 0, 0,10,14, 0, 1,14, 0, 0, 0, 8,15, 8,14,14, 0, 0, 0, 1,14,16,16,15, 1, 0, 0, 0,11,10, 0,10, 9, 0, 0, 0, 4,14, 5,10,12, 0, 0, 0, 1,13,16,13, 6, 0), 8),
    (( 0, 2,10,13,10, 1, 0, 0, 0,11,12,10,15, 9, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 3,11,16, 6, 0, 0, 0, 0,12,16,16,16, 4, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 1, 7, 9,16, 5, 0, 0, 0,13,15,11, 3, 0, 0), 3),
    (( 0, 0, 2,12,15, 5, 0, 0, 0, 0,11, 9, 9,15, 3, 0, 0, 0,15, 1, 0,15, 4, 0, 0, 4,10, 0, 0,13, 3, 0, 0, 3,14, 0, 0,12, 8, 0, 0, 0,15, 3, 0,13, 5, 0, 0, 0,10,13, 5,16, 2, 0, 0, 0, 1,13,16, 8, 0, 0), 0),
    (( 0, 0, 5,14,15, 4, 0, 0, 0, 1,16, 2, 3,13, 2, 0, 0, 7,12, 4, 0, 5, 4, 0, 0, 0,13, 3, 0, 1, 7, 0, 0, 2,12, 0, 0, 1, 8, 0, 0, 0,13, 0, 0, 2,12, 0, 0, 0,14, 1, 0,13, 4, 0, 0, 0, 6,16,15, 9, 1, 0), 0),
    (( 0, 1,15,16,16,16, 9, 0, 0, 7,16,13,11,16, 9, 0, 0, 9,16, 4,10,15, 1, 0, 0, 8, 9, 3,15, 8, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 0,16,13, 0, 0, 0, 0), 7),
    (( 0, 0, 9,16,14, 4, 0, 0, 0, 1,10, 8,16,13, 0, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 1,12,16, 3, 0, 0, 0, 0, 2,14,16,13, 0, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 1, 4, 9,15, 2, 0, 0, 0,11,16,13, 3, 0, 0), 3),
    (( 0, 0, 8,15, 7, 0, 0, 0, 0, 2,16, 6, 9, 3, 0, 0, 0, 4,14, 1,12,10, 0, 0, 0, 0, 8,16,16,15, 0, 0, 0, 0, 0, 0, 0,14, 0, 0, 0, 0, 0, 0, 0, 8, 7, 0, 0, 1, 8, 4, 1, 4,13, 0, 0, 0, 5,13,16,16,13, 0), 9),
    (( 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0,12,13, 9, 3, 0, 0, 0, 8,15, 4,16, 1, 0, 0, 1,15, 8, 4,16, 0, 0, 0,14,14, 8,11,15, 1, 0, 0, 9,16,16,16,16, 4, 0, 0, 0, 0, 0,13, 6, 0, 0), 4),
    (( 0, 0, 0, 3,10, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0, 0, 5,14, 0, 7, 0, 0, 0, 1,14, 5, 1,15, 0, 0, 0, 8,10, 0, 6,10, 0, 0, 0,14,14,12,14,15, 1, 0, 0, 6,12, 9,16, 6, 0, 0, 0, 0, 0, 4,14, 0, 0, 0), 4),
    (( 0, 0, 0,11,13, 1, 3, 0, 0, 0, 0,15, 8,13,13, 0, 0, 0, 9,15, 4,16, 7, 0, 0, 5,16,13,12,16, 8, 0, 0, 8,16,16,16,15, 7, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0), 4),
    (( 0, 0, 7,16,15, 4, 0, 0, 0, 0,14, 6, 5,15, 2, 0, 0, 1,16, 0, 6,15, 0, 0, 0, 2,16,10,16, 8, 0, 0, 0, 0, 9,16,13, 0, 0, 0, 0, 0,10,12,15, 7, 0, 0, 0, 1,16, 3, 5,13, 0, 0, 0, 0, 9,15,14, 7, 0, 0), 8),
    (( 0, 0, 8,15,16, 8, 0, 0, 0, 3,13,13, 6, 2, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0, 0, 8,14, 2, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 4,13,16, 0, 0, 0, 0, 0, 7,16, 8, 0, 0, 0), 5),
    (( 0, 0, 2,13,13, 4, 0, 0, 0, 0,12,13,11,14, 0, 0, 0, 0, 9,13,13,14, 1, 0, 0, 0, 0, 4, 8,13, 3, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 0, 0, 0, 0, 3,13, 0, 0, 0,14, 6, 0, 6,12, 0, 0, 0, 2,12,16,16, 7, 0), 9),
    (( 0, 0, 1,13,14, 2, 0, 0, 0, 0, 7,16,10,12, 0, 0, 0, 3,15,10, 0,12, 3, 0, 0, 7, 9, 0, 0, 8, 7, 0, 0, 5, 9, 0, 0, 8, 7, 0, 0, 1,13, 0, 0,11, 2, 0, 0, 0,13, 7, 5,10, 0, 0, 0, 0, 3,14,15, 3, 0, 0), 0),
    (( 0, 0, 8,15,11, 0, 0, 0, 0, 3,15,13,16, 3, 0, 0, 0, 8,16, 6,15,13, 0, 0, 0, 4,15,16,16,15, 0, 0, 0, 0, 2, 4, 5,16, 5, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0,10,16,16,10, 0, 0), 9),
    (( 0, 0, 4,12,15, 9, 1, 0, 0, 7,14, 8,13,15, 2, 0, 0, 5, 7,12,11, 1, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0,10,15,10, 0, 0, 0, 0, 0, 9, 6,12, 4, 0, 0, 0, 0, 7, 9,10, 9, 0, 0, 0, 0, 2,12,16, 7, 0, 0), 8),
    (( 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 6,16,16, 3, 0, 0, 0, 1,15,16,16, 0, 0, 0, 0,13,16,16,12, 0, 0, 0, 4,16, 7,16,12, 0, 0, 0, 5, 4, 3,16, 9, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 0,12,14, 0, 0), 1),
    (( 0, 0, 0, 5,12,15, 7, 0, 0, 0, 3,14, 4,13, 6, 0, 0, 0, 4,13, 0,14, 7, 0, 0, 0, 0,13,14,16, 8, 0, 0, 0, 0, 0, 3, 8, 8, 0, 0, 1, 3, 0, 0,10, 8, 0, 0, 5,16, 7, 0,12, 4, 0, 0, 0, 2, 6,13,15, 1, 0), 9),
    (( 0, 0, 2, 8,15,11, 0, 0, 0, 2,15,14,12,16, 4, 0, 0, 2, 7, 0,10,15, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 0, 4,14, 5, 0, 0, 0, 2,10, 8, 7,16, 6, 0, 0, 0, 4, 9,13,15, 7, 0), 3),
    (( 0, 0, 0, 4,12,13, 2, 0, 0, 0, 2,13,16,15, 0, 0, 0, 4,16,16,16, 9, 0, 0, 0, 3,10,15,16, 6, 0, 0, 0, 0, 0,13,16, 0, 0, 0, 0, 0, 0,14,16, 1, 0, 0, 0, 0, 0, 9,16,10, 0, 0, 0, 0, 0, 2,15,13, 1, 0), 1),
    (( 0, 0,13,15, 3, 0, 0, 0, 0, 2,16,11,15, 4, 0, 0, 0, 4,16, 2,16,16, 0, 0, 0, 2,13,16,16,16, 2, 0, 0, 0, 0, 4, 5,15, 2, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 2, 4, 4,11,12, 0, 0, 0,11,16,16,15,10, 0), 9),
    (( 0, 0, 6,16,16,11, 0, 0, 0, 0,15,16,14, 8, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0, 3,15, 1, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 2,13,14, 0, 0, 0, 0, 0,16,16,13, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0), 5),
    (( 0, 0, 2,14, 1, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 0, 4,16, 1, 3, 0, 0, 0, 0, 8,12,12,16,13, 0, 0, 0, 4,16, 9, 4,13, 6, 0, 0, 0,13,12, 8,12,11, 0, 0, 0, 2,10,13,14, 4, 0), 6),
    (( 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 8,15, 2, 2, 0, 0, 0, 9,15, 5,13, 7, 0, 0, 5,16, 6, 2,16, 4, 0, 0,11,16,15,11,16, 3, 0, 0, 3,12,13,15,15, 8, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 0,10, 9, 0, 0), 4),
    (( 0, 0, 8,15, 8, 0, 0, 0, 0, 4,16,16,16, 5, 0, 0, 0, 8,16, 2, 6,15, 0, 0, 0, 3,15, 4, 4,16, 0, 0, 0, 0, 1, 0, 7,15, 0, 0, 0, 0, 0, 3,15, 7, 0, 0, 0, 2,11,16,15, 7, 4, 0, 0, 1,13,16,15,12, 4, 0), 2),
    (( 0, 0, 7,13, 3, 0, 0, 0, 0, 2,16,16,10, 0, 0, 0, 0, 6,14, 8,14, 0, 0, 0, 0, 7, 9, 4,16, 1, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 4,15,10, 6, 1, 0, 0, 0, 8,16,16,16, 6, 0, 0, 0, 5,11,12,15, 3, 0), 2),
    (( 0, 0, 1,12,14, 1, 0, 0, 0, 0, 8,15, 7, 0, 0, 0, 0, 1,14, 7, 0, 0, 0, 0, 0, 1,16,16,16,10, 2, 0, 0, 1,16,15, 5,11,10, 0, 0, 1,16, 4, 0, 8,13, 0, 0, 0,11,11, 9,16, 8, 0, 0, 0, 2,11,15, 5, 0, 0), 6),
    (( 0, 1,11,13,16, 1, 0, 0, 0, 3,16, 5, 4, 4, 1, 0, 0, 5,15, 3, 4, 0, 0, 0, 0, 4,15,12,13,15, 2, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 2, 8, 7, 5,15, 5, 0, 0, 0, 8,12,16,12, 0, 0), 5),
    (( 0, 0, 0, 4,13,12, 2, 0, 0, 0, 1,15,16,16, 3, 0, 0, 0, 7,16,16,16, 2, 0, 0, 1,14,16,16,16, 3, 0, 0, 7,16,16,16,16, 0, 0, 0, 0, 0,11,16,13, 0, 0, 0, 0, 0, 8,16,15, 3, 0, 0, 0, 0, 6,16,12, 2, 0), 1),
    (( 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0, 6,15, 2, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 1,11,14, 2, 9, 7, 0, 0,12,16,14,15,16, 9, 0, 0, 9,12,12,14,14, 2, 0, 0, 0, 0, 0,14,15, 0, 0, 0, 0, 0, 0,16,14, 0, 0), 4),
    (( 0, 0, 3,11,14,16,14, 0, 0, 0,13,15,12,15,13, 0, 0, 0, 3, 0, 1,16, 5, 0, 0, 0, 0, 4,16,16,10, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0, 6,15, 2, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0), 7),
    (( 0, 0, 9,16,12, 4, 0, 0, 0, 3,16,16,16,16, 3, 0, 0, 5,16, 1, 1,13, 8, 0, 0, 1,14,10,10,16, 6, 0, 0, 0, 6,16,16, 8, 0, 0, 0, 1,14,16,12, 0, 0, 0, 0, 4,16,10,16, 4, 0, 0, 0, 1,11,16,13, 1, 0, 0), 8),
    (( 0, 0, 7,16,12, 5, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0, 3,16,16, 8, 0, 0, 0, 0, 5,16,16, 7, 0, 0, 0, 0,11,16,15, 2, 0, 0, 0, 0,14,16,14, 0, 0, 0, 0, 0,14,16,16, 3, 0, 0, 0, 0, 6,13,14, 5, 0, 0), 1),
    (( 0, 0, 0,12, 8, 0, 6, 3, 0, 0, 4,16, 3, 3,15, 3, 0, 0,12,10, 0,12, 8, 0, 0, 8,15, 5, 8,16, 4, 0, 0,10,16,16,16,16,10, 0, 0, 0, 4, 5,15, 1, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0), 4),
    (( 0, 0, 0, 1,12,10, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0,12,12, 0, 4, 0, 0, 0, 5,15, 3, 7,13, 0, 0, 2,15, 5, 1,15, 6, 0, 0,12,14, 8,11,16, 5, 0, 1,15,16,15,15,14, 2, 0, 0, 0, 0, 0,12,10, 0, 0), 4),
    (( 0, 0, 1,12, 7, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 2,15, 3, 0, 0, 0, 0, 0, 4,15, 0, 3, 0, 0, 0, 0, 4,14,15,16,15, 2, 0, 0, 0,16,11, 2, 6,12, 0, 0, 0,13,10, 1, 5,13, 0, 0, 0, 2,10,16,16, 6, 0), 6),
    (( 0, 0, 0, 9, 6, 0, 0, 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0, 0, 0,11, 8, 7, 2, 0, 0, 0, 0,14,15, 8,14, 5, 0, 0, 0,16, 5, 0, 4,13, 0, 0, 0, 9,13, 0, 7,13, 0, 0, 0, 0,11,16,14, 2, 0), 6),
    (( 0, 2, 8, 9,14,10, 0, 0, 0, 3,11, 9,13,16, 0, 0, 0, 0, 0, 0,15,14, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 0,15,13, 1, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 1, 6,15,14, 3, 0, 0, 0,14,11, 7, 1, 0, 0), 3),
    (( 0, 0, 8, 4, 0, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 2,13, 0, 0, 0, 0, 0, 0, 4,14,11, 9, 1, 0, 0, 0, 4, 9,13,16,14, 1, 0, 0, 2,12, 0, 0, 9,11, 0, 0, 0,16, 8, 5,13,11, 0, 0, 0, 4,15,16,12, 1, 0), 6),
    (( 0, 0, 0,11,16, 8, 0, 0, 0, 0, 9,15, 5, 3, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0, 5,11, 2, 4, 1, 0, 0, 0, 4,14,15,15,15, 3, 0, 0, 1,11,16,11,11,15, 0, 0, 0, 1,11,15,16,12, 0), 6),
    (( 0, 0, 5,14, 0, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 1,16, 9, 5, 2, 0, 0, 0, 5,16,16,16,15, 2, 0, 0, 7,16,15,10,16, 9, 0, 0, 1,15,13,13,16, 5, 0, 0, 0, 5,13,13, 9, 0, 0), 6),
    (( 0, 0, 5,10,15, 9, 0, 0, 0, 6,14, 8, 9,16, 4, 0, 0, 4, 2, 2,13,13, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0, 0, 9,13, 1, 0, 0, 0, 1, 2, 0,12, 7, 0, 0, 0, 9, 9, 4,11,10, 0, 0, 0, 4,13,13,10, 1, 0), 3),
    (( 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 0,15,15,13,12, 5, 0, 0, 0,13,16,15,11,15, 2, 0, 0,12,16, 9,14,15, 2, 0, 0, 5,15,16,13, 2, 0), 6),
    (( 0, 0, 8,13,12, 2, 0, 0, 0, 3,16,13,12,14, 0, 0, 0, 0, 6, 1, 9,13, 0, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 0, 1,12,16, 2, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 1,10, 6, 7,15, 9, 0, 0, 0, 9,12,15,11, 2, 0), 3),
    (( 0, 0,12,14,12,12, 3, 0, 0, 0,15,12,10, 9, 1, 0, 0, 2,16, 6, 7, 2, 0, 0, 0, 4,16,16,16,15, 1, 0, 0, 0, 4, 4, 4,16, 8, 0, 0, 0, 1, 0, 0,10, 7, 0, 0, 4,12, 0, 3,14, 4, 0, 0, 1,13,16,16, 6, 0, 0), 5),
    (( 0, 0, 3,15,15, 5, 0, 0, 0, 0,13,13,10,15, 0, 0, 0, 0,12,14,13,16, 5, 0, 0, 0, 1, 8, 8,14, 6, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 1, 0, 0, 3,16, 1, 0, 1,14, 2, 0, 3,16, 2, 0, 0, 3,15,16,16,13, 1), 9),
    (( 0, 0, 0,10,15, 3, 0, 0, 0, 2,11,15,12,12, 0, 0, 0, 5,16, 4, 0,10, 4, 0, 0, 7,14, 0, 0, 6, 6, 0, 0, 7,11, 0, 0, 9, 5, 0, 0, 0,16, 1, 0,11, 5, 0, 0, 0, 9,13, 8,15, 2, 0, 0, 0, 1,11,16, 8, 0, 0), 0),
    (( 0, 0, 0, 0,10, 8, 0, 0, 0, 0, 0, 4,15, 2, 0, 0, 0, 0, 1,13, 9, 5, 3, 0, 0, 0, 8,14, 2,14, 6, 0, 0, 5,15, 4, 1,16, 3, 0, 0,14,15,14,16,16, 4, 0, 0, 8,12, 9,12,13, 0, 0, 0, 0, 0, 0,12, 8, 0, 0), 4),
    (( 0, 0, 4,16,11, 4, 0, 0, 0, 1,14,13,13,16, 0, 0, 0, 2,15, 2, 0,12, 4, 0, 0, 4,13, 0, 0,13, 1, 0, 0, 3,13, 0, 0,15, 1, 0, 0, 1,16, 0, 4,15, 1, 0, 0, 0,14,10,11,13, 0, 0, 0, 0, 5,15,15, 4, 0, 0), 0),
    (( 0, 0, 3,10,12,16, 5, 0, 0, 0, 8, 8, 8,15,11, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 1, 6,14,16, 6, 0, 0, 0, 4,14,16,12, 4, 0, 0, 0, 0, 9,13, 2, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0), 7),
    (( 0, 0,15, 7, 0, 2,11, 1, 0, 3,16, 6, 1,12,13, 2, 0, 4,16, 5, 8,15, 3, 0, 0, 2,16,16,16,13, 0, 0, 0, 0, 4,14,15, 3, 0, 0, 0, 0, 7,16, 3, 0, 0, 0, 0, 1,13,10, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0), 4),
    (( 0, 0, 0, 2,11, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 1,16, 3, 9, 0, 0, 0, 0,11,11, 2,16, 0, 0, 0, 4,16,10,12,15, 5, 0, 0, 3,11,12,15,13, 3, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 2,16, 2, 0, 0), 4),
    (( 0, 0,11,16,15, 3, 0, 0, 0, 0, 6, 8,14,12, 0, 0, 0, 0, 0, 0, 7,10, 0, 0, 0, 0, 0, 3,13, 9, 5, 0, 0, 0, 4,16,16,15, 8, 0, 0, 0, 1,14,11, 2, 0, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0), 7),
    (( 0, 0, 6,12,16,15, 1, 0, 0, 0, 0, 4, 6,16, 3, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 2, 5,12,15, 4, 0, 0, 1,11,15,16,12, 4, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 3,14, 7, 0, 0, 0, 0, 0,12,12, 0, 3, 8, 0, 0, 9,14, 0, 2,16, 6, 0, 4,16, 2, 0,10,14, 0, 1,15, 8, 3, 8,16, 4, 0, 7,16,16,16,16,12, 0, 0, 2, 9, 5, 2,15, 3, 0, 0, 0, 0, 0, 5,14, 0, 0, 0), 4),
    (( 0, 0, 0, 5,15, 2, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,16,10, 8, 7, 0, 0, 0, 1,14,12, 8, 9,10, 0, 0, 0, 5,13, 1, 8,14, 0, 0, 0, 0, 6,14,15, 5, 0), 6),
    (( 0, 0, 0, 9,14,16,12, 0, 0, 0,10,14, 6,11,15, 1, 0, 0,11,15,16,16, 8, 0, 0, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0), 9),
    (( 0, 0, 2,13, 1, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 0, 8,12, 3, 7, 6, 1, 0, 0, 7,16,14, 8,14, 7, 0, 0, 2,15, 9, 5,12, 7, 0, 0, 0, 4, 9,13,13, 1, 0), 6),
    (( 0, 0, 9,11, 1, 0, 0, 0, 0, 4,16,14, 9, 0, 0, 0, 0, 1, 6, 3,13, 0, 0, 0, 0, 0, 0, 3,14, 0, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 0,14,10, 3, 0, 0, 0, 0,11,16,16,16,14, 2, 0, 0, 6, 9, 7, 4, 8, 6), 2),
    (( 0, 0, 8,10,16,13, 0, 0, 0, 4,16,16,16,16, 1, 0, 0, 6,16,12, 8,15, 5, 0, 0, 6,16, 1, 0,12, 8, 0, 0, 5,13, 0, 1,14, 6, 0, 0, 4,14, 2,12,16, 2, 0, 0, 2,16,16,16, 8, 0, 0, 0, 0, 9,12, 7, 0, 0, 0), 0),
    (( 0, 0, 5, 9,13,13, 0, 0, 0, 0,11,16, 9, 4, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0,10,15,12,12, 2, 0, 0, 0, 3,12, 8,14, 7, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 1, 9,14,12, 1, 0, 0, 0, 3,16,10, 1, 0, 0), 5),
    (( 0, 0, 6,13,16,11, 0, 0, 0,11,16,11, 4,16, 4, 0, 0, 3,13,13, 9,16, 1, 0, 0, 0, 0,10,16, 8, 0, 0, 0, 0, 0,13,16, 9, 0, 0, 0, 0, 7,14, 6,13, 0, 0, 0, 0, 8,13,10,15, 0, 0, 0, 0, 5,14,14, 6, 0, 0), 8),
    (( 0, 3,12,15,16,14, 2, 0, 0, 7,16,11, 4, 7, 1, 0, 0, 9,16, 6, 0, 0, 0, 0, 0, 4,15,16,11, 0, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 1,12,12,16, 6, 0, 0, 0, 3,16,16, 7, 0, 0, 0), 5),
    (( 0, 0,10,14,11, 9, 0, 0, 0, 0, 9,12, 8, 9, 0, 0, 0, 0,11, 9, 1, 0, 0, 0, 0, 0,15,16,14, 2, 0, 0, 0, 0,12, 2,10, 6, 0, 0, 0, 0, 0, 0, 0,13, 0, 0, 0, 0, 7, 5, 8,12, 0, 0, 0, 0,10,16,15, 4, 0, 0), 5),
    (( 0, 0, 0, 8,12,11, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0, 7,16,16, 9, 0, 0, 0, 0, 8,16,16, 6, 0, 0, 0, 0, 5,16,16, 8, 0, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0, 0,12,12, 5, 0, 0), 1),
    (( 0, 0, 0, 6,14, 2, 0, 0, 0, 0, 2,14,12, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 1,16,11, 8, 4, 0, 0, 0, 1,15,16,16,16, 8, 0, 0, 0, 8,13, 2, 4,15, 1, 0, 0, 0, 7,14,16,14, 1), 6),
    (( 0, 0, 1,11, 0, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 0,15,14, 9, 6, 0, 0, 0, 0,15,16,16,16, 9, 0, 0, 0,11,16,11,16,14, 0, 0, 0, 1,12,13,10, 2, 0), 6),
    (( 0, 0, 0,13,11, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0,15,13, 0, 5, 1, 0, 0, 6,16, 6, 4,16, 9, 0, 0,11,16, 5,13,16, 2, 0, 0, 1,11,16,16, 9, 0, 0, 0, 0, 0,11,15, 2, 0, 0, 0, 0, 0,12,13, 0, 0, 0), 4),
    (( 0, 0, 0,12,13, 1, 0, 0, 0, 0, 1,14,16, 3, 0, 0, 0, 2,13,16,16, 2, 0, 0, 0,15,16,16,16, 3, 0, 0, 0, 5, 3,10,16, 2, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 0,10,16, 3, 0, 0), 1),
    (( 0, 0, 7,12, 8,10,15, 2, 0, 0, 4, 8,10,16, 8, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 5,14, 2, 0, 0, 0, 6,16,16,16,13, 1, 0, 0, 3, 6,16, 0, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 5,16,12, 0, 0, 0, 0, 1,15,16,16, 0, 0, 0, 2,10,16,16,11, 0, 0, 0, 7,16,16,16, 7, 0, 0, 0, 6,12,16,16, 8, 0, 0, 0, 0, 0,12,16,12, 0, 0, 0, 0, 0,11,16,13, 0, 0, 0, 0, 0, 2,15,12, 0, 0), 1),
    (( 0, 0, 0,10,10, 0, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 0,16, 7, 8, 7, 0, 0, 0, 0,12,16,13, 9,13, 2, 0, 0, 6,16, 5, 5,13, 8, 0, 0, 0, 9,14,13, 9, 1), 6),
    (( 0, 0,12,16, 9, 0, 0, 0, 0, 6,16,12,15, 5, 0, 0, 0, 7,16, 7,10, 8, 0, 0, 0, 1,11, 4,10, 9, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 1,12,16,14,12, 6, 0, 0, 1,15,16,16,16,16, 3), 2),
    (( 0, 0, 5,14,16, 9, 0, 0, 0, 0, 8,16,14,16, 5, 0, 0, 0, 7,16,13,16, 4, 0, 0, 8,13,16,16,12, 0, 0, 0, 3,15,16,12, 2, 0, 0, 0, 0,14,16,12, 1, 0, 0, 0, 0,15,16,16, 4, 0, 0, 0, 0, 7,16,11, 1, 0, 0), 8),
    (( 0, 0, 0, 3,10,15, 9, 4, 0, 0, 2,15, 7, 9,16, 6, 0, 0,11, 6, 0,10,16, 1, 0, 1,15,14,16,16, 7, 0, 0, 0, 5, 7, 2,14, 2, 0, 0, 0, 0, 0,10, 6, 0, 0, 0, 0, 0, 1,15, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 0), 9),
    (( 0, 2,14,16, 9, 0, 0, 0, 0, 8,16,13,16, 3, 0, 0, 0,10, 9, 5,16, 2, 0, 0, 0, 1, 0, 8,14, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 3,16,16,11, 6, 1, 0, 0, 2,13,16,16,16,12, 0), 2),
    (( 0, 2,14,16,10, 1, 0, 0, 0,15,15, 8,16, 8, 0, 0, 0, 9,10, 0,13,10, 0, 0, 0, 0, 1, 5,16, 3, 0, 0, 0, 0, 0,13,14, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 1,14,16,13, 8, 4, 0, 0, 2,13,16,16,16,16, 5), 2),
    (( 0, 0, 9,16,16,12,14, 0, 0, 0, 4, 8,11,14,13, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 0, 6,13,15, 8, 0, 0, 0, 6,16,15, 8, 2, 0, 0, 0, 1,14, 9, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 4,15,16,16,16,14, 0, 0, 6,12,12,13,16, 8, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 6, 8,16, 4, 0, 0, 0, 2,16,16,13, 2, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 2,14, 6, 0, 0, 0, 0, 0, 8,13, 1, 0, 0, 0), 7),
    (( 0, 0, 8,16,15, 3, 0, 0, 0, 0,10,16,15,10, 0, 0, 0, 0, 3,11,13,12, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 7,16,15,12,12, 3, 0, 0, 8,15,13,16,16,11), 2),
    (( 0, 0, 0, 5,12,16, 7, 0, 0, 0, 9,15, 4,13,12, 0, 0, 2,16,16,15,16,13, 0, 0, 3,16,16,14,16, 7, 0, 0, 0, 6, 7, 1,15, 3, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 0,13, 5, 0, 0, 0, 0, 0, 6,13, 0, 0, 0), 9),
    (( 0, 0, 4,15,13, 0, 0, 0, 0, 1,15, 9, 9, 9, 1, 0, 0, 4,16, 6,13,16, 4, 0, 0, 0, 8, 9, 6,16, 4, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 2, 8, 5,16, 4, 0, 0, 0, 3,15,14, 7, 1, 0), 9),
    (( 0, 0, 0,11,12, 1, 0, 0, 0, 0, 2,14,16, 3, 0, 0, 0, 0, 5,16,11, 0, 0, 0, 0, 0, 7,16, 8, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0,10,16, 7, 0, 0, 0, 0, 0, 7,16, 9, 4, 0, 0, 0, 0, 0,10,16,12, 1, 0), 1),
    (( 0, 0, 4,12, 9, 0, 0, 0, 0, 4,13, 7,15, 4, 0, 0, 0, 7,11, 0, 8,10, 0, 0, 0, 2,16,16,16, 7, 0, 0, 0, 0, 6,16,16,15, 2, 0, 0, 0, 8,11, 1, 6, 8, 0, 0, 0, 8,12, 8,13, 6, 0, 0, 0, 4,16,13, 8, 0, 0), 8),
    (( 0, 0, 4, 8,10,13, 8, 0, 0, 0,10,12,12,14,12, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 5,12,13,16, 6, 0, 0, 0, 7,13,16,12, 3, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0, 5,14, 2, 0, 0, 0), 7),
    (( 0, 0, 1,10, 9, 0, 0, 0, 0, 0, 7,16,14, 0, 0, 0, 0, 4,14,16,15, 0, 0, 0, 0,12,14,16,16, 0, 0, 0, 0, 0, 0,15,16, 2, 0, 0, 0, 0, 0,14,16, 2, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 0, 6,16, 2, 0, 0), 1),
    (( 0, 3,15,16,13, 4, 0, 0, 0, 4, 6, 4,10,16, 0, 0, 0, 0, 0, 5,14,11, 0, 0, 0, 0,10,16,12, 0, 0, 0, 0, 0, 6, 9,15,12, 0, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 1, 6, 4, 6,15, 8, 0, 0, 4,13,13,11, 7, 0, 0), 3),
    (( 0, 0, 1,12, 8, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0,12,11, 4, 2, 0, 0, 0, 0,16,16,16,16, 4, 0, 0, 0,12,10, 0, 2,14, 1, 0, 0, 7,11, 2, 6,15, 5, 0, 0, 1,10,15,16, 9, 0), 6),
    (( 0, 1,12,14,16,11, 0, 0, 0, 3,15,11,13,16, 2, 0, 0, 0, 2,11,16, 5, 0, 0, 0, 0, 8,16,16, 6, 0, 0, 0, 0, 0, 3,12,16, 3, 0, 0, 0, 0, 0, 0,12,15, 0, 0, 3,10, 1, 3,14,15, 0, 0, 3,11,16,16,16, 4, 0), 3),
    (( 0, 0, 0, 7,11, 0, 0, 0, 0, 0, 0,11, 5, 2, 0, 0, 0, 0, 3,14, 3,14, 0, 0, 0, 0, 8, 6, 7, 7, 0, 0, 0, 1,15, 4,12, 9, 4, 0, 0, 5,16,16,16,15, 8, 0, 0, 1, 1, 6,10, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 0), 4),
    (( 0, 3,15,15, 8, 9, 0, 0, 0, 7,14,11,16,16, 6, 0, 0, 2,16, 2, 7,15, 3, 0, 0, 0, 8,14,16, 5, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 1,15,14, 8, 0, 0, 0, 0, 6,14,14, 7, 0, 0, 0, 0, 3,16,15, 2, 0, 0, 0), 8),
    (( 0, 0, 1,14, 5, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0,14,16, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 0,16,16,14, 5, 0, 0, 0, 0,13,16,12,16, 5, 0, 0, 0, 8,16, 8,11,16, 2, 0, 0, 1, 8,13,16,14, 2), 6),
    (( 0, 0,13,16,10, 0, 0, 0, 0, 3,16,11,16, 5, 0, 0, 0, 0,15,13,15,13, 0, 0, 0, 0, 5,12,11,16, 2, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 7, 8,11,13,16, 2, 0, 0,15,16,16,16,11, 0), 9),
    (( 0, 0, 4,11,16,12, 5, 0, 0, 0, 6, 7, 3,11, 9, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 3,10,10, 0, 0, 0, 0, 4,16,15, 2, 0, 0, 0, 0, 1, 7,12,15, 1, 0, 0, 0, 8, 7, 5,15, 0, 0, 0, 0, 7,12,15, 6, 0, 0), 3),
    (( 0, 0,13,16,10, 1, 0, 0, 0, 8,15, 8,16, 6, 0, 0, 0,11,13, 0,11,12, 0, 0, 0, 5, 7, 0,10,12, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 7,15,15,12,12, 2, 0, 1,12,16,13,11,11, 1), 2),
    (( 0, 0, 0,11,12, 0, 0, 0, 0, 0, 7,16,11, 1, 0, 0, 0, 2,16,12, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 8,16,16, 8, 1, 0, 0, 0, 4,16,13,13,14, 3, 0, 0, 0,13,14, 7,16,12, 0, 0, 0, 0,10,16,12, 6, 0), 6),
    (( 0, 0, 7,15,15, 5, 0, 0, 0, 0,15,13,12,15, 5, 0, 0, 0,10,14,12,16, 3, 0, 0, 0, 5,16,16, 9, 0, 0, 0, 2,15,16,16, 3, 0, 0, 0, 7,14, 2,12,14, 1, 0, 0, 3,15, 9,12,16, 4, 0, 0, 0, 5,12,13, 8, 1, 0), 8),
    (( 0, 0, 8,12,15,16, 6, 0, 0, 6,16,16,14, 8, 0, 0, 0,12,14, 4, 1, 0, 0, 0, 0, 8,15, 9, 1, 0, 0, 0, 0, 0,13,16,10, 0, 0, 0, 0, 0, 1, 9,15, 0, 0, 0, 0, 0, 3,11,14, 0, 0, 0, 0, 0,11,15, 3, 0, 0, 0), 5),
    (( 0, 0, 5,13, 8, 3, 5, 0, 0, 2,16,11, 3, 2, 3, 0, 0, 7,13, 4, 4, 0, 0, 0, 0, 5,16,12,14,11, 0, 0, 0, 0, 0, 0, 2,14, 2, 0, 0, 0, 0, 0, 0,13, 3, 0, 0, 0,10, 4, 6,13, 0, 0, 0, 0, 6,14,13, 3, 0, 0), 5),
    (( 0, 0, 1,15,16, 8, 0, 0, 0, 0, 6,16,15,13, 0, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0, 0,15,16, 7, 0, 0, 0, 0, 6,16,15, 0, 0, 0, 0, 0,13,11,11, 7, 0, 0, 0, 0,13,10, 5,16, 0, 0, 0, 0, 3,13,16,12, 0, 0), 8),
    (( 0, 0, 8,14,12, 2, 0, 0, 0, 3,16,12,15, 6, 0, 0, 0, 3, 7, 7,13, 9, 0, 0, 0, 0, 5,15,16, 3, 0, 0, 0, 0, 0, 7,14,14, 1, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 7, 5,10,16, 5, 0, 0, 0,13,10, 8, 3, 0, 0), 3),
    (( 0, 0, 0, 6,10,14, 0, 0, 0, 0,10,16,16,16, 6, 0, 0, 1,16,10, 4,15,11, 0, 0, 1,12, 5, 0, 9, 9, 0, 0, 0, 8, 9, 0, 8, 8, 0, 0, 0, 9,16,16,16, 4, 0, 0, 0, 2,16,16,14, 2, 0, 0, 0, 0, 6,10, 3, 0, 0), 0),
    (( 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 1,15,11, 1, 5, 0, 0, 2,14,12, 1,12,13, 0, 0, 7,16,11, 8,16,11, 0, 0,12,16,16,16,16, 3, 0, 0, 1, 8, 5,14,15, 0, 0, 0, 0, 0, 0,13,12, 0, 0), 4),
    (( 0, 0, 5,14,15, 6, 0, 0, 0, 1,16, 8, 8,15, 2, 0, 0, 0,16,10,10,15, 5, 0, 0, 0,11,16,16, 9, 0, 0, 0, 0, 6,16,16,16, 3, 0, 0, 0, 9,13, 0,10, 7, 0, 0, 0,12,10, 8,15, 2, 0, 0, 0, 7,16,13, 5, 0, 0), 8),
    (( 0, 0, 0, 1, 9,13, 5, 0, 0, 0, 3,13,10,12, 9, 0, 0, 0,11, 8, 0,13, 3, 0, 0, 1,15,14,11,16, 2, 0, 0, 0, 1, 8,10,14, 0, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 0,13, 5, 0, 0), 9),
    (( 0, 2,12,15,16,12, 1, 0, 0, 0, 8,16, 6,14, 2, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0, 0, 8,14, 4, 0, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 2,10,16, 2, 0, 0, 0, 0,12,16, 6, 0, 0, 0), 5),
    (( 0, 0, 0, 8,13, 6, 0, 0, 0, 0, 5,14, 6,14, 2, 0, 0, 0, 8, 8, 1,14, 4, 0, 0, 0, 2,13,11,16, 5, 0, 0, 0, 0, 3, 7, 9, 4, 0, 0, 1, 2, 0, 0, 8, 8, 0, 0, 1,13, 3, 0,14, 5, 0, 0, 0, 0,11,16,13, 1, 0), 9),
    (( 0, 3,16,16,16,16, 8, 0, 0, 0, 5, 8,12,16, 6, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 8,12,12,16,10, 1, 0, 0, 8,16,16,16,15, 1, 0, 0, 0, 8,15, 3, 0, 0, 0, 0, 2,15, 8, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0), 7),
    (( 0, 0, 8,14,13, 3, 0, 0, 0, 0,16,16,16,15, 0, 0, 0, 0,13,12, 4,16, 2, 0, 0, 0, 2,15,14,15, 2, 0, 0, 0, 4,15,16, 7, 0, 0, 0, 0,15,14, 8,15, 4, 0, 0, 4,16,12, 6,16, 7, 0, 0, 0, 6,13,12, 8, 0, 0), 8),
    (( 0, 1,10,16,12, 1, 0, 0, 0, 8,15, 5,12,11, 0, 0, 0,11,12, 3,13,16, 3, 0, 0, 4,14,16,13,14, 9, 0, 0, 0, 0, 4, 0, 8,13, 0, 0, 0, 1, 0, 0, 3,16, 1, 0, 2,15, 1, 0, 8,15, 1, 0, 0, 9,16,16,16, 6, 0), 9),
    (( 0, 0, 2,13,15, 6, 0, 0, 0, 0, 8,14,10,16, 3, 0, 0, 0,15, 6, 0,10, 8, 0, 0, 6,15, 1, 0,11, 7, 0, 0, 8,13, 0, 0,10, 8, 0, 0, 7,14, 1, 0,16, 2, 0, 0, 1,15,14,11,14, 0, 0, 0, 0, 3,15,12, 1, 0, 0), 0),
    (( 0, 0, 0,10, 6, 0, 0, 0, 0, 0, 7,16,16, 4, 0, 0, 0, 0,12,16,16, 3, 0, 0, 0, 0,13,16,16, 3, 0, 0, 0, 2,15,16,16, 2, 0, 0, 0, 0,12,16,16, 5, 0, 0, 0, 0, 4,16,16,14, 1, 0, 0, 0, 0, 6,12, 9, 1, 0), 1),
    (( 0, 0,13,14, 5, 0, 0, 0, 0, 3,16,15,16, 3, 0, 0, 0, 7,11, 1,13, 4, 0, 0, 0, 1, 2, 2,15, 2, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 8,16, 4, 1, 1, 0, 0, 0,16,16,16,16, 8, 0, 0, 0,11,12,10,11, 7, 0), 2),
    (( 0, 0,14,15,12,12, 6, 0, 0, 1,16,12,12,16, 7, 0, 0, 0, 6, 1,12,12, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0), 7),
    (( 0, 0,12,16, 6, 0, 0, 0, 0, 3,15,12,12, 0, 0, 0, 0, 6,12, 8,12, 0, 0, 0, 0, 3,14,11,10, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 8,16,12, 7, 5, 2, 0, 0, 0,12,13,10,10, 4, 0), 2),
    (( 0, 0, 5,10,16, 8, 0, 0, 0, 1,16,16,16, 6, 0, 0, 0, 4,16,15, 4, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0, 0, 0,11,16, 6, 0, 0, 0, 0, 0, 1,15,15, 2, 0, 0, 0, 0, 5,13,16, 8, 0, 0, 0, 0, 7,16,13, 3, 0, 0), 5),
    (( 0, 0, 8,15,16,12, 0, 0, 0, 5,16,12,15,14, 0, 0, 0, 1, 5, 1,15, 8, 0, 0, 0, 0, 4,14,16, 4, 0, 0, 0, 0, 3,16,16,14, 1, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 4,15,16,14, 1, 0, 0, 0, 9,16,12, 3, 0, 0), 3),
    (( 0, 3,14,15,16,15, 8, 0, 0, 4,16,12, 8, 7, 2, 0, 0, 6,16,15, 8, 0, 0, 0, 0, 8,16,13,16, 4, 0, 0, 0, 1, 1, 0,10,10, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 5, 8, 6,15,10, 0, 0, 0, 3,16,16,13, 1, 0, 0), 5),
    (( 0, 0, 8,16,16,12, 0, 0, 0, 5,16,15,10, 3, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 2,12,15,10, 0, 0, 0, 0, 0,11,15, 3, 0, 0, 0), 5),
    (( 0, 1,13,16,16,16, 4, 0, 0, 0,11,12,13,16, 4, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0,11,16,16,16, 7, 0, 0, 0,11,15,14,13, 8, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0), 7),
    (( 0, 1,10,15, 6, 0, 0, 0, 0, 7,13, 6,13, 2, 0, 0, 0, 7, 8, 0,13, 4, 0, 0, 0, 0, 1, 0,13, 4, 0, 0, 0, 0, 0, 3,14, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 7,16, 5, 4, 2, 0, 0, 0,15,16,14,16,15, 0), 2),
    (( 0, 0, 5,13,15, 5, 0, 0, 0, 0,13,16,12,16, 2, 0, 0, 5,16, 4, 0,15, 4, 0, 0, 6,16, 1, 0,11, 8, 0, 0, 8,16, 1, 1,14, 6, 0, 0, 4,16, 8, 6,16, 6, 0, 0, 0,14,16,16,10, 0, 0, 0, 0, 7,15,14, 0, 0, 0), 0),
    (( 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 0,14,15, 3, 0, 0, 0, 0, 2,16,16,16,13, 1, 0, 0, 3,16,13, 6,15,11, 0, 0, 0,10,16, 5,15,13, 0, 0, 0, 1,10,16,15, 7, 0), 6),
    (( 0, 0, 2,13,15, 5, 0, 0, 0, 0, 8,13,12,14, 1, 0, 0, 1,14, 5, 0,11, 6, 0, 0, 6,16, 1, 0, 9, 7, 0, 0, 6,16, 2, 0,13, 4, 0, 0, 3,16, 8, 4,14, 0, 0, 0, 0, 8,16,16, 8, 0, 0, 0, 0, 0,11,10, 0, 0, 0), 0),
    (( 0, 0, 9,15, 2, 0, 0, 0, 0, 3,16,14,13, 1, 0, 0, 0, 0, 6, 0,14, 2, 0, 0, 0, 0, 0, 1,15, 0, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 1,12, 9, 0, 0, 0, 0, 0,12,16,16,16,16, 2, 0, 0, 8,13,11, 8, 7, 0), 2),
    (( 0, 0, 1,12,16, 3, 0, 0, 0, 0, 7,11, 8,12, 0, 0, 0, 2,14, 1, 0,14, 1, 0, 0, 4,14, 0, 0,11, 7, 0, 0, 3,13, 0, 0, 5, 8, 0, 0, 0,13, 4, 0, 9, 7, 0, 0, 0,10,13, 8,14, 1, 0, 0, 0, 1, 9,14, 6, 0, 0), 0),
    (( 0, 0,12,16,15, 1, 0, 0, 0, 2,16, 6,16, 2, 0, 0, 0, 1,16,13,13, 0, 0, 0, 0, 0,10,16, 5, 0, 0, 0, 0, 2,15,16,12, 1, 0, 0, 0,10,12, 2,11,12, 0, 0, 0, 8,13, 4, 0,13, 9, 0, 0, 0, 7,15,16,16, 6, 0), 8),
    (( 0, 0, 5,14,16, 7, 0, 0, 0, 3,14, 2, 5,12, 0, 0, 0, 5, 9, 0, 7,11, 0, 0, 0, 0, 0, 5,15, 5, 0, 0, 0, 0, 0, 7,12,14, 1, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 3, 8, 3,12, 6, 0, 0, 0, 7,16,13, 8, 0, 0), 3),
    (( 0, 1, 7, 9,12,14, 1, 0, 0,11,16,15,10, 5, 1, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 0, 0, 2, 8,13, 6, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 7,13,14,16, 4, 0, 0, 0,10,16,12, 3, 0, 0), 5),
    (( 0, 0, 0,11,15,10, 1, 0, 0, 0, 9,10, 8,16, 5, 0, 0, 0,15, 2, 0,11,10, 0, 0, 7,10, 0, 0, 9, 9, 0, 0, 8, 8, 0, 0, 9, 8, 0, 0, 8, 6, 1, 5,16, 2, 0, 0, 3,14,13,16,14, 0, 0, 0, 0, 1, 9,14, 3, 0, 0), 0),
    (( 0, 0, 3,14,16, 8, 0, 0, 0, 2,15,15,16,14, 5, 0, 0, 3,16,16,16,16,14, 1, 0, 0, 6, 5, 8,16, 6, 0, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 4,15, 1, 0, 0, 0), 9),
    (( 0, 0, 4,14,15, 3, 0, 0, 0, 0,14,16,16, 9, 0, 0, 0, 0,11,16,16,15, 0, 0, 0, 0, 3,13,16,16, 1, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0,13,16, 1, 0, 0, 0, 2,11,16,12, 0, 0, 0, 0, 6,15,10, 1, 0, 0), 9),
    (( 0, 0, 0, 9,12, 5, 0, 0, 0, 0, 0,16, 9,15, 2, 0, 0, 0, 0,16, 6,16, 4, 0, 0, 0, 0, 4,16,16, 8, 0, 0, 0, 0, 0, 2,15, 4, 0, 0, 0, 0, 0, 0,10, 7, 0, 0, 0,16,11, 3,13, 4, 0, 0, 0, 3, 6,13,15, 2, 0), 9),
    (( 0, 0, 5,15,10, 2, 0, 0, 0, 0, 9,16,16, 3, 0, 0, 0, 0,13,16,16, 3, 0, 0, 0, 0,13,16,16, 1, 0, 0, 0, 0,12,16,16, 2, 0, 0, 0, 0,10,16,16, 2, 0, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0, 4,15,16,15, 3, 0), 1),
    (( 0, 0, 5,13,12, 3, 0, 0, 0, 0,14, 9, 8,13, 0, 0, 0, 3,16, 4, 0,13, 6, 0, 0, 4,14, 1, 0, 8, 9, 0, 0, 1,15, 0, 0, 4, 8, 0, 0, 2,13, 1, 2,13, 4, 0, 0, 0,15,13,16,11, 0, 0, 0, 0, 8,11, 5, 0, 0, 0), 0),
    (( 0, 0, 3,14,16,11, 0, 0, 0, 2,15,13,14,13, 0, 0, 0, 0, 4, 0, 8,14, 5, 0, 0, 0, 5,13,16,16,14, 0, 0, 0,12,15,16, 9, 2, 0, 0, 0, 1, 9,13, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 0), 7),
    (( 0, 0, 9,16,15, 5, 0, 0, 0, 0,15,14,16, 9, 0, 0, 0, 0, 5, 1,13,10, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 3,15, 7, 1, 0, 0, 0, 0,10,16,16,15, 0, 0, 0, 0,13,16,12,12, 0, 0), 2),
    (( 0, 0, 0,10,16, 0, 0, 0, 0, 0, 6,14, 2, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 4,16, 8, 7, 1, 0, 0, 0, 3,16,15,13,13, 3, 0, 0, 0,16, 2, 0, 8,11, 0, 0, 0, 9, 9, 1, 4,14, 0, 0, 0, 1,10,16,16, 8, 0), 6),
    (( 0, 0, 0, 2, 8,13,14, 2, 0, 0, 5,14, 9, 4,16, 5, 0, 1,14, 0, 5,14,13, 0, 0, 0,16,16,13,16, 5, 0, 0, 0, 1, 0, 7, 9, 0, 0, 0, 0, 0, 0,13, 2, 0, 0, 0, 0, 0, 2,13, 0, 0, 0, 0, 0, 0, 3,10, 0, 0, 0), 9),
    (( 0, 0, 0, 5, 0, 4,13, 5, 0, 0, 6,16,16,16,14, 1, 0, 0, 2, 6, 8,16, 2, 0, 0, 0, 2, 4,12,14, 0, 0, 0, 5,15,16,16,16, 4, 0, 0, 6, 9,11,15, 4, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0), 7),
    (( 0, 1, 9,16,10, 0, 0, 0, 0, 6,12, 4,15, 2, 0, 0, 0, 0, 0, 0,13, 3, 0, 0, 0, 0, 0,10,16, 1, 0, 0, 0, 0, 0, 6,13,11, 0, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 3,10, 1, 0,10, 8, 0, 0, 0,10,16,16,15, 3, 0), 3),
    (( 0, 0, 8,16,15, 5, 0, 0, 0, 0,14,16,11,15, 0, 0, 0, 0,16, 2, 0, 8, 4, 0, 0, 2,12, 0, 0, 8, 6, 0, 0, 3,11, 0, 0,11, 5, 0, 0, 3,12, 0, 2,15, 1, 0, 0, 1,15, 2,14, 8, 0, 0, 0, 0, 7,15,12, 0, 0, 0), 0),
    (( 0, 1,11,16, 8, 0, 0, 0, 0, 8,16, 5,16, 3, 0, 0, 0, 8,11, 0,13,10, 0, 0, 0, 3,15, 9,11,15, 2, 0, 0, 0, 1, 7, 7,15, 7, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 1,10, 5, 4,11,12, 0, 0, 0, 8,15,16,15, 6, 0), 9),
    (( 0, 5,16, 5, 0, 0, 0, 0, 0, 9,16,14, 0, 0, 0, 0, 0,12,14,14, 0, 0, 0, 0, 0, 7,13,12, 0, 0, 0, 0, 0, 0,11, 8, 0, 3, 1, 0, 0, 0,16, 8, 7,14,11, 0, 0, 8,16,16,16,16,11, 0, 0, 6,16,16,11, 6, 1, 0), 2),
    (( 0, 0,14,12, 0, 0, 0, 0, 0, 3,13,16, 0, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0, 5,10,16, 6, 0, 0, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 7,13,16, 9, 8, 0, 0, 0,13,16,16,16,16, 3), 1),
    (( 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 7,16,14,15, 6, 0, 0, 0, 2,15, 5, 2,12, 6, 0, 0, 0, 9,14, 3, 6,16, 0, 0, 0, 0, 8,14,14,12, 0), 6),
    (( 0, 0, 7,13,11, 3, 0, 0, 0, 2,15, 8, 8, 2, 0, 0, 0, 6,11, 3, 3, 0, 0, 0, 0, 7,16,16,16,13, 2, 0, 0, 1, 8, 5, 3,11,10, 0, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 2, 5, 4,10,15, 0, 0, 0, 8,16,16,14, 4, 0), 5),
    (( 0, 0, 8,15,16, 8, 0, 0, 0, 0,16,13,14,16, 4, 0, 0, 5,14, 1, 2,16, 6, 0, 0, 7,12, 0, 0,12, 5, 0, 0, 4,16, 1, 0,11, 8, 0, 0, 1,16, 9, 4,13, 6, 0, 0, 1,16,16,16,11, 0, 0, 0, 0, 7,15,16, 2, 0, 0), 0),
    (( 0, 0, 3,14, 9, 1, 0, 0, 0, 0, 8,16,13, 0, 0, 0, 0, 0,10,16,15, 1, 0, 0, 0, 0, 8,16,15, 0, 0, 0, 0, 0,10,16,15, 1, 0, 0, 0, 0, 6,16,16, 1, 0, 0, 0, 0, 3,16,15, 2, 0, 0, 0, 0, 2,12,16, 3, 0, 0), 1),
    (( 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 8,16, 1, 5,12, 0, 0, 4,15,11, 3,12,13, 0, 0,11,16,16,16,16, 7, 0, 0, 3, 8,10,15,16, 1, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 1,16, 5, 0, 0), 4),
    (( 0, 0, 3,11,13, 8, 0, 0, 0, 1,14, 5, 1,12, 3, 0, 0, 4,12, 0, 0, 8,11, 0, 0, 1,15, 6, 4,15, 4, 0, 0, 0, 2, 8,10,14, 4, 0, 0, 0, 0, 0, 0,11, 4, 0, 0, 0, 0, 2, 2,11, 4, 0, 0, 0, 2,14,11, 7, 1, 0), 9),
    (( 0, 0, 8,13, 4, 0, 0, 0, 0, 2,16,11,15, 1, 0, 0, 0, 0,12, 0,11, 5, 0, 0, 0, 0, 4, 2, 9, 9, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 6,15, 4, 0, 0, 0, 0, 6,16,13, 5, 8, 0, 0, 0, 7,16,16,16,16, 5), 2),
    (( 0, 0, 0, 5, 8, 3, 0, 0, 0, 0,15,16,16,16, 0, 0, 0, 0,16,16,16,13, 0, 0, 0, 0,16,16,16, 5, 0, 0, 0, 0,16,16,16, 9, 0, 0, 0, 0,16,16,16, 4, 0, 0, 0, 0,15,16,16,10, 0, 0, 0, 0, 2, 8, 8, 7, 0, 0), 1),
    (( 0, 2,12,16,15, 8, 0, 0, 0,13,16,13, 8,12, 2, 0, 0,16,13, 1, 0, 0, 0, 0, 0, 9,16,13, 5, 0, 0, 0, 0, 1,11,13,14, 2, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 3,11,16, 5, 0, 0, 0, 0,14,16,10, 1, 0, 0), 5),
    (( 0, 0, 0, 7,16,11, 0, 0, 0, 0, 9,16,16,16,16, 7, 0, 0,10,16,16,12,16, 4, 0, 0, 3, 8, 4,13, 9, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 0, 8,16, 1, 0, 0), 9),
    (( 0, 0,10,16, 5, 0, 0, 0, 0, 6,16,13,11, 0, 0, 0, 0, 7, 9, 4,12, 0, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 3,15, 8, 0, 0, 0, 0, 4,16,16,10, 8, 7, 1, 0, 0, 7,11,16,16,15, 2), 2),
    (( 0, 1, 8,14,13, 3, 0, 0, 0,10,13, 5,10,12, 0, 0, 0, 3, 0, 2,14, 9, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 0,13,13, 1, 0, 0, 0, 0, 0, 0, 7,14, 4, 0, 0, 1, 6, 1, 0,11,10, 0, 0, 0,10,12,16,16, 7, 0), 3),
    (( 0, 0, 7,12,14, 6, 0, 0, 0, 7,16,14,14, 6, 0, 0, 0, 5,16,10, 3, 0, 0, 0, 0, 6,16,16,16, 6, 0, 0, 0, 3, 7, 4,10,14, 0, 0, 0, 0, 0, 0,10,15, 1, 0, 0, 0, 2,15,16, 8, 0, 0, 0, 0, 5,16, 9, 0, 0, 0), 5),
    (( 0, 0, 8,12, 5, 0, 0, 0, 0, 3,15,13,15, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 0, 7,16,11, 3, 0, 0, 0, 0, 0, 3,14,14, 0, 0, 0, 4, 7, 7,15,12, 0, 0, 0, 8,13,12, 6, 0, 0), 3),
    (( 0, 2, 6,11, 8, 0, 0, 0, 0, 9,16,14, 5, 0, 0, 0, 0, 9,16,12, 8, 2, 0, 0, 0, 8,15, 8,11,13, 1, 0, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 6, 6, 4, 8,14, 0, 0, 0, 5,15,16,15, 7, 0), 5),
    (( 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 8,16, 9, 1, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 0,15,15, 8, 1, 0, 0, 0, 1,16,11,12,10, 0, 0, 0, 0,15, 5, 1,15, 1, 0, 0, 0, 8,11, 3,16, 0, 0, 0, 0, 1,10,16, 7, 0, 0), 6),
    (( 0, 0,13,16,13, 1, 0, 0, 0, 3,16,13,16, 8, 0, 0, 0, 0, 9,11,16, 7, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 0,11,15,12, 1, 0, 0, 0, 0, 0, 1,14,10, 0, 0, 1,11, 6, 4, 8,16, 3, 0, 0,13,16,16,16,16, 2), 3),
    (( 0, 0, 0, 0,11,16, 3, 0, 0, 0, 1,11,16,16, 8, 0, 0, 3,13,16,16,16, 5, 0, 0,10,16,11, 9,16, 6, 0, 0, 1, 4, 0,11,16, 4, 0, 0, 0, 0, 0,12,16, 2, 0, 0, 0, 0, 0,13,15, 1, 0, 0, 0, 0, 0, 8,16, 5, 0), 1),
    (( 0, 0, 5,13, 9, 7, 0, 0, 0, 0,14,16,16,16, 6, 0, 0, 2,14, 7, 6,10,10, 0, 0, 5,11, 0, 0, 8, 8, 0, 0, 4,12, 0, 0, 8, 8, 0, 0, 4,15, 1, 0, 9, 7, 0, 0, 0,14, 9, 6,16, 2, 0, 0, 0, 5,15,16, 7, 0, 0), 0),
    (( 0, 0, 1,14,10, 0, 0, 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 0,13,16, 1, 0, 0, 0, 0, 0,16,11, 0, 0, 0, 0, 0, 2,16,15,11, 6, 1, 0, 0, 3,16,16,16,16,11, 0, 0, 0,12,16,14,16,11, 0, 0, 0, 1,10,15,11, 2, 0), 6),
    (( 0, 0, 8,15,11, 3, 0, 0, 0, 4,15, 8,16,16, 6, 0, 0, 7,13, 4,15,11, 1, 0, 0, 0,14,14,10, 1, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 0,11,13,16, 3, 0, 0, 0, 0,16, 6,16, 4, 0, 0, 0, 0,11,16,13, 2, 0, 0), 8),
    (( 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 9,16,11, 0, 0, 0, 4, 8,16,16, 6, 0, 0, 0,15,16,16,16, 4, 0, 0, 0, 5, 9, 4,16, 4, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 2,14, 9, 0, 0), 1),
    (( 0, 0, 6,12,14,14, 2, 0, 0,12,16,11, 4, 5, 2, 0, 0, 4,14, 5, 0, 0, 0, 0, 0, 0, 9,13, 1, 0, 0, 0, 0, 0, 2,13,15, 6, 0, 0, 0, 0, 0, 2,11,15, 6, 0, 0, 0, 8, 6, 6,15, 8, 0, 0, 0, 6,16,16, 9, 0, 0), 5),
    (( 0, 0, 2,12, 5, 0, 0, 0, 0, 1,13,16,13, 2, 0, 0, 0, 3,16,10,14,11, 0, 0, 0, 7,16, 8, 5,16, 4, 0, 0, 7,16, 8, 1,14, 5, 0, 0, 2,15, 9, 1,15, 5, 0, 0, 0,11,14,11,15, 2, 0, 0, 0, 3,16,15, 3, 0, 0), 0),
    (( 0, 0,10,15, 9, 2, 0, 0, 0, 7,16, 9,12,13, 0, 0, 0, 8,11, 0, 0,13, 2, 0, 0, 5,12, 0, 0, 8, 8, 0, 0, 8,10, 0, 0,10, 6, 0, 0, 5,11, 0, 0,14, 2, 0, 0, 2,16, 9,14,12, 0, 0, 0, 0, 7,14, 9, 0, 0, 0), 0),
    (( 0, 0, 0, 9,16,10, 0, 0, 0, 0, 3,15,12,15, 4, 0, 0, 1,12,14, 1,15,11, 0, 0, 8,16,12,14,16, 7, 0, 0, 7,16,16,16,12, 0, 0, 0, 0, 7, 8,16, 5, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0), 9),
    (( 0, 0, 8,15,16, 8, 0, 0, 0, 5,16,12,11,16, 0, 0, 0, 3, 8, 1,12,13, 0, 0, 0, 0, 0,11,16,13, 1, 0, 0, 0, 0, 5, 8,15, 9, 0, 0, 0, 2, 1, 0, 9,11, 0, 0, 0,14,12, 5,15, 7, 0, 0, 0, 9,16,16,13, 1, 0), 3),
    (( 0, 0, 9,13,16, 6, 0, 0, 0, 2,16,14,16, 2, 0, 0, 0, 0, 2,14, 8, 0, 0, 0, 0, 0, 4,16,13, 6, 0, 0, 0, 0, 0, 4,12,16, 6, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 5, 7,12,15, 1, 0, 0, 0,12,16,11, 1, 0, 0), 3),
    (( 0, 3,16, 5, 0, 3, 5, 0, 0, 7,16, 5, 0,12,14, 0, 0,10,16, 2, 9,16, 5, 0, 0, 7,16,14,16,13, 0, 0, 0, 0, 7,16,15, 5, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0), 4),
    (( 0, 1, 9,13,14,13, 8, 0, 0, 4,14, 4, 4, 4, 2, 0, 0, 4,12, 0, 0, 0, 0, 0, 0, 5,15,16,16, 6, 0, 0, 0, 0, 4, 0, 4,16, 3, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 3, 2, 5,16, 6, 0, 0, 0,10,16,15, 8, 1, 0), 5),
    (( 0, 0,10,15,11, 2, 0, 0, 0, 2,16, 7,14,10, 0, 0, 0, 3,16, 1, 9,16, 1, 0, 0, 0,11,14,15,16, 5, 0, 0, 0, 1, 4, 5,10, 7, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 9, 8, 9,15, 6, 0, 0, 0, 7,15,12, 6, 0, 0), 9),
    (( 0, 6,16,16,16,12, 0, 0, 0, 0, 7, 9,15,13, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 6,12,14,16, 9, 5, 0, 0, 8,13,16,11,11, 5, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0), 7),
    (( 0, 0, 9,16,11, 2, 0, 0, 0, 9,16, 8,13, 8, 0, 0, 0, 8, 6, 0, 0,12, 0, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 8,16, 6, 4, 4, 0, 0, 0,12,15,15,16,13, 0), 2),
    (( 0, 1,14,12, 1, 0, 0, 0, 0, 7,16,16,13, 0, 0, 0, 0, 6,14, 3,16, 2, 0, 0, 0, 2,12, 0,14, 6, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 2,12,16,16,12,10, 0, 0, 0,15,16,16,16,16, 6), 2),
    (( 0, 0, 0, 1,10,16, 4, 0, 0, 0, 1,13,16,16, 3, 0, 0, 0,11,15, 9,16, 3, 0, 0,11,16, 9,14,13, 0, 0, 0,10,16,16,16,16, 9, 0, 0, 1, 4, 4,16, 9, 2, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 0,13, 9, 0, 0), 4),
    (( 0, 1, 6, 8,11,16, 6, 0, 0, 5,16,16,12, 9, 4, 0, 0, 8,13, 1, 0, 0, 0, 0, 0, 6,16,11, 4, 0, 0, 0, 0, 0, 7,12,16,10, 0, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 1, 5,14,11, 0, 0, 0, 0, 9,15, 9, 1, 0, 0), 5),
    (( 0, 0, 9,12,14,16, 8, 0, 0, 1,12,12,10,14,11, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 1,10, 8,12,16, 7, 0, 0, 2,16,16,16,16,10, 0, 0, 0, 2,14,10, 5, 1, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0), 7),
    (( 0, 0,11,16,13,12, 3, 0, 0, 3,16,11, 8, 8, 1, 0, 0, 5,16, 9, 9, 1, 0, 0, 0, 8,16,16,16, 6, 0, 0, 0, 6,11, 3, 9,11, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0,10,14,11,16, 0, 0, 0, 0, 9,12,12, 6, 0, 0), 5),
    (( 0, 0,15,16,16,12, 1, 0, 0, 5,16,13,11,16, 4, 0, 0, 1,16, 2, 3,15, 4, 0, 0, 0,11,11,15,11, 0, 0, 0, 0, 4,16,14, 1, 0, 0, 0, 0,13,16, 8, 0, 0, 0, 0, 2,16,14,11, 0, 0, 0, 0, 0,12,16, 7, 0, 0, 0), 8),
    (( 0, 0, 0, 3,12, 5, 0, 0, 0, 0, 8,16,12, 4, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 6,16,14, 9, 2, 0, 0, 0, 4,16,11,10,15, 3, 0, 0, 0,14, 3, 0, 6,10, 0, 0, 0, 5,15, 5,12, 9, 0, 0, 0, 0, 5,15,11, 2, 0), 6),
    (( 0, 0,12,16,16,10, 0, 0, 0, 0,13,13, 8,16, 5, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 1, 8,13,15, 2, 0, 0, 0, 7,16,16,15, 3, 0, 0, 0, 0, 3, 4,11,15, 0, 0, 1,11, 0, 2,13,15, 0, 0, 1,13,16,16,14, 6, 0), 3),
    (( 0, 1,12,12, 1, 0, 0, 0, 0, 4,14,12,10, 0, 0, 0, 0, 7,11, 4,12, 0, 0, 0, 0, 2,12, 7,12, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 1,14, 9, 0, 0, 0, 0, 0,13,16,16,15, 6, 0, 0, 0, 9,12,12,12, 7, 0), 2),
    (( 0, 0, 6,15, 8, 0, 0, 0, 0, 2,15, 7,16, 5, 0, 0, 0, 6,11, 1,10,14, 2, 0, 0, 7, 7, 0, 0,10, 6, 0, 0, 7, 5, 0, 0, 8, 8, 0, 0, 4,10, 0, 0,10, 7, 0, 0, 0,12, 8, 4,15, 2, 0, 0, 0, 2,12,12, 8, 0, 0), 0),
    (( 0, 1,14,15, 5, 0, 0, 0, 0, 3,16,15,15, 3, 0, 0, 0, 3,16, 9,16, 5, 0, 0, 0, 0, 5, 6,16, 4, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 9,16,14, 8, 7, 0, 0, 0,15,16,16,16,16, 6), 2),
    (( 0, 0, 8,15,16, 7, 0, 0, 0, 5,16,11, 1,12, 0, 0, 0, 0,14, 4,12, 7, 0, 0, 0, 0, 3,14,12, 1, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0,11,10,12, 0, 0, 0, 0, 0,13, 3,16, 0, 0, 0, 0, 0, 7,14,12, 0, 0, 0), 8),
    (( 0, 0, 6,14,14, 4, 0, 0, 0, 0,14,15, 6,13, 2, 0, 0, 0, 7,16,16,15, 1, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0, 0,14, 1, 0, 0, 0, 0, 0, 0, 4,11, 0, 0, 0, 3,10, 4, 0,13, 0, 0, 0, 0, 9,12,16,12, 0, 0), 9),
    (( 0, 0, 4,13,15, 6, 0, 0, 0, 4,15, 6, 7,15, 2, 0, 0, 8,14, 0, 4,16, 5, 0, 0, 2,15,10,14, 7, 0, 0, 0, 0, 7,16,14, 0, 0, 0, 0, 0,12, 9,15, 6, 0, 0, 0, 0,12, 8,11, 8, 0, 0, 0, 0, 3,15,15, 3, 0, 0), 8),
    (( 0, 0, 9,16,13, 2, 0, 0, 0, 3,16, 9,12,12, 0, 0, 0, 4,16, 0, 0,16, 0, 0, 0, 1, 8, 0, 2,16, 0, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 1,11, 9, 0, 0, 0, 0, 4,11,16,10, 7, 0, 0, 0, 9,12, 8, 9,13, 0), 2),
    (( 0, 2,11,14, 7, 1, 0, 0, 0,10,15,13,16, 4, 0, 0, 0,11,12, 5,16, 3, 0, 0, 0, 1, 2,15,14, 0, 0, 0, 0, 0, 5,12,15,11, 1, 0, 0, 0, 0, 0, 2,14,10, 0, 0, 0, 8,12,12,16,11, 0, 0, 0, 9,15,11, 8, 1, 0), 3),
    (( 0, 2,16, 9, 0, 0, 0, 0, 0, 2,16,16,10, 1, 0, 0, 0, 0, 1, 7,16,13, 0, 0, 0, 1, 5, 0, 8,16, 3, 0, 0, 4, 8, 0, 0,12, 7, 0, 0, 5,10, 0, 5,15, 4, 0, 0, 8,15,14,16,10, 0, 0, 0, 3,15,15, 8, 1, 0, 0), 0),
    (( 0, 0, 5,12,14,16, 5, 0, 0, 6,16,15,10,16, 6, 0, 0, 0, 3, 0, 3,16, 2, 0, 0, 0, 1, 4,14,13, 2, 0, 0, 7,16,16,16,16,11, 0, 0, 4, 9,14,12, 1, 1, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0), 7),
    (( 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 9,14, 2, 0, 3, 3, 0, 4,16, 3, 0, 2,16, 3, 0, 5,16, 9, 8,13,12, 0, 0, 2,16,16,16,14, 2, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 0,15, 7, 0, 0, 0), 4),
    (( 0, 0, 3,11,16,15, 5, 0, 0, 0,10, 6, 4,12,10, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 4,12,10,12,16, 3, 0, 0, 2, 8, 5,16, 9, 0, 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 0,15, 1, 0, 0, 0), 7),
    (( 0, 1,10,16,16,12, 2, 0, 0, 8,11, 8, 5,12, 8, 0, 0, 1, 0, 0, 5,15, 7, 0, 0, 0,10,15,16, 9, 0, 0, 0, 0, 5, 9,16, 9, 0, 0, 0, 0, 0, 0, 3,16, 0, 0, 0, 1, 8, 2, 5,16, 0, 0, 0, 2,14,16,12, 5, 0, 0), 3),
    (( 0, 2,12,16,16, 3, 0, 0, 0,11,10, 5,16, 4, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 0, 6,15, 3, 0, 0, 0, 3, 1, 0,11,11, 0, 0, 1,16,16,16,16, 9, 0), 3),
    (( 0, 0, 3,15, 1, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 0, 7,10, 0, 1, 3, 0, 0, 0, 8, 9, 4,15,15, 2, 0, 0, 3,16, 6, 0, 9, 8, 0, 0, 0,16,14, 9,15, 7, 0, 0, 0, 3,13,16, 9, 0, 0), 6),
    (( 0, 0, 1,15,11, 1, 0, 0, 0, 0, 5,16,16, 7, 0, 0, 0, 0, 0,14,16,14, 0, 0, 0, 0, 0,14,16,16, 2, 0, 0, 0, 2,16,16,16, 2, 0, 0, 0, 0,14,16,15, 1, 0, 0, 0, 1,16,16,16, 3, 0, 0, 0, 2,12,16,15, 5, 0), 1),
    (( 0, 0, 1,15,13, 0, 0, 0, 0, 0, 3,16,16, 2, 0, 0, 0, 1,12,16,12, 0, 0, 0, 0, 8,16,16, 8, 0, 0, 0, 0, 2,12,16, 6, 0, 0, 0, 0, 0, 7,16, 7, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 1,14, 9, 0, 0, 0), 1),
    (( 0, 0, 6,16,12, 2, 0, 0, 0, 6,16, 9,11,11, 0, 0, 0, 7,14, 0, 5,14, 0, 0, 0, 3, 6, 0, 7,11, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 4,16,10, 4, 3, 0, 0, 0, 7,16,13,14,16, 3), 2),
    (( 0, 0, 4,14,14, 4, 0, 0, 0, 5,14, 3, 1, 4, 0, 0, 0, 8,12, 0, 2, 2, 0, 0, 0, 4,15,12,16,16, 8, 0, 0, 0,14,16, 9, 0, 0, 0, 0, 4,16,11,15, 2, 0, 0, 0, 2,15, 8,12,12, 0, 0, 0, 0, 4,12,16,10, 0, 0), 8),
    (( 0, 0, 3,14,12, 0, 0, 0, 0, 1,16,16,16, 7, 0, 0, 0, 6,16,12,16,16, 2, 0, 0, 3,16,16,12,16, 4, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 1,11,15,15, 2, 0, 0, 0, 4,13, 9, 3, 0, 0), 9),
    (( 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 1,14,11, 0, 0, 0, 0, 0, 7,16, 7, 6,16, 5, 0, 0, 0,10,14,16,14, 1, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 0), 4),
    (( 0, 0, 7,16,12, 1, 0, 0, 0, 0, 9,12, 9,11, 0, 0, 0, 0, 5,13,10,16, 3, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0, 3,15, 0, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 6,16,16,16,12, 0), 9),
    (( 0, 0, 4,12, 1, 0, 0, 0, 0, 0,11,16,16, 7, 0, 0, 0, 0,15,15,10,16, 4, 0, 0, 3,16, 2, 0,10, 6, 0, 0, 3,16, 1, 0, 7, 9, 0, 0, 2,16, 2, 2,12,12, 0, 0, 0,13,11,14,16, 7, 0, 0, 0, 3,12,13, 5, 0, 0), 0),
    (( 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 3,16, 6,15, 0, 0, 0, 0, 9,11, 7,14, 0, 0, 0, 1,15, 6,12,13, 1, 0, 0, 7,16,16,16,16,11, 0, 0, 5,12,13,16, 8, 3, 0, 0, 0, 0,12,12, 0, 0, 0), 4),
    (( 0, 0, 4,13,16, 8, 0, 0, 0, 5,16, 8,10,12, 0, 0, 0, 8, 9, 0, 8,12, 0, 0, 0, 0, 0, 2,11,10, 2, 0, 0, 0, 3,16,16,16, 9, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0), 7),
    (( 0, 0, 5,12,14, 0, 0, 0, 0, 2,14,10,15, 0, 0, 0, 0, 3,15,11,11, 0, 0, 0, 0, 2,12,15,11, 2, 0, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 0, 1,14, 4, 0, 0, 0, 2, 7, 4,14, 3, 0, 0, 0, 3,13,14,10, 0, 0), 3),
    (( 0, 0, 6,13,14, 6, 0, 0, 0, 0,16,13, 6,16, 3, 0, 0, 0,13,10, 5,16, 2, 0, 0, 0, 4,16,16,12, 1, 0, 0, 0,12,16,13, 0, 0, 0, 0, 2,16, 7,14, 9, 0, 0, 0, 3,16, 5, 9,14, 0, 0, 0, 0, 8,15,16, 8, 0, 0), 8),
    (( 0, 2, 9,12,13, 4, 0, 0, 0,14,16,13,16,11, 0, 0, 0, 5, 4, 7,16, 4, 0, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0, 0,14,16, 1, 0, 0, 0, 7,11,16,13, 1, 0, 0, 0, 8,12, 7, 2, 0, 0), 3),
    (( 0, 0, 1,16,15, 5, 0, 0, 0, 0, 9,16,16,12, 0, 0, 0, 2,16,16,16, 7, 0, 0, 0, 0,12,16,16, 2, 0, 0, 0, 0, 8,16,16, 5, 0, 0, 0, 0,15,16,16,11, 0, 0, 0, 0,15,16,16,16, 8, 0, 0, 0, 2,10,15,11, 4, 0), 1),
    (( 0, 0, 5,14,11, 2, 0, 0, 0, 3,16,10,15,13, 0, 0, 0, 8,13, 0,14,16, 1, 0, 0, 3,16,13,16,15, 3, 0, 0, 0, 3,16,16, 3, 0, 0, 0, 0, 1,16,16,14, 0, 0, 0, 0, 6,16,13,16, 4, 0, 0, 0, 5,15,12,12, 1, 0), 8),
    (( 0, 0, 8,12,12, 0, 0, 0, 0, 5,14, 2, 9, 8, 0, 0, 0, 4,14, 1,11, 4, 0, 0, 0, 0, 7,14,12, 1, 0, 0, 0, 0,11,11,12, 4, 0, 0, 0, 3,14, 0, 2,12, 5, 0, 0, 4,12, 0, 0, 1,12, 0, 0, 0, 9,11,12,12, 4, 0), 8),
    (( 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0,13,15, 2, 0, 0, 0, 0,11,15, 8,11, 4, 0, 0, 9,16,15,14,16,11, 0, 0, 2, 7,11,13,16, 4, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 0,15,16, 2, 0), 4),
    (( 0, 0,12,16, 7, 0, 0, 0, 0, 1,16, 9,15, 2, 0, 0, 0, 0, 3, 0,12, 4, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 1,11,16, 7, 0, 0, 0, 0, 7,16,16,11, 6, 2, 0, 0, 1, 8,11,12,13, 7, 0), 2),
    (( 0, 0, 0, 2, 9,15, 9, 0, 0, 0, 8,14, 7, 9,12, 0, 0, 3,16, 5, 4,13, 6, 0, 0, 2,10,12,15,14, 0, 0, 0, 0, 0, 0, 1,13, 3, 0, 0, 0, 0, 0, 2,16, 0, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0,12, 6, 0, 0), 9),
    (( 0, 0, 8,15,14, 1, 0, 0, 0, 0,15,15, 7, 0, 0, 0, 0, 0,14,15, 9, 2, 0, 0, 0, 0,10,15,14,14, 3, 0, 0, 0, 1, 1, 0,11,12, 0, 0, 0, 0, 0, 0, 3,16, 1, 0, 2,14, 6, 4, 7,16, 3, 0, 0, 9,16,16,16,13, 1), 5),
    (( 0, 0,10,15,16,16, 9, 0, 0, 1,10, 2, 0,10,14, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 0,13,11, 1, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 0, 5,15, 5, 0, 0, 0, 0, 5, 4,12,11, 0, 0, 0, 0, 9,16,10, 2, 0, 0), 3),
    (( 0, 4,15,16,16,12, 1, 0, 0,15,13, 5, 5,16, 8, 0, 0, 7, 3, 0,10,16, 4, 0, 0, 0, 1,11,16,10, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 0, 1, 7,16, 6, 0, 0, 0, 3, 8, 6,16,10, 0, 0, 0, 5,16,16,12, 1, 0, 0), 3),
    (( 0, 0, 1,12,12, 1, 0, 0, 0, 0,10,13,12, 9, 0, 0, 0, 2,16, 6, 1,13, 3, 0, 0, 6,16, 2, 0,12, 8, 0, 0, 2,16, 1, 0, 8, 8, 0, 0, 0,14, 5, 0, 9, 9, 0, 0, 0, 5,15, 4,14, 6, 0, 0, 0, 0,14,15, 7, 0, 0), 0),
    (( 0, 0, 2,16,16, 4, 0, 0, 0, 0, 8,16,16,12, 0, 0, 0, 0,14,16,16, 0, 0, 0, 0, 2,16,16,14, 4, 0, 0, 0, 8,16,16,10, 2, 0, 0, 0, 8,16,16,14, 2, 0, 0, 0, 0,16,16,16,14, 2, 0, 0, 0, 2, 8,16,10, 0, 0), 1),
    (( 0, 1,10,13, 4, 0, 0, 0, 0, 9,13, 8,14, 2, 0, 0, 0, 5,10, 0,14, 4, 0, 0, 0, 1, 2, 0,12, 7, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 6,15,11, 4, 2, 0, 0, 0,12,16,16,16,15, 0), 2),
    (( 0, 0, 7,16,14, 2, 0, 0, 0, 6,14, 8,16, 9, 0, 0, 0, 1, 2, 2,16, 8, 0, 0, 0, 0, 0,12,16, 5, 0, 0, 0, 0, 0, 5,13,16, 3, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 1, 8,14,14, 1, 0, 0, 0, 7,15, 6, 1, 0, 0), 3),
    (( 0, 0, 5,14,16, 6, 0, 0, 0, 2,15,10, 7,15, 0, 0, 0, 0, 3, 0, 9, 7, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 2,11,16, 3, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 8, 8, 7,15, 3, 0, 0, 0, 7,15,13, 6, 0, 0), 3),
    (( 0, 0, 7,11,16,13, 4, 0, 0, 4,16,16,16,16,11, 0, 0, 4,16,16,16,16, 8, 0, 0, 0, 4,11,14,13, 1, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 4,10,16, 5, 0, 0, 0, 0, 9,12, 7, 0, 0, 0), 9),
    (( 0, 0,10,16,16,15, 5, 0, 0, 0, 5, 5, 7,15,10, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 6,12,13,16, 3, 0, 0, 0, 7,14,16,13, 7, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0), 7),
    (( 0, 0, 0,10,16,13, 7, 0, 0, 0, 2, 9,10,15,11, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 1, 7, 9,16, 5, 0, 0, 0, 7,16,16,15, 5, 0, 0, 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0,16, 8, 0, 0, 0), 7),
    (( 0, 0, 3,13,16,16, 9, 0, 0, 0, 3, 9,11,16, 6, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 3,12,13,16,15, 4, 0, 0, 4,13,14,16,12, 3, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0), 7),
    (( 0, 4, 8, 8,12,16, 5, 0, 0, 8,16,16,16,15, 3, 0, 0, 2, 3, 7,16, 7, 0, 0, 0, 0, 0,12,14, 1, 0, 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 0,14,16, 0, 0, 0, 0, 0, 6,16,12, 0, 0, 0, 0, 0, 6,14, 7, 0, 0, 0, 0), 7),
    (( 0, 0, 3,13,14, 3, 0, 0, 0, 0,15,16,16,12, 0, 0, 0, 4,16, 8, 6,16, 0, 0, 0, 5,16, 7, 1,15, 3, 0, 0, 8,16, 6, 0,16, 5, 0, 0, 4,16, 7, 0,15, 6, 0, 0, 3,15,14,12,16, 4, 0, 0, 0, 3,15,15, 8, 0, 0), 0),
    (( 0, 1,10,16,16,14, 0, 0, 0,10,16,10, 6, 4, 0, 0, 0, 7,14, 3, 0, 0, 0, 0, 0, 9,16,16,11, 1, 0, 0, 0, 5,11, 4,13, 5, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 1, 3,15, 4, 0, 0, 0, 0,14,14,10, 0, 0, 0), 5),
    (( 0, 0, 7,15,14, 2, 0, 0, 0, 0, 9,16,16,11, 0, 0, 0, 0, 3,16,16,11, 0, 0, 0, 0, 5,16,16,13, 0, 0, 0, 0, 6,16,16,14, 0, 0, 0, 0, 6,16,16,12, 0, 0, 0, 0, 7,16,16,15, 6, 0, 0, 0, 4,16,16,15, 7, 0), 1),
    (( 0, 0, 1,13,13, 2, 0, 0, 0, 0, 5,15,13,13, 0, 0, 0, 1,13, 5, 0,14, 1, 0, 0, 3,16, 7, 0, 8, 8, 0, 0, 4, 9, 0, 0, 8, 8, 0, 0, 2,13, 1, 0, 7,11, 0, 0, 0,14,14, 9,16, 7, 0, 0, 0, 3,12,16, 9, 0, 0), 0),
    (( 0, 0, 2,15,16,13, 1, 0, 0, 0, 3, 7,10,16,10, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 2, 8,15, 5, 0, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 4,14, 1, 0, 0, 0), 7),
    (( 0, 0, 3, 8,10,12, 6, 0, 0, 0,13,15,11, 8, 2, 0, 0, 0,12,11, 2, 0, 0, 0, 0, 0,13,16,16, 9, 1, 0, 0, 0, 0, 4, 6,13, 6, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 5, 5,13,11, 0, 0, 0, 0,13,14, 7, 0, 0, 0), 5),
    (( 0, 2,11,15,16,10, 0, 0, 0, 5,12, 9,16,15, 0, 0, 0, 0, 0,11,15, 5, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 0, 8,15,16, 8, 0, 0, 0, 0, 0, 2, 9,16, 5, 0, 0, 0, 7,11,15,14, 3, 0, 0, 0,15,13, 7, 0, 0, 0), 3),
    (( 0, 0, 1, 8,16, 8, 0, 0, 0, 2,14,13,12,16, 2, 0, 0,10, 9, 0, 7,15, 1, 0, 0, 3,14, 9,15, 2, 0, 0, 0, 0,10,16,12, 2, 0, 0, 0, 0,12, 6, 5,15, 3, 0, 0, 0, 9, 8, 0,13, 7, 0, 0, 0, 0, 8,16,12, 1, 0), 8),
    (( 0, 0, 0,10,16, 7, 0, 0, 0, 0, 0, 9,16,16, 2, 0, 0, 0, 0,11,16,14, 0, 0, 0, 0, 0,14,16,12, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 2,15,16,16, 7, 0, 0, 0, 3,10,16,16, 8, 0, 0, 0, 0, 0,11,16,15, 3, 0), 1),
    (( 0, 0, 6,11,16,14, 2, 0, 0, 1,16,15, 7, 4, 1, 0, 0, 4,16,13, 2, 0, 0, 0, 0, 6,16,16,16, 8, 0, 0, 0, 1, 6, 5,11,16, 3, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 1, 5,11,16, 2, 0, 0, 0, 7,15,10, 5, 0, 0), 5),
    (( 0, 0,11,16,14, 7, 1, 0, 0, 7,15, 7,13,16, 4, 0, 0,10,12, 0, 5,16, 6, 0, 0, 3,16,12,15,16, 8, 0, 0, 0, 2, 4, 7,16, 6, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 7,10,10,15, 2, 0, 0, 0,11,16,14, 6, 0, 0), 9),
    (( 0, 0, 5, 8, 0, 0, 0, 0, 0, 0,12,16,13, 7, 0, 0, 0, 0,15,15,13,16, 3, 0, 0, 3,15, 0, 0,10, 6, 0, 0, 3,13, 0, 0, 7, 9, 0, 0, 4,16, 0, 1,12,12, 0, 0, 1,15,12,14,16, 9, 0, 0, 0, 6,14,14, 9, 1, 0), 0),
    (( 0, 0, 8,13,11, 2, 0, 0, 0, 7,15, 9,13,11, 0, 0, 0,12,15, 0, 0,15, 4, 0, 0, 4,16, 0, 0,13, 6, 0, 0, 5,13, 0, 0,11, 7, 0, 0, 4,16, 0, 0,14, 7, 0, 0, 1,15, 8,10,16, 4, 0, 0, 0, 6,15,16,10, 0, 0), 0),
    (( 0, 0, 2,15, 9, 2, 0, 0, 0, 0, 5,16,15, 0, 0, 0, 0, 0, 8,16,10, 0, 0, 0, 0, 0, 7,16, 9, 0, 0, 0, 0, 0,13,16,10, 0, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0, 8,16,10, 0, 0, 0, 0, 0, 4,14, 8, 0, 0, 0), 1),
    (( 0, 0, 9,15, 7, 1, 0, 0, 0, 5,16, 7,12,14, 0, 0, 0,10,10, 0, 8,16, 0, 0, 0, 6,12, 0, 5,16, 4, 0, 0, 0,12,13,15,16, 3, 0, 0, 0, 0, 0, 1,13,10, 0, 0, 0, 2, 4, 5,13,11, 0, 0, 0, 8,16,12, 8, 1, 0), 9),
    (( 0, 0, 3,11,14,11, 8, 4, 0, 0, 3, 8, 8,10,16, 6, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 3,11,16, 9, 0, 0, 0, 0,11,16, 8, 3, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0), 7),
    (( 0, 0, 6,15,11, 1, 0, 0, 0, 0,15, 7,13,15, 2, 0, 0, 5,14, 0, 2,16, 4, 0, 0, 3,15, 8,10,16, 4, 0, 0, 0, 6,12,10,14, 8, 0, 0, 2, 3, 0, 0,12, 7, 0, 0, 9,15, 8, 8,16, 3, 0, 0, 0, 7,15,15, 4, 0, 0), 9),
    (( 0, 1,14,15, 4, 0, 0, 0, 0, 6,15,12,14, 0, 0, 0, 0, 4,16, 4,16, 4, 0, 0, 0, 0, 6, 4,16, 3, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 1,14,11, 0, 0, 0, 0, 0,13,16,10, 8, 9, 1, 0, 2,14,16,16,16,16, 6), 2),
    (( 0, 5,16,15, 5, 0, 0, 0, 0, 3, 9,13,15, 1, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0,12,16,13,10, 7, 0, 0, 7,16,14,12,12, 9, 0), 2),
    (( 0, 0,13,16, 5, 0, 0, 0, 0, 0,16,12,15, 0, 0, 0, 0, 0, 3, 3,12, 4, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 5,14,16, 9, 4, 0, 0, 0,15,16,13,12,16, 2), 2),
    (( 0, 3,13,14, 7, 1, 0, 0, 0, 6,12, 8,13, 6, 0, 0, 0, 1, 0, 0,10, 7, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 0, 9,14,15, 4, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 1, 8, 8,10,16, 3, 0, 0, 4,14,16,11, 2, 0, 0), 3),
    (( 0, 0, 4,14,15, 6, 0, 0, 0, 0,13, 5, 9,11, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0, 1, 9,16, 4, 0, 0, 0, 0, 3, 9, 9,15, 1, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 8,14, 8, 5,16, 4, 0, 0, 0, 6,14,15, 8, 0, 0), 3),
    (( 0, 0, 5,11, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0, 4,12, 3, 4, 0, 0, 0, 0, 8,16,16,16,14, 1, 0, 0, 5,16, 4, 3, 9, 8, 0, 0, 0,14, 7, 5,11,12, 0, 0, 0, 5,15,16,11, 4, 0), 6),
    (( 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 1,15, 9, 5, 0, 0, 0, 0,11,15,15,12, 0, 0, 0, 3,16,11,16,10, 2, 0, 0,13,16,16,16,16, 8, 0, 0, 5, 8,12,16, 7, 0, 0, 0, 0, 0, 8,16, 2, 0, 0), 4),
    (( 0, 1, 9,13,12, 6, 0, 0, 0, 5,16,13, 8,10, 2, 0, 0, 4,14, 1, 0, 0, 0, 0, 0, 2,16,14, 4, 0, 0, 0, 0, 5,16,15,16, 4, 0, 0, 0, 0, 0, 1,11,16, 3, 0, 0, 0, 6, 6,15,15, 1, 0, 0, 0, 7,13,10, 3, 0, 0), 5),
    (( 0, 0, 4,14,11, 0, 0, 0, 0, 3,16, 9,15, 7, 0, 0, 0, 9,15, 0, 4,14, 2, 0, 0, 8,13, 0, 0,12, 6, 0, 0, 8,12, 0, 0,11, 7, 0, 0, 6,14, 1, 0,14, 4, 0, 0, 0,14,11, 8,16, 1, 0, 0, 0, 5,16,14, 6, 0, 0), 0),
    (( 0, 0, 3,12,11, 1, 0, 0, 0, 0, 9,13,10,10, 0, 0, 0, 0, 5,13,11,13, 0, 0, 0, 0, 0, 7,12,14, 5, 0, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0, 0, 0, 1,15, 0, 0, 0, 8, 8, 4, 4,13, 5, 0, 0, 3,10,16,16,16, 5), 9),
    (( 0, 0, 6,12,12, 2, 0, 0, 0, 4,14, 0, 9, 6, 0, 0, 0, 5,13, 0,12, 3, 0, 0, 0, 0, 7,14,12, 0, 0, 0, 0, 0, 1,12,13,10, 0, 0, 0, 0,10, 3, 1,12, 6, 0, 0, 7,10, 0, 0,11, 8, 0, 0, 1,10,13,12, 9, 1, 0), 8),
    (( 0, 0, 0,14,14, 0, 0, 0, 0, 0, 5,16,12, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0,12,16, 4, 0, 0, 0, 0, 0,12,16, 1, 0, 0, 0, 0, 0,12,16, 0, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 0, 1,13,15, 2, 0, 0), 1),
    (( 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 1,15,12, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 3,16,14,12, 4, 0, 0, 0, 2,16,15,13,16, 6, 0, 0, 0, 9,15, 5,13,13, 0, 0, 0, 0, 7,14,14, 6, 0), 6),
    (( 0, 0, 1,11,14, 4, 0, 0, 0, 1, 7,14,14,15, 1, 0, 0, 6,13, 0, 0,11, 5, 0, 0, 8, 9, 0, 0, 4, 8, 0, 0, 5,12, 0, 0, 4, 8, 0, 0, 1,15, 2, 0,10, 8, 0, 0, 0, 9,16,16,16, 2, 0, 0, 0, 1,12,14, 9, 0, 0), 0),
    (( 0, 0, 0,10,13, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0,13, 6, 3, 8, 1, 0, 0, 0,12,14,16,14,14, 2, 0, 0, 7,16,13, 6,11, 8, 0, 0, 0,10,15,16,13, 2), 6),
    (( 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 1,15, 5, 2, 4, 0, 0, 0,10,10, 2,16, 6, 0, 0, 4,16, 3, 9,14, 0, 0, 1,15,14,12,15,10, 0, 0, 5,15,12,11,16, 4, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0, 9,12, 0, 0, 0), 4),
    (( 0, 0,10,13, 2, 0, 0, 0, 0, 6,16,14, 9, 0, 0, 0, 0, 3,12, 2,13, 0, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0,10,16, 9, 8,10, 2, 0, 0, 6,12,13,12,11, 2), 2),
    (( 0, 0, 1,15,11, 1, 0, 0, 0, 0, 3,16,16, 2, 0, 0, 0, 0, 3,16,16, 1, 0, 0, 0, 0, 1,16,16, 2, 0, 0, 0, 0, 4,16,14, 0, 0, 0, 0, 0, 2,16,16, 0, 0, 0, 0, 0, 2,16,14, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0), 1),
    (( 0, 0, 8,16, 8, 0, 0, 0, 0, 9,16,13,16, 5, 0, 0, 0, 7, 3, 6,16, 4, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 0,16,11, 4, 6, 8, 0, 0, 0, 7,16,16,11, 7, 0), 2),
    (( 0, 0, 2, 8,15,14, 0, 0, 0, 1,14,12, 8,16, 0, 0, 0, 6,12, 1, 5,13, 0, 0, 0, 1, 2, 1,14, 5, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 0,16, 8,11, 7, 0, 0, 0, 0, 9,13, 7, 0, 0), 2),
    (( 0, 0, 4,15,16, 5, 0, 0, 0, 0, 7,16,16,13, 0, 0, 0, 0,15,16,16, 9, 0, 0, 0, 0,13,16,16, 7, 0, 0, 0, 2,14,16,16, 7, 0, 0, 0, 0,10,16,16, 5, 0, 0, 0, 0, 6,16,16,10, 2, 0, 0, 0, 2,10,14, 3, 0, 0), 1),
    (( 0, 0, 3,12, 6, 0, 0, 0, 0, 0,11,11, 1, 0, 0, 0, 0, 1,13, 1, 0, 0, 0, 0, 0, 3,12, 0, 4, 3, 0, 0, 0, 6,10,13,16,15, 2, 0, 0, 4,16,12, 1, 2,10, 0, 0, 0,14, 4, 7,13, 7, 0, 0, 0, 3,16,14, 8, 0, 0), 6),
    (( 0, 0, 3,12,14, 8, 5, 0, 0, 2,14, 8,10,16,14, 0, 0, 4,12, 0, 4,16,11, 0, 0, 2,16,10,13,16, 4, 0, 0, 0, 5, 8, 9,16, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0, 0, 2,13, 6, 0, 0, 0), 9),
    (( 0, 1,13,11,11,13, 5, 0, 0, 8,16, 9, 8, 8, 1, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 4,16,16,14, 6, 0, 0, 0, 2,11, 8, 9,16, 4, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 1, 5, 8,15, 6, 0, 0, 2,14,12,12, 6, 0, 0), 5),
    (( 0, 0, 0, 2,15, 3, 0, 0, 0, 0, 0, 9,13, 0, 2, 0, 0, 0, 7,15, 1, 5,12, 0, 0, 2,16,10, 4,12, 7, 0, 0, 6,13,14,16,16, 5, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 3,12, 0, 0, 0), 4),
    (( 0, 0, 7,16,12, 1, 0, 0, 0, 0,16,11,13,11, 0, 0, 0, 3,16, 2, 4,14, 0, 0, 0, 7,13, 0, 0,13, 1, 0, 0, 4,15, 0, 0,12, 6, 0, 0, 2,16, 4, 0,10, 7, 0, 0, 1,15,10, 8,14, 2, 0, 0, 0, 5,16,15, 5, 0, 0), 0),
    (( 0, 0, 6,16,11, 0, 0, 0, 0, 1,16, 2,12, 9, 0, 0, 0, 4,15, 5,13,10, 0, 0, 0, 0, 9,10, 9,15, 0, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 3, 9, 1, 0, 8, 4, 0, 0, 1, 7,14,16,12, 1, 0), 9),
    (( 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 5,16,13, 4, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 0,16,11,15,11, 0, 0, 0, 0,13,16,13,15, 8, 0, 0, 0, 7,16, 5,13,10, 0, 0, 0, 0, 9,13,13, 3, 0), 6),
    (( 0, 0, 6,15, 2, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 6,16,11, 8, 3, 0, 0, 0, 7,16,16,14,15, 3, 0, 0, 0,16,13, 8,16, 7, 0, 0, 0, 7,16,16,10, 1, 0), 6),
    (( 0, 1, 9,16,14, 6, 0, 0, 0, 5,14, 1, 6,15, 3, 0, 0, 3,14, 2, 5,14, 4, 0, 0, 0, 9,14,15, 3, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0,11,13, 9, 0, 0, 0, 0, 0,15, 4,13, 0, 0, 0, 0, 0,11,16, 7, 0, 0, 0), 8),
    (( 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 4,15, 1, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0, 1,16,12,16,12, 3, 0, 0, 0,15,16, 5, 6,14, 0, 0, 0,12,15, 1, 1,15, 2, 0, 0, 1,12,15,15,10, 0), 6),
    (( 0, 0, 6,15,15, 2, 0, 0, 0, 0, 9,16,16, 5, 0, 0, 0, 0, 9,16,16, 1, 0, 0, 0, 0,11,16,16, 1, 0, 0, 0, 0,14,16,14, 2, 0, 0, 0, 0,14,16,14, 0, 0, 0, 0, 0,15,16,15, 4, 0, 0, 0, 0, 5,16,12, 0, 0, 0), 1),
    (( 0, 0, 2,11,15, 8, 0, 0, 0, 0,14,13,13, 8, 0, 0, 0, 0,14, 8, 8, 4, 0, 0, 0, 0, 7,16,16,14, 2, 0, 0, 0, 1, 4, 1,13, 6, 0, 0, 0, 0, 0, 0, 7,13, 0, 0, 0,10, 7, 2, 7,12, 0, 0, 0, 2,10,14,16, 7, 0), 5),
    (( 0, 0, 7,15,12, 5, 0, 0, 0, 0,15, 7, 6,16, 2, 0, 0, 3,16, 3,10,16, 6, 0, 0, 0,14,16,16,11, 2, 0, 0, 0, 1,14,16, 3, 0, 0, 0, 0, 2,14,15,12, 0, 0, 0, 0,12, 8, 8,16, 0, 0, 0, 0, 9,16,14,10, 0, 0), 8),
    (( 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 2,15,16, 8, 0, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 0,13,16,16,12, 0, 0, 0, 1,13,16,16,12, 0, 0, 0, 0, 1,16,16,15, 0, 0, 0, 0, 0,16,16,16, 3, 0, 0, 0, 0, 9,12,12, 7, 0), 1),
    (( 0, 0, 2,15,11, 0, 0, 0, 0, 0, 8,16,11, 0, 0, 0, 0, 1,13,16, 7, 0, 0, 0, 0, 8,16,16, 7, 0, 0, 0, 0,11, 9,16,12, 0, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0, 5,16,15, 3, 0, 0, 0, 3,16,16,16,15, 1), 1),
    (( 0, 0, 6,16, 8, 0, 0, 0, 0, 2,16,14,15, 0, 0, 0, 0, 2,16,13,16, 9, 0, 0, 0, 0, 8,15,16,14, 1, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 0, 3,13, 0, 0, 0, 3, 4, 4, 7,15, 0, 0, 0, 7,13,16,13, 9, 0), 9),
    (( 0, 1, 9,12,14,10, 1, 0, 0, 7,15, 7, 6,15, 8, 0, 0, 1, 1, 0, 3,16, 5, 0, 0, 0, 2,11,16, 9, 0, 0, 0, 0, 2,14,16, 8, 0, 0, 0, 0, 0, 1, 7,15, 7, 0, 0, 0,12, 6, 6,15, 7, 0, 0, 0, 8,15,14, 9, 0, 0), 3),
    (( 0, 0, 2, 7,12, 8, 0, 0, 0, 0,11,16,16, 6, 0, 0, 0, 0, 6,12, 0, 0, 0, 0, 0, 0,13, 8, 4, 0, 0, 0, 0, 0,14,16,16,14, 1, 0, 0, 0, 3, 8, 9,16, 2, 0, 0, 0, 0, 9,10,14, 0, 0, 0, 0, 0,13,13, 4, 0, 0), 5),
    (( 0, 0, 5,11,14, 7, 0, 0, 0, 4,16, 6, 9,15, 1, 0, 0, 7,12, 0, 1,16, 4, 0, 0, 2,16, 9,11,16, 6, 0, 0, 0, 2, 5, 4,12, 8, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 3,15, 7, 3,14, 8, 0, 0, 0, 5,14,16,11, 2, 0), 9),
    (( 0, 0, 0, 6,14,16, 8, 0, 0, 0, 4,13, 8,16, 9, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 5, 9,16, 9, 0, 0, 0,10,16,16,15, 4, 0, 0, 1, 9, 3,13, 7, 0, 0, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 8, 9, 0, 0, 0), 7),
    (( 0, 2,13,16,13, 9, 2, 0, 0, 1,13, 5, 4, 4, 2, 0, 0, 0,12, 5, 0, 0, 0, 0, 0, 0,14,16,13, 3, 0, 0, 0, 0, 1, 4, 8,12, 0, 0, 0, 0, 0, 0, 3,16, 0, 0, 0, 7, 8, 4, 8,13, 0, 0, 0, 3,10,14,12, 4, 0, 0), 5),
    (( 0, 0, 0,10, 5, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0,10,12, 1,14, 1, 0, 0, 5,16, 4, 8,15, 0, 0, 0, 7,16,16,16,16, 5, 0, 0, 0, 3, 5,15, 8, 1, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0), 4),
    (( 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 0,16, 8, 2, 0, 0, 0, 0, 6,16, 9,15, 0, 0, 0, 0,11,10,11,15, 0, 0, 0, 4,16,12,16,16, 9, 0, 0,11,16,16,16,13, 6, 0, 0, 1, 4,11,16, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 0), 4),
    (( 0, 0, 3,12,15, 3, 0, 0, 0, 0, 9,15,15, 7, 0, 0, 0, 0,12,14,12, 1, 0, 0, 0, 0, 8,16,16,14, 0, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 0, 7,12, 0, 0, 2,16,10, 8,13,10, 0, 0, 0, 6,11,16,14, 3, 0), 5),
    (( 0, 0,12,16, 6, 0, 0, 0, 0, 6,16,11,15, 5, 0, 0, 0, 8,16, 0,11,15, 1, 0, 0, 8,14, 0, 2,16, 5, 0, 0, 8,14, 0, 0,12, 7, 0, 0, 5,16, 2, 1,16, 4, 0, 0, 3,15,10,11,14, 2, 0, 0, 0, 6,12,10, 1, 0, 0), 0),
    (( 0, 0, 1, 9,15,12, 0, 0, 0, 0,13, 8, 5,14, 4, 0, 0, 0,14, 1, 5,14, 1, 0, 0, 0, 7,13,16, 4, 0, 0, 0, 0,11,12,14,12, 1, 0, 0, 4,13, 0, 0,11, 7, 0, 0, 1,13, 7, 2, 8, 8, 0, 0, 0, 1, 9,16,13, 2, 0), 8),
    (( 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 1,15, 4, 0, 0, 0, 0, 0,12, 9, 0, 0, 3, 0, 0, 2,16, 2, 0, 9,14, 0, 0,11,13, 0, 7,15, 3, 0, 0,13,16,12,16, 8, 0, 0, 0, 6,12,12,14, 1, 0, 0, 0, 0, 0, 7,12, 0, 0, 0), 4),
    (( 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 7,16,12, 0, 0, 0, 0, 9,16,16,11, 0, 0, 0, 8,16,11,16,12, 0, 0, 0, 3, 4, 3,16, 9, 0, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 0, 9,13, 0, 0), 1),
    (( 0, 0, 1,14, 6, 0, 0, 0, 0, 0, 6,15, 3, 0, 0, 0, 0, 1,14, 7, 0, 0, 0, 0, 0, 0,16, 9, 8, 3, 0, 0, 0, 7,16,16,12,15, 3, 0, 0, 5,14, 7, 0, 4, 9, 0, 0, 3,15, 6, 1,12, 9, 0, 0, 0, 4,13,16,14, 3, 0), 6),
    (( 0, 0, 1,13,16, 6, 0, 0, 0, 6,14,16,16, 7, 0, 0, 2,14,16,16,16, 2, 0, 0, 0, 0, 5,16,16, 2, 0, 0, 0, 0, 2,16,16, 2, 0, 0, 0, 0, 0,16,16, 1, 0, 0, 0, 0, 0,14,16, 2, 0, 0, 0, 0, 0,13,16, 1, 0, 0), 1),
    (( 0, 0, 2,12,14, 4, 0, 0, 0, 0, 9,15,13,13, 0, 0, 0, 2,15, 3, 1,14, 4, 0, 0, 4,13, 0, 0,12, 6, 0, 0, 5, 9, 0, 0,12, 8, 0, 0, 5, 9, 0, 0,13, 5, 0, 0, 1,13, 9,13,14, 1, 0, 0, 0, 4, 9,16, 6, 0, 0), 0),
    (( 0, 0, 0, 7,14, 6, 0, 0, 0, 0,11,16, 9, 2, 0, 0, 0, 4,15,10, 0, 0, 0, 0, 0, 9,12, 0, 3, 1, 0, 0, 0, 7,13, 2,16,12, 2, 0, 0, 3,16, 2, 2,13, 9, 0, 0, 0,11,13, 6,15,10, 0, 0, 0, 0, 8,16,13, 1, 0), 6),
    (( 0, 0, 4,11,12, 7, 0, 0, 0, 1,16,13,14,12, 0, 0, 0, 2,16, 5, 8,14, 0, 0, 0, 1,15,16,16,14, 0, 0, 0, 0, 6,12,12,16, 6, 0, 0, 0, 1, 3, 2,15, 5, 0, 0, 0, 7,16,16,16, 2, 0, 0, 0, 1,13,12, 5, 0, 0), 9),
    (( 0, 0, 2,16,14, 1, 0, 0, 0, 0, 6,16,16, 5, 0, 0, 0, 2,16,16,16, 3, 0, 0, 0, 0, 3, 9,16, 4, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 0,15,16, 0, 0, 0, 0, 2, 9,16,16, 3, 0, 0, 0, 2,14,16,10, 1, 0), 1),
    (( 0, 0, 2,11,11, 2, 0, 0, 0, 0,11,16,16, 5, 0, 0, 0, 0,10,16,16, 5, 0, 0, 0, 0, 2,11,14, 9, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 8,15,10, 0, 0, 0, 0, 1,14,14, 3, 0, 0), 9),
    (( 0, 0,12,10, 2, 0, 0, 0, 0, 2,16, 8,10, 2, 0, 0, 0, 0,16, 0,10,10, 0, 0, 0, 0, 5,10,12,15, 0, 0, 0, 0, 0, 6, 8,14, 3, 0, 0, 0, 0, 0, 0, 5,12, 0, 0, 0, 0, 1, 4, 9,13, 0, 0, 0,10,15,16,15, 5, 0), 9),
    (( 0, 0, 4,15,15,16,16,15, 0, 0, 5,12,12,11,16,11, 0, 0, 0, 0, 0, 7,16, 3, 0, 0, 2,11,16,16,14, 0, 0, 0,14,12,16,13, 0, 0, 0, 0, 6, 4,15, 1, 0, 0, 0, 0, 1,12,10, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0), 7),
    (( 0, 0, 4,15,10, 5, 0, 0, 0, 0,15,10,13,16, 2, 0, 0, 4,15, 1, 9,16, 4, 0, 0, 0,14,14,16,16, 4, 0, 0, 0, 1, 4, 2,15, 5, 0, 0, 0, 1, 0, 0,13, 6, 0, 0, 7,16, 8, 9,15, 5, 0, 0, 0, 6,12,13,11, 1, 0), 9),
    (( 0, 0,11,16,16,10, 1, 0, 0, 8,16,10, 8,10, 6, 0, 0,14, 7, 0, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 0, 2,15,10, 0, 0, 0, 0, 0, 0, 2,15,12, 0, 0, 0, 0, 3,11,10,16, 1, 0, 0, 0, 1,11,16,16, 2, 0, 0), 5),
    (( 0, 0, 3,11,12,12, 1, 0, 0, 0,15,12, 4,14, 2, 0, 0, 0,15,12, 5,16, 4, 0, 0, 0, 6,16,16,13, 1, 0, 0, 0, 8,15,14,13, 1, 0, 0, 1,15, 4, 3,16, 6, 0, 0, 3,16, 5, 6,15, 1, 0, 0, 0, 9,14,13, 6, 0, 0), 8),
    (( 0, 0, 8,12,16,16, 2, 0, 0, 1,16,14,13,16, 1, 0, 0, 0, 3, 0, 8,14, 0, 0, 0, 0, 5,16,16,16, 4, 0, 0, 0, 7,16,15,14, 8, 0, 0, 0, 1,14, 9, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0), 7),
    (( 0, 0, 8,13,13,16, 8, 0, 0, 1,15,15,12,16, 4, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 1, 5,16,10, 3, 0, 0, 0, 8,16,16,13, 6, 0, 0, 0, 1,13, 9, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0, 9,13, 1, 0, 0, 0), 7),
    (( 0, 0, 4,11,13, 6, 0, 0, 0, 2,16,12, 5,12, 0, 0, 0, 2,14, 0, 8,12, 0, 0, 0, 0,11,14,13, 3, 0, 0, 0, 0,14,14,11, 0, 0, 0, 0, 2,13, 1,10, 6, 0, 0, 0, 0,14, 4, 7,11, 0, 0, 0, 0, 2,13,15, 5, 0, 0), 8),
    (( 0, 0, 4,13,16,15, 4, 0, 0, 3,16,10, 8,16, 4, 0, 0, 3,10, 0, 3,16, 4, 0, 0, 0, 0,11,16,15, 0, 0, 0, 0, 0, 3,14,16, 6, 0, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 2,12, 8,16, 8, 0, 0, 0, 3,16,16,13, 1, 0), 3),
    (( 0, 2,12,13, 1, 0, 0, 0, 0,10,15,14,11, 0, 0, 0, 0,12, 9, 5,12, 0, 0, 0, 0, 4, 5, 4,16, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 1,13, 8, 0, 1, 0, 0, 1,16,16,14,14,11, 0, 0, 2,13,12,12,12, 6, 0), 2),
    (( 0, 0,15,16,16,15, 3, 0, 0, 0, 7, 8,10,16, 6, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,11,12, 1, 0, 0, 3,13,16,16,14, 8, 0, 0, 3,13,16,13, 9, 3, 0, 0, 0, 6,15, 2, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0), 7),
    (( 0, 0, 2,12, 3, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 0,15, 2, 4, 0, 0, 0, 0, 2,16,16,16,12, 2, 0, 0, 2,15, 7, 1, 8, 9, 0, 0, 0,12, 9, 1, 9,12, 0, 0, 0, 1,15,16,13, 4, 0), 6),
    (( 0, 2,11,16,16,16,13, 0, 0, 5,12,10, 8,13,16, 0, 0, 0, 0, 0, 1,15,11, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 3,15, 8, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0), 7),
    (( 0, 0, 3,10,13,16, 7, 0, 0, 0,10,10, 8,12,13, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 5,12,12,12,15, 8, 0, 0, 5,12,12,15,11, 1, 0, 0, 0, 0, 5,15, 3, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0), 7),
    (( 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 9,13, 0, 2, 0, 0, 0, 4,16, 5,11,11, 0, 0, 0,12,13, 3,14,10, 0, 0, 5,16,14,13,16, 5, 0, 0,15,16,16,16,16, 8, 0, 0, 3, 4, 2,12,13, 1, 0, 0, 0, 0, 1,16, 7, 0, 0), 4),
    (( 0, 0, 0, 8,14, 4, 0, 0, 0, 0, 5,16,10, 0, 0, 0, 0, 0,12,13, 1, 0, 0, 0, 0, 1,16, 7, 1, 0, 0, 0, 0, 4,16,16,16,12, 1, 0, 0, 2,16,14, 9,14, 5, 0, 0, 0,12,14, 6,16, 5, 0, 0, 0, 1, 8,13, 9, 2, 0), 6),
    (( 0, 0, 6,16,16,13, 7, 0, 0, 0,14,12,16,16, 9, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 4,11,14, 6, 0, 0, 0, 3,16,16,16,10, 0, 0, 0, 1,12,13, 4, 1, 0, 0, 0, 3,15, 5, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0), 7),
    (( 0, 1,11,12,12,12, 4, 0, 0, 0,15, 8, 8,11, 7, 0, 0, 0,12, 0, 0, 0, 0, 0, 0, 0,13, 1, 0, 0, 0, 0, 0, 3,16,15,11, 5, 0, 0, 0, 0, 4, 4,10,15, 2, 0, 0, 0,12, 5, 5,14, 3, 0, 0, 0,11,13,12, 8, 0, 0), 5),
    (( 0, 0, 5,15,10, 3, 0, 0, 0, 0,14,16,12,14, 2, 0, 0, 3,16, 5, 0,13, 4, 0, 0, 5,14, 0, 0,13, 7, 0, 0, 6,12, 0, 1,16, 3, 0, 0, 3,16, 2, 4,15, 2, 0, 0, 0,14,11,15,10, 0, 0, 0, 0, 6,15,12, 3, 0, 0), 0),
    (( 0, 0, 2,15, 4, 0, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 2,16,16,16, 9, 0, 0, 0, 3,16,15,12,16, 6, 0, 0, 1,14,16, 6,14,10, 0, 0, 0, 3,14,16,13, 3, 0), 6),
    (( 0, 2,12,16,16,16,14, 0, 0, 9,16,16,15,16, 6, 0, 0,11,13, 0,11,14, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0,12,14, 1, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0,11,16, 1, 0, 0, 0, 0, 2,15,13, 0, 0, 0, 0), 7),
    (( 0, 1,13,12, 0, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0, 8,10, 4,14, 0, 0, 0, 0, 2, 6, 2,15, 0, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 2,16,16,16,16,11, 0, 0, 1,11,11, 8, 9, 9, 0), 2),
    (( 0, 0, 7,12,14,12, 8, 0, 0, 0,10, 8, 9,16,14, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 6,16,13,14, 1, 0, 0, 0, 3,10,16,10, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0), 7),
    (( 0, 0, 9,15,16,13, 0, 0, 0, 0,10, 5,13,14, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 1,12,16,16,13, 7, 0, 0, 5,14,16,12, 8, 3, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0), 7),
    (( 0, 0, 0,14, 8, 8,14, 0, 0, 0, 1,11,15,16,13, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 3,13,16,16,16, 3, 0, 0, 2, 8,11,15, 9, 4, 0, 0, 0, 0,10, 7, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 0,14, 1, 0, 0, 0), 7),
    (( 0, 0, 5,13,10, 2, 0, 0, 0, 3,16, 7,10,11, 0, 0, 0,10,16, 8,15,16, 0, 0, 0, 4,12,12,10,16, 4, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 8, 5, 7,15, 6, 0, 0, 0, 6,15,15, 9, 0, 0), 9),
    (( 0, 0,12,10, 0, 0, 0, 0, 0, 3,13,16, 4, 0, 0, 0, 0, 6,16,16, 7, 0, 0, 0, 0, 0, 8,15, 9, 0, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 9,13,16,13, 8, 3, 0, 0, 9,16,16,16,16, 9), 1),
    (( 0, 1,13,16,16, 6, 0, 0, 0, 3,13, 6,12,13, 0, 0, 0, 0, 0, 5,15, 7, 0, 0, 0, 0, 2,16,15, 2, 0, 0, 0, 0, 0, 4,14,14, 1, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 1,10, 1, 2,13, 7, 0, 0, 1,13,16,16,13, 1, 0), 3),
    (( 0, 0,12,16,16, 6, 0, 0, 0, 9,16, 9,12,15, 0, 0, 0, 8,10, 0, 3,16, 4, 0, 0, 0, 0, 0, 6,16, 0, 0, 0, 0, 0, 1,14,11, 0, 0, 0, 0, 1,10,14, 3, 0, 0, 0, 2,16,16, 9, 4, 4, 0, 0, 1,10,16,16,16,16, 2), 2),
    (( 0, 0,15, 8, 0, 0, 0, 0, 0, 2,16,15, 2, 0, 0, 0, 0, 0,16, 8,10, 0, 0, 0, 0, 0,12, 8,12, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0,12,16,15,15, 5, 0, 0, 0,15,11, 6, 2, 0, 0), 2),
    (( 0, 1,10,16,16,13, 0, 0, 0, 6,15, 6, 9,16, 3, 0, 0, 3, 5, 0, 8,16, 3, 0, 0, 0, 1,10,16,14, 3, 0, 0, 0, 6,16,16, 9, 8, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0), 7),
    (( 0, 0, 3,12,15, 7, 0, 0, 0, 0, 4, 9, 3,12, 0, 0, 0, 0,13, 5,11, 5, 0, 0, 0, 0, 3,16,11, 0, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0,10, 6,11, 6, 0, 0, 0, 0,13, 3, 7,12, 0, 0, 0, 0, 4,15,13, 8, 0, 0), 8),
    (( 0, 0, 3,12, 9, 9, 0, 0, 0, 0,12,16,16,16, 0, 0, 0, 0,12, 5,14,16, 4, 0, 0, 0,12, 0, 2,13, 2, 0, 0, 2,15, 0, 0,12, 3, 0, 0, 2,16, 2, 0,12, 0, 0, 0, 0,15,14,13, 9, 0, 0, 0, 0, 2,10, 8, 0, 0, 0), 0),
    (( 0, 0, 0, 4,15, 6, 0, 3, 0, 0, 0,13,14, 1,11,11, 0, 0, 8,16, 4, 4,16, 4, 0, 2,16, 6, 3,11,13, 0, 0,12,16,16,16,16, 7, 0, 0,11, 9, 7,13,14, 1, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 0, 7,12, 0, 0, 0), 4),
    (( 0, 0, 5,13,15,12, 1, 0, 0, 0,16,12, 4, 4, 1, 0, 0, 6,16, 5, 4, 3, 0, 0, 0, 6,16,16,16,15, 2, 0, 0, 0, 3, 0, 0,12, 6, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 4,14,16, 7, 0, 0), 5),
    (( 0, 0, 9,15,15, 3, 0, 0, 0, 8,15,11,16, 6, 0, 0, 0, 2, 1,12,15, 1, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 0, 2,15,15, 3, 0, 0, 0, 0, 0, 1, 7,15, 5, 0, 0, 0,14, 1, 0,12,12, 0, 0, 0, 8,16,16,16,10, 0), 3),
    (( 0, 0, 3,16,14, 3, 0, 0, 0, 0,12,14,14,12, 0, 0, 0, 2,16, 6, 0,15, 2, 0, 0, 7,10, 0, 0,10, 4, 0, 0, 8, 8, 0, 0,11, 5, 0, 0, 7,10, 0, 0,13, 3, 0, 0, 5,16,13,15,11, 0, 0, 0, 0, 7,14,13, 1, 0, 0), 0),
    (( 0, 0, 2,11,15, 5, 0, 0, 0, 0,12, 8, 9, 9, 0, 0, 0, 0,12, 5, 9, 7, 0, 0, 0, 0, 9,15,10, 0, 0, 0, 0, 0, 6,15,11, 1, 0, 0, 0, 8,13, 2,11,11, 0, 0, 0, 7,13, 7, 0,13, 3, 0, 0, 0, 2,11,15,13, 2, 0), 8),
    (( 0, 0, 6,11,12, 3, 0, 0, 0, 0, 9,16,16,13, 0, 0, 0, 0, 5,16,16, 9, 0, 0, 0, 0, 5,16,16, 7, 0, 0, 0, 0, 7,16,16, 6, 0, 0, 0, 0, 8,16,16, 6, 0, 0, 0, 0, 9,16,16, 6, 0, 0, 0, 0, 5,12,11, 3, 0, 0), 1),
    (( 0, 0, 3, 9,14, 8, 0, 0, 0, 0,13,16,14,16, 0, 0, 0, 0,10, 0,12,10, 0, 0, 0, 0, 0, 7,16, 8, 0, 0, 0, 0, 0, 3,13,15, 1, 0, 0, 0, 0, 1, 1,13, 4, 0, 0, 0, 3,13,11,14, 1, 0, 0, 0, 3,16,10, 1, 0, 0), 3),
    (( 0, 0, 4,15,12, 2, 0, 0, 0, 0,13,16,16,14, 0, 0, 0, 7,16, 3, 2,15, 2, 0, 0, 8,16, 4, 0, 4, 8, 0, 0, 8,15, 3, 0, 6, 8, 0, 0, 4,15, 4, 2,13,10, 0, 0, 0,13,16,16,16, 6, 0, 0, 0, 4,15,16, 9, 0, 0), 0),
    (( 0, 0, 2,10,15,16,16, 5, 0, 0,10,13,12,14,16, 6, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 4, 4,14,12, 0, 0, 0, 6,16,16,16, 8, 0, 0, 0, 2,11,16,11, 1, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0), 7),
    (( 0, 0, 0, 6, 7, 0, 0, 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 0,10,11, 1, 1, 0, 0, 0, 4,16, 5,10, 9, 0, 0, 0, 8,16,16,16,15, 2, 0, 0, 1, 4, 7,16,10, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0, 9,11, 0, 0, 0), 4),
    (( 0, 0, 5,14,15, 2, 0, 0, 0, 0,11,16,12, 1, 0, 0, 0, 0, 7,16,13, 2, 0, 0, 0, 0, 1,11,14,15, 2, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 1, 8, 1, 0, 2,15, 1, 0, 2,13,10, 5, 7,16, 2, 0, 0, 4,13,16,16,14, 0), 5),
    (( 0, 0, 4,14,12, 1, 0, 0, 0, 0,11,11,10, 5, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 7,16,12, 2, 0, 0, 0, 0, 0, 4,10,10, 0, 0, 0, 1, 1, 0, 3,14, 0, 0, 0,11, 6, 3,12,13, 0, 0, 0, 6,14,16,11, 1, 0), 3),
    (( 0, 0, 7,16,12, 3, 0, 0, 0, 0,12,16,16, 8, 0, 0, 0, 0,15,16,16, 1, 0, 0, 0, 1,14,16,16, 1, 0, 0, 0, 1,15,16,16, 4, 0, 0, 0, 0,13,16,16, 3, 0, 0, 0, 0,11,16,16, 9, 0, 0, 0, 0, 4, 9,14, 6, 0, 0), 1),
    (( 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 3,15, 0, 0, 0, 0, 0, 0, 6,14, 8, 7, 1, 0, 0, 0, 7,16,12,12,13, 2, 0, 0, 4,16, 3, 3,13, 7, 0, 0, 0, 7,16,16,11, 1), 6),
    (( 0, 1, 9,15,12, 5, 0, 0, 0,10,16,14,16,16, 1, 0, 0, 2,14,12,15,14, 0, 0, 0, 0, 7,16,15, 5, 0, 0, 0, 0, 7,16,12, 0, 0, 0, 0, 0,14,16,13, 0, 0, 0, 0, 0,16,15,16, 4, 0, 0, 0, 0,12,16,13, 2, 0, 0), 8),
    (( 0, 0,10,15,16, 6, 0, 0, 0, 1,13, 5, 7,15, 2, 0, 0, 0, 0, 0, 7,12, 2, 0, 0, 0, 0, 6,15, 3, 0, 0, 0, 0, 7,12, 1, 0, 0, 0, 0, 5,14, 2, 0, 0, 0, 0, 0, 9,14,10,11, 7, 1, 0, 0, 1, 7, 8, 8,11, 4, 0), 2),
    (( 0, 0, 4,15, 6, 0, 0, 0, 0, 3,16,16,16, 5, 0, 0, 0, 7,11, 4, 8,14, 1, 0, 0, 7,10, 0, 0,14, 6, 0, 0, 7,10, 0, 0,11, 9, 0, 0, 2,14, 0, 0, 9,10, 0, 0, 0,12,10, 9,15, 6, 0, 0, 0, 2,13,16, 7, 0, 0), 0),
    (( 0, 0,12,16,12, 0, 0, 0, 0, 4,16,12,16, 6, 0, 0, 0, 1, 8, 0,12, 8, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 3,16,16,16,13, 2, 0, 0, 1, 8, 9,14,16, 4, 0), 2),
    (( 0, 0, 1,11,16,16, 4, 0, 0, 0, 8,10, 8,16, 3, 0, 0, 0, 0, 0, 3,14, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 7,11,16,16, 8, 0, 0,11,13,12,11, 0, 0, 0, 0, 0, 0, 8, 9, 0, 0, 0, 0, 0, 0,14, 2, 0, 0, 0), 7),
    (( 0, 0, 8,15,16, 3, 0, 0, 0, 3,15,14,16, 5, 0, 0, 0, 0, 3, 6,16, 2, 0, 0, 0, 0, 3,12,16, 8, 3, 0, 0, 1,14,16,16,16,10, 0, 0, 0, 9,16,12, 5, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0), 7),
    (( 0, 2,15,12,12,12, 7, 0, 0, 0,12,16,14,14, 9, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0, 8,13, 3, 0, 0, 0, 0, 0, 0, 7,15, 4, 0, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 2, 7, 9,14, 3, 0, 0, 0, 4,15,11, 1, 0, 0, 0), 5),
    (( 0, 0, 6, 9,13, 7, 0, 0, 0, 7,16,12,13,14, 0, 0, 0, 5, 3, 1,15, 7, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 0,10,16,10, 0, 0, 0, 0, 1, 7,16,10, 0, 0, 0, 4,15,13, 8, 0, 0), 3),
    (( 0, 2,14,16, 9, 0, 0, 0, 0,10,15,10,16, 0, 0, 0, 0, 8,12, 0,16, 5, 0, 0, 0, 3, 3, 3,16, 5, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 7,16,13,11,11, 1, 0, 1,15,16,16,16,16, 5), 2),
    (( 0, 0, 6,15,11, 3, 0, 0, 0, 1,14,16,16,14, 0, 0, 0, 4,16, 1, 9,16, 2, 0, 0, 6,16, 0, 0,13, 7, 0, 0, 5,13, 0, 0,12, 8, 0, 0, 4,16, 1, 0,14, 8, 0, 0, 0,14,10,10,15, 1, 0, 0, 0, 4,13,16, 8, 0, 0), 0),
    (( 0, 2,12,16,16, 8, 0, 0, 0, 8,10, 9,16, 6, 0, 0, 0, 0, 1,13,13, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0, 2,14,15, 3, 0, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 3, 4,14,11, 0, 0, 3,15,16,16,16, 9, 0), 3),
    (( 0, 0, 8,14,15, 8, 0, 0, 0, 5,15,11, 8,10, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0, 9,16,16, 4, 0, 0, 0, 0, 3, 8, 9,13, 0, 0, 0, 0, 0, 0, 1,13, 0, 0, 0, 0, 0, 6, 9,14, 0, 0, 0, 0, 0, 7,13, 8, 0, 0, 0), 5),
    (( 0, 0, 6,16, 8, 0, 0, 0, 0, 0,14,10,11, 7, 0, 0, 0, 0,16, 1, 3,16, 1, 0, 0, 0,11,10,13,16, 5, 0, 0, 0, 2, 8, 8, 9,10, 0, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 0, 0, 1, 5,15, 1, 0, 0, 6,15,16,14, 5, 0), 9),
    (( 0, 0, 3,12,15, 3, 0, 0, 0, 0,15,16, 6,11, 0, 0, 0, 7,16, 5, 0,12, 1, 0, 0, 5,14, 0, 0, 9, 7, 0, 0, 8,10, 0, 0,13, 8, 0, 0, 4,12, 0, 2,15, 6, 0, 0, 1,14, 8,13,12, 0, 0, 0, 0, 3,15,10, 3, 0, 0), 0),
    (( 0, 0,12,14, 8, 3, 0, 0, 0, 3,16,15,16,16, 3, 0, 0, 0,14,12,14,13, 1, 0, 0, 0, 7,16,16, 3, 0, 0, 0, 0,12,16,16, 2, 0, 0, 0, 1,15, 4, 9,14, 0, 0, 0, 3,15, 4, 5,16, 1, 0, 0, 1,12,16,16,12, 0, 0), 8),
    (( 0, 0, 6,13,16, 3, 0, 0, 0, 1,15,16,16, 9, 0, 0, 0, 0, 3, 4,16, 7, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 9,16,16, 4, 1, 0, 0, 0,14,16,16,16, 6, 0, 0, 0, 9,16, 9, 5, 0, 0, 0, 0, 9,13, 2, 0, 0, 0), 7),
    (( 0, 0, 6,12, 4, 0, 0, 0, 0, 0,12,16,15, 1, 0, 0, 0, 2,16, 6, 5,14, 0, 0, 0, 9,16, 4, 0,14, 3, 0, 0, 7,16, 6, 0,14, 6, 0, 0, 4,16,15, 2,16, 6, 0, 0, 0,12,16,16,11, 0, 0, 0, 0, 5,14,14, 5, 0, 0), 0),
    (( 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0,12, 9, 0, 1,12, 4, 0, 8,15, 1, 0,11,12, 1, 0,10,14, 6,13,16, 5, 0, 0, 8,16,11,16,10, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0, 0, 0,12, 7, 0, 0, 0), 4),
    (( 0, 0,11,11, 2, 0, 0, 0, 0, 0,12,14,15, 2, 0, 0, 0, 0,10, 8, 6,16, 0, 0, 0, 0, 7,13, 7,16, 2, 0, 0, 0, 0,11,12,14, 5, 0, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 7,10,10,14,15, 0, 0, 0, 7,12,16,16,12, 1), 9),
    (( 0, 1,11,16,16, 5, 0, 0, 0, 6,16, 6,14,13, 0, 0, 0, 4, 5, 0,14,12, 0, 0, 0, 0, 7, 9,16,10, 0, 0, 0, 0,15,16,16,16, 8, 0, 0, 0, 1,14,11, 4, 0, 0, 0, 0,10,16, 1, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 1,15,12, 0, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 1,15,10, 0,15,11, 0, 0, 8,16,16,16,16, 8, 0, 0, 0, 4, 8,16,12, 0, 0, 0, 0, 0, 4,16, 7, 0, 0), 4),
    (( 0, 0, 6,12,16,16,15, 3, 0, 0,14,16,12,14,16, 8, 0, 0, 0, 0, 0,14,16, 3, 0, 0, 0, 0, 3,16,11, 0, 0, 0, 0, 0,12,16, 2, 0, 0, 0, 0, 6,16,11, 0, 0, 0, 0, 2,15,14, 1, 0, 0, 0, 0, 6,16, 9, 0, 0, 0), 7),
    (( 0, 0, 4, 8, 0, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 5,16,10,12, 7, 1, 0, 0, 0,16,16,16,16, 8, 0, 0, 0,12,16,13,16, 9, 0, 0, 0, 3, 9,13,10, 0, 0), 6),
    (( 0, 2,14,14, 1, 0, 0, 0, 0, 9,13,13, 6, 0, 0, 0, 0, 9, 5, 3,10, 0, 0, 0, 0, 0, 1, 3, 9, 0, 0, 0, 0, 0, 0, 8, 4, 0, 0, 0, 0, 0, 2,15, 4, 2, 0, 0, 0, 1,13,16,16,16, 9, 0, 0, 0,13, 8, 8, 7, 2, 0), 2),
    (( 0, 0, 9,15,16,12, 1, 0, 0,11,16,16,13, 8, 1, 0, 0, 3,15,11, 1, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 3,15,16, 4, 0, 0, 0, 0, 0,13,15, 0, 0, 0, 0), 5),
    (( 0, 0, 0,12,11, 0, 0, 0, 0, 0, 3,16,13, 1, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 0,12,12, 8, 6, 0, 0, 0, 0,11,16,16,16, 9, 0, 0, 0, 8,16,11, 9,16, 2, 0, 0, 0,11,16,16,15, 1), 6),
    (( 0, 0, 9,16,10, 0, 0, 0, 0, 1,15,15,16, 3, 0, 0, 0, 1,16, 6,13, 8, 0, 0, 0, 0,10, 5,11, 9, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 9,16,16,16,14, 4, 0, 0, 9,16,14,12,16, 8), 2),
    (( 0, 0, 6,14, 6, 0, 0, 0, 0, 0,15, 6,12, 3, 0, 0, 0, 5,12, 0, 3,14, 3, 0, 0, 4,12, 0, 0,11, 8, 0, 0, 4,12, 0, 0, 9, 8, 0, 0, 5,15, 0, 0, 8, 9, 0, 0, 1,15, 2, 4,13, 2, 0, 0, 0, 5,15,15, 5, 0, 0), 0),
    (( 0, 0, 7,14,10, 2, 0, 0, 0, 1,16,12,15, 8, 0, 0, 0, 7,13, 0, 5,13, 2, 0, 0, 8,12, 0, 0,10, 6, 0, 0, 8,12, 0, 0, 8, 8, 0, 0, 6,13, 0, 0,10, 8, 0, 0, 0,14,10, 6,14, 6, 0, 0, 0, 5,16,16, 9, 0, 0), 0),
    (( 0, 5,14,16, 8, 1, 0, 0, 0, 4,11, 4,12,11, 0, 0, 0, 1, 2, 1,11,11, 0, 0, 0, 0, 1,15,13, 1, 0, 0, 0, 0, 1,10,16, 9, 0, 0, 0, 0, 0, 0, 1,13, 8, 0, 0, 5, 5, 0, 2,12, 8, 0, 0, 5,16,16,16,13, 1, 0), 3),
    (( 0, 6,16,16,13, 1, 0, 0, 0,13,11, 8,15, 9, 0, 0, 0, 5, 1, 0,10,14, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 3,14,16,12, 8, 7, 0, 0, 5,16,16,16,16,10, 0), 2),
    (( 0, 0, 0, 7,16, 2, 0, 1, 0, 0, 0,11,13, 1,13, 8, 0, 0, 6,16, 4, 8,15, 1, 0, 0,15,16,16,16,12, 0, 0, 0, 8, 8,13,16, 3, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 9,12, 0, 0, 0), 4),
    (( 0, 0, 0, 2, 9, 0, 0, 0, 0, 0, 0, 5,10, 0, 0, 0, 0, 0, 0,12, 4, 8, 0, 0, 0, 0, 4,12, 6,13, 0, 0, 0, 0,10, 8, 8,10, 0, 0, 0, 7,16,13,16,15, 2, 0, 0, 6,10,11,16, 8, 0, 0, 0, 0, 0, 4,13, 0, 0, 0), 4),
    (( 0, 0, 6,15,16,13, 0, 0, 0, 5,16, 8, 6,15, 3, 0, 0,10,16, 4, 0, 9, 8, 0, 0, 5,16, 4, 0, 7,11, 0, 0, 4,16, 3, 0, 6,12, 0, 0, 3,16, 3, 0, 9, 9, 0, 0, 0,15,11, 8,16, 3, 0, 0, 0,11,16,14, 5, 0, 0), 0),
    (( 0, 0, 3,15,10, 1, 0, 0, 0, 2,14, 9,13,11, 0, 0, 0, 7,15, 0, 2,16, 2, 0, 0, 4,16, 2, 0, 6, 8, 0, 0, 6, 9, 0, 0, 6, 8, 0, 0, 5,11, 0, 0,10, 8, 0, 0, 0,15, 6, 7,16, 3, 0, 0, 0, 3,12,16, 5, 0, 0), 0),
    (( 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 1,12,12, 0, 4, 6, 0, 0, 8,16, 3, 2,16,10, 0, 2,16,16,16,15,16, 2, 0, 1, 4, 7,11,16,11, 0, 0, 0, 0, 0, 7,16, 4, 0, 0), 4),
    (( 0, 0, 7,15, 4, 0, 0, 0, 0, 0,14,16,12, 0, 0, 0, 0, 0,12, 6,16, 0, 0, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 0, 8,14,15, 3, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 5, 9, 9,15,11, 0, 0, 0, 9,14,12, 9, 1, 0), 3),
    (( 0, 0, 0,10,16, 5, 0, 0, 0, 0, 2,16,13, 2, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 0,11,16,10, 1, 0, 0, 0, 0,13,16,16,13, 4, 0, 0, 0, 7,16, 7,15,14, 0, 0, 0, 0, 9,16,16,12, 0), 6),
    (( 0, 0, 9,15,16, 4, 0, 0, 0, 0, 8, 7, 6,16, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 3,15,15, 1, 0, 0, 0, 0, 1, 9,12,11, 2, 0, 0, 0, 0, 0, 0, 5,10, 0, 0, 0,12, 4, 4, 6,15, 0, 0, 0, 5,11,12,12, 6, 0), 3),
    (( 0, 0, 0, 3,14, 0, 0, 0, 0, 0, 1,14,12, 8, 2, 0, 0, 0, 9,15, 6,16, 4, 0, 0, 3,16,14,12,16, 5, 0, 0, 3,13,16,16,16, 8, 0, 0, 0, 0, 0,16,11, 1, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 3,12, 4, 0, 0), 4),
    (( 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 1,14, 5, 0,10, 3, 0, 0, 8,15, 0, 8,16, 1, 0, 2,16, 6, 0,13,11, 0, 1,13,16,10,12,16, 4, 0, 6,15,14,12,15,12, 0, 0, 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 0, 8,12, 0, 0, 0), 4),
    (( 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 2,16,16, 2, 0, 0, 0, 0, 7,16,16, 2, 0, 0, 4,14,16,16,15, 0, 0, 0, 9,16,13,16,10, 0, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 0, 1,16,15, 0, 0, 0, 0, 0, 0,13,16, 4, 0), 1),
    (( 0, 0, 9,14,15, 4, 0, 0, 0, 7,16,16,16,10, 0, 0, 0, 5,10, 4,16, 4, 0, 0, 0, 0, 0,16,16, 7, 0, 0, 0, 0, 0, 3, 9,16, 3, 0, 0, 0, 2, 0, 1,15, 7, 0, 0, 0,15,13,13,16, 4, 0, 0, 0, 9,15,15, 8, 0, 0), 3),
    (( 0, 0, 8,14, 2, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 0,16,11, 0, 0, 0, 0, 0, 2,16,15, 0, 0, 0, 0, 0, 0,14,16, 2, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 5,15,16,15,12, 8, 0, 0, 4,15,16,13,12,12), 1),
    (( 0, 0, 6, 9, 4, 1, 0, 0, 0, 0, 6,16,16, 9, 1, 0, 0, 0, 4,16, 1,13, 7, 0, 0, 0, 0,14, 5,12, 8, 0, 0, 1,10,15,16,10, 0, 0, 0, 6,15, 9,16, 1, 0, 0, 0, 7,13, 8,14, 4, 0, 0, 0, 0, 6,10,13, 1, 0, 0), 8),
    (( 0, 0, 6,15,16,13, 1, 0, 0, 0,12,12,14,16, 1, 0, 0, 0, 0, 0,13,14, 0, 0, 0, 0, 4, 4,16,13, 2, 0, 0, 8,16,16,16,16,10, 0, 0, 5, 8,15,14, 4, 1, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 7,16, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 7,15, 6, 0, 0, 0, 0, 7,16, 4, 1, 3, 0, 0, 2,16,10, 0,14,13, 0, 0, 6,16, 7, 4,16, 8, 0, 0, 6,16,16,14,16, 6, 0, 0, 1, 7, 9,16,13, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0,10,12, 0, 0, 0), 4),
    (( 0, 0, 3,13,15, 6, 0, 0, 0, 2,11,15, 7,16, 3, 0, 0,16,16, 9, 8,16, 6, 0, 0, 9,16,16,16,16, 5, 0, 0, 0, 4, 8,16,11, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0), 9),
    (( 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0,10,16,16, 1, 0, 0, 1,12,16,16,13, 0, 0, 0, 7,16,16,16,15, 0, 0, 0, 0, 7,12,16,13, 0, 0, 0, 0, 0, 4,16,16, 0, 0, 0, 0, 0, 3,16,16, 3, 0, 0, 0, 0, 0,13,16, 6, 0), 1),
    (( 0, 0, 2,16,15, 6, 0, 0, 0, 7,11,15,12,16, 0, 0, 0, 9,16,10,10,16, 1, 0, 0, 0,11,16,16, 6, 0, 0, 0, 0,15,16,15, 2, 0, 0, 0, 0,14, 5,10,13, 1, 0, 0, 0,11,11, 6,16, 7, 0, 0, 0, 3,11,16,12, 3, 0), 8),
    (( 0, 0, 8,16,11, 0, 0, 0, 0, 1,15,15,14, 9, 0, 0, 0, 1,15,12, 0,12, 6, 0, 0, 0,16, 7, 0,10, 4, 0, 0, 0,16, 6, 0,10, 8, 0, 0, 3,16, 3, 0,15, 3, 0, 0, 1,14,14,12,16, 0, 0, 0, 0, 7,13,16, 8, 0, 0), 0),
    (( 0, 2,15,16,16,15, 1, 0, 0, 2,13,13,11,16, 1, 0, 0, 0, 2,16,15, 7, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 9,14,16, 0, 0, 0, 0, 1,14, 8,12, 5, 0, 0, 0, 3,16, 6,15, 3, 0, 0, 0, 2,16,16,10, 0, 0, 0), 8),
    (( 0, 0, 5,14, 1, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 1,16, 6, 1, 9, 3, 0, 0, 8,16, 0,11,15, 1, 0, 0,10,16, 8,16, 6, 0, 0, 0, 0, 6,14,16, 4, 0, 0, 0, 0, 0,13,16, 2, 0, 0, 0, 0, 2,16, 9, 1, 0, 0), 4),
    (( 0, 0, 2,14,10, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 0, 0, 5,14, 1, 0, 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 0, 0, 7,15,13,15, 7, 1, 0, 0, 3,15, 8, 0,11,10, 0, 0, 0,11, 9, 4, 8,15, 0, 0, 0, 1,12,14,12, 4, 0), 6),
    (( 0, 0, 7,16,15, 3, 0, 0, 0, 0,14,16,16,13, 0, 0, 0, 0, 9,16,16,16, 3, 0, 0, 0, 0, 6, 9,16, 9, 0, 0, 0, 0, 0, 0,16,11, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 4,14,16, 2, 0, 0, 0, 8,16,15, 7, 0, 0), 9),
    (( 0, 0, 4,11,15,16,15, 0, 0, 0,13,13, 8,13,14, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 2, 4,10,15, 1, 0, 0, 0,10,16,16,16, 8, 0, 0, 0, 1,13,13, 1, 0, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0, 6,14, 2, 0, 0, 0), 7),
    (( 0, 0, 4,14,15, 9, 1, 0, 0, 0, 0,14,16,16, 4, 0, 0, 0, 0,15,16,16, 0, 0, 0, 0, 7,16,16,13, 0, 0, 0, 2,16,16,16,12, 0, 0, 0, 0, 4,15,16, 8, 0, 0, 0, 0, 5,16,16,12, 0, 0, 0, 0, 4,14,15, 5, 0, 0), 1),
    (( 0, 0, 4,15, 2, 0, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 3,16, 8, 1, 0, 0, 0, 0, 6,16,16,15, 9, 2, 0, 0, 3,16,14, 8,15,10, 0, 0, 0,10,15, 8,13,15, 0, 0, 0, 4, 8,13,13, 6, 0), 6),
    (( 0, 0,14,16, 9,12, 1, 0, 0, 0,16,10,10,16, 6, 0, 0, 0,12,12,13,13, 1, 0, 0, 0, 4,16,14, 1, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 1,15,15,12, 0, 0, 0, 0, 5,16,12,12, 0, 0, 0, 0, 1,10,14, 3, 0, 0, 0), 8),
    (( 0, 0, 2, 9, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 1,16, 0, 0, 0, 0, 0, 0, 4,11, 0, 0, 0, 0, 0, 0, 7, 8, 3, 8, 3, 0, 0, 0, 6,11,13,16,16, 4, 0, 0, 0,14,16, 7,12,12, 0, 0, 0, 3,14,16,14, 6, 0), 6),
    (( 0, 0, 6,15,15,11, 5, 0, 0, 0,14, 8,12,15,13, 0, 0, 2,16, 3, 0,11,12, 0, 0, 0,13,16,15,13, 1, 0, 0, 0, 6,16,16, 7, 0, 0, 0, 0,13, 5,11,12, 0, 0, 0, 0,13,11, 9,16, 2, 0, 0, 0, 6,14,15, 7, 0, 0), 8),
    (( 0, 0, 0, 5, 8, 0, 0, 0, 0, 0, 4,16, 2, 0,14, 0, 0, 0, 9, 8, 0, 8, 8, 0, 0, 2,15, 0, 1,15, 0, 0, 0,10, 9, 4, 9,15, 1, 0, 0,11,16,16,16,11, 1, 0, 0, 3, 4, 7, 9, 0, 0, 0, 0, 0, 0, 8, 5, 0, 0, 0), 4),
    (( 0, 2,15,16,16,16,11, 0, 0, 1, 8, 8, 9,16, 9, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 1, 4, 4,15, 9, 0, 0, 0,11,16,16,16,15, 2, 0, 0, 2, 5,16, 5, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0), 7),
    (( 0, 0,12,16,12,16, 3, 0, 0, 0,14,14, 8, 8, 1, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0, 1,14,11, 0, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 2, 7, 6,14,13, 0, 0, 0, 0,12,16,16, 6, 0, 0), 5),
    (( 0, 0, 6,16,11, 1, 0, 0, 0, 0,16,13,16,11, 0, 0, 0, 5,10, 0, 3,13, 2, 0, 0, 7, 8, 0, 0, 4, 7, 0, 0, 8, 8, 0, 0, 6, 8, 0, 0, 4,11, 2, 4,15, 5, 0, 0, 0,14,16,16,15, 1, 0, 0, 0, 5,12,10, 2, 0, 0), 0),
    (( 0, 0, 1,11,16,16, 6, 0, 0, 0,13,14, 7,10,15, 0, 0, 6,16, 4, 2,11,14, 0, 0, 7,16,16,16,16,10, 0, 0, 0, 5, 8, 9,16, 2, 0, 0, 0, 0, 2,14, 8, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0), 9),
    (( 0, 0,10,16,10, 3, 0, 0, 0, 1,16, 9,13,12, 0, 0, 0, 1,13, 2, 7,16, 3, 0, 0, 0,12,16,16,16, 8, 0, 0, 0, 1, 4, 2, 8, 8, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 1,14, 9, 8,14, 6, 0, 0, 0, 8,13,13, 7, 0, 0), 9),
    (( 0, 0, 0, 9,15,10, 0, 0, 0, 0, 6,10, 4,14, 4, 0, 0, 0,12, 2, 0,12, 5, 0, 0, 5,15, 3, 6,13, 2, 0, 0, 0, 5,16,14, 1, 0, 0, 0, 0, 2,14,12, 5, 0, 0, 0, 0, 0,13, 1,13, 3, 0, 0, 0, 0, 9,13,13, 2, 0), 8),
    (( 0, 0, 7,15,13, 3, 0, 0, 0, 0,16, 8, 9,13, 0, 0, 0, 3,13, 0, 1,13, 3, 0, 0, 7,14, 4, 0, 5, 8, 0, 0, 8,16, 8, 0,10, 8, 0, 0, 7,16, 9, 0,15, 3, 0, 0, 2,16,16,11,14, 1, 0, 0, 0, 5,15,15, 3, 0, 0), 0),
    (( 0, 0, 4,14,10, 2, 0, 0, 0, 0,12,13,14,13, 0, 0, 0, 0,11, 5, 3,13, 0, 0, 0, 0, 7,12,11,16, 1, 0, 0, 0, 1,10, 9,14, 3, 0, 0, 0, 0, 0, 0,13, 5, 0, 0, 0, 4, 8, 8,16, 5, 0, 0, 0, 7,16,16,11, 0, 0), 9),
    (( 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0,10,13, 0, 2, 2, 0, 0, 6,15, 6,10,16,12, 0, 0,13,16,16,14,16,10, 0, 0, 8,12, 5, 7,16, 4, 0, 0, 0, 0, 2,14, 8, 0, 0, 0, 0, 0, 9,13, 1, 0, 0), 4),
    (( 0, 0, 3,13,16,16, 2, 0, 0, 0,10,14,13,16, 7, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 2,11,15,16,12, 0, 0, 0, 9,14,16, 9, 1, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 2,15, 6, 0, 0, 0, 0, 0, 7,10, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 6, 9, 0, 0, 0, 0, 0, 0,12,12, 8, 0, 0, 0, 0, 0,16, 7,12, 0, 0, 0, 0, 6,11, 7,10, 0, 0, 0, 1,14, 4,13,13, 5, 0, 0, 5,16,16,16,13, 5, 0, 0, 0, 4, 6,16, 9, 0, 0, 0, 0, 0, 8,16, 7, 0, 0), 4),
    (( 0, 0, 4,12,12,11, 1, 0, 0, 1,16,10, 1,14, 0, 0, 0, 1,14, 7, 0,14, 0, 0, 0, 0, 4,16,13,10, 0, 0, 0, 0, 2,16,16, 3, 0, 0, 0, 1,13,11,15, 7, 0, 0, 0, 2,16, 5,14, 8, 0, 0, 0, 0, 6, 9,12, 3, 0, 0), 8),
    (( 0, 0, 4,10,13, 3, 0, 0, 0, 0,16,15,14,11, 0, 0, 0, 0, 5, 1,10,12, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 9,14, 4, 4, 4, 1, 0, 0, 4,14,16,15,12, 5), 2),
    (( 0, 0, 5,15, 2, 0, 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 0,10,13, 1, 4, 6, 0, 0, 0, 8,16,13,16,15, 9, 0, 0, 6,16,13, 1, 4,12, 0, 0, 1,16,15, 3, 8,11, 0, 0, 0, 5,12,16,16, 4, 0), 6),
    (( 0, 0, 0, 8,14,15, 2, 0, 0, 0, 9,12, 4,13, 7, 0, 0, 0,14,13, 8,14, 3, 0, 0, 0, 3,16,16,16, 2, 0, 0, 0, 0, 0, 0,15, 0, 0, 0, 0, 3, 0, 1,16, 1, 0, 0, 0,14,13, 9,14, 0, 0, 0, 0, 2,10,12, 4, 0, 0), 9),
    (( 0, 0, 0,12,16,13, 0, 0, 0, 0, 6,16,10, 5, 0, 0, 1,14, 2, 6, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 0, 3,14,11, 1, 0, 0, 0, 0, 0, 3,13,11, 0, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0,13,16, 6, 0, 0), 5),
    (( 0, 0,13,16,16,12, 0, 0, 0, 0, 9,12, 8, 7, 0, 0, 0, 0,11,16, 7, 0, 0, 0, 0, 0,11,15,14, 3, 0, 0, 0, 0, 1, 2, 6,11, 0, 0, 0, 0, 0, 0, 3,14, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0,12,16,16, 6, 0, 0), 5),
    (( 0, 0,12,16,16,16,11, 0, 0, 0, 8,10, 9,16,11, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 8,16,16,16,14, 0, 0, 0, 3, 9,16,12, 3, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0), 7),
    (( 0, 0, 5,10,13,16, 9, 0, 0, 2,16,16,11, 8, 2, 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 0, 9,16, 9, 1, 0, 0, 0, 0, 0, 1,13,11, 0, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 4,15, 5, 0, 0, 0, 0, 7,14, 3, 0, 0, 0), 5),
    (( 0, 0, 0, 8,15, 4, 0, 0, 0, 0, 4,16,11, 4, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 7,16,13,12,12, 1, 0, 0, 3,16,15,12,15,12, 0, 0, 0,11,15, 9,15,13, 0, 0, 0, 0, 8,15,13, 6, 0), 6),
    (( 0, 0,10,14,14,11, 1, 0, 0, 4,16,12, 5,14,11, 0, 0, 5,14, 2, 4,13, 8, 0, 0, 1,11,11,14, 6, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 4,13,11, 9, 0, 0, 0, 0, 5,11, 2,16, 2, 0, 0, 0, 0,13,16,16, 6, 0, 0), 8),
    (( 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 9,16,15, 0, 0, 0, 0, 8,16,16,14, 0, 0, 0, 0, 7, 8,11,16, 4, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 1, 7,11,16,12, 0, 0, 0, 0,11,16,14, 8, 0), 1),
    (( 0, 0, 6,13,12, 4, 0, 0, 0, 2,16, 9,12,13, 0, 0, 0, 0, 9, 0,13,10, 0, 0, 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 4, 9, 5,10,13, 0, 0, 0, 7,12,13,12, 5, 0), 3),
    (( 0, 0,11,15, 0, 0, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 0, 9,16, 0, 0, 0, 0, 0, 0,11,13, 0, 9, 5, 0, 0, 0,13,11, 0,11,13, 0, 0, 1,15,10, 6,12,16, 1, 0, 4,16,16,16,15,16, 4, 0, 0, 7, 7, 4, 0,15, 7), 4),
    (( 0, 0,14,14,16,15, 0, 0, 0, 4,16,13,12, 8, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0, 5,16,12, 4, 0, 0, 0, 0, 3,14,16,14, 0, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0,10, 8,15,10, 0, 0, 0, 0,15,16,11, 1, 0, 0), 5),
    (( 0, 1, 8,14,16, 5, 0, 0, 0, 5,15, 7,11,11, 0, 0, 0, 0, 1, 0,11, 9, 0, 0, 0, 0, 3,11,16, 3, 0, 0, 0, 0,12,16,16,15, 3, 0, 0, 0, 2, 1, 1,12, 8, 0, 0, 0, 5, 9,14,15, 3, 0, 0, 0,11,12, 8, 1, 0, 0), 3),
    (( 0, 0, 1,11,16, 6, 0, 0, 0, 0,12,14,11,16, 3, 0, 0, 0,11, 5, 2,16, 5, 0, 0, 0, 0, 0, 7,14, 2, 0, 0, 0, 0, 7,16, 7, 0, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0, 0,12,16,15, 0, 0, 0, 0, 1,12,16, 7, 0, 0), 3),
    (( 0, 0, 2, 9,15,16, 7, 0, 0, 0,15, 9, 8,15, 9, 0, 0, 2,15, 3, 4,16, 2, 0, 0, 4,15,15,16, 2, 0, 0, 0, 0, 1,16,16, 9, 0, 0, 0, 0,10,10,10,16, 3, 0, 0, 0,10,12,10,16, 4, 0, 0, 0, 2,13,12, 8, 1, 0), 8),
    (( 0, 0, 0, 6,16, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0,12,11, 3, 0, 0, 0, 0, 4,16, 5,16, 7, 0, 0, 1,15,16,13,16,14, 4, 0, 0, 9,15,15,16,15, 1, 0, 0, 0, 0, 6,15, 0, 0, 0), 4),
    (( 0, 0, 8,16, 8, 0, 0, 0, 0, 0,10,16,16, 0, 0, 0, 0, 0, 6,10,16, 4, 0, 0, 0, 0, 0, 0,16, 2, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0,13,16,16,16,14, 0, 0, 0, 8,12,11, 8,14, 0), 2),
    (( 0, 0, 2,15, 8, 0, 0, 0, 0, 0, 9,14,16, 6, 0, 0, 0, 0,15, 9, 3,14, 3, 0, 0, 4,16, 2, 0, 9, 7, 0, 0, 8,12, 0, 0, 7, 8, 0, 0, 3,14, 1, 0, 8, 9, 0, 0, 0,15,15,13,15, 7, 0, 0, 0, 3,14,15, 9, 0, 0), 0),
    (( 0, 0, 7,16,15, 3, 0, 0, 0, 1,15,10,12, 4, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0, 8,13, 0, 4, 3, 0, 0, 0, 9,14,13,16,16, 5, 0, 0, 7,16,13, 2, 9,12, 0, 0, 2,16,10, 1,11,12, 0, 0, 0, 8,15,16,15, 3, 0), 6),
    (( 0, 0,14,10,10, 4, 0, 0, 0, 0,16, 8, 8,15, 4, 0, 0, 0,13, 5, 0, 7, 8, 0, 0, 0, 6,14, 8,15, 7, 0, 0, 0, 8,16,16, 9, 0, 0, 0, 2,15, 9,15, 6, 0, 0, 0, 5,15, 8,14,10, 0, 0, 0, 0, 8,10,16, 7, 0, 0), 8),
    (( 0, 0, 2,10,12, 1, 0, 0, 0, 0,10,15,14, 8, 0, 0, 0, 6,16, 7, 8, 8, 0, 0, 0, 5,16,16,16,10, 0, 0, 0, 0, 8,16,16,16, 2, 0, 0, 0,11,14, 1,13, 6, 0, 0, 0,12,13, 7,14, 4, 0, 0, 0, 4,14,12,10, 2, 0), 8),
    (( 0, 0, 3,12,16,10, 0, 0, 0, 0,16,10, 5,16, 1, 0, 0, 4,16,11,10,14, 0, 0, 0, 0,14,16,16,13, 1, 0, 0, 0, 2, 8, 8,16, 7, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0,10,16, 7, 0, 0, 0, 0, 2,10, 3, 0, 0, 0), 9),
    (( 0, 0, 2,10,16, 3, 0, 0, 0, 0,15,16,16, 4, 0, 0, 0, 3,12, 1,16,15, 9, 0, 0, 0, 0, 7,16,16,13, 0, 0, 0, 0,16,15, 2, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 0,14, 3, 0, 0, 0), 7),
    (( 0, 3,14,16, 7, 1, 0, 0, 0,12,16, 9,16,11, 0, 0, 0,12,16,11,16,12, 0, 0, 0, 1,10,12,15,16, 0, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 1, 6, 4, 8,16,11, 0, 0, 2, 9,16,16,10, 1, 0), 9),
    (( 0, 0, 6,14,16, 9, 0, 0, 0, 5,15, 5, 8,16, 1, 0, 0, 4,14, 1, 3,16, 6, 0, 0, 0, 7,16,15,14, 8, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0, 8, 9, 0, 0, 0,12, 3, 0,11, 9, 0, 0, 0, 8,14,16,13, 1, 0), 9),
    (( 0, 0, 0, 6,11, 1, 0, 0, 0, 0, 5,15,11, 1, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 0, 0, 0,14, 3, 3, 0, 0, 0, 0, 0,11,16,16,14, 4, 0, 0, 0, 5,16,11,14,13, 0, 0, 0, 0, 4, 9,14,13, 0), 6),
    (( 0, 0, 4,12,12, 1, 0, 0, 0, 0,14,16,16,11, 0, 0, 0, 0,16, 3, 3,14, 4, 0, 0, 1,15, 0, 0,10, 6, 0, 0, 3,13, 0, 0,11, 5, 0, 0, 2,16, 0, 1,14, 3, 0, 0, 1,14, 7,12,16, 0, 0, 0, 0, 6,15,15, 5, 0, 0), 0),
    (( 0, 0, 6,16, 2, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 0,12,13,11,12,12, 3, 0, 0, 7,16,15,12,13,13, 0, 0, 2,15,12, 2, 8,15, 0, 0, 0, 5,16,16,16, 5, 0), 6),
    (( 0, 0, 2,14,12, 2, 0, 0, 0, 0,12,13, 7,13, 0, 0, 0, 5,16, 1, 0,12, 3, 0, 0, 6,12, 2, 0, 4, 8, 0, 0, 7, 8, 0, 0, 7, 8, 0, 0, 1,14, 1, 0, 9, 6, 0, 0, 0, 9,11, 7,16, 1, 0, 0, 0, 2,12,16, 8, 0, 0), 0),
    (( 0, 0, 0, 1,13, 2, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0,13,16,11, 5, 0, 0, 0, 1,15,12, 6,12, 4, 0, 0, 0, 1,13, 8,12,10, 0, 0, 0, 0, 2,12,13, 8, 0), 6),
    (( 0, 0, 1, 9,16,16,12, 1, 0, 0,10,13, 8,12,16, 3, 0, 0, 2, 0, 1,13,10, 0, 0, 0, 0, 9,16,11, 0, 0, 0, 0, 0,14,16,15, 0, 0, 0, 0, 0, 7,10,16, 2, 0, 0, 0, 2,16,14,13, 0, 0, 0, 0, 0,14,14, 2, 0, 0), 3),
    (( 0, 0, 0,12,13, 0, 0, 0, 0, 0, 4,16,16, 9, 0, 0, 0, 0, 2,16, 6,14, 0, 0, 0, 4, 3,13, 7, 9, 5, 0, 0, 8,12, 3,16,12, 8, 0, 0, 0,14, 5, 1,12, 8, 0, 0, 0,10,14,13,16, 2, 0, 0, 0, 0,13,16, 6, 0, 0), 0),
    (( 0, 0, 1,11,13, 1, 0, 0, 0, 0,11,13, 9,11, 0, 0, 0, 2,16, 2, 0,10, 2, 0, 0, 5,12, 0, 0, 5, 7, 0, 0, 8, 8, 0, 0, 4, 8, 0, 0, 2,12, 0, 0, 7, 7, 0, 0, 0,13, 5, 8,16, 2, 0, 0, 0, 2,15,14, 5, 0, 0), 0),
    (( 0, 0, 4,16, 8, 0, 0, 0, 0, 0,13,12, 1, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 6,16, 1, 9,11, 3, 0, 0, 2,16,10,15,12,14, 2, 0, 0,11,16, 9, 7,16, 6, 0, 0, 3,13,16,16,10, 0), 6),
    (( 0, 0, 2,13,16, 6, 0, 0, 0, 0,11,10, 1, 0, 0, 0, 0, 0,14, 1, 0, 0, 0, 0, 0, 1,15, 0, 0, 0, 0, 0, 0, 1,14, 6, 8, 2, 0, 0, 0, 0,15,13, 8,11, 1, 0, 0, 0, 9,12, 0, 9, 7, 0, 0, 0, 0,13,16,15, 6, 0), 6),
    (( 0, 0, 2, 9,12,13, 3, 0, 0, 1,14,10, 4,14, 5, 0, 0, 6,12, 4, 8,16, 2, 0, 0, 1,11,12,12,16, 3, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 0, 7,10, 0, 0, 0), 9),
    (( 0, 3,15,16, 7, 0, 0, 0, 0, 8,15,14,12, 0, 0, 0, 0, 1, 3, 3,14, 0, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 0, 5,16, 6, 0, 1, 0, 0, 5,16,16,13,16,15, 0, 0, 4,16,16,14,12, 9, 0), 2),
    (( 0, 0, 0,10,12, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0,14,10, 0, 0, 3, 1, 0, 6,16, 2, 0, 6,16, 2, 0,14,16, 5, 9,15, 6, 0, 0,10,16,14,16,12, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0,10,11, 0, 0, 0), 4),
    (( 0, 0, 0,10, 2, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 0, 0,12,13, 7, 1, 0, 0, 0, 1,16,14,12,14, 2, 0, 0, 2,16,10, 0, 6,13, 0, 0, 0,10,14, 2, 1,16, 2, 0, 0, 1,10,16,15,14, 2), 6),
    (( 0, 0, 7,12,15,15, 2, 0, 0, 3,16,12, 8,16, 5, 0, 0, 0, 0, 0, 6,16, 0, 0, 0, 0, 0, 0,14,15, 6, 0, 0, 0, 1,15,16,16, 9, 0, 0, 0, 0,13,10, 2, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0), 7),
    (( 0, 0, 3,16, 9, 1, 0, 0, 0, 0,12,16,16, 1, 0, 0, 0, 0,15,16,10, 0, 0, 0, 0, 0,14,16, 5, 0, 0, 0, 0, 0,13,16, 4, 0, 0, 0, 0, 0,13,16, 4, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0), 1),
    (( 0, 0,12,16,12, 1, 0, 0, 0, 8,15,10,15, 6, 0, 0, 0, 3, 6, 1,15, 3, 0, 0, 0, 0, 0,10,16, 9, 1, 0, 0, 0, 2,14,12,16, 6, 0, 0, 0, 4, 0, 0,10, 9, 0, 0, 0,16, 8, 6,15, 7, 0, 0, 0,10,16,16,13, 1, 0), 3),
    (( 0, 1,13,16,14, 6, 1, 0, 0, 0,13, 7, 8,16, 4, 0, 0, 0, 2, 1,12,15, 2, 0, 0, 0, 2,15,13, 3, 0, 0, 0, 0, 3,14,15, 6, 0, 0, 0, 0, 0, 1, 8,16, 3, 0, 0, 4,15,10, 5,16, 5, 0, 0, 3,12,15,16,13, 1, 0), 3),
    (( 0, 0, 6,13,12,11, 2, 0, 0, 0,16,13, 5,13,13, 0, 0, 0,15,11, 5,15, 8, 0, 0, 0,11,16,16, 9, 0, 0, 0, 1,10,16,15, 0, 0, 0, 0, 4,16,12,16, 6, 0, 0, 0, 1,15,16,16,12, 0, 0, 0, 0, 3,13,16,11, 0, 0), 8),
    (( 0, 0, 1,14, 9, 0, 0, 0, 0, 0, 5,15,13, 6, 0, 0, 0, 0, 9,12, 4,12, 0, 0, 0, 0, 6,15,10,16, 4, 0, 0, 0, 0,10,16,16,10, 0, 0, 0, 0, 0, 0, 2,16, 0, 0, 0, 1, 4, 4, 6,15, 4, 0, 0, 1,13,15,14,11, 0), 9),
    (( 0, 0, 4,16,13,13, 5, 0, 0, 0, 9,15, 7, 4, 2, 0, 0, 3,14, 9, 0, 0, 0, 0, 0, 5,16,16,13, 5, 0, 0, 0, 0, 0, 2,10,15, 1, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 1, 4,14, 6, 0, 0, 0, 0, 2,16,10, 0, 0, 0), 5),
    (( 0, 0, 1,12,16,14, 1, 0, 0, 0, 4,16,16,16, 4, 0, 0, 2,14,16,16,16, 6, 0, 0, 2,12,16,16,10, 0, 0, 0, 0, 8,16,16, 8, 0, 0, 0, 0,11,16,16, 5, 0, 0, 0, 0, 8,16,16, 4, 0, 0, 0, 0, 1,15,16, 8, 0, 0), 1),
    (( 0, 0, 7,15,16,16,13, 0, 0, 2,16, 9, 8,14,16, 0, 0, 1, 2, 0, 4,16, 8, 0, 0, 0, 0, 0,10,15, 2, 0, 0, 0, 0, 0, 7,16, 8, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 5,15,13, 1, 0, 0, 0, 9,16,11, 2, 0, 0), 3),
    (( 0, 1, 8,15,16,11, 1, 0, 0, 5,16,13,10,13, 7, 0, 0, 4,13, 0, 0, 9, 8, 0, 0, 1,13, 8, 6,15, 4, 0, 0, 0, 2,15,16, 9, 0, 0, 0, 0, 8,14,15, 8, 0, 0, 0, 0,14, 8, 9,14, 0, 0, 0, 0,11,16,14, 8, 0, 0), 8),
    (( 0, 0, 1, 9,13,16, 8, 0, 0, 0,12,13, 9,11,14, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 5, 9,15,10, 0, 0, 0, 5,16,16,16, 5, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 9,16, 0, 0, 0), 7),
    (( 0, 0, 5,12,11, 2, 0, 0, 0, 1,14,15,13,14, 0, 0, 0, 2,15, 4, 6,16, 0, 0, 0, 0, 0, 2,13,12, 0, 0, 0, 0, 0,11,16,13, 2, 0, 0, 0, 0, 1, 5,12,12, 0, 0, 0, 8,11, 8,14,12, 0, 0, 0, 7,16,12,12, 3, 0), 3),
    (( 0, 0, 1,15, 1, 0, 0, 0, 0, 0, 6,16, 0, 2, 0, 0, 0, 0,11,13, 2,16, 2, 0, 0, 6,16, 8, 9,14, 0, 0, 0, 8,16,16,16,14, 3, 0, 0, 0, 8,15,16,16, 8, 0, 0, 0, 0,12,14, 3, 0, 0, 0, 0, 1,16, 9, 0, 0, 0), 4),
    (( 0, 0, 5,13,13, 2, 0, 0, 0, 0,12,14,16, 8, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 0,10,14, 2, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 1, 0, 5,16, 4, 0, 0, 0, 6,13,16,12, 3, 0), 3),
    (( 0, 0, 0, 8,13, 2, 0, 0, 0, 0,12,14, 9, 0, 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 0, 3,15,13,16,15, 4, 0, 0, 2,16,11, 4, 8,13, 0, 0, 0, 9,12, 5,11,12, 0, 0, 0, 0, 9,14,13, 4, 0), 6),
    (( 0, 0, 9,16,16, 7, 0, 0, 0, 0, 8, 9,11,16, 1, 0, 0, 0, 0, 2,13,16, 1, 0, 0, 0, 0,13,16, 6, 0, 0, 0, 0, 0, 3,13,13, 2, 0, 0, 0, 0, 0, 1,13, 9, 0, 0, 0, 4, 2, 1,12,13, 0, 0, 0,11,16,16,16,11, 0), 3),
    (( 0, 0, 0, 0, 6, 9, 0, 0, 0, 0, 0, 7,15, 4, 0, 0, 0, 0, 3,14, 7, 0, 0, 0, 0, 0, 9, 9, 0,13, 3, 0, 0, 2,16, 2, 2,16, 0, 0, 0, 8,16,14,16,16, 6, 0, 0, 2, 4, 4,12, 8, 0, 0, 0, 0, 0, 0, 9,11, 0, 0), 4),
    (( 0, 0,10,16,16,12, 6, 0, 0, 0, 6, 9,16,16,15, 1, 0, 0, 0, 0, 3,13, 9, 0, 0, 1,12, 8,10,16, 2, 0, 0, 1,15,16,16,16, 8, 0, 0, 0, 1,13,11,10, 4, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0), 7),
    (( 0, 0, 2,14,16,13, 0, 0, 0, 0,15, 9, 7, 9, 0, 0, 0, 0,14, 6, 5, 4, 0, 0, 0, 0,11,16,16,16, 3, 0, 0, 0, 1, 5, 4,11, 8, 0, 0, 0, 3, 0, 0, 7, 9, 0, 0, 2,16,11, 4, 8,10, 0, 0, 0, 1,10,14,15, 3, 0), 5),
    (( 0, 0, 6,11, 0, 0, 0, 0, 0, 0,13, 7, 0, 5,16, 2, 0, 1,16, 7,11,16, 9, 0, 0, 0, 6,12,16,11, 0, 0, 0, 0, 0, 7,14, 2, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0), 4),
    (( 0, 0, 3,16,10, 0, 0, 0, 0, 1,10,16,16, 1, 0, 0, 0,10,16,16,15, 0, 0, 0, 0, 3,11,16,16, 0, 0, 0, 0, 0, 0,14,16, 3, 0, 0, 0, 0, 0,14,16, 3, 0, 0, 0, 0, 1,16,16, 5, 0, 0, 0, 0, 1,14,13, 0, 0, 0), 1),
    (( 0, 0,11,16,13, 2, 0, 0, 0, 7,16,11,12,14, 0, 0, 0, 9,13, 0,11,14, 0, 0, 0, 0, 0,11,16,14, 2, 0, 0, 0, 0,10, 9,15,10, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0,14, 8, 9,16, 6, 0, 0, 0,11,16,16,10, 0, 0), 3),
    (( 0, 0, 2,15,12, 0, 0, 0, 0, 0,11, 8,15, 4, 0, 0, 0, 0,13, 4,12, 4, 0, 0, 0, 0, 1, 1,15, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 6,16,13, 8, 8, 2, 0, 0, 0, 4,10,12,13, 6, 0), 2),
    (( 0, 0,10,15,10, 0, 0, 0, 0,10,15,10,16, 6, 0, 0, 0, 2, 2,13,15, 1, 0, 0, 0, 0, 4,16,16, 5, 0, 0, 0, 0, 0, 3, 7,15, 5, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0,13, 7, 5,11,14, 0, 0, 0, 7,16,16,14, 3, 0), 3),
    (( 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 0, 1,12,15, 0, 3,13, 1, 0, 7,16, 4, 0,11,15, 0, 0,14,13, 0, 4,16, 5, 0, 0,14,16,16,16,11, 0, 0, 0, 2, 8,13,16, 3, 0, 0, 0, 0, 0, 7,16, 2, 0, 0), 4),
    (( 0, 0, 6,13,16,16,13, 0, 0, 6,16,10, 7,15,14, 0, 0, 1, 4, 0,10,16, 6, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 3,16, 9, 0, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 0, 0, 9,16,16,12, 1, 0), 2),
    (( 0, 0, 1,15,16,16,15, 0, 0, 0, 0, 8, 8,14,10, 0, 0, 0, 0, 0, 4,15, 1, 0, 0, 0, 0, 3,12,12, 2, 0, 0, 2,12,16,16,14, 7, 0, 0, 3, 6, 9,10, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0), 7),
    (( 0, 0, 2, 6,12,16,16, 2, 0, 2,15,16, 9, 5,16, 5, 0, 0, 5, 1, 0, 2,16, 2, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0,10,13,16,13, 1, 0, 0, 0, 9,13,16, 1, 0, 0, 0, 0, 0, 7,12, 0, 0, 0), 7),
    (( 0, 0, 2,12,12, 2, 0, 0, 0, 3,14,13,11,11, 0, 0, 0, 5,16, 2, 2,14, 4, 0, 0, 7,14, 2, 0,12, 7, 0, 0, 4,12, 0, 0,12, 5, 0, 0, 2,14, 1, 2,15, 2, 0, 0, 0,11,10,13, 8, 0, 0, 0, 0, 3,13,12, 2, 0, 0), 0),
    (( 0, 1,10,16,16,16, 4, 0, 0, 1,14, 9, 8,16, 4, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 2,11,12,15,15, 9, 0, 0, 0,13,16,16,13, 6, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 9,15, 1, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 0, 3,13, 4, 0, 0, 0, 0, 0,11,16, 8, 0, 0, 0, 0, 8,16,16, 6, 0, 0, 1, 9,16, 9,16, 2, 0, 0, 7,16, 5, 5,16, 0, 0, 0, 0, 2, 0, 8,13, 0, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0, 5,15, 3, 0), 1),
    (( 0, 0, 2, 9,15,11, 0, 0, 0, 3,15,16,16,16, 0, 0, 0, 3,13, 3, 9,16, 2, 0, 0, 0, 0, 6,14,16,13, 0, 0, 0, 5,16,16,13, 2, 0, 0, 0, 5,11,16, 4, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0), 7),
    (( 0, 0, 5,15,10,10, 4, 0, 0, 0,12,12,15,14, 8, 0, 0, 0,11, 7, 1,15, 5, 0, 0, 0, 6,15, 8,14, 0, 0, 0, 0, 4,14,16, 2, 0, 0, 0, 3,16,11,12, 5, 0, 0, 0, 7,14, 7, 6,14, 0, 0, 0, 0, 7,13,16,14, 0, 0), 8),
    (( 0, 0, 1,11,16, 9, 0, 0, 0, 0,13,11, 6,10, 0, 0, 0, 4,14, 0, 9,11, 0, 0, 0, 7,15,15,16,15, 1, 0, 0, 0, 7, 6, 0,14, 8, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 3,10,15, 2, 0, 0, 0, 2,12,10, 1, 0, 0), 9),
    (( 0, 0, 4,12,16,15, 5, 0, 0, 0,13,16,16,16, 7, 0, 0, 4,16,13,14,11, 0, 0, 0, 6,16,16,14, 1, 0, 0, 0, 0, 9,16,12, 1, 0, 0, 0, 0,12,12,15, 7, 0, 0, 0, 0,13,10,13,12, 0, 0, 0, 0, 3,15,13, 4, 0, 0), 8),
    (( 0, 0, 0,10,14, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0, 8,16, 6, 8, 0, 0, 0, 0,14, 9, 8,15, 0, 0, 0, 4,16, 3,11,15, 6, 0, 0,10,16,16,16,16, 9, 0, 0, 6,12,13,16, 7, 0, 0, 0, 0, 0,12,16, 2, 0, 0), 4),
    (( 0, 0, 0, 1,15, 4, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0,10,16, 2, 3, 0, 0, 0, 4,16, 8, 3,16, 4, 0, 0,12,16,13,15,16, 4, 0, 0, 8,14,12,16,14, 5, 0, 0, 0, 0, 1,16, 6, 0, 0), 4),
    (( 0, 0, 6,15, 6, 0, 0, 0, 0, 4,16,14,15, 2, 0, 0, 0, 4,16, 7,13,12, 0, 0, 0, 3,16,16,16,16, 3, 0, 0, 0, 5,11,10,14,10, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 2,12,16, 8, 0, 0, 0, 5,15,16,11, 1, 0), 9),
    (( 0, 0, 6,15,14, 5, 0, 0, 0, 0, 4,15,16,13, 0, 0, 0, 0, 3,16,16,16, 1, 0, 0, 0, 5,16,16,15, 2, 0, 0, 0, 6,16,16,15, 1, 0, 0, 0, 6,16,16,16, 2, 0, 0, 0, 4,16,16,12, 0, 0, 0, 0, 8,16,16, 8, 0, 0), 1),
    (( 0, 0, 0, 1,14,12, 0, 0, 0, 4, 6,15,14,12, 0, 0, 0, 5,16,16,13,13, 1, 0, 0, 0,11,16,16,16, 4, 0, 0, 0, 0, 3, 2, 9, 8, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 0,11,16, 4, 0, 0, 0, 0, 0,11, 5, 1, 0), 9),
    (( 0, 0, 3,16,14, 3, 0, 0, 0, 0, 6,16,16, 5, 0, 0, 0, 0,12,16, 9, 0, 0, 0, 0, 0,16,16, 5, 0, 0, 0, 0, 2,16,16, 1, 0, 0, 0, 0, 1,16,16, 1, 0, 0, 0, 0, 0,13,16, 1, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0), 1),
    (( 0, 0,11,12, 5, 0, 0, 0, 0, 0,12,16,16,10, 0, 0, 0, 0,16, 4, 8,16, 3, 0, 0, 2,16, 1, 0, 9, 8, 0, 0, 4,13, 0, 0,10, 8, 0, 0, 1,15, 0, 3,16, 9, 0, 0, 2,16,13,16,13, 1, 0, 0, 0,13,13, 7, 0, 0, 0), 0),
    (( 0, 0, 9,16,11, 1, 0, 0, 0, 1,16, 9,12,13, 7, 0, 0, 2,16, 5,13,11, 6, 0, 0, 0, 9,16,12, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0,13,15,10, 0, 0, 0, 0, 0,16,16, 8, 0, 0, 0, 0, 0,11,15, 1, 0, 0, 0), 8),
    (( 0, 0, 3, 8,12,14,15, 3, 0, 0, 4, 8, 4, 8,16, 3, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 2,10,12,15, 8, 0, 0, 0, 9, 8,15,12, 4, 0, 0, 0, 0, 5,15, 3, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0), 7),
    (( 0, 0, 2,13,16,14, 2, 0, 0, 0,12,13, 8,15, 8, 0, 0, 8,14, 0, 0,11,12, 0, 0, 7,16,13,11,16,13, 0, 0, 0, 6, 8, 8,14,10, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 3,12, 5,15, 5, 0, 0, 0, 1,12,16,14, 2, 0), 9),
    (( 0, 0, 0, 9,15, 2, 0, 0, 0, 0, 8,16, 9, 1, 0, 0, 0, 1,15,12, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0, 1,16, 2, 5, 0, 0, 0, 0, 0,14,16,16,11, 1, 0, 0, 0, 5,16,16,16, 7, 0, 0, 0, 0, 8,12,13, 1, 0), 6),
    (( 0, 0,11,10, 7, 4, 0, 0, 0, 2,15, 8,16,16, 2, 0, 0, 9,11, 0, 8,16, 1, 0, 0, 5,16, 9,15,16, 6, 0, 0, 0, 5,10, 4,12, 8, 0, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 6, 7,10,15, 5, 0, 0, 1,12,15,12, 3, 0, 0), 9),
    (( 0, 0,11,12,16,10, 1, 0, 0, 5,16,15, 7,15, 4, 0, 0, 5,16, 6, 8,15, 1, 0, 0, 0, 7,16,16,10, 0, 0, 0, 0, 6,16,16, 7, 0, 0, 0, 0,14,10,10,12, 0, 0, 0, 4,16, 9,12,14, 0, 0, 0, 1,11,16,15, 5, 0, 0), 8),
    (( 0, 1, 8,16,16,11, 0, 0, 0, 6,15,10,14,16, 4, 0, 0, 6,13, 2, 7,15, 2, 0, 0, 0,11,16,16, 7, 0, 0, 0, 0,11,15,15, 8, 0, 0, 0, 1,16, 3, 6,16, 4, 0, 0, 0,14, 9, 4,13, 8, 0, 0, 0, 5,15,16,15, 4, 0), 8),
    (( 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 1,15,15, 1, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 0,14,14,12, 7, 0, 0, 0, 0, 8,16,12,16, 7, 0, 0, 0, 0, 7,15,16,13, 0), 6),
    (( 0, 0,11,16,14, 5, 0, 0, 0, 0,15,10, 8, 8, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 0,16,16, 9, 0, 0, 0, 0, 0,15,11,15, 1, 0, 0, 0, 0, 0, 0, 8, 5, 0, 0, 0, 0, 2, 3,11, 7, 0, 0, 0, 0,12,16,15, 3, 0, 0), 5),
    (( 0, 0, 5,16,16, 6, 0, 0, 0, 1,15,13,10,15, 1, 0, 0, 5,16, 9, 0,12, 7, 0, 0, 8,11, 0, 0, 7,12, 0, 0,12, 9, 0, 0, 4,12, 0, 0, 9,13, 0, 0, 6,13, 0, 0, 1,15,10, 4,11,11, 0, 0, 0, 6,16,16,13, 1, 0), 0),
    (( 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 1,16, 9, 8, 2, 0, 0, 0, 2,16,16,15,15, 2, 0, 0, 3,16, 7, 0, 6,12, 0, 0, 0,11,12, 4, 7,15, 0, 0, 0, 1, 9,16,16, 6, 0), 6),
    (( 0, 0, 9,12, 9, 0, 0, 0, 0, 0,16,16,16, 4, 0, 0, 0, 0,13,16,16, 4, 0, 0, 0, 0,12,16,16, 2, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,13,16,16, 4, 0, 0, 0, 0,16,16,16, 9, 0, 0, 0, 0, 4, 8,10, 4, 0, 0), 1),
    (( 0, 0, 1,14, 6, 9, 5, 0, 0, 0,11,12, 3,16, 7, 0, 0, 5,16, 2,12,11, 3, 0, 0,10,16, 8,16,16,14, 0, 0, 7,16,16,14,11, 3, 0, 0, 0, 3,13, 8, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0), 4),
    (( 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 0,11,16, 0, 0, 0, 0, 0, 2,16,12,15,11, 0, 0, 1,15,14, 6,16, 8, 0, 0, 8,16,15,16,16, 6, 0, 0, 5,12,12,16,13, 3, 0, 0, 0, 0, 2,14, 3, 0, 0), 4),
    (( 0, 0, 3,15,13, 2, 0, 0, 0, 2,15,14,16, 8, 0, 0, 0, 5,15, 6, 4,15, 0, 0, 0, 1,15, 1, 1,15, 3, 0, 0, 3,16, 2, 0,12, 5, 0, 0, 3,16, 3, 0,12, 6, 0, 0, 0,12,14,15,15, 0, 0, 0, 0, 2,14,14, 4, 0, 0), 0),
    (( 0, 0, 3, 8,10,12,15, 0, 0, 0, 8,10, 9,15,13, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 5,13,14, 3, 0, 0, 0, 4,14,16,16, 5, 0, 0, 0, 0,11,12, 1, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 2,13, 0, 0, 0, 0), 7),
    (( 0, 0,10,16,16,16, 5, 0, 0, 0, 2, 4,10,16, 5, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 4,14,16,13, 6, 0, 0, 0, 6,15,16,15, 7, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0), 7),
    (( 0, 0, 8,16,10, 0, 0, 0, 0, 2,16,13,16, 0, 0, 0, 0, 2, 8, 4,14, 0, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 0, 0,12,15,12, 8, 2, 0, 0, 0, 8,15,10, 8, 1, 0), 2),
    (( 0, 1,11,12,15,16,13, 1, 0, 1,15,11, 8,10,16, 2, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0,11,12, 1, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0), 7),
    (( 0, 1,14,14, 2, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0,11,11,10,14, 0, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0, 5,16,12, 0, 0, 0, 0, 4,16,16,16,16, 6, 0, 0, 1, 8, 6, 8,15,11, 0), 2),
    (( 0, 0,13,16,16, 6, 0, 0, 0, 6,16, 6,10,16, 0, 0, 0, 1, 7, 5,14, 8, 0, 0, 0, 0, 1,15,16,13, 1, 0, 0, 0, 0, 3, 4,13,10, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 2,14, 5, 6,16, 4, 0, 0, 1,15,16,16,10, 0, 0), 3),
    (( 0, 2,16,10, 9, 8, 0, 0, 0, 0,10,16,16,12, 0, 0, 0, 1, 5,10,16,10, 6, 0, 0,11,16,16,16,15, 7, 0, 0, 3, 5,14, 9, 2, 0, 0, 0, 0, 6,16, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0), 7),
    (( 0, 0, 1,13, 4, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 3,16,16,10, 3, 0, 0, 0, 6,16,11,10,14, 1, 0, 0, 4,16, 1, 0, 7,11, 0, 0, 1,13, 7, 0, 9,12, 0, 0, 0, 1,13,16,15, 5, 0), 6),
    (( 0, 0, 3,15,10, 0, 0, 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 2,16,13, 3, 8, 1, 0, 0,11,16,16,16,16,10, 0, 0, 3,12,11,16,15, 2, 0, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 0,11,16, 3, 0, 0, 0, 0, 2,15,16, 0, 0, 0), 4),
    (( 0, 0, 8,14, 9, 2, 0, 0, 0, 2,14, 5,11,13, 0, 0, 0, 0,15, 0, 6,16, 4, 0, 0, 0,13, 9,15,15, 6, 0, 0, 0, 0, 5, 1, 7, 9, 0, 0, 0, 0, 0, 0, 5,12, 0, 0, 0,12, 3, 0, 9, 8, 0, 0, 0, 7,14,15,13, 0, 0), 9),
    (( 0, 2,14,14, 1, 0, 0, 0, 0, 4,16,11, 4, 6, 0, 0, 0, 4,16, 4,12,16, 2, 0, 0, 0,13,16,16, 6, 0, 0, 0, 0,13,16,10, 0, 0, 0, 0, 0,15,16, 4, 0, 0, 0, 0, 4,16,16, 7, 0, 0, 0, 0, 2,13,15, 1, 0, 0, 0), 8),
    (( 0, 0, 0,10,15, 4, 0, 0, 0, 0, 6,16,10, 1, 0, 0, 0, 0,11,15, 1, 0, 0, 0, 0, 0,16,10, 6, 3, 0, 0, 0, 4,16,16,16,16, 7, 0, 0, 0,15,16,11, 6,16, 1, 0, 0,11,13, 2, 4,16, 4, 0, 0, 0,10,16,16,13, 1), 6),
    (( 0, 0, 8,13,12, 6, 0, 0, 0, 1,14,13,12, 6, 0, 0, 0, 4,12, 2, 2, 0, 0, 0, 0, 5,16,16,16,13, 1, 0, 0, 0, 3, 1, 2,15, 7, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 6, 8, 8,15, 4, 0, 0, 0, 7,13,12, 5, 0, 0), 5),
    (( 0, 0, 4,16,14, 0, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 1,15,16, 4, 0, 0, 0, 0,10,16,16, 4, 0, 0, 0, 0, 0, 5,16,10, 0, 0, 0, 0, 0, 1,16,12, 0, 0, 0, 0, 0, 1,15,16, 6, 1, 0, 0, 0, 6,16,16,16, 4, 0), 1),
    (( 0, 0, 2,14,15, 8, 0, 0, 0, 0, 8,10, 3,15, 1, 0, 0, 0, 5,11, 1,15, 4, 0, 0, 0, 0,12,15,16, 5, 0, 0, 0, 0, 0, 2, 8, 6, 0, 0, 1, 3, 0, 0, 7, 5, 0, 0, 1,12, 4, 0,10, 7, 0, 0, 0, 4,14,14,13, 1, 0), 9),
    (( 0, 0,13,15,15, 4, 0, 0, 0, 3,16,14,16,13, 0, 0, 0, 3,16, 3, 5,16, 5, 0, 0, 7,16, 4, 0,13, 8, 0, 0, 5,16, 2, 0,15, 8, 0, 0, 3,16, 5, 7,16, 6, 0, 0, 0,14,16,16,14, 1, 0, 0, 0,11,16,12, 3, 0, 0), 0),
    (( 0, 0, 0, 6,13, 3, 0, 0, 0, 0, 4,16,13, 1, 0, 0, 0, 0,13,11, 1, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 0, 0, 2,16,10,16,13, 3, 0, 0, 0,11,16,14,16,15, 0, 0, 0, 1, 8,13,13, 9, 0), 6),
    (( 0, 1, 8,15,16,12, 3, 0, 0, 4,16,13, 5, 6, 2, 0, 0, 0,16, 7, 1, 0, 0, 0, 0, 6,16,16,15, 8, 0, 0, 0, 1,12, 8,12,16, 5, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 3, 8,15,12, 0, 0, 0, 0, 8,14, 8, 0, 0, 0), 5),
    (( 0, 0, 0, 7,13, 5, 0, 0, 0, 0, 6,15,11, 5, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 4,16, 3, 7, 7, 1, 0, 0, 3,16,16,15,15, 6, 0, 0, 1,15, 8, 0, 8,11, 0, 0, 0,11,13, 7,14,10, 0, 0, 0, 0, 9,16,12, 3, 0), 6),
    (( 0, 0, 8,14,14, 4, 0, 0, 0, 0, 6,14,16,11, 1, 0, 0, 0, 3,15,16,15, 3, 0, 0, 0, 1,16,16,13, 0, 0, 0, 0, 2,16,16, 8, 0, 0, 0, 0,10,16,16, 6, 0, 0, 0, 1,14,16,15, 2, 0, 0, 0, 0,12,16, 8, 0, 0, 0), 1),
    (( 0, 0, 5,11,15, 5, 0, 0, 0, 0,14,13, 9, 6, 0, 0, 0, 1,15, 9, 1, 0, 0, 0, 0, 4,16,16,14, 2, 0, 0, 0, 0, 6, 3, 6,10, 0, 0, 0, 0, 0, 0, 1,14, 0, 0, 0, 0, 5,10,10,14, 0, 0, 0, 0, 5,15,16, 9, 0, 0), 5),
    (( 0, 0, 6, 8,10,12,11, 0, 0, 1,16,16,16,12, 3, 0, 0, 4,16, 8, 1, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0, 1,14,12, 3, 0, 0, 0, 0, 0, 5,15,16, 6, 0, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0, 6,14, 7, 1, 0, 0), 5),
    (( 0, 1,11,14,14, 3, 0, 0, 0, 9,14,10,11,14, 0, 0, 0, 8, 8, 0, 9,12, 0, 0, 0, 3, 3, 8,16, 6, 0, 0, 0, 0, 0, 8,14,16, 2, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 5, 6, 4,12,13, 0, 0, 0,11,12,15,14, 6, 0), 3),
    (( 0, 0,13,16,16,11, 0, 0, 0, 0,10, 7, 4,16, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 3,13,14, 2, 0, 0, 0, 0,10,13,14, 6, 0, 0, 0, 0, 0, 0, 6,11, 0, 0, 1,14, 6, 4,13, 7, 0, 0, 0, 9,13,16,12, 0, 0), 3),
    (( 0, 0, 5,16,14, 8, 0, 0, 0, 5,15, 6,11,16, 1, 0, 0, 8,14, 0, 5,16, 1, 0, 0, 1,12,14,16, 8, 0, 0, 0, 0, 6,14,15,10, 0, 0, 0, 0,12, 4, 1,13, 6, 0, 0, 0,12, 7, 1,13, 8, 0, 0, 0, 4,15,16,10, 1, 0), 8),
    (( 0, 0, 1,12, 0, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0,13,10, 2, 0, 0, 0, 0, 4,16,16,16,13, 1, 0, 0, 1,16,10, 4,13,11, 0, 0, 0, 8,13, 2,11,11, 0, 0, 0, 0,11,16,14, 3, 0), 6),
    (( 0, 0, 0, 9,14,14, 1, 0, 0, 2,15,16,16,11, 1, 0, 0, 6,16,15, 5, 0, 0, 0, 0,12,16, 9, 1, 0, 0, 0, 0, 3,13,16,13, 2, 0, 0, 0, 0, 0, 3,13,15, 0, 0, 0, 0, 0,11,10,16, 7, 0, 0, 0, 0,10,16,15, 1, 0), 5),
    (( 0, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 8,16, 8, 7, 3, 0, 0, 9,16,16,12,16,11, 0, 0, 4,11,12,14,16, 5, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 0,12,15, 2, 0), 4),
    (( 0, 2, 5,10,16, 6, 0, 0, 0, 4,12,13,16, 5, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0,11,13, 2, 0, 0, 0, 0, 0, 1,12,15, 4, 0, 0, 0, 0, 0, 7,16, 8, 0, 0, 0, 1,13,16,11, 2, 0), 3),
    (( 0, 0, 1,16,12, 1, 0, 0, 0, 0,11,16,16,10, 0, 0, 0, 0,13, 7, 3,12, 2, 0, 0, 1,15, 1, 0,10, 6, 0, 0, 2,13, 0, 0,11, 8, 0, 0, 3,15, 1, 0,13, 9, 0, 0, 0, 9,10, 3,16,11, 0, 0, 0, 0, 8,12,12, 3, 0), 0),
    (( 0, 0, 8,12,16, 9, 1, 0, 0, 0,14,11, 7,16, 4, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 4,14,16, 3, 0, 0, 0, 0, 8,14,15, 8, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 3,12, 4, 6,14, 7, 0, 0, 1, 9,16,16,11, 0, 0), 3),
    (( 0, 1,11,14, 6, 0, 0, 0, 0, 7,12, 5,15, 0, 0, 0, 0, 6, 6, 1,16, 0, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 0,13,16,12, 0, 0, 0, 0, 0, 0, 3,14, 6, 0, 0, 0, 5, 7, 6,14, 8, 0, 0, 0,14,16,16,11, 1, 0), 3),
    (( 0, 2,12,16,16,13, 1, 0, 0,11,15, 4, 3,16, 7, 0, 0, 7,11, 1,13,13, 0, 0, 0, 0, 0,10,16,15, 3, 0, 0, 0, 0, 1, 4,14,11, 0, 0, 1, 4, 0, 0,12,12, 0, 0, 8,14, 0, 3,16, 5, 0, 0, 3,13,16,16,10, 0, 0), 3),
    (( 0, 0, 4,13,10, 1, 0, 0, 0, 0,11,16,14, 7, 0, 0, 0, 1,15, 9, 0,12, 1, 0, 0, 2,16, 6, 0, 7, 5, 0, 0, 2,16,10, 0, 8, 8, 0, 0, 1,16, 5, 2,15, 5, 0, 0, 0,11,16,16,13, 0, 0, 0, 0, 4,15,11, 2, 0, 0), 0),
    (( 0, 0, 8,14,14, 2, 0, 0, 0, 5,15, 5, 9,15, 6, 0, 0, 6,15, 6, 4,16, 6, 0, 0, 0, 5,13,16,16, 4, 0, 0, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 0,11, 4, 0, 0, 0, 8, 6, 1,10, 8, 0, 0, 0,10,16,16,16, 4, 0), 9),
    (( 0, 1,13,16,15, 1, 0, 0, 0,10,15, 7,16, 4, 0, 0, 0,11,15, 7,16, 4, 0, 0, 0, 1,11,12,15, 0, 0, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,14,16, 5, 3, 0, 0, 0, 0,13,16,16,16,10, 0), 2),
    (( 0, 0, 7,10,10, 2, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0, 5,16,16, 4, 0, 0, 0, 0, 4,16,16, 5, 0, 0, 0, 0, 1,15,16, 7, 0, 0, 0, 0, 4,16,16,12, 0, 0, 0, 0, 9,16,16,12, 0, 0, 0, 0, 6,12,12,11, 0, 0), 1),
    (( 0, 0, 0, 1,11,10, 0, 0, 0, 0, 0, 8,16,13, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 5,16,16,16, 0, 0, 0, 0, 4,10,16,16, 0, 0, 0, 0, 0, 0,15,16, 0, 0, 0, 0, 0, 0,11,16, 4, 0, 0, 0, 0, 0, 0,11,13, 1, 0), 1),
    (( 0, 0, 0, 1,12, 1, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0,10,14, 2, 0, 0, 0, 0, 2,16, 7, 0, 5, 6, 0, 0,12,15, 0, 9,15, 1, 0, 0,12,16,14,16, 8, 0, 0, 0, 7,12,10,15, 1, 0, 0, 0, 0, 0, 4, 9, 0, 0, 0), 4),
    (( 0, 1,12,16,10, 1, 0, 0, 0,11,15,15,16, 8, 0, 0, 0, 9,16,16,16,14, 0, 0, 0, 0,11, 7, 6,16, 8, 0, 0, 0, 0, 0, 8,13, 2, 0, 0, 0, 0, 8,15,12, 0, 0, 0, 0, 7,16,15, 3, 0, 0, 0, 0, 9, 8, 1, 0, 0, 0), 9),
    (( 0, 0, 6,16,14, 0, 0, 0, 0, 1,11,16,16, 4, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,15,16,16, 1, 0, 0, 0, 0,16,16,16, 0, 0, 0, 0, 4,16,16,15, 3, 0, 0, 0, 0, 9,16,16,13, 0, 0, 0, 0, 4,14,16, 6, 0, 0), 1),
    (( 0, 0, 4,14, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 3,13, 0, 0, 0, 0, 0, 0, 6,12, 4, 3, 0, 0, 0, 0, 8,16,16,16,13, 1, 0, 0, 4,16, 8, 2,16, 6, 0, 0, 2,16,13,10,16, 4, 0, 0, 0, 5,15,13, 3, 0, 0), 6),
    (( 0, 0, 0, 9,12, 1, 0, 0, 0, 0,10,15,12,15, 2, 0, 0, 2,16, 4, 0,11, 6, 0, 0, 5,13, 0, 0, 8, 8, 0, 0, 8,12, 0, 0, 7, 7, 0, 0, 6,14, 0, 0,13, 4, 0, 0, 0,15,10, 7,15, 1, 0, 0, 0, 2,11,13, 3, 0, 0), 0),
    (( 0, 2, 8, 9, 6, 0, 0, 0, 0, 0, 6,16,16,14, 1, 0, 0, 0, 4,16,16,16, 4, 0, 0, 0, 4,16,16,16, 4, 0, 0, 0, 4,16,16,16, 3, 0, 0, 0, 7,16,16,12, 0, 0, 0, 1,14,16,16,11, 0, 0, 0, 2,10, 9, 5, 1, 0, 0), 1),
    (( 0, 1, 9,16,13, 2, 0, 0, 0, 7,13, 7, 8,12, 0, 0, 0,10,11, 0, 4,16, 0, 0, 0, 2,16,16,16,12, 0, 0, 0, 0,14,15,16,14, 1, 0, 0, 0,15, 6, 0, 9, 9, 0, 0, 0,13,12, 8,12, 9, 0, 0, 0, 6,13,12,11, 4, 0), 8),
    (( 0, 0, 3,16, 8, 1, 0, 0, 0, 0, 4,16,16, 2, 0, 0, 0, 7,16,16,16, 0, 0, 0, 0, 9,10,15,14, 0, 0, 0, 0, 0, 1,16,13, 0, 0, 0, 0, 0, 0,16,11, 0, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 1,13,15, 0, 0, 0), 1),
    (( 0, 0, 2,13, 6, 0, 0, 0, 0, 0,10,14, 6, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 0,16, 3, 0, 0, 0, 0, 0, 0,14,16,16,12, 1, 0, 0, 2,16,13, 3, 9,10, 0, 0, 0, 8,14, 4,13,13, 0, 0, 0, 2,12,14,12, 4, 0), 6),
    (( 0, 1,13,16,16, 6, 0, 0, 0,10,16,11,11,13, 0, 0, 0, 5,12, 0, 4,16, 2, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 6,16,15, 9, 8, 3, 0, 0,12,16,16,14,13, 6), 2),
    (( 0, 0, 5,14,11, 3, 0, 0, 0, 2,16,14,16,14, 0, 0, 0, 4,13, 4, 2,13, 4, 0, 0, 8, 9, 0, 0, 8, 8, 0, 0, 8,10, 0, 0, 7, 8, 0, 0, 4,13, 0, 0, 9, 8, 0, 0, 0,14, 9, 4,14, 6, 0, 0, 0, 4,16,16, 8, 0, 0), 0),
    (( 0, 0, 6, 8, 0, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 2,16,16,16,15, 4, 0, 0, 0,13,13, 9,16,12, 0, 0, 0,13,12,12,16, 7, 0, 0, 0, 8,16,15, 8, 0, 0), 6),
    (( 0, 0, 3,10,14, 9, 0, 0, 0, 3,15,11, 9, 8, 0, 0, 0, 6,12, 8, 7, 1, 0, 0, 0, 4,16,14,16,15, 1, 0, 0, 2, 8, 4, 3,14, 8, 0, 0, 0, 0, 0, 0, 8, 9, 0, 0, 0, 0, 7, 8,13, 9, 0, 0, 0, 0,14,14, 9, 0, 0), 5),
    (( 0, 0, 6,13,16,10, 1, 0, 0, 0,15, 7, 5,13, 7, 0, 0, 7,15, 1, 1,14, 6, 0, 0, 1,12,13,14, 9, 0, 0, 0, 0, 0,15,16, 3, 0, 0, 0, 0, 7,13, 8,15, 0, 0, 0, 0,12, 8, 7,16, 1, 0, 0, 0, 5,16,16, 5, 0, 0), 8),
    (( 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 6,15, 8, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 2,16,13,10, 1, 0, 0, 0, 2,16,11, 9,13, 1, 0, 0, 0,10, 6, 0, 5,13, 0, 0, 0, 4,15, 1, 9,16, 2, 0, 0, 0, 7,15,16, 7, 0), 6),
    (( 0, 0, 3,15,15,12,12, 4, 0, 0, 9,10, 2, 9,15, 2, 0, 0, 7, 2, 2,14, 2, 0, 0, 0, 3, 4,11,10, 0, 0, 0, 0,13,16,16,16, 5, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0), 7),
    (( 0, 0, 0,11, 7, 5, 8, 0, 0, 0, 5,16, 1,15, 8, 0, 0, 1,14, 9, 5,16, 2, 0, 0, 6,14, 1,12,11, 2, 0, 0,12,14, 8,16,16,10, 0, 0, 9,16,16,15, 5, 0, 0, 0, 0, 1,10,12, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0), 4),
    (( 0, 0, 9,16,16,10, 0, 0, 0, 0,15,13,11,16, 1, 0, 0, 0, 3, 1,13,13, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 1,15,11, 0, 0, 0, 0, 0, 8,16, 2, 2, 2, 0, 0, 0,15,13,14,16,15, 3, 0, 0, 9,16,15,10, 8, 1), 2),
    (( 0, 2,11,13,14,11, 1, 0, 0, 1,10, 5, 4,16, 4, 0, 0, 0, 0, 1,10,13, 0, 0, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0, 5,16,13, 2, 0, 0, 0, 0, 0, 3,12, 7, 0, 0, 5, 8, 4, 6,15, 4, 0, 0, 3,12,14,13, 9, 0, 0), 3),
    (( 0, 3,13,16,16, 6, 0, 0, 0, 4,16, 9,14,12, 0, 0, 0, 0, 8, 3,14, 7, 0, 0, 0, 0, 0,12,16, 3, 0, 0, 0, 0, 0, 5,15,15, 1, 0, 0, 0, 0, 0, 1,16,10, 0, 0, 2,12, 8,11,16, 7, 0, 0, 2,15,16,15, 9, 0, 0), 3),
    (( 0, 0, 5,12,12, 3, 0, 0, 0, 1,16, 8,13,14, 3, 0, 0, 2,16, 1, 3,16, 9, 0, 0, 2,14,11,14,16, 6, 0, 0, 0, 2, 7, 5,16, 8, 0, 0, 2, 3, 0, 1,15, 5, 0, 0, 5,16, 5, 8,15, 2, 0, 0, 0,10,16,13, 4, 0, 0), 9),
    (( 0, 0, 4,14, 5, 0, 0, 0, 0, 0,12,15,14, 0, 0, 0, 0, 0,12, 8,15, 9, 0, 0, 0, 0, 5,16,15,16, 4, 0, 0, 0, 0, 0, 6,12,10, 0, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 3, 8, 4, 9,16, 4, 0, 0, 5,12,15,12,11, 0), 9),
    (( 0, 4, 9,11,13,16, 7, 0, 0, 9,16,13,14,16, 1, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 5,12,13,16,15, 8, 0, 0, 5,12,16,13, 6, 2, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0), 7),
    (( 0, 4,16,16,16, 8, 0, 0, 0, 0, 4, 2,11,12, 0, 0, 0, 0, 0, 3,15, 6, 0, 0, 0, 2, 4,11,15, 1, 0, 0, 0,10,16,16,16,16, 9, 0, 0, 1,12,12, 4, 4, 2, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 4,15,12, 0, 0, 0, 0, 0,10,16,14, 0, 0, 0, 2, 9,16,16,13, 0, 0, 0,14,16,13,14,14, 0, 0, 0, 5,12, 0,11,16, 0, 0, 0, 0, 0, 0,13,14, 0, 0, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0, 4,16, 7, 0, 0), 1),
    (( 0, 0, 2, 7,13,12, 2, 0, 0, 0,10,13, 6,12, 6, 0, 0, 2,16, 4, 1,13, 8, 0, 0, 0,14,14,15,15,10, 0, 0, 0, 0, 3, 1,12, 5, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0, 0, 2,14, 2, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0), 9),
    (( 0, 0, 5,12,12, 1, 0, 0, 0,11,16,12,14, 9, 0, 0, 0,14, 7, 0,10,11, 0, 0, 0, 0, 3,15,16, 8, 0, 0, 0, 0, 2,12,12,14, 3, 0, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 9,10, 8,13,16, 0, 0, 0, 6,12,16,12, 4, 0), 3),
    (( 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0, 0, 9,16,11, 5, 0, 0, 0, 9,16,16,16,15, 7, 0, 0, 5,12,14,16,16, 8, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0, 8,15, 1, 0, 0), 4),
    (( 0, 0, 0, 9,15, 5, 0, 0, 0, 0, 8,16,16, 6, 0, 0, 0, 2,16,16,16, 4, 0, 0, 0, 1,14,16,16, 3, 0, 0, 0, 0, 0,12,16, 4, 0, 0, 0, 0, 0,16,16, 1, 0, 0, 0, 0, 0,13,16, 7, 0, 0, 0, 0, 0, 7,12,12, 0, 0), 1),
    (( 0, 0, 0, 5,12, 0, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0,10,12, 8, 6, 0, 0, 0, 2,15,15,12,14, 9, 0, 0, 0, 8,15, 6,12,12, 0, 0, 0, 0, 8,13,15, 5, 0), 6),
    (( 0, 0, 0,16,14, 1, 0, 0, 0, 0, 7,16,15, 2, 0, 0, 0, 9,16,16,11, 0, 0, 0, 1,15,15,16,10, 0, 0, 0, 0, 2, 3,16, 9, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0), 1),
    (( 0, 4,16, 9, 0, 0, 0, 0, 0, 9,16,16, 3, 0, 0, 0, 0,12, 8,16, 4, 0, 0, 0, 0, 5, 2,16, 5, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 5,15,16,13,12, 8, 0, 0, 4,16,16,16,16,12, 0), 2),
    (( 0, 0, 4,13,15, 2, 0, 0, 0, 1,13, 3, 7,10, 0, 0, 0, 6, 8, 0, 0,12, 0, 0, 0, 4,10, 3,11,11, 0, 0, 0, 0,14,16,15,15, 1, 0, 0, 0, 8,16, 1, 5, 8, 0, 0, 0, 8,10, 5,13, 7, 0, 0, 0, 4,15,11, 6, 0, 0), 8),
    (( 0, 0,10,14,15,10, 2, 0, 0, 2,15, 5, 4,16, 8, 0, 0, 0,13, 0, 8,13, 1, 0, 0, 3,15,12,14, 2, 0, 0, 0, 1,12,14,13, 1, 0, 0, 0, 6,11, 0, 9,12, 0, 0, 0, 7,11, 0, 1,16, 3, 0, 0, 1,10,13,14,12, 0, 0), 8),
    (( 0, 2,15,16,15, 3, 0, 0, 0, 4,16, 7,13,13, 0, 0, 0, 0, 7,12,16, 8, 0, 0, 0, 0, 7,16,15, 6, 0, 0, 0, 0, 0, 4,11,16, 4, 0, 0, 1, 0, 0, 0,14,11, 0, 0, 9, 9, 0, 6,14, 9, 0, 0, 3,14,16,16,13, 1, 0), 3),
    (( 0, 0, 4,11, 0, 0, 0, 0, 0, 0, 8, 9, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 2,16, 8, 7, 2, 0, 0, 0, 6,16,12,13,14, 4, 0, 0, 5,16, 2, 1,10,11, 0, 0, 0,16, 9, 4,16, 9, 0, 0, 0, 7,14,15, 8, 0, 0), 6),
    (( 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 6,16, 4, 9, 4, 0, 0, 3,15,10, 4,16, 6, 0, 2,15,16,16,14,16, 5, 0, 1, 8,13,16,16,15, 0, 0, 0, 0, 0, 2,16, 9, 0, 0), 4),
    (( 0, 0, 0, 0,12,13, 1, 0, 0, 0, 0, 2,16,16, 3, 0, 0, 0, 0, 5,16,16, 4, 0, 0, 0, 0,12,16,16, 5, 0, 0, 0, 5,16,16,16, 4, 0, 0, 3,15,14,15,16, 3, 0, 0, 3, 8, 2,13,16, 0, 0, 0, 0, 0, 0,12,11, 1, 0), 1),
    (( 0, 0, 4,12,13, 2, 0, 0, 0, 0,16, 9,12, 9, 0, 0, 0, 2,12, 1,15, 5, 0, 0, 0, 0, 1, 6,14, 1, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0, 9, 9, 4, 8,14, 2, 0, 0, 4,13,13, 9, 2, 0), 2),
    (( 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 2,15, 8, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 6,16, 5, 2,13, 6, 0, 0,14,16,15,13,16, 3, 0, 0, 4, 8, 8,15,11, 0, 0, 0, 0, 0, 2,16, 7, 0, 0), 4),
    (( 0, 0,10, 8, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 4,16, 9,11,10, 1, 0, 0, 8,16,16,16,16, 7, 0, 0, 4,16,16,16,16, 5, 0, 0, 0, 8,15,16,12, 0, 0), 6),
    (( 0, 0, 9,13, 3, 0, 0, 0, 0, 1,15,14,12, 0, 0, 0, 0, 0,16, 0,16, 2, 0, 0, 0, 0, 3, 2,16, 2, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 2,11,15, 2, 0, 0, 0, 0,13,16,14, 8, 7, 0, 0, 0, 8,13,12,12,13, 0), 2),
    (( 0, 0, 1,15,12, 0, 0, 0, 0, 0, 6,16,15, 0, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 1,13, 6, 0, 0, 0), 1),
    (( 0, 0, 9,12,10, 3, 0, 0, 0, 0,14,16,13,13, 0, 0, 0, 4,16, 2, 1,16, 3, 0, 0, 4,16, 0, 0,12, 8, 0, 0, 6,16, 0, 0,15, 8, 0, 0, 5,15, 0, 1,16, 5, 0, 0, 2,16,11,14,13, 0, 0, 0, 0, 8,16,13, 6, 0, 0), 0),
    (( 0, 0, 8, 9,15,11, 0, 0, 0, 9,15,15, 4,15, 2, 0, 0, 8, 9, 0, 8,12, 0, 0, 0, 2,14,11,14, 2, 0, 0, 0, 0,11,16, 7, 0, 0, 0, 0, 0,14, 2,13, 6, 0, 0, 0, 2,12, 1, 8,12, 0, 0, 0, 0, 8,16,14, 5, 0, 0), 8),
    (( 0, 0, 4,14,10, 0, 0, 0, 0, 0,14,15,15, 6, 0, 0, 0, 1,16, 5, 5,11, 0, 0, 0, 0, 5, 4, 6,13, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 3,15,16,12,16, 3, 0, 0, 4,16,12,12,12, 5), 2),
    (( 0, 1, 9,13,11, 4, 0, 0, 0, 2,16,12,12,15, 0, 0, 0, 0,14,13,13,11, 0, 0, 0, 0,12,16,13, 0, 0, 0, 0, 0,14,16,11, 0, 0, 0, 0, 6,13, 7,16, 4, 0, 0, 0, 7,14, 1,13,15, 1, 0, 0, 1,13,15,12, 9, 0, 0), 8),
    (( 0, 1,10,15,15, 6, 0, 0, 0, 8,16,15,14,15, 3, 0, 0, 3, 6, 3,15,15, 0, 0, 0, 0, 0,12,16, 5, 0, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 4,15,16, 4, 0, 0, 0, 0,14,16, 7, 0, 0, 0), 3),
    (( 0, 0, 7,14, 1, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 8,16,16,10, 0, 0, 0, 0, 0,11,13,16, 1, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 1,13,12, 0, 0, 0, 0,10,16,16,16,12, 7, 0, 0, 5,15,16,16,16,15), 1),
    (( 0, 0, 8,16, 7, 0, 0, 0, 0, 1,15,11,15, 0, 0, 0, 0, 2,14, 0,11, 2, 0, 0, 0, 0, 1, 0,13, 4, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0,13,16,10,10,11, 0, 0, 0,10,15,12,12,12, 1), 2),
    (( 0, 0, 0, 8, 8, 8,13, 8, 0, 0, 6,15,13,14,15, 1, 0, 0,13, 6, 0,12, 5, 0, 0, 0,14, 5, 5,10, 0, 0, 0, 0, 1,10,16,14, 2, 0, 0, 0, 0,12,12, 6, 1, 0, 0, 0, 0,14, 4, 0, 0, 0, 0, 0, 0,12, 1, 0, 0, 0), 7),
    (( 0, 0, 7,16,16, 4, 0, 0, 0, 5,15,14, 8,13, 0, 0, 0, 8,12, 0, 0,12, 6, 0, 0, 8, 8, 0, 0, 6,12, 0, 0,12, 8, 0, 0, 4,12, 0, 0, 8,10, 0, 0, 7,11, 0, 0, 2,16, 7, 6,14, 7, 0, 0, 0, 6,15,15, 8, 0, 0), 0),
    (( 0, 0,14,16,16,15, 5, 0, 0, 0,13, 8, 4, 5, 2, 0, 0, 0,13, 6, 2, 0, 0, 0, 0, 0,16,13,14, 2, 0, 0, 0, 0, 0, 0, 5,11, 0, 0, 0, 0, 0, 0, 0,16, 0, 0, 0, 4,11, 1, 5,12, 0, 0, 0, 1,11,16,15, 3, 0, 0), 5),
    (( 0, 0, 8,16,16, 8, 0, 0, 0, 5,15, 8,16,14, 0, 0, 0, 1, 2, 2,15,11, 0, 0, 0, 0, 3,13,16, 9, 1, 0, 0, 0, 8,16,15,15,10, 0, 0, 0, 2, 2, 3,16, 6, 0, 0, 0, 7,14,16,12, 1, 0, 0, 0,14,16, 7, 0, 0, 0), 3),
    (( 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 7,16, 7, 3, 0, 0, 0, 1,13,12,15, 7, 0, 0, 3,12,14, 5,16, 3, 0, 2,15,16,16,16,16, 1, 0, 5,12,13,16,16,15, 0, 0, 0, 0, 0, 0,15, 6, 0, 0), 4),
    (( 0, 0, 0,10,14, 6, 0, 0, 0, 0, 0, 8,16,10, 1, 0, 0, 0, 0,11,16, 6, 0, 0, 0, 0, 6,16,16, 4, 0, 0, 0, 4,12,14,16, 4, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0,11,16, 5, 0, 0, 0, 0, 0, 6,16,16, 7, 0), 1),
    (( 0, 0, 2,10,13, 3, 0, 0, 0, 1,13, 7, 7,13, 0, 0, 0, 7, 7, 0, 2,16, 1, 0, 0, 2,11, 2, 0,13, 4, 0, 0, 0, 6,15,13,16, 8, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 0,10, 4, 9, 7, 0, 0, 0, 0,11,16,14, 2, 0), 9),
    (( 0, 0,12,16,16,15, 2, 0, 0, 0, 5, 8,10,16, 7, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0,10,13,15,15, 8, 0, 0, 0,12,16,15,12, 5, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0), 7),
    (( 0, 0, 1,15, 8, 1, 0, 0, 0, 0, 5,16,16, 1, 0, 0, 0, 0, 2,16,16, 3, 0, 0, 0, 0, 5,16,16, 3, 0, 0, 0, 0, 4,16,16, 4, 0, 0, 0, 0, 3,16,16, 5, 0, 0, 0, 0, 2,15,16, 9, 0, 0, 0, 0, 2,11,16,13, 0, 0), 1),
    (( 0, 0, 7,14, 9, 3, 0, 0, 0, 0,15, 7,15,15, 1, 0, 0, 4,12, 0, 3,13, 6, 0, 0, 4,12, 0, 0, 8, 8, 0, 0, 5, 8, 0, 0, 5, 8, 0, 0, 4,12, 0, 0, 8, 7, 0, 0, 2,15, 6, 6,15, 2, 0, 0, 0, 6,15,16, 8, 0, 0), 0),
    (( 0, 0, 0, 9,13, 1, 0, 0, 0, 0, 3,15, 6,12, 0, 0, 0, 1,10, 9, 0,10, 3, 0, 0, 4,16, 5, 0, 5, 7, 0, 0, 5,16, 3, 0, 6, 8, 0, 0, 0,16, 5, 0, 6, 9, 0, 0, 0, 8,14, 7,15, 3, 0, 0, 0, 0,10,16, 9, 0, 0), 0),
    (( 0, 0,11,16,15,10, 0, 0, 0, 0,10,16, 8, 7, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 6,16,16,15, 7, 0, 0, 0, 1, 8, 8, 9,15, 6, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 2, 7,12,16, 4, 0, 0, 0,11,13,11, 2, 0, 0), 5),
    (( 0, 0, 1,15, 4, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 1,14, 6, 0, 0, 0, 0, 0, 1,16, 4, 3, 3, 0, 0, 0, 2,16, 8,16,15, 2, 0, 0, 1,16,16,10, 5,12, 0, 0, 0,13,15, 8,12,10, 0, 0, 0, 0,13,15,10, 1, 0), 6),
    (( 0, 0, 8,16, 6, 0, 0, 0, 0, 0,13,10, 8, 8, 0, 0, 0, 0, 8,12,13,15, 3, 0, 0, 0, 6,16,16, 6, 0, 0, 0, 0,11,16, 6, 0, 0, 0, 0, 2,14,14,11, 0, 0, 0, 0, 1,16,11,15, 1, 0, 0, 0, 0, 9,16,10, 0, 0, 0), 8),
    (( 0, 1,14,16, 5, 0, 0, 0, 0, 2,13,13,16, 4, 0, 0, 0, 0, 4,13,16, 3, 0, 0, 0, 0, 9,16,16,13, 0, 0, 0, 0, 4, 8, 8,16, 8, 0, 0, 0, 0, 1, 5,14,11, 0, 0, 1,13,16,16,15, 3, 0, 0, 0,15,11, 5, 1, 0, 0), 3),
    (( 0, 0, 3, 8, 6, 1, 0, 0, 0, 2,15,16,16,12, 0, 0, 0, 0,13,16,16,13, 0, 0, 0, 0,10,16,16,16, 0, 0, 0, 0,12,16,16,16, 0, 0, 0, 0,14,16,16,16, 2, 0, 0, 0,12,16,16,15, 2, 0, 0, 0, 1, 6, 6, 0, 0, 0), 1),
    (( 0, 0, 0, 1,12,14, 0, 0, 0, 0, 0, 5,16,12, 0, 0, 0, 0, 1,14,16,12, 0, 0, 0, 3,15,16,16, 8, 0, 0, 0, 9,15, 7,16, 8, 0, 0, 0, 1, 2, 6,16, 5, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 0,11,16, 4, 0), 1),
    (( 0, 0, 9,15, 3, 0, 0, 0, 0, 1,15,16,15, 5, 0, 0, 0, 3,16, 8, 9,14, 0, 0, 0, 4,13, 0, 0,10, 4, 0, 0, 3,13, 0, 0, 7, 6, 0, 0, 2,12, 0, 0,10,10, 0, 0, 1,12, 9,13,16, 6, 0, 0, 0, 7,16,16, 8, 0, 0), 0),
    (( 0, 1,13,16,16,15, 4, 0, 0, 0, 7, 8,10,16, 4, 0, 0, 0, 0, 0, 9,16, 0, 0, 0, 0, 8,12,16,16, 7, 0, 0, 0,12,15,16,14,10, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 8,14, 2, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0), 7),
    (( 0, 0, 6,16,16, 7, 0, 0, 0, 1,15,16,14,10, 0, 0, 0, 0,15,11, 0, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 5,12,16, 2, 0, 0, 0, 0, 9,16,10, 0, 0, 0), 5),
    (( 0, 0, 1,12,11, 2, 0, 0, 0, 0, 2,16,16, 3, 0, 0, 0, 0, 5,16,16, 3, 0, 0, 0, 1,15,16,14, 2, 0, 0, 0, 5,16,16,13, 0, 0, 0, 0, 1,11,16,14, 0, 0, 0, 0, 0, 5,16,16, 7, 0, 0, 0, 0, 1,15,16, 9, 0, 0), 1),
    (( 0, 0, 4,12, 6, 0, 0, 0, 0, 0,16,10,16, 1, 0, 0, 0, 0,16, 5,14,13, 0, 0, 0, 0, 7,16,15, 4, 0, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 0,13,13,15, 4, 0, 0, 0, 0,16, 8, 9,15, 2, 0, 0, 0, 5,12,12, 8, 1, 0), 8),
    (( 0, 0,11,16,15, 8, 0, 0, 0, 0, 9,13, 5, 3, 0, 0, 0, 0,12,13, 0, 0, 0, 0, 0, 0,12,13, 8, 2, 0, 0, 0, 0,15,16,16, 7, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 5, 6,15, 8, 0, 0, 0, 0,11,16,13, 2, 0, 0), 5),
    (( 0, 0, 0, 4,10,16,14, 0, 0, 0, 6,16,12,11,16, 2, 0, 3,15,15,10,15,16, 2, 0, 1,15,16,10,15,14, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 1,16, 8, 0, 0), 9),
    (( 0, 0, 3,11,15, 8, 0, 0, 0, 0, 9,14, 8, 9, 0, 0, 0, 0, 6,14, 5, 0, 0, 0, 0, 0, 0,12,16, 7, 0, 0, 0, 0, 4,14,11,11, 0, 0, 0, 0,12, 8, 0,16, 1, 0, 0, 0,14,11,11,15, 1, 0, 0, 0, 3,13,13, 6, 0, 0), 8),
    (( 0, 0, 5,14, 7, 1, 0, 0, 0, 2,15,14,16,10, 0, 0, 0, 2,16, 6,12,16, 0, 0, 0, 1,11, 5,10,16, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 3, 5,16, 5, 0, 0, 0, 0,13,16,15, 7, 5, 0, 0, 0, 5, 8,10,13,13, 0), 2),
    (( 0, 0, 9,15,15, 7, 0, 0, 0, 3,16, 7, 7,11, 0, 0, 0, 0,16,10, 3, 6, 0, 0, 0, 0, 7,16,16,15, 4, 0, 0, 0, 9,16,16, 3, 0, 0, 0, 1,15, 4,11,10, 0, 0, 0, 4,14, 3, 9,11, 0, 0, 0, 0, 8,15,15, 4, 0, 0), 8),
    (( 0, 6,15,16,10, 0, 0, 0, 0,15,13, 9,16, 2, 0, 0, 0, 7, 9, 0,14, 7, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0,11,15, 1, 0, 0, 0, 1,11,16,12, 2, 0, 0, 0, 6,16,16,16,16,14, 0), 2),
    (( 0, 2,15,16, 9, 0, 0, 0, 0, 7,15,12,16, 2, 0, 0, 0, 9, 9, 2,16, 2, 0, 0, 0, 1, 0, 7,16, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 1,12,15, 2, 0, 0, 0, 0, 8,16,14,12,12, 3, 0, 0, 3,14,16,16,16, 7, 0), 2),
    (( 0, 3,12,12, 3, 0, 0, 0, 0, 8,10,11, 9, 0, 0, 0, 0, 0, 2,14, 4, 0, 0, 0, 0, 0,12,13, 1, 0, 0, 0, 0, 0, 3,13,15, 3, 0, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 2, 4, 4, 3,11, 7, 0, 0, 5,12,12,14,16, 8, 0), 3),
    (( 0, 0, 9,12,15,10, 0, 0, 0, 6,16,14,12,10, 0, 0, 0, 5,12, 1, 6, 0, 0, 0, 0, 7,15,15,16, 4, 0, 0, 0, 6,13,11,13, 9, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 6, 8,16,10, 0, 0, 0, 0,13,15,11, 2, 0, 0), 5),
    (( 0, 0, 5,12,16,12, 0, 0, 0, 2,16,10, 8,16, 4, 0, 0, 7,16, 8, 2,16, 4, 0, 0, 0, 5,15,16,10, 0, 0, 0, 0, 0,12,16, 8, 0, 0, 0, 0, 6,12, 5,16, 4, 0, 0, 0, 8,12, 6,16, 6, 0, 0, 0, 5,15,15, 9, 0, 0), 8),
    (( 0, 0, 1,10,16, 8, 0, 0, 0, 0,13,11,10,15, 2, 0, 0, 5,16, 0, 6,16, 4, 0, 0, 3,16,16,14,16, 4, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 2,13, 5,13, 7, 0, 0, 0, 1,14,13, 9, 1, 0), 9),
    (( 0, 0, 2,16,10, 0, 0, 0, 0, 0, 7,16,14, 1, 0, 0, 0, 0, 9,16,13, 0, 0, 0, 0, 0,12,16, 8, 0, 0, 0, 0, 0,14,16, 9, 0, 0, 0, 0, 0,14,16, 6, 0, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 0, 1,11,16, 4, 0, 0), 1),
    (( 0, 0, 6,14, 9, 0, 0, 0, 0, 3,16, 9,15,12, 3, 0, 0, 1,16, 6,16,10, 0, 0, 0, 0, 6,16,16, 6, 0, 0, 0, 1,13,10,10,15, 1, 0, 0, 3,16, 1, 0,11,11, 0, 0, 1,15, 2, 3,14, 5, 0, 0, 0, 5,15,15, 6, 0, 0), 8),
    (( 0, 0, 1,11,11, 1, 0, 0, 0, 0, 9,16,15, 3, 0, 0, 0, 1,15, 6, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 0, 7,11, 0, 1, 2, 0, 0, 0, 4,14, 5,15,16, 7, 0, 0, 1,12,16,16,12,15, 0, 0, 0, 2,11,16,14, 9, 0), 6),
    (( 0, 0, 1,14, 7, 0, 0, 0, 0, 0, 6,14,12, 6, 0, 0, 0, 0,11,11, 0,12, 0, 0, 0, 0,13, 8, 0, 7, 5, 0, 0, 0,15, 6, 0, 5, 8, 0, 0, 0,12, 3, 0,10, 9, 0, 0, 0,10,10, 9,15, 4, 0, 0, 0, 2,11,14, 7, 0, 0), 0),
    (( 0, 0,10,16,16,14, 1, 0, 0, 0,15, 9, 8, 8, 2, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 6,16,15,14, 0, 0, 0, 0, 5,13,12,16, 3, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 9, 8,16, 7, 0, 0, 0, 0,11,16,15, 0, 0, 0), 5),
    (( 0, 1, 9,15,16,13, 0, 0, 0, 5,11, 4, 2,13, 3, 0, 0, 1, 3, 0, 1,15, 3, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 0,11,16,16,15, 6, 0), 2),
    (( 0, 0, 6,15,13, 2, 0, 0, 0, 0,11,16,13,12, 0, 0, 0, 0, 8,13, 6,16, 2, 0, 0, 0, 0, 2, 2,16, 5, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,10,16, 3, 0, 0, 0, 2,11,16,15, 8, 1, 0, 0, 6,14,16,16,16,14), 2),
    (( 0, 0, 5,15,13, 1, 0, 0, 0, 0,12,16,12,10, 0, 0, 0, 0,14, 8, 0,13, 3, 0, 0, 0,16, 9, 0,10, 9, 0, 0, 0,16,13, 0, 8, 9, 0, 0, 1,16, 6, 2,16, 9, 0, 0, 0,13,12,15,15, 2, 0, 0, 0, 6,16,16, 7, 0, 0), 0),
    (( 0, 0, 2,12,12, 3, 0, 0, 0, 0, 4,16,16,13, 0, 0, 0, 0, 3,16,16,11, 0, 0, 0, 0, 5,16,16,11, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 0, 9,16,16, 8, 0, 0, 0, 0, 7,16,16,10, 0, 0, 0, 0, 1,11,12, 9, 0, 0), 1),
    (( 0, 0,11,14,10, 3, 0, 0, 0, 0, 6, 8,12,15, 3, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 6,15,12, 1, 0, 0, 0, 5,16,13, 1, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 5,16, 8, 4, 2, 0, 0, 0, 1,10,16,16,10, 0, 0), 2),
    (( 0, 0, 1,12,16, 2, 0, 0, 0, 0, 5,16,15, 0, 0, 0, 0, 0,13,16,11, 0, 0, 0, 0, 8,16,16,12, 0, 0, 0, 0, 7,10,16,15, 0, 0, 0, 0, 0, 0,14,16, 2, 0, 0, 0, 0, 0,13,16, 7, 0, 0, 0, 0, 0,12,16, 9, 0, 0), 1),
    (( 0, 0, 4,12,10, 3, 0, 0, 0, 0, 9,16,16, 5, 0, 0, 0, 0,10,16,16, 3, 0, 0, 0, 0,12,16,16, 3, 0, 0, 0, 0, 4,16,15, 2, 0, 0, 0, 0, 7,16,16, 4, 0, 0, 0, 0, 8,16,16, 6, 0, 0, 0, 0, 6,12, 9, 4, 0, 0), 1),
    (( 0, 2,11,16,10, 1, 0, 0, 0, 7,14, 7,16,14, 2, 0, 0, 6, 9, 7,15, 1, 0, 0, 0, 1,13,16, 7, 0, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 0,12,16,11, 0, 0, 0, 0, 3,16,16, 3, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0), 8),
    (( 0, 0, 4,15, 5, 0, 0, 0, 0, 0,12,16,14, 1, 0, 0, 0, 1,15,12,13,14, 0, 0, 0, 4,13, 0, 0, 9, 4, 0, 0, 3,10, 0, 0, 3, 9, 0, 0, 4,12, 0, 0, 2,12, 0, 0, 0,13,10,10,16,14, 0, 0, 0, 4,13,16,14, 3, 0), 0),
    (( 0, 0, 7,14, 5, 0, 0, 0, 0, 3,16,16,16, 5, 0, 0, 0, 6,16, 0, 5,14, 0, 0, 0, 4,12, 0, 0,13, 3, 0, 0, 8, 8, 0, 0,12, 8, 0, 0, 7, 9, 0, 0,12, 7, 0, 0, 1,15, 8,14,16, 3, 0, 0, 0, 8,14,12, 4, 0, 0), 0),
    (( 0, 0, 0, 3,11,15, 1, 0, 0, 0, 6,16,16,16, 9, 0, 0, 2,16,16,16,13,14, 0, 0, 0,11, 8, 1, 9, 9, 0, 0, 0, 0, 0, 1,15, 0, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0, 0, 0,12, 3, 0, 0, 0, 0, 0, 0,13, 0, 0, 0), 9),
    (( 0, 0, 3,12,16,14, 3, 0, 0, 0, 7,10,11,16,10, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 2, 7,16,11, 0, 0, 3,10,16,16,16, 6, 0, 0,10,12,10,16,10, 0, 0, 0, 0, 1,15,15, 0, 0, 0, 0, 0, 5,15, 5, 0, 0, 0), 7),
    (( 0, 0, 7,16,16,13, 0, 0, 0, 0,13,11,11,16, 4, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 1,10,16,16,15, 3, 0, 0, 3,12,16,15,12, 4, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0), 7),
    (( 0, 0, 6,16, 8, 0, 0, 0, 0, 2,16,14,13, 0, 0, 0, 0, 8,14, 5,15, 0, 0, 0, 0, 9,11, 8,12, 0, 0, 0, 0, 3, 6,14, 8, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0, 8,16,12,10, 5, 0, 0, 0, 8,16,16,16, 8, 0), 2),
    (( 0, 0, 0,12,11, 0, 0, 0, 0, 0,11,16,10, 0, 0, 0, 0, 0,16,13, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 2,16,16,11, 1, 0, 0, 0, 0,14,11, 3,10, 0, 0, 0, 0, 5,14, 2, 9, 6, 0, 0, 0, 0, 7,16,16, 6, 0), 6),
    (( 0, 7,16,16,16, 9, 0, 0, 0, 3, 8, 4,13,16, 0, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 0,11,15, 5, 0, 0, 0, 0, 0, 1,13,15, 0, 0, 0, 5, 9,15,16,10, 0, 0, 4,16,16,10, 3, 0, 0), 3),
    (( 0, 1, 8,15,10, 0, 0, 0, 0, 6,15,13,16, 8, 0, 0, 0, 0, 0, 3,14,12, 0, 0, 0, 0, 4,15,16,10, 0, 0, 0, 0, 7,12,13,16, 6, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 8,10,13,16, 3, 0, 0, 0,10,16,12, 5, 0, 0), 3),
    (( 0, 0, 5,13, 8, 3, 0, 0, 0, 0,14,16,16,12, 0, 0, 0, 3,15, 1, 3,12, 5, 0, 0, 4,10, 0, 0, 7, 8, 0, 0, 4, 8, 0, 0, 9, 8, 0, 0, 4,11, 1, 1,15, 6, 0, 0, 0,15,12,11,13, 0, 0, 0, 0, 3,13,13, 3, 0, 0), 0),
    (( 0, 0, 9,12, 9, 0, 0, 0, 0, 3,15,10,16, 1, 0, 0, 0, 0, 1, 1,16, 4, 0, 0, 0, 0, 3,13,16, 2, 0, 0, 0, 0, 7,12,13,14, 1, 0, 0, 3, 1, 0, 4,16, 5, 0, 0,12,12, 4,11,15, 2, 0, 0, 4,13,15,11, 3, 0, 0), 3),
    (( 0, 0, 3,14, 9, 2, 0, 0, 0, 3,16,12, 7,13, 0, 0, 0, 3,14, 1, 8,14, 0, 0, 0, 0, 6,14,16, 2, 0, 0, 0, 0, 2,16,15, 9, 0, 0, 0, 0,12,10, 1,10, 9, 0, 0, 0,11, 7, 0, 7,13, 0, 0, 0, 1,11,16,15, 4, 0), 8),
    (( 0, 0, 2,14,16,15, 9, 0, 0, 1,14,11, 5, 9,14, 0, 0, 4,14, 0, 3,12,11, 0, 0, 6,13, 9,15,15, 1, 0, 0, 2,13,15,15,11, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 1,13,11, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0), 9),
    (( 0, 0, 0,14,12, 0, 0, 0, 0, 0, 1,16,16, 2, 0, 0, 0, 0, 0,16,15, 0, 0, 0, 0, 0, 1,16,15, 0, 0, 0, 0, 0, 0,15,16, 0, 0, 0, 0, 0, 1,16,15, 0, 0, 0, 0, 0, 1,16,14, 0, 0, 0, 0, 0, 0,11,16, 3, 0, 0), 1),
    (( 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 5,16, 4, 4, 9, 0, 0, 4,16, 3, 0,13, 9, 0, 0, 6,16,15,12,16,13, 0, 0, 0, 8,11,15,14, 3, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0, 9,10, 0, 0, 0), 4),
    (( 0, 0, 4,14,15, 5, 0, 0, 0, 7,14, 7, 6,16, 0, 0, 0,10, 6, 0, 0,11, 3, 0, 0, 4, 2, 0, 1,14, 0, 0, 0, 0, 0, 0,10, 7, 0, 0, 0, 0, 0, 5,13, 1, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0, 5, 9,12,12,16, 2), 2),
    (( 0, 0, 3,14, 8, 8, 8, 0, 0, 0, 2,11,12,15,10, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 1,16,16,16,15, 3, 0, 0, 2, 8, 8,16,16, 6, 0, 0, 0, 0, 8,13, 3, 1, 0, 0, 0, 1,16, 7, 0, 0, 0, 0, 0, 5,11, 1, 0, 0, 0), 7),
    (( 0, 0, 0, 4,13,12, 1, 0, 0, 0, 3,16, 9,15,14, 2, 0, 0,14, 8, 2,10,14, 0, 0, 3,16,12,13,16, 7, 0, 0, 0, 8, 3, 2,16, 2, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 3,14, 2, 0, 0), 9),
    (( 0, 0,10, 7, 0, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 5,16, 3, 2, 8, 4, 0, 0, 7,16,14,16,15, 5, 0, 0, 0, 4, 8,16,12, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0), 4),
    (( 0, 0, 6,15,12, 1, 0, 0, 0, 0,16, 9,15,14, 2, 0, 0, 6,14, 0, 2,16, 6, 0, 0, 5,15, 5, 6,16, 4, 0, 0, 0, 6,12,12,15, 8, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 2,14, 4, 7,16, 2, 0, 0, 0, 7,15,15, 5, 0, 0), 9),
    (( 0, 0, 3, 9,13, 2, 0, 0, 0, 6,16,16,16, 8, 0, 0, 0, 9, 5, 3,16, 6, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 8,16,14,12, 7, 0, 0, 0, 3,13,16,14, 8, 0), 2),
    (( 0, 0, 8,16,16,10, 0, 0, 0, 1,16,14,11,16, 1, 0, 0, 0,12, 8,13,15, 1, 0, 0, 0, 1, 7,16, 7, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 4,13,16, 2, 0, 0, 0,10,16,16,12, 0, 0), 3),
    (( 0, 0, 6,12,13, 7, 0, 0, 0, 0,13,13, 8, 7, 0, 0, 0, 2,16, 1, 0, 0, 0, 0, 0, 5,16,12,12, 7, 0, 0, 0, 2, 9, 8, 8,15, 1, 0, 0, 0, 0, 0, 0,13, 4, 0, 0, 0, 4, 4,12,14, 1, 0, 0, 0, 7,13,11, 3, 0, 0), 5),
    (( 0, 0, 0, 5, 4, 1, 0, 0, 0, 0, 0,14, 8,12, 0, 0, 0, 0, 4,13, 4,12, 0, 0, 0, 0,12, 5, 7, 9, 0, 0, 0, 2,16, 4,13,16, 7, 0, 0,10,16,16,16,11, 1, 0, 0, 5, 6, 7,15, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 0), 4),
    (( 0, 0, 0, 7,12, 2, 0, 0, 0, 0, 5,14, 9, 3, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 3,13, 0, 0, 0, 0, 0, 0, 4, 9,12,14, 7, 0, 0, 0, 1,11,12, 8, 7,11, 1, 0, 0, 4,10, 2, 0,11, 5, 0, 0, 0, 6,13,14,14, 1), 6),
    (( 0, 0, 1,12,13, 2, 0, 0, 0, 0,12,16,10, 2, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 1,16,12, 8, 2, 0, 0, 0, 2,16,13,13,14, 2, 0, 0, 0,13, 7, 0,12,12, 0, 0, 0, 9,13, 6,15,13, 0, 0, 0, 1,11,15,14, 6, 0), 6),
    (( 0, 0, 0, 3,13,14, 1, 0, 0, 0, 3,15,16,16, 0, 0, 0, 5,16,16,16,14, 0, 0, 0, 0, 0, 4,16,14, 0, 0, 0, 0, 0, 4,16,14, 0, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 2,12,16, 5, 0), 1),
    (( 0, 0, 8,10, 0, 0, 0, 0, 0, 0,14,16, 5, 0, 0, 0, 0, 0,15,11,11, 0, 0, 0, 0, 0,10, 6,12, 0, 0, 0, 0, 0, 1, 4,14, 0, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0, 0, 5,15,14, 9, 9, 2, 0, 0,10,16,15,15,12, 1), 2),
    (( 0, 0, 6,12, 8, 4, 0, 0, 0, 1,14, 5, 7,16, 1, 0, 0, 2,16, 4, 6,13, 0, 0, 0, 0, 9,14,15, 2, 0, 0, 0, 0, 7,14,12, 1, 0, 0, 0, 0,15, 2, 9,11, 0, 0, 0, 0,15, 7, 6,16, 0, 0, 0, 0, 3, 8, 9, 6, 0, 0), 8),
    (( 0, 0, 3,14, 5, 0, 0, 0, 0, 0,12,16, 3, 0, 0, 0, 0, 2,12, 8, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 7, 4, 0, 6, 0, 0, 0, 0, 4,16,15,13,15, 3, 0, 0, 2,14,14, 4,14,11, 0, 0, 0, 3,13,16,16,12, 0), 6),
    (( 0, 0, 1, 7,14,12, 0, 0, 0, 0,13,11,12,14, 0, 0, 0, 9,16,12,14,14, 0, 0, 0, 2, 4, 2, 5,15, 0, 0, 0, 0, 0, 0, 3,15, 0, 0, 0, 0, 0, 0, 3,16, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 2,11,11, 1, 0, 0), 9),
    (( 0, 0, 1,12,12,13, 8, 0, 0, 0,12,10, 4, 7,13, 0, 0, 0,15,10, 4, 9,14, 0, 0, 0, 5,12,12,16, 9, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0,15, 2, 0, 0, 0), 9),
    (( 0, 0, 7,15,16,11, 1, 0, 0, 0, 0,15,16,16, 1, 0, 0, 0, 0,13,16,16, 6, 0, 0, 0, 0,13,16,16, 3, 0, 0, 0, 0,14,16,14, 2, 0, 0, 0, 2,16,16,12, 0, 0, 0, 0, 5,16,16,14, 0, 0, 0, 0, 8,16,16, 8, 0, 0), 1),
    (( 0, 0, 0, 2,15, 4, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 8,16,14, 1, 0, 0, 0, 7,16,16,12, 0, 0, 0, 0, 2, 8,14,12, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0, 6,16,13, 2, 0, 0, 0, 0, 2,12,13, 2, 0), 1),
    (( 0, 0, 1,14, 6, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 0,16, 3, 0, 0, 0, 0, 0, 3,16,16,16,14, 4, 0, 0, 1,16, 7, 4, 6,13, 0, 0, 0,10,10, 0, 4,14, 0, 0, 0, 1,11,14,16, 7, 0), 6),
    (( 0, 0, 3,14, 8, 4, 0, 0, 0, 0,15,14,14,16, 0, 0, 0, 4,16,13,16,16, 0, 0, 0, 3,11,11,10,16, 3, 0, 0, 0, 0, 0, 3,15, 5, 0, 0, 0, 1, 5, 1,13, 6, 0, 0, 0, 6,15,16,11, 0, 0, 0, 0, 2,14, 9, 1, 0, 0), 9),
    (( 0, 0, 6,13,16,12, 1, 0, 0, 3,16,11, 8, 9, 1, 0, 0, 3,16, 5, 2, 8, 5, 0, 0, 1,13,14,16,16, 6, 0, 0, 0, 5,16,16, 3, 0, 0, 0, 0,14,12,13,10, 0, 0, 0, 0,15,11,10,14, 0, 0, 0, 0, 4,15,16, 7, 0, 0), 8),
    (( 0, 0, 2,11,15,13, 0, 0, 0, 5,15,15,13,15, 0, 0, 0, 9,13, 3,16, 7, 0, 0, 0, 3, 3, 4,16, 4, 0, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 9, 8,15,12, 0, 0, 0, 0,13,16,13, 3, 0), 3),
    (( 0, 0, 0, 6,10, 1,15, 6, 0, 0, 5,16, 4, 8,15, 1, 0, 1,15, 8, 2,15, 8, 0, 0, 4,16,14,13,15, 0, 0, 0, 1,15,16,16,13, 0, 0, 0, 0, 3,10,15, 0, 0, 0, 0, 0, 0,11,14, 1, 0, 0, 0, 0, 0,10,15, 0, 0, 0), 4),
    (( 0, 3, 7,13,16,12, 2, 0, 0,10,16,12, 6, 2, 0, 0, 0, 9,16, 8, 1, 0, 0, 0, 0, 4,11,16,15, 6, 0, 0, 0, 0, 0, 1, 8,15, 5, 0, 0, 0, 0, 0, 1,14, 7, 0, 0, 0,11,13,16,15, 1, 0, 0, 0,10,12, 8, 3, 0, 0), 5),
    (( 0, 0, 2,12,11, 2, 0, 0, 0, 1,15,12, 9,13, 0, 0, 0, 6,13, 1, 0,14, 2, 0, 0, 6,12, 0, 0, 8, 8, 0, 0, 8,12, 0, 0, 7, 8, 0, 0, 5,15, 0, 0, 7, 9, 0, 0, 0,13, 9, 8,15, 4, 0, 0, 0, 3,13,16, 8, 0, 0), 0),
    (( 0, 0, 1, 9,13,11, 3, 0, 0, 0,13,12, 8,10,12, 0, 0, 5,13, 1, 8,15,10, 0, 0, 6,16,16,15,16, 6, 0, 0, 0, 5, 5, 5,14, 0, 0, 0, 0, 0, 1,12, 7, 0, 0, 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0), 9),
    (( 0, 0,15,14,14,15,10, 0, 0, 0,16, 8,11,10, 6, 0, 0, 5,14, 0, 0, 0, 0, 0, 0, 8,16,16,16, 4, 0, 0, 0, 4,14, 9,12,12, 0, 0, 0, 0, 0, 0, 5,15, 0, 0, 0, 0,11, 4,11, 9, 0, 0, 0, 0,14,16,14, 1, 0, 0), 5),
    (( 0, 0, 2, 9,15,12, 0, 0, 0, 0,12,15,14,13, 0, 0, 0, 0, 2, 0,11, 7, 0, 0, 0, 0, 0, 1,16, 9, 4, 0, 0, 1, 9,16,16,11, 5, 0, 0, 4,13,13, 9, 0, 0, 0, 0, 0, 0,13, 3, 0, 0, 0, 0, 0, 2,14, 1, 0, 0, 0), 7),
    (( 0, 0, 0,11,12, 0, 0, 0, 0, 0, 8,16,12, 0, 0, 0, 0, 0,15,14, 1, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0, 3,16, 6, 1, 0, 0, 0, 0, 1,15,16,16,16,10, 0, 0, 0, 8,16,16,16,16, 3, 0, 0, 0, 7,15,16, 9, 0), 6),
    (( 0, 0, 4,10,14, 3, 0, 0, 0, 0,16,11,10,12, 0, 0, 0, 4,12, 0, 0,10, 3, 0, 0, 5,11, 0, 0, 7, 4, 0, 0, 6, 8, 0, 0,10, 4, 0, 0, 3, 9, 0, 0,10, 3, 0, 0, 0,13, 9,11,13, 0, 0, 0, 0, 2,14,12, 3, 0, 0), 0),
    (( 0, 0, 5,16,16, 5, 0, 0, 0, 5,16,11, 7, 1, 0, 0, 0,11,16,14, 5, 0, 0, 0, 0, 4, 8,11,16,13, 1, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 2, 0, 0, 9,11, 0, 0, 0, 8,11, 8,15, 7, 0, 0, 0, 3,12,16, 9, 0, 0), 5),
    (( 0, 0, 6,10,15,11, 1, 0, 0, 1,15, 9, 6,12, 4, 0, 0, 5,16, 0, 0, 5, 6, 0, 0, 4,14, 0, 0, 6, 8, 0, 0, 6, 9, 0, 0,12, 2, 0, 0, 7, 9, 0, 6,11, 0, 0, 0, 3,15, 8,15, 4, 0, 0, 0, 0,10,14, 5, 0, 0, 0), 0),
    (( 0, 1,10,13,16, 9, 0, 0, 0,11,16,14,16,16, 2, 0, 0, 7, 6, 3,16,11, 0, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 0, 3,16,12, 0, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 3, 9,16,15, 1, 0, 0, 0,12,15,11, 1, 0, 0), 3),
    (( 0, 2,12,12,13,12, 1, 0, 0, 8,14, 8, 4, 6, 0, 0, 0, 8,14, 8, 7, 1, 0, 0, 0, 8,15,12,14,12, 0, 0, 0, 0, 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 2, 8, 4, 6,15, 7, 0, 0, 0,11,16,15, 7, 0, 0), 5),
    (( 0, 1,12,14, 1, 0, 0, 0, 0,10,16,16, 4, 0, 0, 0, 0, 8,11,16, 0, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 4,16,15,16,16, 9, 0, 0, 1,16,16,16,14, 8, 0), 2),
    (( 0, 0,14,16,11, 1, 0, 0, 0, 1,12,16,16, 6, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 1,10,16,13, 2, 0, 0, 0, 5,16,16,16, 8, 0, 0, 0, 1,16, 9, 1, 0, 0, 0, 0, 9,16, 1, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0), 7),
    (( 0, 1,12,12,11, 5, 0, 0, 0, 5,15, 8,12,15, 2, 0, 0, 7,12, 0, 9,16, 3, 0, 0, 3,15, 9,10,16, 7, 0, 0, 0, 5,11,16,16, 8, 0, 0, 0, 0, 0, 1,14,10, 0, 0, 0, 7, 8,11,16, 2, 0, 0, 0,12,16,13, 6, 0, 0), 9),
    (( 0, 4,15,14,11, 4, 0, 0, 0, 2,11, 8,14,16, 1, 0, 0, 0, 0, 5,15, 9, 0, 0, 0, 0, 9,16,12, 0, 0, 0, 0, 0, 2, 8,15,12, 1, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 1, 4, 4,10,16, 5, 0, 0, 4,16,15,11, 3, 0, 0), 3),
    (( 0, 0, 4,15,12, 2, 0, 0, 0, 0,12,11,10,14, 0, 0, 0, 6,11, 0, 0,15, 4, 0, 0, 4,14, 0, 0, 8, 8, 0, 0, 6,12, 0, 0, 9, 8, 0, 0, 1,15, 3, 0,10,10, 0, 0, 0,12,13,12,16, 3, 0, 0, 0, 4,13,15, 6, 0, 0), 0),
    (( 0, 0, 0, 1,14, 1,14, 0, 0, 0, 0,12,11, 6,13, 0, 0, 0, 8,13, 2,10, 9, 0, 0, 6,14, 2, 1,14,11, 0, 0,11,15,12,16,16, 9, 0, 0, 7,14,12,14,12, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,14, 3, 0, 0), 4),
    (( 0, 0, 0, 8,12,11, 3, 0, 0, 0, 6,15, 6, 8,12, 0, 0, 2,15,10, 0, 3,11, 0, 0, 4,16,14,12,14, 4, 0, 0, 0, 8,16,16,14, 0, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 4,11,15, 0, 0, 0, 0, 0,13,12, 6, 0, 0), 9),
    (( 0, 0,11,16,10, 1, 0, 0, 0, 0,16, 8,11,13, 1, 0, 0, 0,13, 7, 7,16, 1, 0, 0, 0, 4,13,14,16, 1, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 0, 8,11, 0, 0, 1, 7, 4, 5,14,12, 0, 0, 0, 8,15,14,11, 3, 0), 9),
    (( 0, 0, 3,11, 9, 3, 0, 0, 0, 0, 8,16,16,15, 1, 0, 0, 0, 1,16,16,16, 0, 0, 0, 0, 2,16,16,15, 2, 0, 0, 0, 4,16,16,16, 3, 0, 0, 0, 6,16,16,16, 0, 0, 0, 0, 9,16,16,14, 0, 0, 0, 0, 7,12,11, 5, 0, 0), 1),
    (( 0, 0, 0,12,16, 2, 0, 0, 0, 0, 4,16,12, 1, 0, 0, 0, 0,14,16, 2, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 0, 1,16, 8, 5, 0, 0, 0, 0, 0,14,16,16,13, 1, 0, 0, 0, 7,15, 7,15,13, 0, 0, 0, 1, 9,16,16,16, 3), 6),
    (( 0, 0, 5,12, 6, 0, 0, 0, 0, 0,11,16,15, 6, 0, 0, 0, 0,10,11,11,15, 2, 0, 0, 0, 4,15,15,16, 6, 0, 0, 0, 0, 4, 8,13, 9, 0, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 9, 8, 8,12,13, 0, 0, 0, 5,10,13,12, 5, 0), 9),
    (( 0, 0, 7,11,14, 4, 0, 0, 0,12,16,12,15, 8, 0, 0, 0, 6, 9, 0,12, 7, 0, 0, 0, 0, 1, 9,16, 2, 0, 0, 0, 0, 8,16,16,15, 1, 0, 0, 0, 0, 0, 2,15, 9, 0, 0, 2,10, 4, 2,13,10, 0, 0, 0, 7,12,15,12, 1, 0), 3),
    (( 0, 0, 7,16,16,16,16, 3, 0, 0, 2,10, 9, 9,16, 7, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 6,12,16,11, 0, 0, 0, 0,11,16,16, 6, 0, 0, 0, 0, 9,16, 8, 0, 0, 0, 0, 5,16,10, 0, 0, 0, 0, 0,11,15, 0, 0, 0, 0), 7),
    (( 0, 1,12,13, 7, 0, 0, 0, 0, 2,15,13,16, 7, 0, 0, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 7,16,16, 3, 0, 0, 0, 0, 4,12,16,12, 0, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 1, 8,10,12,16,10, 0, 0, 2,12,14,12, 9, 1, 0), 3),
    (( 0, 0, 2,12,14, 1, 0, 0, 0, 0,13,16,12,12, 0, 0, 0, 1,16, 5, 0,15, 4, 0, 0, 3,16, 3, 0,11, 7, 0, 0, 6,12, 0, 0,12, 5, 0, 0, 4,16, 3, 2,15, 7, 0, 0, 0,15,12,14,13, 1, 0, 0, 0, 4,15,13, 2, 0, 0), 0),
    (( 0, 0, 5,16,16,10, 0, 0, 0, 0, 9,16,16,15, 0, 0, 0, 0, 7,16,16,11, 0, 0, 0, 0, 9,16,16,11, 0, 0, 0, 0, 8,16,16,12, 0, 0, 0, 0,10,16,16,10, 0, 0, 0, 0,14,16,16,12, 0, 0, 0, 0, 8,13,16, 8, 0, 0), 1),
    (( 0, 0, 6,14,15, 1, 0, 0, 0, 0,14,16,16, 8, 0, 0, 0, 0, 4, 2,10,10, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0, 7,16,16,16, 4, 0, 0, 0, 9,13,15, 8, 1, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0), 7),
    (( 0, 0, 1, 7,11,13,11, 5, 0, 0, 7,16,16,13,16, 4, 0, 0,14, 8, 0, 0, 0, 0, 0, 4,16, 9, 8, 5, 0, 0, 0, 8,16,16,16,16, 2, 0, 0, 2, 4, 4,12,15, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0,12, 5, 0, 0, 0), 5),
    (( 0, 0, 0,10,13, 1, 0, 0, 0, 0, 8,16,12, 2, 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0, 6,16, 7, 5, 0, 0, 0, 0, 2,16,16,16,15, 3, 0, 0, 2,16,12, 0, 7,13, 0, 0, 0,11,10, 4,10,16, 2, 0, 0, 2,11,15,14, 9, 0), 6),
    (( 0, 0, 7,12,15,13, 3, 0, 0, 2,16, 6, 2,11, 7, 0, 0, 7,14, 9,13,11, 1, 0, 0, 2,16,12, 6, 7, 2, 0, 0, 2,16,15, 8, 2, 0, 0, 0, 2,16,14, 2, 0, 0, 0, 0, 0,14,16, 8, 0, 0, 0, 0, 0, 4,12,11, 0, 0, 0), 8),
    (( 0, 0, 2,15, 7, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0,14,15, 1, 3, 1, 0, 0, 5,16, 7, 3,16, 8, 0, 0,13,15, 0,10,16, 4, 0, 0,13,16,16,16,15, 0, 0, 0, 2, 6,15,15, 5, 0, 0, 0, 0, 4,15, 4, 0, 0, 0), 4),
    (( 0, 1,11,16, 7, 0, 0, 0, 0, 8,16,15,10, 0, 0, 0, 0,12, 8,12,11, 0, 0, 0, 0, 2, 0,15, 7, 0, 0, 0, 0, 0, 8,14, 0, 0, 0, 0, 0, 0,13,12, 0, 3, 3, 0, 0, 5,16,13,14,16,16, 1, 0, 0,16,16,15,10, 5, 0), 2),
    (( 0, 0, 6,15,16,16, 9, 0, 0, 2,16,11, 8,15,12, 0, 0, 0, 2, 0, 0,14,11, 0, 0, 0, 3, 8, 8,16, 7, 0, 0, 3,16,16,16,16,10, 0, 0, 0, 6, 6,15, 4, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 0,10,13, 0,12, 5, 0, 0, 3,16, 2, 6,16, 3, 0, 0,11,16,10,13,16, 1, 0, 0, 1, 7,12,16,11, 0, 0, 0, 0, 0, 5,16, 5, 0, 0), 4),
    (( 0, 0, 2,11,11, 3, 0, 0, 0, 0, 2,16,16,16, 4, 0, 0, 0, 1,16,16,16, 4, 0, 0, 0, 3,16,16,16, 3, 0, 0, 0, 7,16,16,15, 2, 0, 0, 0,10,16,16,14, 1, 0, 0, 0, 8,16,16,12, 0, 0, 0, 0, 1, 5, 8, 9, 2, 0), 1),
    (( 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 6,16,12, 0, 0, 0, 0, 0,12,12, 1, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 1,16, 3,13,14, 2, 0, 0, 0,14,16,15,14,13, 0, 0, 0, 9,16,12,10,15, 1, 0, 0, 0, 6,12,15, 8, 0), 6),
    (( 0, 0, 2, 8,13,13, 2, 0, 0, 6,14,14,11,15, 3, 0, 0,10,14, 4,10, 6, 0, 0, 0, 1,14,12,13, 0, 0, 0, 0, 0, 9,15,11, 0, 0, 0, 0, 0,13, 2,11, 8, 0, 0, 0, 0, 8,10, 4,14, 3, 0, 0, 0, 1, 8,14,14, 1, 0), 8),
    (( 0, 0, 5,12,16,16, 3, 0, 0, 0,11,11, 4,16, 9, 0, 0, 0, 0, 4, 8,16, 5, 0, 0, 0, 4,16,16,16,14, 0, 0, 0, 0,11,14, 1, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0), 7),
    (( 0, 3,11,13, 8, 1, 0, 0, 0, 3,11, 8,15, 7, 0, 0, 0, 0, 0, 2,14, 6, 0, 0, 0, 0, 7,16,16,11, 0, 0, 0, 0, 5,12,11,16, 8, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 2,12,16,16, 7, 0, 0, 0, 4,13,11, 2, 0, 0, 0), 3),
    (( 0, 0, 0, 6,13, 9, 0, 0, 0, 1,15,16, 7, 3, 0, 0, 0, 7,15, 3, 0, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0, 2,11, 5,12, 7, 0, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 0, 0, 5,11,16, 1, 0, 0, 0, 0, 4,15, 9, 0, 0), 5),
    (( 0, 1, 7,13,16,16, 8, 0, 0, 5,16,12,16,16, 5, 0, 0, 0, 1, 4,16, 8, 0, 0, 0, 0, 0,11,16, 9, 1, 0, 0, 0, 0, 0, 9,15,10, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 5,11,16, 5, 0, 0, 0, 6,16,14, 7, 0, 0), 3),
    (( 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0, 5,16,16,16, 7, 0, 0, 0, 2,16,12,10,16, 4, 0, 0, 0, 8,15, 9,14, 7, 0, 0, 0, 0, 7,14,16, 3, 0), 6),
    (( 0, 0, 1, 8,15,16, 7, 0, 0, 1,13,14, 9,16, 8, 0, 0, 8,16, 5,11,15, 2, 0, 0, 5,16,16,16,10, 1, 0, 0, 0, 1, 4,10,16, 9, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 3,14,14, 1, 0, 0, 0, 0,11,15, 3, 0, 0), 9),
    (( 0, 1,13,16,10, 0, 0, 0, 0, 2,14,15,16, 2, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0,13,16, 1, 0, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0,11,16, 3, 5, 1, 0, 0, 1,15,16,14,16, 4, 0, 0, 1,13,16,15, 5, 0, 0), 2),
    (( 0, 2,12,11, 1, 0, 0, 0, 0, 6,14,16, 8, 0, 0, 0, 0, 5, 5,10,11, 0, 0, 0, 0, 0, 0,11, 6, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 1,15, 7, 2, 1, 0, 0, 0, 5,16,16,16,16, 7, 0, 0, 3,12,12, 8, 6, 3, 0), 2),
    (( 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 9,12, 9, 3, 0, 0, 0, 1,15, 7,16, 7, 0, 0, 0, 9,16,14,16,16, 8, 0, 0, 8,12,14,16,12, 5, 0, 0, 0, 0, 7,15, 0, 0, 0), 4),
    (( 0, 0,11,14,10, 2, 0, 0, 0, 0,12,13,13,15, 0, 0, 0, 0, 3,11,12,12, 1, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 5,15,10, 0, 0, 0, 0, 0,12, 4,11, 0, 0, 0, 0, 0,14, 1,12, 2, 0, 0, 0, 0,10,16,10, 0, 0, 0), 8),
    (( 0, 0, 9,16,11, 0, 0, 0, 0, 5,16,16,16, 7, 0, 0, 0, 3,16,16,16,15, 0, 0, 0, 0, 2, 6, 3,11, 5, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 0,13,11, 0, 0, 0, 4, 5,11,16, 5, 0, 0, 0, 5,12,12, 6, 0, 0), 9),
    (( 0, 0, 1,11,14, 3, 0, 0, 0, 0, 6,16,12, 2, 0, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 1,14, 9, 3, 0, 0, 0, 0, 6,16,16,15, 7, 0, 0, 0, 4,16,11, 7,15, 6, 0, 0, 0,12,14, 6,11,10, 0, 0, 0, 3,11,16,15, 6, 0), 6),
    (( 0, 0, 5,14,16,13, 1, 0, 0, 0,15,14, 9,10, 2, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 4,16,16, 5, 0, 0, 0, 0, 2, 8,12,12, 0, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 2,13,14,11, 0, 0, 0, 0, 1,10,12, 3, 0, 0, 0), 5),
    (( 0, 3,16,14,12,13, 7, 0, 0, 0, 7, 8,13,15, 5, 0, 0, 0, 0, 3,15, 4, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 9,14,16,13,12, 9, 0, 0, 3,13,13, 9, 8, 5, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0), 7),
    (( 0, 0,11,13, 1, 1, 0, 0, 0, 3,16,10,16,16, 2, 0, 0, 8,14,14,12, 2, 0, 0, 0, 1,15,16,11, 0, 0, 0, 0, 0, 9,15,16, 9, 0, 0, 0, 0,12, 7, 1,14, 7, 0, 0, 0,12,11, 9,15, 3, 0, 0, 0, 4,12,10, 1, 0, 0), 8),
    (( 0, 0, 6,16,13,11, 5, 0, 0, 0, 1, 8,10,16,15, 0, 0, 0, 0, 0, 1,14,13, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 3, 4, 1,12,16, 0, 0, 0,12,16,16,16,13, 2, 0, 0, 0, 3,14,15, 0, 0, 0, 0, 0, 6,16, 7, 0, 0, 0), 7),
    (( 0, 0, 0, 7,12, 0,12, 5, 0, 0, 8,14, 1, 7,14, 0, 0, 1,16, 5, 0,14, 6, 0, 0, 5,16,12,13,16,10, 0, 0, 3,15,15,16,13, 5, 0, 0, 0, 0, 4,15, 1, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 0,11, 4, 0, 0, 0), 4),
    (( 0, 0, 4,13,14, 3, 0, 0, 0, 0,14, 7, 4,14, 0, 0, 0, 3,10, 0, 0, 8, 3, 0, 0, 8, 4, 0, 0, 4, 8, 0, 0, 5,12, 0, 0, 2, 8, 0, 0, 0,15, 1, 0, 4, 7, 0, 0, 0,10, 8, 1,12, 6, 0, 0, 0, 2,12,16,15, 0, 0), 0),
    (( 0, 0, 3, 8,12,12,16,11, 0, 0,14,16,16,15,16, 9, 0, 0, 6, 3, 0, 9,15, 0, 0, 0, 0, 9,14,16,12, 0, 0, 0, 1,16,16,12, 3, 0, 0, 0, 0, 3,16, 4, 0, 0, 0, 0, 0,13,13, 0, 0, 0, 0, 0, 2,15, 5, 0, 0, 0), 7),
    (( 0, 0, 0, 3,15,11, 4, 0, 0, 0, 0,13,16,15, 0, 0, 0, 0, 7,16,16,12, 0, 0, 0, 6,16,16,16,12, 0, 0, 0, 5,10, 5,16,13, 0, 0, 0, 0, 0, 4,16,16, 2, 0, 0, 0, 0, 6,16,16, 2, 0, 0, 0, 0, 3,13,12, 1, 0), 1),
    (( 0, 0,10,16,16,16,16, 5, 0, 0, 5, 9, 8,15,12, 1, 0, 0, 0, 0, 7,13, 1, 0, 0, 0, 6, 8,16,16,13, 0, 0, 0,14,16,12, 8, 1, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0), 7),
    (( 0, 0, 0,11,13, 0, 0, 0, 0, 0, 5,15,13, 0, 0, 0, 0, 3,16,16,10, 0, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 0, 0,15,10, 0, 0, 0, 0, 0, 0,15, 8, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0), 1),
    (( 0, 0, 8,13,12, 7, 0, 0, 0, 0,12, 9, 9,15, 2, 0, 0, 0, 0, 7,14,11, 0, 0, 0, 0, 4,16,10, 0, 0, 0, 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 0, 0, 2,15, 5, 0, 0, 0, 9, 1, 4,16, 4, 0, 0, 0,12,16,16, 8, 1, 0), 3),
    (( 0, 0, 1,16,12, 1, 0, 0, 0, 0, 0,16,16, 5, 0, 0, 0, 0, 2,16,16, 7, 0, 0, 0, 0, 4,16,16, 0, 0, 0, 0, 0, 9,16,12, 0, 0, 0, 0, 0,13,16, 8, 0, 0, 0, 0, 0,10,16,10, 0, 0, 0, 0, 0, 2,15,16, 5, 0, 0), 1),
    (( 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0, 0, 0,11, 4, 1, 0, 0, 0, 0, 0,13,15,16,14, 4, 0, 0, 0,13,10, 4, 4,14, 1, 0, 0, 6,10, 2, 6,16, 2, 0, 0, 1, 8,13,14, 5, 0), 6),
    (( 0, 0, 0,12,15, 5, 0, 0, 0, 0, 3,13, 9,16, 0, 0, 0,12,14,10, 1,14, 4, 0, 0, 3,12,13,11,13, 0, 0, 0, 0, 2,10,16, 9, 0, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0,13,16, 9, 0, 0, 0, 0, 0,12,12, 2, 0, 0), 8),
    (( 0, 0, 7,12,13,12,10, 0, 0, 1,16,10, 4, 8, 4, 0, 0, 1,16, 9, 8, 2, 0, 0, 0, 7,15,12,14, 9, 0, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 6, 8,12,12, 0, 0, 0, 0,12,13, 9, 0, 0, 0), 5),
    (( 0, 0, 8,15,16, 8, 0, 0, 0, 2,16,15,13,11, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 6,16,15, 7, 0, 0, 0, 0, 2,11,12,16, 7, 0, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0,10,15,15,15, 1, 0, 0, 0, 8,16,15, 6, 0, 0), 5),
    (( 0, 0, 4,14, 4, 0, 0, 0, 0, 0,13,10, 1, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0, 8, 7,10,16,14, 0, 0, 0, 5,14,16,14,16, 7, 0, 0, 2,16,16,12,16, 8, 0, 0, 0, 6,15,14, 8, 1, 0), 6),
    (( 0, 1, 9,12,15,14, 4, 0, 0, 6,14, 4, 4,14, 8, 0, 0, 3, 8, 0, 7,15, 2, 0, 0, 0, 0, 6,14, 2, 0, 0, 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 0, 1,15, 2, 0, 0, 0, 0, 5, 0,12, 9, 0, 0, 0, 0,11,16,14, 3, 0, 0), 3),
    (( 0, 0, 7,15, 8, 2, 0, 0, 0, 0,12,16,14, 5, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,12,16,16, 2, 0, 0, 0, 0,13,16,16, 2, 0, 0, 0, 0,14,16,16, 0, 0, 0, 0, 1,14,16,16,14, 1, 0, 0, 1, 8,16,11, 8, 0, 0), 1),
    (( 0, 2,15, 9,10, 8, 6, 0, 0,10,16,16,16,12, 8, 0, 0, 8,16, 6, 0, 0, 0, 0, 0, 1,12,16,12, 1, 0, 0, 0, 0, 1, 6,15,12, 0, 0, 0, 0, 0, 0, 5,16, 2, 0, 0,10,12, 6,10,16, 1, 0, 0, 1,13,16,14, 5, 0, 0), 5),
    (( 0, 0, 6, 9,12,16,10, 0, 0, 0,11,13, 5, 4, 4, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 3,15, 3, 4, 2, 0, 0, 0, 2,16,14,12,14, 7, 0, 0, 0, 1, 0, 0,10, 4, 0, 0,12,13, 0, 1,13, 2, 0, 0, 0, 6,16,16, 7, 0, 0), 5),
    (( 0, 0, 0, 6,14,11, 1, 0, 0, 0, 2,14,16,16, 2, 0, 0, 0,11,16,16,16, 0, 0, 0, 5,15,16,16,16, 4, 0, 0, 1, 5, 7,16,16, 2, 0, 0, 0, 0, 3,16,16, 3, 0, 0, 0, 0, 4,16,16, 4, 0, 0, 0, 0, 4,15,15, 4, 0), 1),
    (( 0, 0, 0, 8,16,10, 0, 0, 0, 0, 1,14,16,14, 0, 0, 0, 1,10,16,16, 5, 0, 0, 0, 6,16,16,16, 3, 0, 0, 0, 1,12,16,16, 0, 0, 0, 0, 0, 4,16,15, 0, 0, 0, 0, 0, 4,16,16, 4, 0, 0, 0, 0, 0,11,12,11, 0, 0), 1),
    (( 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 2,12,16,12, 0, 0, 0, 6,15,16,16, 8, 0, 0, 0,12,15, 6,16, 7, 0, 0, 0, 0, 2, 0,15, 9, 0, 0, 0, 0, 0, 0,16, 7, 0, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0, 2,15,10, 0, 0), 1),
    (( 0, 1,11,12,12,13, 2, 0, 0, 7,16, 9, 8, 8, 2, 0, 0, 7,14, 8, 8, 1, 0, 0, 0, 3,15,11,11,13, 0, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 2,11,14, 4, 0, 0, 0, 0,12, 9, 1, 0, 0, 0), 5),
    (( 0, 0, 4,15,13, 1, 0, 0, 0, 0,11,12,13, 9, 0, 0, 0, 2,15, 4, 1,16, 1, 0, 0, 4,16, 3, 0,10, 6, 0, 0, 3,15, 2, 0, 8, 8, 0, 0, 3,16, 1, 0,12, 6, 0, 0, 0,13,11, 9,15, 1, 0, 0, 0, 4,13,13, 2, 0, 0), 0),
    (( 0, 0, 0, 5,14,16,16, 1, 0, 0, 8,14, 8,13,16, 1, 0, 0, 1, 0, 0,11,12, 0, 0, 0, 0, 2, 4,14, 8, 0, 0, 2,11,16,16,16, 8, 0, 0, 7,10, 5,11,10, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 0, 8,12, 0, 0, 0), 7),
    (( 0, 0,10,12,12, 5, 0, 0, 0, 0, 8,16,16,14, 0, 0, 0, 0, 8,16,16,11, 0, 0, 0, 0,13,16,16, 7, 0, 0, 0, 0, 9,16,16, 1, 0, 0, 0, 0, 9,16,16, 7, 0, 0, 0, 1,15,16,16, 7, 0, 0, 0, 0, 7,12,12, 9, 0, 0), 1),
    (( 0, 0,11,16,10, 1, 0, 0, 0, 4,16,10,15, 8, 0, 0, 0, 4,16, 3,11,13, 0, 0, 0, 1,14, 6, 9,14, 0, 0, 0, 0, 0, 0,12,10, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 5,15,15, 8, 8, 3, 0, 0,10,16,16,16,16, 6), 2),
    (( 0, 1, 8,16,16,12, 0, 0, 0, 7,15, 9,14,15, 0, 0, 0, 3, 3, 0,12,14, 0, 0, 0, 0, 6,10,15,14, 1, 0, 0, 8,16,16,16,15, 8, 0, 0, 5, 5,10,14, 1, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0,13,11, 1, 0, 0, 0), 7),
    (( 0, 0, 4,16,13, 2, 0, 0, 0, 0,11, 7, 2,13, 0, 0, 0, 3,16, 4, 0, 9, 1, 0, 0, 5,13, 2, 0, 5, 7, 0, 0, 4, 8, 0, 0, 4, 8, 0, 0, 4,14, 0, 0, 6, 8, 0, 0, 0,13,10, 1,14, 3, 0, 0, 0, 4,12,16,10, 0, 0), 0),
    (( 0, 0, 6,15,16,16,16,11, 0, 0,10,15,16,14,10, 2, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 3,16,13, 1, 0, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 0, 0,15,15, 1, 0, 0, 0, 0,10,15, 7, 0, 0, 0, 0, 5,15, 3, 0, 0, 0), 5),
    (( 0, 0, 6,15,16,13, 1, 0, 0, 3,16,16,16,16, 6, 0, 0, 7,16, 8,12,14, 1, 0, 0, 0,12,16,14, 1, 0, 0, 0, 0,11,14,16, 6, 0, 0, 0, 0,14, 0, 2,15, 3, 0, 0, 0,16, 2, 3,13, 8, 0, 0, 0, 6,14,16,14, 2, 0), 8),
    (( 0, 0, 8,16, 6, 1, 0, 0, 0, 0,13,16,16,15, 0, 0, 0, 3,16, 2, 0,13, 3, 0, 0, 6,14, 0, 0,11, 6, 0, 0, 3,13, 0, 0,13, 5, 0, 0, 0,16, 0, 6,15, 1, 0, 0, 0,13,10,15, 9, 0, 0, 0, 0, 4,12,11, 0, 0, 0), 0),
    (( 0, 0,14,16,15,10, 0, 0, 0, 0, 8,12,14,16, 0, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 7,12,16, 9, 0, 0, 0, 0,16,16,16,16, 7, 0, 0, 0, 2,16,12,10, 3, 0, 0, 0, 8,16, 1, 0, 0, 0, 0, 1,16,11, 0, 0, 0, 0), 7),
    (( 0, 0, 3, 9, 8, 0, 0, 0, 0, 2,15,14,14, 4, 0, 0, 0, 9,16, 5,13,16, 1, 0, 0, 5,16,16,16,16, 7, 0, 0, 0, 6, 8, 8,16, 6, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 7, 4, 9,16, 8, 0, 0, 0, 9,16,13, 9, 1, 0), 9),
    (( 0, 0, 0, 0, 5,13, 3, 0, 0, 0, 0, 1,11,16, 4, 0, 0, 2, 8,14,16,16, 5, 0, 0, 2, 7, 4,12,16, 3, 0, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0, 8,16, 6, 0), 1),
    (( 0, 1,12,16,16,12, 0, 0, 0, 3,15, 9,14,14, 0, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 6,11,16,11, 3, 0, 0, 0,11,16,16,16,12, 0, 0, 0, 5,16, 6, 7, 3, 0, 0, 0,11,15, 0, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0), 7),
    (( 0, 2,11,10,12,13, 7, 0, 0, 7,16,13,11,12, 5, 0, 0, 4,16, 4, 4, 1, 0, 0, 0, 4,16,16,16,16, 5, 0, 0, 0, 2, 2, 1,13, 8, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 9, 5,13,14, 0, 0, 0, 0,15,12, 9, 2, 0, 0), 5),
    (( 0, 1, 9,13, 9, 0, 0, 0, 0, 3,16,10,11,11, 0, 0, 0, 1, 9, 0, 2,15, 0, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 1,11, 8, 0, 0, 0, 0, 0,10,15, 1, 0, 0, 0, 0, 6,16,16,13, 9, 0, 0, 0,11,12, 8, 8, 8, 1), 2),
    (( 0, 0, 5,11,16,12, 2, 0, 0, 0,15, 7, 4,13, 4, 0, 0, 1,14, 1, 4,16, 2, 0, 0, 1, 7, 8,14, 5, 0, 0, 0, 5,16,16, 7, 0, 0, 0, 0, 0,14, 6,14, 6, 0, 0, 0, 0,11, 6, 5,16, 0, 0, 0, 0, 5,15,14, 8, 0, 0), 8),
    (( 0, 1,13,12, 1, 0, 0, 0, 0, 5,13,12, 9, 0, 0, 0, 0, 1,11, 4,16, 0, 0, 0, 0, 0, 3, 1,16, 3, 0, 0, 0, 0, 0, 2,16, 0, 0, 0, 0, 0, 0, 5,15, 1, 0, 0, 0, 0, 7,16,11, 4, 5, 0, 0, 0,15,16,16,16,16, 0), 2),
    (( 0, 0, 8,14, 7, 0, 0, 0, 0, 3,16,13,16,10, 0, 0, 0, 7,14, 1, 7,14, 1, 0, 0, 7,11, 0, 0,13, 4, 0, 0, 4, 8, 0, 0, 8, 8, 0, 0, 4,12, 0, 0, 9, 8, 0, 0, 3,15, 5, 6,15, 6, 0, 0, 0, 8,16,16, 9, 0, 0), 0),
    (( 0, 0, 3,14,12, 1, 0, 0, 0, 0,14,15,13,12, 0, 0, 0, 0,16, 2, 0,14, 2, 0, 0, 1,14, 0, 0,10, 6, 0, 0, 2,15, 0, 0,13, 5, 0, 0, 3,16, 1, 1,15, 6, 0, 0, 0,13,10,13,15, 1, 0, 0, 0, 2,12,14, 6, 0, 0), 0),
    (( 0, 0, 7,11,13, 7, 0, 0, 0, 1,15,15,13,15, 2, 0, 0, 4,16, 4, 5,14, 4, 0, 0, 0,10,16,16,13, 2, 0, 0, 0, 7,15,16, 3, 0, 0, 0, 1,16, 9, 8,15, 0, 0, 0, 3,15, 6, 9,16, 0, 0, 0, 0, 6,16,15, 6, 0, 0), 8),
    (( 0, 0, 1,11,15, 4, 0, 0, 0, 1,13,13,14,16, 0, 0, 0, 8,15, 1,10,16, 4, 0, 0, 1,15,14,16,14, 2, 0, 0, 0, 6,16,15, 2, 0, 0, 0, 0, 8,15,14, 9, 0, 0, 0, 0,11,16,10,16, 3, 0, 0, 0, 2,12,13,12, 1, 0), 8),
    (( 0, 0, 6,15,15, 4, 0, 0, 0, 0,11,10, 4, 2, 0, 0, 0, 0,13,11, 2, 0, 0, 0, 0, 0,12,14,12, 5, 0, 0, 0, 0, 0, 0, 3,15, 3, 0, 0, 0, 0, 0, 0, 4,11, 0, 0, 0,15, 8, 3, 2,15, 0, 0, 0, 5,12,16,16,12, 0), 5),
    (( 0, 0, 3,12,12,12, 2, 0, 0, 0, 3,13, 9,16, 7, 0, 0, 0, 0, 1, 2,16, 4, 0, 0, 0, 0, 1,10, 9, 0, 0, 0, 0, 8,16,16,16, 5, 0, 0, 0, 3,14,10, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 3,12, 1, 0, 0, 0), 7),
    (( 0, 0, 5,14,15, 5, 0, 0, 0, 2,16, 9, 9,15, 2, 0, 0, 2,10, 0, 6,16, 3, 0, 0, 0, 2,14,16, 7, 0, 0, 0, 0, 0,11,16,14, 1, 0, 0, 0, 6, 3, 6,16, 1, 0, 0, 0,13,11,10,15, 0, 0, 0, 0, 9,16,16, 7, 0, 0), 3),
    (( 0, 2,14,16,13, 1, 0, 0, 0,10,14,10,15, 8, 0, 0, 0, 5, 2, 0,12,12, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 1,15,10, 0, 0, 0, 0, 0,11,14, 1, 0, 0, 0, 0, 4,16, 8, 1, 0, 0, 0, 0, 2,15,16,16,16, 8, 0), 2),
    (( 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,15,11, 9, 0, 0, 0, 0, 5,15,10,16, 2, 0, 0, 0,13, 9,12,13, 0, 0, 0, 3,16, 7,13,14, 5, 0, 0,12,16,16,16,16, 8, 0, 0, 5, 8,13,16, 4, 0, 0, 0, 0, 0,11,15, 0, 0, 0), 4),
    (( 0, 0, 4,16, 7, 2, 0, 0, 0, 0, 8,16,16, 4, 0, 0, 0, 0,11,16,16, 3, 0, 0, 0, 0, 9,16,16, 0, 0, 0, 0, 0,11,16,16, 2, 0, 0, 0, 0, 9,16,15, 0, 0, 0, 0, 0, 9,16,15, 0, 0, 0, 0, 0, 6,12, 3, 0, 0, 0), 1),
    (( 0, 2,15,12, 3, 6, 0, 0, 0, 5,16,13, 6,16, 6, 0, 0, 6,16, 1, 3,16, 2, 0, 0, 0,15,11,15,14, 0, 0, 0, 0, 9,16,16, 3, 0, 0, 0, 0,13,16, 6, 0, 0, 0, 0, 8,16,16, 2, 0, 0, 0, 0, 3,15,13, 0, 0, 0, 0), 8),
    (( 0, 0, 5,12,14, 3, 0, 0, 0, 3,14, 2, 4,11, 0, 0, 0, 4,12, 0, 5,16, 4, 0, 0, 1,14, 6,14, 4, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,10,13,11, 0, 0, 0, 0, 0, 7,16,11, 0, 0, 0), 8),
    (( 0, 0, 6,12,12,12, 2, 0, 0, 1,16,12,12,12, 5, 0, 0, 5,12, 5, 1, 0, 0, 0, 0, 8,16,16,14, 0, 0, 0, 0, 2, 6, 0,16, 1, 0, 0, 0, 0, 0, 0,15, 1, 0, 0, 0, 0, 8,11,13, 0, 0, 0, 0, 0, 9, 9, 3, 0, 0, 0), 5),
    (( 0, 0, 4,14,11, 2, 0, 0, 0, 0, 8,11, 5,16, 0, 0, 0, 0, 8,13, 9,15, 6, 0, 0, 0, 3,16,16,12, 1, 0, 0, 0,11,14,12, 0, 0, 0, 0, 4,11, 1,15, 3, 0, 0, 0, 6,11, 4, 7,12, 0, 0, 0, 1, 8,14,16, 9, 0, 0), 8),
    (( 0, 3,16,15, 3, 0, 0, 0, 0, 8,14,12,11, 0, 0, 0, 0, 3,11, 2,16, 3, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0,11,16,13,13,10, 1, 0, 2,14,16,15,12,12, 1), 2),
    (( 0, 0, 4,14,10, 0, 0, 0, 0, 3,16, 9, 8, 7, 0, 0, 0, 8,16, 0, 2,11, 0, 0, 0, 6,14, 0, 0, 6, 6, 0, 0, 5,14, 0, 0, 3, 9, 0, 0, 0,15, 1, 0, 5,13, 0, 0, 0,12, 9, 2,13,10, 0, 0, 0, 2,14,15,10, 1, 0), 0),
    (( 0, 0, 2,13, 9, 1, 0, 0, 0, 1,13, 7,15, 5, 0, 0, 1,15, 9, 0,15, 2, 0, 0, 0, 6,13, 7,13, 0, 0, 0, 0, 0, 5,16, 8, 0, 0, 0, 0, 0, 1,15,14, 2, 0, 0, 0, 0, 4,12, 6,11, 0, 0, 0, 0, 0,11,16, 8, 0, 0), 8),
    (( 0, 0, 4,12,12, 1, 0, 0, 0, 1,15,16,16, 8, 0, 0, 0, 6,16,16,16,16, 1, 0, 0, 1, 4, 5, 7,16, 4, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0,10, 8,13,14, 1, 0, 0, 0, 7,16, 9, 1, 0, 0), 9),
    (( 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 7,15, 3, 2, 0, 0, 0, 1,14, 8,16, 7, 0, 0, 3,12,15, 9,16, 2, 0, 2,15,16,16,16,15, 0, 0, 0, 3, 7, 8,15,12, 0, 0, 0, 0, 0, 1,16, 9, 0, 0), 4),
    (( 0, 0,12, 8, 0, 0, 0, 0, 0, 1,16, 8, 0, 1, 5, 0, 0, 7,16, 2, 0,12,13, 0, 0, 8,16, 8,10,16, 6, 0, 0, 3,15,16,16,13, 3, 0, 0, 0, 0,11,14, 1, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0), 4),
    (( 0, 0,10,16,15, 6, 0, 0, 0, 0, 0, 4,16,15, 0, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 0,14,16, 3, 0, 0, 0, 0, 0, 3,15,12, 0, 0, 0, 0, 0, 1,15,15, 0, 0, 0, 0, 2,12,16, 8, 0, 0, 0, 7,15,15, 7, 0, 0), 3),
    (( 0, 3,13,16,16,16,15, 1, 0, 3, 9, 5, 6,16,11, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0, 0, 1,14,12, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0), 7),
    (( 0, 0, 1,13,12,14, 7, 0, 0, 0, 5,12, 9,16, 2, 0, 0, 0, 0, 0, 3,13, 0, 0, 0, 0, 0, 0,10, 7, 0, 0, 0, 0, 7,16,16,10, 1, 0, 0, 0, 9,14,16,11, 1, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 1,15, 2, 0, 0, 0), 7),
    (( 0, 4,16,16,15, 5, 0, 0, 0, 7,15,13,13,14, 5, 0, 0, 2,15, 8, 0, 0, 1, 0, 0, 0, 6,15, 4, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 2,15, 9, 0, 0, 0, 0, 1,16,15, 3, 0, 0, 0), 5),
    (( 0, 0, 5,16, 1, 0, 0, 0, 0, 0,11,11, 0, 0, 6, 5, 0, 0,14, 7, 0, 2,15, 6, 0, 3,16,10, 1,12,12, 0, 0, 0,14,16,16,16, 4, 0, 0, 0, 1,11,16, 7, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0), 4),
    (( 0, 0, 2,12,16,14,10, 0, 0, 0, 1, 8, 4,11,13, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 3, 9,15, 0, 0, 0, 0, 5,16,16,15, 3, 0, 0, 0, 2,10,13, 3, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 1,15, 2, 0, 0, 0), 7),
    (( 0, 0, 8,12, 0, 0, 0, 0, 0, 1,13, 8, 0, 0, 0, 0, 0, 4,13, 0, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 0, 0, 0, 5,12, 7,12, 8, 0, 0, 0, 5,16,16,16,16, 8, 0, 0, 1,14,16,13,15, 8, 0, 0, 0, 6,15,16,11, 0, 0), 6),
    (( 0, 0, 3,12,14, 2, 0, 0, 0, 0,13, 9,11,12, 0, 0, 0, 1,16,12,13,16, 0, 0, 0, 0, 7, 8, 9,13, 0, 0, 0, 0, 0, 0, 0,13, 3, 0, 0, 0, 0, 0, 0,10, 4, 0, 0, 0, 1, 3, 4,12, 3, 0, 0, 0, 4,16,15, 8, 0, 0), 9),
    (( 0, 0, 6,14,14,16,16, 8, 0, 0, 7,11, 8,10,15, 3, 0, 0, 0, 0, 4,15,10, 0, 0, 1,15,16,16,16,14, 0, 0, 3,11,13,13, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0), 7),
    (( 0, 0, 1,12,14, 3, 0, 0, 0, 0,10,15, 7, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0,15,16,11, 5, 0, 0, 0, 0,14,13, 9,14, 7, 0, 0, 0,14, 6, 0, 3,14, 0, 0, 0,10,11, 4, 7,16, 1, 0, 0, 1,11,15,14, 7, 1), 6),
    (( 0, 0, 6,13,15, 5, 0, 0, 0, 7,16,11,11,16, 0, 0, 0,10,12, 0, 3,16, 2, 0, 0, 4, 3, 0, 5,13, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 2,16,14,16,13, 0, 0, 0, 8,16,12, 8, 0, 0), 2),
    (( 0, 1, 7,16,16,16, 8, 0, 0,10,16,14,12,10, 3, 0, 0,12,14, 1, 0, 0, 0, 0, 0, 2,15,13, 1, 0, 0, 0, 0, 0, 2,16,11, 0, 0, 0, 0, 0, 1, 5,15, 7, 0, 0, 0, 0,11,10,13,16, 1, 0, 0, 0, 8,16,16,10, 0, 0), 5),
    (( 0, 0, 3,14, 4, 0, 0, 0, 0, 0,12,15,12, 4, 0, 0, 0, 3,15, 5, 2,12, 0, 0, 0, 5, 9, 0, 0, 8, 5, 0, 0, 8, 8, 0, 0, 4, 8, 0, 0, 4,12, 0, 0, 2,12, 0, 0, 0,14, 5, 0, 9, 8, 0, 0, 0, 3,15,16,13, 1, 0), 0),
    (( 0, 1, 6,13,16, 5, 0, 0, 0, 6,16, 9,15, 4, 0, 0, 0, 4, 9, 5,16, 2, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0, 3,15, 7, 0, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 4, 6, 4,14, 6, 0, 0, 0,10,16,16,16, 5, 0), 3),
    (( 0, 0, 8,11,14,10, 0, 0, 0, 0,14,15, 7, 8, 0, 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 8,16, 9, 8, 3, 0, 0, 0, 4,12,12,14,16, 4, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 4, 8,12,15, 4, 0, 0, 0,15,14,12, 3, 0, 0), 5),
    (( 0, 0, 8,16, 6, 0, 0, 0, 0, 3,15,13, 1, 0, 0, 0, 0, 8,16, 4, 0, 2, 1, 0, 0, 9,16, 8,10,16,11, 0, 0, 1,13,16,16,15, 5, 0, 0, 0, 4,16,16, 3, 0, 0, 0, 0, 8,16,10, 0, 0, 0, 0, 0, 7,16,10, 0, 0, 0), 4),
    (( 0, 0, 4,15,14, 2, 0, 0, 0, 0,14, 8,16, 2, 0, 0, 0, 0, 6, 3,16, 0, 0, 0, 0, 0, 0,12,16, 5, 0, 0, 0, 0, 0, 7,15,16, 4, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 8,12,10,15, 3, 0, 0, 0, 6,13,13, 4, 0, 0), 3),
    (( 0, 0, 8,14,12, 2, 0, 0, 0,10,14,12,14, 0, 0, 0, 0, 6, 2,11, 7, 0, 0, 0, 0, 0, 0,12, 5, 0, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0, 0, 0, 0, 9,14, 3, 0, 0, 0, 6, 2, 7,14, 8, 0, 0, 0,14,15,11, 4, 0, 0), 3),
    (( 0, 5,16,16,16, 3, 0, 0, 0, 8, 7, 5,16, 2, 0, 0, 0, 3, 5,10,14, 0, 0, 0, 0, 7,16,16,15,12, 6, 0, 0, 0, 9,14,11,14, 6, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0), 7),
    (( 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 9,11, 2, 0, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0, 6,15,11, 6, 2, 0, 0, 0, 2,16,13, 8,15, 3, 0, 0, 0,10,13, 3, 5,14, 0, 0, 0, 1,10,13,16,10, 0), 6),
    (( 0, 0, 8,16, 8, 0, 0, 0, 0, 2,15,16,16, 6, 0, 0, 0, 4,13, 1, 6,15, 1, 0, 0, 7,13, 0, 0,13, 5, 0, 0, 8,12, 0, 0, 8, 8, 0, 0, 7,14, 1, 4,12, 8, 0, 0, 2,15,16,16,16, 4, 0, 0, 0, 7,16,16,10, 0, 0), 0),
    (( 0, 0, 0, 4,12, 1, 0, 0, 0, 0, 2,16,11, 3, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,11,11, 4, 2, 0, 0, 0, 0,13,16,13,15, 4, 0, 0, 0,13, 7, 0, 0,15, 1, 0, 0, 5,13, 2, 3,15, 1, 0, 0, 0, 6,14,15, 5, 0), 6),
    (( 0, 0, 8,16,14, 4, 0, 0, 0, 1,15, 7, 9,15, 2, 0, 0, 8,11, 0, 0,12, 9, 0, 0, 9, 5, 0, 0, 6,12, 0, 0, 9, 8, 0, 0, 4,12, 0, 0, 8,12, 0, 0, 9,12, 0, 0, 3,16, 6, 7,15, 5, 0, 0, 0, 8,16,16,12, 0, 0), 0),
    (( 0, 0, 0, 0, 7, 7, 0, 0, 0, 0, 0, 4,15, 1, 0, 0, 0, 0, 0,13, 6, 9, 1, 0, 0, 0, 8,12, 0,14, 3, 0, 0, 3,16, 3, 2,16, 0, 0, 0, 5,16,16,13,16, 4, 0, 0, 0, 1, 7,12,14, 2, 0, 0, 0, 0, 0, 9,10, 0, 0), 4),
    (( 0, 0, 6,14,14, 4, 0, 0, 0, 0,13,15,11,13, 0, 0, 0, 0, 2, 2, 2,16, 1, 0, 0, 0, 0, 0, 3,14, 1, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 4,15,16,16,14, 2, 0, 0, 7,13,12, 9, 9, 3), 2),
    (( 0, 4,16,13, 6, 0, 0, 0, 0, 1, 9,15,16, 8, 0, 0, 0, 0, 0, 1,12,16, 3, 0, 0, 0, 0, 1,15,13, 1, 0, 0, 0,11,13,16,14, 5, 0, 0, 3,16,16,16,14, 5, 0, 0, 1,14,13, 1, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 1,16,10, 1,14, 4, 0, 0,11,12, 1, 9,14, 2, 0, 6,15, 3, 4,16, 5, 0, 0,13,15,14,16,16, 8, 0, 0,12,13,14,16, 9, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 7,11, 0, 0, 0), 4),
    (( 0, 1,12,10, 2, 0, 0, 0, 0, 5,14,13,12, 0, 0, 0, 0, 4, 8, 3,16, 0, 0, 0, 0, 0, 1, 0,15, 0, 0, 0, 0, 0, 0, 5,12, 0, 0, 0, 0, 0, 4,15, 6, 0, 0, 0, 0, 4,16,16,15,10, 3, 0, 0, 2,11, 7, 8,11, 9, 0), 2),
    (( 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 2,14,10, 0, 2,15, 3, 0, 6,16, 4, 1,13,13, 0, 0, 2,16,15,13,14, 3, 0, 0, 0, 5,11,16, 8, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 0,13,12, 0, 0, 0), 4),
    (( 0, 0, 1,14,10, 0, 0, 0, 0, 0,10,13, 1, 0, 0, 0, 0, 2,15, 4, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 8,15, 2, 0, 0, 0, 0, 0, 4,16,16,16,14, 2, 0, 0, 0,12,16,14,16,10, 0, 0, 0, 2,11,14,13, 7, 0), 6),
    (( 0, 0, 3,15,13, 1, 0, 0, 0, 0,13,14,11, 4, 0, 0, 0, 0,14,11, 3, 1, 0, 0, 0, 0, 4,16,12,16, 6, 0, 0, 0, 5,16,16, 6, 0, 0, 0, 3,16, 9,11,11, 0, 0, 0, 3,16, 6, 2,16, 4, 0, 0, 0, 6,13,14, 9, 0, 0), 8),
    (( 0, 0, 1,12,12,11, 0, 0, 0, 0,12,16,16, 7, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,12,16,16, 0, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0, 4,16,16,15, 1, 0, 0, 0, 3,10,10, 4, 0, 0), 1),
    (( 0, 0, 0, 3,11, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 4,14, 2, 5, 0, 0, 0, 0,12, 9, 7,11, 0, 0, 0, 7,16,12,14,10, 1, 0, 0, 3,10,13,16,16, 8, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 0, 7,10, 0, 0, 0), 4),
    (( 0, 0,12,16, 9, 5, 0, 0, 0, 0,16, 9,13,15, 2, 0, 0, 4,16, 0, 4,16, 4, 0, 0, 0,14,13,15,16, 8, 0, 0, 0, 5,11, 8,16, 8, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0,12,10,12,16, 2, 0, 0, 0,10,13,12, 4, 0, 0), 9),
    (( 0, 0, 7,16,12, 5, 0, 0, 0, 0,13,10, 7,15, 0, 0, 0, 0,10,15,12,13, 0, 0, 0, 0, 0,13,16, 5, 0, 0, 0, 0, 8,15,10, 8, 0, 0, 0, 0,13, 5, 0,13, 1, 0, 0, 0,14, 2, 4,15, 1, 0, 0, 0, 6,16,16, 6, 0, 0), 8),
    (( 0, 0, 7,13,14, 1, 0, 0, 0, 0,16,10, 5, 0, 0, 0, 0, 1,16,13, 8, 3, 0, 0, 0, 0,12,10,11,15, 3, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 0, 3,11, 0, 0, 1, 7, 4, 4,11,11, 0, 0, 1,11,14,15,12, 2, 0), 5),
    (( 0, 0, 9,14,11, 1, 0, 0, 0, 3,15, 5, 5,10, 0, 0, 0, 6,14, 4, 7,12, 0, 0, 0, 1,10,16,16, 7, 0, 0, 0, 0,11,14,12,13, 1, 0, 0, 0,16, 1, 0, 8, 6, 0, 0, 0,16, 5, 4,10, 8, 0, 0, 0, 7,16,16,12, 1, 0), 8),
    (( 0, 0, 1,11,15,16, 5, 0, 0, 0,13,15,13,16, 9, 0, 0, 1,16,14,15,16, 8, 0, 0, 0,13,16,13,15,15, 0, 0, 0, 0, 0, 1,14, 9, 0, 0, 0, 0, 0, 9,14, 1, 0, 0, 0, 0, 9,15, 2, 0, 0, 0, 0, 0,15, 7, 0, 0, 0), 9),
    (( 0, 0, 5, 9,12,12, 2, 0, 0, 0, 7,10,10,16, 5, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 7, 9,14,14, 6, 0, 0, 0, 8,14,15, 8, 2, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0), 7),
    (( 0, 1, 8,12,11, 4, 0, 0, 0,12,16,11,15,14, 0, 0, 0, 3, 3, 3,16,11, 0, 0, 0, 0, 1,13,16, 1, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 7,16, 9, 0, 0, 0, 0,10,13, 7, 0, 0, 0), 3),
    (( 0, 0,10,16,16, 9, 0, 0, 0, 1, 6, 4, 5,15, 4, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 1, 4, 0,12, 8, 0, 0, 0, 3,16,16,16,16, 8, 0, 0, 0, 2,13, 7, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0), 7),
    (( 0, 0, 5,16, 8, 1, 0, 0, 0, 4,13,14,15, 6, 0, 0, 0, 8,13, 0, 8,16, 1, 0, 0, 8,12, 0, 0,12, 8, 0, 0, 8,12, 0, 0,12, 8, 0, 0, 5,15, 2, 0,13, 9, 0, 0, 0,15,11,12,15, 4, 0, 0, 0, 6,16,14, 5, 0, 0), 0),
    (( 0, 0, 9,14, 4, 0, 0, 0, 0, 4,16,16,16, 7, 0, 0, 0, 5,16,10,10,14, 1, 0, 0, 8,14, 0, 1,13, 4, 0, 0, 8,12, 0, 0,10, 8, 0, 0, 8,12, 0, 0,11, 7, 0, 0, 5,15, 9, 5,13, 4, 0, 0, 0, 8,16,16,13, 1, 0), 0),
    (( 0, 1, 8,16,16, 6, 0, 0, 0,12,16,15,12, 6, 0, 0, 1,16,13, 2, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 0, 0, 7,15, 7, 0, 0, 0, 0, 0, 0, 4,14,11, 0, 0, 0, 0, 1, 8,14,16, 2, 0, 0, 0, 5,16,16, 9, 0, 0), 5),
    (( 0, 0, 8,13,15,10, 3, 0, 0, 0,13,15,12,12, 9, 0, 0, 3,14, 7, 0, 0, 0, 0, 0, 7, 8, 4, 2, 0, 0, 0, 0, 2,16,16,15, 0, 0, 0, 0, 0, 1, 5,13, 0, 0, 0, 0, 0, 0,10, 6, 0, 0, 0, 0, 0, 6,13, 1, 0, 0, 0), 5),
    (( 0, 0, 4,16,16,16,16,16, 0, 0, 3, 8, 8, 8,15, 9, 0, 0, 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 3,15,16,13, 0, 0, 0, 0, 2,11,15,12, 2, 0, 0, 0, 2,14, 6, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0), 7),
    (( 0, 0,14,11, 1, 0, 0, 0, 0, 7,15,14, 8, 0, 0, 0, 0, 7, 8, 4, 8, 0, 0, 0, 0, 0, 4, 0,12, 0, 0, 0, 0, 0, 0, 4,10, 0, 0, 0, 0, 0, 0, 8, 6, 0, 0, 0, 0, 1,13,16,13, 8, 4, 0, 0, 1,14,12,16,16,10, 0), 2),
    (( 0, 0, 4,12,14, 6, 0, 0, 0, 5,16,11, 9,16, 2, 0, 0,12,16, 2, 4,16, 3, 0, 0, 6,16,14,14,14, 0, 0, 0, 0, 1,11,16, 1, 0, 0, 0, 0, 1,14,16, 9, 0, 0, 0, 0, 5,16, 9,15, 1, 0, 0, 0, 2,12,13, 8, 0, 0), 8),
    (( 0, 0, 6,12,15,10, 0, 0, 0, 5,15, 5, 4,11, 6, 0, 0, 7,11, 4, 5,14, 6, 0, 0, 2,16,16,16, 6, 0, 0, 0, 0,15,15,12,14, 1, 0, 0, 0,14, 3, 0, 9, 6, 0, 0, 0,16, 7, 6,14, 6, 0, 0, 0, 7,15,12, 9, 0, 0), 8),
    (( 0, 0,11,16,15, 2, 0, 0, 0, 0,12,10,14, 8, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 1,11,11, 0, 0, 0, 0, 6,15,15, 2, 0, 0, 0, 0, 9,16,14, 9, 3, 0, 0, 0, 1, 9,12,15,16,13, 0), 2),
    (( 0, 0, 4,13,16,16, 9, 0, 0, 1,15,14,13,16, 7, 0, 0, 0, 6, 0,10,15, 2, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 4,15,15, 1, 0, 0, 0, 0, 1, 8,16, 5, 0, 0, 0, 4,15,13,16, 2, 0, 0, 0, 3,15,15, 5, 0, 0), 3),
    (( 0, 0, 0,11, 6, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 0,16,15,16,14, 5, 0, 0, 0,15, 9, 0, 4,14, 0, 0, 0, 9,15, 0, 3,16, 2, 0, 0, 0, 9,14,12, 7, 0), 6),
    (( 0, 0, 0,12,11, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 0,14,11,12, 5, 0, 0, 0, 0,12,16,10,15, 4, 0, 0, 0, 6,13, 2,11, 9, 0, 0, 0, 0,10,13,15, 3, 0), 6),
    (( 0, 1,15,10, 0, 0, 0, 0, 0, 7,16, 5, 1,13, 6, 0, 0, 9,16, 3, 9,16, 4, 0, 0, 3,15,16,16,11, 0, 0, 0, 0, 2,14,15, 3, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 0), 4),
    (( 0, 0, 3,14,11, 0, 0, 0, 0, 3,14, 9,14, 0, 0, 0, 0, 8,11, 0, 4,11, 7, 0, 0, 3,15,13,14,11, 1, 0, 0, 0, 0,14,16,12, 1, 0, 0, 0, 7,14, 2,14, 8, 0, 0, 0, 8,10, 5,14, 5, 0, 0, 0, 4,15,13, 6, 0, 0), 8),
    (( 0, 0, 1, 4,11,13, 7, 0, 0, 2,14,12,10,16, 5, 0, 0, 7,14, 6,14,12, 0, 0, 0, 2,12,11,10,15, 1, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 1,14, 3, 0, 0), 9),
    (( 0, 0, 6,13,16, 7, 0, 0, 0, 5,16,16,12,14, 1, 0, 0, 9,16,11, 0,16, 4, 0, 0, 6,16, 4, 0,13, 7, 0, 0, 8,13, 0, 0,12, 7, 0, 0, 4,16, 0, 0,11, 8, 0, 0, 2,15, 6, 9,16, 5, 0, 0, 0, 6,16,16,11, 0, 0), 0),
    (( 0, 2,11,14, 4, 0, 0, 0, 0, 0,16,13,16, 4, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 1,15,12, 0, 0, 0, 0, 0, 5,16,10, 8,11, 2, 0, 0, 2,14,16,13, 9, 5, 0), 2),
    (( 0, 0, 4,12,16, 4, 0, 0, 0, 0,15,15, 6,15, 0, 0, 0, 3,16,11, 0, 8, 4, 0, 0, 4,11, 3, 0, 4, 8, 0, 0, 5, 8, 0, 0, 9, 7, 0, 0, 1,12, 0, 0,13, 5, 0, 0, 0,13,10,14,11, 0, 0, 0, 0, 4,12,13, 1, 0, 0), 0),
    (( 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 0,14,16, 5, 0, 0, 0, 2,10,16,16, 4, 0, 0, 9,16,16,16,16, 5, 0, 0, 5, 7, 4,12,16, 4, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 0, 7,16, 5, 0), 1),
    (( 0, 0, 0, 6,16, 0, 0, 0, 0, 0, 0, 9,15, 0, 0, 0, 0, 0, 2,15, 8,14, 0, 0, 0, 0,12,14, 8,16, 0, 0, 0, 9,16,12,14,14, 3, 0, 0, 8,16,16,16,15, 8, 0, 0, 1, 4,10,16, 5, 0, 0, 0, 0, 0, 5,16, 4, 0, 0), 4),
    (( 0, 0, 6,16,16,12, 0, 0, 0, 0, 8, 9,13,16, 2, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 1, 5,12,12, 0, 0, 0, 0,13,16,16,16, 7, 0, 0, 0, 8,14,12,10, 3, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0), 7),
    (( 0, 0, 7,16,16,16, 3, 0, 0, 0, 8,15,12,16, 3, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 1,13,16,14, 5, 0, 0, 0, 0, 1, 4,13,13, 0, 0, 0, 1, 5, 0, 4,16, 3, 0, 0, 4,15, 8,11,15, 0, 0, 0, 0, 7,16,16, 8, 0, 0), 5),
    (( 0, 0, 1,13,10, 0, 0, 0, 0, 0, 9,16,11, 0, 0, 0, 0, 3,16,11, 0, 0, 0, 0, 0, 5,16,11, 7, 1, 0, 0, 0, 4,16,16,16,15, 3, 0, 0, 3,16,12, 2,12,11, 0, 0, 0,12,14, 5, 9,15, 0, 0, 0, 0,10,15,16,11, 0), 6),
    (( 0, 0, 1,12,14,16,10, 0, 0, 0, 3,10, 8,16, 6, 0, 0, 0, 0, 0, 3,15, 1, 0, 0, 0, 1, 7,14,14, 3, 0, 0, 0, 4,13,16,12, 5, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 2,14, 2, 0, 0, 0), 7),
    (( 0, 0, 4,13,11, 0, 0, 0, 0, 0, 1,13,16, 7, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 1, 6,16,14, 5, 0, 0, 1,13,16,16,10, 3, 0, 0, 2, 8,13,10, 0, 0, 0, 0, 0, 1,16, 2, 0, 0, 0, 0, 0, 4,13, 1, 0, 0, 0), 7),
    (( 0, 0, 2,11,16,15, 5, 0, 0, 0,13,14,11,16, 6, 0, 0, 0, 2, 0, 1,15, 1, 0, 0, 0, 0, 2,10,11, 0, 0, 0, 0, 5,16,16,16, 6, 0, 0, 0, 4,12,15, 9, 2, 0, 0, 0, 1,14, 9, 0, 0, 0, 0, 0, 3,15, 4, 0, 0, 0), 7),
    (( 0, 0, 8,14, 8, 0, 0, 0, 0, 6,15,12,15, 4, 0, 0, 0, 6, 8, 0,11, 8, 0, 0, 0, 0, 0,14,16, 8, 0, 0, 0, 0, 1,11,10,15, 6, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 7, 8, 6,13,14, 0, 0, 0,12,14,16,13, 1, 0), 3),
    (( 0, 0, 5,15,15,11, 0, 0, 0, 0,16, 5, 0,11, 5, 0, 0, 0,15, 3, 0,12,10, 0, 0, 0, 5,13, 0,12, 6, 0, 0, 0, 0,10,16, 9, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 6,12, 8, 9, 0, 0, 0, 0, 6,16,12, 4, 0, 0), 8),
    (( 0, 0,11,16,16, 4, 0, 0, 0, 0,12,16,12, 3, 0, 0, 0, 2,16,16,15, 4, 0, 0, 0, 0, 5, 8,11,15, 3, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 3, 1, 0, 3,16, 0, 0, 0,16,12, 8,11,16, 1, 0, 0, 8,14,16,16,11, 0), 5),
    (( 0, 0, 1,13, 3, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 0,16, 0, 0, 0, 0, 0, 0, 2,16,16,16,15, 4, 0, 0, 1,16,10, 4, 8,13, 0, 0, 0,10,13, 1, 5,14, 0, 0, 0, 0,13,16,16, 8, 0), 6),
    (( 0, 0, 5,10,14, 5, 0, 0, 0, 4,16,13,13,12, 0, 0, 0, 7,10, 0,10, 7, 0, 0, 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0, 6,14,15, 1, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 4, 8, 8,15, 7, 0, 0, 0, 5,14,12, 8, 0, 0), 3),
    (( 0, 0,13,10, 8, 8, 3, 0, 0, 3,16,16,13,11, 3, 0, 0, 5,16, 8, 0, 0, 0, 0, 0, 6,16,16,15, 6, 0, 0, 0, 0, 3, 2,10,15, 3, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 4, 8,16, 8, 0, 0, 0, 0,14,14, 4, 0, 0, 0), 5),
    (( 0, 2,13,12,13,16, 4, 0, 0, 4,15, 9, 8, 8, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0, 6,15,12, 5, 0, 0, 0, 0, 2,11,10,16, 2, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 2, 9,15, 3, 0, 0, 0, 1,13,10, 2, 0, 0, 0), 5),
    (( 0, 0,15,16,13, 2, 0, 0, 0, 3,15, 2,10,15, 2, 0, 0, 8,12, 0, 0,10, 8, 0, 0, 8,12, 0, 0, 4,12, 0, 0, 9,12, 0, 0, 4,12, 0, 0, 8,12, 0, 0, 9, 8, 0, 0, 6,15, 4,11,14, 2, 0, 0, 0,12,16,15, 3, 0, 0), 0),
    (( 0, 0, 6,11, 2, 0, 0, 0, 0, 1,16,12,14, 3, 0, 0, 0, 0,13, 3,11,15, 0, 0, 0, 0, 6,16,15,16, 5, 0, 0, 0, 0, 4, 8,10,10, 0, 0, 0, 0, 0, 0, 1,15, 0, 0, 0, 1, 1, 2, 7,15, 5, 0, 0, 4,12,16,16,13, 2), 9),
    (( 0, 0, 0, 8,13, 1, 0, 0, 0, 0, 6,16,11, 1, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 0,15,10, 9, 6, 2, 0, 0, 2,15,12,10,16,11, 0, 0, 0, 8,15,10,14,14, 0, 0, 0, 0, 9,13,12, 7, 0), 6),
    (( 0, 0, 3,14, 9, 0, 0, 0, 0, 1,16,15,13,10, 0, 0, 0, 7,16, 2, 1,15, 2, 0, 0, 7,16, 2, 0, 9, 7, 0, 0, 5,16, 0, 0, 9, 8, 0, 0, 0,16, 4, 0, 9,11, 0, 0, 0,13,11, 9,16, 5, 0, 0, 0, 3,14,16, 9, 1, 0), 0),
    (( 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 1,12,16, 6, 0, 0, 0, 5,14,16,16, 1, 0, 0, 0,13,16,14,16, 3, 0, 0, 0, 1, 2, 9,16, 4, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 0, 5,16, 9, 0, 0), 1),
    (( 0, 3, 9,14,16,13, 1, 0, 0, 7,13, 9,10,16, 4, 0, 0, 0, 1, 1,12,12, 1, 0, 0, 0, 0,14,16, 4, 0, 0, 0, 0, 0, 8,14,16, 2, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 3, 9,15,12, 1, 0, 0, 2,16,13, 7, 0, 0, 0), 3),
    (( 0, 1,13,16, 9, 0, 0, 0, 0, 6,16,14,13, 0, 0, 0, 0, 5,11, 8,15, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 1,13,13, 1, 0, 0, 0, 0,11,16,16,16,16, 5, 0, 0, 2,12,14,15,16, 5, 0), 2),
    (( 0, 0, 0, 9,16,11, 0, 0, 0, 0, 6,15,12,16, 6, 0, 0, 0,16,11, 0, 9,12, 0, 0, 5,16, 3, 0, 8, 8, 0, 0, 4,16, 0, 0, 8, 8, 0, 0, 2,16, 7, 0,12, 5, 0, 0, 0,11,16,14,16, 1, 0, 0, 0, 1, 9,13, 6, 0, 0), 0),
    (( 0, 0, 8,15,15, 1, 0, 0, 0, 4,16,16,16,10, 0, 0, 0, 7,12, 0, 1,16, 0, 0, 0, 6,11, 0, 0, 9, 7, 0, 0, 8,12, 0, 0, 9, 4, 0, 0, 4,16, 1, 2,15, 8, 0, 0, 0,15,16,16,16, 1, 0, 0, 0, 7,16,16, 8, 0, 0), 0),
    (( 0, 0, 7,14, 0, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 1,14,16, 4, 0, 0, 0, 0, 8,16,16, 9, 0, 0, 0, 0,12,13, 9,16, 0, 0, 0, 0, 1, 2, 3,16, 5, 0, 0, 0, 0, 4,10,16,13, 7, 1, 0, 0, 7,16,16,16,16, 3), 1),
    (( 0, 0,11,12,16,15, 2, 0, 0, 0,14,13, 4, 4, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 1,16,16,11, 1, 0, 0, 0, 0, 3, 4,14, 7, 0, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 2, 9, 2,14,11, 0, 0, 0, 0,15,16,15, 3, 0, 0), 5),
    (( 0, 0,11,13, 8, 0, 0, 0, 0, 5,16,11,16,16, 6, 0, 0, 7,16, 1, 9,15, 3, 0, 0, 1,13,14,13,14, 0, 0, 0, 0, 4,16,16, 5, 0, 0, 0, 0,14,10,13,10, 0, 0, 0, 4,16, 6,10,12, 0, 0, 0, 1,11,16,15, 5, 0, 0), 8),
    (( 0, 0, 6,16,15, 3, 0, 0, 0, 4,16,13,16, 6, 0, 0, 0, 3, 6, 0,16, 5, 0, 0, 0, 0, 0, 6,16, 1, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 8,14, 1, 0, 0, 0, 0, 0,12,14, 8, 6, 2, 0, 0, 0, 8,16,16,16, 3, 0), 2),
    (( 0, 0, 0, 7,14, 6, 0, 0, 0, 0, 1,15,11, 2, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 1,14,13, 8, 1, 0, 0, 0, 3,16,14,12,10, 0, 0, 0, 0,15, 2, 0, 7, 9, 0, 0, 0,11,13, 7, 4,15, 0, 0, 0, 0, 7,12,12,13, 2), 6),
    (( 0, 0, 5,12,14, 3, 0, 0, 0, 0, 9,10, 7,12, 0, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 1, 5,15, 7, 0, 0, 0, 0, 2,14,16, 1, 0, 0, 0, 0, 0, 0, 8,13, 1, 0, 0, 0, 4, 1, 1,10, 8, 0, 0, 0, 7,13,16,13, 7, 0), 3),
    (( 0, 0, 7,15,15, 3, 0, 0, 0, 0,10,14,12,14, 0, 0, 0, 0, 1, 6,16,12, 0, 0, 0, 0, 1,15,14, 3, 0, 0, 0, 0, 0, 9,15, 5, 0, 0, 0, 0, 0, 0, 5,15, 6, 0, 0, 0, 7, 6, 7,13,16, 1, 0, 0, 7,16,16,15, 8, 0), 3),
    (( 0, 0, 6,12,11, 3, 0, 0, 0, 0,16, 9,16, 7, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 0, 0,14,16,16,10, 1, 0, 0, 0, 8, 2, 3,15, 4, 0, 0, 0, 1, 0, 0,12, 6, 0, 0, 8,15, 6, 9,16, 3, 0, 0, 0, 7,12,13, 6, 0, 0), 3),
    (( 0, 0, 1,11,12, 4, 0, 0, 0, 1,11,12, 9,15, 5, 0, 0, 7,16, 4, 3,15, 7, 0, 0, 3,15,13,15,11, 0, 0, 0, 0, 3,16,13,14, 0, 0, 0, 0, 8, 9, 0,14, 7, 0, 0, 0,11, 9, 9,15, 6, 0, 0, 0, 2,12,14, 8, 0, 0), 8),
    (( 0, 0, 5,12,14, 7, 0, 0, 0, 5,16, 7, 5,16, 2, 0, 0, 8,10, 0, 4,16, 4, 0, 0, 2,11,15,11,13, 4, 0, 0, 0, 0, 0, 0, 8, 4, 0, 0, 0, 0, 0, 0, 5, 8, 0, 0, 1, 7, 1, 0,11, 5, 0, 0, 0, 5,13,10, 9, 1, 0), 9),
    (( 0, 0, 9,13, 4, 0, 0, 0, 0, 4,15, 9,14, 1, 0, 0, 0, 2, 7, 0,10, 6, 0, 0, 0, 0, 0, 0, 9, 5, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0,11,16, 9, 8,14, 0, 0, 0,10,16,12,12, 7, 1), 2),
    (( 0, 1,11,16,14, 8, 0, 0, 0, 1,16,15,12,15, 3, 0, 0, 2,16,10, 0, 2, 0, 0, 0, 5,16, 8, 2, 0, 0, 0, 0, 3,15,16,15, 3, 0, 0, 0, 0, 2, 4,13,11, 0, 0, 0, 0, 6, 8,15,11, 0, 0, 0, 0,13,16,16, 5, 0, 0), 5),
    (( 0, 0, 0, 0,11,15, 2, 0, 0, 0, 0, 9,16,16, 3, 0, 0, 1,10,16,16,12, 0, 0, 0, 9,16,16,16,13, 0, 0, 0,11,14, 8,16, 9, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 0,12,10, 0, 0), 1),
    (( 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 6,16,10, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 0,14,16,15, 9, 1, 0, 0, 0,12,11, 4,10,13, 0, 0, 0, 4,14, 4,10,16, 3, 0, 0, 0, 9,16,14, 9, 0), 6),
    (( 0, 0, 4,13, 8, 0, 0, 0, 0, 0,14,16,16, 5, 0, 0, 0, 4,16, 7, 8,15, 0, 0, 0, 0,15,12,15,16, 4, 0, 0, 0, 5,14,14,16, 6, 0, 0, 0, 0, 0, 0,13, 8, 0, 0, 0, 0, 0, 0,10,13, 0, 0, 0, 5,14,16,15, 8, 0), 9),
    (( 0, 0, 6,12,14,10, 0, 0, 0, 4,16,13,10,13, 0, 0, 0, 8, 9, 0, 0, 0, 0, 0, 0, 6,14,10, 7, 0, 0, 0, 0, 0, 8, 9,15,11, 0, 0, 0, 0, 0, 0, 1,14, 7, 0, 0, 0, 4, 8, 8,15, 5, 0, 0, 0, 5,16,12, 6, 0, 0), 5),
    (( 0, 2,13,13, 1, 0, 0, 0, 0, 3,14,13,13, 0, 0, 0, 0, 0, 2, 0,16, 0, 0, 0, 0, 0, 0, 0,16, 0, 0, 0, 0, 0, 0, 9, 8, 0, 0, 0, 0, 0, 4,15, 3, 0, 0, 0, 0, 2,16,16, 9, 7, 6, 0, 0, 0,11,12,15,16,12, 0), 2),
    (( 0, 0, 8,13, 6, 0, 0, 0, 0, 2,16,12,11,10, 0, 0, 0, 0,16,16,14, 8, 1, 0, 0, 0,13,11, 0, 0, 0, 0, 0, 2,15, 4, 0, 0, 0, 0, 0, 0,16,13, 0, 0, 0, 0, 0, 2,15,16, 2, 0, 0, 0, 0, 0,11,16, 4, 0, 0, 0), 8),
    (( 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 0, 0, 0,10,14, 0, 1, 2, 0, 0, 3,16, 5, 0,13, 9, 0, 0,10,16, 8,10,16, 8, 0, 3,16,16,16,16,15, 4, 0, 0, 4, 3, 7,16, 3, 0, 0, 0, 0, 0,11,11, 0, 0, 0), 4),
    (( 0, 0,12,16,12, 2, 0, 0, 0,12,15, 9,15,12, 0, 0, 0,12, 7, 0, 8,16, 0, 0, 0, 3, 1, 0, 8,14, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 1,13,15, 1, 0, 0, 0, 0,11,16,13,12, 8, 0, 0, 0,11,12,12,15,14, 0), 2),
    (( 0, 0, 7,13,14, 2, 0, 0, 0, 5,12, 0, 4, 7, 0, 0, 0, 8, 8, 0, 0,16, 3, 0, 0, 5,11, 0, 1,16, 1, 0, 0, 0,10,13,14,15, 5, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0, 0, 0,11, 6, 0, 0, 0, 6,13,12, 9, 0, 0), 9),
    (( 0, 0, 6,16,12,12,14, 6, 0, 0, 5, 8, 8,11,15, 2, 0, 0, 0, 0, 1,14, 5, 0, 0, 0, 0, 1,12,12, 0, 0, 0, 0, 0,11,16,15, 1, 0, 0, 0, 0,10,11, 1, 0, 0, 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 5,12, 2, 0, 0, 0), 7),
    (( 0, 0, 4,14,11, 1, 0, 0, 0, 0, 9, 8,10, 9, 0, 0, 0, 0, 7, 0,14, 4, 0, 0, 0, 0, 9,11,14, 1, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0, 3,13,12, 5, 0, 0, 0, 0, 8, 8, 4,14, 0, 0, 0, 0, 3,15,16,13, 0, 0), 8),
    (( 0, 0, 0, 8,12, 1, 0, 0, 0, 0, 6,16,13, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 0,14, 8, 0, 0, 0, 0, 0, 0,15,12, 8, 8, 2, 0, 0, 0,11,16,13,14,13, 0, 0, 0, 8,16, 5,10,15, 0, 0, 0, 0, 8,16,13, 7, 0), 6),
    (( 0, 0, 6,12,15,15, 9, 0, 0, 0, 8,12, 4, 4, 3, 0, 0, 0,12, 3, 0, 0, 0, 0, 0, 1,15, 6, 3, 0, 0, 0, 0, 8,16,12,16, 6, 0, 0, 0, 3, 4, 0, 4,11, 0, 0, 0, 4,15, 5,13, 6, 0, 0, 0, 0, 6,16,10, 0, 0, 0), 5),
    (( 0, 0, 8,16,14, 1, 0, 0, 0, 0, 6,10,16, 8, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 1,16, 9, 2, 0, 0, 4,15,16,16,16,10, 0, 0, 1, 8,15,11, 4, 1, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0), 7),
    (( 0, 1,15,15, 2, 0, 0, 0, 0, 9,15,12,10, 0, 0, 0, 0, 8,10, 8,12, 0, 0, 0, 0, 1, 1, 5,15, 0, 0, 0, 0, 0, 0, 6,14, 0, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0,11,16,16,16,10, 0, 0, 0,14,13, 8,10, 7, 0), 2),
    (( 0, 0, 3,14,16, 5, 0, 0, 0, 2,14,11,14, 9, 0, 0, 0, 5,16, 7,14,15, 0, 0, 0, 2,16,16,16,16, 6, 0, 0, 0, 1, 4, 2,16, 7, 0, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 5, 7,16, 2, 0, 0, 0, 4,16,16, 9, 0, 0), 9),
    (( 0, 0, 4,16,15, 7, 0, 0, 0, 0, 6,16,10,13, 2, 0, 0, 0, 2,15,12,15, 6, 0, 0, 0, 3,14,15,13, 2, 0, 0, 2,15,15,15, 9, 0, 0, 0, 6,16, 2, 7,13, 0, 0, 0, 3,16,11, 8,16, 4, 0, 0, 0, 4,12,16,13, 1, 0), 8),
    (( 0, 0, 0, 7, 8, 0, 0, 0, 0, 0, 0,14, 4, 5, 0, 0, 0, 0, 2,14, 4,12, 0, 0, 0, 0, 9, 7, 7, 9, 0, 0, 0, 1,16, 2,10,12, 3, 0, 0,10,16,16,16,16, 3, 0, 0, 4, 8, 8,15, 4, 0, 0, 0, 0, 0, 7,11, 0, 0, 0), 4),
    (( 0, 1, 9,14, 5, 0, 0, 0, 0, 7, 9, 7,11, 8, 4, 0, 0, 4, 9, 5,14, 7, 2, 0, 0, 0,11,14, 4, 0, 0, 0, 0, 0,10,15, 5, 0, 0, 0, 0, 2,14, 2,15, 1, 0, 0, 0, 4,13, 2,15, 2, 0, 0, 0, 0,12,16, 7, 0, 0, 0), 8),
    (( 0, 0, 6,13,16,16, 7, 0, 0, 9,16,15,10, 8, 1, 0, 0,13,15, 3, 0, 0, 0, 0, 0, 4,16,13, 1, 0, 0, 0, 0, 0, 7,16,12, 0, 0, 0, 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 4,16,16,12, 0, 0, 0, 0, 5,16,15, 5, 0, 0), 5),
    (( 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 2,15,10,11, 5, 0, 0, 0,13, 9, 4,16, 3, 0, 0, 4,15, 4, 9,16, 3, 0, 0,11,15,12,16,16,10, 0, 0, 5,15,14,16, 9, 0, 0, 0, 0, 0, 7,13, 1, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0), 4),
    (( 0, 0, 0, 8,11, 0, 0, 0, 0, 0, 3,16,12, 0, 0, 0, 0, 0,11,15, 1, 0, 0, 0, 0, 1,15,12, 5, 0, 0, 0, 0, 2,16,16,13,12, 1, 0, 0, 0,14, 9, 1, 4,13, 0, 0, 0, 5,14, 3, 0,11, 6, 0, 0, 0, 5,15,16,16, 7), 6),
    (( 0, 0, 4,12, 8, 3, 0, 0, 0, 0, 7,16,16, 3, 0, 0, 0, 0, 6,16,16, 6, 0, 0, 0, 0, 7,16,16, 7, 0, 0, 0, 0, 7,16,16, 9, 0, 0, 0, 0, 5,16,16,12, 0, 0, 0, 0, 6,16,16,10, 0, 0, 0, 0, 5,12,12, 4, 0, 0), 1),
    (( 0, 0, 0, 0,13,16, 3, 0, 0, 0, 0, 1,15,16, 0, 0, 0, 2, 5,13,16,14, 0, 0, 0,10,16,15,16,12, 0, 0, 0, 1, 4, 5,16,12, 0, 0, 0, 0, 0, 1,16,14, 0, 0, 0, 0, 0, 0,16,15, 0, 0, 0, 0, 0, 0,11,16, 8, 0), 1),
    (( 0, 0, 0,12,12, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 3,16,11, 3,12, 2, 0, 0,12,16,16,16,16, 7, 0, 0, 3, 8,13,16,13, 1, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 0,11,16, 5, 0, 0), 4),
    (( 0, 2,14,13,16,13, 0, 0, 0, 0, 7, 8,14,14, 0, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0,11,13,16,14, 5, 0, 0, 0, 8,16,16,12, 5, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0,11,14, 1, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0), 7),
    (( 0, 0,11,13,12, 7, 0, 0, 0, 2,15, 4, 5,16, 4, 0, 0, 0,16, 5,13,11, 0, 0, 0, 0, 7,16,10, 1, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0,15, 5,11, 0, 0, 0, 0, 3,13, 4,12, 0, 0, 0, 0, 1,11,16, 8, 0, 0, 0), 8),
    (( 0, 0, 0,10,12, 4, 0, 0, 0, 0, 7,12, 6,13, 0, 0, 0, 0, 7, 9, 2,13, 0, 0, 0, 0, 1,15,15, 6, 0, 0, 0, 0, 7,15,11, 9, 0, 0, 0, 0,16, 1, 0,10, 9, 0, 0, 0,13, 5, 0, 0,15, 0, 0, 0, 1, 9,14,14,12, 0), 8),
    (( 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 5,16, 8, 1, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0,14,15, 8, 3, 0, 0, 0, 0,14,15,12,15, 4, 0, 0, 0,16, 6, 0, 6,11, 0, 0, 0, 9,13, 5, 6,15, 0, 0, 0, 1, 8,12,15,13, 1), 6),
    (( 0, 1, 7,11,13,16,14, 0, 0, 0, 8, 7, 4,11,10, 0, 0, 0, 0, 0, 1,16, 1, 0, 0, 0, 0, 0,11, 6, 0, 0, 0, 2,11,12,16,13, 4, 0, 0, 5, 9,16, 6, 2, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0,13, 3, 0, 0, 0, 0), 7),
    (( 0, 0, 6,10,16,12, 0, 0, 0, 1,16,13,11,12, 0, 0, 0, 1, 4, 0,10, 8, 1, 0, 0, 0, 5, 8,15,16,13, 0, 0, 1,16,16,14, 8, 1, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 5,13, 1, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0), 7),
    (( 0, 0, 7,15,15, 5, 0, 0, 0, 4,16,16,16,13, 1, 0, 0, 2,16,16,16, 6, 0, 0, 0, 0,16,16,16, 6, 0, 0, 0, 0,16,16,16, 0, 0, 0, 0, 1,16,16,16, 1, 0, 0, 0, 4,16,16,15, 3, 0, 0, 0, 1, 8,15,12, 2, 0, 0), 1),
    (( 0, 2,10,16,16,16, 7, 0, 0,14,16,15,11,13, 5, 0, 0,12,15, 1, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0), 5),
    (( 0, 0, 8,16,16, 9, 0, 0, 0, 0,15, 9, 6,14, 2, 0, 0, 0,16, 5, 1,16, 8, 0, 0, 0, 9,16,16,16,11, 0, 0, 0, 0, 6, 7,10,12, 0, 0, 1, 3, 0, 0, 8,14, 0, 0, 4,13, 5, 0,11,12, 0, 0, 0, 9,16,16,16, 6, 0), 9),
    (( 0, 0, 1, 9,15, 7, 1, 0, 0, 4,13,15,13,16, 4, 0, 0,11,13, 1,11,14, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 0, 9,14, 1, 0, 0, 0, 0, 3,13,15, 0, 0, 0, 0, 0,12,13, 3, 0, 0), 3),
    (( 0, 0, 1, 8,12, 3, 0, 0, 0, 0, 9,16,16,12, 0, 0, 0, 0,11,16, 7,11, 0, 0, 0, 0,14,11, 0, 7, 2, 0, 0, 0,14, 8, 0, 9, 4, 0, 0, 0,16, 7, 2,13, 1, 0, 0, 0,11,15,11,15, 0, 0, 0, 0, 1, 7, 9, 1, 0, 0), 0),
    (( 0, 1,14,16, 6, 0, 0, 0, 0, 4,15,10,13, 0, 0, 0, 0, 1, 3, 4,15, 0, 0, 0, 0, 0, 0, 2,15, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 1,15, 4, 0, 0, 0, 0, 1,13,14, 7, 2, 0, 0, 0, 3,15,16,16,16,13, 1), 2),
    (( 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 6,16, 5, 5, 0, 0, 0, 0,14,10,10,10, 0, 0, 0, 4,16, 3,13,10, 0, 0, 0,11,16, 9,16,15, 7, 0, 0,16,16,16,16,15, 4, 0, 0, 4, 4,13,16, 2, 0, 0, 0, 0, 1,15,11, 0, 0, 0), 4),
    (( 0, 6,15,16,16,15, 6, 0, 0, 9,16, 6, 5,15,12, 0, 0, 0, 1, 1,13,15, 3, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 3, 7, 5,14,13, 0, 0, 0, 9,16,16,13, 2, 0, 0), 3),
    (( 0, 1, 9,12,12,15, 6, 0, 0, 1,16,11, 8, 8, 4, 0, 0, 6,16, 5, 4, 2, 0, 0, 0, 7,16,16,16,15, 2, 0, 0, 0, 2, 2, 3,14, 6, 0, 0, 0, 0, 0, 2,14, 6, 0, 0, 2,11, 8,12,13, 2, 0, 0, 1,11,16,10, 2, 0, 0), 5),
    (( 0, 0, 0, 1,13, 8, 0, 0, 0, 0, 0, 9,16,15, 0, 0, 0, 0, 5,16,16,12, 0, 0, 0, 2,15,16,16,10, 0, 0, 0, 8,14, 3,16,10, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 4,16,11, 0, 0, 0, 0, 0, 0,15,12, 0, 0), 1),
    (( 0, 0, 5,13,16,15, 3, 0, 0, 3,16,16,15,16, 5, 0, 0, 0, 4, 0, 6,16, 2, 0, 0, 0, 3,12,16,16, 4, 0, 0, 0, 9,16,16,16, 8, 0, 0, 0, 2,13,15, 2, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0, 5,14, 1, 0, 0, 0), 7),
    (( 0, 0, 1,10,13,16,14, 0, 0, 0, 9,15,12,15,16, 1, 0, 0, 1, 2, 0,10,14, 0, 0, 0, 0, 2, 4,16,12, 0, 0, 0, 5,16,16,16, 5, 0, 0, 0, 7,12,16, 8, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0,13,11, 1, 0, 0), 7),
    (( 0, 2,10,15,11, 4, 0, 0, 0, 2,10, 6,13,12, 0, 0, 0, 0, 0, 2,13, 9, 0, 0, 0, 0, 0,15,16, 0, 0, 0, 0, 0, 0,11,16, 9, 0, 0, 0, 0, 0, 0, 2,15,11, 0, 0, 0, 1, 3,11,14, 2, 0, 0, 2,15,16,11, 1, 0, 0), 3),
    (( 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 5,16, 6, 0, 0, 0, 0, 1,13,11, 1, 0, 2, 0, 0, 8,16, 1, 0,10,13, 0, 0,11,16, 4,10,16, 5, 0, 0,12,16,16,16,10, 0, 0, 0, 0, 4, 5,16, 3, 0, 0, 0, 0, 0,10,16, 0, 0, 0), 4),
    (( 0, 0, 9,13,16,15, 0, 0, 0, 1,12,12,14,13, 0, 0, 0, 0, 0, 1,14, 9, 0, 0, 0, 0, 5,10,16,13, 3, 0, 0, 0,16,16,16,12, 7, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0), 7),
    (( 0, 0, 2,13, 3, 0, 0, 0, 0, 0,11,15, 4, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 0,14, 5, 0, 0, 0, 0, 0, 0,16,13,16,14, 4, 0, 0, 0,15,15, 9,13,12, 0, 0, 0,13,11, 2,15, 9, 0, 0, 0, 2,14,15,11, 1, 0), 6),
    (( 0, 0, 5, 9,14,16,11, 0, 0, 3,16,16,12, 8, 3, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,12,13, 7, 4, 0, 0, 0, 0, 5,16,16,16, 6, 0, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 9,15, 6, 0, 0, 0), 5),
    (( 0, 0, 7,16,16,10, 0, 0, 0, 0,13,16,16, 7, 0, 0, 0, 0, 9,16,16,14, 1, 0, 0, 0, 7,16,16,13, 0, 0, 0, 0, 2,16,16,10, 0, 0, 0, 0, 6,16,16,10, 0, 0, 0, 0,12,16,16, 6, 0, 0, 0, 0, 8,16,16,10, 0, 0), 1),
    (( 0, 0, 9, 8, 1, 0, 0, 0, 0, 5,16,16, 7, 0, 0, 0, 0, 8,10, 8, 8, 0, 0, 0, 0, 0, 2, 4,12, 0, 0, 0, 0, 0, 0, 6,10, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 0, 0, 0, 6,16,15,11, 5, 0, 0, 0, 9,14,12,14,10, 0), 2),
    (( 0, 0, 0, 1,12,12, 0, 0, 0, 0, 0, 2,16,16, 2, 0, 0, 0, 0, 4,16,16, 0, 0, 0, 6,16,16,16,13, 0, 0, 0, 1,12,14,16,12, 0, 0, 0, 0, 0, 0,16,15, 0, 0, 0, 0, 0, 0,15,16, 2, 0, 0, 0, 0, 0, 8,13, 5, 0), 1),
    (( 0, 0, 0,13, 3, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 0,10,14, 8, 3, 0, 0, 0, 0,15,15,12,14, 6, 0, 0, 0,15, 9, 0, 4,15, 1, 0, 0, 7,14, 2, 9,16, 0, 0, 0, 1,11,15,14, 6, 0), 6),
    (( 0, 0, 3,16,11, 1, 0, 0, 0, 0,12,16,16, 2, 0, 0, 0, 3,16,16,11, 0, 0, 0, 0, 5,16,16, 7, 0, 0, 0, 0, 6,16,16, 5, 0, 0, 0, 0, 1,16,16, 3, 0, 0, 0, 0, 0,11,16, 9, 0, 0, 0, 0, 0, 4,12,14,12, 5, 0), 1),
    (( 0, 0, 6,15,16,16,11, 0, 0, 2,16,11, 7,15,16, 3, 0, 2,15,16,16,16,13, 0, 0, 0, 5,11,16,12, 1, 0, 0, 0, 0, 8,16, 4, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 5,16, 4, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0), 9),
    (( 0, 2,13, 9, 1, 0, 0, 0, 0, 8,15,13,10, 0, 0, 0, 0, 2, 6, 1,12, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 2,16,11,14,16, 9, 0, 0, 2,15,12,11, 5, 1, 0), 2),
    (( 0, 0, 5,11,13,10, 3, 0, 0, 1,13,11, 5, 6, 3, 0, 0, 6,15, 0, 0, 0, 0, 0, 0, 7,13, 4, 1, 0, 0, 0, 0, 1,14,16,15, 4, 0, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 8, 5, 5,15, 0, 0, 0, 0, 4,12,16, 9, 0, 0), 5),
    (( 0, 0, 7,14, 0, 0, 0, 0, 0, 0,12,15, 0, 0, 0, 0, 0, 0,16, 9, 0, 0, 0, 0, 0, 1,15, 7, 2, 0, 0, 0, 0, 1,16,16,15,10, 2, 0, 0, 3,16,12, 4,14,12, 0, 0, 0,12,10, 1,14, 9, 0, 0, 0, 5,16,16,11, 3, 0), 6),
    (( 0, 0, 1,11,16,15, 3, 0, 0, 1,13,13, 5,13, 8, 0, 0, 6,16, 8, 2,15, 8, 0, 0,10,16,16,16,16, 7, 0, 0, 1, 1, 6,15,14, 1, 0, 0, 0, 0, 3,16, 5, 0, 0, 0, 0, 0, 9,14, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0), 9),
    (( 0, 0, 0, 3,15, 4, 0, 0, 0, 0, 2,14,13, 1, 6, 1, 0, 1,13,13, 0, 5,16, 3, 0, 5,16, 3, 0,11,13, 0, 0,12,16,12,13,16, 2, 0, 0, 6,12,13,16,14, 1, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 4,15, 0, 0, 0), 4),
    (( 0, 0, 7,16,15, 2, 0, 0, 0, 7,15, 7,12,10, 0, 0, 0, 8, 6, 0,10,12, 0, 0, 0, 0, 0, 6,16,12, 1, 0, 0, 0, 0, 5,12,15,10, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 6, 9, 4,13,10, 0, 0, 0, 5,16,16,13, 1, 0), 3),
    (( 0, 0, 4,16, 1, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 1,14, 8, 0, 0, 0, 0, 0, 3,16,16,14, 4, 0, 0, 0, 3,16, 8, 6,15, 5, 0, 0, 1,14, 3, 0, 7,12, 0, 0, 0,11,11, 7,16, 8, 0, 0, 0, 5,14,14, 9, 0, 0), 6),
    (( 0, 0, 0,11,13, 1, 0, 0, 0, 1, 2,15,13, 8, 0, 0, 0, 5,13, 0, 3,13, 0, 0, 0, 9,11, 0, 0,15, 1, 0, 0, 6,11, 0, 0,14, 5, 0, 0, 2,15, 2, 3,16, 4, 0, 0, 0, 8,14,14,16, 2, 0, 0, 0, 0, 7,14, 6, 0, 0), 0),
    (( 0, 0,10,16,16, 9, 0, 0, 0, 4,13, 5, 9,12, 0, 0, 0, 0, 0, 1,13, 5, 0, 0, 0, 0, 5,13,16,16, 9, 0, 0, 0,11,16,11,11, 9, 0, 0, 0, 1,13, 3, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0), 7),
    (( 0, 0, 1,10, 9, 0, 0, 0, 0, 1,10,13, 8, 7, 0, 0, 0, 5,16, 2, 0, 9, 0, 0, 0, 0,16,12,14,16, 1, 0, 0, 0,11,16,13,13, 3, 0, 0, 0, 2,15, 5, 6, 3, 0, 0, 0, 4,15, 4,13, 2, 0, 0, 0, 1,11,12, 4, 0, 0), 8),
    (( 0, 0, 9,14,10, 4, 0, 0, 0, 1,15,12,14,16, 2, 0, 0, 0, 1, 0, 0,15, 4, 0, 0, 0, 0,14,16, 8, 0, 0, 0, 0, 0, 6,13,14, 1, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 5, 4, 6,15, 4, 0, 0, 0,12,15,12, 6, 0, 0), 3),
    (( 0, 0, 4,11,14,12, 0, 0, 0, 4,16, 9, 5,16, 1, 0, 0,11, 8, 0, 6,13, 0, 0, 0, 5, 6, 1,13, 5, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 0, 0,10, 9, 0, 0, 1, 0, 0, 0, 3,16,16,14, 6, 0), 2),
    (( 0, 0, 6,12, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 1,16, 1, 0, 0, 0, 0, 0, 3,16,15,10, 4, 2, 0, 0, 2,16, 9, 0, 6,12, 0, 0, 0,13,10, 0, 6,15, 0, 0, 0, 6,16,16,15, 7, 0), 6),
    (( 0, 0, 1,14, 2, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 0,16, 9,12, 9, 2, 0, 0, 0,16,13, 8,10,13, 0, 0, 0,11,12, 0, 4,15, 0, 0, 0, 0,13,16,16, 9, 0), 6),
    (( 0, 0, 0, 7,14, 1, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 0,12, 7, 4, 8, 0, 0, 0, 5,15, 2,16, 5, 0, 0, 3,16, 7, 6,16, 0, 0, 0,11,16,15,15,16, 2, 0, 0, 0, 2, 8,16, 9, 0, 0, 0, 0, 0, 5,16, 2, 0, 0), 4),
    (( 0, 0, 0, 6,16, 6, 0, 0, 0, 0, 0,12,16,13, 0, 0, 0, 0, 9,16,16,16, 0, 0, 0, 8,16,16,16,13, 0, 0, 0, 0, 4, 3,16,14, 0, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0, 0, 4,16,16, 2, 0, 0, 0, 0, 4,16,11, 2, 0), 1),
    (( 0, 0,10,16,12, 1, 0, 0, 0, 9,16,12,16, 7, 0, 0, 0, 4, 7, 1,16, 4, 0, 0, 0, 0, 0,14,16, 8, 0, 0, 0, 0, 0,10,14,16, 4, 0, 0, 5, 7, 0, 0,14, 9, 0, 0, 3,15, 5, 6,15, 7, 0, 0, 0, 8,16,16, 8, 0, 0), 3),
    (( 0, 0, 0, 8,16,13, 1, 0, 0, 0, 4,16,11,13, 9, 0, 0, 6,15,10, 0,11,11, 0, 0, 8,16,13,14,16, 9, 0, 0, 1, 9, 8,11,16, 4, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,11,10, 0, 0, 0), 9),
    (( 0, 0, 4,14,15, 6, 0, 0, 0, 2,16,12,15,14, 0, 0, 0, 7, 9, 0, 0,12, 4, 0, 0, 8, 6, 0, 0, 6, 7, 0, 0, 5, 8, 0, 0, 4, 8, 0, 0, 2,14, 1, 0, 7, 7, 0, 0, 0,12,16,16,16, 2, 0, 0, 0, 2,11,15, 8, 0, 0), 0),
    (( 0, 0, 3,12,15, 6, 0, 0, 0, 1,14,16,14,16, 5, 0, 0, 6,16, 9, 0,13, 8, 0, 0, 8,16, 0, 0, 9, 8, 0, 0, 7,16, 0, 0, 9, 8, 0, 0, 5,16, 0, 3,15, 2, 0, 0, 2,14,15,15, 9, 0, 0, 0, 0, 4,14, 9, 1, 0, 0), 0),
    (( 0, 3,14, 9, 5, 0, 0, 0, 0, 0, 7,10,16, 0, 0, 0, 0, 0, 0, 2,14, 0, 0, 0, 0, 0, 0,10, 6, 0, 0, 0, 0, 0, 3,15, 1, 0, 0, 0, 0, 1,13, 8, 0, 0, 0, 0, 0, 8,16,10,12,15, 7, 0, 0, 3,12,16,13, 8, 3, 0), 2),
    (( 0, 0, 1,11,13, 0, 0, 0, 0, 0, 7,16, 8, 1, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 0, 0, 0,15, 7, 4, 5, 1, 0, 0, 0,15,16,16,16,13, 1, 0, 0,10,16, 9, 8,16, 6, 0, 0, 1, 9,14,16,13, 2), 6),
    (( 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 0,16,14, 0, 0, 0, 0, 0, 0,14,16, 0, 0, 0, 0, 0, 0,15,15, 0, 0, 0, 0, 0, 0,14,15, 0, 0, 0, 0, 0, 0,15,14, 0, 0, 0, 0, 0, 0,13,14, 0, 0, 0, 0, 0, 0,10,13, 0, 0, 0), 1),
    (( 0, 0, 5,13,11, 2, 0, 0, 0, 2,15, 6, 5,12, 0, 0, 0, 6,12, 0, 1,16, 2, 0, 0, 1,12, 5, 5,16, 6, 0, 0, 0, 1, 9, 9,12, 8, 0, 0, 0, 0, 0, 0, 3,13, 0, 0, 0, 0, 0, 1, 8,10, 0, 0, 0, 8,13,15,10, 1, 0), 9),
    (( 0, 0, 7,13,16, 5, 0, 0, 0, 6, 8, 8,14, 9, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 0,11,10, 8, 8, 4, 0, 0, 0, 6,15,16,12, 4, 0), 2),
    (( 0, 0,10,16,12, 0, 0, 0, 0, 1,14,13,16, 4, 0, 0, 0, 0, 2, 3,16, 5, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0,11,14, 0, 0, 0, 0, 0, 2,16, 8, 0, 3, 0, 0, 1,13,16,14,16,16, 3, 0, 0,12,16,16,13, 7, 0), 2),
    (( 0, 0,12,15,16,16,15, 2, 0, 0,10,12,10,14,14, 2, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 3,12,14,16,13, 3, 0, 0,12,12,16,11, 7, 0, 0, 0, 0, 5,15, 2, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 0), 7),
    (( 0, 0, 0,12,15, 9,11, 6, 0, 0, 0, 5,10,13,16, 2, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 4,10,16, 2, 0, 0, 0, 8,16,16,16, 5, 0, 0, 0, 3, 8,14, 2, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0,12, 1, 0, 0, 0), 7),
    (( 0, 0,13,16,16,16, 2, 0, 0, 1,16,16,12, 9, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 0,10,16, 1, 0, 0, 0, 0, 0, 7,16,13, 0, 0, 0, 0, 0, 0, 9,16,10, 0, 0, 0, 0, 0,11,16,12, 0, 0, 0, 0, 0,15,14, 6, 0, 0, 0), 5),
    (( 0, 0, 0, 1,14, 2, 0, 0, 0, 0, 0,10,13, 0, 1, 0, 0, 0, 6,13, 2, 6, 9, 0, 0, 1,15, 4, 0,13, 6, 0, 0, 6,14, 6, 7,16, 2, 0, 0, 1, 9,13,16,14, 5, 0, 0, 0, 0, 0,16, 2, 0, 0, 0, 0, 0, 0,14, 0, 0, 0), 4),
    (( 0, 0, 3,11,16,16,13, 0, 0, 0,15,16,13,11, 5, 0, 0, 3,16, 8, 1, 0, 0, 0, 0, 5,16,11, 4, 0, 0, 0, 0, 1, 8,15,16, 3, 0, 0, 0, 0, 0, 5,16, 5, 0, 0, 0, 0, 1,10,16, 2, 0, 0, 0, 0, 5,11, 7, 0, 0, 0), 5),
    (( 0, 0, 4,15,10, 0, 0, 0, 0, 0,14, 8,16, 7, 0, 0, 0, 0,15, 0,13,10, 0, 0, 0, 1,15,16,16, 9, 0, 0, 0, 0, 0, 0, 5,12, 0, 0, 0, 2, 1, 0, 3,15, 0, 0, 0, 8,14, 6, 4,14, 1, 0, 0, 0, 6,13,16,15, 0, 0), 9),
    (( 0, 0, 3,15,11, 4, 0, 0, 0, 0,11, 7, 6,13, 0, 0, 0, 0,12, 2, 0,15, 1, 0, 0, 0,11, 1, 4,16, 5, 0, 0, 0, 3,15,13,12, 6, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 6, 2, 3,13, 5, 0, 0, 0, 4,13,16,11, 0, 0), 9),
    (( 0, 0, 2,13,14, 2, 0, 0, 0, 1,15,16,16, 9, 0, 0, 0, 7,16, 8, 5,16, 1, 0, 0, 6,16, 3, 0,11, 7, 0, 0, 5,16, 4, 0, 8, 8, 0, 0, 0,16, 9, 0,10,11, 0, 0, 0,10,15,10,16, 8, 0, 0, 0, 2,13,16,14, 2, 0), 0),
    (( 0, 0, 4,14,15, 2, 0, 0, 0, 4,16, 7, 8, 9, 0, 0, 0, 6,14, 0, 0,12, 2, 0, 0, 3,16, 0, 0, 7, 7, 0, 0, 0,14, 0, 0, 4, 8, 0, 0, 0,11, 4, 0, 5, 9, 0, 0, 0, 6,15, 8,14, 7, 0, 0, 0, 1,13,15,10, 0, 0), 0),
    (( 0, 0, 2,15,13, 3, 0, 0, 0, 0, 2,16,16, 6, 0, 0, 0, 0, 3,16,16, 5, 0, 0, 0, 0, 4,16,16, 0, 0, 0, 0, 0, 7,16,13, 0, 0, 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 0,11,16, 9, 0, 0, 0, 0, 0, 4,13,12, 1, 0, 0), 1),
    (( 0, 0, 2,12,14, 5, 0, 0, 0, 2,15, 6, 8,14, 6, 0, 0, 5, 9, 0, 5,16, 4, 0, 0, 5, 9, 4,15,12, 0, 0, 0, 0,14,13,16, 5, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0, 0, 0,11, 5, 0, 0, 0, 0, 0, 2,15, 4, 0, 0, 0), 9),
    (( 0, 4,16,16,16,15, 2, 0, 0, 3,11, 8, 9,16, 8, 0, 0, 0, 0, 1,14,15, 1, 0, 0, 0, 2,15,16, 6, 0, 0, 0, 0, 2,12,14,14, 0, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 5,10, 4, 7,16, 2, 0, 0, 2,16,16,16, 8, 0, 0), 3),
    (( 0, 0, 6,14,15, 4, 0, 0, 0, 3,16,10,11,14, 0, 0, 0, 2, 8, 0, 6,16, 2, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 4,16,11,14, 4, 0, 0, 0, 5,15,13, 8, 1, 0), 2),
    (( 0, 0, 4,14,15, 9, 0, 0, 0, 0,14, 9, 0, 2, 0, 0, 0, 2,15, 1, 0, 0, 0, 0, 0, 5, 9, 0, 0, 0, 0, 0, 0, 7,12,10,15, 7, 0, 0, 0, 4,16,15, 3,11, 6, 0, 0, 0,13,15,14,11,10, 0, 0, 0, 5,14,16,11, 2, 0), 6),
    (( 0, 0, 0, 5,15, 0, 0, 0, 0, 0, 0,11,10, 3, 8, 0, 0, 0, 6,15, 1,13, 9, 0, 0, 3,16, 8, 9,16, 5, 0, 0,12,16,15,15,13, 8, 0, 0, 3, 4, 0,16, 2, 0, 0, 0, 0, 0, 4,11, 0, 0, 0, 0, 0, 0, 6,11, 0, 0, 0), 4),
    (( 0, 0, 0,14, 7, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 5,16,13, 0, 0, 0, 0, 1,14,14,16, 1, 0, 0, 0, 3, 3, 1,16, 5, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 3,13,13, 0, 0, 0, 0, 0,12,16,16, 8, 0), 1),
    (( 0, 0, 5,13,15, 6, 0, 0, 0, 1,15,15,10,11, 0, 0, 0, 7,16, 1, 0, 0, 0, 0, 0,10,16,16,12, 2, 0, 0, 0, 3, 8, 4, 9,10, 0, 0, 0, 0, 0, 0, 5,14, 0, 0, 0, 0, 4, 4,13,13, 0, 0, 0, 0,11,16,16, 4, 0, 0), 5),
    (( 0, 0, 0, 8,13,10, 5, 0, 0, 0, 8,16,11,14,15, 0, 0, 0, 9,16,16,14,11, 0, 0, 0, 3,10,16,16, 7, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 1,11,11, 0, 0, 0, 0, 0,14,15, 2, 0, 0), 9),
    (( 0, 3,15,16,11, 0, 0, 0, 0,10,15,13,16, 2, 0, 0, 0,10, 7, 4,16, 0, 0, 0, 0, 1, 0, 9,12, 0, 0, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0,10,15, 0, 0, 0, 0, 0, 7,16,14,12,14,11, 0, 0, 6,16,16,16,11, 3, 0), 2),
    (( 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0,13,12, 0, 0, 0, 0, 0, 1,13, 4, 0, 0, 0, 0, 0, 9, 9, 1, 9, 1, 0, 0, 4,13, 0, 4,14, 0, 0, 2,16,16,16,16,13, 0, 0, 3, 8, 7, 9,14, 2, 0, 0, 0, 0, 0,10, 5, 0, 0, 0), 4),
    (( 0, 0, 4,14, 3, 0, 0, 0, 0, 0, 9,16,16, 4, 0, 0, 0, 0,14,16,16,14, 0, 0, 0, 2,16, 6, 1,16, 4, 0, 0, 5,15, 0, 0,12, 4, 0, 0, 5,13, 0, 0,12, 8, 0, 0, 0,16,10, 9,16, 7, 0, 0, 0, 6,16,15, 8, 0, 0), 0),
    (( 0, 0, 7,15, 3, 0, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 7,15,15, 0, 0, 0, 0, 0,10,16,13, 0, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 4,16, 6, 0, 0, 0, 0, 9,13,16,13, 8, 3, 0, 0, 6,15,16,16,16,12), 1),
    (( 0, 0, 5,15,10, 0, 0, 0, 0, 1,15,12,13,10, 0, 0, 0, 5,16, 2, 1,11, 3, 0, 0, 5,14, 2, 0, 4, 8, 0, 0, 4,12, 0, 0, 4, 8, 0, 0, 3,14, 2, 0, 9, 9, 0, 0, 0,12,12, 7,14, 9, 0, 0, 0, 5,16,16,10, 0, 0), 0),
    (( 0, 0, 1, 8, 6, 0, 0, 0, 0, 0,14,16,16,16, 0, 0, 0, 0,16,16,16,16, 0, 0, 0, 0,16,16,16,16, 0, 0, 0, 0,16,16,16,15, 0, 0, 0, 0,16,16,16,13, 0, 0, 0, 0, 9,16,16, 9, 0, 0, 0, 0, 6, 8, 6, 1, 0, 0), 1),
    (( 0, 0, 9,16,15, 1, 0, 0, 0, 0, 3, 8,16, 5, 0, 0, 0, 0, 0, 0,14, 7, 0, 0, 0, 2,11, 9,16, 3, 0, 0, 0,11,16,16,16,12, 1, 0, 0, 0, 0,13,15,16, 5, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0), 7),
    (( 0, 0, 9,14,12, 8, 0, 0, 0, 8,13, 0, 2,16, 2, 0, 0,11,14,14,14, 6, 0, 0, 0, 1,14,16,13, 1, 0, 0, 0, 3,15, 4, 6,12, 0, 0, 0, 1,15, 0, 0, 8, 9, 0, 0, 3,16, 1, 3,13, 6, 0, 0, 0, 8,16,13, 6, 0, 0), 8),
    (( 0, 0, 7,13,12, 3, 0, 0, 0, 0,14, 8,11,12, 0, 0, 0, 0, 0, 1, 9,12, 0, 0, 0, 0, 0,13,16, 1, 0, 0, 0, 0, 0, 9,12,12, 3, 0, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 8, 1, 2, 8,13, 0, 0, 0,10,16,16,11, 2, 0), 3),
    (( 0, 0, 3,13, 0, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 0,15, 7, 0, 0, 0, 0, 0, 3,16,14, 8, 2, 0, 0, 0, 4,16,12,12,16, 4, 0, 0, 2,15,12, 8,15,13, 0, 0, 0, 3,11,15,12, 8, 0), 6),
    (( 0, 0, 9,14, 2, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 0, 6,16,10, 0, 0, 0, 0, 2,15,16,10, 0, 0, 0, 0, 6,16,15,14, 0, 0, 0, 0, 0, 0,10,16, 2, 0, 0, 0, 0, 9,15,16,14,12, 3, 0, 0, 6,15,16,16,12, 3), 1),
    (( 0, 0, 0,10,14, 9, 0, 0, 0, 0,10,14, 6, 4, 0, 0, 0, 1,16, 5, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 0, 0, 0, 7,10, 1, 4, 1, 0, 0, 0, 2,15,16,14,14, 1, 0, 0, 0,12,12, 4,14,11, 0, 0, 0, 1,10,13,12, 4, 0), 6),
    (( 0, 0,12,16,14, 2, 0, 0, 0, 7,11, 2, 7,12, 0, 0, 0,11,15,12,14,11, 0, 0, 0, 2, 8, 8,13,12, 0, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0, 0, 0, 1,14, 5, 0, 0, 0,12,12, 5,10,12, 0, 0, 0, 8, 8,12,16, 6, 0), 9),
    (( 0, 0, 5,15, 9, 0, 0, 0, 0, 1,13,13,15, 6, 0, 0, 0, 2,16, 4, 3,15, 2, 0, 0, 5,16, 0, 0,10, 6, 0, 0, 5,14, 0, 0, 9, 9, 0, 0, 4,16, 0, 1,11, 6, 0, 0, 1,14,11,12,16, 2, 0, 0, 0, 5,13,14, 4, 0, 0), 0),
    (( 0, 0,10,13,16,10, 0, 0, 0, 0,15, 9, 2, 2, 0, 0, 0, 4,16,16,14, 4, 0, 0, 0, 0, 3, 1, 4,16, 3, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 5, 8, 0, 4,15, 1, 0, 0, 1,11,14,15, 2, 0, 0), 5),
    (( 0, 0, 0,10,15, 2, 0, 0, 0, 0, 0,13,16,11, 0, 0, 0, 0, 0,15,16, 9, 0, 0, 0, 0, 6,16,16, 7, 0, 0, 0, 1,15,16,16, 3, 0, 0, 0, 1,14,16,16, 2, 0, 0, 0, 0, 0,14,16, 8, 0, 0, 0, 0, 0, 6,14, 9, 0, 0), 1),
    (( 0, 0, 5,11,12, 9, 0, 0, 0, 0,12,14, 5,16, 0, 0, 0, 1,16, 5, 6,11, 0, 0, 0, 0,16, 8,15, 3, 0, 0, 0, 0, 9,16, 9, 0, 0, 0, 0, 1,11, 4,13, 4, 0, 0, 0, 3,13, 2, 4,14, 0, 0, 0, 0, 5, 8,11,11, 0, 0), 8),
    (( 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 2,14,10, 0, 2, 0, 0, 0,10,12, 1, 2,15, 3, 0, 5,16, 3, 0, 9,14, 0, 0,14,12, 2, 2,16, 5, 0, 0,14,16,16,16,16, 1, 0, 0, 5, 8,12,16, 4, 0, 0, 0, 0, 0, 9,16, 6, 0, 0), 4),
    (( 0, 0, 3,14, 1, 0, 0, 0, 0, 0,10,14, 1, 7, 0, 0, 0, 0,15, 9, 7,16, 0, 0, 0, 5,16, 4,13,13, 0, 0, 0,12,16,16,16,16, 9, 0, 0, 3, 8,15,16,12, 2, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0, 3,16, 5, 0, 0, 0), 4),
    (( 0, 0, 0, 6,15, 2, 2, 0, 0, 0, 3,15,10, 4,15, 0, 0, 2,14, 9, 0,12,11, 0, 0, 9,16, 4, 3,16,14, 0, 0,11,16,16,16,15, 7, 0, 0, 1,10,11,16, 8, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0, 8,11, 0, 0, 0), 4),
    (( 0, 0, 4, 6,14,10, 2, 0, 0, 0,15,16,12,12,12, 0, 0, 4,14, 1, 0, 0, 0, 0, 0, 5,16,16,12, 1, 0, 0, 0, 0, 4, 8,15,10, 0, 0, 0, 0, 0, 0, 5, 9, 0, 0, 0, 0, 0, 5,14, 3, 0, 0, 0, 0, 5,14, 5, 0, 0, 0), 5),
    (( 0, 0,12, 7, 0, 0, 0, 0, 0, 3,16,16, 3, 0, 0, 0, 0, 7,11, 8, 6, 0, 0, 0, 0, 3,14, 7, 8, 0, 0, 0, 0, 0, 0,14, 3, 0, 0, 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 2,15,16,16,13, 9, 0, 0, 0,12,16,16,16, 7, 0), 2),
    (( 0, 0, 3,16,14, 4, 0, 0, 0, 0,10,16,16,15, 0, 0, 0, 2,16,12, 5,14, 2, 0, 0, 5,16, 4, 0,10, 6, 0, 0, 6,16, 1, 0, 7, 9, 0, 0, 3,16, 3, 0, 9,12, 0, 0, 0,13,14,13,16, 9, 0, 0, 0, 3,13,16,12, 2, 0), 0),
    (( 0, 0, 6,15,12, 0, 0, 0, 0, 0,13,16,16,13, 0, 0, 0, 2,15,16, 7,13, 4, 0, 0, 5,11, 7, 0, 5, 7, 0, 0, 8, 7, 0, 0, 7, 8, 0, 0, 4,12, 0, 1,11, 9, 0, 0, 2,13, 8,12,15, 1, 0, 0, 0, 5,15,12, 3, 0, 0), 0),
    (( 0, 0, 0, 1,12, 4, 0, 0, 0, 0, 1,14,16,11, 0, 0, 0, 0, 9,13, 5,15, 4, 0, 0, 2,16, 2, 0,16, 3, 0, 0, 1,16, 7, 7,16, 4, 0, 0, 0,13,16,16,16, 1, 0, 0, 0, 1,13,16,13, 0, 0, 0, 0, 0, 3,12, 5, 0, 0), 0),
    (( 0, 0, 7,16, 8, 0, 0, 0, 0, 0,13,16,16, 7, 0, 0, 0, 4,16, 7,11,15, 0, 0, 0, 6,12, 0, 0,14, 6, 0, 0, 8,12, 0, 0,14, 8, 0, 0, 7,13, 0, 6,15, 7, 0, 0, 4,16,16,16,16, 1, 0, 0, 0, 7,14, 7, 0, 0, 0), 0),
    (( 0, 0, 0, 6,12, 6, 0, 0, 0, 0, 5,16,16,13, 0, 0, 0, 2,15,16,16,12, 0, 0, 0, 4,16,16,16,14, 1, 0, 0, 0, 8,16,16,13, 0, 0, 0, 0, 4,16,16,14, 0, 0, 0, 0, 6,16,16,16, 4, 0, 0, 0, 1,12,12, 6, 0, 0), 1),
    (( 0, 0, 2,15,16,12, 2, 0, 0, 0,13,12, 4,12,12, 0, 0, 6,16, 1, 3,13,12, 0, 0,11,16,15,16,16, 9, 0, 0, 1, 7, 9,16,11, 0, 0, 0, 0, 0, 9,15, 1, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0), 9),
    (( 0, 0, 0, 2, 9,15,15, 0, 0, 0, 4,14,12, 9,12, 0, 0, 2,14, 6, 0,10,10, 0, 0, 6,16, 6, 7,16, 8, 0, 0, 1,13,16,11,15, 7, 0, 0, 0, 0, 0, 1,16, 3, 0, 0, 0, 0, 0, 7,15, 0, 0, 0, 0, 0, 0,11, 9, 0, 0), 9),
    (( 0, 0, 2,13, 8, 0, 0, 0, 0, 0,12,15,16,11, 0, 0, 0, 2,16, 3, 3,13, 4, 0, 0, 5,13, 0, 0, 9, 7, 0, 0, 7, 8, 0, 0,13, 3, 0, 0, 3,14, 0, 1,15, 2, 0, 0, 0,14,10,12,12, 0, 0, 0, 0, 2,13,12, 3, 0, 0), 0),
    (( 0, 1,12,16,15, 3, 0, 0, 0,11,13, 5,13, 8, 0, 0, 0, 3, 1, 8,16, 5, 0, 0, 0, 0, 3,16,16,13, 1, 0, 0, 0, 0, 0, 1,14, 6, 0, 0, 0, 1, 0, 0, 9,11, 0, 0, 2,15, 1, 0,13, 9, 0, 0, 0,13,16,15,15, 2, 0), 3),
    (( 0, 0, 0,12, 9, 1, 0, 0, 0, 0, 7,14,12,10, 0, 0, 0, 0,11, 3, 3,16, 1, 0, 0, 6,10, 0, 1,16, 2, 0, 0, 5,13, 0, 2,16, 3, 0, 0, 2,14, 2, 7,16, 1, 0, 0, 0,10,14,16,11, 0, 0, 0, 0, 1,12,12, 1, 0, 0), 0),
    (( 0, 3,12,16,15, 4, 0, 0, 0, 4,11, 8,14,11, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 3,15,15, 1, 0, 0, 0, 0, 1,11,15,14, 1, 0, 0, 0, 0, 0, 4,12, 6, 0, 0, 1, 8,12,15,16, 6, 0, 0, 2,12,12,11, 7, 0, 0), 3),
    (( 0, 0,11,16,14, 9, 1, 0, 0, 0,15,13,13,16, 4, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0,10,15, 2, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 8,16, 8, 0, 0, 0, 0, 6,16,16,16,10, 0, 0, 0, 1, 8, 8,12,13, 0, 0), 2),
    (( 0, 0, 5,15, 8, 0, 0, 0, 0, 0,13, 8,12, 5, 0, 0, 0, 1,16, 1, 6,15, 2, 0, 0, 1,16, 1, 2,16, 6, 0, 0, 3,14, 0, 0,11, 9, 0, 0, 3,16, 1, 0, 7,10, 0, 0, 0,15, 4, 2,15, 6, 0, 0, 0, 5,14,15,10, 1, 0), 0),
    (( 0, 0, 4,10,12,12,13, 4, 0, 0, 6, 8, 4, 6,15, 2, 0, 0, 0, 0, 0,12, 6, 0, 0, 0, 0, 0, 7,12, 0, 0, 0, 5,16,16,16,13, 1, 0, 0, 2, 4,13,10, 0, 0, 0, 0, 0, 3,16, 2, 0, 0, 0, 0, 0, 7,14, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 3,13,16, 5, 0, 0, 0, 3,15, 7,13,13, 0, 0, 1,13, 6,14,16,11, 0, 0, 1,16,14,10,11,10, 0, 0, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0, 0, 4,13, 0, 0, 0), 9),
    (( 0, 0, 0, 7,15,14, 2, 0, 0, 4,13, 9, 8,16, 4, 0, 0, 7,16, 6, 3,16, 3, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0, 1,16,14,14, 0, 0, 0, 0, 7,11, 0,15, 8, 0, 0, 0, 6,15, 5,15, 5, 0, 0, 0, 0, 9,14, 7, 0, 0), 8),
    (( 0, 4,14,15, 7, 1, 0, 0, 0, 8,14,12,16, 4, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 2, 9,16, 7, 0, 0, 0, 0, 3,13,13,16, 5, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 3,11, 7,12,16, 4, 0, 0, 4,14,16,11, 4, 0, 0), 3),
    (( 0, 0, 0,11, 2, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0,11, 7, 0, 2, 0, 0, 0, 3,15, 2, 7,15, 9, 0, 0, 9,16,16,16,15, 3, 0, 0, 6, 8, 6,16, 8, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0), 4),
    (( 0, 1,14,15, 2, 0, 0, 0, 0, 2,13,12,12, 0, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0, 1,16, 6, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 5,16,10, 8, 7, 1, 0, 1,15,16,16,14,12, 2), 2),
    (( 0, 5,14,15,12,10, 1, 0, 0,13,16,16,16,16, 7, 0, 0,12,16, 3, 0, 1, 1, 0, 0, 8,16, 4, 0, 0, 0, 0, 0, 0,15,13, 0, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 6,16,13, 0, 0, 0, 0), 5),
    (( 0, 1,11,16,15, 6, 0, 0, 0, 2,16, 7, 6,13, 2, 0, 0, 0,10,13,14,16, 3, 0, 0, 0, 2, 9, 9,12, 3, 0, 0, 0, 0, 0, 0,12, 4, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 0, 0, 3,14, 3, 0, 0, 0, 9,16,16,11, 2, 0), 9),
    (( 0, 0, 0, 4,13, 0, 0, 0, 0, 0, 0,15, 8, 2, 5, 0, 0, 0,11, 9, 0,12, 8, 0, 0, 4,14, 1, 0,14, 5, 0, 0, 8,14, 6, 7,16, 6, 0, 0, 2,11,13,15,13, 2, 0, 0, 0, 0, 1,15, 3, 0, 0, 0, 0, 0, 4,14, 0, 0, 0), 4),
    (( 0, 0, 5,16, 0, 0, 0, 0, 0, 0,12, 9, 2,13, 1, 0, 0, 4,16, 1, 8,15, 0, 0, 0, 8,13, 1,14,15,11, 0, 0, 7,16,16,16, 9, 2, 0, 0, 1, 8,14,13, 0, 0, 0, 0, 0, 1,15, 7, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0), 4),
    (( 0, 0,12,16,16, 9, 1, 0, 0, 8,16,14,11,14, 3, 0, 0, 8,16, 4, 0, 0, 0, 0, 0, 3,15,16, 6, 0, 0, 0, 0, 0, 0, 6,14, 1, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 0, 9,11,16, 1, 0, 0, 0, 1,13,16,10, 0, 0, 0), 5),
    (( 0, 0, 7,12, 5, 3, 0, 0, 0, 3,15, 8,13,16, 3, 0, 0, 4,14, 1, 0, 9, 0, 0, 0, 0, 9,15,13, 9, 0, 0, 0, 0, 3,14,15, 6, 0, 0, 0, 0,14, 5, 3,14, 2, 0, 0, 0,16, 5, 5,15, 3, 0, 0, 0, 6,11,11, 6, 0, 0), 8),
    (( 0, 0, 7,15,10, 0, 0, 0, 0, 2,16, 9,14, 3, 0, 0, 0, 5, 9, 0, 8, 4, 0, 0, 0, 2,10, 0,13, 1, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 4,15, 1, 0, 0, 0, 0, 0,16, 7, 4, 4, 2, 0, 0, 0, 9,16,14,12, 6, 0), 2),
    (( 0, 0, 6,12, 9, 4, 0, 0, 0, 0, 2,14,16,14, 0, 0, 0, 0, 0,12,16,16, 0, 0, 0, 0, 0,15,16,13, 0, 0, 0, 0, 0,16,16,12, 0, 0, 0, 0, 5,16,16, 5, 0, 0, 0, 0, 7,16,16, 5, 0, 0, 0, 0, 9,12,11, 2, 0, 0), 1),
    (( 0, 1,13,16,16,16,12, 1, 0, 0, 0, 3, 4,12,16, 2, 0, 0, 0, 0, 4,16, 7, 0, 0, 0, 0, 2,15,12, 0, 0, 0, 1, 8,13,16,16, 5, 0, 0, 3,15,16,12, 7, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 0, 2,15, 7, 0, 0, 0, 0), 7),
    (( 0, 4,16,14,14,15, 5, 0, 0, 8,16,16,16,16, 9, 0, 0,11,14, 0,11,15, 1, 0, 0, 5, 5, 3,16, 8, 0, 0, 0, 0, 0,11,14, 1, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0,14,14, 0, 0, 0, 0, 0, 3,16,10, 0, 0, 0, 0), 7),
    (( 0, 0,11,13, 2, 0, 0, 0, 0, 5,13, 9,14, 0, 0, 0, 0, 4, 8, 0,12, 8, 0, 0, 0, 1, 5, 0,11, 8, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 6,15, 1, 0, 0, 0, 0, 5,16,11, 2, 0, 0, 0, 0,11,16,16,16,16, 1), 2),
    (( 0, 7,16,16,16,16, 3, 0, 0, 3,12,12,13,15, 1, 0, 0, 0, 0, 2,14, 6, 0, 0, 0, 3, 8,11,15, 8, 5, 0, 0, 5,16,16,14,12, 6, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 2,16, 3, 0, 0, 0, 0, 0, 7,11, 0, 0, 0, 0, 0), 7),
    (( 0, 1, 9,14,16,16,13, 0, 0, 8,16,12, 7, 4, 2, 0, 0,10,15, 4, 2, 0, 0, 0, 0, 8,16,16,15, 3, 0, 0, 0, 0, 3, 6,15,13, 0, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 2, 4, 8,16, 4, 0, 0, 0,13,16,16,10, 0, 0), 5),
    (( 0, 2,12,13,12, 2, 0, 0, 0, 2, 7, 5,15, 7, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 4,16,14, 3, 0, 0, 0, 0, 2,12,16,14, 5, 0, 0, 0, 0, 0, 1, 6,15, 4, 0, 0, 0, 1, 0, 2,13, 6, 0, 0, 4,13,15,16,12, 1, 0), 3),
    (( 0, 0, 0, 8,15, 0, 0, 0, 0, 0, 0,16,10, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 9,16, 5, 7,14, 0, 0, 3,16,16,13,16,13, 0, 0, 1, 7, 9,15,16, 7, 0, 0, 0, 0, 0,12,14, 2, 0, 0), 4),
    (( 0, 0, 4,10,16,16,11, 1, 0, 0,12,13,11, 8, 7, 0, 0, 3,16,16,16, 4, 0, 0, 0, 5,16, 9,15, 6, 0, 0, 0, 0, 0, 0, 6,11, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 1, 8,13, 2, 0, 0, 0, 0, 4,13, 4, 0, 0, 0), 5),
    (( 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 5,13, 3,13, 2, 0, 0, 0,14, 6, 4,16, 0, 0, 0, 5,16, 9,14,16,10, 0, 0, 5,16,15,16, 7, 2, 0, 0, 0, 0,10,11, 0, 0, 0, 0, 0, 0,13, 6, 0, 0, 0, 0, 0, 0,16, 1, 0, 0, 0), 4),
    (( 0, 0, 2,13,16,15, 4, 0, 0, 0, 9,16,16,16, 6, 0, 0, 0, 0, 0, 3,16, 7, 0, 0, 0, 0, 0, 4,16, 1, 0, 0, 0, 2,11,14,16, 4, 0, 0, 0,10,16,16,15, 2, 0, 0, 0, 3,14,11, 0, 0, 0, 0, 0, 3,14, 1, 0, 0, 0), 7),
    (( 0, 2,12,16,13, 5, 0, 0, 0, 5,12,12,16, 8, 0, 0, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0,12,14, 1, 0, 0, 0, 0, 0, 3,14,16, 2, 0, 0, 0, 0, 0, 1,10, 8, 0, 0, 0, 8, 4, 6,13, 6, 0, 0, 0,12,16,14, 9, 0, 0), 3),
    (( 0, 0, 6,16,16,10, 0, 0, 0, 5,16,16,13, 6, 0, 0, 0, 1,15,15, 1, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 0,13,14, 0, 0, 0, 0, 0, 9,16,11, 0, 0, 0, 0, 0, 8,15, 5, 0, 0, 0), 5),
    (( 0, 3,16,15, 4, 0, 0, 0, 0, 8,13,12,12, 0, 0, 0, 0, 9, 8, 8,12, 0, 0, 0, 0, 1, 5, 5,16, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 3,14,16,13,15,12, 0, 0, 3,16,16,16,16,15, 0), 2),
    (( 0, 2,12,13,15,16, 7, 0, 0, 2,16, 6, 0, 0, 1, 0, 0, 1,16,12, 8, 0, 0, 0, 0, 2,12, 6,11,13, 0, 0, 0, 0, 0, 0, 0,11, 6, 0, 0, 1, 1, 0, 0, 8, 8, 0, 0, 6,10, 0, 3,15, 2, 0, 0, 2,15,16,12, 5, 0, 0), 5),
    (( 0, 1, 8,12, 3, 0, 0, 0, 0, 1,16,16,14, 2, 0, 0, 0, 2,16,16,16,16, 1, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,12,16,16, 7, 0, 0, 0, 2,16,16,16,14, 0, 0, 0, 4,16,16,15, 4, 0, 0, 0, 1,12,10, 5, 0, 0, 0), 8),
    (( 0, 0, 0, 0, 3,16, 6, 0, 0, 0, 0, 5,15,16, 9, 0, 0, 1,10,16,15,16, 8, 0, 0,10,16,12, 2,16, 5, 0, 0, 1, 6, 0, 4,16, 4, 0, 0, 0, 0, 0, 5,16, 1, 0, 0, 0, 0, 0, 6,16, 3, 0, 0, 0, 0, 0, 3,16, 9, 0), 1),
    (( 0, 3,16,16,16,16,14, 0, 0, 9,15, 9, 7, 3, 2, 0, 0,10,12, 0, 0, 0, 0, 0, 0,10,16,15, 9, 0, 0, 0, 0, 1, 8, 9,16, 7, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 5, 7, 0, 8,14, 0, 0, 0, 4,16,16,16, 8, 0, 0), 5),
    (( 0, 1,10,12,14, 9, 0, 0, 0,11,11, 5, 5,16, 4, 0, 0, 4, 3, 0, 2,16, 2, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 1,13,10, 0, 0, 0, 0, 0, 9,13, 0, 0, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 1,13,15,12, 2, 0, 0), 2),
    (( 0, 0, 9,15,16, 9, 0, 0, 0,11,16, 9,11,16, 2, 0, 0, 5, 3, 1,14,14, 1, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 0,10,16, 0, 0, 0, 0, 1, 6,15,13, 0, 0, 0, 0,14,15, 9, 1, 0, 0), 3),
    (( 0, 0, 1, 8,13,13, 2, 0, 0, 4,16, 8, 1,12, 4, 0, 0, 7,13, 3,10,13, 0, 0, 0, 3,15,15,14,15, 0, 0, 0, 0,13,10, 0,10, 6, 0, 0, 0,11, 5, 0, 9, 8, 0, 0, 0, 7,11, 4,14, 2, 0, 0, 0, 1,13,12, 4, 0, 0), 8),
    (( 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 0, 8,16, 5, 0, 0, 0, 0, 0,14,16, 4, 0, 0, 0, 0, 8,16,16, 4, 0, 0, 0, 2,15,12,16, 6, 0, 0, 0, 3, 8, 1,16,10, 0, 0, 0, 0, 0, 5,15,16, 1, 0, 0, 0, 0, 9,16,16,11, 0), 1),
    (( 0, 0, 2,12, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0, 0, 5,12, 1, 0, 0, 0, 0, 0, 4,10, 0, 0, 0, 0, 0, 0, 5, 9, 2,11,12, 3, 0, 0, 1,15,16,16,14,11, 0, 0, 0,11,13, 6,15, 8, 0, 0, 0, 3,15,14, 8, 0, 0), 6),
    (( 0, 0, 0, 4,15, 7, 0, 0, 0, 0, 0,15,15, 1, 0, 0, 0, 0, 8,16, 2, 0, 0, 0, 0, 4,16, 7, 6, 9, 0, 0, 0,10,16,13,16,16, 0, 0, 2,16,16,12,15,11, 0, 0, 4, 9, 4, 3,16, 7, 0, 0, 0, 0, 0, 5,16, 5, 0, 0), 4),
    (( 0, 0, 4, 8,16,13, 0, 0, 0, 3,16,16,14,16, 2, 0, 0, 4,16, 6, 0,12, 4, 0, 0, 4,12, 0, 0,12, 6, 0, 0, 5,12, 0, 0,12, 3, 0, 0, 4,16, 6, 6,14, 0, 0, 0, 0,12,16,16, 7, 0, 0, 0, 0, 4,12, 8, 0, 0, 0), 0),
    (( 0, 0, 0, 2,10,16, 2, 0, 0, 0, 0,10,13,16, 6, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 1, 7, 8,10,16, 3, 0, 0, 5,16,13,16,13, 3, 0, 0, 0, 0, 2,16, 9, 0, 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 0, 0,11, 8, 0, 0), 7),
    (( 0, 2,13,15, 5, 0, 0, 0, 0, 9,16,13,14, 0, 0, 0, 0, 7, 6, 2,16, 0, 0, 0, 0, 0, 0, 3,16, 1, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 5,16, 7, 0, 0, 0, 0, 2,16,16, 9,11,11, 1, 0, 2,15,16,16,16,11, 1), 2),
    (( 0, 2, 8,12,15,15, 2, 0, 0,13,16,16,13,12, 3, 0, 0,12,16, 9, 0, 0, 0, 0, 0, 6,16,16, 7, 0, 0, 0, 0, 0, 4,10,15, 0, 0, 0, 0, 0, 2, 4,16, 4, 0, 0, 0, 4,16,16,13, 0, 0, 0, 0, 0,15,15, 5, 0, 0, 0), 5),
    (( 0, 0, 2,13,15, 2, 0, 0, 0, 0,11,16,13,10, 0, 0, 0, 0,14, 9, 8,12, 0, 0, 0, 0, 8,14,16,10, 0, 0, 0, 0, 5,16,13, 1, 0, 0, 0, 0, 9,15,14, 2, 0, 0, 0, 0, 7,14,14, 6, 0, 0, 0, 0, 1,13,16, 2, 0, 0), 8),
    (( 0, 0, 0,11,16,10, 0, 0, 0, 0, 0,15,16, 8, 0, 0, 0, 0, 7,16,16, 6, 0, 0, 0, 4,16,16,16, 4, 0, 0, 0, 1, 4,12,16, 4, 0, 0, 0, 0, 0, 9,16, 7, 0, 0, 0, 0, 0,11,16,15, 0, 0, 0, 0, 0, 8,14,11, 2, 0), 1),
    (( 0, 0, 7,15, 3, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0, 8,11, 7,13,11, 2, 0, 0, 3,16,15, 5, 4,11, 0, 0, 0,16, 6, 0, 7,11, 0, 0, 0, 8,12,15,10, 1, 0), 6),
    (( 0, 3,15,13, 0, 0, 0, 0, 0,12,14,16, 6, 0, 0, 0, 0,14, 9,10, 9, 0, 0, 0, 0, 2, 1,12, 8, 0, 0, 0, 0, 0, 0,16, 2, 0, 0, 0, 0, 0, 6,15, 0, 0, 0, 0, 0, 1,13,14,12,12,11, 0, 0, 4,16,16,16,15, 5, 0), 2),
    (( 0, 0, 6,12,12, 9, 0, 0, 0, 0,11,16,16,13, 0, 0, 0, 0, 9,16,16,12, 0, 0, 0, 0,14,16,16,12, 0, 0, 0, 0,12,16,16,12, 0, 0, 0, 2,16,16,16, 9, 0, 0, 0, 1,15,16,15, 2, 0, 0, 0, 0, 7,11, 3, 0, 0, 0), 1),
    (( 0, 0, 3,12,16,10, 0, 0, 0, 3,14, 5, 0,12, 0, 0, 0, 9, 8, 1, 9,16, 4, 0, 0, 5,15,15,15,14, 2, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 8,10, 0, 0, 0, 0, 0, 0,11, 6, 0, 0, 0, 0, 0, 3,15, 2, 0, 0, 0), 9),
    (( 0, 0, 3,15,16,16, 9, 0, 0, 0, 1, 9,14,16, 5, 0, 0, 0, 0, 1,11,15, 0, 0, 0, 0, 5,16,16,16,14, 0, 0, 0, 1,12,14, 5, 2, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 7,15, 2, 0, 0, 0), 7),
    (( 0, 0, 0, 3,11,16,11, 0, 0, 0, 6,16,11,16, 7, 0, 0, 0,14, 8, 0,15, 1, 0, 0, 8,16, 4,12,11, 0, 0, 0, 1,11,15,16,11, 0, 0, 0, 0, 0, 0,15, 5, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 2,16, 5, 0, 0), 9),
    (( 0, 0,11,10, 8,14,10, 0, 0, 1,16,14,12,12, 7, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 5,16,16,10, 2, 0, 0, 0, 2, 8, 8,12,15, 1, 0, 0, 0, 0, 0, 5,16, 3, 0, 0, 0, 5, 9,16,10, 0, 0, 0, 2,12,12, 4, 0, 0, 0), 5),
    (( 0, 0, 0, 4,16, 2, 0, 0, 0, 0, 0, 8,16, 0, 0, 0, 0, 0, 0,14,11, 0, 0, 0, 0, 0, 7,15, 1, 0, 0, 0, 0, 0,15,11, 9, 3, 0, 0, 0, 9,16,11,16, 9, 0, 0, 0,13,16,16,16,16, 6, 0, 0, 1, 0, 8,16, 5, 0, 0), 4),
    (( 0, 0, 3,14,10, 1, 0, 0, 0, 0,12, 9, 9,12, 0, 0, 0, 2,16, 5, 0, 8, 6, 0, 0, 4, 8, 1, 0, 3, 7, 0, 0, 5, 7, 0, 0, 4, 8, 0, 0, 2,12, 0, 0, 7, 5, 0, 0, 0,12, 7, 5,13, 2, 0, 0, 0, 3,14,15, 6, 0, 0), 0),
    (( 0, 0, 6,16,15, 3, 0, 0, 0, 0,16,13, 8, 1, 0, 0, 0, 0,12, 7, 4, 0, 0, 0, 0, 0,14,16,16,13, 2, 0, 0, 0, 3, 4, 4,13, 8, 0, 0, 0, 0, 0, 0, 9, 4, 0, 0, 0, 2, 8,13,15, 3, 0, 0, 0, 4,14,12, 5, 0, 0), 5),
    (( 0, 0, 6,14,15, 0, 0, 0, 0, 1,16, 9,16, 3, 0, 0, 0, 0, 1, 3,16, 2, 0, 0, 0, 0, 4,16,15, 4, 0, 0, 0, 0, 4, 8,14,16, 3, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 3, 7,10,15, 2, 0, 0, 0, 7,15, 9, 1, 0, 0), 3),
    (( 0, 0, 7,12,12, 7, 0, 0, 0, 0,11,16,16,11, 0, 0, 0, 0,10,16,16, 7, 0, 0, 0, 0,12,16,16, 6, 0, 0, 0, 0,12,16,16, 7, 0, 0, 0, 0,13,16,16,11, 0, 0, 0, 0,16,16,16,13, 0, 0, 0, 0, 6,10, 8, 3, 0, 0), 1),
    (( 0, 0, 1,13,15, 5, 0, 0, 0, 0,10,15, 8, 6, 0, 0, 0, 2,16, 6, 0, 0, 0, 0, 0, 4,15, 1, 4, 0, 0, 0, 0, 5,13, 3,16,11, 1, 0, 0, 0,15, 1, 5,15, 5, 0, 0, 0,11,12, 8,16, 6, 0, 0, 0, 0,10,16,10, 0, 0), 6),
    (( 0, 0, 5,12,16, 9, 0, 0, 0, 1,16,15,15,13, 0, 0, 0, 0, 4, 1,13,14, 2, 0, 0, 0, 0, 5,16,16,13, 0, 0, 0, 0,12,16,11, 4, 0, 0, 0, 0, 8,15, 1, 0, 0, 0, 0, 0,15,12, 0, 0, 0, 0, 0, 4,15, 2, 0, 0, 0), 7),
    (( 0, 1, 8,10, 3, 0, 0, 0, 0, 4,16,16,16,11, 1, 0, 0, 3,16, 9, 8,11, 4, 0, 0, 0,10, 7, 3,10, 2, 0, 0, 0, 3,16,13, 5, 0, 0, 0, 0,13,15, 8, 0, 0, 0, 0, 4,15, 5,13, 0, 0, 0, 0, 1, 7,12,11, 0, 0, 0), 8),
    (( 0, 0, 6,16,16,15,14, 0, 0, 0, 2, 4,10,16, 5, 0, 0, 0, 0, 1,12,10, 0, 0, 0, 1, 6,11,16,13, 6, 0, 0, 7,14,16,14, 9, 4, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 5,15, 2, 0, 0, 0), 7),
    (( 0, 2,12,16,14, 1, 0, 0, 0,12,12, 8,16, 7, 0, 0, 0, 2, 1, 1,16, 8, 0, 0, 0, 0, 2,14,16,10, 0, 0, 0, 0, 1,11,12,16, 7, 0, 0, 0, 0, 0, 0,15,12, 0, 0, 3,13, 6, 4,16,11, 0, 0, 1,14,16,16,12, 3, 0), 3),
    (( 0, 0, 0, 4,13,15, 0, 0, 0, 0, 6,16, 9, 1, 0, 0, 0, 0,15, 9, 0, 0, 0, 0, 0, 3,15, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0, 4,15,12,12, 7, 1, 0, 0, 0, 9,15, 9,13,11, 0, 0, 0, 0, 6,12,16,10, 0), 6),
    (( 0, 0, 0, 2,13,12, 4, 0, 0, 0, 3,15,15,13,12, 0, 0, 2,15,14, 1,12, 8, 0, 0, 8,16,14,16,16,11, 0, 0, 3,16,16,16,16,10, 0, 0, 0, 0, 0, 8,13, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 0, 0, 0,15, 3, 0, 0), 4),
    (( 0, 0, 0,14,15, 3, 0, 0, 0, 0, 7,16, 9, 2, 0, 0, 0, 0,14,12, 0, 0, 0, 0, 0, 2,16, 7, 0, 0, 0, 0, 0, 7,16,16,12, 2, 0, 0, 0, 1,15, 8, 9,15, 1, 0, 0, 0, 9,12, 7,16, 3, 0, 0, 0, 0,12,16,14, 1, 0), 6),
    (( 0, 0, 2,13, 1, 0, 0, 0, 0, 0, 7,16, 6, 0, 0, 0, 0, 0,12,16, 3, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 0,15,16,16,15, 5, 0, 0, 0,13,16,10,14,15, 0, 0, 0,10,14, 9,16,14, 0, 0, 0, 2,11,15,15, 4, 0), 6),
    (( 0, 0, 7,12, 8, 0, 0, 0, 0, 0,15,16,15, 2, 0, 0, 0, 0,11,16,16, 2, 0, 0, 0, 0,12,16,16, 4, 0, 0, 0, 0,12,16,16, 7, 0, 0, 0, 0, 9,16,16,11, 0, 0, 0, 0,11,16,16,13, 0, 0, 0, 0, 2, 8,12, 6, 0, 0), 1),
    (( 0, 0, 0,10, 6, 0, 0, 0, 0, 0, 5,16, 9, 0, 0, 0, 0, 0,10,16,10, 0, 0, 0, 0, 4,15,12,12, 0, 0, 0, 0, 2, 4, 3,16, 2, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 7,12,15, 4, 0, 0, 0, 0,12,16,16, 8, 0), 1),
    (( 0, 0, 1, 9, 8, 1, 0, 0, 0, 0, 8,16,14, 9, 0, 0, 0, 0,14,14, 1,16, 0, 0, 0, 1,16, 3, 0,11, 4, 0, 0, 0,16, 0, 0,15, 4, 0, 0, 0,14, 1, 5,16, 0, 0, 0, 0,11, 7,14, 7, 0, 0, 0, 0, 4,15,13, 1, 0, 0), 0),
    (( 0, 0,10,12, 6, 0, 0, 0, 0, 0,16,14,15, 4, 0, 0, 0, 1,16, 8,16,14, 0, 0, 0, 0, 7,15,16,16, 5, 0, 0, 0, 0, 3, 4,15, 9, 0, 0, 0, 0, 0, 0,12,11, 0, 0, 0, 5, 7, 9,16, 9, 0, 0, 0, 7,16,13, 9, 2, 0), 9),
    (( 0, 0, 0, 2,15,10, 0, 0, 0, 0, 0,10,16,16, 0, 0, 0, 0, 4,16,16, 3, 0, 0, 0, 4,15,16,16, 1, 0, 0, 0, 4,12,16,16, 0, 0, 0, 0, 0, 0,12,16, 4, 0, 0, 0, 0, 0, 9,16, 4, 0, 0, 0, 0, 0, 4,15, 4, 0, 0), 1),
    (( 0, 0, 4,10,16,14, 4, 0, 0, 0,10,16,16,16, 4, 0, 0, 0,16,16,16, 8, 0, 0, 0, 0,16,16,16, 0, 0, 0, 0, 0,16,16,16, 0, 0, 0, 0, 4,16,16,16, 0, 0, 0, 0, 0,16,16,16, 0, 0, 0, 0, 0, 6,14,14, 0, 0, 0), 1),
    (( 0, 0, 1,11,14,10, 1, 0, 0, 1,13,10, 8,12, 8, 0, 0, 6,11, 0, 1,13, 4, 0, 0, 2,15,12,15, 6, 0, 0, 0, 0,13,16,15, 2, 0, 0, 0, 1,14, 0, 7,12, 0, 0, 0, 0, 9, 9, 4,16, 0, 0, 0, 0, 1, 9,15,10, 0, 0), 8),
    (( 0, 0, 0, 3, 9, 0, 0, 0, 0, 0, 0, 9,11, 0, 0, 0, 0, 0, 0,15, 5, 0, 2, 0, 0, 0,11,12, 0,14, 8, 0, 0, 3,16,12,11,16, 8, 0, 0, 7,12,12,15,16, 4, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0, 0, 5,13, 2, 0, 0), 4),
    (( 0, 0, 8,16,12, 0, 0, 0, 0, 4,16, 9, 8, 9, 0, 0, 0, 6,16, 3, 1,16, 0, 0, 0, 0,14,16,16,11, 0, 0, 0, 0, 3,16,16,14, 0, 0, 0, 0, 9,16, 3,14, 2, 0, 0, 0,10,15, 7,16, 2, 0, 0, 0, 5,16,15, 7, 0, 0), 8),
    (( 0, 0,11,14, 4, 0, 0, 0, 0, 6,15,14,16, 5, 0, 0, 0,11,10,12,16,12, 0, 0, 0, 2,12,10, 3,14, 6, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 0, 0, 0, 0,11,10, 0, 0, 0, 0, 1, 7,14, 4, 0, 0, 0,12,16,12, 4, 0, 0), 9),
    (( 0, 0, 1,13, 7, 0, 0, 0, 0, 0,12,15, 1, 0, 0, 0, 0, 6,16, 5, 0, 3, 5, 0, 0,10,16, 9,11,16,14, 0, 0, 6,14,16,16,16, 5, 0, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0, 9,16, 2, 0, 0, 0, 0, 0,14,13, 0, 0, 0), 4),
    (( 0, 5,14,15, 9, 1, 0, 0, 0, 7,14,12,16,15, 1, 0, 0, 0, 1, 0, 9,16, 4, 0, 0, 0, 0, 0, 7,16, 4, 0, 0, 0, 0, 0,12,14, 0, 0, 0, 0, 1,11,16, 4, 0, 0, 0, 3,14,16,13, 8, 2, 0, 0, 4,12,16,12,10, 4, 0), 2),
    (( 0, 0, 0, 3,15,16, 3, 0, 0, 0, 0,12,10,15, 3, 0, 0, 0, 0, 2, 6,14, 0, 0, 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 1,13, 9, 0, 0, 0, 0, 1,12,12, 1, 0, 0, 0, 0, 9,16,16,16,13, 5, 0, 0, 2, 4, 5,10,13,12, 0), 2),
    (( 0, 0, 7,11, 0, 0, 0, 0, 0, 0,14,13, 0, 0, 0, 0, 0, 3,16,10, 3, 0, 0, 0, 0, 3,16,16,16,11, 0, 0, 0, 6,16,16,16,16, 1, 0, 0, 4,16, 6, 1,16, 9, 0, 0, 2,15,14,14,16, 3, 0, 0, 0, 5,16,14, 6, 0, 0), 6),
    (( 0, 0, 3,14,16, 6, 0, 0, 0, 1,13, 5, 4,13, 0, 0, 0, 5,12, 0, 0, 9, 4, 0, 0, 5, 9, 0, 0, 5, 8, 0, 0, 8, 7, 0, 0, 3, 8, 0, 0, 6, 9, 0, 0, 2, 9, 0, 0, 0,15, 3, 1, 9, 8, 0, 0, 0, 5,15,14, 9, 0, 0), 0),
    (( 0, 0, 1,12,11, 0, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 2,16, 9, 0, 0, 4, 0, 0, 7,16,10, 4,11,15, 0, 0, 4,16,16,16,16, 9, 0, 0, 0, 5, 9,15,13, 0, 0, 0, 0, 0, 8,16, 3, 0, 0, 0, 0, 0,11,13, 0, 0, 0), 4),
    (( 0, 1, 9,16,15, 1, 0, 0, 0, 8,14, 8,14, 8, 0, 0, 0, 8, 5, 3,15, 5, 0, 0, 0, 0, 0, 9,16, 6, 0, 0, 0, 0, 0, 0, 9,16, 3, 0, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 5, 7, 6,16, 7, 0, 0, 0, 9,16,14, 9, 1, 0), 3),
    (( 0, 0, 3,11,13,14,16, 8, 0, 0,11,14,12,12,16, 3, 0, 0, 0, 0, 1,15, 8, 0, 0, 0, 0, 2, 9,15, 1, 0, 0, 0, 2,15,16,16, 8, 0, 0, 0, 1,12,14, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 4,15, 2, 0, 0, 0), 7),
    (( 0, 0, 2,11,16, 9, 0, 0, 0, 0, 9,14,15,14, 0, 0, 0, 0, 0, 0,13,10, 0, 0, 0, 0, 4, 9,16,12, 5, 0, 0, 9,16,16,16,16,11, 0, 0, 3, 8,12,11, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0), 7),
    (( 0, 0,11,16,15, 3, 0, 0, 0, 0, 2, 4,16, 7, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 2, 4,10,14, 4, 2, 0, 0, 9,16,16,16,16, 8, 0, 0, 0, 7,15, 2, 0, 0, 0, 0, 0,10, 9, 0, 0, 0, 0, 0, 0,12, 7, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 1,15, 5, 1, 2, 0, 0, 0,12, 8, 0,13, 7, 0, 0, 6,14, 0, 1,15, 4, 0, 0,13,13, 8,11,16, 9, 0, 0, 8,16,16,16, 8, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0), 4),
    (( 0, 0, 5,13, 5, 0, 0, 0, 0, 4,16,11,12,11, 2, 0, 0, 7, 8, 0,12,16, 6, 0, 0, 3,15,14,16,12, 1, 0, 0, 0, 9,14,14,10, 0, 0, 0, 0,11, 1, 2,13, 5, 0, 0, 0, 9, 7, 4, 8,12, 0, 0, 0, 5,14,15,13, 7, 0), 8),
    (( 0, 0, 6,15,16, 7, 0, 0, 0,10,16, 9,14,11, 0, 0, 0, 5, 3, 1,14,10, 0, 0, 0, 0, 0, 9,16, 5, 0, 0, 0, 0, 0, 8,16,16, 4, 0, 0, 0, 1, 0, 1,12, 8, 0, 0, 3,13, 5, 4,13,11, 0, 0, 0, 8,16,16,12, 2, 0), 3),
    (( 0, 0, 3,13, 7, 0, 0, 0, 0, 0,12,16,16,11, 0, 0, 0, 1,16,16,10,16, 3, 0, 0, 7,16,14, 0,14, 4, 0, 0, 1,16, 9, 0,12, 5, 0, 0, 0,15, 8, 4,16, 4, 0, 0, 0,12,16,16,12, 1, 0, 0, 0, 5,15,11, 1, 0, 0), 0),
    (( 0, 0, 5,12,10, 2, 0, 0, 0, 0,12,16,16, 5, 0, 0, 0, 0,16,16,16, 3, 0, 0, 0, 0,13,16,16, 3, 0, 0, 0, 3,16,16,16, 3, 0, 0, 0, 0,16,16,16, 5, 0, 0, 0, 0,14,16,16,12, 1, 0, 0, 0, 3, 8,10, 8, 2, 0), 1),
    (( 0, 1, 9,13,13, 5, 0, 0, 0,10,14, 6, 9,16, 3, 0, 0, 7,10, 0, 0,16, 6, 0, 0, 0, 0, 0,10,14, 1, 0, 0, 0, 0, 9,15, 3, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 0,14, 9, 0, 3, 1, 0, 0, 0,14,16,15,12, 2, 0), 2),
    (( 0, 0, 7,16,16,16,12, 0, 0, 0, 4, 9, 8,16, 6, 0, 0, 0, 0, 0, 6,12, 0, 0, 0, 0, 0, 4,13, 9, 0, 0, 0, 0, 8,16,16,16, 9, 0, 0, 0, 5,16, 8, 4, 1, 0, 0, 0, 3,13, 1, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 3,12, 2, 0, 0, 0, 0, 0,12,12, 0, 0, 0, 0, 0, 6,16, 4, 8,13, 0, 0, 1,15, 8, 1,15, 8, 0, 0, 6,16,14,13,16, 1, 0, 0, 2, 4,10,16,10, 0, 0, 0, 0, 0, 5,16, 2, 0, 0, 0, 0, 0, 3,10, 0, 0, 0), 4),
    (( 0, 0, 8,16,16,11, 2, 0, 0, 0, 5, 8, 9,16, 9, 0, 0, 0, 0, 0, 2,16, 5, 0, 0, 0, 4, 8,12,12, 0, 0, 0, 0,11,16,16,16, 4, 0, 0, 0, 2,14,11,14, 5, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 4,15, 0, 0, 0, 0, 0, 3,15,10, 0, 0, 0, 0, 0,11,15, 0, 4, 0, 0, 0, 5,16, 8, 4,16, 3, 0, 0, 3,16,14,13,16, 2, 0, 0, 0, 4, 6,15,14, 2, 0, 0, 0, 0, 0,15, 6, 0, 0, 0, 0, 0, 2,15, 2, 0, 0), 4),
    (( 0, 1, 8,13,16,13, 0, 0, 0, 5,14, 7, 8,15, 0, 0, 0, 0, 0, 2,13, 8, 0, 0, 0, 0, 0,13,16,13, 1, 0, 0, 0, 0, 2, 5,14, 7, 0, 0, 0, 0, 0, 0,13, 7, 0, 0, 0, 2, 6,12,13, 1, 0, 0, 0, 7,13, 7, 1, 0, 0), 3),
    (( 0, 0, 0, 0, 1,14, 4, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 0,15,16, 5, 0, 0, 0, 0, 8,16,16, 3, 0, 0, 0, 6,16, 9,16, 0, 0, 0, 2,16, 8, 4,16, 0, 0, 0, 2, 4, 0, 2,15, 3, 0), 1),
    (( 0, 0, 7, 9,13,14, 4, 0, 0, 0, 9, 7, 6,16, 8, 0, 0, 0, 0, 1,13,10, 0, 0, 0, 0, 0,14,14, 1, 0, 0, 0, 0, 0,10,16, 4, 0, 0, 0, 0, 0, 2,11,14, 0, 0, 0, 1,10, 9, 8,16, 3, 0, 0, 1, 9,13,12, 8, 0, 0), 3),
    (( 0, 0, 5,15, 7, 0, 0, 0, 0, 1,16,16,10, 7, 0, 0, 0, 8,13, 0, 3,16, 3, 0, 0, 9,10, 0, 0, 9, 7, 0, 0, 8,12, 0, 0, 8, 8, 0, 0, 4,14, 0, 0, 5,12, 0, 0, 2,15, 5, 6,14, 6, 0, 0, 0, 6,13,15,10, 2, 0), 0),
    (( 0, 0, 1,14,12, 1, 0, 0, 0, 0, 8,16, 9, 0, 0, 0, 0, 0,15,16, 0, 0, 0, 0, 0, 0,16,12, 0, 0, 0, 0, 0, 1,16,11, 0, 0, 0, 0, 0, 0,16,16,15, 4, 0, 0, 0, 0,11,13,13,16, 1, 0, 0, 0, 2,12,16,14, 2, 0), 6),
    (( 0, 0,16,10, 0, 0, 0, 0, 0, 3,16,16, 6, 0, 0, 0, 0, 0,16,12,12, 0, 0, 0, 0, 0,13,11,14, 0, 0, 0, 0, 0, 1, 6,16, 0, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0,13,16,16,14, 8, 0, 0, 1,13,16,16,15,16, 5), 2),
    (( 0, 3,15,14, 5, 1, 0, 0, 0,12,16,16,16,16, 5, 0, 0, 9,16,15, 7, 8, 3, 0, 0, 1,13,13, 0, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 1,15,11, 0, 0, 0, 0, 0, 7,16,10, 0, 0, 0, 0, 2,16,13, 1, 0, 0, 0), 5),
    (( 0, 0, 2, 6, 9, 4, 0, 0, 0, 3,15, 5, 8,13, 0, 0, 0, 4,15, 3, 5,16, 0, 0, 0, 0, 9,13,15, 7, 0, 0, 0, 0, 3,16,12, 0, 0, 0, 0, 0, 9, 9,13, 6, 0, 0, 0, 0,10, 8,11,16, 1, 0, 0, 0, 5,12,12, 7, 0, 0), 8),
    (( 0, 0, 3,10,14,14, 0, 0, 0,10,16,14,10,15, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 6,16, 8, 1, 0, 0, 0, 0, 2,11,15,15, 5, 0, 0, 0, 0, 0, 0,15,15, 0, 0, 0, 0, 0,12,13, 1, 0, 0, 0, 0, 0,11, 4, 0, 0, 0), 5),
    (( 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 7,15, 3, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 0,14, 4, 2, 3, 0, 0, 0, 0,12,12,16,12,10, 0, 0, 0, 9,14, 8, 0, 8, 4, 0, 0, 4, 9, 1, 2,14, 5, 0, 0, 0, 6,11,14, 8, 0), 6),
    (( 0, 0, 6,14, 6, 1, 0, 0, 0, 0,14,16,14, 9, 0, 0, 0, 3,16, 3, 1,15, 1, 0, 0, 4,13, 0, 0,11, 5, 0, 0, 2,14, 0, 0,11, 8, 0, 0, 2,16, 2, 2,16, 4, 0, 0, 0,12, 9,12,12, 0, 0, 0, 0, 4,13,11, 1, 0, 0), 0),
    (( 0, 0, 7,13, 9, 0, 0, 0, 0, 0,13,11,13,11, 0, 0, 0, 0,14, 8,12,16, 2, 0, 0, 0, 5,13,13,15, 3, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 0, 0, 0, 0, 3,13, 0, 0, 0,12, 9, 4, 4,16, 0, 0, 0, 7,16,16,16,12, 0), 9),
    (( 0, 0, 4,16,16, 6, 0, 0, 0, 3,11,11, 5,15, 2, 0, 0, 8,16, 8, 0,13, 7, 0, 0,11,16, 3, 0,10,11, 0, 0, 9,16, 0, 0, 4,12, 0, 0, 6,16, 2, 0, 7,11, 0, 0, 1,16,10, 5,15, 5, 0, 0, 0, 4,15,16,10, 0, 0), 0),
    (( 0, 0, 0,10,16, 3, 0, 0, 0, 0, 5,15, 5, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 2,15,10, 8, 2, 0, 0, 0, 1,13,13,10,14, 0, 0, 0, 0, 5,12, 2,14, 6, 0, 0, 0, 0, 7,16,16, 2, 0), 6),
    (( 0, 0, 8,16, 7, 0, 0, 0, 0, 0,11,14,16, 4, 0, 0, 0, 0, 0, 1,14, 3, 0, 0, 0, 0, 8,14,16, 6, 0, 0, 0, 0, 6,16,16,16, 7, 0, 0, 0, 0,12, 9,13, 5, 0, 0, 0, 4,14, 2, 0, 0, 0, 0, 0, 9,10, 0, 0, 0, 0), 7),
    (( 0, 0, 3,14,16,14, 0, 0, 0, 0,15,11,14,16, 0, 0, 0, 5,10, 0,13,10, 0, 0, 0, 0, 3, 8,16,10, 1, 0, 0, 0,13,16,16,16,10, 0, 0, 0, 4,14, 9, 5, 1, 0, 0, 0, 2,16, 4, 0, 0, 0, 0, 0, 3,15, 0, 0, 0, 0), 7),
    (( 0, 0, 0, 0, 4,16, 5, 0, 0, 0, 0, 2,15,16, 4, 0, 0, 0, 1,13,16,16, 0, 0, 0, 1,14,12,14,12, 0, 0, 0, 6,14, 1,10,13, 0, 0, 0, 4, 2, 0, 9,13, 0, 0, 0, 0, 0, 0, 8,12, 0, 0, 0, 0, 0, 0, 4,14, 0, 0), 1),
    (( 0, 0, 2,11,16,10, 0, 0, 0, 0,14,12, 8,12, 9, 0, 0, 4,16, 5, 2,14, 9, 0, 0, 4,16,16,15,10, 2, 0, 0, 0, 3,16,15, 0, 0, 0, 0, 0, 8,15,14, 0, 0, 0, 0, 0, 9,16,16, 4, 0, 0, 0, 0, 1,14,11, 2, 0, 0), 8),
    (( 0, 0, 1,15, 9, 0, 0, 0, 0, 0, 4,16,16, 2, 0, 0, 0, 5,15,16,16, 5, 0, 0, 0, 2, 8,11,16,12, 0, 0, 0, 0, 0, 2,16,16, 2, 0, 0, 0, 0, 0,13,16, 8, 0, 0, 0, 2, 8,13,16, 8, 0, 0, 0, 1,11,14,12, 2, 0), 1),
    (( 0, 2,15,16,16,12, 2, 0, 0, 0, 2,10,16,16, 5, 0, 0, 0, 0,11,16, 5, 0, 0, 0, 0, 0,11,16,10, 0, 0, 0, 0, 0, 1,10,16, 7, 0, 0, 0, 0, 0, 8,16, 9, 0, 0, 0, 5,11,16,15, 2, 0, 0, 3,16,14,10, 2, 0, 0), 3),
    (( 0, 0, 9,13, 7, 0, 0, 0, 0, 2,15,10,14, 6, 0, 0, 0,12,13, 0, 9,16, 2, 0, 0, 8,16,12,14,16, 6, 0, 0, 1, 8, 8,10,16, 2, 0, 0, 0, 0, 0, 1,16, 5, 0, 0, 0, 8, 4, 7,16, 2, 0, 0, 0,10,15,16,13, 0, 0), 9),
    (( 0, 0, 9,16,15, 9, 0, 0, 0, 4,16,15,12,14, 2, 0, 0, 9,16,12, 3, 0, 0, 0, 0, 5,16,16,13, 2, 0, 0, 0, 0, 3, 4,14, 5, 0, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 7,11,16, 7, 0, 0, 0, 0,13,16,13, 1, 0, 0), 5),
    (( 0, 0, 0, 1,13,12, 1, 0, 0, 0, 0, 6,16,14, 1, 0, 0, 8,12,16,16,11, 0, 0, 0, 4, 8, 9,16,15, 0, 0, 0, 0, 0, 0,16,15, 0, 0, 0, 0, 0, 0,13,16, 3, 0, 0, 0, 0, 0,12,16, 4, 0, 0, 0, 0, 0,11,16, 5, 0), 1),
    (( 0, 0, 9,13,10, 1, 0, 0, 0, 7,14, 4,15, 8, 0, 0, 0,10, 8, 0,10,14, 0, 0, 0, 4,14,12,14,15, 4, 0, 0, 0, 2, 4, 2,12, 6, 0, 0, 0, 0, 0, 1,15, 5, 0, 0, 0, 0, 4,10,15, 1, 0, 0, 0, 9,12, 9, 2, 0, 0), 9),
    (( 0, 0, 5,12,12, 3, 0, 0, 0, 0, 9,16,16,12, 0, 0, 0, 0, 9,16,16,15, 0, 0, 0, 0,11,16,16,10, 0, 0, 0, 0,11,16,16, 9, 0, 0, 0, 0,13,16,16, 3, 0, 0, 0, 0,12,16,15, 2, 0, 0, 0, 0, 2, 9,11, 2, 0, 0), 1),
    (( 0, 0, 0, 6,16, 4, 0, 0, 0, 0, 0,16,16, 5, 0, 0, 0, 0, 5,16,16, 4, 0, 0, 0, 5,15,16,16, 4, 0, 0, 0, 8,16,16,16, 7, 0, 0, 0, 0, 0, 7,16,16, 0, 0, 0, 0, 0, 6,16,16, 5, 0, 0, 0, 0, 3,16,16, 3, 0), 1),
    (( 0, 0, 7,16,13, 6, 0, 0, 0, 2,14, 5, 7,15, 2, 0, 0, 3, 7, 1,10,14, 0, 0, 0, 5,14,14,13, 1, 0, 0, 0, 0, 6,16, 9, 0, 0, 0, 0, 0,10, 7,13, 2, 0, 0, 0, 0,14, 4,13, 4, 0, 0, 0, 0, 9,14,11, 1, 0, 0), 8),
    (( 0, 0, 1,14,16,12, 1, 0, 0, 0,14, 7, 3,12, 4, 0, 0, 2,14, 0, 1,16, 1, 0, 0, 0,12,10,16, 6, 0, 0, 0, 0,11,14,15, 4, 0, 0, 0, 4,14, 0, 5,14, 2, 0, 0, 1,15, 6, 1,11, 7, 0, 0, 0, 3, 8,14,15, 1, 0), 8),
    (( 0, 2,12,15,16,14, 2, 0, 0, 6,16,15,11,12, 5, 0, 0, 4,16, 2, 0, 0, 0, 0, 0, 1,13, 5, 0, 0, 0, 0, 0, 0,11, 8, 0, 0, 0, 0, 0, 0, 5,16, 0, 0, 0, 0, 0, 2,12,14, 0, 0, 0, 0, 0, 2,16,10, 0, 0, 0, 0), 5),
    (( 0, 0, 2,11,16,16,11, 0, 0, 0,13,11, 4,13,13, 0, 0, 0,12,14,15,14, 2, 0, 0, 0,12,16,15, 5, 0, 0, 0, 0, 8,16,11, 0, 0, 0, 0, 2,16, 9,16, 4, 0, 0, 0, 4,16, 6,14,10, 0, 0, 0, 0, 3,12,15, 6, 0, 0), 8),
    (( 0, 0, 0, 5, 8,12,10, 0, 0, 0,11,14, 4,15, 8, 0, 0, 4,16,14,11,16, 7, 0, 0, 7,16,16,16,14, 7, 0, 0, 1, 8, 6, 0, 7, 8, 0, 0, 0, 0, 0, 0, 5, 8, 0, 0, 0, 0, 0, 3,13, 6, 0, 0, 0, 0, 4,16, 8, 0, 0), 9),
    (( 0, 0,12, 4, 0, 0, 0, 0, 0, 0,15, 4, 0, 0, 0, 0, 0, 2,15, 2, 0, 0, 0, 0, 0, 2,15, 6,12, 8, 0, 0, 0, 7,16,14, 9,10, 6, 0, 0, 4,16,14, 3, 1,10, 0, 0, 3,16,13,15,16, 5, 0, 0, 0,10,15,10, 3, 0, 0), 6),
    (( 0, 0, 1, 8,14, 8, 0, 0, 0, 7,16,15,10, 5, 0, 0, 0,14,10, 2, 0, 0, 0, 0, 0, 4,14, 8, 0, 0, 0, 0, 0, 0, 2,13,11, 0, 0, 0, 0, 0, 0, 1,12, 7, 0, 0, 0, 0, 2,13,10,16, 0, 0, 0, 0, 0,13,12,11, 1, 0), 5),
    (( 0, 0, 2,13, 7, 0, 0, 0, 0, 0,12,14, 4, 0, 0, 0, 0, 0,15, 3, 0, 0, 0, 0, 0, 6,14, 2, 6, 0, 0, 0, 0, 7,16,16,16,13, 1, 0, 0, 4,16, 8, 1,12,10, 0, 0, 1,12, 9, 4, 9,15, 0, 0, 0, 2,11,16,15, 4, 0), 6),
    (( 0, 0, 7,16,11, 1, 0, 0, 0, 2,15,12,15,12, 0, 0, 0, 6,16, 6, 6,16, 3, 0, 0, 8,16, 4, 1,16, 7, 0, 0, 4,16, 4, 0,13, 8, 0, 0, 4,16, 4, 2,16, 5, 0, 0, 2,15,11,14,11, 0, 0, 0, 0, 6,15,11, 1, 0, 0), 0),
    (( 0, 0, 7,15,14, 9, 0, 0, 0, 4,15, 5,12,16, 4, 0, 0, 7,13, 1, 9,14, 3, 0, 0, 1,14,16,16, 2, 0, 0, 0, 0,12,12,14,12, 0, 0, 0, 2,16, 1, 2,15, 4, 0, 0, 1,15, 7, 0,14, 8, 0, 0, 0, 6,16,16,13, 2, 0), 8),
    (( 0, 0, 7,14,16,14, 1, 0, 0, 5,16,13, 8, 6, 0, 0, 0, 4,16, 4, 0, 0, 0, 0, 0, 7,16,16,15, 2, 0, 0, 0, 3, 8, 5,15, 9, 0, 0, 0, 0, 0, 0, 3,16, 3, 0, 0, 2,15,10,11,16, 3, 0, 0, 0, 8,15,15, 4, 0, 0), 5),
    (( 0, 0, 0, 4,14, 5, 9, 0, 0, 0, 4,16, 6,11,13, 0, 0, 2,14, 9, 2,16, 4, 0, 0, 7,16,16,16,15, 0, 0, 0, 3,16,16,16,13, 2, 0, 0, 0, 2, 9,16, 1, 0, 0, 0, 0, 0, 6,16, 2, 0, 0, 0, 0, 0, 6,16, 5, 0, 0), 4),
    (( 0, 0, 3,15,13, 1, 0, 0, 0, 1,15,12,13,10, 0, 0, 0, 3,16, 1, 1,12, 2, 0, 0, 6,12, 0, 0, 4, 6, 0, 0, 4,11, 0, 0, 4, 8, 0, 0, 0,13, 3, 5,13, 8, 0, 0, 0,10,15,16,16, 5, 0, 0, 0, 2,14,12, 5, 0, 0), 0),
    (( 0, 0, 6,13,10, 0, 0, 0, 0, 3,16,11,14, 6, 0, 0, 0, 9,11, 0,12,12, 0, 0, 0, 4, 4, 0, 9,12, 0, 0, 0, 0, 0, 4,16, 3, 0, 0, 0, 0, 0,13,15, 3, 0, 0, 0, 0, 8,16,15,16,11, 0, 0, 0, 4,14,10, 2, 0, 0), 2),
    (( 0, 0, 2,13,14, 2, 0, 0, 0, 0,10,16,13, 4, 0, 0, 0, 0,13,15, 1, 0, 0, 0, 0, 1,16, 9, 0, 0, 0, 0, 0, 1,16,15,12, 2, 0, 0, 0, 1,15,16,11,13, 0, 0, 0, 0,11,12, 8,16, 1, 0, 0, 0, 2,13,16,15, 0, 0), 6),
    (( 0, 0, 0, 0, 7,16,11, 0, 0, 0, 0, 1,16,16, 7, 0, 0, 0, 4,15,16, 5, 0, 0, 0, 4,16,16,15, 0, 0, 0, 0, 1, 8,16,16, 3, 0, 0, 0, 0, 0,10,16, 9, 0, 0, 0, 0, 0, 4,16,12, 0, 0, 0, 0, 0, 0, 7,12, 0, 0), 1),
    (( 0, 0, 0, 2,13, 0, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 3,16, 6, 1, 4, 0, 0, 0,11,10, 0,12, 8, 0, 0, 6,16, 7, 7,16, 1, 0, 0, 9,16,16,16,16, 3, 0, 0, 0, 3, 5,15, 8, 1, 0, 0, 0, 0, 2,11, 0, 0, 0), 4),
    (( 0, 0, 9,11, 0, 0, 0, 0, 0, 7,16,16, 8, 0, 0, 0, 0, 8,11, 7,11, 0, 0, 0, 0, 2, 4, 8,11, 0, 0, 0, 0, 0, 1,14, 3, 0, 0, 0, 0, 0, 9,12, 0, 0, 0, 0, 0, 0,14,16,15,14, 7, 0, 0, 0, 8,12,12,15,10, 0), 2),
    (( 0, 0, 2,15, 1, 0, 0, 0, 0, 0,10,10, 0, 0, 0, 0, 0, 1,14, 3, 0, 0, 0, 0, 0, 7,13, 0, 0, 0, 0, 0, 0, 7,15,16,12, 6, 1, 0, 0, 4,16,11, 8,13, 9, 0, 0, 1,15,10, 4,10,14, 0, 0, 0, 4,12,16,12, 5, 0), 6),
    (( 0, 0, 0, 0,10, 5, 0, 0, 0, 0, 0, 0,16, 4, 0, 0, 0, 0, 0, 9,12, 4, 3, 0, 0, 0, 2,15, 1,11, 8, 0, 0, 0,14, 7, 0,14, 4, 0, 0, 6,16, 9,15,15, 2, 0, 0, 9,13, 8,13, 4, 0, 0, 0, 0, 0, 0, 9, 4, 0, 0), 4),
    (( 0, 0, 7,12, 9, 0, 0, 0, 0, 0,13,13,14, 9, 0, 0, 0, 0,11,12,14,14, 0, 0, 0, 0, 1,10,12,15, 4, 0, 0, 0, 0, 0, 0,11, 9, 0, 0, 0, 0, 0, 0, 9, 9, 0, 0, 0, 0, 0, 1,14, 6, 0, 0, 0, 5,12,14,11, 1, 0), 9),
    (( 0, 1, 9,13,15, 3, 0, 0, 0, 8,14, 8,12,16, 0, 0, 0, 1, 1, 0,10,14, 0, 0, 0, 0, 0, 6,15, 7, 0, 0, 0, 0,10,16,16,10, 2, 0, 0, 0, 5, 8, 8,14, 8, 0, 0, 1, 6, 4, 7,15, 6, 0, 0, 1,11,15,12, 4, 0, 0), 3),
    (( 0, 0, 7,16,16,10, 0, 0, 0, 4,16,13,16,15, 0, 0, 0, 0, 8, 2,16,12, 0, 0, 0, 0, 0, 8,16, 6, 0, 0, 0, 0, 4,16, 9, 0, 0, 0, 0, 1,13,15, 2, 0, 0, 0, 0, 1,16,15,12,12, 5, 0, 0, 0, 9,16,14, 7, 1, 0), 2),
    (( 0, 0, 0, 4,14, 0, 0, 0, 0, 0, 0,13, 9, 0, 0, 0, 0, 0, 2,16, 2, 0, 0, 0, 0, 1,12,11, 1, 6, 2, 0, 0, 9,16,16,16,16, 2, 0, 0, 0, 7, 9,16, 8, 0, 0, 0, 0, 0, 6,16, 5, 0, 0, 0, 0, 0, 7,13, 1, 0, 0), 4),
    (( 0, 0, 7,13,12, 9, 1, 0, 0, 3,15, 5, 5,16, 4, 0, 0, 3,15, 2, 7,16, 1, 0, 0, 0, 5,15,16,15, 4, 0, 0, 0, 0, 0, 0,11, 7, 0, 0, 1, 4, 0, 0, 9, 7, 0, 0, 3,13, 1, 0,10, 8, 0, 0, 0, 9,15,16,16, 1, 0), 9),
    (( 0, 0, 3,13,14, 2, 0, 0, 0, 0, 7, 9,14,12, 0, 0, 0, 0, 0, 0, 7,11, 0, 0, 0, 0, 0, 0, 9, 7, 0, 0, 0, 2,13,16,16,13, 3, 0, 0, 2,16,16,14, 7, 1, 0, 0, 0, 0,16, 8, 0, 0, 0, 0, 0, 2,13, 2, 0, 0, 0), 7),
    (( 0, 0, 2,11, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 0, 0, 0, 0,16, 6, 0, 0, 0, 0, 0, 0,15, 7, 4, 1, 0, 0, 0, 4,16,16,16,15, 3, 0, 0, 1,16,13, 8,14,12, 0, 0, 0,14,15,12,15,12, 0, 0, 0, 2,15,16,14, 4, 0), 6),
    (( 0, 0, 8,15,16,16,12, 0, 0, 0, 4,12,13,16, 8, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 1, 9,12,16,13, 4, 0, 0, 5,16,16,16,14, 5, 0, 0, 0, 2,16, 5, 0, 0, 0, 0, 0,10,14, 0, 0, 0, 0, 0, 0,11,11, 0, 0, 0, 0), 7),
    (( 0, 3,13,16,16,12, 0, 0, 0,13,16,15, 8,10, 3, 0, 0,12,16, 2, 0, 0, 0, 0, 0, 3,15, 9, 0, 0, 0, 0, 0, 0, 7,16, 2, 0, 0, 0, 0, 0, 1,16, 8, 0, 0, 0, 0, 0,10,16, 5, 0, 0, 0, 0, 3,16,13, 0, 0, 0, 0), 5),
    (( 0, 0,10,13,15,12, 5, 0, 0, 0, 9, 5, 5,13, 7, 0, 0, 0, 0, 1,11,13, 0, 0, 0, 0, 5,16,16, 3, 0, 0, 0, 0, 2,10,12,15, 7, 0, 0, 0, 0, 0, 1,16, 4, 0, 0, 0, 2, 8,13,12, 1, 0, 0, 0,10,15, 7, 0, 0, 0), 3),
    (( 0, 0, 2,10, 7, 0, 0, 0, 0, 3,16,11, 8, 6, 0, 0, 0, 4,13, 0, 0, 8, 0, 0, 0, 4,16, 9,11,11, 0, 0, 0, 0,10,16,16,15, 2, 0, 0, 0, 4,16, 4, 3, 8, 0, 0, 0, 8, 9, 0, 2, 9, 0, 0, 0, 3,11, 8, 8, 4, 0), 8),
    (( 0, 0, 8,12,12, 1, 0, 0, 0, 6,12, 2, 6, 8, 0, 0, 0, 5,11, 0, 3,16, 7, 0, 0, 0,14, 6,10,10, 1, 0, 0, 0, 6,16, 8, 0, 0, 0, 0, 0, 7,16, 5, 0, 0, 0, 0, 0,12,10,10, 0, 0, 0, 0, 0,11,14, 9, 0, 0, 0), 8),
    (( 0, 0, 5,15,12, 3, 0, 0, 0, 0, 9,12,10, 3, 0, 0, 0, 0,14, 6, 0, 0, 0, 0, 0, 0,15,16,16, 3, 0, 0, 0, 0, 7, 8,10,10, 0, 0, 0, 0, 0, 0, 5,13, 0, 0, 0, 0, 4,12,16,11, 0, 0, 0, 0, 6,16,11, 2, 0, 0), 5),
    (( 0, 1,10,13,10, 1, 0, 0, 0, 6,14, 4,10,15, 2, 0, 0, 8,12, 0, 2,16, 3, 0, 0, 2,14, 8,10,16, 4, 0, 0, 0, 2, 4, 4,13, 6, 0, 0, 0, 0, 0, 0,12, 8, 0, 0, 6,12, 2, 6,16, 4, 0, 0, 1,10,16,13, 5, 0, 0), 9),
    (( 0, 0, 4,12,13,11, 0, 0, 0, 3,15, 3, 7,16, 1, 0, 0, 4,12, 9,15, 4, 0, 0, 0, 0,11,15, 1, 0, 0, 0, 0, 1,13,16,12, 0, 0, 0, 0, 3,14, 1,14, 3, 0, 0, 0, 0,12, 3, 4,12, 0, 0, 0, 0, 3,12,12,13, 0, 0), 8),
    (( 0, 0, 6,14, 9, 0, 0, 0, 0, 3,16,13,16, 6, 0, 0, 0, 2,16, 3, 9,13, 0, 0, 0, 1,16, 1, 1,15, 4, 0, 0, 3,16, 0, 0,12, 6, 0, 0, 0,16, 1, 0,13, 4, 0, 0, 0,16, 8, 8,15, 1, 0, 0, 0, 7,15,14, 5, 0, 0), 0),
    (( 0, 1,11,16,16,15, 1, 0, 0, 3,15, 7,10,16, 3, 0, 0, 0, 0, 4,16, 8, 0, 0, 0, 0, 0, 5,15,10, 0, 0, 0, 0, 0, 0, 3,16, 8, 0, 0, 0, 0, 0, 0,11,13, 0, 0, 4,11, 1, 1,11,14, 0, 0, 1,13,16,16,15, 6, 0), 3),
    (( 0, 0, 2,12, 8, 0, 0, 0, 0, 0,13,11, 1, 0, 0, 0, 0, 2,15, 1, 0, 0, 0, 0, 0, 6,13, 0, 0, 0, 0, 0, 0, 8,14,10,11, 5, 0, 0, 0, 4,16,15, 8,12, 7, 0, 0, 0,15,11, 4,11,10, 0, 0, 0, 3,13,15,12, 3, 0), 6),
    (( 0, 0, 3,14,10, 0, 0, 0, 0, 0,13,14,15,10, 0, 0, 0, 2,16, 5, 8,16, 3, 0, 0, 4,14, 0, 4,16, 1, 0, 0, 4,16, 0, 3,15, 1, 0, 0, 4,16, 1, 0,12, 4, 0, 0, 1,14,11, 9,16, 3, 0, 0, 0, 3,12,12, 4, 0, 0), 0),
    (( 0, 0,13,15,16,16, 3, 0, 0, 1,14, 4, 4, 0, 0, 0, 0, 2,14,11, 7, 1, 0, 0, 0, 2,15, 9,13,11, 0, 0, 0, 0, 0, 0, 0,15, 2, 0, 0, 0, 0, 0, 0,14, 3, 0, 0, 3,13, 4, 6,14, 0, 0, 0, 0,13,16,12, 3, 0, 0), 5),
    (( 0, 0, 8,16,15, 5, 0, 0, 0, 0, 7, 8,15,10, 0, 0, 0, 0, 0, 0,14,10, 0, 0, 0, 0, 5,12,16,14, 2, 0, 0, 0,16,16,15,10, 6, 0, 0, 0, 1,14, 7, 0, 0, 0, 0, 0, 4,16, 0, 0, 0, 0, 0, 0, 4,12, 0, 0, 0, 0), 7),
    (( 0, 0, 1, 9,16,13, 1, 0, 0, 0,13, 9, 5,14, 8, 0, 0, 3,14, 0, 0,13,12, 0, 0, 2,15,12,16,16, 3, 0, 0, 0, 3, 8,11,12, 0, 0, 0, 0, 0, 3,14, 2, 0, 0, 0, 0, 0,12, 9, 0, 0, 0, 0, 0, 1,15, 3, 0, 0, 0), 9),
    (( 0, 0, 2,12, 1, 0, 0, 0, 0, 0,11,12, 0, 0, 0, 0, 0, 0,16, 5, 0, 0, 0, 0, 0, 2,16, 5, 4, 1, 0, 0, 0, 2,16,16,16,13, 2, 0, 0, 1,15, 8, 0, 7,12, 0, 0, 0, 8, 9, 2, 5,15, 0, 0, 0, 0,11,16,14, 8, 0), 6),
    (( 0, 1, 4, 8,14,16, 6, 0, 0,11,16,16,16,13, 3, 0, 0, 9,16, 5, 2, 0, 0, 0, 0, 3,16,11, 3, 0, 0, 0, 0, 0, 6,16,16, 5, 0, 0, 0, 0, 0, 2,16, 8, 0, 0, 0, 0, 0,12,16, 3, 0, 0, 0, 0, 0,12,11, 0, 0, 0), 5),
    (( 0, 0,10,16,12, 0, 0, 0, 0, 7,16,13,16, 1, 0, 0, 0, 6, 5, 6,15, 2, 0, 0, 0, 0, 0,10,12, 0, 0, 0, 0, 0, 0,14, 9, 0, 0, 0, 0, 0, 6,15, 5, 0, 0, 0, 0, 0,16,15,16,12, 3, 0, 0, 0,12,16,15,12, 5, 0), 2),
    (( 0, 1,13,12, 4, 0, 0, 0, 0, 1,16,12,16, 6, 0, 0, 0, 0,16, 7,14,10, 0, 0, 0, 0, 9,14,16,13, 0, 0, 0, 0, 0, 7, 9,15, 1, 0, 0, 0, 0, 0, 0,10, 8, 0, 0, 0, 4, 5, 4,10,15, 0, 0, 0, 6,13,16,14, 6, 0), 9),
]

bias = [
    (0.969158, False),
    (0.825657, False),
    (1.002526, True ),
    (1.603653, True ),
    (0.024345, False),
    (1.565128, True ),
    (1.888451, True ),
    (1.326667, True ),
    (1.795088, True ),
    (0.477552, False),
    (1.866341, True ),
    (1.051135, True ),
    (0.536354, False),
    (0.751526, False),
    (1.762473, True ),
    (0.284777, False),
    (1.722688, True ),
    (1.252379, True ),
    (0.555080, False),
    (0.519895, False),
    (0.007697, False),
    (0.917712, False),
    (0.614208, False),
    (0.127803, False),
    (0.110005, False),
    (0.684318, False),
    (0.210419, False),
    (0.835065, False),
    (1.726669, True ),
    (0.166779, False),
    (1.469879, True ),
    (0.032443, False),
    (0.278422, False),
    (0.080753, False),
    (0.103627, False),
    (0.909821, False),
    (0.088014, False),
    (1.609902, True ),
    (1.327772, True ),
    (1.137231, True ),
    (0.029271, False),
    (1.636482, True ),
    (0.506361, False),
    (0.181422, False),
    (1.946640, True ),
    (1.442539, True ),
    (0.017094, False),
    (1.496816, True ),
    (0.685943, False),
    (1.617071, True ),
    (0.561220, False),
    (0.175982, False),
    (0.754162, False),
    (1.600148, True ),
    (1.352960, True ),
    (0.140445, False),
    (1.942114, True ),
    (1.673121, True ),
    (0.702253, False),
    (1.754484, True ),
    (1.176622, True ),
    (0.984811, False),
    (1.950320, True ),
    (0.841152, False),
    (1.400329, True ),
    (1.277878, True ),
    (1.766008, True ),
    (0.253820, False),
    (0.790864, False),
    (1.847719, True ),
    (0.407060, False),
    (1.263585, True ),
    (0.298929, False),
    (0.487645, False),
    (1.991338, True ),
    (0.459222, False),
    (1.293165, True ),
    (1.639372, True ),
    (0.507215, False),
    (1.695809, True ),
    (0.942680, False),
    (0.400245, False),
    (0.408682, False),
    (1.092606, True ),
    (1.758721, True ),
    (0.321886, False),
    (0.764893, False),
    (1.544719, True ),
    (1.839185, True ),
    (1.412031, True ),
    (1.448648, True ),
    (0.590293, False),
    (0.995211, False),
    (0.615989, False),
    (1.499807, True ),
    (0.706231, False),
    (0.468371, False),
    (0.080895, False),
    (0.218278, False),
    (1.086071, True ),
    (1.674590, True ),
    (0.090538, False),
    (0.170184, False),
    (1.663983, True ),
    (0.139993, False),
    (0.555552, False),
    (0.674380, False),
    (1.556539, True ),
    (1.497619, True ),
    (1.305456, True ),
    (0.231468, False),
    (1.878293, True ),
    (1.814713, True ),
    (1.680637, True ),
    (0.598890, False),
    (0.577522, False),
    (0.902262, False),
    (0.944321, False),
    (1.301104, True ),
    (1.852290, True ),
    (1.082735, True ),
    (1.896067, True ),
    (0.775794, False),
    (0.649388, False),
    (0.925561, False),
    (1.535368, True ),
    (0.903995, False),
    (0.515287, False),
    (1.800770, True ),
    (1.702721, True ),
    (1.115940, True ),
    (1.861482, True ),
    (1.428368, True ),
    (0.206842, False),
    (1.576269, True ),
    (0.393872, False),
    (1.276889, True ),
    (0.837149, False),
    (1.839750, True ),
    (1.620574, True ),
    (0.987603, False),
    (1.044613, True ),
    (0.842179, False),
    (0.260171, False),
    (1.738783, True ),
    (1.495511, True ),
    (1.530595, True ),
    (1.877192, True ),
    (0.373905, False),
    (1.114226, True ),
    (0.947042, False),
    (1.533132, True ),
    (0.068743, False),
    (1.263401, True ),
    (0.265566, False),
    (1.543367, True ),
    (1.363984, True ),
    (1.913141, True ),
    (0.802019, False),
    (1.901215, True ),
    (1.337057, True ),
    (1.974657, True ),
    (0.354368, False),
    (1.626848, True ),
    (0.440538, False),
    (0.943833, False),
    (1.732486, True ),
    (0.735363, False),
    (0.274347, False),
    (0.632127, False),
    (1.274574, True ),
    (1.114594, True ),
    (1.564203, True ),
    (0.627614, False),
    (0.764168, False),
    (0.640724, False),
    (0.790420, False),
    (1.282251, True ),
    (1.043571, True ),
    (1.149451, True ),
    (0.252327, False),
    (1.189524, True ),
    (0.083133, False),
    (1.067536, True ),
    (0.235796, False),
    (1.558817, True ),
    (1.669121, True ),
    (0.192094, False),
    (1.085006, True ),
    (1.331037, True ),
    (1.646407, True ),
    (0.730694, False),
    (1.830253, True ),
    (0.855029, False),
    (0.152978, False),
    (0.528308, False),
    (1.638665, True ),
    (0.524458, False),
    (1.620659, True ),
    (0.205621, False),
    (0.111865, False),
    (1.818039, True ),
    (1.108185, True ),
    (0.599180, False),
    (1.158197, True ),
    (0.880191, False),
    (0.269824, False),
    (1.394939, True ),
    (1.823873, True ),
    (1.107464, True ),
    (0.820250, False),
    (1.847384, True ),
    (1.356814, True ),
    (1.942528, True ),
    (0.943658, False),
    (0.730722, False),
    (1.288806, True ),
    (0.043552, False),
    (1.915762, True ),
    (0.396285, False),
    (1.490803, True ),
    (1.024183, True ),
    (1.927759, True ),
    (0.048302, False),
    (1.246468, True ),
    (0.838876, False),
    (1.829238, True ),
    (1.797400, True ),
    (0.848410, False),
    (1.366524, True ),
    (1.515472, True ),
    (0.584036, False),
    (1.831523, True ),
    (1.710602, True ),
    (1.460859, True ),
    (0.566000, False),
    (1.241521, True ),
    (1.110429, True ),
    (1.494836, True ),
    (1.191273, True ),
    (1.954189, True ),
    (1.551047, True ),
    (0.196230, False),
    (0.105430, False),
    (1.465727, True ),
    (0.950706, False),
    (1.050884, True ),
    (0.291453, False),
    (0.752010, False),
    (1.515400, True ),
    (0.720637, False),
    (1.831732, True ),
    (0.543505, False),
    (0.754684, False),
    (0.091662, False),
    (1.910133, True ),
    (0.994878, False),
    (0.333863, False),
    (0.172571, False),
    (0.425188, False),
    (1.846591, True ),
    (0.888631, False),
    (1.410190, True ),
    (0.712478, False),
    (1.800078, True ),
    (1.724492, True ),
    (1.924824, True ),
    (1.236211, True ),
    (0.553512, False),
    (0.461134, False),
    (1.761615, True ),
    (1.674698, True ),
    (1.075033, True ),
    (0.311270, False),
    (0.834137, False),
    (0.284300, False),
    (0.754419, False),
    (0.182461, False),
    (1.353473, True ),
    (1.354558, True ),
    (1.330675, True ),
    (1.116266, True ),
    (1.743962, True ),
    (1.659631, True ),
    (0.736517, False),
    (1.667583, True ),
    (0.083306, False),
    (0.737828, False),
    (0.811666, False),
    (1.159887, True ),
    (0.603141, False),
    (1.816647, True ),
    (0.785290, False),
    (0.064867, False),
    (1.925777, True ),
    (1.345989, True ),
    (1.280706, True ),
    (0.074141, False),
    (0.293546, False),
    (1.158324, True ),
    (1.287830, True ),
    (1.004502, True ),
    (1.611355, True ),
    (1.678197, True ),
    (0.456589, False),
    (0.932193, False),
    (0.985406, False),
    (1.635577, True ),
    (0.094228, False),
    (0.713032, False),
    (0.437341, False),
    (0.902031, False),
    (0.485390, False),
    (0.710381, False),
    (1.127418, True ),
    (1.745663, True ),
    (1.582463, True ),
    (0.899551, False),
    (0.925925, False),
    (0.750627, False),
    (0.339182, False),
    (0.880385, False),
    (1.946379, True ),
    (0.259432, False),
    (0.042225, False),
    (1.550281, True ),
    (1.518149, True ),
    (0.872897, False),
    (1.159053, True ),
    (1.848035, True ),
    (0.014744, False),
    (0.277217, False),
    (0.417445, False),
    (0.490230, False),
    (0.588077, False),
    (1.770145, True ),
    (0.909602, False),
    (0.929758, False),
    (1.939455, True ),
    (0.179454, False),
    (1.254432, True ),
    (0.447980, False),
    (1.773558, True ),
    (0.185815, False),
    (1.798257, True ),
    (0.007374, False),
    (0.916391, False),
    (1.131245, True ),
    (0.317340, False),
    (1.045871, True ),
    (0.693002, False),
    (0.092323, False),
    (0.629096, False),
    (1.628817, True ),
    (0.902172, False),
    (1.202686, True ),
    (0.913645, False),
    (0.037475, False),
    (0.255452, False),
    (1.743368, True ),
    (0.226275, False),
    (1.519507, True ),
    (0.728350, False),
    (0.407127, False),
    (0.306019, False),
    (1.938953, True ),
    (1.309905, True ),
    (0.297290, False),
    (1.717710, True ),
    (0.417753, False),
    (0.467172, False),
    (1.197140, True ),
    (0.078010, False),
    (1.669037, True ),
    (1.032017, True ),
    (0.965521, False),
    (1.998747, True ),
    (1.536432, True ),
    (1.943457, True ),
    (1.645179, True ),
    (0.591617, False),
    (0.262505, False),
    (0.541914, False),
    (0.373307, False),
    (1.438531, True ),
    (1.453093, True ),
    (0.852372, False),
    (1.356259, True ),
    (1.320724, True ),
    (0.206023, False),
    (0.415752, False),
    (0.832399, False),
    (0.068544, False),
    (1.991095, True ),
    (1.803464, True ),
    (0.599238, False),
    (1.761354, True ),
    (0.683609, False),
    (0.457378, False),
    (0.400950, False),
    (0.480206, False),
    (0.649096, False),
    (0.833009, False),
    (1.059769, True ),
    (0.975114, False),
    (0.200063, False),
    (1.425126, True ),
    (0.992975, False),
    (0.017043, False),
    (0.635069, False),
    (1.570592, True ),
    (1.408725, True ),
    (0.566894, False),
    (1.830198, True ),
    (1.212890, True ),
    (1.507009, True ),
    (0.007546, False),
    (0.479732, False),
    (0.868886, False),
    (1.556364, True ),
    (0.387458, False),
    (0.190899, False),
    (1.707756, True ),
    (1.758744, True ),
    (1.219704, True ),
    (1.625549, True ),
    (0.965226, False),
    (1.602487, True ),
    (0.341934, False),
    (1.743403, True ),
    (1.320321, True ),
    (0.162970, False),
    (0.018927, False),
    (0.474612, False),
    (1.411181, True ),
    (0.378317, False),
    (0.329012, False),
    (0.640441, False),
    (1.104183, True ),
    (0.191364, False),
    (0.104602, False),
    (1.712394, True ),
    (0.429209, False),
    (0.348013, False),
    (1.130419, True ),
    (0.339690, False),
    (0.694030, False),
    (1.155995, True ),
    (0.283730, False),
    (1.570162, True ),
    (0.311054, False),
    (1.956730, True ),
    (0.614931, False),
    (0.548206, False),
    (0.215905, False),
    (0.199838, False),
    (1.444727, True ),
    (1.423952, True ),
    (1.488207, True ),
    (0.272008, False),
    (1.863909, True ),
    (1.396044, True ),
    (1.199904, True ),
    (1.402944, True ),
    (0.428746, False),
    (1.721464, True ),
    (1.423875, True ),
    (0.521755, False),
    (1.070115, True ),
    (1.954155, True ),
    (1.866112, True ),
    (1.378581, True ),
    (0.311044, False),
    (1.888944, True ),
    (1.208685, True ),
    (0.692848, False),
    (1.730373, True ),
    (1.969040, True ),
    (1.169635, True ),
    (1.604708, True ),
    (0.451046, False),
    (1.702214, True ),
    (1.828928, True ),
    (0.706560, False),
    (1.595987, True ),
    (0.051637, False),
    (1.729706, True ),
    (1.380355, True ),
    (1.419854, True ),
    (1.596731, True ),
    (1.657350, True ),
    (0.323948, False),
    (0.711165, False),
    (1.934911, True ),
    (0.114854, False),
    (0.727194, False),
    (1.426878, True ),
    (0.385884, False),
    (0.578432, False),
    (1.017511, True ),
    (0.131401, False),
    (0.902805, False),
    (1.899311, True ),
    (1.663555, True ),
    (0.240546, False),
    (1.069767, True ),
    (1.860838, True ),
    (0.531109, False),
    (0.624167, False),
    (0.188536, False),
    (1.565081, True ),
    (0.511890, False),
    (1.613969, True ),
    (1.283854, True ),
    (0.776411, False),
    (1.869426, True ),
    (1.079037, True ),
    (0.061819, False),
    (0.187437, False),
    (0.311842, False),
    (1.772439, True ),
    (1.484590, True ),
    (1.260500, True ),
    (1.168536, True ),
    (0.120901, False),
    (1.931088, True ),
    (1.854737, True ),
    (0.189149, False),
    (0.262267, False),
    (1.683018, True ),
    (0.369235, False),
    (1.044269, True ),
    (0.999842, False),
    (0.279250, False),
    (1.674388, True ),
    (1.085740, True ),
    (0.428804, False),
    (1.504371, True ),
    (1.957157, True ),
    (0.550982, False),
    (1.917244, True ),
    (1.309684, True ),
    (0.552676, False),
    (0.333510, False),
    (1.176991, True ),
    (0.696521, False),
    (0.607984, False),
    (1.091569, True ),
    (1.236350, True ),
    (1.324055, True ),
    (1.470779, True ),
    (1.145703, True ),
    (0.094049, False),
    (0.039380, False),
    (1.486702, True ),
    (1.777604, True ),
    (0.807005, False),
    (1.015193, True ),
    (1.349637, True ),
    (0.779599, False),
    (0.094030, False),
    (1.014598, True ),
    (0.769486, False),
    (1.825332, True ),
    (1.351380, True ),
    (0.296664, False),
    (0.537848, False),
    (1.369772, True ),
    (0.044051, False),
    (0.851958, False),
    (0.499083, False),
    (1.233454, True ),
    (1.901323, True ),
    (1.629615, True ),
    (0.653101, False),
    (1.697621, True ),
    (1.999815, True ),
    (1.988544, True ),
    (0.274182, False),
    (1.456584, True ),
    (1.188378, True ),
    (1.810835, True ),
    (0.750798, False),
    (0.025256, False),
    (1.877435, True ),
    (0.906546, False),
    (1.088645, True ),
    (1.327504, True ),
    (1.415871, True ),
    (0.968371, False),
    (1.670096, True ),
    (1.099290, True ),
    (0.196351, False),
    (0.448178, False),
    (1.996636, True ),
    (1.835600, True ),
    (1.047299, True ),
    (0.793791, False),
    (0.644478, False),
    (0.767179, False),
    (0.801135, False),
    (1.191143, True ),
    (0.063971, False),
    (1.083214, True ),
    (1.834207, True ),
    (0.351165, False),
    (1.043353, True ),
    (1.835327, True ),
    (1.047180, True ),
    (0.720459, False),
    (1.577760, True ),
    (0.035387, False),
    (1.927970, True ),
    (1.671529, True ),
    (0.753545, False),
    (0.056630, False),
    (0.643518, False),
    (1.278800, True ),
    (0.406635, False),
    (1.099488, True ),
    (1.652852, True ),
    (0.640888, False),
    (0.762990, False),
    (1.446947, True ),
    (0.004981, False),
    (1.677055, True ),
    (0.250568, False),
    (1.448402, True ),
    (0.977888, False),
    (1.343487, True ),
    (0.160120, False),
    (1.741384, True ),
    (0.341523, False),
    (0.050973, False),
    (0.236597, False),
    (1.562206, True ),
    (0.572914, False),
    (0.084028, False),
    (0.516886, False),
    (1.114894, True ),
    (0.663840, False),
    (0.943968, False),
    (0.712793, False),
    (0.592192, False),
    (1.091544, True ),
    (1.492208, True ),
    (0.938932, False),
    (1.178754, True ),
    (0.159947, False),
    (0.144152, False),
    (0.651628, False),
    (1.539730, True ),
    (1.081903, True ),
    (0.959370, False),
    (0.606521, False),
    (0.690390, False),
    (1.350995, True ),
    (1.836927, True ),
    (0.769063, False),
    (1.146093, True ),
    (1.773245, True ),
    (1.790309, True ),
    (0.981808, False),
    (1.865975, True ),
    (0.786143, False),
    (1.512656, True ),
    (1.234311, True ),
    (1.787928, True ),
    (0.478556, False),
    (0.004846, False),
    (0.537008, False),
    (1.692042, True ),
    (1.256343, True ),
    (0.704694, False),
    (1.166516, True ),
    (1.057221, True ),
    (0.825397, False),
    (1.473008, True ),
    (1.860554, True ),
    (0.654048, False),
    (0.590853, False),
    (1.268580, True ),
    (0.254977, False),
    (1.278218, True ),
    (1.583721, True ),
    (1.063676, True ),
    (1.854694, True ),
    (0.142013, False),
    (1.434636, True ),
    (0.568439, False),
    (1.445332, True ),
    (0.812659, False),
    (0.881703, False),
    (1.311500, True ),
    (0.718521, False),
    (1.442724, True ),
    (1.738392, True ),
    (0.103960, False),
    (0.998721, False),
    (0.495532, False),
    (1.888716, True ),
    (1.373084, True ),
    (0.482445, False),
    (0.015807, False),
    (1.878426, True ),
    (0.658672, False),
    (0.925103, False),
    (0.683119, False),
    (1.614223, True ),
    (1.568311, True ),
    (0.084901, False),
    (1.440551, True ),
    (0.084854, False),
    (0.118509, False),
    (0.253051, False),
    (0.216075, False),
    (1.937325, True ),
    (0.849847, False),
    (0.042888, False),
    (0.960347, False),
    (1.257262, True ),
    (0.289007, False),
    (1.990966, True ),
    (1.124942, True ),
    (0.312412, False),
    (1.246979, True ),
    (0.174790, False),
    (1.973582, True ),
    (0.133010, False),
    (0.022659, False),
    (1.463129, True ),
    (0.649700, False),
    (0.824115, False),
    (1.507694, True ),
    (1.768028, True ),
    (0.842936, False),
    (0.118716, False),
    (1.786161, True ),
    (1.482405, True ),
    (1.686483, True ),
    (1.304801, True ),
    (1.066869, True ),
    (0.975316, False),
    (1.236972, True ),
    (1.779664, True ),
    (0.434590, False),
    (0.310825, False),
    (1.143324, True ),
    (0.298409, False),
    (1.964580, True ),
    (1.102677, True ),
    (0.380892, False),
    (0.696400, False),
    (1.243098, True ),
    (0.452550, False),
    (0.783262, False),
    (1.019551, True ),
    (0.928406, False),
    (1.202237, True ),
    (0.977942, False),
    (0.998383, False),
    (1.501141, True ),
    (0.214442, False),
    (0.055530, False),
    (1.784056, True ),
    (1.416953, True ),
    (1.592118, True ),
    (1.970914, True ),
    (0.431371, False),
    (1.508419, True ),
    (1.468587, True ),
    (0.615490, False),
    (0.396135, False),
    (1.596500, True ),
    (1.452984, True ),
    (1.064896, True ),
    (1.134773, True ),
    (0.703750, False),
    (0.171375, False),
    (1.365648, True ),
    (0.228680, False),
    (0.271832, False),
    (0.371936, False),
    (0.642447, False),
    (0.485636, False),
    (0.451652, False),
    (0.557023, False),
    (1.909048, True ),
    (1.099067, True ),
    (1.278688, True ),
    (1.866066, True ),
    (1.624831, True ),
    (1.856841, True ),
    (1.595634, True ),
    (0.997183, False),
    (0.412999, False),
    (1.255685, True ),
    (0.967411, False),
    (0.974304, False),
    (0.803083, False),
    (1.710675, True ),
    (0.751362, False),
    (1.227617, True ),
    (0.439736, False),
    (1.935935, True ),
    (0.349140, False),
    (1.255267, True ),
    (1.531023, True ),
    (1.020529, True ),
    (0.689884, False),
    (0.769278, False),
    (1.978463, True ),
    (0.015649, False),
    (0.710491, False),
    (0.454686, False),
    (0.009029, False),
    (0.733705, False),
    (0.703403, False),
    (1.316063, True ),
    (1.378681, True ),
    (1.689641, True ),
    (1.991731, True ),
    (1.834374, True ),
    (1.104339, True ),
    (1.800373, True ),
    (1.578498, True ),
    (1.087774, True ),
    (0.860946, False),
    (1.248569, True ),
    (0.372740, False),
    (0.404026, False),
    (1.443265, True ),
    (0.954573, False),
    (0.399184, False),
    (1.343262, True ),
    (0.535658, False),
    (0.803756, False),
    (1.411426, True ),
    (0.443304, False),
    (0.210489, False),
    (0.217605, False),
    (0.868625, False),
    (1.286095, True ),
    (1.346079, True ),
    (1.192505, True ),
    (0.060952, False),
    (0.599138, False),
    (0.858969, False),
    (1.815149, True ),
    (0.177448, False),
    (0.099988, False),
    (1.587721, True ),
    (1.114973, True ),
    (0.520440, False),
    (0.586826, False),
    (1.884599, True ),
    (0.701504, False),
    (1.733148, True ),
    (1.515725, True ),
    (1.542412, True ),
    (0.265860, False),
    (1.333271, True ),
    (0.039377, False),
    (0.887375, False),
    (0.040201, False),
    (0.483820, False),
    (1.632790, True ),
    (0.572335, False),
    (0.749120, False),
    (1.449902, True ),
    (1.286279, True ),
    (0.567551, False),
    (0.032529, False),
    (0.393325, False),
    (0.153360, False),
    (1.712609, True ),
    (0.244158, False),
    (1.278050, True ),
    (1.391822, True ),
    (1.608294, True ),
    (0.181710, False),
    (1.742271, True ),
    (0.878747, False),
    (1.923395, True ),
    (0.766772, False),
    (1.138243, True ),
    (1.395992, True ),
    (0.341515, False),
    (1.450526, True ),
    (1.659855, True ),
    (0.340241, False),
    (1.774274, True ),
    (0.369560, False),
    (1.442706, True ),
    (0.888322, False),
    (1.150627, True ),
    (0.785905, False),
    (1.901622, True ),
    (1.735445, True ),
    (0.272313, False),
    (1.073077, True ),
    (0.780287, False),
    (1.565212, True ),
    (0.615288, False),
    (0.865710, False),
    (1.583821, True ),
    (0.945013, False),
    (0.694899, False),
    (0.483447, False),
    (0.300596, False),
    (1.661833, True ),
    (0.318855, False),
    (1.363030, True ),
    (1.713788, True ),
    (1.873470, True ),
    (1.689853, True ),
    (1.227876, True ),
    (0.163477, False),
    (1.922620, True ),
    (1.998859, True ),
    (1.457310, True ),
    (1.146928, True ),
    (0.077217, False),
    (1.290818, True ),
    (0.519922, False),
    (0.370554, False),
    (1.894092, True ),
    (0.760441, False),
    (1.060199, True ),
    (0.574682, False),
    (0.189786, False),
    (1.726390, True ),
    (1.385211, True ),
    (0.699847, False),
    (1.605253, True ),
    (1.395349, True ),
    (1.976493, True ),
    (0.143704, False),
    (0.424888, False),
    (1.725313, True ),
    (0.827490, False),
    (1.046517, True ),
    (0.072522, False),
    (0.981125, False),
    (0.576549, False),
    (1.276664, True ),
    (0.752682, False),
    (1.649059, True ),
    (0.376928, False),
    (0.085296, False),
    (1.133317, True ),
    (1.184971, True ),
    (0.388520, False),
    (1.492216, True ),
    (0.567555, False),
    (1.164653, True ),
    (1.809186, True ),
    (1.820613, True ),
    (0.897182, False),
    (0.800970, False),
    (0.983972, False),
    (0.634459, False),
    (1.991481, True ),
    (0.249484, False),
    (0.635933, False),
    (1.279923, True ),
    (1.030390, True ),
    (0.455018, False),
    (1.469017, True ),
    (0.034502, False),
    (1.952434, True ),
    (1.522044, True ),
    (1.615900, True ),
    (0.454527, False),
    (0.202413, False),
    (1.301713, True ),
    (0.162719, False),
    (0.204747, False),
    (1.268819, True ),
    (0.978561, False),
    (1.357506, True ),
    (0.811506, False),
    (1.641317, True ),
    (1.733473, True ),
    (1.458656, True ),
    (0.956740, False),
    (0.397149, False),
    (0.093116, False),
    (1.380468, True ),
    (1.637586, True ),
    (0.918767, False),
    (1.788822, True ),
    (0.005223, False),
    (1.834808, True ),
    (1.675462, True ),
    (0.912213, False),
    (1.184138, True ),
    (1.369318, True ),
    (1.027724, True ),
    (0.133810, False),
]
